/*******************************************************************************
* Copyright (C) 2013-2016, Cypress Semiconductor Corporation or a              *
* subsidiary of Cypress Semiconductor Corporation.  All rights reserved.       *
*                                                                              *
* This software, including source code, documentation and related              *
* materials ("Software"), is owned by Cypress Semiconductor Corporation or     *
* one of its subsidiaries ("Cypress") and is protected by and subject to       *
* worldwide patent protection (United States and foreign), United States       *
* copyright laws and international treaty provisions. Therefore, you may use   *
* this Software only as provided in the license agreement accompanying the     *
* software package from which you obtained this Software ("EULA").             *
*                                                                              *
* If no EULA applies, Cypress hereby grants you a personal, non-exclusive,     *
* non-transferable license to copy, modify, and compile the                    *
* Software source code solely for use in connection with Cypress's             *
* integrated circuit products.  Any reproduction, modification, translation,   *
* compilation, or representation of this Software except as specified          *
* above is prohibited without the express written permission of Cypress.       *
*                                                                              *
* Disclaimer: THIS SOFTWARE IS PROVIDED AS-IS, WITH NO                         *
* WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING,                         *
* BUT NOT LIMITED TO, NONINFRINGEMENT, IMPLIED                                 *
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A                              *
* PARTICULAR PURPOSE. Cypress reserves the right to make                       *
* changes to the Software without notice. Cypress does not assume any          *
* liability arising out of the application or use of the Software or any       *
* product or circuit described in the Software. Cypress does not               *
* authorize its products for use in any products where a malfunction or        *
* failure of the Cypress product may reasonably be expected to result in       *
* significant property damage, injury or death ("High Risk Product"). By       *
* including Cypress's product in a High Risk Product, the manufacturer         *
* of such system or application assumes all risk of such use and in doing      *
* so agrees to indemnify Cypress against all liability.                        *
*******************************************************************************/
/**
 ******************************************************************************
 ** \file   s6e1a1xb.h
 **
 ** MCU Headerfile
 **
 ** History:
 
 **
 ******************************************************************************/

#ifndef _S6E1A1XB_H_
#define _S6E1A1XB_H_
#define __S6E1A1XB_H__
#define __S6E1A1_H__

#if defined __cplusplus
extern "C" {
#endif

#define FM_GENERAL_MCUHEADER_VERSION              0201


#ifndef FM_DEVICE_PACKAGE_S6E_B
#define FM_DEVICE_PACKAGE_S6E_B
#endif 

/******************************************************************************
 ** Configuration of the Cortex-M4 Processor and Core Peripherals
 ** 
 ******************************************************************************/
#define FM0P_DEVICE_TYPE                          1
#define FM_DEVICE_TYPE                            0101u
#define FM_CORE_TYPE_FM0P                         1
#define __CM0PLUS_REV                             0x0001
#define __MPU_PRESENT                             0
#define __NVIC_PRIO_BITS                          2
#define __Vendor_SysTickConfig                    0
#define __FPU_PRESENT                             0
#define __FPU_DP                                  0
#define __ICACHE_PRESENT                          0
#define __DCACHE_PRESENT                          0
#define __DTCM_PRESENT                            0

/******************************************************************************
 ** Peripheral Types
 ** 
 ******************************************************************************/
#define FM0P_ADC_TYPE_A                           1
#define FM0P_BT_TYPE_A                            1
#define FM0P_BTIOSEL03_TYPE_A                     1
#define FM0P_CLK_GATING_TYPE_A                    1
#define FM0P_CRC_TYPE_A                           1
#define FM0P_CRG_TYPE_A                           1
#define FM0P_CRTRIM_TYPE_A                        1
#define FM0P_DMAC_TYPE_A                          1
#define FM0P_DS_TYPE_A                            1
#define FM0P_DT_TYPE_A                            1
#define FM0P_EXTI_TYPE_A                          1
#define FM0P_FASTIO_TYPE_A                        1
#define FM0P_FLASH_IF_TYPE_A                      1
#define FM0P_GPIO_TYPE_A                          1
#define FM0P_HWWDT_TYPE_A                         1
#define FM0P_INTREQ_TYPE_1_A                      1
#define FM0P_LSCRP_TYPE_A                         1
#define FM0P_LVD_TYPE_A                           1
#define FM0P_MFS_TYPE_A                           1
#define FM0P_MFT_TYPE_A                           1
#define FM0P_MFT_PPG_TYPE_A                       1
#define FM0P_MTB_DWT_TYPE_A                       1
#define FM0P_QPRC_TYPE_A                          1
#define FM0P_QPRC_NF_TYPE_A                       1
#define FM0P_RTC_TYPE_A                           1
#define FM0P_SBSSR_TYPE_A                         1
#define FM0P_SWWDT_TYPE_A                         1
#define FM0P_UNIQUE_ID_TYPE_A                     1
#define FM0P_WC_TYPE_A                            1

/******************************************************************************
 ** Available Peripherals
 ** 
 ******************************************************************************/
#define FM0P_ADC_AVAILABLE                        1
#define FM_ADC_AVAILABLE                          1
#define FM0P_BT_AVAILABLE                         1
#define FM_BT_AVAILABLE                           1
#define FM0P_BT_PPG_AVAILABLE                     1
#define FM_BT_PPG_AVAILABLE                       1
#define FM0P_BT_PWC_AVAILABLE                     1
#define FM_BT_PWC_AVAILABLE                       1
#define FM0P_BT_PWM_AVAILABLE                     1
#define FM_BT_PWM_AVAILABLE                       1
#define FM0P_BT_RT_AVAILABLE                      1
#define FM_BT_RT_AVAILABLE                        1
#define FM0P_BTIOSEL03_AVAILABLE                  1
#define FM_BTIOSEL03_AVAILABLE                    1
#define FM0P_CLK_GATING_AVAILABLE                 1
#define FM_CLK_GATING_AVAILABLE                   1
#define FM0P_CRC_AVAILABLE                        1
#define FM_CRC_AVAILABLE                          1
#define FM0P_CRG_AVAILABLE                        1
#define FM_CRG_AVAILABLE                          1
#define FM0P_CRTRIM_AVAILABLE                     1
#define FM_CRTRIM_AVAILABLE                       1
#define FM0P_DMAC_AVAILABLE                       1
#define FM_DMAC_AVAILABLE                         1
#define FM0P_DS_AVAILABLE                         1
#define FM_DS_AVAILABLE                           1
#define FM0P_DT_AVAILABLE                         1
#define FM_DT_AVAILABLE                           1
#define FM0P_EXTI_AVAILABLE                       1
#define FM_EXTI_AVAILABLE                         1
#define FM0P_FASTIO_AVAILABLE                     1
#define FM_FASTIO_AVAILABLE                       1
#define FM0P_FLASH_IF_AVAILABLE                   1
#define FM_FLASH_IF_AVAILABLE                     1
#define FM0P_GPIO_AVAILABLE                       1
#define FM_GPIO_AVAILABLE                         1
#define FM0P_HWWDT_AVAILABLE                      1
#define FM_HWWDT_AVAILABLE                        1
#define FM0P_INTREQ_AVAILABLE                     1
#define FM_INTREQ_AVAILABLE                       1
#define FM0P_LSCRP_AVAILABLE                      1
#define FM_LSCRP_AVAILABLE                        1
#define FM0P_LVD_AVAILABLE                        1
#define FM_LVD_AVAILABLE                          1
#define FM0P_MFS_AVAILABLE                        1
#define FM_MFS_AVAILABLE                          1
#define FM0P_MFS_CSIO_AVAILABLE                   1
#define FM_MFS_CSIO_AVAILABLE                     1
#define FM0P_MFS_I2C_AVAILABLE                    1
#define FM_MFS_I2C_AVAILABLE                      1
#define FM0P_MFS_LIN_AVAILABLE                    1
#define FM_MFS_LIN_AVAILABLE                      1
#define FM0P_MFS_UART_AVAILABLE                   1
#define FM_MFS_UART_AVAILABLE                     1
#define FM0P_MFT_AVAILABLE                        1
#define FM_MFT_AVAILABLE                          1
#define FM0P_MFT_ADCMP_AVAILABLE                  1
#define FM_MFT_ADCMP_AVAILABLE                    1
#define FM0P_MFT_FRT_AVAILABLE                    1
#define FM_MFT_FRT_AVAILABLE                      1
#define FM0P_MFT_ICU_AVAILABLE                    1
#define FM_MFT_ICU_AVAILABLE                      1
#define FM0P_MFT_OCU_AVAILABLE                    1
#define FM_MFT_OCU_AVAILABLE                      1
#define FM0P_MFT_PPG_AVAILABLE                    1
#define FM_MFT_PPG_AVAILABLE                      1
#define FM0P_MFT_WFG_AVAILABLE                    1
#define FM_MFT_WFG_AVAILABLE                      1
#define FM0P_MTB_DWT_AVAILABLE                    1
#define FM_MTB_DWT_AVAILABLE                      1
#define FM0P_QPRC_AVAILABLE                       1
#define FM_QPRC_AVAILABLE                         1
#define FM0P_QPRC_NF_AVAILABLE                    1
#define FM_QPRC_NF_AVAILABLE                      1
#define FM0P_RTC_AVAILABLE                        1
#define FM_RTC_AVAILABLE                          1
#define FM0P_SBSSR_AVAILABLE                      1
#define FM_SBSSR_AVAILABLE                        1
#define FM0P_SWWDT_AVAILABLE                      1
#define FM_SWWDT_AVAILABLE                        1
#define FM0P_UNIQUE_ID_AVAILABLE                  1
#define FM_UNIQUE_ID_AVAILABLE                    1
#define FM0P_WC_AVAILABLE                         1
#define FM_WC_AVAILABLE                           1

/******************************************************************************
 ** \brief Interrupt number definition for all type MCUs
 ** 
 ******************************************************************************/
#define FM_INTERRUPT_TYPE                         0x011Au

#define IRQ_NMI_AVAILABLE                         1
#define IRQ_HARDFAULT_AVAILABLE                   1
#define IRQ_SVC_AVAILABLE                         1
#define IRQ_PENDSV_AVAILABLE                      1
#define IRQ_SYSTICK_AVAILABLE                     1

#define IRQ_CSV_AVAILABLE                         1
#define IRQ_SWDT_AVAILABLE                        1
#define IRQ_LVD_AVAILABLE                         1
#define IRQ_MFT0_WFG_DTIF_AVAILABLE               1
#define IRQ_EXINT0_7_AVAILABLE                    1
#define IRQ_DT_QPRC_AVAILABLE                     1
#define IRQ_MFS0_RX_AVAILABLE                     1
#define IRQ_MFS0_TX_AVAILABLE                     1
#define IRQ_MFS1_RX_AVAILABLE                     1
#define IRQ_MFS1_TX_AVAILABLE                     1
#define IRQ_MFS3_RX_AVAILABLE                     1
#define IRQ_MFS3_TX_AVAILABLE                     1
#define IRQ_DMAC0_AVAILABLE                       1
#define IRQ_DMAC1_AVAILABLE                       1
#define IRQ_PPG00_02_04_08_10_12_16_18_20_AVAILABLE 1
#define IRQ_TIM_AVAILABLE                         1
#define IRQ_ADC0_AVAILABLE                        1
#define IRQ_MFT0_FRT_AVAILABLE                    1
#define IRQ_MFT0_ICU_AVAILABLE                    1
#define IRQ_MFT0_OCU_AVAILABLE                    1
#define IRQ_BT0_3_FLASHIF_AVAILABLE               1


typedef enum IRQn
{
    NMI_IRQn                                      =  -14, /* Non Maskable Interrupt NMI */
    HardFault_IRQn                                =  -13, /* HardFault HardFault */
    SVC_IRQn                                      =   -5, /* SV Call SVC */
    PendSV_IRQn                                   =   -2, /* Pend SV PendSV */
    SysTick_IRQn                                  =   -1, /* System Tick SysTick */

    CSV_IRQn                                      =    0, /* CSV_IRQ */
    SWDT_IRQn                                     =    1, /* SWDT_IRQ */
    LVD_IRQn                                      =    2, /* LVD_IRQ */
    MFT0_WFG_DTIF_IRQn                            =    3, /* MFT0_WFG_DTIF_IRQ */
    EXINT0_7_IRQn                                 =    4, /* EXINT0_7_IRQ */
    DT_QPRC_IRQn                                  =    6, /* DT_QPRC_IRQ */
    MFS0_RX_IRQn                                  =    7, /* MFS0_RX_IRQ */
    MFS0_TX_IRQn                                  =    8, /* MFS0_TX_IRQ */
    MFS1_RX_IRQn                                  =    9, /* MFS1_RX_IRQ */
    MFS1_TX_IRQn                                  =   10, /* MFS1_TX_IRQ */
    MFS3_RX_IRQn                                  =   13, /* MFS3_RX_IRQ */
    MFS3_TX_IRQn                                  =   14, /* MFS3_TX_IRQ */
    DMAC0_IRQn                                    =   19, /* DMAC0_IRQ */
    DMAC1_IRQn                                    =   20, /* DMAC1_IRQ */
    PPG00_02_04_08_10_12_16_18_20_IRQn            =   23, /* PPG00_02_04_08_10_12_16_18_20_IRQ */
    TIM_IRQn                                      =   24, /* TIM_IRQ */
    ADC0_IRQn                                     =   25, /* ADC0_IRQ */
    MFT0_FRT_IRQn                                 =   28, /* MFT0_FRT_IRQ */
    MFT0_ICU_IRQn                                 =   29, /* MFT0_ICU_IRQ */
    MFT0_OCU_IRQn                                 =   30, /* MFT0_OCU_IRQ */
    BT0_3_FLASHIF_IRQn                            =   31, /* BT0_3_FLASHIF_IRQ */
} IRQn_Type;

#include "core_cm0plus.h"
#include "system_s6e1a1.h"
#include <stdint.h>

/******************************************************************************
 ** Device Specific Peripheral Registers structures
 ** 
 ******************************************************************************/
#if defined ( __CC_ARM   )
#pragma anon_unions
#endif

/******************************************************************************
 ** ADC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_adc_adsr_field
{
        __IO   uint8_t  SCS                      :1;
        __IO   uint8_t  PCS                      :1;
        __IO   uint8_t  PCNS                     :1;
        __IO   uint8_t  RESERVED0                :3;
        __IO   uint8_t  FDAS                     :1;
        __IO   uint8_t  ADSTP                    :1;
} stc_adc_adsr_field_t;

typedef struct stc_adc_adcr_field
{
        __IO   uint8_t  OVRIE                    :1;
        __IO   uint8_t  CMPIE                    :1;
        __IO   uint8_t  PCIE                     :1;
        __IO   uint8_t  SCIE                     :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  CMPIF                    :1;
        __IO   uint8_t  PCIF                     :1;
        __IO   uint8_t  SCIF                     :1;
} stc_adc_adcr_field_t;

typedef struct stc_adc_sfns_field
{
    union {
        struct {
            __IO   uint8_t  SFS                  :4;
            __IO   uint8_t  RESERVED0            :4;
        };
        struct {
            __IO   uint8_t  SFS0                 :1;
            __IO   uint8_t  SFS1                 :1;
            __IO   uint8_t  SFS2                 :1;
            __IO   uint8_t  SFS3                 :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_adc_sfns_field_t;

typedef struct stc_adc_sccr_field
{
        __IO   uint8_t  SSTR                     :1;
        __IO   uint8_t  SHEN                     :1;
        __IO   uint8_t  RPT                      :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  SFCLR                    :1;
        __IO   uint8_t  SOVR                     :1;
        __IO   uint8_t  SFUL                     :1;
        __IO   uint8_t  SEMP                     :1;
} stc_adc_sccr_field_t;

typedef struct stc_adc_scfd_fdas1_field
{
    union {
        struct {
            __IO  uint32_t  SC                   :5;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  RS                   :2;
            __IO  uint32_t  RESERVED2            :2;
            __IO  uint32_t  INVL                 :1;
            __IO  uint32_t  RESERVED3            :3;
            __IO  uint32_t  SD                   :12;
            __IO  uint32_t  RESERVED5            :4;
        };
        struct {
            __IO  uint32_t  SC0                  :1;
            __IO  uint32_t  SC1                  :1;
            __IO  uint32_t  SC2                  :1;
            __IO  uint32_t  SC3                  :1;
            __IO  uint32_t  SC4                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  RS0                  :1;
            __IO  uint32_t  RS1                  :1;
            __IO  uint32_t  RESERVED4            :6;
            __IO  uint32_t  SD0                  :1;
            __IO  uint32_t  SD1                  :1;
            __IO  uint32_t  SD2                  :1;
            __IO  uint32_t  SD3                  :1;
            __IO  uint32_t  SD4                  :1;
            __IO  uint32_t  SD5                  :1;
            __IO  uint32_t  SD6                  :1;
            __IO  uint32_t  SD7                  :1;
            __IO  uint32_t  SD8                  :1;
            __IO  uint32_t  SD9                  :1;
            __IO  uint32_t  SD10                 :1;
            __IO  uint32_t  SD11                 :1;
            __IO  uint32_t  RESERVED6            :4;
        };
    };
} stc_adc_scfd_fdas1_field_t;

typedef struct stc_adc_scfd_field
{
    union {
        struct {
            __IO  uint32_t  SC                   :5;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  RS                   :2;
            __IO  uint32_t  RESERVED2            :2;
            __IO  uint32_t  INVL                 :1;
            __IO  uint32_t  RESERVED3            :7;
            __IO  uint32_t  SD                   :12;
        };
        struct {
            __IO  uint32_t  SC0                  :1;
            __IO  uint32_t  SC1                  :1;
            __IO  uint32_t  SC2                  :1;
            __IO  uint32_t  SC3                  :1;
            __IO  uint32_t  SC4                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  RS0                  :1;
            __IO  uint32_t  RS1                  :1;
            __IO  uint32_t  RESERVED4            :10;
            __IO  uint32_t  SD0                  :1;
            __IO  uint32_t  SD1                  :1;
            __IO  uint32_t  SD2                  :1;
            __IO  uint32_t  SD3                  :1;
            __IO  uint32_t  SD4                  :1;
            __IO  uint32_t  SD5                  :1;
            __IO  uint32_t  SD6                  :1;
            __IO  uint32_t  SD7                  :1;
            __IO  uint32_t  SD8                  :1;
            __IO  uint32_t  SD9                  :1;
            __IO  uint32_t  SD10                 :1;
            __IO  uint32_t  SD11                 :1;
        };
    };
} stc_adc_scfd_field_t;

typedef struct stc_adc_scis23_field
{
        __IO  uint16_t  AN16                     :1;
        __IO  uint16_t  AN17                     :1;
        __IO  uint16_t  AN18                     :1;
        __IO  uint16_t  AN19                     :1;
        __IO  uint16_t  AN20                     :1;
        __IO  uint16_t  AN21                     :1;
        __IO  uint16_t  AN22                     :1;
        __IO  uint16_t  AN23                     :1;
        __IO  uint16_t  AN24                     :1;
        __IO  uint16_t  AN25                     :1;
        __IO  uint16_t  AN26                     :1;
        __IO  uint16_t  AN27                     :1;
        __IO  uint16_t  AN28                     :1;
        __IO  uint16_t  AN29                     :1;
        __IO  uint16_t  AN30                     :1;
        __IO  uint16_t  AN31                     :1;
} stc_adc_scis23_field_t;

typedef struct stc_adc_scis01_field
{
        __IO  uint16_t  AN0                      :1;
        __IO  uint16_t  AN1                      :1;
        __IO  uint16_t  AN2                      :1;
        __IO  uint16_t  AN3                      :1;
        __IO  uint16_t  AN4                      :1;
        __IO  uint16_t  AN5                      :1;
        __IO  uint16_t  AN6                      :1;
        __IO  uint16_t  AN7                      :1;
        __IO  uint16_t  AN8                      :1;
        __IO  uint16_t  AN9                      :1;
        __IO  uint16_t  AN10                     :1;
        __IO  uint16_t  AN11                     :1;
        __IO  uint16_t  AN12                     :1;
        __IO  uint16_t  AN13                     :1;
        __IO  uint16_t  AN14                     :1;
        __IO  uint16_t  AN15                     :1;
} stc_adc_scis01_field_t;

typedef struct stc_adc_pfns_field
{
    union {
        struct {
            __IO   uint8_t  PFS                  :2;
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  TEST                 :2;
            __IO   uint8_t  RESERVED2            :2;
        };
        struct {
            __IO   uint8_t  PFS0                 :1;
            __IO   uint8_t  PFS1                 :1;
            __IO   uint8_t  RESERVED1            :2;
            __IO   uint8_t  TEST0                :1;
            __IO   uint8_t  TEST1                :1;
            __IO   uint8_t  RESERVED3            :2;
        };
    };
} stc_adc_pfns_field_t;

typedef struct stc_adc_pccr_field
{
        __IO   uint8_t  PSTR                     :1;
        __IO   uint8_t  PHEN                     :1;
        __IO   uint8_t  PEEN                     :1;
        __IO   uint8_t  ESCE                     :1;
        __IO   uint8_t  PFCLR                    :1;
        __IO   uint8_t  POVR                     :1;
        __IO   uint8_t  PFUL                     :1;
        __IO   uint8_t  PEMP                     :1;
} stc_adc_pccr_field_t;

typedef struct stc_adc_pcfd_fdas1_field
{
    union {
        struct {
            __IO  uint32_t  PC                   :5;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  RS                   :3;
            __IO  uint32_t  RESERVED2            :1;
            __IO  uint32_t  INVL                 :1;
            __IO  uint32_t  RESERVED3            :3;
            __IO  uint32_t  PD                   :12;
            __IO  uint32_t  RESERVED5            :4;
        };
        struct {
            __IO  uint32_t  PC0                  :1;
            __IO  uint32_t  PC1                  :1;
            __IO  uint32_t  PC2                  :1;
            __IO  uint32_t  PC3                  :1;
            __IO  uint32_t  PC4                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  RS0                  :1;
            __IO  uint32_t  RS1                  :1;
            __IO  uint32_t  RS2                  :1;
            __IO  uint32_t  RESERVED4            :5;
            __IO  uint32_t  PD0                  :1;
            __IO  uint32_t  PD1                  :1;
            __IO  uint32_t  PD2                  :1;
            __IO  uint32_t  PD3                  :1;
            __IO  uint32_t  PD4                  :1;
            __IO  uint32_t  PD5                  :1;
            __IO  uint32_t  PD6                  :1;
            __IO  uint32_t  PD7                  :1;
            __IO  uint32_t  PD8                  :1;
            __IO  uint32_t  PD9                  :1;
            __IO  uint32_t  PD10                 :1;
            __IO  uint32_t  PD11                 :1;
            __IO  uint32_t  RESERVED6            :4;
        };
    };
} stc_adc_pcfd_fdas1_field_t;

typedef struct stc_adc_pcfd_field
{
    union {
        struct {
            __IO  uint32_t  PC                   :5;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  RS                   :3;
            __IO  uint32_t  RESERVED2            :1;
            __IO  uint32_t  INVL                 :1;
            __IO  uint32_t  RESERVED3            :7;
            __IO  uint32_t  PD                   :12;
        };
        struct {
            __IO  uint32_t  PC0                  :1;
            __IO  uint32_t  PC1                  :1;
            __IO  uint32_t  PC2                  :1;
            __IO  uint32_t  PC3                  :1;
            __IO  uint32_t  PC4                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  RS0                  :1;
            __IO  uint32_t  RS1                  :1;
            __IO  uint32_t  RS2                  :1;
            __IO  uint32_t  RESERVED4            :9;
            __IO  uint32_t  PD0                  :1;
            __IO  uint32_t  PD1                  :1;
            __IO  uint32_t  PD2                  :1;
            __IO  uint32_t  PD3                  :1;
            __IO  uint32_t  PD4                  :1;
            __IO  uint32_t  PD5                  :1;
            __IO  uint32_t  PD6                  :1;
            __IO  uint32_t  PD7                  :1;
            __IO  uint32_t  PD8                  :1;
            __IO  uint32_t  PD9                  :1;
            __IO  uint32_t  PD10                 :1;
            __IO  uint32_t  PD11                 :1;
        };
    };
} stc_adc_pcfd_field_t;

typedef struct stc_adc_pcis_field
{
    union {
        struct {
            __IO   uint8_t  P1A                  :3;
            __IO   uint8_t  P2A                  :5;
        };
        struct {
            __IO   uint8_t  P1A0                 :1;
            __IO   uint8_t  P1A1                 :1;
            __IO   uint8_t  P1A2                 :1;
            __IO   uint8_t  P2A0                 :1;
            __IO   uint8_t  P2A1                 :1;
            __IO   uint8_t  P2A2                 :1;
            __IO   uint8_t  P2A3                 :1;
            __IO   uint8_t  P2A4                 :1;
        };
    };
} stc_adc_pcis_field_t;

typedef struct stc_adc_cmpcr_field
{
    union {
        struct {
            __IO   uint8_t  CCH                  :5;
            __IO   uint8_t  CMD0                 :1;
            __IO   uint8_t  CMD1                 :1;
            __IO   uint8_t  CMPEN                :1;
        };
        struct {
            __IO   uint8_t  CCH0                 :1;
            __IO   uint8_t  CCH1                 :1;
            __IO   uint8_t  CCH2                 :1;
            __IO   uint8_t  CCH3                 :1;
            __IO   uint8_t  CCH4                 :1;
            __IO   uint8_t  RESERVED0            :3;
        };
    };
} stc_adc_cmpcr_field_t;

typedef struct stc_adc_cmpd_field
{
    union {
        struct {
            __IO  uint16_t  RESERVED0            :6;
            __IO  uint16_t  CMAD                 :10;
        };
        struct {
            __IO  uint16_t  RESERVED1            :6;
            __IO  uint16_t  CMAD0                :1;
            __IO  uint16_t  CMAD1                :1;
            __IO  uint16_t  CMAD2                :1;
            __IO  uint16_t  CMAD3                :1;
            __IO  uint16_t  CMAD4                :1;
            __IO  uint16_t  CMAD5                :1;
            __IO  uint16_t  CMAD6                :1;
            __IO  uint16_t  CMAD7                :1;
            __IO  uint16_t  CMAD8                :1;
            __IO  uint16_t  CMAD9                :1;
        };
    };
} stc_adc_cmpd_field_t;

typedef struct stc_adc_adss23_field
{
        __IO  uint16_t  TS16                     :1;
        __IO  uint16_t  TS17                     :1;
        __IO  uint16_t  TS18                     :1;
        __IO  uint16_t  TS19                     :1;
        __IO  uint16_t  TS20                     :1;
        __IO  uint16_t  TS21                     :1;
        __IO  uint16_t  TS22                     :1;
        __IO  uint16_t  TS23                     :1;
        __IO  uint16_t  TS24                     :1;
        __IO  uint16_t  TS25                     :1;
        __IO  uint16_t  TS26                     :1;
        __IO  uint16_t  TS27                     :1;
        __IO  uint16_t  TS28                     :1;
        __IO  uint16_t  TS29                     :1;
        __IO  uint16_t  TS30                     :1;
        __IO  uint16_t  TS31                     :1;
} stc_adc_adss23_field_t;

typedef struct stc_adc_adss01_field
{
        __IO  uint16_t  TS0                      :1;
        __IO  uint16_t  TS1                      :1;
        __IO  uint16_t  TS2                      :1;
        __IO  uint16_t  TS3                      :1;
        __IO  uint16_t  TS4                      :1;
        __IO  uint16_t  TS5                      :1;
        __IO  uint16_t  TS6                      :1;
        __IO  uint16_t  TS7                      :1;
        __IO  uint16_t  TS8                      :1;
        __IO  uint16_t  TS9                      :1;
        __IO  uint16_t  TS10                     :1;
        __IO  uint16_t  TS11                     :1;
        __IO  uint16_t  TS12                     :1;
        __IO  uint16_t  TS13                     :1;
        __IO  uint16_t  TS14                     :1;
        __IO  uint16_t  TS15                     :1;
} stc_adc_adss01_field_t;

typedef struct stc_adc_adst01_field
{
    union {
        struct {
            __IO  uint16_t  ST1                  :5;
            __IO  uint16_t  STX1                 :3;
            __IO  uint16_t  ST0                  :5;
            __IO  uint16_t  STX0                 :3;
        };
        struct {
            __IO  uint16_t  ST10                 :1;
            __IO  uint16_t  ST11                 :1;
            __IO  uint16_t  ST12                 :1;
            __IO  uint16_t  ST13                 :1;
            __IO  uint16_t  ST14                 :1;
            __IO  uint16_t  STX10                :1;
            __IO  uint16_t  STX11                :1;
            __IO  uint16_t  STX12                :1;
            __IO  uint16_t  ST00                 :1;
            __IO  uint16_t  ST01                 :1;
            __IO  uint16_t  ST02                 :1;
            __IO  uint16_t  ST03                 :1;
            __IO  uint16_t  ST04                 :1;
            __IO  uint16_t  STX00                :1;
            __IO  uint16_t  STX01                :1;
            __IO  uint16_t  STX02                :1;
        };
    };
} stc_adc_adst01_field_t;

typedef struct stc_adc_adct_field
{
    union {
        struct {
            __IO   uint8_t  CT                   :8;
        };
        struct {
            __IO   uint8_t  CT0                  :1;
            __IO   uint8_t  CT1                  :1;
            __IO   uint8_t  CT2                  :1;
            __IO   uint8_t  CT3                  :1;
            __IO   uint8_t  CT4                  :1;
            __IO   uint8_t  CT5                  :1;
            __IO   uint8_t  CT6                  :1;
            __IO   uint8_t  CT7                  :1;
        };
    };
} stc_adc_adct_field_t;

typedef struct stc_adc_prtsl_field
{
    union {
        struct {
            __IO   uint8_t  PRTSL                :4;
            __IO   uint8_t  RESERVED0            :4;
        };
        struct {
            __IO   uint8_t  PRTSL0               :1;
            __IO   uint8_t  PRTSL1               :1;
            __IO   uint8_t  PRTSL2               :1;
            __IO   uint8_t  PRTSL3               :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_adc_prtsl_field_t;

typedef struct stc_adc_sctsl_field
{
    union {
        struct {
            __IO   uint8_t  SCTSL                :4;
            __IO   uint8_t  RESERVED0            :4;
        };
        struct {
            __IO   uint8_t  SCTSL0               :1;
            __IO   uint8_t  SCTSL1               :1;
            __IO   uint8_t  SCTSL2               :1;
            __IO   uint8_t  SCTSL3               :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_adc_sctsl_field_t;

typedef struct stc_adc_adcen_field
{
    union {
        struct {
            __IO  uint16_t  ENBL                 :1;
            __IO  uint16_t  READY                :1;
            __IO  uint16_t  RESERVED0            :6;
            __IO  uint16_t  ENBLTIME             :8;
        };
        struct {
            __IO  uint16_t  RESERVED1            :8;
            __IO  uint16_t  ENBLTIME0            :1;
            __IO  uint16_t  ENBLTIME1            :1;
            __IO  uint16_t  ENBLTIME2            :1;
            __IO  uint16_t  ENBLTIME3            :1;
            __IO  uint16_t  ENBLTIME4            :1;
            __IO  uint16_t  ENBLTIME5            :1;
            __IO  uint16_t  ENBLTIME6            :1;
            __IO  uint16_t  ENBLTIME7            :1;
        };
    };
} stc_adc_adcen_field_t;

typedef struct stc_adc_wcmrcif_field
{
        __IO  uint32_t  RCINT                    :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_adc_wcmrcif_field_t;

typedef struct stc_adc_wcmrcot_field
{
        __IO  uint32_t  RCOOF                    :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_adc_wcmrcot_field_t;

typedef struct stc_adc_wcmpcr_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  RCOE                 :1;
            __IO   uint8_t  RCOIE                :1;
            __IO   uint8_t  RCOIRS               :1;
            __IO   uint8_t  RCOCD                :3;
        };
        struct {
            __IO   uint8_t  RESERVED1            :5;
            __IO   uint8_t  RCOCD0               :1;
            __IO   uint8_t  RCOCD1               :1;
            __IO   uint8_t  RCOCD2               :1;
        };
    };
} stc_adc_wcmpcr_field_t;

typedef struct stc_adc_wcmpsr_field
{
    union {
        struct {
            __IO   uint8_t  WCCH                 :5;
            __IO   uint8_t  WCMD                 :1;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  WCCH0                :1;
            __IO   uint8_t  WCCH1                :1;
            __IO   uint8_t  WCCH2                :1;
            __IO   uint8_t  WCCH3                :1;
            __IO   uint8_t  WCCH4                :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_adc_wcmpsr_field_t;

typedef struct stc_adc_wcmpdl_field
{
    union {
        struct {
            __IO  uint16_t  RESERVED0            :6;
            __IO  uint16_t  CMLD                 :10;
        };
        struct {
            __IO  uint16_t  RESERVED1            :6;
            __IO  uint16_t  CMLD0                :1;
            __IO  uint16_t  CMLD1                :1;
            __IO  uint16_t  CMLD2                :1;
            __IO  uint16_t  CMLD3                :1;
            __IO  uint16_t  CMLD4                :1;
            __IO  uint16_t  CMLD5                :1;
            __IO  uint16_t  CMLD6                :1;
            __IO  uint16_t  CMLD7                :1;
            __IO  uint16_t  CMLD8                :1;
            __IO  uint16_t  CMLD9                :1;
        };
    };
} stc_adc_wcmpdl_field_t;

typedef struct stc_adc_wcmpdh_field
{
    union {
        struct {
            __IO  uint16_t  RESERVED0            :6;
            __IO  uint16_t  CMHD                 :10;
        };
        struct {
            __IO  uint16_t  RESERVED1            :6;
            __IO  uint16_t  CMHD0                :1;
            __IO  uint16_t  CMHD1                :1;
            __IO  uint16_t  CMHD2                :1;
            __IO  uint16_t  CMHD3                :1;
            __IO  uint16_t  CMHD4                :1;
            __IO  uint16_t  CMHD5                :1;
            __IO  uint16_t  CMHD6                :1;
            __IO  uint16_t  CMHD7                :1;
            __IO  uint16_t  CMHD8                :1;
            __IO  uint16_t  CMHD9                :1;
        };
    };
} stc_adc_wcmpdh_field_t;

/******************************************************************************
 ** BT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_bt_tmcr_field
{
    union {
        union {
            struct {
                __IO  uint16_t  STRG             :1;
                __IO  uint16_t  CTEN             :1;
                __IO  uint16_t  MDSE             :1;
                __IO  uint16_t  OSEL             :1;
                __IO  uint16_t  FMD              :3;
                __IO  uint16_t  RESERVED1        :1;
                __IO  uint16_t  EGS              :2;
                __IO  uint16_t  PMSK             :1;
                __IO  uint16_t  RTGEN            :1;
                __IO  uint16_t  CKS              :3;
                __IO  uint16_t  RESERVED4        :1;
            };
            struct {
                __IO  uint16_t  RESERVED0        :4;
                __IO  uint16_t  FMD0             :1;
                __IO  uint16_t  FMD1             :1;
                __IO  uint16_t  FMD2             :1;
                __IO  uint16_t  RESERVED2        :1;
                __IO  uint16_t  EGS0             :1;
                __IO  uint16_t  EGS1             :1;
                __IO  uint16_t  RESERVED3        :2;
                __IO  uint16_t  CKS0             :1;
                __IO  uint16_t  CKS1             :1;
                __IO  uint16_t  CKS2             :1;
                __IO  uint16_t  RESERVED5        :1;
            };
        };
        union {
            struct {
                __IO  uint16_t  RESERVED6        :7;
                __IO  uint16_t  T32              :1;
                __IO  uint16_t  RESERVED7        :8;
            };
            struct {
                __IO  uint16_t  RESERVED8        :16;
            };
        };
    };
} stc_bt_tmcr_field_t;

typedef struct stc_bt_stc_field
{
    union {
        struct {
            __IO   uint8_t  UDIR                 :1;
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  TGIR                 :1;
            __IO   uint8_t  RESERVED1            :1;
            __IO   uint8_t  UDIE                 :1;
            __IO   uint8_t  RESERVED2            :1;
            __IO   uint8_t  TGIE                 :1;
            __IO   uint8_t  RESERVED3            :1;
        };
        struct {
            __IO   uint8_t  OVIR                 :1;
            __IO   uint8_t  RESERVED5            :1;
            __IO   uint8_t  EDIR                 :1;
            __IO   uint8_t  RESERVED6            :1;
            __IO   uint8_t  OVIE                 :1;
            __IO   uint8_t  RESERVED7            :1;
            __IO   uint8_t  EDIE                 :1;
            __IO   uint8_t  ERR                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED9            :1;
            __IO   uint8_t  DTIR                 :1;
            __IO   uint8_t  RESERVED10           :3;
            __IO   uint8_t  DTIE                 :1;
            __IO   uint8_t  RESERVED11           :2;
        };
    };
} stc_bt_stc_field_t;

typedef struct stc_bt_tmcr2_field
{
    union {
        struct {
            __IO   uint8_t  CKS3                 :1;
            __IO   uint8_t  RESERVED0            :7;
        };
        struct {
            __IO   uint8_t  RESERVED6            :7;
            __IO   uint8_t  GATE                 :1;
        };
    };
} stc_bt_tmcr2_field_t;

typedef struct stc_bt_ppg_tmcr_field
{
    union {
        struct {
            __IO  uint16_t  STRG                 :1;
            __IO  uint16_t  CTEN                 :1;
            __IO  uint16_t  MDSE                 :1;
            __IO  uint16_t  OSEL                 :1;
            __IO  uint16_t  FMD                  :3;
            __IO  uint16_t  RESERVED1            :1;
            __IO  uint16_t  EGS                  :2;
            __IO  uint16_t  PMSK                 :1;
            __IO  uint16_t  RTGEN                :1;
            __IO  uint16_t  CKS                  :3;
            __IO  uint16_t  RESERVED4            :1;
        };
        struct {
            __IO  uint16_t  RESERVED0            :4;
            __IO  uint16_t  FMD0                 :1;
            __IO  uint16_t  FMD1                 :1;
            __IO  uint16_t  FMD2                 :1;
            __IO  uint16_t  RESERVED2            :1;
            __IO  uint16_t  EGS0                 :1;
            __IO  uint16_t  EGS1                 :1;
            __IO  uint16_t  RESERVED3            :2;
            __IO  uint16_t  CKS0                 :1;
            __IO  uint16_t  CKS1                 :1;
            __IO  uint16_t  CKS2                 :1;
            __IO  uint16_t  RESERVED5            :1;
        };
    };
} stc_bt_ppg_tmcr_field_t;

typedef struct stc_bt_pwc_tmcr_field
{
    union {
        struct {
            __IO  uint16_t  RESERVED6            :1;
            __IO  uint16_t  CTEN                 :1;
            __IO  uint16_t  MDSE                 :1;
            __IO  uint16_t  RESERVED7            :1;
            __IO  uint16_t  FMD                  :3;
            __IO  uint16_t  T32                  :1;
            __IO  uint16_t  EGS                  :3;
            __IO  uint16_t  RESERVED10           :1;
            __IO  uint16_t  CKS                  :3;
            __IO  uint16_t  RESERVED12           :1;
        };
        struct {
            __IO  uint16_t  RESERVED8            :4;
            __IO  uint16_t  FMD0                 :1;
            __IO  uint16_t  FMD1                 :1;
            __IO  uint16_t  FMD2                 :1;
            __IO  uint16_t  RESERVED9            :1;
            __IO  uint16_t  EGS0                 :1;
            __IO  uint16_t  EGS1                 :1;
            __IO  uint16_t  EGS2                 :1;
            __IO  uint16_t  RESERVED11           :1;
            __IO  uint16_t  CKS0                 :1;
            __IO  uint16_t  CKS1                 :1;
            __IO  uint16_t  CKS2                 :1;
            __IO  uint16_t  RESERVED13           :1;
        };
    };
} stc_bt_pwc_tmcr_field_t;

typedef struct stc_bt_pwm_tmcr_field
{
    union {
        struct {
            __IO  uint16_t  STRG                 :1;
            __IO  uint16_t  CTEN                 :1;
            __IO  uint16_t  MDSE                 :1;
            __IO  uint16_t  OSEL                 :1;
            __IO  uint16_t  FMD                  :3;
            __IO  uint16_t  RESERVED15           :1;
            __IO  uint16_t  EGS                  :2;
            __IO  uint16_t  PMSK                 :1;
            __IO  uint16_t  RTGEN                :1;
            __IO  uint16_t  CKS                  :3;
            __IO  uint16_t  RESERVED18           :1;
        };
        struct {
            __IO  uint16_t  RESERVED14           :4;
            __IO  uint16_t  FMD0                 :1;
            __IO  uint16_t  FMD1                 :1;
            __IO  uint16_t  FMD2                 :1;
            __IO  uint16_t  RESERVED16           :1;
            __IO  uint16_t  EGS0                 :1;
            __IO  uint16_t  EGS1                 :1;
            __IO  uint16_t  RESERVED17           :2;
            __IO  uint16_t  CKS0                 :1;
            __IO  uint16_t  CKS1                 :1;
            __IO  uint16_t  CKS2                 :1;
            __IO  uint16_t  RESERVED19           :1;
        };
    };
} stc_bt_pwm_tmcr_field_t;

typedef struct stc_bt_rt_tmcr_field
{
    union {
        struct {
            __IO  uint16_t  STRG                 :1;
            __IO  uint16_t  CTEN                 :1;
            __IO  uint16_t  MDSE                 :1;
            __IO  uint16_t  OSEL                 :1;
            __IO  uint16_t  FMD                  :3;
            __IO  uint16_t  T32                  :1;
            __IO  uint16_t  EGS                  :2;
            __IO  uint16_t  RESERVED22           :2;
            __IO  uint16_t  CKS                  :3;
            __IO  uint16_t  RESERVED24           :1;
        };
        struct {
            __IO  uint16_t  RESERVED20           :4;
            __IO  uint16_t  FMD0                 :1;
            __IO  uint16_t  FMD1                 :1;
            __IO  uint16_t  FMD2                 :1;
            __IO  uint16_t  RESERVED21           :1;
            __IO  uint16_t  EGS0                 :1;
            __IO  uint16_t  EGS1                 :1;
            __IO  uint16_t  RESERVED23           :2;
            __IO  uint16_t  CKS0                 :1;
            __IO  uint16_t  CKS1                 :1;
            __IO  uint16_t  CKS2                 :1;
            __IO  uint16_t  RESERVED25           :1;
        };
    };
} stc_bt_rt_tmcr_field_t;

typedef struct stc_bt_ppg_stc_field
{
        __IO   uint8_t  UDIR                     :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  TGIR                     :1;
        __IO   uint8_t  RESERVED1                :1;
        __IO   uint8_t  UDIE                     :1;
        __IO   uint8_t  RESERVED2                :1;
        __IO   uint8_t  TGIE                     :1;
        __IO   uint8_t  RESERVED3                :1;
} stc_bt_ppg_stc_field_t;

typedef struct stc_bt_pwc_stc_field
{
        __IO   uint8_t  OVIR                     :1;
        __IO   uint8_t  RESERVED5                :1;
        __IO   uint8_t  EDIR                     :1;
        __IO   uint8_t  RESERVED6                :1;
        __IO   uint8_t  OVIE                     :1;
        __IO   uint8_t  RESERVED7                :1;
        __IO   uint8_t  EDIE                     :1;
        __IO   uint8_t  ERR                      :1;
} stc_bt_pwc_stc_field_t;

typedef struct stc_bt_pwm_stc_field
{
        __IO   uint8_t  UDIR                     :1;
        __IO   uint8_t  DTIR                     :1;
        __IO   uint8_t  TGIR                     :1;
        __IO   uint8_t  RESERVED9                :1;
        __IO   uint8_t  UDIE                     :1;
        __IO   uint8_t  DTIE                     :1;
        __IO   uint8_t  TGIE                     :1;
        __IO   uint8_t  RESERVED10               :1;
} stc_bt_pwm_stc_field_t;

typedef struct stc_bt_rt_stc_field
{
        __IO   uint8_t  UDIR                     :1;
        __IO   uint8_t  RESERVED12               :1;
        __IO   uint8_t  TGIR                     :1;
        __IO   uint8_t  RESERVED13               :1;
        __IO   uint8_t  UDIE                     :1;
        __IO   uint8_t  RESERVED14               :1;
        __IO   uint8_t  TGIE                     :1;
        __IO   uint8_t  RESERVED15               :1;
} stc_bt_rt_stc_field_t;

typedef struct stc_bt_ppg_tmcr2_field
{
        __IO   uint8_t  CKS3                     :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_bt_ppg_tmcr2_field_t;

typedef struct stc_bt_pwc_tmcr2_field
{
        __IO   uint8_t  CKS3                     :1;
        __IO   uint8_t  RESERVED2                :7;
} stc_bt_pwc_tmcr2_field_t;

typedef struct stc_bt_pwm_tmcr2_field
{
        __IO   uint8_t  CKS3                     :1;
        __IO   uint8_t  RESERVED4                :7;
} stc_bt_pwm_tmcr2_field_t;

typedef struct stc_bt_rt_tmcr2_field
{
        __IO   uint8_t  CKS3                     :1;
        __IO   uint8_t  RESERVED6                :6;
        __IO   uint8_t  GATE                     :1;
} stc_bt_rt_tmcr2_field_t;

/******************************************************************************
 ** BTIOSEL03_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_btiosel03_btsel0123_field
{
    union {
        struct {
            __IO   uint8_t  SEL01                :4;
            __IO   uint8_t  SEL23                :4;
        };
        struct {
            __IO   uint8_t  SEL010               :1;
            __IO   uint8_t  SEL011               :1;
            __IO   uint8_t  SEL012               :1;
            __IO   uint8_t  SEL013               :1;
            __IO   uint8_t  SEL230               :1;
            __IO   uint8_t  SEL231               :1;
            __IO   uint8_t  SEL232               :1;
            __IO   uint8_t  SEL233               :1;
        };
    };
} stc_btiosel03_btsel0123_field_t;

/******************************************************************************
 ** CLK_GATING_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_clk_gating_cken0_field
{
        __IO  uint32_t  MFSCK0                   :1;
        __IO  uint32_t  MFSCK1                   :1;
        __IO  uint32_t  MFSCK2                   :1;
        __IO  uint32_t  MFSCK3                   :1;
        __IO  uint32_t  MFSCK4                   :1;
        __IO  uint32_t  MFSCK5                   :1;
        __IO  uint32_t  MFSCK6                   :1;
        __IO  uint32_t  MFSCK7                   :1;
        __IO  uint32_t  MFSCK8                   :1;
        __IO  uint32_t  MFSCK9                   :1;
        __IO  uint32_t  MFSCK10                  :1;
        __IO  uint32_t  MFSCK11                  :1;
        __IO  uint32_t  MFSCK12                  :1;
        __IO  uint32_t  MFSCK13                  :1;
        __IO  uint32_t  MFSCK14                  :1;
        __IO  uint32_t  MFSCK15                  :1;
        __IO  uint32_t  ADCCK0                   :1;
        __IO  uint32_t  ADCCK1                   :1;
        __IO  uint32_t  ADCCK2                   :1;
        __IO  uint32_t  ADCCK3                   :1;
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  DMACK                    :1;
        __IO  uint32_t  DSTCCK                   :1;
        __IO  uint32_t  RESERVED1                :2;
        __IO  uint32_t  GIOCK                    :1;
        __IO  uint32_t  RESERVED2                :3;
} stc_clk_gating_cken0_field_t;

typedef struct stc_clk_gating_mrst0_field
{
        __IO  uint32_t  MFSRST0                  :1;
        __IO  uint32_t  MFSRST1                  :1;
        __IO  uint32_t  MFSRST2                  :1;
        __IO  uint32_t  MFSRST3                  :1;
        __IO  uint32_t  MFSRST4                  :1;
        __IO  uint32_t  MFSRST5                  :1;
        __IO  uint32_t  MFSRST6                  :1;
        __IO  uint32_t  MFSRST7                  :1;
        __IO  uint32_t  MFSRST8                  :1;
        __IO  uint32_t  MFSRST9                  :1;
        __IO  uint32_t  MFSRST10                 :1;
        __IO  uint32_t  MFSRST11                 :1;
        __IO  uint32_t  MFSRST12                 :1;
        __IO  uint32_t  MFSRST13                 :1;
        __IO  uint32_t  MFSRST14                 :1;
        __IO  uint32_t  MFSRST15                 :1;
        __IO  uint32_t  ADCRST0                  :1;
        __IO  uint32_t  ADCRST1                  :1;
        __IO  uint32_t  ADCRST2                  :1;
        __IO  uint32_t  ADCRST3                  :1;
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  DMARST                   :1;
        __IO  uint32_t  DSTCRST                  :1;
        __IO  uint32_t  RESERVED1                :6;
} stc_clk_gating_mrst0_field_t;

typedef struct stc_clk_gating_cken1_field
{
        __IO  uint32_t  BTMCK0                   :1;
        __IO  uint32_t  BTMCK1                   :1;
        __IO  uint32_t  BTMCK2                   :1;
        __IO  uint32_t  BTMCK3                   :1;
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  MFTCK0                   :1;
        __IO  uint32_t  MFTCK1                   :1;
        __IO  uint32_t  MFTCK2                   :1;
        __IO  uint32_t  MFTCK3                   :1;
        __IO  uint32_t  RESERVED1                :4;
        __IO  uint32_t  QDUCK0                   :1;
        __IO  uint32_t  QDUCK1                   :1;
        __IO  uint32_t  QDUCK2                   :1;
        __IO  uint32_t  QDUCK3                   :1;
        __IO  uint32_t  RESERVED2                :12;
} stc_clk_gating_cken1_field_t;

typedef struct stc_clk_gating_mrst1_field
{
        __IO  uint32_t  BTMRST0                  :1;
        __IO  uint32_t  BTMRST1                  :1;
        __IO  uint32_t  BTMRST2                  :1;
        __IO  uint32_t  BTMRST3                  :1;
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  MFTRST0                  :1;
        __IO  uint32_t  MFTRST1                  :1;
        __IO  uint32_t  MFTRST2                  :1;
        __IO  uint32_t  MFTRST3                  :1;
        __IO  uint32_t  RESERVED1                :4;
        __IO  uint32_t  QDURST0                  :1;
        __IO  uint32_t  QDURST1                  :1;
        __IO  uint32_t  QDURST2                  :1;
        __IO  uint32_t  QDURST3                  :1;
        __IO  uint32_t  RESERVED2                :12;
} stc_clk_gating_mrst1_field_t;

typedef struct stc_clk_gating_cken2_field
{
        __IO  uint32_t  USBCK0                   :1;
        __IO  uint32_t  USBCK1                   :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  CANCK0                   :1;
        __IO  uint32_t  CANCK1                   :1;
        __IO  uint32_t  RESERVED1                :6;
        __IO  uint32_t  ICCCK0                   :1;
        __IO  uint32_t  ICCCK1                   :1;
        __IO  uint32_t  I2SCCK0                  :1;
        __IO  uint32_t  I2SCCK1                  :1;
        __IO  uint32_t  LCDCCK                   :1;
        __IO  uint32_t  RESERVED2                :1;
        __IO  uint32_t  CECCK                    :1;
        __IO  uint32_t  RESERVED3                :1;
        __IO  uint32_t  PCRCCK                   :1;
        __IO  uint32_t  RESERVED4                :11;
} stc_clk_gating_cken2_field_t;

typedef struct stc_clk_gating_mrst2_field
{
        __IO  uint32_t  USBRST0                  :1;
        __IO  uint32_t  USBRST1                  :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  CANRST0                  :1;
        __IO  uint32_t  CANRST1                  :1;
        __IO  uint32_t  RESERVED1                :6;
        __IO  uint32_t  ICCRST0                  :1;
        __IO  uint32_t  ICCRST1                  :1;
        __IO  uint32_t  I2SCRST0                 :1;
        __IO  uint32_t  I2SCRST1                 :1;
        __IO  uint32_t  LCDCRST                  :1;
        __IO  uint32_t  RESERVED2                :1;
        __IO  uint32_t  CECRST                   :1;
        __IO  uint32_t  RESERVED3                :1;
        __IO  uint32_t  PCRCRST                  :1;
        __IO  uint32_t  RESERVED4                :11;
} stc_clk_gating_mrst2_field_t;

/******************************************************************************
 ** CRC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_crc_crccr_field
{
        __IO   uint8_t  INIT                     :1;
        __IO   uint8_t  CRC32                    :1;
        __IO   uint8_t  LTLEND                   :1;
        __IO   uint8_t  LSBFST                   :1;
        __IO   uint8_t  CRCLTE                   :1;
        __IO   uint8_t  CRCLSF                   :1;
        __IO   uint8_t  FXOR                     :1;
        __IO   uint8_t  RESERVED0                :1;
} stc_crc_crccr_field_t;

typedef struct stc_crc_crcinit_field
{
    union {
        struct {
            __IO  uint32_t  D                    :32;
        };
        struct {
            __IO  uint32_t  D0                   :1;
            __IO  uint32_t  D1                   :1;
            __IO  uint32_t  D2                   :1;
            __IO  uint32_t  D3                   :1;
            __IO  uint32_t  D4                   :1;
            __IO  uint32_t  D5                   :1;
            __IO  uint32_t  D6                   :1;
            __IO  uint32_t  D7                   :1;
            __IO  uint32_t  D8                   :1;
            __IO  uint32_t  D9                   :1;
            __IO  uint32_t  D10                  :1;
            __IO  uint32_t  D11                  :1;
            __IO  uint32_t  D12                  :1;
            __IO  uint32_t  D13                  :1;
            __IO  uint32_t  D14                  :1;
            __IO  uint32_t  D15                  :1;
            __IO  uint32_t  D16                  :1;
            __IO  uint32_t  D17                  :1;
            __IO  uint32_t  D18                  :1;
            __IO  uint32_t  D19                  :1;
            __IO  uint32_t  D20                  :1;
            __IO  uint32_t  D21                  :1;
            __IO  uint32_t  D22                  :1;
            __IO  uint32_t  D23                  :1;
            __IO  uint32_t  D24                  :1;
            __IO  uint32_t  D25                  :1;
            __IO  uint32_t  D26                  :1;
            __IO  uint32_t  D27                  :1;
            __IO  uint32_t  D28                  :1;
            __IO  uint32_t  D29                  :1;
            __IO  uint32_t  D30                  :1;
            __IO  uint32_t  D31                  :1;
        };
    };
} stc_crc_crcinit_field_t;

typedef struct stc_crc_crcin_field
{
    union {
        struct {
            __IO  uint32_t  D                    :32;
        };
        struct {
            __IO  uint32_t  D0                   :1;
            __IO  uint32_t  D1                   :1;
            __IO  uint32_t  D2                   :1;
            __IO  uint32_t  D3                   :1;
            __IO  uint32_t  D4                   :1;
            __IO  uint32_t  D5                   :1;
            __IO  uint32_t  D6                   :1;
            __IO  uint32_t  D7                   :1;
            __IO  uint32_t  D8                   :1;
            __IO  uint32_t  D9                   :1;
            __IO  uint32_t  D10                  :1;
            __IO  uint32_t  D11                  :1;
            __IO  uint32_t  D12                  :1;
            __IO  uint32_t  D13                  :1;
            __IO  uint32_t  D14                  :1;
            __IO  uint32_t  D15                  :1;
            __IO  uint32_t  D16                  :1;
            __IO  uint32_t  D17                  :1;
            __IO  uint32_t  D18                  :1;
            __IO  uint32_t  D19                  :1;
            __IO  uint32_t  D20                  :1;
            __IO  uint32_t  D21                  :1;
            __IO  uint32_t  D22                  :1;
            __IO  uint32_t  D23                  :1;
            __IO  uint32_t  D24                  :1;
            __IO  uint32_t  D25                  :1;
            __IO  uint32_t  D26                  :1;
            __IO  uint32_t  D27                  :1;
            __IO  uint32_t  D28                  :1;
            __IO  uint32_t  D29                  :1;
            __IO  uint32_t  D30                  :1;
            __IO  uint32_t  D31                  :1;
        };
    };
} stc_crc_crcin_field_t;

typedef struct stc_crc_crcr_field
{
    union {
        struct {
            __IO  uint32_t  D                    :32;
        };
        struct {
            __IO  uint32_t  D0                   :1;
            __IO  uint32_t  D1                   :1;
            __IO  uint32_t  D2                   :1;
            __IO  uint32_t  D3                   :1;
            __IO  uint32_t  D4                   :1;
            __IO  uint32_t  D5                   :1;
            __IO  uint32_t  D6                   :1;
            __IO  uint32_t  D7                   :1;
            __IO  uint32_t  D8                   :1;
            __IO  uint32_t  D9                   :1;
            __IO  uint32_t  D10                  :1;
            __IO  uint32_t  D11                  :1;
            __IO  uint32_t  D12                  :1;
            __IO  uint32_t  D13                  :1;
            __IO  uint32_t  D14                  :1;
            __IO  uint32_t  D15                  :1;
            __IO  uint32_t  D16                  :1;
            __IO  uint32_t  D17                  :1;
            __IO  uint32_t  D18                  :1;
            __IO  uint32_t  D19                  :1;
            __IO  uint32_t  D20                  :1;
            __IO  uint32_t  D21                  :1;
            __IO  uint32_t  D22                  :1;
            __IO  uint32_t  D23                  :1;
            __IO  uint32_t  D24                  :1;
            __IO  uint32_t  D25                  :1;
            __IO  uint32_t  D26                  :1;
            __IO  uint32_t  D27                  :1;
            __IO  uint32_t  D28                  :1;
            __IO  uint32_t  D29                  :1;
            __IO  uint32_t  D30                  :1;
            __IO  uint32_t  D31                  :1;
        };
    };
} stc_crc_crcr_field_t;

/******************************************************************************
 ** CRG_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_crg_scm_ctl_field
{
    union {
        struct {
            __IO  uint32_t  HCRE                 :1;
            __IO  uint32_t  MOSCE                :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  SOSCE                :1;
            __IO  uint32_t  PLLE                 :1;
            __IO  uint32_t  RCS                  :3;
            __IO  uint32_t  RESERVED2            :24;
        };
        struct {
            __IO  uint32_t  RESERVED1            :5;
            __IO  uint32_t  RCS0                 :1;
            __IO  uint32_t  RCS1                 :1;
            __IO  uint32_t  RCS2                 :1;
            __IO  uint32_t  RESERVED3            :24;
        };
    };
} stc_crg_scm_ctl_field_t;

typedef struct stc_crg_scm_str_field
{
    union {
        struct {
            __IO  uint32_t  HCRDY                :1;
            __IO  uint32_t  MORDY                :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  SORDY                :1;
            __IO  uint32_t  PLRDY                :1;
            __IO  uint32_t  RCM                  :3;
            __IO  uint32_t  RESERVED2            :24;
        };
        struct {
            __IO  uint32_t  RESERVED1            :5;
            __IO  uint32_t  RCM0                 :1;
            __IO  uint32_t  RCM1                 :1;
            __IO  uint32_t  RCM2                 :1;
            __IO  uint32_t  RESERVED3            :24;
        };
    };
} stc_crg_scm_str_field_t;

typedef struct stc_crg_stb_ctl_field
{
    union {
        struct {
            __IO  uint32_t  STM                  :2;
            __IO  uint32_t  DSTM                 :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  SPL                  :1;
            __IO  uint32_t  RESERVED1            :11;
            __IO  uint32_t  KEY                  :16;
        };
        struct {
            __IO  uint32_t  STM0                 :1;
            __IO  uint32_t  STM1                 :1;
            __IO  uint32_t  RESERVED2            :14;
            __IO  uint32_t  KEY0                 :1;
            __IO  uint32_t  KEY1                 :1;
            __IO  uint32_t  KEY2                 :1;
            __IO  uint32_t  KEY3                 :1;
            __IO  uint32_t  KEY4                 :1;
            __IO  uint32_t  KEY5                 :1;
            __IO  uint32_t  KEY6                 :1;
            __IO  uint32_t  KEY7                 :1;
            __IO  uint32_t  KEY8                 :1;
            __IO  uint32_t  KEY9                 :1;
            __IO  uint32_t  KEY10                :1;
            __IO  uint32_t  KEY11                :1;
            __IO  uint32_t  KEY12                :1;
            __IO  uint32_t  KEY13                :1;
            __IO  uint32_t  KEY14                :1;
            __IO  uint32_t  KEY15                :1;
        };
    };
} stc_crg_stb_ctl_field_t;

typedef struct stc_crg_rst_str_field
{
        __IO  uint32_t  PONR                     :1;
        __IO  uint32_t  INITX                    :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  SWDT                     :1;
        __IO  uint32_t  HWDT                     :1;
        __IO  uint32_t  CSVR                     :1;
        __IO  uint32_t  FCSR                     :1;
        __IO  uint32_t  SRST                     :1;
        __IO  uint32_t  RESERVED1                :23;
} stc_crg_rst_str_field_t;

typedef struct stc_crg_bsc_psr_field
{
    union {
        struct {
            __IO  uint32_t  BSR                  :3;
            __IO  uint32_t  RESERVED0            :29;
        };
        struct {
            __IO  uint32_t  BSR0                 :1;
            __IO  uint32_t  BSR1                 :1;
            __IO  uint32_t  BSR2                 :1;
            __IO  uint32_t  RESERVED1            :29;
        };
    };
} stc_crg_bsc_psr_field_t;

typedef struct stc_crg_apbc0_psr_field
{
    union {
        struct {
            __IO  uint32_t  APBC0                :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  APBC00               :1;
            __IO  uint32_t  APBC01               :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_crg_apbc0_psr_field_t;

typedef struct stc_crg_apbc1_psr_field
{
    union {
        struct {
            __IO  uint32_t  APBC1                :2;
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  APBC1RST             :1;
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  APBC1EN              :1;
            __IO  uint32_t  RESERVED2            :24;
        };
        struct {
            __IO  uint32_t  APBC10               :1;
            __IO  uint32_t  APBC11               :1;
            __IO  uint32_t  RESERVED3            :30;
        };
    };
} stc_crg_apbc1_psr_field_t;

typedef struct stc_crg_swc_psr_field
{
    union {
        struct {
            __IO  uint32_t  SWDS                 :2;
            __IO  uint32_t  RESERVED0            :5;
            __IO  uint32_t  TESTB                :1;
            __IO  uint32_t  RESERVED1            :24;
        };
        struct {
            __IO  uint32_t  SWDS0                :1;
            __IO  uint32_t  SWDS1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_crg_swc_psr_field_t;

typedef struct stc_crg_csw_tmr_field
{
    union {
        struct {
            __IO  uint32_t  MOWT                 :4;
            __IO  uint32_t  SOWT                 :4;
            __IO  uint32_t  RESERVED0            :24;
        };
        struct {
            __IO  uint32_t  MOWT0                :1;
            __IO  uint32_t  MOWT1                :1;
            __IO  uint32_t  MOWT2                :1;
            __IO  uint32_t  MOWT3                :1;
            __IO  uint32_t  SOWT0                :1;
            __IO  uint32_t  SOWT1                :1;
            __IO  uint32_t  SOWT2                :1;
            __IO  uint32_t  SOWT3                :1;
            __IO  uint32_t  RESERVED1            :24;
        };
    };
} stc_crg_csw_tmr_field_t;

typedef struct stc_crg_psw_tmr_field
{
    union {
        struct {
            __IO  uint32_t  POWT                 :3;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  PINC                 :1;
            __IO  uint32_t  RESERVED1            :27;
        };
        struct {
            __IO  uint32_t  POWT0                :1;
            __IO  uint32_t  POWT1                :1;
            __IO  uint32_t  POWT2                :1;
            __IO  uint32_t  RESERVED2            :29;
        };
    };
} stc_crg_psw_tmr_field_t;

typedef struct stc_crg_pll_ctl1_field
{
    union {
        struct {
            __IO  uint32_t  PLLM                 :4;
            __IO  uint32_t  PLLK                 :4;
            __IO  uint32_t  RESERVED0            :24;
        };
        struct {
            __IO  uint32_t  PLLM0                :1;
            __IO  uint32_t  PLLM1                :1;
            __IO  uint32_t  PLLM2                :1;
            __IO  uint32_t  PLLM3                :1;
            __IO  uint32_t  PLLK0                :1;
            __IO  uint32_t  PLLK1                :1;
            __IO  uint32_t  PLLK2                :1;
            __IO  uint32_t  PLLK3                :1;
            __IO  uint32_t  RESERVED1            :24;
        };
    };
} stc_crg_pll_ctl1_field_t;

typedef struct stc_crg_pll_ctl2_field
{
    union {
        struct {
            __IO  uint32_t  PLLN                 :6;
            __IO  uint32_t  RESERVED0            :26;
        };
        struct {
            __IO  uint32_t  PLLN0                :1;
            __IO  uint32_t  PLLN1                :1;
            __IO  uint32_t  PLLN2                :1;
            __IO  uint32_t  PLLN3                :1;
            __IO  uint32_t  PLLN4                :1;
            __IO  uint32_t  PLLN5                :1;
            __IO  uint32_t  RESERVED1            :26;
        };
    };
} stc_crg_pll_ctl2_field_t;

typedef struct stc_crg_csv_ctl_field
{
    union {
        struct {
            __IO  uint32_t  MCSVE                :1;
            __IO  uint32_t  SCSVE                :1;
            __IO  uint32_t  RESERVED0            :6;
            __IO  uint32_t  FCSDE                :1;
            __IO  uint32_t  FCSRE                :1;
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  FCD                  :3;
            __IO  uint32_t  RESERVED3            :17;
        };
        struct {
            __IO  uint32_t  RESERVED2            :12;
            __IO  uint32_t  FCD0                 :1;
            __IO  uint32_t  FCD1                 :1;
            __IO  uint32_t  FCD2                 :1;
            __IO  uint32_t  RESERVED4            :17;
        };
    };
} stc_crg_csv_ctl_field_t;

typedef struct stc_crg_csv_str_field
{
        __IO  uint32_t  MCMF                     :1;
        __IO  uint32_t  SCMF                     :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_crg_csv_str_field_t;

typedef struct stc_crg_fcswh_ctl_field
{
    union {
        struct {
            __IO  uint32_t  FWH                  :16;
            __IO  uint32_t  RESERVED0            :16;
        };
        struct {
            __IO  uint32_t  FWH0                 :1;
            __IO  uint32_t  FWH1                 :1;
            __IO  uint32_t  FWH2                 :1;
            __IO  uint32_t  FWH3                 :1;
            __IO  uint32_t  FWH4                 :1;
            __IO  uint32_t  FWH5                 :1;
            __IO  uint32_t  FWH6                 :1;
            __IO  uint32_t  FWH7                 :1;
            __IO  uint32_t  FWH8                 :1;
            __IO  uint32_t  FWH9                 :1;
            __IO  uint32_t  FWH10                :1;
            __IO  uint32_t  FWH11                :1;
            __IO  uint32_t  FWH12                :1;
            __IO  uint32_t  FWH13                :1;
            __IO  uint32_t  FWH14                :1;
            __IO  uint32_t  FWH15                :1;
            __IO  uint32_t  RESERVED1            :16;
        };
    };
} stc_crg_fcswh_ctl_field_t;

typedef struct stc_crg_fcswl_ctl_field
{
    union {
        struct {
            __IO  uint32_t  FWL                  :16;
            __IO  uint32_t  RESERVED0            :16;
        };
        struct {
            __IO  uint32_t  FWL0                 :1;
            __IO  uint32_t  FWL1                 :1;
            __IO  uint32_t  FWL2                 :1;
            __IO  uint32_t  FWL3                 :1;
            __IO  uint32_t  FWL4                 :1;
            __IO  uint32_t  FWL5                 :1;
            __IO  uint32_t  FWL6                 :1;
            __IO  uint32_t  FWL7                 :1;
            __IO  uint32_t  FWL8                 :1;
            __IO  uint32_t  FWL9                 :1;
            __IO  uint32_t  FWL10                :1;
            __IO  uint32_t  FWL11                :1;
            __IO  uint32_t  FWL12                :1;
            __IO  uint32_t  FWL13                :1;
            __IO  uint32_t  FWL14                :1;
            __IO  uint32_t  FWL15                :1;
            __IO  uint32_t  RESERVED1            :16;
        };
    };
} stc_crg_fcswl_ctl_field_t;

typedef struct stc_crg_fcswd_ctl_field
{
    union {
        struct {
            __IO  uint32_t  FWD                  :16;
            __IO  uint32_t  RESERVED0            :16;
        };
        struct {
            __IO  uint32_t  FWD0                 :1;
            __IO  uint32_t  FWD1                 :1;
            __IO  uint32_t  FWD2                 :1;
            __IO  uint32_t  FWD3                 :1;
            __IO  uint32_t  FWD4                 :1;
            __IO  uint32_t  FWD5                 :1;
            __IO  uint32_t  FWD6                 :1;
            __IO  uint32_t  FWD7                 :1;
            __IO  uint32_t  FWD8                 :1;
            __IO  uint32_t  FWD9                 :1;
            __IO  uint32_t  FWD10                :1;
            __IO  uint32_t  FWD11                :1;
            __IO  uint32_t  FWD12                :1;
            __IO  uint32_t  FWD13                :1;
            __IO  uint32_t  FWD14                :1;
            __IO  uint32_t  FWD15                :1;
            __IO  uint32_t  RESERVED1            :16;
        };
    };
} stc_crg_fcswd_ctl_field_t;

typedef struct stc_crg_dbwdt_ctl_field
{
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  DPSWBE                   :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  DPHWBE                   :1;
        __IO  uint32_t  RESERVED2                :24;
} stc_crg_dbwdt_ctl_field_t;

typedef struct stc_crg_int_enr_field
{
        __IO  uint32_t  MCSE                     :1;
        __IO  uint32_t  SCSE                     :1;
        __IO  uint32_t  PCSE                     :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  FCSE                     :1;
        __IO  uint32_t  RESERVED1                :26;
} stc_crg_int_enr_field_t;

typedef struct stc_crg_int_str_field
{
        __IO  uint32_t  MCSI                     :1;
        __IO  uint32_t  SCSI                     :1;
        __IO  uint32_t  PCSI                     :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  FCSI                     :1;
        __IO  uint32_t  RESERVED1                :26;
} stc_crg_int_str_field_t;

typedef struct stc_crg_int_clr_field
{
        __IO  uint32_t  MCSC                     :1;
        __IO  uint32_t  SCSC                     :1;
        __IO  uint32_t  PCSC                     :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  FCSC                     :1;
        __IO  uint32_t  RESERVED1                :26;
} stc_crg_int_clr_field_t;

/******************************************************************************
 ** CRTRIM_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_crtrim_mcr_psr_field
{
    union {
        struct {
            __IO   uint8_t  CSR                  :3;
            __IO   uint8_t  RESERVED0            :5;
        };
        struct {
            __IO   uint8_t  CSR0                 :1;
            __IO   uint8_t  CSR1                 :1;
            __IO   uint8_t  CSR2                 :1;
            __IO   uint8_t  RESERVED1            :5;
        };
    };
} stc_crtrim_mcr_psr_field_t;

typedef struct stc_crtrim_mcr_ftrm_field
{
    union {
        struct {
            __IO  uint16_t  TRD                  :10;
            __IO  uint16_t  RESERVED0            :6;
        };
        struct {
            __IO  uint16_t  TRD0                 :1;
            __IO  uint16_t  TRD1                 :1;
            __IO  uint16_t  TRD2                 :1;
            __IO  uint16_t  TRD3                 :1;
            __IO  uint16_t  TRD4                 :1;
            __IO  uint16_t  TRD5                 :1;
            __IO  uint16_t  TRD6                 :1;
            __IO  uint16_t  TRD7                 :1;
            __IO  uint16_t  TRD8                 :1;
            __IO  uint16_t  TRD9                 :1;
            __IO  uint16_t  RESERVED1            :6;
        };
    };
} stc_crtrim_mcr_ftrm_field_t;

typedef struct stc_crtrim_mcr_ttrm_field
{
    union {
        struct {
            __IO   uint8_t  TRT                  :5;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  TRT0                 :1;
            __IO   uint8_t  TRT1                 :1;
            __IO   uint8_t  TRT2                 :1;
            __IO   uint8_t  TRT3                 :1;
            __IO   uint8_t  TRT4                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_crtrim_mcr_ttrm_field_t;

typedef struct stc_crtrim_mcr_rlr_field
{
    union {
        struct {
            __IO  uint32_t  TRMLCK               :32;
        };
        struct {
            __IO  uint32_t  TRMLCK0              :1;
            __IO  uint32_t  TRMLCK1              :1;
            __IO  uint32_t  TRMLCK2              :1;
            __IO  uint32_t  TRMLCK3              :1;
            __IO  uint32_t  TRMLCK4              :1;
            __IO  uint32_t  TRMLCK5              :1;
            __IO  uint32_t  TRMLCK6              :1;
            __IO  uint32_t  TRMLCK7              :1;
            __IO  uint32_t  TRMLCK8              :1;
            __IO  uint32_t  TRMLCK9              :1;
            __IO  uint32_t  TRMLCK10             :1;
            __IO  uint32_t  TRMLCK11             :1;
            __IO  uint32_t  TRMLCK12             :1;
            __IO  uint32_t  TRMLCK13             :1;
            __IO  uint32_t  TRMLCK14             :1;
            __IO  uint32_t  TRMLCK15             :1;
            __IO  uint32_t  TRMLCK16             :1;
            __IO  uint32_t  TRMLCK17             :1;
            __IO  uint32_t  TRMLCK18             :1;
            __IO  uint32_t  TRMLCK19             :1;
            __IO  uint32_t  TRMLCK20             :1;
            __IO  uint32_t  TRMLCK21             :1;
            __IO  uint32_t  TRMLCK22             :1;
            __IO  uint32_t  TRMLCK23             :1;
            __IO  uint32_t  TRMLCK24             :1;
            __IO  uint32_t  TRMLCK25             :1;
            __IO  uint32_t  TRMLCK26             :1;
            __IO  uint32_t  TRMLCK27             :1;
            __IO  uint32_t  TRMLCK28             :1;
            __IO  uint32_t  TRMLCK29             :1;
            __IO  uint32_t  TRMLCK30             :1;
            __IO  uint32_t  TRMLCK31             :1;
        };
    };
} stc_crtrim_mcr_rlr_field_t;

/******************************************************************************
 ** DMAC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_dmac_dmacr_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :24;
            __IO  uint32_t  DH                   :4;
            __IO  uint32_t  PR                   :1;
            __IO  uint32_t  RESERVED2            :1;
            __IO  uint32_t  DS                   :1;
            __IO  uint32_t  DE                   :1;
        };
        struct {
            __IO  uint32_t  RESERVED1            :24;
            __IO  uint32_t  DH0                  :1;
            __IO  uint32_t  DH1                  :1;
            __IO  uint32_t  DH2                  :1;
            __IO  uint32_t  DH3                  :1;
            __IO  uint32_t  RESERVED3            :4;
        };
    };
} stc_dmac_dmacr_field_t;

typedef struct stc_dmac_dmaca0_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca0_field_t;

typedef struct stc_dmac_dmacb0_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb0_field_t;

typedef struct stc_dmac_dmaca1_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca1_field_t;

typedef struct stc_dmac_dmacb1_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb1_field_t;

typedef struct stc_dmac_dmaca2_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca2_field_t;

typedef struct stc_dmac_dmacb2_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb2_field_t;

typedef struct stc_dmac_dmaca3_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca3_field_t;

typedef struct stc_dmac_dmacb3_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb3_field_t;

typedef struct stc_dmac_dmaca4_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca4_field_t;

typedef struct stc_dmac_dmacb4_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb4_field_t;

typedef struct stc_dmac_dmaca5_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca5_field_t;

typedef struct stc_dmac_dmacb5_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb5_field_t;

typedef struct stc_dmac_dmaca6_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca6_field_t;

typedef struct stc_dmac_dmacb6_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb6_field_t;

typedef struct stc_dmac_dmaca7_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca7_field_t;

typedef struct stc_dmac_dmacb7_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb7_field_t;

/******************************************************************************
 ** DS_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_ds_reg_ctl_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  ISUBSEL              :2;
            __IO   uint8_t  RESERVED2            :5;
        };
        struct {
            __IO   uint8_t  RESERVED1            :1;
            __IO   uint8_t  ISUBSEL0             :1;
            __IO   uint8_t  ISUBSEL1             :1;
            __IO   uint8_t  RESERVED3            :5;
        };
    };
} stc_ds_reg_ctl_field_t;

typedef struct stc_ds_rck_ctl_field
{
        __IO   uint8_t  RTCCKE                   :1;
        __IO   uint8_t  CECCKE                   :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_ds_rck_ctl_field_t;

typedef struct stc_ds_pmd_ctl_field
{
        __IO   uint8_t  RTCE                     :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_ds_pmd_ctl_field_t;

typedef struct stc_ds_wrfsr_field
{
        __IO   uint8_t  WINITX                   :1;
        __IO   uint8_t  WLVDH                    :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_ds_wrfsr_field_t;

typedef struct stc_ds_wifsr_field
{
        __IO  uint16_t  WRTCI                    :1;
        __IO  uint16_t  WLVDI                    :1;
        __IO  uint16_t  WUI0                     :1;
        __IO  uint16_t  WUI1                     :1;
        __IO  uint16_t  WUI2                     :1;
        __IO  uint16_t  WUI3                     :1;
        __IO  uint16_t  WUI4                     :1;
        __IO  uint16_t  WUI5                     :1;
        __IO  uint16_t  WCEC0I                   :1;
        __IO  uint16_t  WCEC1I                   :1;
        __IO  uint16_t  RESERVED0                :6;
} stc_ds_wifsr_field_t;

typedef struct stc_ds_wier_field
{
        __IO  uint16_t  WRTCE                    :1;
        __IO  uint16_t  WLVDE                    :1;
        __IO  uint16_t  RESERVED0                :1;
        __IO  uint16_t  WUI1E                    :1;
        __IO  uint16_t  WUI2E                    :1;
        __IO  uint16_t  WUI3E                    :1;
        __IO  uint16_t  WUI4E                    :1;
        __IO  uint16_t  WUI5E                    :1;
        __IO  uint16_t  WCEC0E                   :1;
        __IO  uint16_t  WCEC1E                   :1;
        __IO  uint16_t  RESERVED1                :6;
} stc_ds_wier_field_t;

typedef struct stc_ds_wilvr_field
{
        __IO   uint8_t  WUI1LV                   :1;
        __IO   uint8_t  WUI2LV                   :1;
        __IO   uint8_t  WUI3LV                   :1;
        __IO   uint8_t  WUI4LV                   :1;
        __IO   uint8_t  WUI5LV                   :1;
        __IO   uint8_t  RESERVED0                :3;
} stc_ds_wilvr_field_t;

typedef struct stc_ds_dsramr_field
{
    union {
        struct {
            __IO   uint8_t  SRAMR                :2;
            __IO   uint8_t  RESERVED0            :6;
        };
        struct {
            __IO   uint8_t  SRAMR0               :1;
            __IO   uint8_t  SRAMR1               :1;
            __IO   uint8_t  RESERVED1            :6;
        };
    };
} stc_ds_dsramr_field_t;

/******************************************************************************
 ** DT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_dt_timer1control_field
{
    union {
        struct {
            __IO  uint32_t  ONESHOT              :1;
            __IO  uint32_t  TIMERSIZE            :1;
            __IO  uint32_t  TIMERPRE             :2;
            __IO  uint32_t  RESERVED1            :1;
            __IO  uint32_t  INTENABLE            :1;
            __IO  uint32_t  TIMERMODE            :1;
            __IO  uint32_t  TIMEREN              :1;
            __IO  uint32_t  RESERVED2            :24;
        };
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  TIMERPRE0            :1;
            __IO  uint32_t  TIMERPRE1            :1;
            __IO  uint32_t  RESERVED3            :28;
        };
    };
} stc_dt_timer1control_field_t;

typedef struct stc_dt_timer1ris_field
{
        __IO  uint32_t  TIMER1RIS                :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_dt_timer1ris_field_t;

typedef struct stc_dt_timer1mis_field
{
        __IO  uint32_t  TIMER1MIS                :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_dt_timer1mis_field_t;

typedef struct stc_dt_timer2control_field
{
    union {
        struct {
            __IO  uint32_t  ONESHOT              :1;
            __IO  uint32_t  TIMERSIZE            :1;
            __IO  uint32_t  TIMERPRE             :2;
            __IO  uint32_t  RESERVED1            :1;
            __IO  uint32_t  INTENABLE            :1;
            __IO  uint32_t  TIMERMODE            :1;
            __IO  uint32_t  TIMEREN              :1;
            __IO  uint32_t  RESERVED2            :24;
        };
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  TIMERPRE0            :1;
            __IO  uint32_t  TIMERPRE1            :1;
            __IO  uint32_t  RESERVED3            :28;
        };
    };
} stc_dt_timer2control_field_t;

typedef struct stc_dt_timer2ris_field
{
        __IO  uint32_t  TIMER2RIS                :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_dt_timer2ris_field_t;

typedef struct stc_dt_timer2mis_field
{
        __IO  uint32_t  TIMER2MIS                :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_dt_timer2mis_field_t;

/******************************************************************************
 ** EXTI_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_exti_enir_field
{
        __IO  uint32_t  EN0                      :1;
        __IO  uint32_t  EN1                      :1;
        __IO  uint32_t  EN2                      :1;
        __IO  uint32_t  EN3                      :1;
        __IO  uint32_t  EN4                      :1;
        __IO  uint32_t  EN5                      :1;
        __IO  uint32_t  EN6                      :1;
        __IO  uint32_t  EN7                      :1;
        __IO  uint32_t  EN8                      :1;
        __IO  uint32_t  EN9                      :1;
        __IO  uint32_t  EN10                     :1;
        __IO  uint32_t  EN11                     :1;
        __IO  uint32_t  EN12                     :1;
        __IO  uint32_t  EN13                     :1;
        __IO  uint32_t  EN14                     :1;
        __IO  uint32_t  EN15                     :1;
        __IO  uint32_t  EN16                     :1;
        __IO  uint32_t  EN17                     :1;
        __IO  uint32_t  EN18                     :1;
        __IO  uint32_t  EN19                     :1;
        __IO  uint32_t  EN20                     :1;
        __IO  uint32_t  EN21                     :1;
        __IO  uint32_t  EN22                     :1;
        __IO  uint32_t  EN23                     :1;
        __IO  uint32_t  EN24                     :1;
        __IO  uint32_t  EN25                     :1;
        __IO  uint32_t  EN26                     :1;
        __IO  uint32_t  EN27                     :1;
        __IO  uint32_t  EN28                     :1;
        __IO  uint32_t  EN29                     :1;
        __IO  uint32_t  EN30                     :1;
        __IO  uint32_t  EN31                     :1;
} stc_exti_enir_field_t;

typedef struct stc_exti_eirr_field
{
        __IO  uint32_t  ER0                      :1;
        __IO  uint32_t  ER1                      :1;
        __IO  uint32_t  ER2                      :1;
        __IO  uint32_t  ER3                      :1;
        __IO  uint32_t  ER4                      :1;
        __IO  uint32_t  ER5                      :1;
        __IO  uint32_t  ER6                      :1;
        __IO  uint32_t  ER7                      :1;
        __IO  uint32_t  ER8                      :1;
        __IO  uint32_t  ER9                      :1;
        __IO  uint32_t  ER10                     :1;
        __IO  uint32_t  ER11                     :1;
        __IO  uint32_t  ER12                     :1;
        __IO  uint32_t  ER13                     :1;
        __IO  uint32_t  ER14                     :1;
        __IO  uint32_t  ER15                     :1;
        __IO  uint32_t  ER16                     :1;
        __IO  uint32_t  ER17                     :1;
        __IO  uint32_t  ER18                     :1;
        __IO  uint32_t  ER19                     :1;
        __IO  uint32_t  ER20                     :1;
        __IO  uint32_t  ER21                     :1;
        __IO  uint32_t  ER22                     :1;
        __IO  uint32_t  ER23                     :1;
        __IO  uint32_t  ER24                     :1;
        __IO  uint32_t  ER25                     :1;
        __IO  uint32_t  ER26                     :1;
        __IO  uint32_t  ER27                     :1;
        __IO  uint32_t  ER28                     :1;
        __IO  uint32_t  ER29                     :1;
        __IO  uint32_t  ER30                     :1;
        __IO  uint32_t  ER31                     :1;
} stc_exti_eirr_field_t;

typedef struct stc_exti_eicl_field
{
        __IO  uint32_t  ECL0                     :1;
        __IO  uint32_t  ECL1                     :1;
        __IO  uint32_t  ECL2                     :1;
        __IO  uint32_t  ECL3                     :1;
        __IO  uint32_t  ECL4                     :1;
        __IO  uint32_t  ECL5                     :1;
        __IO  uint32_t  ECL6                     :1;
        __IO  uint32_t  ECL7                     :1;
        __IO  uint32_t  ECL8                     :1;
        __IO  uint32_t  ECL9                     :1;
        __IO  uint32_t  ECL10                    :1;
        __IO  uint32_t  ECL11                    :1;
        __IO  uint32_t  ECL12                    :1;
        __IO  uint32_t  ECL13                    :1;
        __IO  uint32_t  ECL14                    :1;
        __IO  uint32_t  ECL15                    :1;
        __IO  uint32_t  ECL16                    :1;
        __IO  uint32_t  ECL17                    :1;
        __IO  uint32_t  ECL18                    :1;
        __IO  uint32_t  ECL19                    :1;
        __IO  uint32_t  ECL20                    :1;
        __IO  uint32_t  ECL21                    :1;
        __IO  uint32_t  ECL22                    :1;
        __IO  uint32_t  ECL23                    :1;
        __IO  uint32_t  ECL24                    :1;
        __IO  uint32_t  ECL25                    :1;
        __IO  uint32_t  ECL26                    :1;
        __IO  uint32_t  ECL27                    :1;
        __IO  uint32_t  ECL28                    :1;
        __IO  uint32_t  ECL29                    :1;
        __IO  uint32_t  ECL30                    :1;
        __IO  uint32_t  ECL31                    :1;
} stc_exti_eicl_field_t;

typedef struct stc_exti_elvr_field
{
        __IO  uint32_t  LA0                      :1;
        __IO  uint32_t  LB0                      :1;
        __IO  uint32_t  LA1                      :1;
        __IO  uint32_t  LB1                      :1;
        __IO  uint32_t  LA2                      :1;
        __IO  uint32_t  LB2                      :1;
        __IO  uint32_t  LA3                      :1;
        __IO  uint32_t  LB3                      :1;
        __IO  uint32_t  LA4                      :1;
        __IO  uint32_t  LB4                      :1;
        __IO  uint32_t  LA5                      :1;
        __IO  uint32_t  LB5                      :1;
        __IO  uint32_t  LA6                      :1;
        __IO  uint32_t  LB6                      :1;
        __IO  uint32_t  LA7                      :1;
        __IO  uint32_t  LB7                      :1;
        __IO  uint32_t  LA8                      :1;
        __IO  uint32_t  LB8                      :1;
        __IO  uint32_t  LA9                      :1;
        __IO  uint32_t  LB9                      :1;
        __IO  uint32_t  LA10                     :1;
        __IO  uint32_t  LB10                     :1;
        __IO  uint32_t  LA11                     :1;
        __IO  uint32_t  LB11                     :1;
        __IO  uint32_t  LA12                     :1;
        __IO  uint32_t  LB12                     :1;
        __IO  uint32_t  LA13                     :1;
        __IO  uint32_t  LB13                     :1;
        __IO  uint32_t  LA14                     :1;
        __IO  uint32_t  LB14                     :1;
        __IO  uint32_t  LA15                     :1;
        __IO  uint32_t  LB15                     :1;
} stc_exti_elvr_field_t;

typedef struct stc_exti_elvr1_field
{
        __IO  uint32_t  LA16                     :1;
        __IO  uint32_t  LB16                     :1;
        __IO  uint32_t  LA17                     :1;
        __IO  uint32_t  LB17                     :1;
        __IO  uint32_t  LA18                     :1;
        __IO  uint32_t  LB18                     :1;
        __IO  uint32_t  LA19                     :1;
        __IO  uint32_t  LB19                     :1;
        __IO  uint32_t  LA20                     :1;
        __IO  uint32_t  LB20                     :1;
        __IO  uint32_t  LA21                     :1;
        __IO  uint32_t  LB21                     :1;
        __IO  uint32_t  LA22                     :1;
        __IO  uint32_t  LB22                     :1;
        __IO  uint32_t  LA23                     :1;
        __IO  uint32_t  LB23                     :1;
        __IO  uint32_t  LA24                     :1;
        __IO  uint32_t  LB24                     :1;
        __IO  uint32_t  LA25                     :1;
        __IO  uint32_t  LB25                     :1;
        __IO  uint32_t  LA26                     :1;
        __IO  uint32_t  LB26                     :1;
        __IO  uint32_t  LA27                     :1;
        __IO  uint32_t  LB27                     :1;
        __IO  uint32_t  LA28                     :1;
        __IO  uint32_t  LB28                     :1;
        __IO  uint32_t  LA29                     :1;
        __IO  uint32_t  LB29                     :1;
        __IO  uint32_t  LA30                     :1;
        __IO  uint32_t  LB30                     :1;
        __IO  uint32_t  LA31                     :1;
        __IO  uint32_t  LB31                     :1;
} stc_exti_elvr1_field_t;

typedef struct stc_exti_nmirr_field
{
        __IO  uint16_t  NR                       :1;
        __IO  uint16_t  RESERVED0                :15;
} stc_exti_nmirr_field_t;

typedef struct stc_exti_nmicl_field
{
        __IO  uint16_t  NCL                      :1;
        __IO  uint16_t  RESERVED0                :15;
} stc_exti_nmicl_field_t;

/******************************************************************************
 ** FASTIO_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_fastio_fpdir1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED0                :26;
} stc_fastio_fpdir1_field_t;

typedef struct stc_fastio_fpdir2_field
{
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_fastio_fpdir2_field_t;

typedef struct stc_fastio_fpdir3_field
{
        __IO  uint32_t  RESERVED0                :10;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED1                :16;
} stc_fastio_fpdir3_field_t;

typedef struct stc_fastio_fpdir4_field
{
        __IO  uint32_t  RESERVED0                :6;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :24;
} stc_fastio_fpdir4_field_t;

typedef struct stc_fastio_fpdor1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED0                :26;
} stc_fastio_fpdor1_field_t;

typedef struct stc_fastio_fpdor2_field
{
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_fastio_fpdor2_field_t;

typedef struct stc_fastio_fpdor3_field
{
        __IO  uint32_t  RESERVED0                :10;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED1                :16;
} stc_fastio_fpdor3_field_t;

typedef struct stc_fastio_fpdor4_field
{
        __IO  uint32_t  RESERVED0                :6;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :24;
} stc_fastio_fpdor4_field_t;

typedef struct stc_fastio_m_fpdir0_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED0                :24;
} stc_fastio_m_fpdir0_field_t;

typedef struct stc_fastio_m_fpdir1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED0                :24;
} stc_fastio_m_fpdir1_field_t;

typedef struct stc_fastio_m_fpdor0_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED0                :24;
} stc_fastio_m_fpdor0_field_t;

typedef struct stc_fastio_m_fpdor1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED0                :24;
} stc_fastio_m_fpdor1_field_t;

/******************************************************************************
 ** FLASH_IF_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_flash_if_frwtr_field
{
    union {
        struct {
            __IO  uint32_t  RWT                  :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  RWT0                 :1;
            __IO  uint32_t  RWT1                 :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_flash_if_frwtr_field_t;

typedef struct stc_flash_if_fstr_field
{
        __IO  uint32_t  RDY                      :1;
        __IO  uint32_t  HNG                      :1;
        __IO  uint32_t  CERS                     :1;
        __IO  uint32_t  ESPS                     :1;
        __IO  uint32_t  SERS                     :1;
        __IO  uint32_t  PGMS                     :1;
        __IO  uint32_t  RESERVED0                :26;
} stc_flash_if_fstr_field_t;

typedef struct stc_flash_if_fsyndn_field
{
    union {
        struct {
            __IO  uint32_t  SD                   :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  SD0                  :1;
            __IO  uint32_t  SD1                  :1;
            __IO  uint32_t  SD2                  :1;
            __IO  uint32_t  SD3                  :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_flash_if_fsyndn_field_t;

typedef struct stc_flash_if_ficr_field
{
        __IO  uint32_t  RDYIE                    :1;
        __IO  uint32_t  HANGIE                   :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_flash_if_ficr_field_t;

typedef struct stc_flash_if_fisr_field
{
        __IO  uint32_t  RDYIF                    :1;
        __IO  uint32_t  HANGIF                   :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_flash_if_fisr_field_t;

typedef struct stc_flash_if_ficlr_field
{
        __IO  uint32_t  RDYC                     :1;
        __IO  uint32_t  HANGC                    :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_flash_if_ficlr_field_t;

typedef struct stc_flash_if_crtrmm_field
{
    union {
        struct {
            __IO  uint32_t  TRMM                 :10;
            __IO  uint32_t  RESERVED0            :6;
            __IO  uint32_t  TTRMM                :5;
            __IO  uint32_t  RESERVED2            :11;
        };
        struct {
            __IO  uint32_t  TRMM0                :1;
            __IO  uint32_t  TRMM1                :1;
            __IO  uint32_t  TRMM2                :1;
            __IO  uint32_t  TRMM3                :1;
            __IO  uint32_t  TRMM4                :1;
            __IO  uint32_t  TRMM5                :1;
            __IO  uint32_t  TRMM6                :1;
            __IO  uint32_t  TRMM7                :1;
            __IO  uint32_t  TRMM8                :1;
            __IO  uint32_t  TRMM9                :1;
            __IO  uint32_t  RESERVED1            :6;
            __IO  uint32_t  TTRMM0               :1;
            __IO  uint32_t  TTRMM1               :1;
            __IO  uint32_t  TTRMM2               :1;
            __IO  uint32_t  TTRMM3               :1;
            __IO  uint32_t  TTRMM4               :1;
            __IO  uint32_t  RESERVED3            :11;
        };
    };
} stc_flash_if_crtrmm_field_t;

/******************************************************************************
 ** GPIO_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_gpio_pfr0_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED2                :10;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED3                :16;
} stc_gpio_pfr0_field_t;

typedef struct stc_gpio_pfr1_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pfr1_field_t;

typedef struct stc_gpio_pfr2_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pfr2_field_t;

typedef struct stc_gpio_pfr3_field
{
        __IO  uint32_t  RESERVED0                :10;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED1                :16;
} stc_gpio_pfr3_field_t;

typedef struct stc_gpio_pfr4_field
{
        __IO  uint32_t  RESERVED0                :6;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :24;
} stc_gpio_pfr4_field_t;

typedef struct stc_gpio_pfr6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_pfr6_field_t;

typedef struct stc_gpio_pfre_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pfre_field_t;

typedef struct stc_gpio_pcr0_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED2                :10;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED3                :16;
} stc_gpio_pcr0_field_t;

typedef struct stc_gpio_pcr1_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pcr1_field_t;

typedef struct stc_gpio_pcr2_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pcr2_field_t;

typedef struct stc_gpio_pcr3_field
{
        __IO  uint32_t  RESERVED0                :10;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED1                :16;
} stc_gpio_pcr3_field_t;

typedef struct stc_gpio_pcr4_field
{
        __IO  uint32_t  RESERVED0                :6;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :24;
} stc_gpio_pcr4_field_t;

typedef struct stc_gpio_pcr6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_pcr6_field_t;

typedef struct stc_gpio_pcre_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pcre_field_t;

typedef struct stc_gpio_ddr0_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED2                :10;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED3                :16;
} stc_gpio_ddr0_field_t;

typedef struct stc_gpio_ddr1_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_ddr1_field_t;

typedef struct stc_gpio_ddr2_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_ddr2_field_t;

typedef struct stc_gpio_ddr3_field
{
        __IO  uint32_t  RESERVED0                :10;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED1                :16;
} stc_gpio_ddr3_field_t;

typedef struct stc_gpio_ddr4_field
{
        __IO  uint32_t  RESERVED0                :6;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :24;
} stc_gpio_ddr4_field_t;

typedef struct stc_gpio_ddr6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_ddr6_field_t;

typedef struct stc_gpio_ddre_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_ddre_field_t;

typedef struct stc_gpio_pdir0_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED2                :10;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED3                :16;
} stc_gpio_pdir0_field_t;

typedef struct stc_gpio_pdir1_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pdir1_field_t;

typedef struct stc_gpio_pdir2_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pdir2_field_t;

typedef struct stc_gpio_pdir3_field
{
        __IO  uint32_t  RESERVED0                :10;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED1                :16;
} stc_gpio_pdir3_field_t;

typedef struct stc_gpio_pdir4_field
{
        __IO  uint32_t  RESERVED0                :6;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :24;
} stc_gpio_pdir4_field_t;

typedef struct stc_gpio_pdir6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_pdir6_field_t;

typedef struct stc_gpio_pdire_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pdire_field_t;

typedef struct stc_gpio_pdor0_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED2                :10;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED3                :16;
} stc_gpio_pdor0_field_t;

typedef struct stc_gpio_pdor1_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pdor1_field_t;

typedef struct stc_gpio_pdor2_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pdor2_field_t;

typedef struct stc_gpio_pdor3_field
{
        __IO  uint32_t  RESERVED0                :10;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED1                :16;
} stc_gpio_pdor3_field_t;

typedef struct stc_gpio_pdor4_field
{
        __IO  uint32_t  RESERVED0                :6;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :24;
} stc_gpio_pdor4_field_t;

typedef struct stc_gpio_pdor6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_pdor6_field_t;

typedef struct stc_gpio_pdore_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pdore_field_t;

typedef struct stc_gpio_ade_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  AN01                     :1;
        __IO  uint32_t  AN02                     :1;
        __IO  uint32_t  AN03                     :1;
        __IO  uint32_t  RESERVED1                :2;
        __IO  uint32_t  AN06                     :1;
        __IO  uint32_t  AN07                     :1;
        __IO  uint32_t  RESERVED2                :24;
} stc_gpio_ade_field_t;

typedef struct stc_gpio_spsr_field
{
    union {
        struct {
            __IO  uint32_t  SUBXC                :2;
            __IO  uint32_t  MAINXC               :2;
            __IO  uint32_t  USB0C                :1;
            __IO  uint32_t  RESERVED0            :27;
        };
        struct {
            __IO  uint32_t  SUBXC0               :1;
            __IO  uint32_t  SUBXC1               :1;
            __IO  uint32_t  MAINXC0              :1;
            __IO  uint32_t  MAINXC1              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_gpio_spsr_field_t;

typedef struct stc_gpio_epfr00_field
{
    union {
        struct {
            __IO  uint32_t  NMIS                 :1;
            __IO  uint32_t  CROUTE               :2;
            __IO  uint32_t  RESERVED1            :1;
            __IO  uint32_t  RTCCOE               :2;
            __IO  uint32_t  SUBOUTE              :2;
            __IO  uint32_t  RESERVED3            :1;
            __IO  uint32_t  USBP0E               :1;
            __IO  uint32_t  RESERVED4            :6;
            __IO  uint32_t  SWDEN                :1;
            __IO  uint32_t  RESERVED5            :15;
        };
        struct {
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  CROUTE0              :1;
            __IO  uint32_t  CROUTE1              :1;
            __IO  uint32_t  RESERVED2            :1;
            __IO  uint32_t  RTCCOE0              :1;
            __IO  uint32_t  RTCCOE1              :1;
            __IO  uint32_t  SUBOUTE0             :1;
            __IO  uint32_t  SUBOUTE1             :1;
            __IO  uint32_t  RESERVED6            :24;
        };
    };
} stc_gpio_epfr00_field_t;

typedef struct stc_gpio_epfr01_field
{
    union {
        struct {
            __IO  uint32_t  RTO00E               :2;
            __IO  uint32_t  RTO01E               :2;
            __IO  uint32_t  RTO02E               :2;
            __IO  uint32_t  RTO03E               :2;
            __IO  uint32_t  RTO04E               :2;
            __IO  uint32_t  RTO05E               :2;
            __IO  uint32_t  DTTI0C               :1;
            __IO  uint32_t  IGTRG0               :1;
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  DTTI0S               :2;
            __IO  uint32_t  FRCK0S               :2;
            __IO  uint32_t  IC00S                :3;
            __IO  uint32_t  IC01S                :3;
            __IO  uint32_t  IC02S                :3;
            __IO  uint32_t  IC03S                :3;
        };
        struct {
            __IO  uint32_t  RTO00E0              :1;
            __IO  uint32_t  RTO00E1              :1;
            __IO  uint32_t  RTO01E0              :1;
            __IO  uint32_t  RTO01E1              :1;
            __IO  uint32_t  RTO02E0              :1;
            __IO  uint32_t  RTO02E1              :1;
            __IO  uint32_t  RTO03E0              :1;
            __IO  uint32_t  RTO03E1              :1;
            __IO  uint32_t  RTO04E0              :1;
            __IO  uint32_t  RTO04E1              :1;
            __IO  uint32_t  RTO05E0              :1;
            __IO  uint32_t  RTO05E1              :1;
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  DTTI0S0              :1;
            __IO  uint32_t  DTTI0S1              :1;
            __IO  uint32_t  FRCK0S0              :1;
            __IO  uint32_t  FRCK0S1              :1;
            __IO  uint32_t  IC00S0               :1;
            __IO  uint32_t  IC00S1               :1;
            __IO  uint32_t  IC00S2               :1;
            __IO  uint32_t  IC01S0               :1;
            __IO  uint32_t  IC01S1               :1;
            __IO  uint32_t  IC01S2               :1;
            __IO  uint32_t  IC02S0               :1;
            __IO  uint32_t  IC02S1               :1;
            __IO  uint32_t  IC02S2               :1;
            __IO  uint32_t  IC03S0               :1;
            __IO  uint32_t  IC03S1               :1;
            __IO  uint32_t  IC03S2               :1;
        };
    };
} stc_gpio_epfr01_field_t;

typedef struct stc_gpio_epfr04_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  TIOA0E               :2;
            __IO  uint32_t  TIOB0S               :3;
            __IO  uint32_t  RESERVED2            :1;
            __IO  uint32_t  TIOA1S               :2;
            __IO  uint32_t  TIOA1E               :2;
            __IO  uint32_t  TIOB1S               :2;
            __IO  uint32_t  RESERVED4            :4;
            __IO  uint32_t  TIOA2E               :2;
            __IO  uint32_t  TIOB2S               :2;
            __IO  uint32_t  RESERVED6            :2;
            __IO  uint32_t  TIOA3S               :2;
            __IO  uint32_t  TIOA3E               :2;
            __IO  uint32_t  TIOB3S               :2;
            __IO  uint32_t  RESERVED8            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  TIOA0E0              :1;
            __IO  uint32_t  TIOA0E1              :1;
            __IO  uint32_t  TIOB0S0              :1;
            __IO  uint32_t  TIOB0S1              :1;
            __IO  uint32_t  TIOB0S2              :1;
            __IO  uint32_t  RESERVED3            :1;
            __IO  uint32_t  TIOA1S0              :1;
            __IO  uint32_t  TIOA1S1              :1;
            __IO  uint32_t  TIOA1E0              :1;
            __IO  uint32_t  TIOA1E1              :1;
            __IO  uint32_t  TIOB1S0              :1;
            __IO  uint32_t  TIOB1S1              :1;
            __IO  uint32_t  RESERVED5            :4;
            __IO  uint32_t  TIOA2E0              :1;
            __IO  uint32_t  TIOA2E1              :1;
            __IO  uint32_t  TIOB2S0              :1;
            __IO  uint32_t  TIOB2S1              :1;
            __IO  uint32_t  RESERVED7            :2;
            __IO  uint32_t  TIOA3S0              :1;
            __IO  uint32_t  TIOA3S1              :1;
            __IO  uint32_t  TIOA3E0              :1;
            __IO  uint32_t  TIOA3E1              :1;
            __IO  uint32_t  TIOB3S0              :1;
            __IO  uint32_t  TIOB3S1              :1;
            __IO  uint32_t  RESERVED9            :2;
        };
    };
} stc_gpio_epfr04_field_t;

typedef struct stc_gpio_epfr06_field
{
    union {
        struct {
            __IO  uint32_t  EINT00S              :2;
            __IO  uint32_t  EINT01S              :2;
            __IO  uint32_t  EINT02S              :2;
            __IO  uint32_t  EINT03S              :2;
            __IO  uint32_t  EINT04S              :2;
            __IO  uint32_t  EINT05S              :2;
            __IO  uint32_t  EINT06S              :2;
            __IO  uint32_t  EINT07S              :2;
            __IO  uint32_t  EINT08S              :2;
            __IO  uint32_t  EINT09S              :2;
            __IO  uint32_t  EINT10S              :2;
            __IO  uint32_t  EINT11S              :2;
            __IO  uint32_t  EINT12S              :2;
            __IO  uint32_t  EINT13S              :2;
            __IO  uint32_t  EINT14S              :2;
            __IO  uint32_t  EINT15S              :2;
        };
        struct {
            __IO  uint32_t  EINT00S0             :1;
            __IO  uint32_t  EINT00S1             :1;
            __IO  uint32_t  EINT01S0             :1;
            __IO  uint32_t  EINT01S1             :1;
            __IO  uint32_t  EINT02S0             :1;
            __IO  uint32_t  EINT02S1             :1;
            __IO  uint32_t  EINT03S0             :1;
            __IO  uint32_t  EINT03S1             :1;
            __IO  uint32_t  EINT04S0             :1;
            __IO  uint32_t  EINT04S1             :1;
            __IO  uint32_t  EINT05S0             :1;
            __IO  uint32_t  EINT05S1             :1;
            __IO  uint32_t  EINT06S0             :1;
            __IO  uint32_t  EINT06S1             :1;
            __IO  uint32_t  EINT07S0             :1;
            __IO  uint32_t  EINT07S1             :1;
            __IO  uint32_t  EINT08S0             :1;
            __IO  uint32_t  EINT08S1             :1;
            __IO  uint32_t  EINT09S0             :1;
            __IO  uint32_t  EINT09S1             :1;
            __IO  uint32_t  EINT10S0             :1;
            __IO  uint32_t  EINT10S1             :1;
            __IO  uint32_t  EINT11S0             :1;
            __IO  uint32_t  EINT11S1             :1;
            __IO  uint32_t  EINT12S0             :1;
            __IO  uint32_t  EINT12S1             :1;
            __IO  uint32_t  EINT13S0             :1;
            __IO  uint32_t  EINT13S1             :1;
            __IO  uint32_t  EINT14S0             :1;
            __IO  uint32_t  EINT14S1             :1;
            __IO  uint32_t  EINT15S0             :1;
            __IO  uint32_t  EINT15S1             :1;
        };
    };
} stc_gpio_epfr06_field_t;

typedef struct stc_gpio_epfr07_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :4;
            __IO  uint32_t  SIN0S                :2;
            __IO  uint32_t  SOT0B                :2;
            __IO  uint32_t  SCK0B                :2;
            __IO  uint32_t  SIN1S                :2;
            __IO  uint32_t  SOT1B                :2;
            __IO  uint32_t  SCK1B                :2;
            __IO  uint32_t  SIN2S                :2;
            __IO  uint32_t  SOT2B                :2;
            __IO  uint32_t  SCK2B                :2;
            __IO  uint32_t  SIN3S                :2;
            __IO  uint32_t  SOT3B                :2;
            __IO  uint32_t  SCK3B                :2;
            __IO  uint32_t  RESERVED2            :4;
        };
        struct {
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  SIN0S0               :1;
            __IO  uint32_t  SIN0S1               :1;
            __IO  uint32_t  SOT0B0               :1;
            __IO  uint32_t  SOT0B1               :1;
            __IO  uint32_t  SCK0B0               :1;
            __IO  uint32_t  SCK0B1               :1;
            __IO  uint32_t  SIN1S0               :1;
            __IO  uint32_t  SIN1S1               :1;
            __IO  uint32_t  SOT1B0               :1;
            __IO  uint32_t  SOT1B1               :1;
            __IO  uint32_t  SCK1B0               :1;
            __IO  uint32_t  SCK1B1               :1;
            __IO  uint32_t  SIN2S0               :1;
            __IO  uint32_t  SIN2S1               :1;
            __IO  uint32_t  SOT2B0               :1;
            __IO  uint32_t  SOT2B1               :1;
            __IO  uint32_t  SCK2B0               :1;
            __IO  uint32_t  SCK2B1               :1;
            __IO  uint32_t  SIN3S0               :1;
            __IO  uint32_t  SIN3S1               :1;
            __IO  uint32_t  SOT3B0               :1;
            __IO  uint32_t  SOT3B1               :1;
            __IO  uint32_t  SCK3B0               :1;
            __IO  uint32_t  SCK3B1               :1;
            __IO  uint32_t  RESERVED3            :4;
        };
    };
} stc_gpio_epfr07_field_t;

typedef struct stc_gpio_epfr09_field
{
    union {
        struct {
            __IO  uint32_t  QAIN0S               :2;
            __IO  uint32_t  QBIN0S               :2;
            __IO  uint32_t  QZIN0S               :2;
            __IO  uint32_t  QAIN1S               :2;
            __IO  uint32_t  QBIN1S               :2;
            __IO  uint32_t  QZIN1S               :2;
            __IO  uint32_t  ADTRG0S              :4;
            __IO  uint32_t  ADTRG1S              :4;
            __IO  uint32_t  ADTRG2S              :4;
            __IO  uint32_t  CRX0S                :2;
            __IO  uint32_t  CTX0E                :2;
            __IO  uint32_t  CRX1S                :2;
            __IO  uint32_t  CTX1E                :2;
        };
        struct {
            __IO  uint32_t  QAIN0S0              :1;
            __IO  uint32_t  QAIN0S1              :1;
            __IO  uint32_t  QBIN0S0              :1;
            __IO  uint32_t  QBIN0S1              :1;
            __IO  uint32_t  QZIN0S0              :1;
            __IO  uint32_t  QZIN0S1              :1;
            __IO  uint32_t  QAIN1S0              :1;
            __IO  uint32_t  QAIN1S1              :1;
            __IO  uint32_t  QBIN1S0              :1;
            __IO  uint32_t  QBIN1S1              :1;
            __IO  uint32_t  QZIN1S0              :1;
            __IO  uint32_t  QZIN1S1              :1;
            __IO  uint32_t  ADTRG0S0             :1;
            __IO  uint32_t  ADTRG0S1             :1;
            __IO  uint32_t  ADTRG0S2             :1;
            __IO  uint32_t  ADTRG0S3             :1;
            __IO  uint32_t  ADTRG1S0             :1;
            __IO  uint32_t  ADTRG1S1             :1;
            __IO  uint32_t  ADTRG1S2             :1;
            __IO  uint32_t  ADTRG1S3             :1;
            __IO  uint32_t  ADTRG2S0             :1;
            __IO  uint32_t  ADTRG2S1             :1;
            __IO  uint32_t  ADTRG2S2             :1;
            __IO  uint32_t  ADTRG2S3             :1;
            __IO  uint32_t  CRX0S0               :1;
            __IO  uint32_t  CRX0S1               :1;
            __IO  uint32_t  CTX0E0               :1;
            __IO  uint32_t  CTX0E1               :1;
            __IO  uint32_t  CRX1S0               :1;
            __IO  uint32_t  CRX1S1               :1;
            __IO  uint32_t  CTX1E0               :1;
            __IO  uint32_t  CTX1E1               :1;
        };
    };
} stc_gpio_epfr09_field_t;

typedef struct stc_gpio_epfr21_field
{
        __IO  uint32_t  QAIN0S                   :1;
        __IO  uint32_t  QBIN0S                   :1;
        __IO  uint32_t  QZIN0S                   :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_gpio_epfr21_field_t;

typedef struct stc_gpio_epfr22_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :4;
            __IO  uint32_t  SCS10B               :2;
            __IO  uint32_t  SCS11E               :2;
            __IO  uint32_t  RESERVED2            :4;
            __IO  uint32_t  SCS30B               :2;
            __IO  uint32_t  SCS31E               :2;
            __IO  uint32_t  RESERVED4            :16;
        };
        struct {
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  SCS10B0              :1;
            __IO  uint32_t  SCS10B1              :1;
            __IO  uint32_t  SCS11E0              :1;
            __IO  uint32_t  SCS11E1              :1;
            __IO  uint32_t  RESERVED3            :4;
            __IO  uint32_t  SCS30B0              :1;
            __IO  uint32_t  SCS30B1              :1;
            __IO  uint32_t  SCS31E0              :1;
            __IO  uint32_t  SCS31E1              :1;
            __IO  uint32_t  RESERVED5            :16;
        };
    };
} stc_gpio_epfr22_field_t;

typedef struct stc_gpio_pzr0_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED2                :10;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED3                :16;
} stc_gpio_pzr0_field_t;

typedef struct stc_gpio_pzr1_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pzr1_field_t;

typedef struct stc_gpio_pzr2_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pzr2_field_t;

typedef struct stc_gpio_pzr3_field
{
        __IO  uint32_t  RESERVED0                :10;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED1                :16;
} stc_gpio_pzr3_field_t;

typedef struct stc_gpio_pzr4_field
{
        __IO  uint32_t  RESERVED0                :6;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :24;
} stc_gpio_pzr4_field_t;

typedef struct stc_gpio_pzr6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_pzr6_field_t;

typedef struct stc_gpio_pzre_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pzre_field_t;

typedef struct stc_gpio_fpoer0_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED2                :10;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED3                :16;
} stc_gpio_fpoer0_field_t;

typedef struct stc_gpio_fpoer1_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_fpoer1_field_t;

typedef struct stc_gpio_fpoer2_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_fpoer2_field_t;

typedef struct stc_gpio_fpoer3_field
{
        __IO  uint32_t  RESERVED0                :10;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED1                :16;
} stc_gpio_fpoer3_field_t;

typedef struct stc_gpio_fpoer4_field
{
        __IO  uint32_t  RESERVED0                :6;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :24;
} stc_gpio_fpoer4_field_t;

typedef struct stc_gpio_fpoer6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_fpoer6_field_t;

typedef struct stc_gpio_fpoere_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_fpoere_field_t;

/******************************************************************************
 ** HWWDT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_hwwdt_wdg_ctl_field
{
        __IO  uint32_t  INTEN                    :1;
        __IO  uint32_t  RESEN                    :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_hwwdt_wdg_ctl_field_t;

typedef struct stc_hwwdt_wdg_ris_field
{
        __IO  uint32_t  RIS                      :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_hwwdt_wdg_ris_field_t;

/******************************************************************************
 ** INTREQ_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_intreq_drqsel_field
{
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  ADCSCAN0                 :1;
        __IO  uint32_t  ADCSCAN1                 :1;
        __IO  uint32_t  ADCSCAN2                 :1;
        __IO  uint32_t  IRQ0BT0                  :1;
        __IO  uint32_t  IRQ0BT2                  :1;
        __IO  uint32_t  IRQ0BT4                  :1;
        __IO  uint32_t  IRQ0BT6                  :1;
        __IO  uint32_t  MFS0RX                   :1;
        __IO  uint32_t  MFS0TX                   :1;
        __IO  uint32_t  MFS1RX                   :1;
        __IO  uint32_t  MFS1TX                   :1;
        __IO  uint32_t  MFS2RX                   :1;
        __IO  uint32_t  MFS2TX                   :1;
        __IO  uint32_t  MFS3RX                   :1;
        __IO  uint32_t  MFS3TX                   :1;
        __IO  uint32_t  MFS4RX                   :1;
        __IO  uint32_t  MFS4TX                   :1;
        __IO  uint32_t  MFS5RX                   :1;
        __IO  uint32_t  MFS5TX                   :1;
        __IO  uint32_t  MFS6RX                   :1;
        __IO  uint32_t  MFS6TX                   :1;
        __IO  uint32_t  MFS7RX                   :1;
        __IO  uint32_t  MFS7TX                   :1;
        __IO  uint32_t  EXINT0                   :1;
        __IO  uint32_t  EXINT1                   :1;
        __IO  uint32_t  EXINT2                   :1;
        __IO  uint32_t  EXINT3                   :1;
} stc_intreq_drqsel_field_t;

typedef struct stc_intreq_irqcmode_field
{
        __IO  uint32_t  IRQCMODE                 :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irqcmode_field_t;

typedef struct stc_intreq_exc02mon_field
{
        __IO  uint32_t  NMI                      :1;
        __IO  uint32_t  HWINT                    :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_intreq_exc02mon_field_t;

typedef struct stc_intreq_irq00mon_field
{
        __IO  uint32_t  FCSINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq00mon_field_t;

typedef struct stc_intreq_irq01mon_field
{
        __IO  uint32_t  SWWDTINT                 :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq01mon_field_t;

typedef struct stc_intreq_irq02mon_field
{
        __IO  uint32_t  LVDINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq02mon_field_t;

typedef struct stc_intreq_irq03mon_field
{
    union {
        struct {
            __IO  uint32_t  WAVE0INT             :4;
            __IO  uint32_t  WAVE1INT             :4;
            __IO  uint32_t  WAVE2INT             :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  WAVE0INT0            :1;
            __IO  uint32_t  WAVE0INT1            :1;
            __IO  uint32_t  WAVE0INT2            :1;
            __IO  uint32_t  WAVE0INT3            :1;
            __IO  uint32_t  WAVE1INT0            :1;
            __IO  uint32_t  WAVE1INT1            :1;
            __IO  uint32_t  WAVE1INT2            :1;
            __IO  uint32_t  WAVE1INT3            :1;
            __IO  uint32_t  WAVE2INT0            :1;
            __IO  uint32_t  WAVE2INT1            :1;
            __IO  uint32_t  WAVE2INT2            :1;
            __IO  uint32_t  WAVE2INT3            :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_intreq_irq03mon_field_t;

typedef struct stc_intreq_irq04mon_field
{
        __IO  uint32_t  EXTINT0                  :1;
        __IO  uint32_t  EXTINT1                  :1;
        __IO  uint32_t  EXTINT2                  :1;
        __IO  uint32_t  EXTINT3                  :1;
        __IO  uint32_t  EXTINT4                  :1;
        __IO  uint32_t  EXTINT5                  :1;
        __IO  uint32_t  EXTINT6                  :1;
        __IO  uint32_t  EXTINT7                  :1;
        __IO  uint32_t  RESERVED0                :24;
} stc_intreq_irq04mon_field_t;

typedef struct stc_intreq_irq05mon_field
{
        __IO  uint32_t  EXTINT8                  :1;
        __IO  uint32_t  EXTINT9                  :1;
        __IO  uint32_t  EXTINT10                 :1;
        __IO  uint32_t  EXTINT11                 :1;
        __IO  uint32_t  EXTINT12                 :1;
        __IO  uint32_t  EXTINT13                 :1;
        __IO  uint32_t  EXTINT14                 :1;
        __IO  uint32_t  EXTINT15                 :1;
        __IO  uint32_t  EXTINT16                 :1;
        __IO  uint32_t  EXTINT17                 :1;
        __IO  uint32_t  EXTINT18                 :1;
        __IO  uint32_t  EXTINT19                 :1;
        __IO  uint32_t  EXTINT20                 :1;
        __IO  uint32_t  EXTINT21                 :1;
        __IO  uint32_t  EXTINT22                 :1;
        __IO  uint32_t  EXTINT23                 :1;
        __IO  uint32_t  EXTINT24                 :1;
        __IO  uint32_t  EXTINT25                 :1;
        __IO  uint32_t  EXTINT26                 :1;
        __IO  uint32_t  EXTINT27                 :1;
        __IO  uint32_t  EXTINT28                 :1;
        __IO  uint32_t  EXTINT29                 :1;
        __IO  uint32_t  EXTINT30                 :1;
        __IO  uint32_t  EXTINT31                 :1;
        __IO  uint32_t  RESERVED0                :8;
} stc_intreq_irq05mon_field_t;

typedef struct stc_intreq_irq06mon_field
{
    union {
        struct {
            __IO  uint32_t  TIMINT               :2;
            __IO  uint32_t  QUD0INT              :6;
            __IO  uint32_t  QUD1INT              :6;
            __IO  uint32_t  QUD2INT              :6;
            __IO  uint32_t  RESERVED0            :12;
        };
        struct {
            __IO  uint32_t  TIMINT0              :1;
            __IO  uint32_t  TIMINT1              :1;
            __IO  uint32_t  QUD0INT0             :1;
            __IO  uint32_t  QUD0INT1             :1;
            __IO  uint32_t  QUD0INT2             :1;
            __IO  uint32_t  QUD0INT3             :1;
            __IO  uint32_t  QUD0INT4             :1;
            __IO  uint32_t  QUD0INT5             :1;
            __IO  uint32_t  QUD1INT0             :1;
            __IO  uint32_t  QUD1INT1             :1;
            __IO  uint32_t  QUD1INT2             :1;
            __IO  uint32_t  QUD1INT3             :1;
            __IO  uint32_t  QUD1INT4             :1;
            __IO  uint32_t  QUD1INT5             :1;
            __IO  uint32_t  QUD2INT0             :1;
            __IO  uint32_t  QUD2INT1             :1;
            __IO  uint32_t  QUD2INT2             :1;
            __IO  uint32_t  QUD2INT3             :1;
            __IO  uint32_t  QUD2INT4             :1;
            __IO  uint32_t  QUD2INT5             :1;
            __IO  uint32_t  RESERVED1            :12;
        };
    };
} stc_intreq_irq06mon_field_t;

typedef struct stc_intreq_irq07mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq07mon_field_t;

typedef struct stc_intreq_irq08mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq08mon_field_t;

typedef struct stc_intreq_irq09mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq09mon_field_t;

typedef struct stc_intreq_irq10mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq10mon_field_t;

typedef struct stc_intreq_irq11mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq11mon_field_t;

typedef struct stc_intreq_irq12mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq12mon_field_t;

typedef struct stc_intreq_irq13mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq13mon_field_t;

typedef struct stc_intreq_irq14mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq14mon_field_t;

typedef struct stc_intreq_irq15mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq15mon_field_t;

typedef struct stc_intreq_irq16mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq16mon_field_t;

typedef struct stc_intreq_irq17mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq17mon_field_t;

typedef struct stc_intreq_irq18mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq18mon_field_t;

typedef struct stc_intreq_irq19mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  DMAINT               :1;
            __IO  uint32_t  RESERVED1            :27;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_intreq_irq19mon_field_t;

typedef struct stc_intreq_irq20mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  DMAINT               :1;
            __IO  uint32_t  RESERVED0            :27;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq20mon_field_t;

typedef struct stc_intreq_irq21mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  DMAINT               :1;
            __IO  uint32_t  RESERVED1            :27;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_intreq_irq21mon_field_t;

typedef struct stc_intreq_irq22mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  DMAINT               :1;
            __IO  uint32_t  RESERVED0            :27;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq22mon_field_t;

typedef struct stc_intreq_irq23mon_field
{
        __IO  uint32_t  PPGINT00                 :1;
        __IO  uint32_t  PPGINT02                 :1;
        __IO  uint32_t  PPGINT04                 :1;
        __IO  uint32_t  PPGINT08                 :1;
        __IO  uint32_t  PPGINT10                 :1;
        __IO  uint32_t  PPGINT12                 :1;
        __IO  uint32_t  PPGINT16                 :1;
        __IO  uint32_t  PPGINT18                 :1;
        __IO  uint32_t  PPGINT20                 :1;
        __IO  uint32_t  RESERVED0                :23;
} stc_intreq_irq23mon_field_t;

typedef struct stc_intreq_irq24mon_field
{
        __IO  uint32_t  MOSCINT                  :1;
        __IO  uint32_t  SOSCINT                  :1;
        __IO  uint32_t  MPLLINT                  :1;
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  WCINT                    :1;
        __IO  uint32_t  RTCINT                   :1;
        __IO  uint32_t  RESERVED1                :26;
} stc_intreq_irq24mon_field_t;

typedef struct stc_intreq_irq25mon_field
{
        __IO  uint32_t  ADCINT0                  :1;
        __IO  uint32_t  ADCINT1                  :1;
        __IO  uint32_t  ADCINT2                  :1;
        __IO  uint32_t  ADCINT3                  :1;
        __IO  uint32_t  ADCINT4                  :1;
        __IO  uint32_t  RESERVED0                :27;
} stc_intreq_irq25mon_field_t;

typedef struct stc_intreq_irq26mon_field
{
        __IO  uint32_t  ADCINT0                  :1;
        __IO  uint32_t  ADCINT1                  :1;
        __IO  uint32_t  ADCINT2                  :1;
        __IO  uint32_t  ADCINT3                  :1;
        __IO  uint32_t  ADCINT4                  :1;
        __IO  uint32_t  RESERVED0                :27;
} stc_intreq_irq26mon_field_t;

typedef struct stc_intreq_irq27mon_field
{
        __IO  uint32_t  ADCINT0                  :1;
        __IO  uint32_t  ADCINT1                  :1;
        __IO  uint32_t  ADCINT2                  :1;
        __IO  uint32_t  ADCINT3                  :1;
        __IO  uint32_t  ADCINT4                  :1;
        __IO  uint32_t  LCDCINT                  :1;
        __IO  uint32_t  RESERVED0                :26;
} stc_intreq_irq27mon_field_t;

typedef struct stc_intreq_irq28mon_field
{
    union {
        struct {
            __IO  uint32_t  FRT0INT              :6;
            __IO  uint32_t  FRT1INT              :6;
            __IO  uint32_t  FRT2INT              :6;
            __IO  uint32_t  RESERVED0            :14;
        };
        struct {
            __IO  uint32_t  FRT0INT0             :1;
            __IO  uint32_t  FRT0INT1             :1;
            __IO  uint32_t  FRT0INT2             :1;
            __IO  uint32_t  FRT0INT3             :1;
            __IO  uint32_t  FRT0INT4             :1;
            __IO  uint32_t  FRT0INT5             :1;
            __IO  uint32_t  FRT1INT0             :1;
            __IO  uint32_t  FRT1INT1             :1;
            __IO  uint32_t  FRT1INT2             :1;
            __IO  uint32_t  FRT1INT3             :1;
            __IO  uint32_t  FRT1INT4             :1;
            __IO  uint32_t  FRT1INT5             :1;
            __IO  uint32_t  FRT2INT0             :1;
            __IO  uint32_t  FRT2INT1             :1;
            __IO  uint32_t  FRT2INT2             :1;
            __IO  uint32_t  FRT2INT3             :1;
            __IO  uint32_t  FRT2INT4             :1;
            __IO  uint32_t  FRT2INT5             :1;
            __IO  uint32_t  RESERVED1            :14;
        };
    };
} stc_intreq_irq28mon_field_t;

typedef struct stc_intreq_irq29mon_field
{
    union {
        struct {
            __IO  uint32_t  ICU0INT              :4;
            __IO  uint32_t  ICU1INT              :4;
            __IO  uint32_t  ICU2INT              :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  ICU0INT0             :1;
            __IO  uint32_t  ICU0INT1             :1;
            __IO  uint32_t  ICU0INT2             :1;
            __IO  uint32_t  ICU0INT3             :1;
            __IO  uint32_t  ICU1INT0             :1;
            __IO  uint32_t  ICU1INT1             :1;
            __IO  uint32_t  ICU1INT2             :1;
            __IO  uint32_t  ICU1INT3             :1;
            __IO  uint32_t  ICU2INT0             :1;
            __IO  uint32_t  ICU2INT1             :1;
            __IO  uint32_t  ICU2INT2             :1;
            __IO  uint32_t  ICU2INT3             :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_intreq_irq29mon_field_t;

typedef struct stc_intreq_irq30mon_field
{
    union {
        struct {
            __IO  uint32_t  OCU0INT              :6;
            __IO  uint32_t  OCU1INT              :6;
            __IO  uint32_t  OCU2INT              :6;
            __IO  uint32_t  RESERVED0            :14;
        };
        struct {
            __IO  uint32_t  OCU0INT0             :1;
            __IO  uint32_t  OCU0INT1             :1;
            __IO  uint32_t  OCU0INT2             :1;
            __IO  uint32_t  OCU0INT3             :1;
            __IO  uint32_t  OCU0INT4             :1;
            __IO  uint32_t  OCU0INT5             :1;
            __IO  uint32_t  OCU1INT0             :1;
            __IO  uint32_t  OCU1INT1             :1;
            __IO  uint32_t  OCU1INT2             :1;
            __IO  uint32_t  OCU1INT3             :1;
            __IO  uint32_t  OCU1INT4             :1;
            __IO  uint32_t  OCU1INT5             :1;
            __IO  uint32_t  OCU2INT0             :1;
            __IO  uint32_t  OCU2INT1             :1;
            __IO  uint32_t  OCU2INT2             :1;
            __IO  uint32_t  OCU2INT3             :1;
            __IO  uint32_t  OCU2INT4             :1;
            __IO  uint32_t  OCU2INT5             :1;
            __IO  uint32_t  RESERVED1            :14;
        };
    };
} stc_intreq_irq30mon_field_t;

typedef struct stc_intreq_irq31mon_field
{
        __IO  uint32_t  BTINT0                   :1;
        __IO  uint32_t  BTINT1                   :1;
        __IO  uint32_t  BTINT2                   :1;
        __IO  uint32_t  BTINT3                   :1;
        __IO  uint32_t  BTINT4                   :1;
        __IO  uint32_t  BTINT5                   :1;
        __IO  uint32_t  BTINT6                   :1;
        __IO  uint32_t  BTINT7                   :1;
        __IO  uint32_t  BTINT8                   :1;
        __IO  uint32_t  BTINT9                   :1;
        __IO  uint32_t  BTINT10                  :1;
        __IO  uint32_t  BTINT11                  :1;
        __IO  uint32_t  BTINT12                  :1;
        __IO  uint32_t  BTINT13                  :1;
        __IO  uint32_t  BTINT14                  :1;
        __IO  uint32_t  BTINT15                  :1;
        __IO  uint32_t  RESERVED0                :11;
        __IO  uint32_t  FLASHINT                 :1;
        __IO  uint32_t  RESERVED1                :4;
} stc_intreq_irq31mon_field_t;

typedef struct stc_intreq_rcintsel0_field
{
    union {
        struct {
            __IO  uint32_t  INTSEL0              :8;
            __IO  uint32_t  INTSEL1              :8;
            __IO  uint32_t  INTSEL2              :8;
            __IO  uint32_t  INTSEL3              :8;
        };
        struct {
            __IO  uint32_t  INTSEL00             :1;
            __IO  uint32_t  INTSEL01             :1;
            __IO  uint32_t  INTSEL02             :1;
            __IO  uint32_t  INTSEL03             :1;
            __IO  uint32_t  INTSEL04             :1;
            __IO  uint32_t  INTSEL05             :1;
            __IO  uint32_t  INTSEL06             :1;
            __IO  uint32_t  INTSEL07             :1;
            __IO  uint32_t  INTSEL10             :1;
            __IO  uint32_t  INTSEL11             :1;
            __IO  uint32_t  INTSEL12             :1;
            __IO  uint32_t  INTSEL13             :1;
            __IO  uint32_t  INTSEL14             :1;
            __IO  uint32_t  INTSEL15             :1;
            __IO  uint32_t  INTSEL16             :1;
            __IO  uint32_t  INTSEL17             :1;
            __IO  uint32_t  INTSEL20             :1;
            __IO  uint32_t  INTSEL21             :1;
            __IO  uint32_t  INTSEL22             :1;
            __IO  uint32_t  INTSEL23             :1;
            __IO  uint32_t  INTSEL24             :1;
            __IO  uint32_t  INTSEL25             :1;
            __IO  uint32_t  INTSEL26             :1;
            __IO  uint32_t  INTSEL27             :1;
            __IO  uint32_t  INTSEL30             :1;
            __IO  uint32_t  INTSEL31             :1;
            __IO  uint32_t  INTSEL32             :1;
            __IO  uint32_t  INTSEL33             :1;
            __IO  uint32_t  INTSEL34             :1;
            __IO  uint32_t  INTSEL35             :1;
            __IO  uint32_t  INTSEL36             :1;
            __IO  uint32_t  INTSEL37             :1;
        };
    };
} stc_intreq_rcintsel0_field_t;

typedef struct stc_intreq_rcintsel1_field
{
    union {
        struct {
            __IO  uint32_t  INTSEL4              :8;
            __IO  uint32_t  INTSEL5              :8;
            __IO  uint32_t  INTSEL6              :8;
            __IO  uint32_t  INTSEL7              :8;
        };
        struct {
            __IO  uint32_t  INTSEL40             :1;
            __IO  uint32_t  INTSEL41             :1;
            __IO  uint32_t  INTSEL42             :1;
            __IO  uint32_t  INTSEL43             :1;
            __IO  uint32_t  INTSEL44             :1;
            __IO  uint32_t  INTSEL45             :1;
            __IO  uint32_t  INTSEL46             :1;
            __IO  uint32_t  INTSEL47             :1;
            __IO  uint32_t  INTSEL50             :1;
            __IO  uint32_t  INTSEL51             :1;
            __IO  uint32_t  INTSEL52             :1;
            __IO  uint32_t  INTSEL53             :1;
            __IO  uint32_t  INTSEL54             :1;
            __IO  uint32_t  INTSEL55             :1;
            __IO  uint32_t  INTSEL56             :1;
            __IO  uint32_t  INTSEL57             :1;
            __IO  uint32_t  INTSEL60             :1;
            __IO  uint32_t  INTSEL61             :1;
            __IO  uint32_t  INTSEL62             :1;
            __IO  uint32_t  INTSEL63             :1;
            __IO  uint32_t  INTSEL64             :1;
            __IO  uint32_t  INTSEL65             :1;
            __IO  uint32_t  INTSEL66             :1;
            __IO  uint32_t  INTSEL67             :1;
            __IO  uint32_t  INTSEL70             :1;
            __IO  uint32_t  INTSEL71             :1;
            __IO  uint32_t  INTSEL72             :1;
            __IO  uint32_t  INTSEL73             :1;
            __IO  uint32_t  INTSEL74             :1;
            __IO  uint32_t  INTSEL75             :1;
            __IO  uint32_t  INTSEL76             :1;
            __IO  uint32_t  INTSEL77             :1;
        };
    };
} stc_intreq_rcintsel1_field_t;

/******************************************************************************
 ** LSCRP_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_lscrp_lcr_prsld_field
{
    union {
        struct {
            __IO   uint8_t  LCR_PRSLD            :6;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  LCR_PRSLD0           :1;
            __IO   uint8_t  LCR_PRSLD1           :1;
            __IO   uint8_t  LCR_PRSLD2           :1;
            __IO   uint8_t  LCR_PRSLD3           :1;
            __IO   uint8_t  LCR_PRSLD4           :1;
            __IO   uint8_t  LCR_PRSLD5           :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_lscrp_lcr_prsld_field_t;

/******************************************************************************
 ** LVD_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_lvd_lvd_ctl_field
{
    union {
        struct {
            __IO  uint16_t  RESERVED0            :2;
            __IO  uint16_t  SVHI                 :5;
            __IO  uint16_t  LVDIE                :1;
            __IO  uint16_t  RESERVED2            :2;
            __IO  uint16_t  SVHR                 :5;
            __IO  uint16_t  LVDRE                :1;
        };
        struct {
            __IO  uint16_t  RESERVED1            :2;
            __IO  uint16_t  SVHI0                :1;
            __IO  uint16_t  SVHI1                :1;
            __IO  uint16_t  SVHI2                :1;
            __IO  uint16_t  SVHI3                :1;
            __IO  uint16_t  SVHI4                :1;
            __IO  uint16_t  RESERVED3            :3;
            __IO  uint16_t  SVHR0                :1;
            __IO  uint16_t  SVHR1                :1;
            __IO  uint16_t  SVHR2                :1;
            __IO  uint16_t  SVHR3                :1;
            __IO  uint16_t  SVHR4                :1;
            __IO  uint16_t  RESERVED4            :1;
        };
    };
} stc_lvd_lvd_ctl_field_t;

typedef struct stc_lvd_lvd_str_field
{
        __IO   uint8_t  RESERVED0                :7;
        __IO   uint8_t  LVDIR                    :1;
} stc_lvd_lvd_str_field_t;

typedef struct stc_lvd_lvd_clr_field
{
        __IO   uint8_t  RESERVED0                :7;
        __IO   uint8_t  LVDCL                    :1;
} stc_lvd_lvd_clr_field_t;

typedef struct stc_lvd_lvd_rlr_field
{
    union {
        struct {
            __IO  uint32_t  LVDLCK               :32;
        };
        struct {
            __IO  uint32_t  LVDLCK0              :1;
            __IO  uint32_t  LVDLCK1              :1;
            __IO  uint32_t  LVDLCK2              :1;
            __IO  uint32_t  LVDLCK3              :1;
            __IO  uint32_t  LVDLCK4              :1;
            __IO  uint32_t  LVDLCK5              :1;
            __IO  uint32_t  LVDLCK6              :1;
            __IO  uint32_t  LVDLCK7              :1;
            __IO  uint32_t  LVDLCK8              :1;
            __IO  uint32_t  LVDLCK9              :1;
            __IO  uint32_t  LVDLCK10             :1;
            __IO  uint32_t  LVDLCK11             :1;
            __IO  uint32_t  LVDLCK12             :1;
            __IO  uint32_t  LVDLCK13             :1;
            __IO  uint32_t  LVDLCK14             :1;
            __IO  uint32_t  LVDLCK15             :1;
            __IO  uint32_t  LVDLCK16             :1;
            __IO  uint32_t  LVDLCK17             :1;
            __IO  uint32_t  LVDLCK18             :1;
            __IO  uint32_t  LVDLCK19             :1;
            __IO  uint32_t  LVDLCK20             :1;
            __IO  uint32_t  LVDLCK21             :1;
            __IO  uint32_t  LVDLCK22             :1;
            __IO  uint32_t  LVDLCK23             :1;
            __IO  uint32_t  LVDLCK24             :1;
            __IO  uint32_t  LVDLCK25             :1;
            __IO  uint32_t  LVDLCK26             :1;
            __IO  uint32_t  LVDLCK27             :1;
            __IO  uint32_t  LVDLCK28             :1;
            __IO  uint32_t  LVDLCK29             :1;
            __IO  uint32_t  LVDLCK30             :1;
            __IO  uint32_t  LVDLCK31             :1;
        };
    };
} stc_lvd_lvd_rlr_field_t;

typedef struct stc_lvd_lvd_str2_field
{
        __IO   uint8_t  RESERVED0                :6;
        __IO   uint8_t  LVDRRDY                  :1;
        __IO   uint8_t  LVDIRDY                  :1;
} stc_lvd_lvd_str2_field_t;

/******************************************************************************
 ** MFS_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_mfs_smr_field
{
    union {
        union {
            struct {
                __IO   uint8_t  SOE              :1;
                __IO   uint8_t  SCKE             :1;
                __IO   uint8_t  BDS              :1;
                __IO   uint8_t  SCINV            :1;
                __IO   uint8_t  RESERVED0        :1;
                __IO   uint8_t  MD               :3;
            };
            struct {
                __IO   uint8_t  RESERVED1        :5;
                __IO   uint8_t  MD0              :1;
                __IO   uint8_t  MD1              :1;
                __IO   uint8_t  MD2              :1;
            };
        };
        union {
            struct {
                __IO   uint8_t  RESERVED2        :2;
                __IO   uint8_t  TIE              :1;
                __IO   uint8_t  RIE              :1;
                __IO   uint8_t  RESERVED3        :4;
            };
            struct {
                __IO   uint8_t  RESERVED4        :8;
            };
        };
        union {
            struct {
                __IO   uint8_t  RESERVED5        :3;
                __IO   uint8_t  SBL              :1;
                __IO   uint8_t  RESERVED6        :4;
            };
            struct {
                __IO   uint8_t  RESERVED7        :8;
            };
        };
    };
} stc_mfs_smr_field_t;

typedef struct stc_mfs_ibcr_field
{
    union {
        struct {
            __IO   uint8_t  TXE                  :1;
            __IO   uint8_t  RXE                  :1;
            __IO   uint8_t  TBIE                 :1;
            __IO   uint8_t  TIE                  :1;
            __IO   uint8_t  RIE                  :1;
            __IO   uint8_t  SPI                  :1;
            __IO   uint8_t  MS                   :1;
            __IO   uint8_t  UPCL                 :1;
        };
        struct {
            __IO   uint8_t  INT                  :1;
            __IO   uint8_t  BER                  :1;
            __IO   uint8_t  INTE                 :1;
            __IO   uint8_t  CNDE                 :1;
            __IO   uint8_t  WSEL                 :1;
            __IO   uint8_t  ACKE                 :1;
            __IO   uint8_t  ACT_SCC              :1;
            __IO   uint8_t  MSS                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED2            :5;
            __IO   uint8_t  LBR                  :1;
            __IO   uint8_t  RESERVED3            :2;
        };
    };
} stc_mfs_ibcr_field_t;

typedef struct stc_mfs_scr_field
{
    union {
        struct {
            __IO   uint8_t  TXE                  :1;
            __IO   uint8_t  RXE                  :1;
            __IO   uint8_t  TBIE                 :1;
            __IO   uint8_t  TIE                  :1;
            __IO   uint8_t  RIE                  :1;
            __IO   uint8_t  SPI                  :1;
            __IO   uint8_t  MS                   :1;
            __IO   uint8_t  UPCL                 :1;
        };
        struct {
            __IO   uint8_t  INT                  :1;
            __IO   uint8_t  BER                  :1;
            __IO   uint8_t  INTE                 :1;
            __IO   uint8_t  CNDE                 :1;
            __IO   uint8_t  WSEL                 :1;
            __IO   uint8_t  ACKE                 :1;
            __IO   uint8_t  ACT_SCC              :1;
            __IO   uint8_t  MSS                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED2            :5;
            __IO   uint8_t  LBR                  :1;
            __IO   uint8_t  RESERVED3            :2;
        };
    };
} stc_mfs_scr_field_t;

typedef struct stc_mfs_escr_field
{
    union {
        union {
            struct {
                __IO   uint8_t  L                :3;
                __IO   uint8_t  WT               :2;
                __IO   uint8_t  CSFE             :1;
                __IO   uint8_t  L3               :1;
                __IO   uint8_t  SOP              :1;
            };
            struct {
                __IO   uint8_t  L0               :1;
                __IO   uint8_t  L1               :1;
                __IO   uint8_t  L2               :1;
                __IO   uint8_t  WT0              :1;
                __IO   uint8_t  WT1              :1;
                __IO   uint8_t  RESERVED0        :3;
            };
        };
        struct {
            __IO   uint8_t  BB                   :1;
            __IO   uint8_t  SPC                  :1;
            __IO   uint8_t  RSC                  :1;
            __IO   uint8_t  AL                   :1;
            __IO   uint8_t  TRX                  :1;
            __IO   uint8_t  RSA                  :1;
            __IO   uint8_t  RACK                 :1;
            __IO   uint8_t  FBT                  :1;
        };
        union {
            struct {
                __IO   uint8_t  DEL              :2;
                __IO   uint8_t  LBL              :2;
                __IO   uint8_t  LBIE             :1;
                __IO   uint8_t  RESERVED2        :1;
                __IO   uint8_t  ESBL             :1;
                __IO   uint8_t  RESERVED3        :1;
            };
            struct {
                __IO   uint8_t  DEL0             :1;
                __IO   uint8_t  DEL1             :1;
                __IO   uint8_t  LBL0             :1;
                __IO   uint8_t  LBL1             :1;
                __IO   uint8_t  RESERVED4        :4;
            };
        };
        union {
            struct {
                __IO   uint8_t  RESERVED5        :3;
                __IO   uint8_t  P                :1;
                __IO   uint8_t  PEN              :1;
                __IO   uint8_t  INV              :1;
                __IO   uint8_t  RESERVED6        :1;
                __IO   uint8_t  FLWEN            :1;
            };
            struct {
                __IO   uint8_t  RESERVED7        :8;
            };
        };
    };
} stc_mfs_escr_field_t;

typedef struct stc_mfs_ibsr_field
{
    union {
        union {
            struct {
                __IO   uint8_t  L                :3;
                __IO   uint8_t  WT               :2;
                __IO   uint8_t  CSFE             :1;
                __IO   uint8_t  L3               :1;
                __IO   uint8_t  SOP              :1;
            };
            struct {
                __IO   uint8_t  L0               :1;
                __IO   uint8_t  L1               :1;
                __IO   uint8_t  L2               :1;
                __IO   uint8_t  WT0              :1;
                __IO   uint8_t  WT1              :1;
                __IO   uint8_t  RESERVED0        :3;
            };
        };
        struct {
            __IO   uint8_t  BB                   :1;
            __IO   uint8_t  SPC                  :1;
            __IO   uint8_t  RSC                  :1;
            __IO   uint8_t  AL                   :1;
            __IO   uint8_t  TRX                  :1;
            __IO   uint8_t  RSA                  :1;
            __IO   uint8_t  RACK                 :1;
            __IO   uint8_t  FBT                  :1;
        };
        union {
            struct {
                __IO   uint8_t  DEL              :2;
                __IO   uint8_t  LBL              :2;
                __IO   uint8_t  LBIE             :1;
                __IO   uint8_t  RESERVED2        :1;
                __IO   uint8_t  ESBL             :1;
                __IO   uint8_t  RESERVED3        :1;
            };
            struct {
                __IO   uint8_t  DEL0             :1;
                __IO   uint8_t  DEL1             :1;
                __IO   uint8_t  LBL0             :1;
                __IO   uint8_t  LBL1             :1;
                __IO   uint8_t  RESERVED4        :4;
            };
        };
        union {
            struct {
                __IO   uint8_t  RESERVED5        :3;
                __IO   uint8_t  P                :1;
                __IO   uint8_t  PEN              :1;
                __IO   uint8_t  INV              :1;
                __IO   uint8_t  RESERVED6        :1;
                __IO   uint8_t  FLWEN            :1;
            };
            struct {
                __IO   uint8_t  RESERVED7        :8;
            };
        };
    };
} stc_mfs_ibsr_field_t;

typedef struct stc_mfs_ssr_field
{
    union {
        struct {
            __IO   uint8_t  TBI                  :1;
            __IO   uint8_t  TDRE                 :1;
            __IO   uint8_t  RDRF                 :1;
            __IO   uint8_t  ORE                  :1;
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  REC                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED2            :4;
            __IO   uint8_t  TBIE                 :1;
            __IO   uint8_t  DMA                  :1;
            __IO   uint8_t  TSET                 :1;
            __IO   uint8_t  RESERVED3            :1;
        };
        struct {
            __IO   uint8_t  RESERVED5            :4;
            __IO   uint8_t  FRE                  :1;
            __IO   uint8_t  LBD                  :1;
            __IO   uint8_t  RESERVED6            :2;
        };
        struct {
            __IO   uint8_t  RESERVED8            :5;
            __IO   uint8_t  PE                   :1;
            __IO   uint8_t  RESERVED9            :2;
        };
    };
} stc_mfs_ssr_field_t;

typedef struct stc_mfs_rdr_field
{
    union {
        union {
            struct {
                __IO  uint16_t  D                :16;
            };
            struct {
                __IO  uint16_t  D0               :1;
                __IO  uint16_t  D1               :1;
                __IO  uint16_t  D2               :1;
                __IO  uint16_t  D3               :1;
                __IO  uint16_t  D4               :1;
                __IO  uint16_t  D5               :1;
                __IO  uint16_t  D6               :1;
                __IO  uint16_t  D7               :1;
                __IO  uint16_t  D8               :1;
                __IO  uint16_t  D9               :1;
                __IO  uint16_t  D10              :1;
                __IO  uint16_t  D11              :1;
                __IO  uint16_t  D12              :1;
                __IO  uint16_t  D13              :1;
                __IO  uint16_t  D14              :1;
                __IO  uint16_t  D15              :1;
            };
        };
    };
} stc_mfs_rdr_field_t;

typedef struct stc_mfs_tdr_field
{
    union {
        union {
            struct {
                __IO  uint16_t  D                :16;
            };
            struct {
                __IO  uint16_t  D0               :1;
                __IO  uint16_t  D1               :1;
                __IO  uint16_t  D2               :1;
                __IO  uint16_t  D3               :1;
                __IO  uint16_t  D4               :1;
                __IO  uint16_t  D5               :1;
                __IO  uint16_t  D6               :1;
                __IO  uint16_t  D7               :1;
                __IO  uint16_t  D8               :1;
                __IO  uint16_t  D9               :1;
                __IO  uint16_t  D10              :1;
                __IO  uint16_t  D11              :1;
                __IO  uint16_t  D12              :1;
                __IO  uint16_t  D13              :1;
                __IO  uint16_t  D14              :1;
                __IO  uint16_t  D15              :1;
            };
        };
    };
} stc_mfs_tdr_field_t;

typedef struct stc_mfs_bgr_field
{
    union {
        union {
            struct {
                __IO  uint16_t  BGR              :15;
                __IO  uint16_t  RESERVED0        :1;
            };
            struct {
                __IO  uint16_t  BGR0             :1;
                __IO  uint16_t  BGR1             :1;
                __IO  uint16_t  BGR2             :1;
                __IO  uint16_t  BGR3             :1;
                __IO  uint16_t  BGR4             :1;
                __IO  uint16_t  BGR5             :1;
                __IO  uint16_t  BGR6             :1;
                __IO  uint16_t  BGR7             :1;
                __IO  uint16_t  BGR8             :1;
                __IO  uint16_t  BGR9             :1;
                __IO  uint16_t  BGR10            :1;
                __IO  uint16_t  BGR11            :1;
                __IO  uint16_t  BGR12            :1;
                __IO  uint16_t  BGR13            :1;
                __IO  uint16_t  BGR14            :1;
                __IO  uint16_t  RESERVED1        :1;
            };
        };
        union {
            struct {
                __IO  uint16_t  RESERVED4        :15;
                __IO  uint16_t  EXT              :1;
            };
            struct {
                __IO  uint16_t  RESERVED5        :16;
            };
        };
    };
} stc_mfs_bgr_field_t;

typedef struct stc_mfs_isba_field
{
    union {
        struct {
            __IO   uint8_t  SA                   :7;
            __IO   uint8_t  SAEN                 :1;
        };
        struct {
            __IO   uint8_t  SA0                  :1;
            __IO   uint8_t  SA1                  :1;
            __IO   uint8_t  SA2                  :1;
            __IO   uint8_t  SA3                  :1;
            __IO   uint8_t  SA4                  :1;
            __IO   uint8_t  SA5                  :1;
            __IO   uint8_t  SA6                  :1;
            __IO   uint8_t  RESERVED0            :1;
        };
    };
} stc_mfs_isba_field_t;

typedef struct stc_mfs_ismk_field
{
    union {
        struct {
            __IO   uint8_t  SM                   :7;
            __IO   uint8_t  EN                   :1;
        };
        struct {
            __IO   uint8_t  SM0                  :1;
            __IO   uint8_t  SM1                  :1;
            __IO   uint8_t  SM2                  :1;
            __IO   uint8_t  SM3                  :1;
            __IO   uint8_t  SM4                  :1;
            __IO   uint8_t  SM5                  :1;
            __IO   uint8_t  SM6                  :1;
            __IO   uint8_t  RESERVED0            :1;
        };
    };
} stc_mfs_ismk_field_t;

typedef struct stc_mfs_fcr_field
{
    union {
        struct {
            __IO  uint16_t  FE1                  :1;
            __IO  uint16_t  FE2                  :1;
            __IO  uint16_t  FCL1                 :1;
            __IO  uint16_t  FCL2                 :1;
            __IO  uint16_t  FSET                 :1;
            __IO  uint16_t  FLD                  :1;
            __IO  uint16_t  FLST                 :1;
            __IO  uint16_t  RESERVED0            :1;
            __IO  uint16_t  FSEL                 :1;
            __IO  uint16_t  FTIE                 :1;
            __IO  uint16_t  FDRQ                 :1;
            __IO  uint16_t  FRIIE                :1;
            __IO  uint16_t  FLSTE                :1;
            __IO  uint16_t  RESERVED1            :3;
        };
    };
} stc_mfs_fcr_field_t;

typedef struct stc_mfs_fbyte1_field
{
    union {
        union {
            struct {
                __IO   uint8_t  FD               :8;
            };
            struct {
                __IO   uint8_t  FD0              :1;
                __IO   uint8_t  FD1              :1;
                __IO   uint8_t  FD2              :1;
                __IO   uint8_t  FD3              :1;
                __IO   uint8_t  FD4              :1;
                __IO   uint8_t  FD5              :1;
                __IO   uint8_t  FD6              :1;
                __IO   uint8_t  FD7              :1;
            };
        };
    };
} stc_mfs_fbyte1_field_t;

typedef struct stc_mfs_fbyte2_field
{
    union {
        union {
            struct {
                __IO   uint8_t  FD               :8;
            };
            struct {
                __IO   uint8_t  FD0              :1;
                __IO   uint8_t  FD1              :1;
                __IO   uint8_t  FD2              :1;
                __IO   uint8_t  FD3              :1;
                __IO   uint8_t  FD4              :1;
                __IO   uint8_t  FD5              :1;
                __IO   uint8_t  FD6              :1;
                __IO   uint8_t  FD7              :1;
            };
        };
    };
} stc_mfs_fbyte2_field_t;

typedef struct stc_mfs_scstr0_field
{
    union {
        struct {
            __IO   uint8_t  CSHD                 :8;
        };
        struct {
            __IO   uint8_t  CSHD0                :1;
            __IO   uint8_t  CSHD1                :1;
            __IO   uint8_t  CSHD2                :1;
            __IO   uint8_t  CSHD3                :1;
            __IO   uint8_t  CSHD4                :1;
            __IO   uint8_t  CSHD5                :1;
            __IO   uint8_t  CSHD6                :1;
            __IO   uint8_t  CSHD7                :1;
        };
    };
} stc_mfs_scstr0_field_t;

typedef struct stc_mfs_eibcr_field
{
    union {
        union {
            struct {
                __IO   uint8_t  CSSU             :8;
            };
            struct {
                __IO   uint8_t  CSSU0            :1;
                __IO   uint8_t  CSSU1            :1;
                __IO   uint8_t  CSSU2            :1;
                __IO   uint8_t  CSSU3            :1;
                __IO   uint8_t  CSSU4            :1;
                __IO   uint8_t  CSSU5            :1;
                __IO   uint8_t  CSSU6            :1;
                __IO   uint8_t  CSSU7            :1;
            };
        };
        struct {
            __IO   uint8_t  BEC                  :1;
            __IO   uint8_t  SOCE                 :1;
            __IO   uint8_t  SCLC                 :1;
            __IO   uint8_t  SDAC                 :1;
            __IO   uint8_t  SCLS                 :1;
            __IO   uint8_t  SDAS                 :1;
            __IO   uint8_t  RESERVED0            :2;
        };
    };
} stc_mfs_eibcr_field_t;

typedef struct stc_mfs_scstr1_field
{
    union {
        union {
            struct {
                __IO   uint8_t  CSSU             :8;
            };
            struct {
                __IO   uint8_t  CSSU0            :1;
                __IO   uint8_t  CSSU1            :1;
                __IO   uint8_t  CSSU2            :1;
                __IO   uint8_t  CSSU3            :1;
                __IO   uint8_t  CSSU4            :1;
                __IO   uint8_t  CSSU5            :1;
                __IO   uint8_t  CSSU6            :1;
                __IO   uint8_t  CSSU7            :1;
            };
        };
        struct {
            __IO   uint8_t  BEC                  :1;
            __IO   uint8_t  SOCE                 :1;
            __IO   uint8_t  SCLC                 :1;
            __IO   uint8_t  SDAC                 :1;
            __IO   uint8_t  SCLS                 :1;
            __IO   uint8_t  SDAS                 :1;
            __IO   uint8_t  RESERVED0            :2;
        };
    };
} stc_mfs_scstr1_field_t;

typedef struct stc_mfs_scstr32_field
{
    union {
        struct {
            __IO  uint16_t  CSDS                 :16;
        };
        struct {
            __IO  uint16_t  CSDS0                :1;
            __IO  uint16_t  CSDS1                :1;
            __IO  uint16_t  CSDS2                :1;
            __IO  uint16_t  CSDS3                :1;
            __IO  uint16_t  CSDS4                :1;
            __IO  uint16_t  CSDS5                :1;
            __IO  uint16_t  CSDS6                :1;
            __IO  uint16_t  CSDS7                :1;
            __IO  uint16_t  CSDS8                :1;
            __IO  uint16_t  CSDS9                :1;
            __IO  uint16_t  CSDS10               :1;
            __IO  uint16_t  CSDS11               :1;
            __IO  uint16_t  CSDS12               :1;
            __IO  uint16_t  CSDS13               :1;
            __IO  uint16_t  CSDS14               :1;
            __IO  uint16_t  CSDS15               :1;
        };
    };
} stc_mfs_scstr32_field_t;

typedef struct stc_mfs_sacsr_field
{
    union {
        struct {
            __IO  uint16_t  TMRE                 :1;
            __IO  uint16_t  TDIV                 :4;
            __IO  uint16_t  RESERVED1            :1;
            __IO  uint16_t  TSYNE                :1;
            __IO  uint16_t  TINTE                :1;
            __IO  uint16_t  TINT                 :1;
            __IO  uint16_t  RESERVED2            :2;
            __IO  uint16_t  CSE                  :1;
            __IO  uint16_t  CSEIE                :1;
            __IO  uint16_t  TBEEN                :1;
            __IO  uint16_t  RESERVED3            :2;
        };
        struct {
            __IO  uint16_t  RESERVED0            :1;
            __IO  uint16_t  TDIV0                :1;
            __IO  uint16_t  TDIV1                :1;
            __IO  uint16_t  TDIV2                :1;
            __IO  uint16_t  TDIV3                :1;
            __IO  uint16_t  RESERVED4            :11;
        };
    };
} stc_mfs_sacsr_field_t;

typedef struct stc_mfs_stmr_field
{
    union {
        struct {
            __IO  uint16_t  TM                   :16;
        };
        struct {
            __IO  uint16_t  TM0                  :1;
            __IO  uint16_t  TM1                  :1;
            __IO  uint16_t  TM2                  :1;
            __IO  uint16_t  TM3                  :1;
            __IO  uint16_t  TM4                  :1;
            __IO  uint16_t  TM5                  :1;
            __IO  uint16_t  TM6                  :1;
            __IO  uint16_t  TM7                  :1;
            __IO  uint16_t  TM8                  :1;
            __IO  uint16_t  TM9                  :1;
            __IO  uint16_t  TM10                 :1;
            __IO  uint16_t  TM11                 :1;
            __IO  uint16_t  TM12                 :1;
            __IO  uint16_t  TM13                 :1;
            __IO  uint16_t  TM14                 :1;
            __IO  uint16_t  TM15                 :1;
        };
    };
} stc_mfs_stmr_field_t;

typedef struct stc_mfs_stmcr_field
{
    union {
        struct {
            __IO  uint16_t  TC                   :16;
        };
        struct {
            __IO  uint16_t  TC0                  :1;
            __IO  uint16_t  TC1                  :1;
            __IO  uint16_t  TC2                  :1;
            __IO  uint16_t  TC3                  :1;
            __IO  uint16_t  TC4                  :1;
            __IO  uint16_t  TC5                  :1;
            __IO  uint16_t  TC6                  :1;
            __IO  uint16_t  TC7                  :1;
            __IO  uint16_t  TC8                  :1;
            __IO  uint16_t  TC9                  :1;
            __IO  uint16_t  TC10                 :1;
            __IO  uint16_t  TC11                 :1;
            __IO  uint16_t  TC12                 :1;
            __IO  uint16_t  TC13                 :1;
            __IO  uint16_t  TC14                 :1;
            __IO  uint16_t  TC15                 :1;
        };
    };
} stc_mfs_stmcr_field_t;

typedef struct stc_mfs_scscr_field
{
    union {
        struct {
            __IO  uint16_t  CSOE                 :1;
            __IO  uint16_t  CSEN0                :1;
            __IO  uint16_t  CSEN1                :1;
            __IO  uint16_t  CSEN2                :1;
            __IO  uint16_t  CSEN3                :1;
            __IO  uint16_t  CSLVL                :1;
            __IO  uint16_t  CDIV                 :3;
            __IO  uint16_t  SCAM                 :1;
            __IO  uint16_t  SCD                  :2;
            __IO  uint16_t  SED                  :2;
            __IO  uint16_t  SST                  :2;
        };
        struct {
            __IO  uint16_t  RESERVED0            :6;
            __IO  uint16_t  CDIV0                :1;
            __IO  uint16_t  CDIV1                :1;
            __IO  uint16_t  CDIV2                :1;
            __IO  uint16_t  RESERVED1            :1;
            __IO  uint16_t  SCD0                 :1;
            __IO  uint16_t  SCD1                 :1;
            __IO  uint16_t  SED0                 :1;
            __IO  uint16_t  SED1                 :1;
            __IO  uint16_t  SST0                 :1;
            __IO  uint16_t  SST1                 :1;
        };
    };
} stc_mfs_scscr_field_t;

typedef struct stc_mfs_scsfr0_field
{
    union {
        struct {
            __IO   uint8_t  CS1L                 :4;
            __IO   uint8_t  CS1BDS               :1;
            __IO   uint8_t  CS1SPI               :1;
            __IO   uint8_t  CS1SCINV             :1;
            __IO   uint8_t  CS1CSLVL             :1;
        };
        struct {
            __IO   uint8_t  CS1L0                :1;
            __IO   uint8_t  CS1L1                :1;
            __IO   uint8_t  CS1L2                :1;
            __IO   uint8_t  CS1L3                :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mfs_scsfr0_field_t;

typedef struct stc_mfs_scsfr1_field
{
    union {
        struct {
            __IO   uint8_t  CS2L                 :4;
            __IO   uint8_t  CS2BDS               :1;
            __IO   uint8_t  CS2SPI               :1;
            __IO   uint8_t  CS2SCINV             :1;
            __IO   uint8_t  CS2CSLVL             :1;
        };
        struct {
            __IO   uint8_t  CS2L0                :1;
            __IO   uint8_t  CS2L1                :1;
            __IO   uint8_t  CS2L2                :1;
            __IO   uint8_t  CS2L3                :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mfs_scsfr1_field_t;

typedef struct stc_mfs_scsfr2_field
{
    union {
        struct {
            __IO   uint8_t  CS3L                 :4;
            __IO   uint8_t  CS3BDS               :1;
            __IO   uint8_t  CS3SPI               :1;
            __IO   uint8_t  CS3SCINV             :1;
            __IO   uint8_t  CS3CSLVL             :1;
        };
        struct {
            __IO   uint8_t  CS3L0                :1;
            __IO   uint8_t  CS3L1                :1;
            __IO   uint8_t  CS3L2                :1;
            __IO   uint8_t  CS3L3                :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mfs_scsfr2_field_t;

typedef struct stc_mfs_csio_smr_field
{
    union {
        struct {
            __IO   uint8_t  SOE                  :1;
            __IO   uint8_t  SCKE                 :1;
            __IO   uint8_t  BDS                  :1;
            __IO   uint8_t  SCINV                :1;
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD                   :3;
        };
        struct {
            __IO   uint8_t  RESERVED1            :5;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  MD2                  :1;
        };
    };
} stc_mfs_csio_smr_field_t;

typedef struct stc_mfs_i2c_smr_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED2            :2;
            __IO   uint8_t  TIE                  :1;
            __IO   uint8_t  RIE                  :1;
            __IO   uint8_t  RESERVED3            :1;
            __IO   uint8_t  MD                   :3;
        };
        struct {
            __IO   uint8_t  RESERVED4            :5;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  MD2                  :1;
        };
    };
} stc_mfs_i2c_smr_field_t;

typedef struct stc_mfs_lin_smr_field
{
    union {
        struct {
            __IO   uint8_t  SOE                  :1;
            __IO   uint8_t  RESERVED5            :2;
            __IO   uint8_t  SBL                  :1;
            __IO   uint8_t  RESERVED6            :1;
            __IO   uint8_t  MD                   :3;
        };
        struct {
            __IO   uint8_t  RESERVED7            :5;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  MD2                  :1;
        };
    };
} stc_mfs_lin_smr_field_t;

typedef struct stc_mfs_uart_smr_field
{
    union {
        struct {
            __IO   uint8_t  SOE                  :1;
            __IO   uint8_t  RESERVED8            :1;
            __IO   uint8_t  BDS                  :1;
            __IO   uint8_t  SBL                  :1;
            __IO   uint8_t  RESERVED9            :1;
            __IO   uint8_t  MD                   :3;
        };
        struct {
            __IO   uint8_t  RESERVED10           :5;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  MD2                  :1;
        };
    };
} stc_mfs_uart_smr_field_t;

typedef struct stc_mfs_csio_scr_field
{
        __IO   uint8_t  TXE                      :1;
        __IO   uint8_t  RXE                      :1;
        __IO   uint8_t  TBIE                     :1;
        __IO   uint8_t  TIE                      :1;
        __IO   uint8_t  RIE                      :1;
        __IO   uint8_t  SPI                      :1;
        __IO   uint8_t  MS                       :1;
        __IO   uint8_t  UPCL                     :1;
} stc_mfs_csio_scr_field_t;

typedef struct stc_mfs_i2c_ibcr_field
{
        __IO   uint8_t  INT                      :1;
        __IO   uint8_t  BER                      :1;
        __IO   uint8_t  INTE                     :1;
        __IO   uint8_t  CNDE                     :1;
        __IO   uint8_t  WSEL                     :1;
        __IO   uint8_t  ACKE                     :1;
        __IO   uint8_t  ACT_SCC                  :1;
        __IO   uint8_t  MSS                      :1;
} stc_mfs_i2c_ibcr_field_t;

typedef struct stc_mfs_lin_scr_field
{
        __IO   uint8_t  TXE                      :1;
        __IO   uint8_t  RXE                      :1;
        __IO   uint8_t  TBIE                     :1;
        __IO   uint8_t  TIE                      :1;
        __IO   uint8_t  RIE                      :1;
        __IO   uint8_t  LBR                      :1;
        __IO   uint8_t  MS                       :1;
        __IO   uint8_t  UPCL                     :1;
} stc_mfs_lin_scr_field_t;

typedef struct stc_mfs_uart_scr_field
{
        __IO   uint8_t  TXE                      :1;
        __IO   uint8_t  RXE                      :1;
        __IO   uint8_t  TBIE                     :1;
        __IO   uint8_t  TIE                      :1;
        __IO   uint8_t  RIE                      :1;
        __IO   uint8_t  RESERVED3                :2;
        __IO   uint8_t  UPCL                     :1;
} stc_mfs_uart_scr_field_t;

typedef struct stc_mfs_csio_escr_field
{
    union {
        struct {
            __IO   uint8_t  L                    :3;
            __IO   uint8_t  WT                   :2;
            __IO   uint8_t  CSFE                 :1;
            __IO   uint8_t  L3                   :1;
            __IO   uint8_t  SOP                  :1;
        };
        struct {
            __IO   uint8_t  L0                   :1;
            __IO   uint8_t  L1                   :1;
            __IO   uint8_t  L2                   :1;
            __IO   uint8_t  WT0                  :1;
            __IO   uint8_t  WT1                  :1;
            __IO   uint8_t  RESERVED0            :3;
        };
    };
} stc_mfs_csio_escr_field_t;

typedef struct stc_mfs_i2c_ibsr_field
{
        __IO   uint8_t  BB                       :1;
        __IO   uint8_t  SPC                      :1;
        __IO   uint8_t  RSC                      :1;
        __IO   uint8_t  AL                       :1;
        __IO   uint8_t  TRX                      :1;
        __IO   uint8_t  RSA                      :1;
        __IO   uint8_t  RACK                     :1;
        __IO   uint8_t  FBT                      :1;
} stc_mfs_i2c_ibsr_field_t;

typedef struct stc_mfs_lin_escr_field
{
    union {
        struct {
            __IO   uint8_t  DEL                  :2;
            __IO   uint8_t  LBL                  :2;
            __IO   uint8_t  LBIE                 :1;
            __IO   uint8_t  RESERVED2            :1;
            __IO   uint8_t  ESBL                 :1;
            __IO   uint8_t  RESERVED3            :1;
        };
        struct {
            __IO   uint8_t  DEL0                 :1;
            __IO   uint8_t  DEL1                 :1;
            __IO   uint8_t  LBL0                 :1;
            __IO   uint8_t  LBL1                 :1;
            __IO   uint8_t  RESERVED4            :4;
        };
    };
} stc_mfs_lin_escr_field_t;

typedef struct stc_mfs_uart_escr_field
{
    union {
        struct {
            __IO   uint8_t  L                    :3;
            __IO   uint8_t  P                    :1;
            __IO   uint8_t  PEN                  :1;
            __IO   uint8_t  INV                  :1;
            __IO   uint8_t  ESBL                 :1;
            __IO   uint8_t  FLWEN                :1;
        };
        struct {
            __IO   uint8_t  L0                   :1;
            __IO   uint8_t  L1                   :1;
            __IO   uint8_t  L2                   :1;
            __IO   uint8_t  RESERVED5            :5;
        };
    };
} stc_mfs_uart_escr_field_t;

typedef struct stc_mfs_csio_ssr_field
{
        __IO   uint8_t  TBI                      :1;
        __IO   uint8_t  TDRE                     :1;
        __IO   uint8_t  RDRF                     :1;
        __IO   uint8_t  ORE                      :1;
        __IO   uint8_t  RESERVED0                :3;
        __IO   uint8_t  REC                      :1;
} stc_mfs_csio_ssr_field_t;

typedef struct stc_mfs_i2c_ssr_field
{
        __IO   uint8_t  TBI                      :1;
        __IO   uint8_t  TDRE                     :1;
        __IO   uint8_t  RDRF                     :1;
        __IO   uint8_t  ORE                      :1;
        __IO   uint8_t  TBIE                     :1;
        __IO   uint8_t  DMA                      :1;
        __IO   uint8_t  TSET                     :1;
        __IO   uint8_t  REC                      :1;
} stc_mfs_i2c_ssr_field_t;

typedef struct stc_mfs_lin_ssr_field
{
        __IO   uint8_t  TBI                      :1;
        __IO   uint8_t  TDRE                     :1;
        __IO   uint8_t  RDRF                     :1;
        __IO   uint8_t  ORE                      :1;
        __IO   uint8_t  FRE                      :1;
        __IO   uint8_t  LBD                      :1;
        __IO   uint8_t  RESERVED3                :1;
        __IO   uint8_t  REC                      :1;
} stc_mfs_lin_ssr_field_t;

typedef struct stc_mfs_uart_ssr_field
{
        __IO   uint8_t  TBI                      :1;
        __IO   uint8_t  TDRE                     :1;
        __IO   uint8_t  RDRF                     :1;
        __IO   uint8_t  ORE                      :1;
        __IO   uint8_t  FRE                      :1;
        __IO   uint8_t  PE                       :1;
        __IO   uint8_t  RESERVED5                :1;
        __IO   uint8_t  REC                      :1;
} stc_mfs_uart_ssr_field_t;

typedef struct stc_mfs_csio_rdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :16;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  D8                   :1;
            __IO  uint16_t  D9                   :1;
            __IO  uint16_t  D10                  :1;
            __IO  uint16_t  D11                  :1;
            __IO  uint16_t  D12                  :1;
            __IO  uint16_t  D13                  :1;
            __IO  uint16_t  D14                  :1;
            __IO  uint16_t  D15                  :1;
        };
    };
} stc_mfs_csio_rdr_field_t;

typedef struct stc_mfs_csio_tdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :16;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  D8                   :1;
            __IO  uint16_t  D9                   :1;
            __IO  uint16_t  D10                  :1;
            __IO  uint16_t  D11                  :1;
            __IO  uint16_t  D12                  :1;
            __IO  uint16_t  D13                  :1;
            __IO  uint16_t  D14                  :1;
            __IO  uint16_t  D15                  :1;
        };
    };
} stc_mfs_csio_tdr_field_t;

typedef struct stc_mfs_i2c_rdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :8;
            __IO  uint16_t  RESERVED0            :8;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  RESERVED1            :8;
        };
    };
} stc_mfs_i2c_rdr_field_t;

typedef struct stc_mfs_i2c_tdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :8;
            __IO  uint16_t  RESERVED2            :8;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  RESERVED3            :8;
        };
    };
} stc_mfs_i2c_tdr_field_t;

typedef struct stc_mfs_lin_rdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :8;
            __IO  uint16_t  RESERVED4            :8;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  RESERVED5            :8;
        };
    };
} stc_mfs_lin_rdr_field_t;

typedef struct stc_mfs_lin_tdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :8;
            __IO  uint16_t  RESERVED6            :8;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  RESERVED7            :8;
        };
    };
} stc_mfs_lin_tdr_field_t;

typedef struct stc_mfs_uart_rdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :9;
            __IO  uint16_t  RESERVED8            :7;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  D8                   :1;
            __IO  uint16_t  RESERVED9            :7;
        };
    };
} stc_mfs_uart_rdr_field_t;

typedef struct stc_mfs_uart_tdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :9;
            __IO  uint16_t  RESERVED10           :7;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  D8                   :1;
            __IO  uint16_t  RESERVED11           :7;
        };
    };
} stc_mfs_uart_tdr_field_t;

typedef struct stc_mfs_csio_bgr_field
{
    union {
        struct {
            __IO  uint16_t  BGR                  :15;
            __IO  uint16_t  RESERVED0            :1;
        };
        struct {
            __IO  uint16_t  BGR0                 :1;
            __IO  uint16_t  BGR1                 :1;
            __IO  uint16_t  BGR2                 :1;
            __IO  uint16_t  BGR3                 :1;
            __IO  uint16_t  BGR4                 :1;
            __IO  uint16_t  BGR5                 :1;
            __IO  uint16_t  BGR6                 :1;
            __IO  uint16_t  BGR7                 :1;
            __IO  uint16_t  BGR8                 :1;
            __IO  uint16_t  BGR9                 :1;
            __IO  uint16_t  BGR10                :1;
            __IO  uint16_t  BGR11                :1;
            __IO  uint16_t  BGR12                :1;
            __IO  uint16_t  BGR13                :1;
            __IO  uint16_t  BGR14                :1;
            __IO  uint16_t  RESERVED1            :1;
        };
    };
} stc_mfs_csio_bgr_field_t;

typedef struct stc_mfs_i2c_bgr_field
{
    union {
        struct {
            __IO  uint16_t  BGR                  :15;
            __IO  uint16_t  RESERVED2            :1;
        };
        struct {
            __IO  uint16_t  BGR0                 :1;
            __IO  uint16_t  BGR1                 :1;
            __IO  uint16_t  BGR2                 :1;
            __IO  uint16_t  BGR3                 :1;
            __IO  uint16_t  BGR4                 :1;
            __IO  uint16_t  BGR5                 :1;
            __IO  uint16_t  BGR6                 :1;
            __IO  uint16_t  BGR7                 :1;
            __IO  uint16_t  BGR8                 :1;
            __IO  uint16_t  BGR9                 :1;
            __IO  uint16_t  BGR10                :1;
            __IO  uint16_t  BGR11                :1;
            __IO  uint16_t  BGR12                :1;
            __IO  uint16_t  BGR13                :1;
            __IO  uint16_t  BGR14                :1;
            __IO  uint16_t  RESERVED3            :1;
        };
    };
} stc_mfs_i2c_bgr_field_t;

typedef struct stc_mfs_lin_bgr_field
{
    union {
        struct {
            __IO  uint16_t  BGR                  :15;
            __IO  uint16_t  EXT                  :1;
        };
        struct {
            __IO  uint16_t  BGR0                 :1;
            __IO  uint16_t  BGR1                 :1;
            __IO  uint16_t  BGR2                 :1;
            __IO  uint16_t  BGR3                 :1;
            __IO  uint16_t  BGR4                 :1;
            __IO  uint16_t  BGR5                 :1;
            __IO  uint16_t  BGR6                 :1;
            __IO  uint16_t  BGR7                 :1;
            __IO  uint16_t  BGR8                 :1;
            __IO  uint16_t  BGR9                 :1;
            __IO  uint16_t  BGR10                :1;
            __IO  uint16_t  BGR11                :1;
            __IO  uint16_t  BGR12                :1;
            __IO  uint16_t  BGR13                :1;
            __IO  uint16_t  BGR14                :1;
            __IO  uint16_t  RESERVED4            :1;
        };
    };
} stc_mfs_lin_bgr_field_t;

typedef struct stc_mfs_uart_bgr_field
{
    union {
        struct {
            __IO  uint16_t  BGR                  :15;
            __IO  uint16_t  EXT                  :1;
        };
        struct {
            __IO  uint16_t  BGR0                 :1;
            __IO  uint16_t  BGR1                 :1;
            __IO  uint16_t  BGR2                 :1;
            __IO  uint16_t  BGR3                 :1;
            __IO  uint16_t  BGR4                 :1;
            __IO  uint16_t  BGR5                 :1;
            __IO  uint16_t  BGR6                 :1;
            __IO  uint16_t  BGR7                 :1;
            __IO  uint16_t  BGR8                 :1;
            __IO  uint16_t  BGR9                 :1;
            __IO  uint16_t  BGR10                :1;
            __IO  uint16_t  BGR11                :1;
            __IO  uint16_t  BGR12                :1;
            __IO  uint16_t  BGR13                :1;
            __IO  uint16_t  BGR14                :1;
            __IO  uint16_t  RESERVED5            :1;
        };
    };
} stc_mfs_uart_bgr_field_t;

typedef struct stc_mfs_i2c_isba_field
{
    union {
        struct {
            __IO   uint8_t  SA                   :7;
            __IO   uint8_t  SAEN                 :1;
        };
        struct {
            __IO   uint8_t  SA0                  :1;
            __IO   uint8_t  SA1                  :1;
            __IO   uint8_t  SA2                  :1;
            __IO   uint8_t  SA3                  :1;
            __IO   uint8_t  SA4                  :1;
            __IO   uint8_t  SA5                  :1;
            __IO   uint8_t  SA6                  :1;
            __IO   uint8_t  RESERVED0            :1;
        };
    };
} stc_mfs_i2c_isba_field_t;

typedef struct stc_mfs_i2c_ismk_field
{
    union {
        struct {
            __IO   uint8_t  SM                   :7;
            __IO   uint8_t  EN                   :1;
        };
        struct {
            __IO   uint8_t  SM0                  :1;
            __IO   uint8_t  SM1                  :1;
            __IO   uint8_t  SM2                  :1;
            __IO   uint8_t  SM3                  :1;
            __IO   uint8_t  SM4                  :1;
            __IO   uint8_t  SM5                  :1;
            __IO   uint8_t  SM6                  :1;
            __IO   uint8_t  RESERVED0            :1;
        };
    };
} stc_mfs_i2c_ismk_field_t;

typedef struct stc_mfs_csio_fcr_field
{
        __IO  uint16_t  FE1                      :1;
        __IO  uint16_t  FE2                      :1;
        __IO  uint16_t  FCL1                     :1;
        __IO  uint16_t  FCL2                     :1;
        __IO  uint16_t  FSET                     :1;
        __IO  uint16_t  FLD                      :1;
        __IO  uint16_t  FLST                     :1;
        __IO  uint16_t  RESERVED0                :1;
        __IO  uint16_t  FSEL                     :1;
        __IO  uint16_t  FTIE                     :1;
        __IO  uint16_t  FDRQ                     :1;
        __IO  uint16_t  FRIIE                    :1;
        __IO  uint16_t  FLSTE                    :1;
        __IO  uint16_t  RESERVED1                :3;
} stc_mfs_csio_fcr_field_t;

typedef struct stc_mfs_i2c_fcr_field
{
        __IO  uint16_t  FE1                      :1;
        __IO  uint16_t  FE2                      :1;
        __IO  uint16_t  FCL1                     :1;
        __IO  uint16_t  FCL2                     :1;
        __IO  uint16_t  FSET                     :1;
        __IO  uint16_t  FLD                      :1;
        __IO  uint16_t  FLST                     :1;
        __IO  uint16_t  RESERVED3                :1;
        __IO  uint16_t  FSEL                     :1;
        __IO  uint16_t  FTIE                     :1;
        __IO  uint16_t  FDRQ                     :1;
        __IO  uint16_t  FRIIE                    :1;
        __IO  uint16_t  FLSTE                    :1;
        __IO  uint16_t  RESERVED4                :3;
} stc_mfs_i2c_fcr_field_t;

typedef struct stc_mfs_lin_fcr_field
{
        __IO  uint16_t  FE1                      :1;
        __IO  uint16_t  FE2                      :1;
        __IO  uint16_t  FCL1                     :1;
        __IO  uint16_t  FCL2                     :1;
        __IO  uint16_t  FSET                     :1;
        __IO  uint16_t  FLD                      :1;
        __IO  uint16_t  FLST                     :1;
        __IO  uint16_t  RESERVED6                :1;
        __IO  uint16_t  FSEL                     :1;
        __IO  uint16_t  FTIE                     :1;
        __IO  uint16_t  FDRQ                     :1;
        __IO  uint16_t  FRIIE                    :1;
        __IO  uint16_t  FLSTE                    :1;
        __IO  uint16_t  RESERVED7                :3;
} stc_mfs_lin_fcr_field_t;

typedef struct stc_mfs_uart_fcr_field
{
        __IO  uint16_t  FE1                      :1;
        __IO  uint16_t  FE2                      :1;
        __IO  uint16_t  FCL1                     :1;
        __IO  uint16_t  FCL2                     :1;
        __IO  uint16_t  FSET                     :1;
        __IO  uint16_t  FLD                      :1;
        __IO  uint16_t  FLST                     :1;
        __IO  uint16_t  RESERVED9                :1;
        __IO  uint16_t  FSEL                     :1;
        __IO  uint16_t  FTIE                     :1;
        __IO  uint16_t  FDRQ                     :1;
        __IO  uint16_t  FRIIE                    :1;
        __IO  uint16_t  FLSTE                    :1;
        __IO  uint16_t  RESERVED10               :3;
} stc_mfs_uart_fcr_field_t;

typedef struct stc_mfs_csio_fbyte1_field
{
    union {
        struct {
            __IO   uint8_t  FD                   :8;
        };
        struct {
            __IO   uint8_t  FD0                  :1;
            __IO   uint8_t  FD1                  :1;
            __IO   uint8_t  FD2                  :1;
            __IO   uint8_t  FD3                  :1;
            __IO   uint8_t  FD4                  :1;
            __IO   uint8_t  FD5                  :1;
            __IO   uint8_t  FD6                  :1;
            __IO   uint8_t  FD7                  :1;
        };
    };
} stc_mfs_csio_fbyte1_field_t;

typedef struct stc_mfs_i2c_fbyte1_field
{
    union {
        struct {
            __IO   uint8_t  FD                   :8;
        };
        struct {
            __IO   uint8_t  FD0                  :1;
            __IO   uint8_t  FD1                  :1;
            __IO   uint8_t  FD2                  :1;
            __IO   uint8_t  FD3                  :1;
            __IO   uint8_t  FD4                  :1;
            __IO   uint8_t  FD5                  :1;
            __IO   uint8_t  FD6                  :1;
            __IO   uint8_t  FD7                  :1;
        };
    };
} stc_mfs_i2c_fbyte1_field_t;

typedef struct stc_mfs_lin_fbyte1_field
{
    union {
        struct {
            __IO   uint8_t  FD                   :8;
        };
        struct {
            __IO   uint8_t  FD0                  :1;
            __IO   uint8_t  FD1                  :1;
            __IO   uint8_t  FD2                  :1;
            __IO   uint8_t  FD3                  :1;
            __IO   uint8_t  FD4                  :1;
            __IO   uint8_t  FD5                  :1;
            __IO   uint8_t  FD6                  :1;
            __IO   uint8_t  FD7                  :1;
        };
    };
} stc_mfs_lin_fbyte1_field_t;

typedef struct stc_mfs_uart_fbyte1_field
{
    union {
        struct {
            __IO   uint8_t  FD                   :8;
        };
        struct {
            __IO   uint8_t  FD0                  :1;
            __IO   uint8_t  FD1                  :1;
            __IO   uint8_t  FD2                  :1;
            __IO   uint8_t  FD3                  :1;
            __IO   uint8_t  FD4                  :1;
            __IO   uint8_t  FD5                  :1;
            __IO   uint8_t  FD6                  :1;
            __IO   uint8_t  FD7                  :1;
        };
    };
} stc_mfs_uart_fbyte1_field_t;

typedef struct stc_mfs_csio_fbyte2_field
{
    union {
        struct {
            __IO   uint8_t  FD                   :8;
        };
        struct {
            __IO   uint8_t  FD0                  :1;
            __IO   uint8_t  FD1                  :1;
            __IO   uint8_t  FD2                  :1;
            __IO   uint8_t  FD3                  :1;
            __IO   uint8_t  FD4                  :1;
            __IO   uint8_t  FD5                  :1;
            __IO   uint8_t  FD6                  :1;
            __IO   uint8_t  FD7                  :1;
        };
    };
} stc_mfs_csio_fbyte2_field_t;

typedef struct stc_mfs_i2c_fbyte2_field
{
    union {
        struct {
            __IO   uint8_t  FD                   :8;
        };
        struct {
            __IO   uint8_t  FD0                  :1;
            __IO   uint8_t  FD1                  :1;
            __IO   uint8_t  FD2                  :1;
            __IO   uint8_t  FD3                  :1;
            __IO   uint8_t  FD4                  :1;
            __IO   uint8_t  FD5                  :1;
            __IO   uint8_t  FD6                  :1;
            __IO   uint8_t  FD7                  :1;
        };
    };
} stc_mfs_i2c_fbyte2_field_t;

typedef struct stc_mfs_lin_fbyte2_field
{
    union {
        struct {
            __IO   uint8_t  FD                   :8;
        };
        struct {
            __IO   uint8_t  FD0                  :1;
            __IO   uint8_t  FD1                  :1;
            __IO   uint8_t  FD2                  :1;
            __IO   uint8_t  FD3                  :1;
            __IO   uint8_t  FD4                  :1;
            __IO   uint8_t  FD5                  :1;
            __IO   uint8_t  FD6                  :1;
            __IO   uint8_t  FD7                  :1;
        };
    };
} stc_mfs_lin_fbyte2_field_t;

typedef struct stc_mfs_uart_fbyte2_field
{
    union {
        struct {
            __IO   uint8_t  FD                   :8;
        };
        struct {
            __IO   uint8_t  FD0                  :1;
            __IO   uint8_t  FD1                  :1;
            __IO   uint8_t  FD2                  :1;
            __IO   uint8_t  FD3                  :1;
            __IO   uint8_t  FD4                  :1;
            __IO   uint8_t  FD5                  :1;
            __IO   uint8_t  FD6                  :1;
            __IO   uint8_t  FD7                  :1;
        };
    };
} stc_mfs_uart_fbyte2_field_t;

typedef struct stc_mfs_csio_scstr0_field
{
    union {
        struct {
            __IO   uint8_t  CSHD                 :8;
        };
        struct {
            __IO   uint8_t  CSHD0                :1;
            __IO   uint8_t  CSHD1                :1;
            __IO   uint8_t  CSHD2                :1;
            __IO   uint8_t  CSHD3                :1;
            __IO   uint8_t  CSHD4                :1;
            __IO   uint8_t  CSHD5                :1;
            __IO   uint8_t  CSHD6                :1;
            __IO   uint8_t  CSHD7                :1;
        };
    };
} stc_mfs_csio_scstr0_field_t;

typedef struct stc_mfs_csio_scstr1_field
{
    union {
        struct {
            __IO   uint8_t  CSSU                 :8;
        };
        struct {
            __IO   uint8_t  CSSU0                :1;
            __IO   uint8_t  CSSU1                :1;
            __IO   uint8_t  CSSU2                :1;
            __IO   uint8_t  CSSU3                :1;
            __IO   uint8_t  CSSU4                :1;
            __IO   uint8_t  CSSU5                :1;
            __IO   uint8_t  CSSU6                :1;
            __IO   uint8_t  CSSU7                :1;
        };
    };
} stc_mfs_csio_scstr1_field_t;

typedef struct stc_mfs_i2c_eibcr_field
{
        __IO   uint8_t  BEC                      :1;
        __IO   uint8_t  SOCE                     :1;
        __IO   uint8_t  SCLC                     :1;
        __IO   uint8_t  SDAC                     :1;
        __IO   uint8_t  SCLS                     :1;
        __IO   uint8_t  SDAS                     :1;
        __IO   uint8_t  RESERVED0                :2;
} stc_mfs_i2c_eibcr_field_t;

typedef struct stc_mfs_csio_scstr32_field
{
    union {
        struct {
            __IO  uint16_t  CSDS                 :16;
        };
        struct {
            __IO  uint16_t  CSDS0                :1;
            __IO  uint16_t  CSDS1                :1;
            __IO  uint16_t  CSDS2                :1;
            __IO  uint16_t  CSDS3                :1;
            __IO  uint16_t  CSDS4                :1;
            __IO  uint16_t  CSDS5                :1;
            __IO  uint16_t  CSDS6                :1;
            __IO  uint16_t  CSDS7                :1;
            __IO  uint16_t  CSDS8                :1;
            __IO  uint16_t  CSDS9                :1;
            __IO  uint16_t  CSDS10               :1;
            __IO  uint16_t  CSDS11               :1;
            __IO  uint16_t  CSDS12               :1;
            __IO  uint16_t  CSDS13               :1;
            __IO  uint16_t  CSDS14               :1;
            __IO  uint16_t  CSDS15               :1;
        };
    };
} stc_mfs_csio_scstr32_field_t;

typedef struct stc_mfs_csio_sacsr_field
{
    union {
        struct {
            __IO  uint16_t  TMRE                 :1;
            __IO  uint16_t  TDIV                 :4;
            __IO  uint16_t  RESERVED1            :1;
            __IO  uint16_t  TSYNE                :1;
            __IO  uint16_t  TINTE                :1;
            __IO  uint16_t  TINT                 :1;
            __IO  uint16_t  RESERVED2            :2;
            __IO  uint16_t  CSE                  :1;
            __IO  uint16_t  CSEIE                :1;
            __IO  uint16_t  TBEEN                :1;
            __IO  uint16_t  RESERVED3            :2;
        };
        struct {
            __IO  uint16_t  RESERVED0            :1;
            __IO  uint16_t  TDIV0                :1;
            __IO  uint16_t  TDIV1                :1;
            __IO  uint16_t  TDIV2                :1;
            __IO  uint16_t  TDIV3                :1;
            __IO  uint16_t  RESERVED4            :11;
        };
    };
} stc_mfs_csio_sacsr_field_t;

typedef struct stc_mfs_csio_stmr_field
{
    union {
        struct {
            __IO  uint16_t  TM                   :16;
        };
        struct {
            __IO  uint16_t  TM0                  :1;
            __IO  uint16_t  TM1                  :1;
            __IO  uint16_t  TM2                  :1;
            __IO  uint16_t  TM3                  :1;
            __IO  uint16_t  TM4                  :1;
            __IO  uint16_t  TM5                  :1;
            __IO  uint16_t  TM6                  :1;
            __IO  uint16_t  TM7                  :1;
            __IO  uint16_t  TM8                  :1;
            __IO  uint16_t  TM9                  :1;
            __IO  uint16_t  TM10                 :1;
            __IO  uint16_t  TM11                 :1;
            __IO  uint16_t  TM12                 :1;
            __IO  uint16_t  TM13                 :1;
            __IO  uint16_t  TM14                 :1;
            __IO  uint16_t  TM15                 :1;
        };
    };
} stc_mfs_csio_stmr_field_t;

typedef struct stc_mfs_csio_stmcr_field
{
    union {
        struct {
            __IO  uint16_t  TC                   :16;
        };
        struct {
            __IO  uint16_t  TC0                  :1;
            __IO  uint16_t  TC1                  :1;
            __IO  uint16_t  TC2                  :1;
            __IO  uint16_t  TC3                  :1;
            __IO  uint16_t  TC4                  :1;
            __IO  uint16_t  TC5                  :1;
            __IO  uint16_t  TC6                  :1;
            __IO  uint16_t  TC7                  :1;
            __IO  uint16_t  TC8                  :1;
            __IO  uint16_t  TC9                  :1;
            __IO  uint16_t  TC10                 :1;
            __IO  uint16_t  TC11                 :1;
            __IO  uint16_t  TC12                 :1;
            __IO  uint16_t  TC13                 :1;
            __IO  uint16_t  TC14                 :1;
            __IO  uint16_t  TC15                 :1;
        };
    };
} stc_mfs_csio_stmcr_field_t;

typedef struct stc_mfs_csio_scscr_field
{
    union {
        struct {
            __IO  uint16_t  CSOE                 :1;
            __IO  uint16_t  CSEN0                :1;
            __IO  uint16_t  CSEN1                :1;
            __IO  uint16_t  CSEN2                :1;
            __IO  uint16_t  CSEN3                :1;
            __IO  uint16_t  CSLVL                :1;
            __IO  uint16_t  CDIV                 :3;
            __IO  uint16_t  SCAM                 :1;
            __IO  uint16_t  SCD                  :2;
            __IO  uint16_t  SED                  :2;
            __IO  uint16_t  SST                  :2;
        };
        struct {
            __IO  uint16_t  RESERVED0            :6;
            __IO  uint16_t  CDIV0                :1;
            __IO  uint16_t  CDIV1                :1;
            __IO  uint16_t  CDIV2                :1;
            __IO  uint16_t  RESERVED1            :1;
            __IO  uint16_t  SCD0                 :1;
            __IO  uint16_t  SCD1                 :1;
            __IO  uint16_t  SED0                 :1;
            __IO  uint16_t  SED1                 :1;
            __IO  uint16_t  SST0                 :1;
            __IO  uint16_t  SST1                 :1;
        };
    };
} stc_mfs_csio_scscr_field_t;

typedef struct stc_mfs_csio_scsfr0_field
{
    union {
        struct {
            __IO   uint8_t  CS1L                 :4;
            __IO   uint8_t  CS1BDS               :1;
            __IO   uint8_t  CS1SPI               :1;
            __IO   uint8_t  CS1SCINV             :1;
            __IO   uint8_t  CS1CSLVL             :1;
        };
        struct {
            __IO   uint8_t  CS1L0                :1;
            __IO   uint8_t  CS1L1                :1;
            __IO   uint8_t  CS1L2                :1;
            __IO   uint8_t  CS1L3                :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mfs_csio_scsfr0_field_t;

typedef struct stc_mfs_csio_scsfr1_field
{
    union {
        struct {
            __IO   uint8_t  CS2L                 :4;
            __IO   uint8_t  CS2BDS               :1;
            __IO   uint8_t  CS2SPI               :1;
            __IO   uint8_t  CS2SCINV             :1;
            __IO   uint8_t  CS2CSLVL             :1;
        };
        struct {
            __IO   uint8_t  CS2L0                :1;
            __IO   uint8_t  CS2L1                :1;
            __IO   uint8_t  CS2L2                :1;
            __IO   uint8_t  CS2L3                :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mfs_csio_scsfr1_field_t;

typedef struct stc_mfs_csio_scsfr2_field
{
    union {
        struct {
            __IO   uint8_t  CS3L                 :4;
            __IO   uint8_t  CS3BDS               :1;
            __IO   uint8_t  CS3SPI               :1;
            __IO   uint8_t  CS3SCINV             :1;
            __IO   uint8_t  CS3CSLVL             :1;
        };
        struct {
            __IO   uint8_t  CS3L0                :1;
            __IO   uint8_t  CS3L1                :1;
            __IO   uint8_t  CS3L2                :1;
            __IO   uint8_t  CS3L3                :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mfs_csio_scsfr2_field_t;

/******************************************************************************
 ** MFT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_mft_ocsa10_field
{
        __IO   uint8_t  CST0                     :1;
        __IO   uint8_t  CST1                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  IOE0                     :1;
        __IO   uint8_t  IOE1                     :1;
        __IO   uint8_t  IOP0                     :1;
        __IO   uint8_t  IOP1                     :1;
} stc_mft_ocsa10_field_t;

typedef struct stc_mft_ocsb10_field
{
        __IO   uint8_t  OTD0                     :1;
        __IO   uint8_t  OTD1                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  CMOD                     :1;
        __IO   uint8_t  RESERVED1                :2;
        __IO   uint8_t  FM4                      :1;
} stc_mft_ocsb10_field_t;

typedef struct stc_mft_ocsd10_field
{
    union {
        struct {
            __IO   uint8_t  OCCP0BUFE            :2;
            __IO   uint8_t  OCCP1BUFE            :2;
            __IO   uint8_t  OCSE0BUFE            :2;
            __IO   uint8_t  OCSE1BUFE            :2;
        };
        struct {
            __IO   uint8_t  OCCP0BUFE0           :1;
            __IO   uint8_t  OCCP0BUFE1           :1;
            __IO   uint8_t  OCCP1BUFE0           :1;
            __IO   uint8_t  OCCP1BUFE1           :1;
            __IO   uint8_t  OCSE0BUFE0           :1;
            __IO   uint8_t  OCSE0BUFE1           :1;
            __IO   uint8_t  OCSE1BUFE0           :1;
            __IO   uint8_t  OCSE1BUFE1           :1;
        };
    };
} stc_mft_ocsd10_field_t;

typedef struct stc_mft_ocsa32_field
{
        __IO   uint8_t  CST2                     :1;
        __IO   uint8_t  CST3                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  IOE2                     :1;
        __IO   uint8_t  IOE3                     :1;
        __IO   uint8_t  IOP2                     :1;
        __IO   uint8_t  IOP3                     :1;
} stc_mft_ocsa32_field_t;

typedef struct stc_mft_ocsb32_field
{
        __IO   uint8_t  OTD2                     :1;
        __IO   uint8_t  OTD3                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  CMOD                     :1;
        __IO   uint8_t  RESERVED1                :2;
        __IO   uint8_t  FM4                      :1;
} stc_mft_ocsb32_field_t;

typedef struct stc_mft_ocsd32_field
{
    union {
        struct {
            __IO   uint8_t  OCCP2BUFE            :2;
            __IO   uint8_t  OCCP3BUFE            :2;
            __IO   uint8_t  OCSE2BUFE            :2;
            __IO   uint8_t  OCSE3BUFE            :2;
        };
        struct {
            __IO   uint8_t  OCCP2BUFE0           :1;
            __IO   uint8_t  OCCP2BUFE1           :1;
            __IO   uint8_t  OCCP3BUFE0           :1;
            __IO   uint8_t  OCCP3BUFE1           :1;
            __IO   uint8_t  OCSE2BUFE0           :1;
            __IO   uint8_t  OCSE2BUFE1           :1;
            __IO   uint8_t  OCSE3BUFE0           :1;
            __IO   uint8_t  OCSE3BUFE1           :1;
        };
    };
} stc_mft_ocsd32_field_t;

typedef struct stc_mft_ocsa54_field
{
        __IO   uint8_t  CST4                     :1;
        __IO   uint8_t  CST5                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  IOE4                     :1;
        __IO   uint8_t  IOE5                     :1;
        __IO   uint8_t  IOP4                     :1;
        __IO   uint8_t  IOP5                     :1;
} stc_mft_ocsa54_field_t;

typedef struct stc_mft_ocsb54_field
{
        __IO   uint8_t  OTD4                     :1;
        __IO   uint8_t  OTD5                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  CMOD                     :1;
        __IO   uint8_t  RESERVED1                :2;
        __IO   uint8_t  FM4                      :1;
} stc_mft_ocsb54_field_t;

typedef struct stc_mft_ocsd54_field
{
    union {
        struct {
            __IO   uint8_t  OCCP4BUFE            :2;
            __IO   uint8_t  OCCP5BUFE            :2;
            __IO   uint8_t  OCSE4BUFE            :2;
            __IO   uint8_t  OCSE5BUFE            :2;
        };
        struct {
            __IO   uint8_t  OCCP4BUFE0           :1;
            __IO   uint8_t  OCCP4BUFE1           :1;
            __IO   uint8_t  OCCP5BUFE0           :1;
            __IO   uint8_t  OCCP5BUFE1           :1;
            __IO   uint8_t  OCSE4BUFE0           :1;
            __IO   uint8_t  OCSE4BUFE1           :1;
            __IO   uint8_t  OCSE5BUFE0           :1;
            __IO   uint8_t  OCSE5BUFE1           :1;
        };
    };
} stc_mft_ocsd54_field_t;

typedef struct stc_mft_ocsc_field
{
        __IO   uint8_t  MOD0                     :1;
        __IO   uint8_t  MOD1                     :1;
        __IO   uint8_t  MOD2                     :1;
        __IO   uint8_t  MOD3                     :1;
        __IO   uint8_t  MOD4                     :1;
        __IO   uint8_t  MOD5                     :1;
        __IO   uint8_t  RESERVED0                :2;
} stc_mft_ocsc_field_t;

typedef struct stc_mft_ocse0_field
{
    union {
        struct {
            __IO  uint16_t  OCSE                 :16;
        };
        struct {
            __IO  uint16_t  OCSE0                :1;
            __IO  uint16_t  OCSE1                :1;
            __IO  uint16_t  OCSE2                :1;
            __IO  uint16_t  OCSE3                :1;
            __IO  uint16_t  OCSE4                :1;
            __IO  uint16_t  OCSE5                :1;
            __IO  uint16_t  OCSE6                :1;
            __IO  uint16_t  OCSE7                :1;
            __IO  uint16_t  OCSE8                :1;
            __IO  uint16_t  OCSE9                :1;
            __IO  uint16_t  OCSE10               :1;
            __IO  uint16_t  OCSE11               :1;
            __IO  uint16_t  OCSE12               :1;
            __IO  uint16_t  OCSE13               :1;
            __IO  uint16_t  OCSE14               :1;
            __IO  uint16_t  OCSE15               :1;
        };
    };
} stc_mft_ocse0_field_t;

typedef struct stc_mft_ocse1_field
{
    union {
        struct {
            __IO  uint32_t  OCSE                 :32;
        };
        struct {
            __IO  uint32_t  OCSE0                :1;
            __IO  uint32_t  OCSE1                :1;
            __IO  uint32_t  OCSE2                :1;
            __IO  uint32_t  OCSE3                :1;
            __IO  uint32_t  OCSE4                :1;
            __IO  uint32_t  OCSE5                :1;
            __IO  uint32_t  OCSE6                :1;
            __IO  uint32_t  OCSE7                :1;
            __IO  uint32_t  OCSE8                :1;
            __IO  uint32_t  OCSE9                :1;
            __IO  uint32_t  OCSE10               :1;
            __IO  uint32_t  OCSE11               :1;
            __IO  uint32_t  OCSE12               :1;
            __IO  uint32_t  OCSE13               :1;
            __IO  uint32_t  OCSE14               :1;
            __IO  uint32_t  OCSE15               :1;
            __IO  uint32_t  OCSE16               :1;
            __IO  uint32_t  OCSE17               :1;
            __IO  uint32_t  OCSE18               :1;
            __IO  uint32_t  OCSE19               :1;
            __IO  uint32_t  OCSE20               :1;
            __IO  uint32_t  OCSE21               :1;
            __IO  uint32_t  OCSE22               :1;
            __IO  uint32_t  OCSE23               :1;
            __IO  uint32_t  OCSE24               :1;
            __IO  uint32_t  OCSE25               :1;
            __IO  uint32_t  OCSE26               :1;
            __IO  uint32_t  OCSE27               :1;
            __IO  uint32_t  OCSE28               :1;
            __IO  uint32_t  OCSE29               :1;
            __IO  uint32_t  OCSE30               :1;
            __IO  uint32_t  OCSE31               :1;
        };
    };
} stc_mft_ocse1_field_t;

typedef struct stc_mft_ocse2_field
{
    union {
        struct {
            __IO  uint16_t  OCSE                 :16;
        };
        struct {
            __IO  uint16_t  OCSE0                :1;
            __IO  uint16_t  OCSE1                :1;
            __IO  uint16_t  OCSE2                :1;
            __IO  uint16_t  OCSE3                :1;
            __IO  uint16_t  OCSE4                :1;
            __IO  uint16_t  OCSE5                :1;
            __IO  uint16_t  OCSE6                :1;
            __IO  uint16_t  OCSE7                :1;
            __IO  uint16_t  OCSE8                :1;
            __IO  uint16_t  OCSE9                :1;
            __IO  uint16_t  OCSE10               :1;
            __IO  uint16_t  OCSE11               :1;
            __IO  uint16_t  OCSE12               :1;
            __IO  uint16_t  OCSE13               :1;
            __IO  uint16_t  OCSE14               :1;
            __IO  uint16_t  OCSE15               :1;
        };
    };
} stc_mft_ocse2_field_t;

typedef struct stc_mft_ocse3_field
{
    union {
        struct {
            __IO  uint32_t  OCSE                 :32;
        };
        struct {
            __IO  uint32_t  OCSE0                :1;
            __IO  uint32_t  OCSE1                :1;
            __IO  uint32_t  OCSE2                :1;
            __IO  uint32_t  OCSE3                :1;
            __IO  uint32_t  OCSE4                :1;
            __IO  uint32_t  OCSE5                :1;
            __IO  uint32_t  OCSE6                :1;
            __IO  uint32_t  OCSE7                :1;
            __IO  uint32_t  OCSE8                :1;
            __IO  uint32_t  OCSE9                :1;
            __IO  uint32_t  OCSE10               :1;
            __IO  uint32_t  OCSE11               :1;
            __IO  uint32_t  OCSE12               :1;
            __IO  uint32_t  OCSE13               :1;
            __IO  uint32_t  OCSE14               :1;
            __IO  uint32_t  OCSE15               :1;
            __IO  uint32_t  OCSE16               :1;
            __IO  uint32_t  OCSE17               :1;
            __IO  uint32_t  OCSE18               :1;
            __IO  uint32_t  OCSE19               :1;
            __IO  uint32_t  OCSE20               :1;
            __IO  uint32_t  OCSE21               :1;
            __IO  uint32_t  OCSE22               :1;
            __IO  uint32_t  OCSE23               :1;
            __IO  uint32_t  OCSE24               :1;
            __IO  uint32_t  OCSE25               :1;
            __IO  uint32_t  OCSE26               :1;
            __IO  uint32_t  OCSE27               :1;
            __IO  uint32_t  OCSE28               :1;
            __IO  uint32_t  OCSE29               :1;
            __IO  uint32_t  OCSE30               :1;
            __IO  uint32_t  OCSE31               :1;
        };
    };
} stc_mft_ocse3_field_t;

typedef struct stc_mft_ocse4_field
{
    union {
        struct {
            __IO  uint16_t  OCSE                 :16;
        };
        struct {
            __IO  uint16_t  OCSE0                :1;
            __IO  uint16_t  OCSE1                :1;
            __IO  uint16_t  OCSE2                :1;
            __IO  uint16_t  OCSE3                :1;
            __IO  uint16_t  OCSE4                :1;
            __IO  uint16_t  OCSE5                :1;
            __IO  uint16_t  OCSE6                :1;
            __IO  uint16_t  OCSE7                :1;
            __IO  uint16_t  OCSE8                :1;
            __IO  uint16_t  OCSE9                :1;
            __IO  uint16_t  OCSE10               :1;
            __IO  uint16_t  OCSE11               :1;
            __IO  uint16_t  OCSE12               :1;
            __IO  uint16_t  OCSE13               :1;
            __IO  uint16_t  OCSE14               :1;
            __IO  uint16_t  OCSE15               :1;
        };
    };
} stc_mft_ocse4_field_t;

typedef struct stc_mft_ocse5_field
{
    union {
        struct {
            __IO  uint32_t  OCSE                 :32;
        };
        struct {
            __IO  uint32_t  OCSE0                :1;
            __IO  uint32_t  OCSE1                :1;
            __IO  uint32_t  OCSE2                :1;
            __IO  uint32_t  OCSE3                :1;
            __IO  uint32_t  OCSE4                :1;
            __IO  uint32_t  OCSE5                :1;
            __IO  uint32_t  OCSE6                :1;
            __IO  uint32_t  OCSE7                :1;
            __IO  uint32_t  OCSE8                :1;
            __IO  uint32_t  OCSE9                :1;
            __IO  uint32_t  OCSE10               :1;
            __IO  uint32_t  OCSE11               :1;
            __IO  uint32_t  OCSE12               :1;
            __IO  uint32_t  OCSE13               :1;
            __IO  uint32_t  OCSE14               :1;
            __IO  uint32_t  OCSE15               :1;
            __IO  uint32_t  OCSE16               :1;
            __IO  uint32_t  OCSE17               :1;
            __IO  uint32_t  OCSE18               :1;
            __IO  uint32_t  OCSE19               :1;
            __IO  uint32_t  OCSE20               :1;
            __IO  uint32_t  OCSE21               :1;
            __IO  uint32_t  OCSE22               :1;
            __IO  uint32_t  OCSE23               :1;
            __IO  uint32_t  OCSE24               :1;
            __IO  uint32_t  OCSE25               :1;
            __IO  uint32_t  OCSE26               :1;
            __IO  uint32_t  OCSE27               :1;
            __IO  uint32_t  OCSE28               :1;
            __IO  uint32_t  OCSE29               :1;
            __IO  uint32_t  OCSE30               :1;
            __IO  uint32_t  OCSE31               :1;
        };
    };
} stc_mft_ocse5_field_t;

typedef struct stc_mft_tccp0_field
{
    union {
        struct {
            __IO  uint16_t  TCCP                 :16;
        };
        struct {
            __IO  uint16_t  TCCP0                :1;
            __IO  uint16_t  TCCP1                :1;
            __IO  uint16_t  TCCP2                :1;
            __IO  uint16_t  TCCP3                :1;
            __IO  uint16_t  TCCP4                :1;
            __IO  uint16_t  TCCP5                :1;
            __IO  uint16_t  TCCP6                :1;
            __IO  uint16_t  TCCP7                :1;
            __IO  uint16_t  TCCP8                :1;
            __IO  uint16_t  TCCP9                :1;
            __IO  uint16_t  TCCP10               :1;
            __IO  uint16_t  TCCP11               :1;
            __IO  uint16_t  TCCP12               :1;
            __IO  uint16_t  TCCP13               :1;
            __IO  uint16_t  TCCP14               :1;
            __IO  uint16_t  TCCP15               :1;
        };
    };
} stc_mft_tccp0_field_t;

typedef struct stc_mft_tcsa0_field
{
    union {
        struct {
            __IO  uint16_t  CLK                  :4;
            __IO  uint16_t  SCLR                 :1;
            __IO  uint16_t  MODE                 :1;
            __IO  uint16_t  STOP                 :1;
            __IO  uint16_t  BFE                  :1;
            __IO  uint16_t  ICRE                 :1;
            __IO  uint16_t  ICLR                 :1;
            __IO  uint16_t  RESERVED0            :3;
            __IO  uint16_t  IRQZE                :1;
            __IO  uint16_t  IRQZF                :1;
            __IO  uint16_t  ECKE                 :1;
        };
        struct {
            __IO  uint16_t  CLK0                 :1;
            __IO  uint16_t  CLK1                 :1;
            __IO  uint16_t  CLK2                 :1;
            __IO  uint16_t  CLK3                 :1;
            __IO  uint16_t  RESERVED1            :12;
        };
    };
} stc_mft_tcsa0_field_t;

typedef struct stc_mft_tcsc0_field
{
    union {
        struct {
            __IO  uint16_t  MSZI                 :4;
            __IO  uint16_t  MSPI                 :4;
            __IO  uint16_t  MSZC                 :4;
            __IO  uint16_t  MSPC                 :4;
        };
        struct {
            __IO  uint16_t  MSZI0                :1;
            __IO  uint16_t  MSZI1                :1;
            __IO  uint16_t  MSZI2                :1;
            __IO  uint16_t  MSZI3                :1;
            __IO  uint16_t  MSPI0                :1;
            __IO  uint16_t  MSPI1                :1;
            __IO  uint16_t  MSPI2                :1;
            __IO  uint16_t  MSPI3                :1;
            __IO  uint16_t  MSZC0                :1;
            __IO  uint16_t  MSZC1                :1;
            __IO  uint16_t  MSZC2                :1;
            __IO  uint16_t  MSZC3                :1;
            __IO  uint16_t  MSPC0                :1;
            __IO  uint16_t  MSPC1                :1;
            __IO  uint16_t  MSPC2                :1;
            __IO  uint16_t  MSPC3                :1;
        };
    };
} stc_mft_tcsc0_field_t;

typedef struct stc_mft_tccp1_field
{
    union {
        struct {
            __IO  uint16_t  TCCP                 :16;
        };
        struct {
            __IO  uint16_t  TCCP0                :1;
            __IO  uint16_t  TCCP1                :1;
            __IO  uint16_t  TCCP2                :1;
            __IO  uint16_t  TCCP3                :1;
            __IO  uint16_t  TCCP4                :1;
            __IO  uint16_t  TCCP5                :1;
            __IO  uint16_t  TCCP6                :1;
            __IO  uint16_t  TCCP7                :1;
            __IO  uint16_t  TCCP8                :1;
            __IO  uint16_t  TCCP9                :1;
            __IO  uint16_t  TCCP10               :1;
            __IO  uint16_t  TCCP11               :1;
            __IO  uint16_t  TCCP12               :1;
            __IO  uint16_t  TCCP13               :1;
            __IO  uint16_t  TCCP14               :1;
            __IO  uint16_t  TCCP15               :1;
        };
    };
} stc_mft_tccp1_field_t;

typedef struct stc_mft_tcsa1_field
{
    union {
        struct {
            __IO  uint16_t  CLK                  :4;
            __IO  uint16_t  SCLR                 :1;
            __IO  uint16_t  MODE                 :1;
            __IO  uint16_t  STOP                 :1;
            __IO  uint16_t  BFE                  :1;
            __IO  uint16_t  ICRE                 :1;
            __IO  uint16_t  ICLR                 :1;
            __IO  uint16_t  RESERVED0            :3;
            __IO  uint16_t  IRQZE                :1;
            __IO  uint16_t  IRQZF                :1;
            __IO  uint16_t  ECKE                 :1;
        };
        struct {
            __IO  uint16_t  CLK0                 :1;
            __IO  uint16_t  CLK1                 :1;
            __IO  uint16_t  CLK2                 :1;
            __IO  uint16_t  CLK3                 :1;
            __IO  uint16_t  RESERVED1            :12;
        };
    };
} stc_mft_tcsa1_field_t;

typedef struct stc_mft_tcsc1_field
{
    union {
        struct {
            __IO  uint16_t  MSZI                 :4;
            __IO  uint16_t  MSPI                 :4;
            __IO  uint16_t  MSZC                 :4;
            __IO  uint16_t  MSPC                 :4;
        };
        struct {
            __IO  uint16_t  MSZI0                :1;
            __IO  uint16_t  MSZI1                :1;
            __IO  uint16_t  MSZI2                :1;
            __IO  uint16_t  MSZI3                :1;
            __IO  uint16_t  MSPI0                :1;
            __IO  uint16_t  MSPI1                :1;
            __IO  uint16_t  MSPI2                :1;
            __IO  uint16_t  MSPI3                :1;
            __IO  uint16_t  MSZC0                :1;
            __IO  uint16_t  MSZC1                :1;
            __IO  uint16_t  MSZC2                :1;
            __IO  uint16_t  MSZC3                :1;
            __IO  uint16_t  MSPC0                :1;
            __IO  uint16_t  MSPC1                :1;
            __IO  uint16_t  MSPC2                :1;
            __IO  uint16_t  MSPC3                :1;
        };
    };
} stc_mft_tcsc1_field_t;

typedef struct stc_mft_tccp2_field
{
    union {
        struct {
            __IO  uint16_t  TCCP                 :16;
        };
        struct {
            __IO  uint16_t  TCCP0                :1;
            __IO  uint16_t  TCCP1                :1;
            __IO  uint16_t  TCCP2                :1;
            __IO  uint16_t  TCCP3                :1;
            __IO  uint16_t  TCCP4                :1;
            __IO  uint16_t  TCCP5                :1;
            __IO  uint16_t  TCCP6                :1;
            __IO  uint16_t  TCCP7                :1;
            __IO  uint16_t  TCCP8                :1;
            __IO  uint16_t  TCCP9                :1;
            __IO  uint16_t  TCCP10               :1;
            __IO  uint16_t  TCCP11               :1;
            __IO  uint16_t  TCCP12               :1;
            __IO  uint16_t  TCCP13               :1;
            __IO  uint16_t  TCCP14               :1;
            __IO  uint16_t  TCCP15               :1;
        };
    };
} stc_mft_tccp2_field_t;

typedef struct stc_mft_tcsa2_field
{
    union {
        struct {
            __IO  uint16_t  CLK                  :4;
            __IO  uint16_t  SCLR                 :1;
            __IO  uint16_t  MODE                 :1;
            __IO  uint16_t  STOP                 :1;
            __IO  uint16_t  BFE                  :1;
            __IO  uint16_t  ICRE                 :1;
            __IO  uint16_t  ICLR                 :1;
            __IO  uint16_t  RESERVED0            :3;
            __IO  uint16_t  IRQZE                :1;
            __IO  uint16_t  IRQZF                :1;
            __IO  uint16_t  ECKE                 :1;
        };
        struct {
            __IO  uint16_t  CLK0                 :1;
            __IO  uint16_t  CLK1                 :1;
            __IO  uint16_t  CLK2                 :1;
            __IO  uint16_t  CLK3                 :1;
            __IO  uint16_t  RESERVED1            :12;
        };
    };
} stc_mft_tcsa2_field_t;

typedef struct stc_mft_tcsc2_field
{
    union {
        struct {
            __IO  uint16_t  MSZI                 :4;
            __IO  uint16_t  MSPI                 :4;
            __IO  uint16_t  MSZC                 :4;
            __IO  uint16_t  MSPC                 :4;
        };
        struct {
            __IO  uint16_t  MSZI0                :1;
            __IO  uint16_t  MSZI1                :1;
            __IO  uint16_t  MSZI2                :1;
            __IO  uint16_t  MSZI3                :1;
            __IO  uint16_t  MSPI0                :1;
            __IO  uint16_t  MSPI1                :1;
            __IO  uint16_t  MSPI2                :1;
            __IO  uint16_t  MSPI3                :1;
            __IO  uint16_t  MSZC0                :1;
            __IO  uint16_t  MSZC1                :1;
            __IO  uint16_t  MSZC2                :1;
            __IO  uint16_t  MSZC3                :1;
            __IO  uint16_t  MSPC0                :1;
            __IO  uint16_t  MSPC1                :1;
            __IO  uint16_t  MSPC2                :1;
            __IO  uint16_t  MSPC3                :1;
        };
    };
} stc_mft_tcsc2_field_t;

typedef struct stc_mft_tcal_field
{
        __IO  uint32_t  STOP00                   :1;
        __IO  uint32_t  STOP01                   :1;
        __IO  uint32_t  STOP02                   :1;
        __IO  uint32_t  STOP10                   :1;
        __IO  uint32_t  STOP11                   :1;
        __IO  uint32_t  STOP12                   :1;
        __IO  uint32_t  STOP20                   :1;
        __IO  uint32_t  STOP21                   :1;
        __IO  uint32_t  STOP22                   :1;
        __IO  uint32_t  RESERVED0                :7;
        __IO  uint32_t  SCLR00                   :1;
        __IO  uint32_t  SCLR01                   :1;
        __IO  uint32_t  SCLR02                   :1;
        __IO  uint32_t  SCLR10                   :1;
        __IO  uint32_t  SCLR11                   :1;
        __IO  uint32_t  SCLR12                   :1;
        __IO  uint32_t  SCLR20                   :1;
        __IO  uint32_t  SCLR21                   :1;
        __IO  uint32_t  SCLR22                   :1;
        __IO  uint32_t  RESERVED1                :7;
} stc_mft_tcal_field_t;

typedef struct stc_mft_ocfs10_field
{
    union {
        struct {
            __IO   uint8_t  FSO0                 :4;
            __IO   uint8_t  FSO1                 :4;
        };
        struct {
            __IO   uint8_t  FSO00                :1;
            __IO   uint8_t  FSO01                :1;
            __IO   uint8_t  FSO02                :1;
            __IO   uint8_t  FSO03                :1;
            __IO   uint8_t  FSO10                :1;
            __IO   uint8_t  FSO11                :1;
            __IO   uint8_t  FSO12                :1;
            __IO   uint8_t  FSO13                :1;
        };
    };
} stc_mft_ocfs10_field_t;

typedef struct stc_mft_ocfs32_field
{
    union {
        struct {
            __IO   uint8_t  FSO2                 :4;
            __IO   uint8_t  FSO3                 :4;
        };
        struct {
            __IO   uint8_t  FSO20                :1;
            __IO   uint8_t  FSO21                :1;
            __IO   uint8_t  FSO22                :1;
            __IO   uint8_t  FSO23                :1;
            __IO   uint8_t  FSO30                :1;
            __IO   uint8_t  FSO31                :1;
            __IO   uint8_t  FSO32                :1;
            __IO   uint8_t  FSO33                :1;
        };
    };
} stc_mft_ocfs32_field_t;

typedef struct stc_mft_ocfs54_field
{
    union {
        struct {
            __IO   uint8_t  FSO4                 :4;
            __IO   uint8_t  FSO5                 :4;
        };
        struct {
            __IO   uint8_t  FSO40                :1;
            __IO   uint8_t  FSO41                :1;
            __IO   uint8_t  FSO42                :1;
            __IO   uint8_t  FSO43                :1;
            __IO   uint8_t  FSO50                :1;
            __IO   uint8_t  FSO51                :1;
            __IO   uint8_t  FSO52                :1;
            __IO   uint8_t  FSO53                :1;
        };
    };
} stc_mft_ocfs54_field_t;

typedef struct stc_mft_icfs10_field
{
    union {
        struct {
            __IO   uint8_t  FSI0                 :4;
            __IO   uint8_t  FSI1                 :4;
        };
        struct {
            __IO   uint8_t  FSI00                :1;
            __IO   uint8_t  FSI01                :1;
            __IO   uint8_t  FSI02                :1;
            __IO   uint8_t  FSI03                :1;
            __IO   uint8_t  FSI10                :1;
            __IO   uint8_t  FSI11                :1;
            __IO   uint8_t  FSI12                :1;
            __IO   uint8_t  FSI13                :1;
        };
    };
} stc_mft_icfs10_field_t;

typedef struct stc_mft_icfs32_field
{
    union {
        struct {
            __IO   uint8_t  FSI2                 :4;
            __IO   uint8_t  FSI3                 :4;
        };
        struct {
            __IO   uint8_t  FSI20                :1;
            __IO   uint8_t  FSI21                :1;
            __IO   uint8_t  FSI22                :1;
            __IO   uint8_t  FSI23                :1;
            __IO   uint8_t  FSI30                :1;
            __IO   uint8_t  FSI31                :1;
            __IO   uint8_t  FSI32                :1;
            __IO   uint8_t  FSI33                :1;
        };
    };
} stc_mft_icfs32_field_t;

typedef struct stc_mft_acfs10_field
{
    union {
        struct {
            __IO   uint8_t  FSA0                 :4;
            __IO   uint8_t  FSA1                 :4;
        };
        struct {
            __IO   uint8_t  FSA00                :1;
            __IO   uint8_t  FSA01                :1;
            __IO   uint8_t  FSA02                :1;
            __IO   uint8_t  FSA03                :1;
            __IO   uint8_t  FSA10                :1;
            __IO   uint8_t  FSA11                :1;
            __IO   uint8_t  FSA12                :1;
            __IO   uint8_t  FSA13                :1;
        };
    };
} stc_mft_acfs10_field_t;

typedef struct stc_mft_acfs32_field
{
    union {
        struct {
            __IO   uint8_t  FSA2                 :4;
            __IO   uint8_t  FSA3                 :4;
        };
        struct {
            __IO   uint8_t  FSA20                :1;
            __IO   uint8_t  FSA21                :1;
            __IO   uint8_t  FSA22                :1;
            __IO   uint8_t  FSA23                :1;
            __IO   uint8_t  FSA30                :1;
            __IO   uint8_t  FSA31                :1;
            __IO   uint8_t  FSA32                :1;
            __IO   uint8_t  FSA33                :1;
        };
    };
} stc_mft_acfs32_field_t;

typedef struct stc_mft_acfs54_field
{
    union {
        struct {
            __IO   uint8_t  FSA4                 :4;
            __IO   uint8_t  FSA5                 :4;
        };
        struct {
            __IO   uint8_t  FSA40                :1;
            __IO   uint8_t  FSA41                :1;
            __IO   uint8_t  FSA42                :1;
            __IO   uint8_t  FSA43                :1;
            __IO   uint8_t  FSA50                :1;
            __IO   uint8_t  FSA51                :1;
            __IO   uint8_t  FSA52                :1;
            __IO   uint8_t  FSA53                :1;
        };
    };
} stc_mft_acfs54_field_t;

typedef struct stc_mft_icsa10_field
{
    union {
        struct {
            __IO   uint8_t  EG0                  :2;
            __IO   uint8_t  EG1                  :2;
            __IO   uint8_t  ICE0                 :1;
            __IO   uint8_t  ICE1                 :1;
            __IO   uint8_t  ICP0                 :1;
            __IO   uint8_t  ICP1                 :1;
        };
        struct {
            __IO   uint8_t  EG00                 :1;
            __IO   uint8_t  EG01                 :1;
            __IO   uint8_t  EG10                 :1;
            __IO   uint8_t  EG11                 :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mft_icsa10_field_t;

typedef struct stc_mft_icsb10_field
{
        __IO   uint8_t  IEI0                     :1;
        __IO   uint8_t  IEI1                     :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_mft_icsb10_field_t;

typedef struct stc_mft_icsa32_field
{
    union {
        struct {
            __IO   uint8_t  EG2                  :2;
            __IO   uint8_t  EG3                  :2;
            __IO   uint8_t  ICE2                 :1;
            __IO   uint8_t  ICE3                 :1;
            __IO   uint8_t  ICP2                 :1;
            __IO   uint8_t  ICP3                 :1;
        };
        struct {
            __IO   uint8_t  EG20                 :1;
            __IO   uint8_t  EG21                 :1;
            __IO   uint8_t  EG30                 :1;
            __IO   uint8_t  EG31                 :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mft_icsa32_field_t;

typedef struct stc_mft_icsb32_field
{
        __IO   uint8_t  IEI2                     :1;
        __IO   uint8_t  IEI3                     :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_mft_icsb32_field_t;

typedef struct stc_mft_wfsa10_field
{
    union {
        struct {
            __IO  uint16_t  DCK                  :3;
            __IO  uint16_t  TMD                  :3;
            __IO  uint16_t  GTEN                 :2;
            __IO  uint16_t  PSEL                 :2;
            __IO  uint16_t  PGEN                 :2;
            __IO  uint16_t  DMOD                 :2;
            __IO  uint16_t  RESERVED0            :2;
        };
        struct {
            __IO  uint16_t  DCK0                 :1;
            __IO  uint16_t  DCK1                 :1;
            __IO  uint16_t  DCK2                 :1;
            __IO  uint16_t  TMD0                 :1;
            __IO  uint16_t  TMD1                 :1;
            __IO  uint16_t  TMD2                 :1;
            __IO  uint16_t  GTEN0                :1;
            __IO  uint16_t  GTEN1                :1;
            __IO  uint16_t  PSEL0                :1;
            __IO  uint16_t  PSEL1                :1;
            __IO  uint16_t  PGEN0                :1;
            __IO  uint16_t  PGEN1                :1;
            __IO  uint16_t  DMOD0                :1;
            __IO  uint16_t  DMOD1                :1;
            __IO  uint16_t  RESERVED1            :2;
        };
    };
} stc_mft_wfsa10_field_t;

typedef struct stc_mft_wfsa32_field
{
    union {
        struct {
            __IO  uint16_t  DCK                  :3;
            __IO  uint16_t  TMD                  :3;
            __IO  uint16_t  GTEN                 :2;
            __IO  uint16_t  PSEL                 :2;
            __IO  uint16_t  PGEN                 :2;
            __IO  uint16_t  DMOD                 :2;
            __IO  uint16_t  RESERVED0            :2;
        };
        struct {
            __IO  uint16_t  DCK0                 :1;
            __IO  uint16_t  DCK1                 :1;
            __IO  uint16_t  DCK2                 :1;
            __IO  uint16_t  TMD0                 :1;
            __IO  uint16_t  TMD1                 :1;
            __IO  uint16_t  TMD2                 :1;
            __IO  uint16_t  GTEN0                :1;
            __IO  uint16_t  GTEN1                :1;
            __IO  uint16_t  PSEL0                :1;
            __IO  uint16_t  PSEL1                :1;
            __IO  uint16_t  PGEN0                :1;
            __IO  uint16_t  PGEN1                :1;
            __IO  uint16_t  DMOD0                :1;
            __IO  uint16_t  DMOD1                :1;
            __IO  uint16_t  RESERVED1            :2;
        };
    };
} stc_mft_wfsa32_field_t;

typedef struct stc_mft_wfsa54_field
{
    union {
        struct {
            __IO  uint16_t  DCK                  :3;
            __IO  uint16_t  TMD                  :3;
            __IO  uint16_t  GTEN                 :2;
            __IO  uint16_t  PSEL                 :2;
            __IO  uint16_t  PGEN                 :2;
            __IO  uint16_t  DMOD                 :2;
            __IO  uint16_t  RESERVED0            :2;
        };
        struct {
            __IO  uint16_t  DCK0                 :1;
            __IO  uint16_t  DCK1                 :1;
            __IO  uint16_t  DCK2                 :1;
            __IO  uint16_t  TMD0                 :1;
            __IO  uint16_t  TMD1                 :1;
            __IO  uint16_t  TMD2                 :1;
            __IO  uint16_t  GTEN0                :1;
            __IO  uint16_t  GTEN1                :1;
            __IO  uint16_t  PSEL0                :1;
            __IO  uint16_t  PSEL1                :1;
            __IO  uint16_t  PGEN0                :1;
            __IO  uint16_t  PGEN1                :1;
            __IO  uint16_t  DMOD0                :1;
            __IO  uint16_t  DMOD1                :1;
            __IO  uint16_t  RESERVED1            :2;
        };
    };
} stc_mft_wfsa54_field_t;

typedef struct stc_mft_wfir_field
{
        __IO  uint16_t  DTIFA                    :1;
        __IO  uint16_t  DTICA                    :1;
        __IO  uint16_t  DTIFB                    :1;
        __IO  uint16_t  DTICB                    :1;
        __IO  uint16_t  TMIF10                   :1;
        __IO  uint16_t  TMIC10                   :1;
        __IO  uint16_t  TMIE10                   :1;
        __IO  uint16_t  TMIS10                   :1;
        __IO  uint16_t  TMIF32                   :1;
        __IO  uint16_t  TMIC32                   :1;
        __IO  uint16_t  TMIE32                   :1;
        __IO  uint16_t  TMIS32                   :1;
        __IO  uint16_t  TMIF54                   :1;
        __IO  uint16_t  TMIC54                   :1;
        __IO  uint16_t  TMIE54                   :1;
        __IO  uint16_t  TMIS54                   :1;
} stc_mft_wfir_field_t;

typedef struct stc_mft_nzcl_field
{
    union {
        struct {
            __IO  uint16_t  DTIEA                :1;
            __IO  uint16_t  NWS                  :3;
            __IO  uint16_t  SDTI                 :1;
            __IO  uint16_t  DTIEB                :1;
            __IO  uint16_t  RESERVED1            :2;
            __IO  uint16_t  DIMA                 :1;
            __IO  uint16_t  DIMB                 :1;
            __IO  uint16_t  RESERVED2            :2;
            __IO  uint16_t  WIM10                :1;
            __IO  uint16_t  WIM32                :1;
            __IO  uint16_t  WIM54                :1;
            __IO  uint16_t  RESERVED3            :1;
        };
        struct {
            __IO  uint16_t  RESERVED0            :1;
            __IO  uint16_t  NWS0                 :1;
            __IO  uint16_t  NWS1                 :1;
            __IO  uint16_t  NWS2                 :1;
            __IO  uint16_t  RESERVED4            :12;
        };
    };
} stc_mft_nzcl_field_t;

typedef struct stc_mft_acmp0_field
{
    union {
        struct {
            __IO  uint16_t  ACMP                 :16;
        };
        struct {
            __IO  uint16_t  ACMP0                :1;
            __IO  uint16_t  ACMP1                :1;
            __IO  uint16_t  ACMP2                :1;
            __IO  uint16_t  ACMP3                :1;
            __IO  uint16_t  ACMP4                :1;
            __IO  uint16_t  ACMP5                :1;
            __IO  uint16_t  ACMP6                :1;
            __IO  uint16_t  ACMP7                :1;
            __IO  uint16_t  ACMP8                :1;
            __IO  uint16_t  ACMP9                :1;
            __IO  uint16_t  ACMP10               :1;
            __IO  uint16_t  ACMP11               :1;
            __IO  uint16_t  ACMP12               :1;
            __IO  uint16_t  ACMP13               :1;
            __IO  uint16_t  ACMP14               :1;
            __IO  uint16_t  ACMP15               :1;
        };
    };
} stc_mft_acmp0_field_t;

typedef struct stc_mft_acmp1_field
{
    union {
        struct {
            __IO  uint16_t  ACMP                 :16;
        };
        struct {
            __IO  uint16_t  ACMP0                :1;
            __IO  uint16_t  ACMP1                :1;
            __IO  uint16_t  ACMP2                :1;
            __IO  uint16_t  ACMP3                :1;
            __IO  uint16_t  ACMP4                :1;
            __IO  uint16_t  ACMP5                :1;
            __IO  uint16_t  ACMP6                :1;
            __IO  uint16_t  ACMP7                :1;
            __IO  uint16_t  ACMP8                :1;
            __IO  uint16_t  ACMP9                :1;
            __IO  uint16_t  ACMP10               :1;
            __IO  uint16_t  ACMP11               :1;
            __IO  uint16_t  ACMP12               :1;
            __IO  uint16_t  ACMP13               :1;
            __IO  uint16_t  ACMP14               :1;
            __IO  uint16_t  ACMP15               :1;
        };
    };
} stc_mft_acmp1_field_t;

typedef struct stc_mft_acmp2_field
{
    union {
        struct {
            __IO  uint16_t  ACMP                 :16;
        };
        struct {
            __IO  uint16_t  ACMP0                :1;
            __IO  uint16_t  ACMP1                :1;
            __IO  uint16_t  ACMP2                :1;
            __IO  uint16_t  ACMP3                :1;
            __IO  uint16_t  ACMP4                :1;
            __IO  uint16_t  ACMP5                :1;
            __IO  uint16_t  ACMP6                :1;
            __IO  uint16_t  ACMP7                :1;
            __IO  uint16_t  ACMP8                :1;
            __IO  uint16_t  ACMP9                :1;
            __IO  uint16_t  ACMP10               :1;
            __IO  uint16_t  ACMP11               :1;
            __IO  uint16_t  ACMP12               :1;
            __IO  uint16_t  ACMP13               :1;
            __IO  uint16_t  ACMP14               :1;
            __IO  uint16_t  ACMP15               :1;
        };
    };
} stc_mft_acmp2_field_t;

typedef struct stc_mft_acmp3_field
{
    union {
        struct {
            __IO  uint16_t  ACMP                 :16;
        };
        struct {
            __IO  uint16_t  ACMP0                :1;
            __IO  uint16_t  ACMP1                :1;
            __IO  uint16_t  ACMP2                :1;
            __IO  uint16_t  ACMP3                :1;
            __IO  uint16_t  ACMP4                :1;
            __IO  uint16_t  ACMP5                :1;
            __IO  uint16_t  ACMP6                :1;
            __IO  uint16_t  ACMP7                :1;
            __IO  uint16_t  ACMP8                :1;
            __IO  uint16_t  ACMP9                :1;
            __IO  uint16_t  ACMP10               :1;
            __IO  uint16_t  ACMP11               :1;
            __IO  uint16_t  ACMP12               :1;
            __IO  uint16_t  ACMP13               :1;
            __IO  uint16_t  ACMP14               :1;
            __IO  uint16_t  ACMP15               :1;
        };
    };
} stc_mft_acmp3_field_t;

typedef struct stc_mft_acmp4_field
{
    union {
        struct {
            __IO  uint16_t  ACMP                 :16;
        };
        struct {
            __IO  uint16_t  ACMP0                :1;
            __IO  uint16_t  ACMP1                :1;
            __IO  uint16_t  ACMP2                :1;
            __IO  uint16_t  ACMP3                :1;
            __IO  uint16_t  ACMP4                :1;
            __IO  uint16_t  ACMP5                :1;
            __IO  uint16_t  ACMP6                :1;
            __IO  uint16_t  ACMP7                :1;
            __IO  uint16_t  ACMP8                :1;
            __IO  uint16_t  ACMP9                :1;
            __IO  uint16_t  ACMP10               :1;
            __IO  uint16_t  ACMP11               :1;
            __IO  uint16_t  ACMP12               :1;
            __IO  uint16_t  ACMP13               :1;
            __IO  uint16_t  ACMP14               :1;
            __IO  uint16_t  ACMP15               :1;
        };
    };
} stc_mft_acmp4_field_t;

typedef struct stc_mft_acmp5_field
{
    union {
        struct {
            __IO  uint16_t  ACMP                 :16;
        };
        struct {
            __IO  uint16_t  ACMP0                :1;
            __IO  uint16_t  ACMP1                :1;
            __IO  uint16_t  ACMP2                :1;
            __IO  uint16_t  ACMP3                :1;
            __IO  uint16_t  ACMP4                :1;
            __IO  uint16_t  ACMP5                :1;
            __IO  uint16_t  ACMP6                :1;
            __IO  uint16_t  ACMP7                :1;
            __IO  uint16_t  ACMP8                :1;
            __IO  uint16_t  ACMP9                :1;
            __IO  uint16_t  ACMP10               :1;
            __IO  uint16_t  ACMP11               :1;
            __IO  uint16_t  ACMP12               :1;
            __IO  uint16_t  ACMP13               :1;
            __IO  uint16_t  ACMP14               :1;
            __IO  uint16_t  ACMP15               :1;
        };
    };
} stc_mft_acmp5_field_t;

typedef struct stc_mft_acsa_field
{
    union {
        struct {
            __IO  uint16_t  CE10                 :2;
            __IO  uint16_t  CE32                 :2;
            __IO  uint16_t  CE54                 :2;
            __IO  uint16_t  RESERVED0            :2;
            __IO  uint16_t  SEL10                :2;
            __IO  uint16_t  SEL32                :2;
            __IO  uint16_t  SEL54                :2;
            __IO  uint16_t  RESERVED2            :2;
        };
        struct {
            __IO  uint16_t  CE100                :1;
            __IO  uint16_t  CE101                :1;
            __IO  uint16_t  CE320                :1;
            __IO  uint16_t  CE321                :1;
            __IO  uint16_t  CE540                :1;
            __IO  uint16_t  CE541                :1;
            __IO  uint16_t  RESERVED1            :2;
            __IO  uint16_t  SEL100               :1;
            __IO  uint16_t  SEL101               :1;
            __IO  uint16_t  SEL320               :1;
            __IO  uint16_t  SEL321               :1;
            __IO  uint16_t  SEL540               :1;
            __IO  uint16_t  SEL541               :1;
            __IO  uint16_t  RESERVED3            :2;
        };
    };
} stc_mft_acsa_field_t;

typedef struct stc_mft_acsc0_field
{
    union {
        struct {
            __IO   uint8_t  BUFE                 :2;
            __IO   uint8_t  ADSEL                :3;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  BUFE0                :1;
            __IO   uint8_t  BUFE1                :1;
            __IO   uint8_t  ADSEL0               :1;
            __IO   uint8_t  ADSEL1               :1;
            __IO   uint8_t  ADSEL2               :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_acsc0_field_t;

typedef struct stc_mft_acsd0_field
{
        __IO   uint8_t  AMOD                     :1;
        __IO   uint8_t  OCUS                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  DE                       :1;
        __IO   uint8_t  PE                       :1;
        __IO   uint8_t  UE                       :1;
        __IO   uint8_t  ZE                       :1;
} stc_mft_acsd0_field_t;

typedef struct stc_mft_acsc1_field
{
    union {
        struct {
            __IO   uint8_t  BUFE                 :2;
            __IO   uint8_t  ADSEL                :3;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  BUFE0                :1;
            __IO   uint8_t  BUFE1                :1;
            __IO   uint8_t  ADSEL0               :1;
            __IO   uint8_t  ADSEL1               :1;
            __IO   uint8_t  ADSEL2               :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_acsc1_field_t;

typedef struct stc_mft_acsd1_field
{
        __IO   uint8_t  AMOD                     :1;
        __IO   uint8_t  OCUS                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  DE                       :1;
        __IO   uint8_t  PE                       :1;
        __IO   uint8_t  UE                       :1;
        __IO   uint8_t  ZE                       :1;
} stc_mft_acsd1_field_t;

typedef struct stc_mft_acsc2_field
{
    union {
        struct {
            __IO   uint8_t  BUFE                 :2;
            __IO   uint8_t  ADSEL                :3;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  BUFE0                :1;
            __IO   uint8_t  BUFE1                :1;
            __IO   uint8_t  ADSEL0               :1;
            __IO   uint8_t  ADSEL1               :1;
            __IO   uint8_t  ADSEL2               :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_acsc2_field_t;

typedef struct stc_mft_acsd2_field
{
        __IO   uint8_t  AMOD                     :1;
        __IO   uint8_t  OCUS                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  DE                       :1;
        __IO   uint8_t  PE                       :1;
        __IO   uint8_t  UE                       :1;
        __IO   uint8_t  ZE                       :1;
} stc_mft_acsd2_field_t;

typedef struct stc_mft_acsc3_field
{
    union {
        struct {
            __IO   uint8_t  BUFE                 :2;
            __IO   uint8_t  ADSEL                :3;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  BUFE0                :1;
            __IO   uint8_t  BUFE1                :1;
            __IO   uint8_t  ADSEL0               :1;
            __IO   uint8_t  ADSEL1               :1;
            __IO   uint8_t  ADSEL2               :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_acsc3_field_t;

typedef struct stc_mft_acsd3_field
{
        __IO   uint8_t  AMOD                     :1;
        __IO   uint8_t  OCUS                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  DE                       :1;
        __IO   uint8_t  PE                       :1;
        __IO   uint8_t  UE                       :1;
        __IO   uint8_t  ZE                       :1;
} stc_mft_acsd3_field_t;

typedef struct stc_mft_acsc4_field
{
    union {
        struct {
            __IO   uint8_t  BUFE                 :2;
            __IO   uint8_t  ADSEL                :3;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  BUFE0                :1;
            __IO   uint8_t  BUFE1                :1;
            __IO   uint8_t  ADSEL0               :1;
            __IO   uint8_t  ADSEL1               :1;
            __IO   uint8_t  ADSEL2               :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_acsc4_field_t;

typedef struct stc_mft_acsd4_field
{
        __IO   uint8_t  AMOD                     :1;
        __IO   uint8_t  OCUS                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  DE                       :1;
        __IO   uint8_t  PE                       :1;
        __IO   uint8_t  UE                       :1;
        __IO   uint8_t  ZE                       :1;
} stc_mft_acsd4_field_t;

typedef struct stc_mft_acsc5_field
{
    union {
        struct {
            __IO   uint8_t  BUFE                 :2;
            __IO   uint8_t  ADSEL                :3;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  BUFE0                :1;
            __IO   uint8_t  BUFE1                :1;
            __IO   uint8_t  ADSEL0               :1;
            __IO   uint8_t  ADSEL1               :1;
            __IO   uint8_t  ADSEL2               :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_acsc5_field_t;

typedef struct stc_mft_acsd5_field
{
        __IO   uint8_t  AMOD                     :1;
        __IO   uint8_t  OCUS                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  DE                       :1;
        __IO   uint8_t  PE                       :1;
        __IO   uint8_t  UE                       :1;
        __IO   uint8_t  ZE                       :1;
} stc_mft_acsd5_field_t;

typedef struct stc_mft_ocu_ocsa10_field
{
        __IO   uint8_t  CST0                     :1;
        __IO   uint8_t  CST1                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  IOE0                     :1;
        __IO   uint8_t  IOE1                     :1;
        __IO   uint8_t  IOP0                     :1;
        __IO   uint8_t  IOP1                     :1;
} stc_mft_ocu_ocsa10_field_t;

typedef struct stc_mft_ocu_ocsb10_field
{
        __IO   uint8_t  OTD0                     :1;
        __IO   uint8_t  OTD1                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  CMOD                     :1;
        __IO   uint8_t  RESERVED1                :2;
        __IO   uint8_t  FM4                      :1;
} stc_mft_ocu_ocsb10_field_t;

typedef struct stc_mft_ocu_ocsd10_field
{
    union {
        struct {
            __IO   uint8_t  OCCP0BUFE            :2;
            __IO   uint8_t  OCCP1BUFE            :2;
            __IO   uint8_t  OCSE0BUFE            :2;
            __IO   uint8_t  OCSE1BUFE            :2;
        };
        struct {
            __IO   uint8_t  OCCP0BUFE0           :1;
            __IO   uint8_t  OCCP0BUFE1           :1;
            __IO   uint8_t  OCCP1BUFE0           :1;
            __IO   uint8_t  OCCP1BUFE1           :1;
            __IO   uint8_t  OCSE0BUFE0           :1;
            __IO   uint8_t  OCSE0BUFE1           :1;
            __IO   uint8_t  OCSE1BUFE0           :1;
            __IO   uint8_t  OCSE1BUFE1           :1;
        };
    };
} stc_mft_ocu_ocsd10_field_t;

typedef struct stc_mft_ocu_ocsa32_field
{
        __IO   uint8_t  CST2                     :1;
        __IO   uint8_t  CST3                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  IOE2                     :1;
        __IO   uint8_t  IOE3                     :1;
        __IO   uint8_t  IOP2                     :1;
        __IO   uint8_t  IOP3                     :1;
} stc_mft_ocu_ocsa32_field_t;

typedef struct stc_mft_ocu_ocsb32_field
{
        __IO   uint8_t  OTD2                     :1;
        __IO   uint8_t  OTD3                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  CMOD                     :1;
        __IO   uint8_t  RESERVED1                :2;
        __IO   uint8_t  FM4                      :1;
} stc_mft_ocu_ocsb32_field_t;

typedef struct stc_mft_ocu_ocsd32_field
{
    union {
        struct {
            __IO   uint8_t  OCCP2BUFE            :2;
            __IO   uint8_t  OCCP3BUFE            :2;
            __IO   uint8_t  OCSE2BUFE            :2;
            __IO   uint8_t  OCSE3BUFE            :2;
        };
        struct {
            __IO   uint8_t  OCCP2BUFE0           :1;
            __IO   uint8_t  OCCP2BUFE1           :1;
            __IO   uint8_t  OCCP3BUFE0           :1;
            __IO   uint8_t  OCCP3BUFE1           :1;
            __IO   uint8_t  OCSE2BUFE0           :1;
            __IO   uint8_t  OCSE2BUFE1           :1;
            __IO   uint8_t  OCSE3BUFE0           :1;
            __IO   uint8_t  OCSE3BUFE1           :1;
        };
    };
} stc_mft_ocu_ocsd32_field_t;

typedef struct stc_mft_ocu_ocsa54_field
{
        __IO   uint8_t  CST4                     :1;
        __IO   uint8_t  CST5                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  IOE4                     :1;
        __IO   uint8_t  IOE5                     :1;
        __IO   uint8_t  IOP4                     :1;
        __IO   uint8_t  IOP5                     :1;
} stc_mft_ocu_ocsa54_field_t;

typedef struct stc_mft_ocu_ocsb54_field
{
        __IO   uint8_t  OTD4                     :1;
        __IO   uint8_t  OTD5                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  CMOD                     :1;
        __IO   uint8_t  RESERVED1                :2;
        __IO   uint8_t  FM4                      :1;
} stc_mft_ocu_ocsb54_field_t;

typedef struct stc_mft_ocu_ocsd54_field
{
    union {
        struct {
            __IO   uint8_t  OCCP4BUFE            :2;
            __IO   uint8_t  OCCP5BUFE            :2;
            __IO   uint8_t  OCSE4BUFE            :2;
            __IO   uint8_t  OCSE5BUFE            :2;
        };
        struct {
            __IO   uint8_t  OCCP4BUFE0           :1;
            __IO   uint8_t  OCCP4BUFE1           :1;
            __IO   uint8_t  OCCP5BUFE0           :1;
            __IO   uint8_t  OCCP5BUFE1           :1;
            __IO   uint8_t  OCSE4BUFE0           :1;
            __IO   uint8_t  OCSE4BUFE1           :1;
            __IO   uint8_t  OCSE5BUFE0           :1;
            __IO   uint8_t  OCSE5BUFE1           :1;
        };
    };
} stc_mft_ocu_ocsd54_field_t;

typedef struct stc_mft_ocu_ocsc_field
{
        __IO   uint8_t  MOD0                     :1;
        __IO   uint8_t  MOD1                     :1;
        __IO   uint8_t  MOD2                     :1;
        __IO   uint8_t  MOD3                     :1;
        __IO   uint8_t  MOD4                     :1;
        __IO   uint8_t  MOD5                     :1;
        __IO   uint8_t  RESERVED0                :2;
} stc_mft_ocu_ocsc_field_t;

typedef struct stc_mft_ocu_ocse0_field
{
    union {
        struct {
            __IO  uint16_t  OCSE                 :16;
        };
        struct {
            __IO  uint16_t  OCSE0                :1;
            __IO  uint16_t  OCSE1                :1;
            __IO  uint16_t  OCSE2                :1;
            __IO  uint16_t  OCSE3                :1;
            __IO  uint16_t  OCSE4                :1;
            __IO  uint16_t  OCSE5                :1;
            __IO  uint16_t  OCSE6                :1;
            __IO  uint16_t  OCSE7                :1;
            __IO  uint16_t  OCSE8                :1;
            __IO  uint16_t  OCSE9                :1;
            __IO  uint16_t  OCSE10               :1;
            __IO  uint16_t  OCSE11               :1;
            __IO  uint16_t  OCSE12               :1;
            __IO  uint16_t  OCSE13               :1;
            __IO  uint16_t  OCSE14               :1;
            __IO  uint16_t  OCSE15               :1;
        };
    };
} stc_mft_ocu_ocse0_field_t;

typedef struct stc_mft_ocu_ocse1_field
{
    union {
        struct {
            __IO  uint32_t  OCSE                 :32;
        };
        struct {
            __IO  uint32_t  OCSE0                :1;
            __IO  uint32_t  OCSE1                :1;
            __IO  uint32_t  OCSE2                :1;
            __IO  uint32_t  OCSE3                :1;
            __IO  uint32_t  OCSE4                :1;
            __IO  uint32_t  OCSE5                :1;
            __IO  uint32_t  OCSE6                :1;
            __IO  uint32_t  OCSE7                :1;
            __IO  uint32_t  OCSE8                :1;
            __IO  uint32_t  OCSE9                :1;
            __IO  uint32_t  OCSE10               :1;
            __IO  uint32_t  OCSE11               :1;
            __IO  uint32_t  OCSE12               :1;
            __IO  uint32_t  OCSE13               :1;
            __IO  uint32_t  OCSE14               :1;
            __IO  uint32_t  OCSE15               :1;
            __IO  uint32_t  OCSE16               :1;
            __IO  uint32_t  OCSE17               :1;
            __IO  uint32_t  OCSE18               :1;
            __IO  uint32_t  OCSE19               :1;
            __IO  uint32_t  OCSE20               :1;
            __IO  uint32_t  OCSE21               :1;
            __IO  uint32_t  OCSE22               :1;
            __IO  uint32_t  OCSE23               :1;
            __IO  uint32_t  OCSE24               :1;
            __IO  uint32_t  OCSE25               :1;
            __IO  uint32_t  OCSE26               :1;
            __IO  uint32_t  OCSE27               :1;
            __IO  uint32_t  OCSE28               :1;
            __IO  uint32_t  OCSE29               :1;
            __IO  uint32_t  OCSE30               :1;
            __IO  uint32_t  OCSE31               :1;
        };
    };
} stc_mft_ocu_ocse1_field_t;

typedef struct stc_mft_ocu_ocse2_field
{
    union {
        struct {
            __IO  uint16_t  OCSE                 :16;
        };
        struct {
            __IO  uint16_t  OCSE0                :1;
            __IO  uint16_t  OCSE1                :1;
            __IO  uint16_t  OCSE2                :1;
            __IO  uint16_t  OCSE3                :1;
            __IO  uint16_t  OCSE4                :1;
            __IO  uint16_t  OCSE5                :1;
            __IO  uint16_t  OCSE6                :1;
            __IO  uint16_t  OCSE7                :1;
            __IO  uint16_t  OCSE8                :1;
            __IO  uint16_t  OCSE9                :1;
            __IO  uint16_t  OCSE10               :1;
            __IO  uint16_t  OCSE11               :1;
            __IO  uint16_t  OCSE12               :1;
            __IO  uint16_t  OCSE13               :1;
            __IO  uint16_t  OCSE14               :1;
            __IO  uint16_t  OCSE15               :1;
        };
    };
} stc_mft_ocu_ocse2_field_t;

typedef struct stc_mft_ocu_ocse3_field
{
    union {
        struct {
            __IO  uint32_t  OCSE                 :32;
        };
        struct {
            __IO  uint32_t  OCSE0                :1;
            __IO  uint32_t  OCSE1                :1;
            __IO  uint32_t  OCSE2                :1;
            __IO  uint32_t  OCSE3                :1;
            __IO  uint32_t  OCSE4                :1;
            __IO  uint32_t  OCSE5                :1;
            __IO  uint32_t  OCSE6                :1;
            __IO  uint32_t  OCSE7                :1;
            __IO  uint32_t  OCSE8                :1;
            __IO  uint32_t  OCSE9                :1;
            __IO  uint32_t  OCSE10               :1;
            __IO  uint32_t  OCSE11               :1;
            __IO  uint32_t  OCSE12               :1;
            __IO  uint32_t  OCSE13               :1;
            __IO  uint32_t  OCSE14               :1;
            __IO  uint32_t  OCSE15               :1;
            __IO  uint32_t  OCSE16               :1;
            __IO  uint32_t  OCSE17               :1;
            __IO  uint32_t  OCSE18               :1;
            __IO  uint32_t  OCSE19               :1;
            __IO  uint32_t  OCSE20               :1;
            __IO  uint32_t  OCSE21               :1;
            __IO  uint32_t  OCSE22               :1;
            __IO  uint32_t  OCSE23               :1;
            __IO  uint32_t  OCSE24               :1;
            __IO  uint32_t  OCSE25               :1;
            __IO  uint32_t  OCSE26               :1;
            __IO  uint32_t  OCSE27               :1;
            __IO  uint32_t  OCSE28               :1;
            __IO  uint32_t  OCSE29               :1;
            __IO  uint32_t  OCSE30               :1;
            __IO  uint32_t  OCSE31               :1;
        };
    };
} stc_mft_ocu_ocse3_field_t;

typedef struct stc_mft_ocu_ocse4_field
{
    union {
        struct {
            __IO  uint16_t  OCSE                 :16;
        };
        struct {
            __IO  uint16_t  OCSE0                :1;
            __IO  uint16_t  OCSE1                :1;
            __IO  uint16_t  OCSE2                :1;
            __IO  uint16_t  OCSE3                :1;
            __IO  uint16_t  OCSE4                :1;
            __IO  uint16_t  OCSE5                :1;
            __IO  uint16_t  OCSE6                :1;
            __IO  uint16_t  OCSE7                :1;
            __IO  uint16_t  OCSE8                :1;
            __IO  uint16_t  OCSE9                :1;
            __IO  uint16_t  OCSE10               :1;
            __IO  uint16_t  OCSE11               :1;
            __IO  uint16_t  OCSE12               :1;
            __IO  uint16_t  OCSE13               :1;
            __IO  uint16_t  OCSE14               :1;
            __IO  uint16_t  OCSE15               :1;
        };
    };
} stc_mft_ocu_ocse4_field_t;

typedef struct stc_mft_ocu_ocse5_field
{
    union {
        struct {
            __IO  uint32_t  OCSE                 :32;
        };
        struct {
            __IO  uint32_t  OCSE0                :1;
            __IO  uint32_t  OCSE1                :1;
            __IO  uint32_t  OCSE2                :1;
            __IO  uint32_t  OCSE3                :1;
            __IO  uint32_t  OCSE4                :1;
            __IO  uint32_t  OCSE5                :1;
            __IO  uint32_t  OCSE6                :1;
            __IO  uint32_t  OCSE7                :1;
            __IO  uint32_t  OCSE8                :1;
            __IO  uint32_t  OCSE9                :1;
            __IO  uint32_t  OCSE10               :1;
            __IO  uint32_t  OCSE11               :1;
            __IO  uint32_t  OCSE12               :1;
            __IO  uint32_t  OCSE13               :1;
            __IO  uint32_t  OCSE14               :1;
            __IO  uint32_t  OCSE15               :1;
            __IO  uint32_t  OCSE16               :1;
            __IO  uint32_t  OCSE17               :1;
            __IO  uint32_t  OCSE18               :1;
            __IO  uint32_t  OCSE19               :1;
            __IO  uint32_t  OCSE20               :1;
            __IO  uint32_t  OCSE21               :1;
            __IO  uint32_t  OCSE22               :1;
            __IO  uint32_t  OCSE23               :1;
            __IO  uint32_t  OCSE24               :1;
            __IO  uint32_t  OCSE25               :1;
            __IO  uint32_t  OCSE26               :1;
            __IO  uint32_t  OCSE27               :1;
            __IO  uint32_t  OCSE28               :1;
            __IO  uint32_t  OCSE29               :1;
            __IO  uint32_t  OCSE30               :1;
            __IO  uint32_t  OCSE31               :1;
        };
    };
} stc_mft_ocu_ocse5_field_t;

typedef struct stc_mft_frt_tccp0_field
{
    union {
        struct {
            __IO  uint16_t  TCCP                 :16;
        };
        struct {
            __IO  uint16_t  TCCP0                :1;
            __IO  uint16_t  TCCP1                :1;
            __IO  uint16_t  TCCP2                :1;
            __IO  uint16_t  TCCP3                :1;
            __IO  uint16_t  TCCP4                :1;
            __IO  uint16_t  TCCP5                :1;
            __IO  uint16_t  TCCP6                :1;
            __IO  uint16_t  TCCP7                :1;
            __IO  uint16_t  TCCP8                :1;
            __IO  uint16_t  TCCP9                :1;
            __IO  uint16_t  TCCP10               :1;
            __IO  uint16_t  TCCP11               :1;
            __IO  uint16_t  TCCP12               :1;
            __IO  uint16_t  TCCP13               :1;
            __IO  uint16_t  TCCP14               :1;
            __IO  uint16_t  TCCP15               :1;
        };
    };
} stc_mft_frt_tccp0_field_t;

typedef struct stc_mft_frt_tcsa0_field
{
    union {
        struct {
            __IO  uint16_t  CLK                  :4;
            __IO  uint16_t  SCLR                 :1;
            __IO  uint16_t  MODE                 :1;
            __IO  uint16_t  STOP                 :1;
            __IO  uint16_t  BFE                  :1;
            __IO  uint16_t  ICRE                 :1;
            __IO  uint16_t  ICLR                 :1;
            __IO  uint16_t  RESERVED0            :3;
            __IO  uint16_t  IRQZE                :1;
            __IO  uint16_t  IRQZF                :1;
            __IO  uint16_t  ECKE                 :1;
        };
        struct {
            __IO  uint16_t  CLK0                 :1;
            __IO  uint16_t  CLK1                 :1;
            __IO  uint16_t  CLK2                 :1;
            __IO  uint16_t  CLK3                 :1;
            __IO  uint16_t  RESERVED1            :12;
        };
    };
} stc_mft_frt_tcsa0_field_t;

typedef struct stc_mft_frt_tcsc0_field
{
    union {
        struct {
            __IO  uint16_t  MSZI                 :4;
            __IO  uint16_t  MSPI                 :4;
            __IO  uint16_t  MSZC                 :4;
            __IO  uint16_t  MSPC                 :4;
        };
        struct {
            __IO  uint16_t  MSZI0                :1;
            __IO  uint16_t  MSZI1                :1;
            __IO  uint16_t  MSZI2                :1;
            __IO  uint16_t  MSZI3                :1;
            __IO  uint16_t  MSPI0                :1;
            __IO  uint16_t  MSPI1                :1;
            __IO  uint16_t  MSPI2                :1;
            __IO  uint16_t  MSPI3                :1;
            __IO  uint16_t  MSZC0                :1;
            __IO  uint16_t  MSZC1                :1;
            __IO  uint16_t  MSZC2                :1;
            __IO  uint16_t  MSZC3                :1;
            __IO  uint16_t  MSPC0                :1;
            __IO  uint16_t  MSPC1                :1;
            __IO  uint16_t  MSPC2                :1;
            __IO  uint16_t  MSPC3                :1;
        };
    };
} stc_mft_frt_tcsc0_field_t;

typedef struct stc_mft_frt_tccp1_field
{
    union {
        struct {
            __IO  uint16_t  TCCP                 :16;
        };
        struct {
            __IO  uint16_t  TCCP0                :1;
            __IO  uint16_t  TCCP1                :1;
            __IO  uint16_t  TCCP2                :1;
            __IO  uint16_t  TCCP3                :1;
            __IO  uint16_t  TCCP4                :1;
            __IO  uint16_t  TCCP5                :1;
            __IO  uint16_t  TCCP6                :1;
            __IO  uint16_t  TCCP7                :1;
            __IO  uint16_t  TCCP8                :1;
            __IO  uint16_t  TCCP9                :1;
            __IO  uint16_t  TCCP10               :1;
            __IO  uint16_t  TCCP11               :1;
            __IO  uint16_t  TCCP12               :1;
            __IO  uint16_t  TCCP13               :1;
            __IO  uint16_t  TCCP14               :1;
            __IO  uint16_t  TCCP15               :1;
        };
    };
} stc_mft_frt_tccp1_field_t;

typedef struct stc_mft_frt_tcsa1_field
{
    union {
        struct {
            __IO  uint16_t  CLK                  :4;
            __IO  uint16_t  SCLR                 :1;
            __IO  uint16_t  MODE                 :1;
            __IO  uint16_t  STOP                 :1;
            __IO  uint16_t  BFE                  :1;
            __IO  uint16_t  ICRE                 :1;
            __IO  uint16_t  ICLR                 :1;
            __IO  uint16_t  RESERVED0            :3;
            __IO  uint16_t  IRQZE                :1;
            __IO  uint16_t  IRQZF                :1;
            __IO  uint16_t  ECKE                 :1;
        };
        struct {
            __IO  uint16_t  CLK0                 :1;
            __IO  uint16_t  CLK1                 :1;
            __IO  uint16_t  CLK2                 :1;
            __IO  uint16_t  CLK3                 :1;
            __IO  uint16_t  RESERVED1            :12;
        };
    };
} stc_mft_frt_tcsa1_field_t;

typedef struct stc_mft_frt_tcsc1_field
{
    union {
        struct {
            __IO  uint16_t  MSZI                 :4;
            __IO  uint16_t  MSPI                 :4;
            __IO  uint16_t  MSZC                 :4;
            __IO  uint16_t  MSPC                 :4;
        };
        struct {
            __IO  uint16_t  MSZI0                :1;
            __IO  uint16_t  MSZI1                :1;
            __IO  uint16_t  MSZI2                :1;
            __IO  uint16_t  MSZI3                :1;
            __IO  uint16_t  MSPI0                :1;
            __IO  uint16_t  MSPI1                :1;
            __IO  uint16_t  MSPI2                :1;
            __IO  uint16_t  MSPI3                :1;
            __IO  uint16_t  MSZC0                :1;
            __IO  uint16_t  MSZC1                :1;
            __IO  uint16_t  MSZC2                :1;
            __IO  uint16_t  MSZC3                :1;
            __IO  uint16_t  MSPC0                :1;
            __IO  uint16_t  MSPC1                :1;
            __IO  uint16_t  MSPC2                :1;
            __IO  uint16_t  MSPC3                :1;
        };
    };
} stc_mft_frt_tcsc1_field_t;

typedef struct stc_mft_frt_tccp2_field
{
    union {
        struct {
            __IO  uint16_t  TCCP                 :16;
        };
        struct {
            __IO  uint16_t  TCCP0                :1;
            __IO  uint16_t  TCCP1                :1;
            __IO  uint16_t  TCCP2                :1;
            __IO  uint16_t  TCCP3                :1;
            __IO  uint16_t  TCCP4                :1;
            __IO  uint16_t  TCCP5                :1;
            __IO  uint16_t  TCCP6                :1;
            __IO  uint16_t  TCCP7                :1;
            __IO  uint16_t  TCCP8                :1;
            __IO  uint16_t  TCCP9                :1;
            __IO  uint16_t  TCCP10               :1;
            __IO  uint16_t  TCCP11               :1;
            __IO  uint16_t  TCCP12               :1;
            __IO  uint16_t  TCCP13               :1;
            __IO  uint16_t  TCCP14               :1;
            __IO  uint16_t  TCCP15               :1;
        };
    };
} stc_mft_frt_tccp2_field_t;

typedef struct stc_mft_frt_tcsa2_field
{
    union {
        struct {
            __IO  uint16_t  CLK                  :4;
            __IO  uint16_t  SCLR                 :1;
            __IO  uint16_t  MODE                 :1;
            __IO  uint16_t  STOP                 :1;
            __IO  uint16_t  BFE                  :1;
            __IO  uint16_t  ICRE                 :1;
            __IO  uint16_t  ICLR                 :1;
            __IO  uint16_t  RESERVED0            :3;
            __IO  uint16_t  IRQZE                :1;
            __IO  uint16_t  IRQZF                :1;
            __IO  uint16_t  ECKE                 :1;
        };
        struct {
            __IO  uint16_t  CLK0                 :1;
            __IO  uint16_t  CLK1                 :1;
            __IO  uint16_t  CLK2                 :1;
            __IO  uint16_t  CLK3                 :1;
            __IO  uint16_t  RESERVED1            :12;
        };
    };
} stc_mft_frt_tcsa2_field_t;

typedef struct stc_mft_frt_tcsc2_field
{
    union {
        struct {
            __IO  uint16_t  MSZI                 :4;
            __IO  uint16_t  MSPI                 :4;
            __IO  uint16_t  MSZC                 :4;
            __IO  uint16_t  MSPC                 :4;
        };
        struct {
            __IO  uint16_t  MSZI0                :1;
            __IO  uint16_t  MSZI1                :1;
            __IO  uint16_t  MSZI2                :1;
            __IO  uint16_t  MSZI3                :1;
            __IO  uint16_t  MSPI0                :1;
            __IO  uint16_t  MSPI1                :1;
            __IO  uint16_t  MSPI2                :1;
            __IO  uint16_t  MSPI3                :1;
            __IO  uint16_t  MSZC0                :1;
            __IO  uint16_t  MSZC1                :1;
            __IO  uint16_t  MSZC2                :1;
            __IO  uint16_t  MSZC3                :1;
            __IO  uint16_t  MSPC0                :1;
            __IO  uint16_t  MSPC1                :1;
            __IO  uint16_t  MSPC2                :1;
            __IO  uint16_t  MSPC3                :1;
        };
    };
} stc_mft_frt_tcsc2_field_t;

typedef struct stc_mft_frt_tcal_field
{
        __IO  uint32_t  STOP00                   :1;
        __IO  uint32_t  STOP01                   :1;
        __IO  uint32_t  STOP02                   :1;
        __IO  uint32_t  STOP10                   :1;
        __IO  uint32_t  STOP11                   :1;
        __IO  uint32_t  STOP12                   :1;
        __IO  uint32_t  STOP20                   :1;
        __IO  uint32_t  STOP21                   :1;
        __IO  uint32_t  STOP22                   :1;
        __IO  uint32_t  RESERVED0                :7;
        __IO  uint32_t  SCLR00                   :1;
        __IO  uint32_t  SCLR01                   :1;
        __IO  uint32_t  SCLR02                   :1;
        __IO  uint32_t  SCLR10                   :1;
        __IO  uint32_t  SCLR11                   :1;
        __IO  uint32_t  SCLR12                   :1;
        __IO  uint32_t  SCLR20                   :1;
        __IO  uint32_t  SCLR21                   :1;
        __IO  uint32_t  SCLR22                   :1;
        __IO  uint32_t  RESERVED1                :7;
} stc_mft_frt_tcal_field_t;

typedef struct stc_mft_ocu_ocfs10_field
{
    union {
        struct {
            __IO   uint8_t  FSO0                 :4;
            __IO   uint8_t  FSO1                 :4;
        };
        struct {
            __IO   uint8_t  FSO00                :1;
            __IO   uint8_t  FSO01                :1;
            __IO   uint8_t  FSO02                :1;
            __IO   uint8_t  FSO03                :1;
            __IO   uint8_t  FSO10                :1;
            __IO   uint8_t  FSO11                :1;
            __IO   uint8_t  FSO12                :1;
            __IO   uint8_t  FSO13                :1;
        };
    };
} stc_mft_ocu_ocfs10_field_t;

typedef struct stc_mft_ocu_ocfs32_field
{
    union {
        struct {
            __IO   uint8_t  FSO2                 :4;
            __IO   uint8_t  FSO3                 :4;
        };
        struct {
            __IO   uint8_t  FSO20                :1;
            __IO   uint8_t  FSO21                :1;
            __IO   uint8_t  FSO22                :1;
            __IO   uint8_t  FSO23                :1;
            __IO   uint8_t  FSO30                :1;
            __IO   uint8_t  FSO31                :1;
            __IO   uint8_t  FSO32                :1;
            __IO   uint8_t  FSO33                :1;
        };
    };
} stc_mft_ocu_ocfs32_field_t;

typedef struct stc_mft_ocu_ocfs54_field
{
    union {
        struct {
            __IO   uint8_t  FSO4                 :4;
            __IO   uint8_t  FSO5                 :4;
        };
        struct {
            __IO   uint8_t  FSO40                :1;
            __IO   uint8_t  FSO41                :1;
            __IO   uint8_t  FSO42                :1;
            __IO   uint8_t  FSO43                :1;
            __IO   uint8_t  FSO50                :1;
            __IO   uint8_t  FSO51                :1;
            __IO   uint8_t  FSO52                :1;
            __IO   uint8_t  FSO53                :1;
        };
    };
} stc_mft_ocu_ocfs54_field_t;

typedef struct stc_mft_icu_icfs10_field
{
    union {
        struct {
            __IO   uint8_t  FSI0                 :4;
            __IO   uint8_t  FSI1                 :4;
        };
        struct {
            __IO   uint8_t  FSI00                :1;
            __IO   uint8_t  FSI01                :1;
            __IO   uint8_t  FSI02                :1;
            __IO   uint8_t  FSI03                :1;
            __IO   uint8_t  FSI10                :1;
            __IO   uint8_t  FSI11                :1;
            __IO   uint8_t  FSI12                :1;
            __IO   uint8_t  FSI13                :1;
        };
    };
} stc_mft_icu_icfs10_field_t;

typedef struct stc_mft_icu_icfs32_field
{
    union {
        struct {
            __IO   uint8_t  FSI2                 :4;
            __IO   uint8_t  FSI3                 :4;
        };
        struct {
            __IO   uint8_t  FSI20                :1;
            __IO   uint8_t  FSI21                :1;
            __IO   uint8_t  FSI22                :1;
            __IO   uint8_t  FSI23                :1;
            __IO   uint8_t  FSI30                :1;
            __IO   uint8_t  FSI31                :1;
            __IO   uint8_t  FSI32                :1;
            __IO   uint8_t  FSI33                :1;
        };
    };
} stc_mft_icu_icfs32_field_t;

typedef struct stc_mft_adcmp_acfs10_field
{
    union {
        struct {
            __IO   uint8_t  FSA0                 :4;
            __IO   uint8_t  FSA1                 :4;
        };
        struct {
            __IO   uint8_t  FSA00                :1;
            __IO   uint8_t  FSA01                :1;
            __IO   uint8_t  FSA02                :1;
            __IO   uint8_t  FSA03                :1;
            __IO   uint8_t  FSA10                :1;
            __IO   uint8_t  FSA11                :1;
            __IO   uint8_t  FSA12                :1;
            __IO   uint8_t  FSA13                :1;
        };
    };
} stc_mft_adcmp_acfs10_field_t;

typedef struct stc_mft_adcmp_acfs32_field
{
    union {
        struct {
            __IO   uint8_t  FSA2                 :4;
            __IO   uint8_t  FSA3                 :4;
        };
        struct {
            __IO   uint8_t  FSA20                :1;
            __IO   uint8_t  FSA21                :1;
            __IO   uint8_t  FSA22                :1;
            __IO   uint8_t  FSA23                :1;
            __IO   uint8_t  FSA30                :1;
            __IO   uint8_t  FSA31                :1;
            __IO   uint8_t  FSA32                :1;
            __IO   uint8_t  FSA33                :1;
        };
    };
} stc_mft_adcmp_acfs32_field_t;

typedef struct stc_mft_adcmp_acfs54_field
{
    union {
        struct {
            __IO   uint8_t  FSA4                 :4;
            __IO   uint8_t  FSA5                 :4;
        };
        struct {
            __IO   uint8_t  FSA40                :1;
            __IO   uint8_t  FSA41                :1;
            __IO   uint8_t  FSA42                :1;
            __IO   uint8_t  FSA43                :1;
            __IO   uint8_t  FSA50                :1;
            __IO   uint8_t  FSA51                :1;
            __IO   uint8_t  FSA52                :1;
            __IO   uint8_t  FSA53                :1;
        };
    };
} stc_mft_adcmp_acfs54_field_t;

typedef struct stc_mft_icu_icsa10_field
{
    union {
        struct {
            __IO   uint8_t  EG0                  :2;
            __IO   uint8_t  EG1                  :2;
            __IO   uint8_t  ICE0                 :1;
            __IO   uint8_t  ICE1                 :1;
            __IO   uint8_t  ICP0                 :1;
            __IO   uint8_t  ICP1                 :1;
        };
        struct {
            __IO   uint8_t  EG00                 :1;
            __IO   uint8_t  EG01                 :1;
            __IO   uint8_t  EG10                 :1;
            __IO   uint8_t  EG11                 :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mft_icu_icsa10_field_t;

typedef struct stc_mft_icu_icsb10_field
{
        __IO   uint8_t  IEI0                     :1;
        __IO   uint8_t  IEI1                     :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_mft_icu_icsb10_field_t;

typedef struct stc_mft_icu_icsa32_field
{
    union {
        struct {
            __IO   uint8_t  EG2                  :2;
            __IO   uint8_t  EG3                  :2;
            __IO   uint8_t  ICE2                 :1;
            __IO   uint8_t  ICE3                 :1;
            __IO   uint8_t  ICP2                 :1;
            __IO   uint8_t  ICP3                 :1;
        };
        struct {
            __IO   uint8_t  EG20                 :1;
            __IO   uint8_t  EG21                 :1;
            __IO   uint8_t  EG30                 :1;
            __IO   uint8_t  EG31                 :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mft_icu_icsa32_field_t;

typedef struct stc_mft_icu_icsb32_field
{
        __IO   uint8_t  IEI2                     :1;
        __IO   uint8_t  IEI3                     :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_mft_icu_icsb32_field_t;

typedef struct stc_mft_wfg_wfsa10_field
{
    union {
        struct {
            __IO  uint16_t  DCK                  :3;
            __IO  uint16_t  TMD                  :3;
            __IO  uint16_t  GTEN                 :2;
            __IO  uint16_t  PSEL                 :2;
            __IO  uint16_t  PGEN                 :2;
            __IO  uint16_t  DMOD                 :2;
            __IO  uint16_t  RESERVED0            :2;
        };
        struct {
            __IO  uint16_t  DCK0                 :1;
            __IO  uint16_t  DCK1                 :1;
            __IO  uint16_t  DCK2                 :1;
            __IO  uint16_t  TMD0                 :1;
            __IO  uint16_t  TMD1                 :1;
            __IO  uint16_t  TMD2                 :1;
            __IO  uint16_t  GTEN0                :1;
            __IO  uint16_t  GTEN1                :1;
            __IO  uint16_t  PSEL0                :1;
            __IO  uint16_t  PSEL1                :1;
            __IO  uint16_t  PGEN0                :1;
            __IO  uint16_t  PGEN1                :1;
            __IO  uint16_t  DMOD0                :1;
            __IO  uint16_t  DMOD1                :1;
            __IO  uint16_t  RESERVED1            :2;
        };
    };
} stc_mft_wfg_wfsa10_field_t;

typedef struct stc_mft_wfg_wfsa32_field
{
    union {
        struct {
            __IO  uint16_t  DCK                  :3;
            __IO  uint16_t  TMD                  :3;
            __IO  uint16_t  GTEN                 :2;
            __IO  uint16_t  PSEL                 :2;
            __IO  uint16_t  PGEN                 :2;
            __IO  uint16_t  DMOD                 :2;
            __IO  uint16_t  RESERVED0            :2;
        };
        struct {
            __IO  uint16_t  DCK0                 :1;
            __IO  uint16_t  DCK1                 :1;
            __IO  uint16_t  DCK2                 :1;
            __IO  uint16_t  TMD0                 :1;
            __IO  uint16_t  TMD1                 :1;
            __IO  uint16_t  TMD2                 :1;
            __IO  uint16_t  GTEN0                :1;
            __IO  uint16_t  GTEN1                :1;
            __IO  uint16_t  PSEL0                :1;
            __IO  uint16_t  PSEL1                :1;
            __IO  uint16_t  PGEN0                :1;
            __IO  uint16_t  PGEN1                :1;
            __IO  uint16_t  DMOD0                :1;
            __IO  uint16_t  DMOD1                :1;
            __IO  uint16_t  RESERVED1            :2;
        };
    };
} stc_mft_wfg_wfsa32_field_t;

typedef struct stc_mft_wfg_wfsa54_field
{
    union {
        struct {
            __IO  uint16_t  DCK                  :3;
            __IO  uint16_t  TMD                  :3;
            __IO  uint16_t  GTEN                 :2;
            __IO  uint16_t  PSEL                 :2;
            __IO  uint16_t  PGEN                 :2;
            __IO  uint16_t  DMOD                 :2;
            __IO  uint16_t  RESERVED0            :2;
        };
        struct {
            __IO  uint16_t  DCK0                 :1;
            __IO  uint16_t  DCK1                 :1;
            __IO  uint16_t  DCK2                 :1;
            __IO  uint16_t  TMD0                 :1;
            __IO  uint16_t  TMD1                 :1;
            __IO  uint16_t  TMD2                 :1;
            __IO  uint16_t  GTEN0                :1;
            __IO  uint16_t  GTEN1                :1;
            __IO  uint16_t  PSEL0                :1;
            __IO  uint16_t  PSEL1                :1;
            __IO  uint16_t  PGEN0                :1;
            __IO  uint16_t  PGEN1                :1;
            __IO  uint16_t  DMOD0                :1;
            __IO  uint16_t  DMOD1                :1;
            __IO  uint16_t  RESERVED1            :2;
        };
    };
} stc_mft_wfg_wfsa54_field_t;

typedef struct stc_mft_wfg_wfir_field
{
        __IO  uint16_t  DTIFA                    :1;
        __IO  uint16_t  DTICA                    :1;
        __IO  uint16_t  DTIFB                    :1;
        __IO  uint16_t  DTICB                    :1;
        __IO  uint16_t  TMIF10                   :1;
        __IO  uint16_t  TMIC10                   :1;
        __IO  uint16_t  TMIE10                   :1;
        __IO  uint16_t  TMIS10                   :1;
        __IO  uint16_t  TMIF32                   :1;
        __IO  uint16_t  TMIC32                   :1;
        __IO  uint16_t  TMIE32                   :1;
        __IO  uint16_t  TMIS32                   :1;
        __IO  uint16_t  TMIF54                   :1;
        __IO  uint16_t  TMIC54                   :1;
        __IO  uint16_t  TMIE54                   :1;
        __IO  uint16_t  TMIS54                   :1;
} stc_mft_wfg_wfir_field_t;

typedef struct stc_mft_wfg_nzcl_field
{
    union {
        struct {
            __IO  uint16_t  DTIEA                :1;
            __IO  uint16_t  NWS                  :3;
            __IO  uint16_t  SDTI                 :1;
            __IO  uint16_t  DTIEB                :1;
            __IO  uint16_t  RESERVED1            :2;
            __IO  uint16_t  DIMA                 :1;
            __IO  uint16_t  DIMB                 :1;
            __IO  uint16_t  RESERVED2            :2;
            __IO  uint16_t  WIM10                :1;
            __IO  uint16_t  WIM32                :1;
            __IO  uint16_t  WIM54                :1;
            __IO  uint16_t  RESERVED3            :1;
        };
        struct {
            __IO  uint16_t  RESERVED0            :1;
            __IO  uint16_t  NWS0                 :1;
            __IO  uint16_t  NWS1                 :1;
            __IO  uint16_t  NWS2                 :1;
            __IO  uint16_t  RESERVED4            :12;
        };
    };
} stc_mft_wfg_nzcl_field_t;

typedef struct stc_mft_adcmp_acmp0_field
{
    union {
        struct {
            __IO  uint16_t  ACMP                 :16;
        };
        struct {
            __IO  uint16_t  ACMP0                :1;
            __IO  uint16_t  ACMP1                :1;
            __IO  uint16_t  ACMP2                :1;
            __IO  uint16_t  ACMP3                :1;
            __IO  uint16_t  ACMP4                :1;
            __IO  uint16_t  ACMP5                :1;
            __IO  uint16_t  ACMP6                :1;
            __IO  uint16_t  ACMP7                :1;
            __IO  uint16_t  ACMP8                :1;
            __IO  uint16_t  ACMP9                :1;
            __IO  uint16_t  ACMP10               :1;
            __IO  uint16_t  ACMP11               :1;
            __IO  uint16_t  ACMP12               :1;
            __IO  uint16_t  ACMP13               :1;
            __IO  uint16_t  ACMP14               :1;
            __IO  uint16_t  ACMP15               :1;
        };
    };
} stc_mft_adcmp_acmp0_field_t;

typedef struct stc_mft_adcmp_acmp1_field
{
    union {
        struct {
            __IO  uint16_t  ACMP                 :16;
        };
        struct {
            __IO  uint16_t  ACMP0                :1;
            __IO  uint16_t  ACMP1                :1;
            __IO  uint16_t  ACMP2                :1;
            __IO  uint16_t  ACMP3                :1;
            __IO  uint16_t  ACMP4                :1;
            __IO  uint16_t  ACMP5                :1;
            __IO  uint16_t  ACMP6                :1;
            __IO  uint16_t  ACMP7                :1;
            __IO  uint16_t  ACMP8                :1;
            __IO  uint16_t  ACMP9                :1;
            __IO  uint16_t  ACMP10               :1;
            __IO  uint16_t  ACMP11               :1;
            __IO  uint16_t  ACMP12               :1;
            __IO  uint16_t  ACMP13               :1;
            __IO  uint16_t  ACMP14               :1;
            __IO  uint16_t  ACMP15               :1;
        };
    };
} stc_mft_adcmp_acmp1_field_t;

typedef struct stc_mft_adcmp_acmp2_field
{
    union {
        struct {
            __IO  uint16_t  ACMP                 :16;
        };
        struct {
            __IO  uint16_t  ACMP0                :1;
            __IO  uint16_t  ACMP1                :1;
            __IO  uint16_t  ACMP2                :1;
            __IO  uint16_t  ACMP3                :1;
            __IO  uint16_t  ACMP4                :1;
            __IO  uint16_t  ACMP5                :1;
            __IO  uint16_t  ACMP6                :1;
            __IO  uint16_t  ACMP7                :1;
            __IO  uint16_t  ACMP8                :1;
            __IO  uint16_t  ACMP9                :1;
            __IO  uint16_t  ACMP10               :1;
            __IO  uint16_t  ACMP11               :1;
            __IO  uint16_t  ACMP12               :1;
            __IO  uint16_t  ACMP13               :1;
            __IO  uint16_t  ACMP14               :1;
            __IO  uint16_t  ACMP15               :1;
        };
    };
} stc_mft_adcmp_acmp2_field_t;

typedef struct stc_mft_adcmp_acmp3_field
{
    union {
        struct {
            __IO  uint16_t  ACMP                 :16;
        };
        struct {
            __IO  uint16_t  ACMP0                :1;
            __IO  uint16_t  ACMP1                :1;
            __IO  uint16_t  ACMP2                :1;
            __IO  uint16_t  ACMP3                :1;
            __IO  uint16_t  ACMP4                :1;
            __IO  uint16_t  ACMP5                :1;
            __IO  uint16_t  ACMP6                :1;
            __IO  uint16_t  ACMP7                :1;
            __IO  uint16_t  ACMP8                :1;
            __IO  uint16_t  ACMP9                :1;
            __IO  uint16_t  ACMP10               :1;
            __IO  uint16_t  ACMP11               :1;
            __IO  uint16_t  ACMP12               :1;
            __IO  uint16_t  ACMP13               :1;
            __IO  uint16_t  ACMP14               :1;
            __IO  uint16_t  ACMP15               :1;
        };
    };
} stc_mft_adcmp_acmp3_field_t;

typedef struct stc_mft_adcmp_acmp4_field
{
    union {
        struct {
            __IO  uint16_t  ACMP                 :16;
        };
        struct {
            __IO  uint16_t  ACMP0                :1;
            __IO  uint16_t  ACMP1                :1;
            __IO  uint16_t  ACMP2                :1;
            __IO  uint16_t  ACMP3                :1;
            __IO  uint16_t  ACMP4                :1;
            __IO  uint16_t  ACMP5                :1;
            __IO  uint16_t  ACMP6                :1;
            __IO  uint16_t  ACMP7                :1;
            __IO  uint16_t  ACMP8                :1;
            __IO  uint16_t  ACMP9                :1;
            __IO  uint16_t  ACMP10               :1;
            __IO  uint16_t  ACMP11               :1;
            __IO  uint16_t  ACMP12               :1;
            __IO  uint16_t  ACMP13               :1;
            __IO  uint16_t  ACMP14               :1;
            __IO  uint16_t  ACMP15               :1;
        };
    };
} stc_mft_adcmp_acmp4_field_t;

typedef struct stc_mft_adcmp_acmp5_field
{
    union {
        struct {
            __IO  uint16_t  ACMP                 :16;
        };
        struct {
            __IO  uint16_t  ACMP0                :1;
            __IO  uint16_t  ACMP1                :1;
            __IO  uint16_t  ACMP2                :1;
            __IO  uint16_t  ACMP3                :1;
            __IO  uint16_t  ACMP4                :1;
            __IO  uint16_t  ACMP5                :1;
            __IO  uint16_t  ACMP6                :1;
            __IO  uint16_t  ACMP7                :1;
            __IO  uint16_t  ACMP8                :1;
            __IO  uint16_t  ACMP9                :1;
            __IO  uint16_t  ACMP10               :1;
            __IO  uint16_t  ACMP11               :1;
            __IO  uint16_t  ACMP12               :1;
            __IO  uint16_t  ACMP13               :1;
            __IO  uint16_t  ACMP14               :1;
            __IO  uint16_t  ACMP15               :1;
        };
    };
} stc_mft_adcmp_acmp5_field_t;

typedef struct stc_mft_adcmp_acsa_field
{
    union {
        struct {
            __IO  uint16_t  CE10                 :2;
            __IO  uint16_t  CE32                 :2;
            __IO  uint16_t  CE54                 :2;
            __IO  uint16_t  RESERVED0            :2;
            __IO  uint16_t  SEL10                :2;
            __IO  uint16_t  SEL32                :2;
            __IO  uint16_t  SEL54                :2;
            __IO  uint16_t  RESERVED2            :2;
        };
        struct {
            __IO  uint16_t  CE100                :1;
            __IO  uint16_t  CE101                :1;
            __IO  uint16_t  CE320                :1;
            __IO  uint16_t  CE321                :1;
            __IO  uint16_t  CE540                :1;
            __IO  uint16_t  CE541                :1;
            __IO  uint16_t  RESERVED1            :2;
            __IO  uint16_t  SEL100               :1;
            __IO  uint16_t  SEL101               :1;
            __IO  uint16_t  SEL320               :1;
            __IO  uint16_t  SEL321               :1;
            __IO  uint16_t  SEL540               :1;
            __IO  uint16_t  SEL541               :1;
            __IO  uint16_t  RESERVED3            :2;
        };
    };
} stc_mft_adcmp_acsa_field_t;

typedef struct stc_mft_adcmp_acsc0_field
{
    union {
        struct {
            __IO   uint8_t  BUFE                 :2;
            __IO   uint8_t  ADSEL                :3;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  BUFE0                :1;
            __IO   uint8_t  BUFE1                :1;
            __IO   uint8_t  ADSEL0               :1;
            __IO   uint8_t  ADSEL1               :1;
            __IO   uint8_t  ADSEL2               :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_adcmp_acsc0_field_t;

typedef struct stc_mft_adcmp_acsd0_field
{
        __IO   uint8_t  AMOD                     :1;
        __IO   uint8_t  OCUS                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  DE                       :1;
        __IO   uint8_t  PE                       :1;
        __IO   uint8_t  UE                       :1;
        __IO   uint8_t  ZE                       :1;
} stc_mft_adcmp_acsd0_field_t;

typedef struct stc_mft_adcmp_acsc1_field
{
    union {
        struct {
            __IO   uint8_t  BUFE                 :2;
            __IO   uint8_t  ADSEL                :3;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  BUFE0                :1;
            __IO   uint8_t  BUFE1                :1;
            __IO   uint8_t  ADSEL0               :1;
            __IO   uint8_t  ADSEL1               :1;
            __IO   uint8_t  ADSEL2               :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_adcmp_acsc1_field_t;

typedef struct stc_mft_adcmp_acsd1_field
{
        __IO   uint8_t  AMOD                     :1;
        __IO   uint8_t  OCUS                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  DE                       :1;
        __IO   uint8_t  PE                       :1;
        __IO   uint8_t  UE                       :1;
        __IO   uint8_t  ZE                       :1;
} stc_mft_adcmp_acsd1_field_t;

typedef struct stc_mft_adcmp_acsc2_field
{
    union {
        struct {
            __IO   uint8_t  BUFE                 :2;
            __IO   uint8_t  ADSEL                :3;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  BUFE0                :1;
            __IO   uint8_t  BUFE1                :1;
            __IO   uint8_t  ADSEL0               :1;
            __IO   uint8_t  ADSEL1               :1;
            __IO   uint8_t  ADSEL2               :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_adcmp_acsc2_field_t;

typedef struct stc_mft_adcmp_acsd2_field
{
        __IO   uint8_t  AMOD                     :1;
        __IO   uint8_t  OCUS                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  DE                       :1;
        __IO   uint8_t  PE                       :1;
        __IO   uint8_t  UE                       :1;
        __IO   uint8_t  ZE                       :1;
} stc_mft_adcmp_acsd2_field_t;

typedef struct stc_mft_adcmp_acsc3_field
{
    union {
        struct {
            __IO   uint8_t  BUFE                 :2;
            __IO   uint8_t  ADSEL                :3;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  BUFE0                :1;
            __IO   uint8_t  BUFE1                :1;
            __IO   uint8_t  ADSEL0               :1;
            __IO   uint8_t  ADSEL1               :1;
            __IO   uint8_t  ADSEL2               :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_adcmp_acsc3_field_t;

typedef struct stc_mft_adcmp_acsd3_field
{
        __IO   uint8_t  AMOD                     :1;
        __IO   uint8_t  OCUS                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  DE                       :1;
        __IO   uint8_t  PE                       :1;
        __IO   uint8_t  UE                       :1;
        __IO   uint8_t  ZE                       :1;
} stc_mft_adcmp_acsd3_field_t;

typedef struct stc_mft_adcmp_acsc4_field
{
    union {
        struct {
            __IO   uint8_t  BUFE                 :2;
            __IO   uint8_t  ADSEL                :3;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  BUFE0                :1;
            __IO   uint8_t  BUFE1                :1;
            __IO   uint8_t  ADSEL0               :1;
            __IO   uint8_t  ADSEL1               :1;
            __IO   uint8_t  ADSEL2               :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_adcmp_acsc4_field_t;

typedef struct stc_mft_adcmp_acsd4_field
{
        __IO   uint8_t  AMOD                     :1;
        __IO   uint8_t  OCUS                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  DE                       :1;
        __IO   uint8_t  PE                       :1;
        __IO   uint8_t  UE                       :1;
        __IO   uint8_t  ZE                       :1;
} stc_mft_adcmp_acsd4_field_t;

typedef struct stc_mft_adcmp_acsc5_field
{
    union {
        struct {
            __IO   uint8_t  BUFE                 :2;
            __IO   uint8_t  ADSEL                :3;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  BUFE0                :1;
            __IO   uint8_t  BUFE1                :1;
            __IO   uint8_t  ADSEL0               :1;
            __IO   uint8_t  ADSEL1               :1;
            __IO   uint8_t  ADSEL2               :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_adcmp_acsc5_field_t;

typedef struct stc_mft_adcmp_acsd5_field
{
        __IO   uint8_t  AMOD                     :1;
        __IO   uint8_t  OCUS                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  DE                       :1;
        __IO   uint8_t  PE                       :1;
        __IO   uint8_t  UE                       :1;
        __IO   uint8_t  ZE                       :1;
} stc_mft_adcmp_acsd5_field_t;

/******************************************************************************
 ** MFT_PPG_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_mft_ppg_ttcr0_field
{
    union {
        struct {
            __IO   uint8_t  STR0                 :1;
            __IO   uint8_t  MONI0                :1;
            __IO   uint8_t  CS0                  :2;
            __IO   uint8_t  TRG0O                :1;
            __IO   uint8_t  TRG2O                :1;
            __IO   uint8_t  TRG4O                :1;
            __IO   uint8_t  TRG6O                :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  CS00                 :1;
            __IO   uint8_t  CS01                 :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_mft_ppg_ttcr0_field_t;

typedef struct stc_mft_ppg_ttcr1_field
{
    union {
        struct {
            __IO   uint8_t  STR1                 :1;
            __IO   uint8_t  MONI1                :1;
            __IO   uint8_t  CS1                  :2;
            __IO   uint8_t  TRG1O                :1;
            __IO   uint8_t  TRG3O                :1;
            __IO   uint8_t  TRG5O                :1;
            __IO   uint8_t  TRG7O                :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  CS10                 :1;
            __IO   uint8_t  CS11                 :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_mft_ppg_ttcr1_field_t;

typedef struct stc_mft_ppg_ttcr2_field
{
    union {
        struct {
            __IO   uint8_t  STR2                 :1;
            __IO   uint8_t  MONI2                :1;
            __IO   uint8_t  CS2                  :2;
            __IO   uint8_t  TRG16O               :1;
            __IO   uint8_t  TRG18O               :1;
            __IO   uint8_t  TRG20O               :1;
            __IO   uint8_t  TRG22O               :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  CS20                 :1;
            __IO   uint8_t  CS21                 :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_mft_ppg_ttcr2_field_t;

typedef struct stc_mft_ppg_trg0_field
{
        __IO  uint16_t  PEN00                    :1;
        __IO  uint16_t  PEN01                    :1;
        __IO  uint16_t  PEN02                    :1;
        __IO  uint16_t  PEN03                    :1;
        __IO  uint16_t  PEN04                    :1;
        __IO  uint16_t  PEN05                    :1;
        __IO  uint16_t  PEN06                    :1;
        __IO  uint16_t  PEN07                    :1;
        __IO  uint16_t  PEN08                    :1;
        __IO  uint16_t  PEN09                    :1;
        __IO  uint16_t  PEN10                    :1;
        __IO  uint16_t  PEN11                    :1;
        __IO  uint16_t  PEN12                    :1;
        __IO  uint16_t  PEN13                    :1;
        __IO  uint16_t  PEN14                    :1;
        __IO  uint16_t  PEN15                    :1;
} stc_mft_ppg_trg0_field_t;

typedef struct stc_mft_ppg_revc0_field
{
        __IO  uint16_t  REV00                    :1;
        __IO  uint16_t  REV01                    :1;
        __IO  uint16_t  REV02                    :1;
        __IO  uint16_t  REV03                    :1;
        __IO  uint16_t  REV04                    :1;
        __IO  uint16_t  REV05                    :1;
        __IO  uint16_t  REV06                    :1;
        __IO  uint16_t  REV07                    :1;
        __IO  uint16_t  REV08                    :1;
        __IO  uint16_t  REV09                    :1;
        __IO  uint16_t  REV10                    :1;
        __IO  uint16_t  REV11                    :1;
        __IO  uint16_t  REV12                    :1;
        __IO  uint16_t  REV13                    :1;
        __IO  uint16_t  REV14                    :1;
        __IO  uint16_t  REV15                    :1;
} stc_mft_ppg_revc0_field_t;

typedef struct stc_mft_ppg_trg1_field
{
        __IO  uint16_t  PEN16                    :1;
        __IO  uint16_t  PEN17                    :1;
        __IO  uint16_t  PEN18                    :1;
        __IO  uint16_t  PEN19                    :1;
        __IO  uint16_t  PEN20                    :1;
        __IO  uint16_t  PEN21                    :1;
        __IO  uint16_t  PEN22                    :1;
        __IO  uint16_t  PEN23                    :1;
        __IO  uint16_t  RESERVED0                :8;
} stc_mft_ppg_trg1_field_t;

typedef struct stc_mft_ppg_revc1_field
{
        __IO  uint16_t  REV16                    :1;
        __IO  uint16_t  REV17                    :1;
        __IO  uint16_t  REV18                    :1;
        __IO  uint16_t  REV19                    :1;
        __IO  uint16_t  REV20                    :1;
        __IO  uint16_t  REV21                    :1;
        __IO  uint16_t  REV22                    :1;
        __IO  uint16_t  REV23                    :1;
        __IO  uint16_t  RESERVED0                :8;
} stc_mft_ppg_revc1_field_t;

typedef struct stc_mft_ppg_ppgc1_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc1_field_t;

typedef struct stc_mft_ppg_ppgc0_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc0_field_t;

typedef struct stc_mft_ppg_ppgc3_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc3_field_t;

typedef struct stc_mft_ppg_ppgc2_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc2_field_t;

typedef struct stc_mft_ppg_prll0_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll0_field_t;

typedef struct stc_mft_ppg_prlh0_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh0_field_t;

typedef struct stc_mft_ppg_prll1_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll1_field_t;

typedef struct stc_mft_ppg_prlh1_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh1_field_t;

typedef struct stc_mft_ppg_prll2_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll2_field_t;

typedef struct stc_mft_ppg_prlh2_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh2_field_t;

typedef struct stc_mft_ppg_prll3_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll3_field_t;

typedef struct stc_mft_ppg_prlh3_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh3_field_t;

typedef struct stc_mft_ppg_gatec0_field
{
        __IO   uint8_t  EDGE0                    :1;
        __IO   uint8_t  STRG0                    :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  EDGE2                    :1;
        __IO   uint8_t  STRG2                    :1;
        __IO   uint8_t  RESERVED1                :2;
} stc_mft_ppg_gatec0_field_t;

typedef struct stc_mft_ppg_ppgc5_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc5_field_t;

typedef struct stc_mft_ppg_ppgc4_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc4_field_t;

typedef struct stc_mft_ppg_ppgc7_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc7_field_t;

typedef struct stc_mft_ppg_ppgc6_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc6_field_t;

typedef struct stc_mft_ppg_prll4_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll4_field_t;

typedef struct stc_mft_ppg_prlh4_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh4_field_t;

typedef struct stc_mft_ppg_prll5_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll5_field_t;

typedef struct stc_mft_ppg_prlh5_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh5_field_t;

typedef struct stc_mft_ppg_prll6_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll6_field_t;

typedef struct stc_mft_ppg_prlh6_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh6_field_t;

typedef struct stc_mft_ppg_prll7_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll7_field_t;

typedef struct stc_mft_ppg_prlh7_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh7_field_t;

typedef struct stc_mft_ppg_gatec4_field
{
        __IO   uint8_t  EDGE4                    :1;
        __IO   uint8_t  STRG4                    :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  EDGE6                    :1;
        __IO   uint8_t  STRG6                    :1;
        __IO   uint8_t  RESERVED1                :2;
} stc_mft_ppg_gatec4_field_t;

typedef struct stc_mft_ppg_ppgc9_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc9_field_t;

typedef struct stc_mft_ppg_ppgc8_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc8_field_t;

typedef struct stc_mft_ppg_ppgc11_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc11_field_t;

typedef struct stc_mft_ppg_ppgc10_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc10_field_t;

typedef struct stc_mft_ppg_prll8_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll8_field_t;

typedef struct stc_mft_ppg_prlh8_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh8_field_t;

typedef struct stc_mft_ppg_prll9_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll9_field_t;

typedef struct stc_mft_ppg_prlh9_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh9_field_t;

typedef struct stc_mft_ppg_prll10_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll10_field_t;

typedef struct stc_mft_ppg_prlh10_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh10_field_t;

typedef struct stc_mft_ppg_prll11_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll11_field_t;

typedef struct stc_mft_ppg_prlh11_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh11_field_t;

typedef struct stc_mft_ppg_gatec8_field
{
        __IO   uint8_t  EDGE8                    :1;
        __IO   uint8_t  STRG8                    :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  EDGE10                   :1;
        __IO   uint8_t  STRG10                   :1;
        __IO   uint8_t  RESERVED1                :2;
} stc_mft_ppg_gatec8_field_t;

typedef struct stc_mft_ppg_ppgc13_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc13_field_t;

typedef struct stc_mft_ppg_ppgc12_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc12_field_t;

typedef struct stc_mft_ppg_ppgc15_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc15_field_t;

typedef struct stc_mft_ppg_ppgc14_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc14_field_t;

typedef struct stc_mft_ppg_prll12_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll12_field_t;

typedef struct stc_mft_ppg_prlh12_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh12_field_t;

typedef struct stc_mft_ppg_prll13_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll13_field_t;

typedef struct stc_mft_ppg_prlh13_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh13_field_t;

typedef struct stc_mft_ppg_prll14_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll14_field_t;

typedef struct stc_mft_ppg_prlh14_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh14_field_t;

typedef struct stc_mft_ppg_prll15_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll15_field_t;

typedef struct stc_mft_ppg_prlh15_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh15_field_t;

typedef struct stc_mft_ppg_gatec12_field
{
        __IO   uint8_t  EDGE12                   :1;
        __IO   uint8_t  STRG12                   :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  EDGE14                   :1;
        __IO   uint8_t  STRG14                   :1;
        __IO   uint8_t  RESERVED1                :2;
} stc_mft_ppg_gatec12_field_t;

typedef struct stc_mft_ppg_ppgc17_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc17_field_t;

typedef struct stc_mft_ppg_ppgc16_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc16_field_t;

typedef struct stc_mft_ppg_ppgc19_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc19_field_t;

typedef struct stc_mft_ppg_ppgc18_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc18_field_t;

typedef struct stc_mft_ppg_prll16_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll16_field_t;

typedef struct stc_mft_ppg_prlh16_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh16_field_t;

typedef struct stc_mft_ppg_prll17_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll17_field_t;

typedef struct stc_mft_ppg_prlh17_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh17_field_t;

typedef struct stc_mft_ppg_prll18_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll18_field_t;

typedef struct stc_mft_ppg_prlh18_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh18_field_t;

typedef struct stc_mft_ppg_prll19_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll19_field_t;

typedef struct stc_mft_ppg_prlh19_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh19_field_t;

typedef struct stc_mft_ppg_gatec16_field
{
        __IO   uint8_t  EDGE16                   :1;
        __IO   uint8_t  STRG16                   :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  EDGE18                   :1;
        __IO   uint8_t  STRG18                   :1;
        __IO   uint8_t  RESERVED1                :2;
} stc_mft_ppg_gatec16_field_t;

typedef struct stc_mft_ppg_ppgc21_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc21_field_t;

typedef struct stc_mft_ppg_ppgc20_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc20_field_t;

typedef struct stc_mft_ppg_ppgc23_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc23_field_t;

typedef struct stc_mft_ppg_ppgc22_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc22_field_t;

typedef struct stc_mft_ppg_prll20_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll20_field_t;

typedef struct stc_mft_ppg_prlh20_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh20_field_t;

typedef struct stc_mft_ppg_prll21_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll21_field_t;

typedef struct stc_mft_ppg_prlh21_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh21_field_t;

typedef struct stc_mft_ppg_prll22_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll22_field_t;

typedef struct stc_mft_ppg_prlh22_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh22_field_t;

typedef struct stc_mft_ppg_prll23_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll23_field_t;

typedef struct stc_mft_ppg_prlh23_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh23_field_t;

typedef struct stc_mft_ppg_gatec20_field
{
        __IO   uint8_t  EDGE20                   :1;
        __IO   uint8_t  STRG20                   :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  EDGE22                   :1;
        __IO   uint8_t  STRG22                   :1;
        __IO   uint8_t  RESERVED1                :2;
} stc_mft_ppg_gatec20_field_t;

typedef struct stc_mft_ppg_igbtc_field
{
    union {
        struct {
            __IO   uint8_t  IGBTMD               :1;
            __IO   uint8_t  IGTRGLV              :1;
            __IO   uint8_t  IGOSEL               :2;
            __IO   uint8_t  IGNFW                :3;
            __IO   uint8_t  IGATIH               :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  IGOSEL0              :1;
            __IO   uint8_t  IGOSEL1              :1;
            __IO   uint8_t  IGNFW0               :1;
            __IO   uint8_t  IGNFW1               :1;
            __IO   uint8_t  IGNFW2               :1;
            __IO   uint8_t  RESERVED1            :1;
        };
    };
} stc_mft_ppg_igbtc_field_t;

/******************************************************************************
 ** MTB_DWT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_mtb_dwt_cmp_addr_start_field
{
    union {
        struct {
            __IO  uint32_t  ADCMP_STA            :32;
        };
        struct {
            __IO  uint32_t  ADCMP_STA0           :1;
            __IO  uint32_t  ADCMP_STA1           :1;
            __IO  uint32_t  ADCMP_STA2           :1;
            __IO  uint32_t  ADCMP_STA3           :1;
            __IO  uint32_t  ADCMP_STA4           :1;
            __IO  uint32_t  ADCMP_STA5           :1;
            __IO  uint32_t  ADCMP_STA6           :1;
            __IO  uint32_t  ADCMP_STA7           :1;
            __IO  uint32_t  ADCMP_STA8           :1;
            __IO  uint32_t  ADCMP_STA9           :1;
            __IO  uint32_t  ADCMP_STA10          :1;
            __IO  uint32_t  ADCMP_STA11          :1;
            __IO  uint32_t  ADCMP_STA12          :1;
            __IO  uint32_t  ADCMP_STA13          :1;
            __IO  uint32_t  ADCMP_STA14          :1;
            __IO  uint32_t  ADCMP_STA15          :1;
            __IO  uint32_t  ADCMP_STA16          :1;
            __IO  uint32_t  ADCMP_STA17          :1;
            __IO  uint32_t  ADCMP_STA18          :1;
            __IO  uint32_t  ADCMP_STA19          :1;
            __IO  uint32_t  ADCMP_STA20          :1;
            __IO  uint32_t  ADCMP_STA21          :1;
            __IO  uint32_t  ADCMP_STA22          :1;
            __IO  uint32_t  ADCMP_STA23          :1;
            __IO  uint32_t  ADCMP_STA24          :1;
            __IO  uint32_t  ADCMP_STA25          :1;
            __IO  uint32_t  ADCMP_STA26          :1;
            __IO  uint32_t  ADCMP_STA27          :1;
            __IO  uint32_t  ADCMP_STA28          :1;
            __IO  uint32_t  ADCMP_STA29          :1;
            __IO  uint32_t  ADCMP_STA30          :1;
            __IO  uint32_t  ADCMP_STA31          :1;
        };
    };
} stc_mtb_dwt_cmp_addr_start_field_t;

typedef struct stc_mtb_dwt_cmp_data_start_field
{
    union {
        struct {
            __IO  uint32_t  DTCMP_STA            :32;
        };
        struct {
            __IO  uint32_t  DTCMP_STA0           :1;
            __IO  uint32_t  DTCMP_STA1           :1;
            __IO  uint32_t  DTCMP_STA2           :1;
            __IO  uint32_t  DTCMP_STA3           :1;
            __IO  uint32_t  DTCMP_STA4           :1;
            __IO  uint32_t  DTCMP_STA5           :1;
            __IO  uint32_t  DTCMP_STA6           :1;
            __IO  uint32_t  DTCMP_STA7           :1;
            __IO  uint32_t  DTCMP_STA8           :1;
            __IO  uint32_t  DTCMP_STA9           :1;
            __IO  uint32_t  DTCMP_STA10          :1;
            __IO  uint32_t  DTCMP_STA11          :1;
            __IO  uint32_t  DTCMP_STA12          :1;
            __IO  uint32_t  DTCMP_STA13          :1;
            __IO  uint32_t  DTCMP_STA14          :1;
            __IO  uint32_t  DTCMP_STA15          :1;
            __IO  uint32_t  DTCMP_STA16          :1;
            __IO  uint32_t  DTCMP_STA17          :1;
            __IO  uint32_t  DTCMP_STA18          :1;
            __IO  uint32_t  DTCMP_STA19          :1;
            __IO  uint32_t  DTCMP_STA20          :1;
            __IO  uint32_t  DTCMP_STA21          :1;
            __IO  uint32_t  DTCMP_STA22          :1;
            __IO  uint32_t  DTCMP_STA23          :1;
            __IO  uint32_t  DTCMP_STA24          :1;
            __IO  uint32_t  DTCMP_STA25          :1;
            __IO  uint32_t  DTCMP_STA26          :1;
            __IO  uint32_t  DTCMP_STA27          :1;
            __IO  uint32_t  DTCMP_STA28          :1;
            __IO  uint32_t  DTCMP_STA29          :1;
            __IO  uint32_t  DTCMP_STA30          :1;
            __IO  uint32_t  DTCMP_STA31          :1;
        };
    };
} stc_mtb_dwt_cmp_data_start_field_t;

typedef struct stc_mtb_dwt_cmp_mask_start_field
{
    union {
        struct {
            __IO  uint32_t  MSK_STA              :32;
        };
        struct {
            __IO  uint32_t  MSK_STA0             :1;
            __IO  uint32_t  MSK_STA1             :1;
            __IO  uint32_t  MSK_STA2             :1;
            __IO  uint32_t  MSK_STA3             :1;
            __IO  uint32_t  MSK_STA4             :1;
            __IO  uint32_t  MSK_STA5             :1;
            __IO  uint32_t  MSK_STA6             :1;
            __IO  uint32_t  MSK_STA7             :1;
            __IO  uint32_t  MSK_STA8             :1;
            __IO  uint32_t  MSK_STA9             :1;
            __IO  uint32_t  MSK_STA10            :1;
            __IO  uint32_t  MSK_STA11            :1;
            __IO  uint32_t  MSK_STA12            :1;
            __IO  uint32_t  MSK_STA13            :1;
            __IO  uint32_t  MSK_STA14            :1;
            __IO  uint32_t  MSK_STA15            :1;
            __IO  uint32_t  MSK_STA16            :1;
            __IO  uint32_t  MSK_STA17            :1;
            __IO  uint32_t  MSK_STA18            :1;
            __IO  uint32_t  MSK_STA19            :1;
            __IO  uint32_t  MSK_STA20            :1;
            __IO  uint32_t  MSK_STA21            :1;
            __IO  uint32_t  MSK_STA22            :1;
            __IO  uint32_t  MSK_STA23            :1;
            __IO  uint32_t  MSK_STA24            :1;
            __IO  uint32_t  MSK_STA25            :1;
            __IO  uint32_t  MSK_STA26            :1;
            __IO  uint32_t  MSK_STA27            :1;
            __IO  uint32_t  MSK_STA28            :1;
            __IO  uint32_t  MSK_STA29            :1;
            __IO  uint32_t  MSK_STA30            :1;
            __IO  uint32_t  MSK_STA31            :1;
        };
    };
} stc_mtb_dwt_cmp_mask_start_field_t;

typedef struct stc_mtb_dwt_cmp_addr_stop_field
{
    union {
        struct {
            __IO  uint32_t  ADCMP_STO            :32;
        };
        struct {
            __IO  uint32_t  ADCMP_STO0           :1;
            __IO  uint32_t  ADCMP_STO1           :1;
            __IO  uint32_t  ADCMP_STO2           :1;
            __IO  uint32_t  ADCMP_STO3           :1;
            __IO  uint32_t  ADCMP_STO4           :1;
            __IO  uint32_t  ADCMP_STO5           :1;
            __IO  uint32_t  ADCMP_STO6           :1;
            __IO  uint32_t  ADCMP_STO7           :1;
            __IO  uint32_t  ADCMP_STO8           :1;
            __IO  uint32_t  ADCMP_STO9           :1;
            __IO  uint32_t  ADCMP_STO10          :1;
            __IO  uint32_t  ADCMP_STO11          :1;
            __IO  uint32_t  ADCMP_STO12          :1;
            __IO  uint32_t  ADCMP_STO13          :1;
            __IO  uint32_t  ADCMP_STO14          :1;
            __IO  uint32_t  ADCMP_STO15          :1;
            __IO  uint32_t  ADCMP_STO16          :1;
            __IO  uint32_t  ADCMP_STO17          :1;
            __IO  uint32_t  ADCMP_STO18          :1;
            __IO  uint32_t  ADCMP_STO19          :1;
            __IO  uint32_t  ADCMP_STO20          :1;
            __IO  uint32_t  ADCMP_STO21          :1;
            __IO  uint32_t  ADCMP_STO22          :1;
            __IO  uint32_t  ADCMP_STO23          :1;
            __IO  uint32_t  ADCMP_STO24          :1;
            __IO  uint32_t  ADCMP_STO25          :1;
            __IO  uint32_t  ADCMP_STO26          :1;
            __IO  uint32_t  ADCMP_STO27          :1;
            __IO  uint32_t  ADCMP_STO28          :1;
            __IO  uint32_t  ADCMP_STO29          :1;
            __IO  uint32_t  ADCMP_STO30          :1;
            __IO  uint32_t  ADCMP_STO31          :1;
        };
    };
} stc_mtb_dwt_cmp_addr_stop_field_t;

typedef struct stc_mtb_dwt_cmp_data_stop_field
{
    union {
        struct {
            __IO  uint32_t  DTCMP_STO            :32;
        };
        struct {
            __IO  uint32_t  DTCMP_STO0           :1;
            __IO  uint32_t  DTCMP_STO1           :1;
            __IO  uint32_t  DTCMP_STO2           :1;
            __IO  uint32_t  DTCMP_STO3           :1;
            __IO  uint32_t  DTCMP_STO4           :1;
            __IO  uint32_t  DTCMP_STO5           :1;
            __IO  uint32_t  DTCMP_STO6           :1;
            __IO  uint32_t  DTCMP_STO7           :1;
            __IO  uint32_t  DTCMP_STO8           :1;
            __IO  uint32_t  DTCMP_STO9           :1;
            __IO  uint32_t  DTCMP_STO10          :1;
            __IO  uint32_t  DTCMP_STO11          :1;
            __IO  uint32_t  DTCMP_STO12          :1;
            __IO  uint32_t  DTCMP_STO13          :1;
            __IO  uint32_t  DTCMP_STO14          :1;
            __IO  uint32_t  DTCMP_STO15          :1;
            __IO  uint32_t  DTCMP_STO16          :1;
            __IO  uint32_t  DTCMP_STO17          :1;
            __IO  uint32_t  DTCMP_STO18          :1;
            __IO  uint32_t  DTCMP_STO19          :1;
            __IO  uint32_t  DTCMP_STO20          :1;
            __IO  uint32_t  DTCMP_STO21          :1;
            __IO  uint32_t  DTCMP_STO22          :1;
            __IO  uint32_t  DTCMP_STO23          :1;
            __IO  uint32_t  DTCMP_STO24          :1;
            __IO  uint32_t  DTCMP_STO25          :1;
            __IO  uint32_t  DTCMP_STO26          :1;
            __IO  uint32_t  DTCMP_STO27          :1;
            __IO  uint32_t  DTCMP_STO28          :1;
            __IO  uint32_t  DTCMP_STO29          :1;
            __IO  uint32_t  DTCMP_STO30          :1;
            __IO  uint32_t  DTCMP_STO31          :1;
        };
    };
} stc_mtb_dwt_cmp_data_stop_field_t;

typedef struct stc_mtb_dwt_cmp_mask_stop_field
{
    union {
        struct {
            __IO  uint32_t  MSK_STO              :32;
        };
        struct {
            __IO  uint32_t  MSK_STO0             :1;
            __IO  uint32_t  MSK_STO1             :1;
            __IO  uint32_t  MSK_STO2             :1;
            __IO  uint32_t  MSK_STO3             :1;
            __IO  uint32_t  MSK_STO4             :1;
            __IO  uint32_t  MSK_STO5             :1;
            __IO  uint32_t  MSK_STO6             :1;
            __IO  uint32_t  MSK_STO7             :1;
            __IO  uint32_t  MSK_STO8             :1;
            __IO  uint32_t  MSK_STO9             :1;
            __IO  uint32_t  MSK_STO10            :1;
            __IO  uint32_t  MSK_STO11            :1;
            __IO  uint32_t  MSK_STO12            :1;
            __IO  uint32_t  MSK_STO13            :1;
            __IO  uint32_t  MSK_STO14            :1;
            __IO  uint32_t  MSK_STO15            :1;
            __IO  uint32_t  MSK_STO16            :1;
            __IO  uint32_t  MSK_STO17            :1;
            __IO  uint32_t  MSK_STO18            :1;
            __IO  uint32_t  MSK_STO19            :1;
            __IO  uint32_t  MSK_STO20            :1;
            __IO  uint32_t  MSK_STO21            :1;
            __IO  uint32_t  MSK_STO22            :1;
            __IO  uint32_t  MSK_STO23            :1;
            __IO  uint32_t  MSK_STO24            :1;
            __IO  uint32_t  MSK_STO25            :1;
            __IO  uint32_t  MSK_STO26            :1;
            __IO  uint32_t  MSK_STO27            :1;
            __IO  uint32_t  MSK_STO28            :1;
            __IO  uint32_t  MSK_STO29            :1;
            __IO  uint32_t  MSK_STO30            :1;
            __IO  uint32_t  MSK_STO31            :1;
        };
    };
} stc_mtb_dwt_cmp_mask_stop_field_t;

typedef struct stc_mtb_dwt_fct_field
{
    union {
        struct {
            __IO   uint8_t  STAEN                :2;
            __IO   uint8_t  STPEN                :2;
            __IO   uint8_t  DSTA                 :2;
            __IO   uint8_t  DSTP                 :2;
        };
        struct {
            __IO   uint8_t  STAEN0               :1;
            __IO   uint8_t  STAEN1               :1;
            __IO   uint8_t  STPEN0               :1;
            __IO   uint8_t  STPEN1               :1;
            __IO   uint8_t  DSTA0                :1;
            __IO   uint8_t  DSTA1                :1;
            __IO   uint8_t  DSTP0                :1;
            __IO   uint8_t  DSTP1                :1;
        };
    };
} stc_mtb_dwt_fct_field_t;

typedef struct stc_mtb_dwt_pid4_field
{
    union {
        struct {
            __IO  uint32_t  PERID                :32;
        };
        struct {
            __IO  uint32_t  PERID0               :1;
            __IO  uint32_t  PERID1               :1;
            __IO  uint32_t  PERID2               :1;
            __IO  uint32_t  PERID3               :1;
            __IO  uint32_t  PERID4               :1;
            __IO  uint32_t  PERID5               :1;
            __IO  uint32_t  PERID6               :1;
            __IO  uint32_t  PERID7               :1;
            __IO  uint32_t  PERID8               :1;
            __IO  uint32_t  PERID9               :1;
            __IO  uint32_t  PERID10              :1;
            __IO  uint32_t  PERID11              :1;
            __IO  uint32_t  PERID12              :1;
            __IO  uint32_t  PERID13              :1;
            __IO  uint32_t  PERID14              :1;
            __IO  uint32_t  PERID15              :1;
            __IO  uint32_t  PERID16              :1;
            __IO  uint32_t  PERID17              :1;
            __IO  uint32_t  PERID18              :1;
            __IO  uint32_t  PERID19              :1;
            __IO  uint32_t  PERID20              :1;
            __IO  uint32_t  PERID21              :1;
            __IO  uint32_t  PERID22              :1;
            __IO  uint32_t  PERID23              :1;
            __IO  uint32_t  PERID24              :1;
            __IO  uint32_t  PERID25              :1;
            __IO  uint32_t  PERID26              :1;
            __IO  uint32_t  PERID27              :1;
            __IO  uint32_t  PERID28              :1;
            __IO  uint32_t  PERID29              :1;
            __IO  uint32_t  PERID30              :1;
            __IO  uint32_t  PERID31              :1;
        };
    };
} stc_mtb_dwt_pid4_field_t;

typedef struct stc_mtb_dwt_pid5_field
{
    union {
        struct {
            __IO  uint32_t  PERID                :32;
        };
        struct {
            __IO  uint32_t  PERID0               :1;
            __IO  uint32_t  PERID1               :1;
            __IO  uint32_t  PERID2               :1;
            __IO  uint32_t  PERID3               :1;
            __IO  uint32_t  PERID4               :1;
            __IO  uint32_t  PERID5               :1;
            __IO  uint32_t  PERID6               :1;
            __IO  uint32_t  PERID7               :1;
            __IO  uint32_t  PERID8               :1;
            __IO  uint32_t  PERID9               :1;
            __IO  uint32_t  PERID10              :1;
            __IO  uint32_t  PERID11              :1;
            __IO  uint32_t  PERID12              :1;
            __IO  uint32_t  PERID13              :1;
            __IO  uint32_t  PERID14              :1;
            __IO  uint32_t  PERID15              :1;
            __IO  uint32_t  PERID16              :1;
            __IO  uint32_t  PERID17              :1;
            __IO  uint32_t  PERID18              :1;
            __IO  uint32_t  PERID19              :1;
            __IO  uint32_t  PERID20              :1;
            __IO  uint32_t  PERID21              :1;
            __IO  uint32_t  PERID22              :1;
            __IO  uint32_t  PERID23              :1;
            __IO  uint32_t  PERID24              :1;
            __IO  uint32_t  PERID25              :1;
            __IO  uint32_t  PERID26              :1;
            __IO  uint32_t  PERID27              :1;
            __IO  uint32_t  PERID28              :1;
            __IO  uint32_t  PERID29              :1;
            __IO  uint32_t  PERID30              :1;
            __IO  uint32_t  PERID31              :1;
        };
    };
} stc_mtb_dwt_pid5_field_t;

typedef struct stc_mtb_dwt_pid6_field
{
    union {
        struct {
            __IO  uint32_t  PERID                :32;
        };
        struct {
            __IO  uint32_t  PERID0               :1;
            __IO  uint32_t  PERID1               :1;
            __IO  uint32_t  PERID2               :1;
            __IO  uint32_t  PERID3               :1;
            __IO  uint32_t  PERID4               :1;
            __IO  uint32_t  PERID5               :1;
            __IO  uint32_t  PERID6               :1;
            __IO  uint32_t  PERID7               :1;
            __IO  uint32_t  PERID8               :1;
            __IO  uint32_t  PERID9               :1;
            __IO  uint32_t  PERID10              :1;
            __IO  uint32_t  PERID11              :1;
            __IO  uint32_t  PERID12              :1;
            __IO  uint32_t  PERID13              :1;
            __IO  uint32_t  PERID14              :1;
            __IO  uint32_t  PERID15              :1;
            __IO  uint32_t  PERID16              :1;
            __IO  uint32_t  PERID17              :1;
            __IO  uint32_t  PERID18              :1;
            __IO  uint32_t  PERID19              :1;
            __IO  uint32_t  PERID20              :1;
            __IO  uint32_t  PERID21              :1;
            __IO  uint32_t  PERID22              :1;
            __IO  uint32_t  PERID23              :1;
            __IO  uint32_t  PERID24              :1;
            __IO  uint32_t  PERID25              :1;
            __IO  uint32_t  PERID26              :1;
            __IO  uint32_t  PERID27              :1;
            __IO  uint32_t  PERID28              :1;
            __IO  uint32_t  PERID29              :1;
            __IO  uint32_t  PERID30              :1;
            __IO  uint32_t  PERID31              :1;
        };
    };
} stc_mtb_dwt_pid6_field_t;

typedef struct stc_mtb_dwt_pid7_field
{
    union {
        struct {
            __IO  uint32_t  PERID                :32;
        };
        struct {
            __IO  uint32_t  PERID0               :1;
            __IO  uint32_t  PERID1               :1;
            __IO  uint32_t  PERID2               :1;
            __IO  uint32_t  PERID3               :1;
            __IO  uint32_t  PERID4               :1;
            __IO  uint32_t  PERID5               :1;
            __IO  uint32_t  PERID6               :1;
            __IO  uint32_t  PERID7               :1;
            __IO  uint32_t  PERID8               :1;
            __IO  uint32_t  PERID9               :1;
            __IO  uint32_t  PERID10              :1;
            __IO  uint32_t  PERID11              :1;
            __IO  uint32_t  PERID12              :1;
            __IO  uint32_t  PERID13              :1;
            __IO  uint32_t  PERID14              :1;
            __IO  uint32_t  PERID15              :1;
            __IO  uint32_t  PERID16              :1;
            __IO  uint32_t  PERID17              :1;
            __IO  uint32_t  PERID18              :1;
            __IO  uint32_t  PERID19              :1;
            __IO  uint32_t  PERID20              :1;
            __IO  uint32_t  PERID21              :1;
            __IO  uint32_t  PERID22              :1;
            __IO  uint32_t  PERID23              :1;
            __IO  uint32_t  PERID24              :1;
            __IO  uint32_t  PERID25              :1;
            __IO  uint32_t  PERID26              :1;
            __IO  uint32_t  PERID27              :1;
            __IO  uint32_t  PERID28              :1;
            __IO  uint32_t  PERID29              :1;
            __IO  uint32_t  PERID30              :1;
            __IO  uint32_t  PERID31              :1;
        };
    };
} stc_mtb_dwt_pid7_field_t;

typedef struct stc_mtb_dwt_pid0_field
{
    union {
        struct {
            __IO  uint32_t  PERID                :32;
        };
        struct {
            __IO  uint32_t  PERID0               :1;
            __IO  uint32_t  PERID1               :1;
            __IO  uint32_t  PERID2               :1;
            __IO  uint32_t  PERID3               :1;
            __IO  uint32_t  PERID4               :1;
            __IO  uint32_t  PERID5               :1;
            __IO  uint32_t  PERID6               :1;
            __IO  uint32_t  PERID7               :1;
            __IO  uint32_t  PERID8               :1;
            __IO  uint32_t  PERID9               :1;
            __IO  uint32_t  PERID10              :1;
            __IO  uint32_t  PERID11              :1;
            __IO  uint32_t  PERID12              :1;
            __IO  uint32_t  PERID13              :1;
            __IO  uint32_t  PERID14              :1;
            __IO  uint32_t  PERID15              :1;
            __IO  uint32_t  PERID16              :1;
            __IO  uint32_t  PERID17              :1;
            __IO  uint32_t  PERID18              :1;
            __IO  uint32_t  PERID19              :1;
            __IO  uint32_t  PERID20              :1;
            __IO  uint32_t  PERID21              :1;
            __IO  uint32_t  PERID22              :1;
            __IO  uint32_t  PERID23              :1;
            __IO  uint32_t  PERID24              :1;
            __IO  uint32_t  PERID25              :1;
            __IO  uint32_t  PERID26              :1;
            __IO  uint32_t  PERID27              :1;
            __IO  uint32_t  PERID28              :1;
            __IO  uint32_t  PERID29              :1;
            __IO  uint32_t  PERID30              :1;
            __IO  uint32_t  PERID31              :1;
        };
    };
} stc_mtb_dwt_pid0_field_t;

typedef struct stc_mtb_dwt_pid1_field
{
    union {
        struct {
            __IO  uint32_t  PERID                :32;
        };
        struct {
            __IO  uint32_t  PERID0               :1;
            __IO  uint32_t  PERID1               :1;
            __IO  uint32_t  PERID2               :1;
            __IO  uint32_t  PERID3               :1;
            __IO  uint32_t  PERID4               :1;
            __IO  uint32_t  PERID5               :1;
            __IO  uint32_t  PERID6               :1;
            __IO  uint32_t  PERID7               :1;
            __IO  uint32_t  PERID8               :1;
            __IO  uint32_t  PERID9               :1;
            __IO  uint32_t  PERID10              :1;
            __IO  uint32_t  PERID11              :1;
            __IO  uint32_t  PERID12              :1;
            __IO  uint32_t  PERID13              :1;
            __IO  uint32_t  PERID14              :1;
            __IO  uint32_t  PERID15              :1;
            __IO  uint32_t  PERID16              :1;
            __IO  uint32_t  PERID17              :1;
            __IO  uint32_t  PERID18              :1;
            __IO  uint32_t  PERID19              :1;
            __IO  uint32_t  PERID20              :1;
            __IO  uint32_t  PERID21              :1;
            __IO  uint32_t  PERID22              :1;
            __IO  uint32_t  PERID23              :1;
            __IO  uint32_t  PERID24              :1;
            __IO  uint32_t  PERID25              :1;
            __IO  uint32_t  PERID26              :1;
            __IO  uint32_t  PERID27              :1;
            __IO  uint32_t  PERID28              :1;
            __IO  uint32_t  PERID29              :1;
            __IO  uint32_t  PERID30              :1;
            __IO  uint32_t  PERID31              :1;
        };
    };
} stc_mtb_dwt_pid1_field_t;

typedef struct stc_mtb_dwt_pid2_field
{
    union {
        struct {
            __IO  uint32_t  PERID                :32;
        };
        struct {
            __IO  uint32_t  PERID0               :1;
            __IO  uint32_t  PERID1               :1;
            __IO  uint32_t  PERID2               :1;
            __IO  uint32_t  PERID3               :1;
            __IO  uint32_t  PERID4               :1;
            __IO  uint32_t  PERID5               :1;
            __IO  uint32_t  PERID6               :1;
            __IO  uint32_t  PERID7               :1;
            __IO  uint32_t  PERID8               :1;
            __IO  uint32_t  PERID9               :1;
            __IO  uint32_t  PERID10              :1;
            __IO  uint32_t  PERID11              :1;
            __IO  uint32_t  PERID12              :1;
            __IO  uint32_t  PERID13              :1;
            __IO  uint32_t  PERID14              :1;
            __IO  uint32_t  PERID15              :1;
            __IO  uint32_t  PERID16              :1;
            __IO  uint32_t  PERID17              :1;
            __IO  uint32_t  PERID18              :1;
            __IO  uint32_t  PERID19              :1;
            __IO  uint32_t  PERID20              :1;
            __IO  uint32_t  PERID21              :1;
            __IO  uint32_t  PERID22              :1;
            __IO  uint32_t  PERID23              :1;
            __IO  uint32_t  PERID24              :1;
            __IO  uint32_t  PERID25              :1;
            __IO  uint32_t  PERID26              :1;
            __IO  uint32_t  PERID27              :1;
            __IO  uint32_t  PERID28              :1;
            __IO  uint32_t  PERID29              :1;
            __IO  uint32_t  PERID30              :1;
            __IO  uint32_t  PERID31              :1;
        };
    };
} stc_mtb_dwt_pid2_field_t;

typedef struct stc_mtb_dwt_pid3_field
{
    union {
        struct {
            __IO  uint32_t  PERID                :32;
        };
        struct {
            __IO  uint32_t  PERID0               :1;
            __IO  uint32_t  PERID1               :1;
            __IO  uint32_t  PERID2               :1;
            __IO  uint32_t  PERID3               :1;
            __IO  uint32_t  PERID4               :1;
            __IO  uint32_t  PERID5               :1;
            __IO  uint32_t  PERID6               :1;
            __IO  uint32_t  PERID7               :1;
            __IO  uint32_t  PERID8               :1;
            __IO  uint32_t  PERID9               :1;
            __IO  uint32_t  PERID10              :1;
            __IO  uint32_t  PERID11              :1;
            __IO  uint32_t  PERID12              :1;
            __IO  uint32_t  PERID13              :1;
            __IO  uint32_t  PERID14              :1;
            __IO  uint32_t  PERID15              :1;
            __IO  uint32_t  PERID16              :1;
            __IO  uint32_t  PERID17              :1;
            __IO  uint32_t  PERID18              :1;
            __IO  uint32_t  PERID19              :1;
            __IO  uint32_t  PERID20              :1;
            __IO  uint32_t  PERID21              :1;
            __IO  uint32_t  PERID22              :1;
            __IO  uint32_t  PERID23              :1;
            __IO  uint32_t  PERID24              :1;
            __IO  uint32_t  PERID25              :1;
            __IO  uint32_t  PERID26              :1;
            __IO  uint32_t  PERID27              :1;
            __IO  uint32_t  PERID28              :1;
            __IO  uint32_t  PERID29              :1;
            __IO  uint32_t  PERID30              :1;
            __IO  uint32_t  PERID31              :1;
        };
    };
} stc_mtb_dwt_pid3_field_t;

typedef struct stc_mtb_dwt_cid0_field
{
    union {
        struct {
            __IO  uint32_t  CPNTID               :32;
        };
        struct {
            __IO  uint32_t  CPNTID0              :1;
            __IO  uint32_t  CPNTID1              :1;
            __IO  uint32_t  CPNTID2              :1;
            __IO  uint32_t  CPNTID3              :1;
            __IO  uint32_t  CPNTID4              :1;
            __IO  uint32_t  CPNTID5              :1;
            __IO  uint32_t  CPNTID6              :1;
            __IO  uint32_t  CPNTID7              :1;
            __IO  uint32_t  CPNTID8              :1;
            __IO  uint32_t  CPNTID9              :1;
            __IO  uint32_t  CPNTID10             :1;
            __IO  uint32_t  CPNTID11             :1;
            __IO  uint32_t  CPNTID12             :1;
            __IO  uint32_t  CPNTID13             :1;
            __IO  uint32_t  CPNTID14             :1;
            __IO  uint32_t  CPNTID15             :1;
            __IO  uint32_t  CPNTID16             :1;
            __IO  uint32_t  CPNTID17             :1;
            __IO  uint32_t  CPNTID18             :1;
            __IO  uint32_t  CPNTID19             :1;
            __IO  uint32_t  CPNTID20             :1;
            __IO  uint32_t  CPNTID21             :1;
            __IO  uint32_t  CPNTID22             :1;
            __IO  uint32_t  CPNTID23             :1;
            __IO  uint32_t  CPNTID24             :1;
            __IO  uint32_t  CPNTID25             :1;
            __IO  uint32_t  CPNTID26             :1;
            __IO  uint32_t  CPNTID27             :1;
            __IO  uint32_t  CPNTID28             :1;
            __IO  uint32_t  CPNTID29             :1;
            __IO  uint32_t  CPNTID30             :1;
            __IO  uint32_t  CPNTID31             :1;
        };
    };
} stc_mtb_dwt_cid0_field_t;

typedef struct stc_mtb_dwt_cid1_field
{
    union {
        struct {
            __IO  uint32_t  CPNTID               :32;
        };
        struct {
            __IO  uint32_t  CPNTID0              :1;
            __IO  uint32_t  CPNTID1              :1;
            __IO  uint32_t  CPNTID2              :1;
            __IO  uint32_t  CPNTID3              :1;
            __IO  uint32_t  CPNTID4              :1;
            __IO  uint32_t  CPNTID5              :1;
            __IO  uint32_t  CPNTID6              :1;
            __IO  uint32_t  CPNTID7              :1;
            __IO  uint32_t  CPNTID8              :1;
            __IO  uint32_t  CPNTID9              :1;
            __IO  uint32_t  CPNTID10             :1;
            __IO  uint32_t  CPNTID11             :1;
            __IO  uint32_t  CPNTID12             :1;
            __IO  uint32_t  CPNTID13             :1;
            __IO  uint32_t  CPNTID14             :1;
            __IO  uint32_t  CPNTID15             :1;
            __IO  uint32_t  CPNTID16             :1;
            __IO  uint32_t  CPNTID17             :1;
            __IO  uint32_t  CPNTID18             :1;
            __IO  uint32_t  CPNTID19             :1;
            __IO  uint32_t  CPNTID20             :1;
            __IO  uint32_t  CPNTID21             :1;
            __IO  uint32_t  CPNTID22             :1;
            __IO  uint32_t  CPNTID23             :1;
            __IO  uint32_t  CPNTID24             :1;
            __IO  uint32_t  CPNTID25             :1;
            __IO  uint32_t  CPNTID26             :1;
            __IO  uint32_t  CPNTID27             :1;
            __IO  uint32_t  CPNTID28             :1;
            __IO  uint32_t  CPNTID29             :1;
            __IO  uint32_t  CPNTID30             :1;
            __IO  uint32_t  CPNTID31             :1;
        };
    };
} stc_mtb_dwt_cid1_field_t;

typedef struct stc_mtb_dwt_cid2_field
{
    union {
        struct {
            __IO  uint32_t  CPNTID               :32;
        };
        struct {
            __IO  uint32_t  CPNTID0              :1;
            __IO  uint32_t  CPNTID1              :1;
            __IO  uint32_t  CPNTID2              :1;
            __IO  uint32_t  CPNTID3              :1;
            __IO  uint32_t  CPNTID4              :1;
            __IO  uint32_t  CPNTID5              :1;
            __IO  uint32_t  CPNTID6              :1;
            __IO  uint32_t  CPNTID7              :1;
            __IO  uint32_t  CPNTID8              :1;
            __IO  uint32_t  CPNTID9              :1;
            __IO  uint32_t  CPNTID10             :1;
            __IO  uint32_t  CPNTID11             :1;
            __IO  uint32_t  CPNTID12             :1;
            __IO  uint32_t  CPNTID13             :1;
            __IO  uint32_t  CPNTID14             :1;
            __IO  uint32_t  CPNTID15             :1;
            __IO  uint32_t  CPNTID16             :1;
            __IO  uint32_t  CPNTID17             :1;
            __IO  uint32_t  CPNTID18             :1;
            __IO  uint32_t  CPNTID19             :1;
            __IO  uint32_t  CPNTID20             :1;
            __IO  uint32_t  CPNTID21             :1;
            __IO  uint32_t  CPNTID22             :1;
            __IO  uint32_t  CPNTID23             :1;
            __IO  uint32_t  CPNTID24             :1;
            __IO  uint32_t  CPNTID25             :1;
            __IO  uint32_t  CPNTID26             :1;
            __IO  uint32_t  CPNTID27             :1;
            __IO  uint32_t  CPNTID28             :1;
            __IO  uint32_t  CPNTID29             :1;
            __IO  uint32_t  CPNTID30             :1;
            __IO  uint32_t  CPNTID31             :1;
        };
    };
} stc_mtb_dwt_cid2_field_t;

typedef struct stc_mtb_dwt_cid3_field
{
    union {
        struct {
            __IO  uint32_t  CPNTID               :32;
        };
        struct {
            __IO  uint32_t  CPNTID0              :1;
            __IO  uint32_t  CPNTID1              :1;
            __IO  uint32_t  CPNTID2              :1;
            __IO  uint32_t  CPNTID3              :1;
            __IO  uint32_t  CPNTID4              :1;
            __IO  uint32_t  CPNTID5              :1;
            __IO  uint32_t  CPNTID6              :1;
            __IO  uint32_t  CPNTID7              :1;
            __IO  uint32_t  CPNTID8              :1;
            __IO  uint32_t  CPNTID9              :1;
            __IO  uint32_t  CPNTID10             :1;
            __IO  uint32_t  CPNTID11             :1;
            __IO  uint32_t  CPNTID12             :1;
            __IO  uint32_t  CPNTID13             :1;
            __IO  uint32_t  CPNTID14             :1;
            __IO  uint32_t  CPNTID15             :1;
            __IO  uint32_t  CPNTID16             :1;
            __IO  uint32_t  CPNTID17             :1;
            __IO  uint32_t  CPNTID18             :1;
            __IO  uint32_t  CPNTID19             :1;
            __IO  uint32_t  CPNTID20             :1;
            __IO  uint32_t  CPNTID21             :1;
            __IO  uint32_t  CPNTID22             :1;
            __IO  uint32_t  CPNTID23             :1;
            __IO  uint32_t  CPNTID24             :1;
            __IO  uint32_t  CPNTID25             :1;
            __IO  uint32_t  CPNTID26             :1;
            __IO  uint32_t  CPNTID27             :1;
            __IO  uint32_t  CPNTID28             :1;
            __IO  uint32_t  CPNTID29             :1;
            __IO  uint32_t  CPNTID30             :1;
            __IO  uint32_t  CPNTID31             :1;
        };
    };
} stc_mtb_dwt_cid3_field_t;

/******************************************************************************
 ** QPRC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_qprc_qicrl_field
{
        __IO   uint8_t  QPCMIE                   :1;
        __IO   uint8_t  QPCMF                    :1;
        __IO   uint8_t  QPRCMIE                  :1;
        __IO   uint8_t  QPRCMF                   :1;
        __IO   uint8_t  OUZIE                    :1;
        __IO   uint8_t  UFDF                     :1;
        __IO   uint8_t  OFDF                     :1;
        __IO   uint8_t  ZIIF                     :1;
} stc_qprc_qicrl_field_t;

typedef struct stc_qprc_qicrh_field
{
        __IO   uint8_t  CDCIE                    :1;
        __IO   uint8_t  CDCF                     :1;
        __IO   uint8_t  DIRPC                    :1;
        __IO   uint8_t  DIROU                    :1;
        __IO   uint8_t  QPCNRCMIE                :1;
        __IO   uint8_t  QPCNRCMF                 :1;
        __IO   uint8_t  RESERVED0                :2;
} stc_qprc_qicrh_field_t;

typedef struct stc_qprc_qcr_field
{
    union {
        struct {
            __IO  uint16_t  PCM                  :2;
            __IO  uint16_t  RCM                  :2;
            __IO  uint16_t  PSTP                 :1;
            __IO  uint16_t  CGSC                 :1;
            __IO  uint16_t  RSEL                 :1;
            __IO  uint16_t  SWAP                 :1;
            __IO  uint16_t  PCRM                 :2;
            __IO  uint16_t  AES                  :2;
            __IO  uint16_t  BES                  :2;
            __IO  uint16_t  CGE                  :2;
        };
        struct {
            __IO  uint16_t  PCM0                 :1;
            __IO  uint16_t  PCM1                 :1;
            __IO  uint16_t  RCM0                 :1;
            __IO  uint16_t  RCM1                 :1;
            __IO  uint16_t  RESERVED0            :4;
            __IO  uint16_t  PCRM0                :1;
            __IO  uint16_t  PCRM1                :1;
            __IO  uint16_t  AES0                 :1;
            __IO  uint16_t  AES1                 :1;
            __IO  uint16_t  BES0                 :1;
            __IO  uint16_t  BES1                 :1;
            __IO  uint16_t  CGE0                 :1;
            __IO  uint16_t  CGE1                 :1;
        };
    };
} stc_qprc_qcr_field_t;

typedef struct stc_qprc_qecr_field
{
        __IO  uint16_t  ORNGMD                   :1;
        __IO  uint16_t  ORNGF                    :1;
        __IO  uint16_t  ORNGIE                   :1;
        __IO  uint16_t  RESERVED0                :13;
} stc_qprc_qecr_field_t;

typedef struct stc_qprc_qprcrr_field
{
    union {
        struct {
            __IO  uint32_t  QPCRR                :16;
            __IO  uint32_t  QRCRR                :16;
        };
        struct {
            __IO  uint32_t  QPCRR0               :1;
            __IO  uint32_t  QPCRR1               :1;
            __IO  uint32_t  QPCRR2               :1;
            __IO  uint32_t  QPCRR3               :1;
            __IO  uint32_t  QPCRR4               :1;
            __IO  uint32_t  QPCRR5               :1;
            __IO  uint32_t  QPCRR6               :1;
            __IO  uint32_t  QPCRR7               :1;
            __IO  uint32_t  QPCRR8               :1;
            __IO  uint32_t  QPCRR9               :1;
            __IO  uint32_t  QPCRR10              :1;
            __IO  uint32_t  QPCRR11              :1;
            __IO  uint32_t  QPCRR12              :1;
            __IO  uint32_t  QPCRR13              :1;
            __IO  uint32_t  QPCRR14              :1;
            __IO  uint32_t  QPCRR15              :1;
            __IO  uint32_t  QRCRR0               :1;
            __IO  uint32_t  QRCRR1               :1;
            __IO  uint32_t  QRCRR2               :1;
            __IO  uint32_t  QRCRR3               :1;
            __IO  uint32_t  QRCRR4               :1;
            __IO  uint32_t  QRCRR5               :1;
            __IO  uint32_t  QRCRR6               :1;
            __IO  uint32_t  QRCRR7               :1;
            __IO  uint32_t  QRCRR8               :1;
            __IO  uint32_t  QRCRR9               :1;
            __IO  uint32_t  QRCRR10              :1;
            __IO  uint32_t  QRCRR11              :1;
            __IO  uint32_t  QRCRR12              :1;
            __IO  uint32_t  QRCRR13              :1;
            __IO  uint32_t  QRCRR14              :1;
            __IO  uint32_t  QRCRR15              :1;
        };
    };
} stc_qprc_qprcrr_field_t;

/******************************************************************************
 ** QPRC_NF_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_qprc_nf_nfctla_field
{
    union {
        struct {
            __IO  uint16_t  AINNWS               :3;
            __IO  uint16_t  RESERVED0            :1;
            __IO  uint16_t  AINLV                :1;
            __IO  uint16_t  AINMD                :1;
            __IO  uint16_t  RESERVED1            :10;
        };
        struct {
            __IO  uint16_t  AINNWS0              :1;
            __IO  uint16_t  AINNWS1              :1;
            __IO  uint16_t  AINNWS2              :1;
            __IO  uint16_t  RESERVED2            :13;
        };
    };
} stc_qprc_nf_nfctla_field_t;

typedef struct stc_qprc_nf_nfctlb_field
{
    union {
        struct {
            __IO  uint16_t  BINNWS               :3;
            __IO  uint16_t  RESERVED0            :1;
            __IO  uint16_t  BINLV                :1;
            __IO  uint16_t  BINMD                :1;
            __IO  uint16_t  RESERVED1            :10;
        };
        struct {
            __IO  uint16_t  BINNWS0              :1;
            __IO  uint16_t  BINNWS1              :1;
            __IO  uint16_t  BINNWS2              :1;
            __IO  uint16_t  RESERVED2            :13;
        };
    };
} stc_qprc_nf_nfctlb_field_t;

typedef struct stc_qprc_nf_nfctlz_field
{
    union {
        struct {
            __IO  uint16_t  ZINNWS               :3;
            __IO  uint16_t  RESERVED0            :1;
            __IO  uint16_t  ZINLV                :1;
            __IO  uint16_t  ZINMD                :1;
            __IO  uint16_t  RESERVED1            :10;
        };
        struct {
            __IO  uint16_t  ZINNWS0              :1;
            __IO  uint16_t  ZINNWS1              :1;
            __IO  uint16_t  ZINNWS2              :1;
            __IO  uint16_t  RESERVED2            :13;
        };
    };
} stc_qprc_nf_nfctlz_field_t;

/******************************************************************************
 ** RTC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_rtc_wtcr1_field
{
        __IO  uint32_t  ST                       :1;
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  RUN                      :1;
        __IO  uint32_t  SRST                     :1;
        __IO  uint32_t  SCST                     :1;
        __IO  uint32_t  SCRST                    :1;
        __IO  uint32_t  BUSY                     :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  MIEN                     :1;
        __IO  uint32_t  HEN                      :1;
        __IO  uint32_t  DEN                      :1;
        __IO  uint32_t  MOEN                     :1;
        __IO  uint32_t  YEN                      :1;
        __IO  uint32_t  RESERVED2                :3;
        __IO  uint32_t  INTSSI                   :1;
        __IO  uint32_t  INTSI                    :1;
        __IO  uint32_t  INTMI                    :1;
        __IO  uint32_t  INTHI                    :1;
        __IO  uint32_t  INTTMI                   :1;
        __IO  uint32_t  INTALI                   :1;
        __IO  uint32_t  INTERI                   :1;
        __IO  uint32_t  INTCRI                   :1;
        __IO  uint32_t  INTSSIE                  :1;
        __IO  uint32_t  INTSIE                   :1;
        __IO  uint32_t  INTMIE                   :1;
        __IO  uint32_t  INTHIE                   :1;
        __IO  uint32_t  INTTMIE                  :1;
        __IO  uint32_t  INTALIE                  :1;
        __IO  uint32_t  INTERIE                  :1;
        __IO  uint32_t  INTCRIE                  :1;
} stc_rtc_wtcr1_field_t;

typedef struct stc_rtc_wtcr2_field
{
        __IO  uint32_t  CREAD                    :1;
        __IO  uint32_t  RESERVED0                :7;
        __IO  uint32_t  TMST                     :1;
        __IO  uint32_t  TMEN                     :1;
        __IO  uint32_t  TMRUN                    :1;
        __IO  uint32_t  RESERVED1                :21;
} stc_rtc_wtcr2_field_t;

typedef struct stc_rtc_wtbr_field
{
    union {
        struct {
            __IO  uint32_t  BR                   :24;
            __IO  uint32_t  RESERVED0            :8;
        };
        struct {
            __IO  uint32_t  BR0                  :1;
            __IO  uint32_t  BR1                  :1;
            __IO  uint32_t  BR2                  :1;
            __IO  uint32_t  BR3                  :1;
            __IO  uint32_t  BR4                  :1;
            __IO  uint32_t  BR5                  :1;
            __IO  uint32_t  BR6                  :1;
            __IO  uint32_t  BR7                  :1;
            __IO  uint32_t  BR8                  :1;
            __IO  uint32_t  BR9                  :1;
            __IO  uint32_t  BR10                 :1;
            __IO  uint32_t  BR11                 :1;
            __IO  uint32_t  BR12                 :1;
            __IO  uint32_t  BR13                 :1;
            __IO  uint32_t  BR14                 :1;
            __IO  uint32_t  BR15                 :1;
            __IO  uint32_t  BR16                 :1;
            __IO  uint32_t  BR17                 :1;
            __IO  uint32_t  BR18                 :1;
            __IO  uint32_t  BR19                 :1;
            __IO  uint32_t  BR20                 :1;
            __IO  uint32_t  BR21                 :1;
            __IO  uint32_t  BR22                 :1;
            __IO  uint32_t  BR23                 :1;
            __IO  uint32_t  RESERVED1            :8;
        };
    };
} stc_rtc_wtbr_field_t;

typedef struct stc_rtc_wtsr_field
{
    union {
        struct {
            __IO   uint8_t  S                    :4;
            __IO   uint8_t  TS                   :3;
            __IO   uint8_t  RESERVED0            :1;
        };
        struct {
            __IO   uint8_t  S0                   :1;
            __IO   uint8_t  S1                   :1;
            __IO   uint8_t  S2                   :1;
            __IO   uint8_t  S3                   :1;
            __IO   uint8_t  TS0                  :1;
            __IO   uint8_t  TS1                  :1;
            __IO   uint8_t  TS2                  :1;
            __IO   uint8_t  RESERVED1            :1;
        };
    };
} stc_rtc_wtsr_field_t;

typedef struct stc_rtc_wtmir_field
{
    union {
        struct {
            __IO   uint8_t  MI                   :4;
            __IO   uint8_t  TMI                  :3;
            __IO   uint8_t  RESERVED0            :1;
        };
        struct {
            __IO   uint8_t  MI0                  :1;
            __IO   uint8_t  MI1                  :1;
            __IO   uint8_t  MI2                  :1;
            __IO   uint8_t  MI3                  :1;
            __IO   uint8_t  TMI0                 :1;
            __IO   uint8_t  TMI1                 :1;
            __IO   uint8_t  TMI2                 :1;
            __IO   uint8_t  RESERVED1            :1;
        };
    };
} stc_rtc_wtmir_field_t;

typedef struct stc_rtc_wthr_field
{
    union {
        struct {
            __IO   uint8_t  H                    :4;
            __IO   uint8_t  TH                   :2;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  H0                   :1;
            __IO   uint8_t  H1                   :1;
            __IO   uint8_t  H2                   :1;
            __IO   uint8_t  H3                   :1;
            __IO   uint8_t  TH0                  :1;
            __IO   uint8_t  TH1                  :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_rtc_wthr_field_t;

typedef struct stc_rtc_wtdr_field
{
    union {
        struct {
            __IO   uint8_t  D                    :4;
            __IO   uint8_t  TD                   :2;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  D0                   :1;
            __IO   uint8_t  D1                   :1;
            __IO   uint8_t  D2                   :1;
            __IO   uint8_t  D3                   :1;
            __IO   uint8_t  TD0                  :1;
            __IO   uint8_t  TD1                  :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_rtc_wtdr_field_t;

typedef struct stc_rtc_wtdw_field
{
    union {
        struct {
            __IO   uint8_t  DW                   :3;
            __IO   uint8_t  RESERVED0            :5;
        };
        struct {
            __IO   uint8_t  DW0                  :1;
            __IO   uint8_t  DW1                  :1;
            __IO   uint8_t  DW2                  :1;
            __IO   uint8_t  RESERVED1            :5;
        };
    };
} stc_rtc_wtdw_field_t;

typedef struct stc_rtc_wtmor_field
{
    union {
        struct {
            __IO   uint8_t  MO                   :4;
            __IO   uint8_t  TMO0                 :1;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  MO0                  :1;
            __IO   uint8_t  MO1                  :1;
            __IO   uint8_t  MO2                  :1;
            __IO   uint8_t  MO3                  :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_rtc_wtmor_field_t;

typedef struct stc_rtc_wtyr_field
{
    union {
        struct {
            __IO   uint8_t  Y                    :4;
            __IO   uint8_t  TY                   :4;
        };
        struct {
            __IO   uint8_t  Y0                   :1;
            __IO   uint8_t  Y1                   :1;
            __IO   uint8_t  Y2                   :1;
            __IO   uint8_t  Y3                   :1;
            __IO   uint8_t  TY0                  :1;
            __IO   uint8_t  TY1                  :1;
            __IO   uint8_t  TY2                  :1;
            __IO   uint8_t  TY3                  :1;
        };
    };
} stc_rtc_wtyr_field_t;

typedef struct stc_rtc_almir_field
{
    union {
        struct {
            __IO   uint8_t  AMI                  :4;
            __IO   uint8_t  TAMI                 :3;
            __IO   uint8_t  RESERVED0            :1;
        };
        struct {
            __IO   uint8_t  AMI0                 :1;
            __IO   uint8_t  AMI1                 :1;
            __IO   uint8_t  AMI2                 :1;
            __IO   uint8_t  AMI3                 :1;
            __IO   uint8_t  TAMI0                :1;
            __IO   uint8_t  TAMI1                :1;
            __IO   uint8_t  TAMI2                :1;
            __IO   uint8_t  RESERVED1            :1;
        };
    };
} stc_rtc_almir_field_t;

typedef struct stc_rtc_alhr_field
{
    union {
        struct {
            __IO   uint8_t  AH                   :4;
            __IO   uint8_t  TAH                  :2;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  AH0                  :1;
            __IO   uint8_t  AH1                  :1;
            __IO   uint8_t  AH2                  :1;
            __IO   uint8_t  AH3                  :1;
            __IO   uint8_t  TAH0                 :1;
            __IO   uint8_t  TAH1                 :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_rtc_alhr_field_t;

typedef struct stc_rtc_aldr_field
{
    union {
        struct {
            __IO   uint8_t  AD                   :4;
            __IO   uint8_t  TAD                  :2;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  AD0                  :1;
            __IO   uint8_t  AD1                  :1;
            __IO   uint8_t  AD2                  :1;
            __IO   uint8_t  AD3                  :1;
            __IO   uint8_t  TAD0                 :1;
            __IO   uint8_t  TAD1                 :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_rtc_aldr_field_t;

typedef struct stc_rtc_almor_field
{
    union {
        struct {
            __IO   uint8_t  AMO                  :4;
            __IO   uint8_t  TAMO0                :1;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  AMO0                 :1;
            __IO   uint8_t  AMO1                 :1;
            __IO   uint8_t  AMO2                 :1;
            __IO   uint8_t  AMO3                 :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_rtc_almor_field_t;

typedef struct stc_rtc_alyr_field
{
    union {
        struct {
            __IO   uint8_t  AY                   :4;
            __IO   uint8_t  TAY                  :4;
        };
        struct {
            __IO   uint8_t  AY0                  :1;
            __IO   uint8_t  AY1                  :1;
            __IO   uint8_t  AY2                  :1;
            __IO   uint8_t  AY3                  :1;
            __IO   uint8_t  TAY0                 :1;
            __IO   uint8_t  TAY1                 :1;
            __IO   uint8_t  TAY2                 :1;
            __IO   uint8_t  TAY3                 :1;
        };
    };
} stc_rtc_alyr_field_t;

typedef struct stc_rtc_wttr_field
{
    union {
        struct {
            __IO  uint32_t  TM                   :18;
            __IO  uint32_t  RESERVED0            :14;
        };
        struct {
            __IO  uint32_t  TM0                  :1;
            __IO  uint32_t  TM1                  :1;
            __IO  uint32_t  TM2                  :1;
            __IO  uint32_t  TM3                  :1;
            __IO  uint32_t  TM4                  :1;
            __IO  uint32_t  TM5                  :1;
            __IO  uint32_t  TM6                  :1;
            __IO  uint32_t  TM7                  :1;
            __IO  uint32_t  TM8                  :1;
            __IO  uint32_t  TM9                  :1;
            __IO  uint32_t  TM10                 :1;
            __IO  uint32_t  TM11                 :1;
            __IO  uint32_t  TM12                 :1;
            __IO  uint32_t  TM13                 :1;
            __IO  uint32_t  TM14                 :1;
            __IO  uint32_t  TM15                 :1;
            __IO  uint32_t  TM16                 :1;
            __IO  uint32_t  TM17                 :1;
            __IO  uint32_t  RESERVED1            :14;
        };
    };
} stc_rtc_wttr_field_t;

typedef struct stc_rtc_wtclks_field
{
        __IO   uint8_t  WTCLKS                   :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_rtc_wtclks_field_t;

typedef struct stc_rtc_wtclkm_field
{
    union {
        struct {
            __IO   uint8_t  WTCLKM               :2;
            __IO   uint8_t  RESERVED0            :6;
        };
        struct {
            __IO   uint8_t  WTCLKM0              :1;
            __IO   uint8_t  WTCLKM1              :1;
            __IO   uint8_t  RESERVED1            :6;
        };
    };
} stc_rtc_wtclkm_field_t;

typedef struct stc_rtc_wtcal_field
{
    union {
        struct {
            __IO  uint16_t  WTCAL                :10;
            __IO  uint16_t  RESERVED0            :6;
        };
        struct {
            __IO  uint16_t  WTCAL0               :1;
            __IO  uint16_t  WTCAL1               :1;
            __IO  uint16_t  WTCAL2               :1;
            __IO  uint16_t  WTCAL3               :1;
            __IO  uint16_t  WTCAL4               :1;
            __IO  uint16_t  WTCAL5               :1;
            __IO  uint16_t  WTCAL6               :1;
            __IO  uint16_t  WTCAL7               :1;
            __IO  uint16_t  WTCAL8               :1;
            __IO  uint16_t  WTCAL9               :1;
            __IO  uint16_t  RESERVED1            :6;
        };
    };
} stc_rtc_wtcal_field_t;

typedef struct stc_rtc_wtcalen_field
{
        __IO   uint8_t  WTCALEN                  :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_rtc_wtcalen_field_t;

typedef struct stc_rtc_wtdiv_field
{
    union {
        struct {
            __IO   uint8_t  WTDIV                :4;
            __IO   uint8_t  RESERVED0            :4;
        };
        struct {
            __IO   uint8_t  WTDIV0               :1;
            __IO   uint8_t  WTDIV1               :1;
            __IO   uint8_t  WTDIV2               :1;
            __IO   uint8_t  WTDIV3               :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_rtc_wtdiv_field_t;

typedef struct stc_rtc_wtdiven_field
{
        __IO   uint8_t  WTDIVEN                  :1;
        __IO   uint8_t  WTDIVRDY                 :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_rtc_wtdiven_field_t;

typedef struct stc_rtc_wtcalprd_field
{
    union {
        struct {
            __IO   uint8_t  WTCALPRD             :6;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  WTCALPRD0            :1;
            __IO   uint8_t  WTCALPRD1            :1;
            __IO   uint8_t  WTCALPRD2            :1;
            __IO   uint8_t  WTCALPRD3            :1;
            __IO   uint8_t  WTCALPRD4            :1;
            __IO   uint8_t  WTCALPRD5            :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_rtc_wtcalprd_field_t;

typedef struct stc_rtc_wtcosel_field
{
        __IO   uint8_t  WTCOSEL                  :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_rtc_wtcosel_field_t;

/******************************************************************************
 ** SBSSR_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_sbssr_btsssr_field
{
        __IO  uint16_t  SSSR0                    :1;
        __IO  uint16_t  SSSR1                    :1;
        __IO  uint16_t  SSSR2                    :1;
        __IO  uint16_t  SSSR3                    :1;
        __IO  uint16_t  SSSR4                    :1;
        __IO  uint16_t  SSSR5                    :1;
        __IO  uint16_t  SSSR6                    :1;
        __IO  uint16_t  SSSR7                    :1;
        __IO  uint16_t  SSSR8                    :1;
        __IO  uint16_t  SSSR9                    :1;
        __IO  uint16_t  SSSR10                   :1;
        __IO  uint16_t  SSSR11                   :1;
        __IO  uint16_t  SSSR12                   :1;
        __IO  uint16_t  SSSR13                   :1;
        __IO  uint16_t  SSSR14                   :1;
        __IO  uint16_t  SSSR15                   :1;
} stc_sbssr_btsssr_field_t;

/******************************************************************************
 ** SWWDT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_swwdt_wdogcontrol_field
{
    union {
        struct {
            __IO  uint32_t  INTEN                :1;
            __IO  uint32_t  RESEN                :1;
            __IO  uint32_t  TWD                  :2;
            __IO  uint32_t  SPM                  :1;
            __IO  uint32_t  RESERVED1            :27;
        };
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  TWD0                 :1;
            __IO  uint32_t  TWD1                 :1;
            __IO  uint32_t  RESERVED2            :28;
        };
    };
} stc_swwdt_wdogcontrol_field_t;

typedef struct stc_swwdt_wdogris_field
{
        __IO  uint32_t  RIS                      :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_swwdt_wdogris_field_t;

typedef struct stc_swwdt_wdogspmc_field
{
        __IO  uint32_t  TGR                      :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_swwdt_wdogspmc_field_t;

/******************************************************************************
 ** UNIQUE_ID_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_unique_id_uidr0_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :4;
            __IO  uint32_t  UID                  :28;
        };
        struct {
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  UID0                 :1;
            __IO  uint32_t  UID1                 :1;
            __IO  uint32_t  UID2                 :1;
            __IO  uint32_t  UID3                 :1;
            __IO  uint32_t  UID4                 :1;
            __IO  uint32_t  UID5                 :1;
            __IO  uint32_t  UID6                 :1;
            __IO  uint32_t  UID7                 :1;
            __IO  uint32_t  UID8                 :1;
            __IO  uint32_t  UID9                 :1;
            __IO  uint32_t  UID10                :1;
            __IO  uint32_t  UID11                :1;
            __IO  uint32_t  UID12                :1;
            __IO  uint32_t  UID13                :1;
            __IO  uint32_t  UID14                :1;
            __IO  uint32_t  UID15                :1;
            __IO  uint32_t  UID16                :1;
            __IO  uint32_t  UID17                :1;
            __IO  uint32_t  UID18                :1;
            __IO  uint32_t  UID19                :1;
            __IO  uint32_t  UID20                :1;
            __IO  uint32_t  UID21                :1;
            __IO  uint32_t  UID22                :1;
            __IO  uint32_t  UID23                :1;
            __IO  uint32_t  UID24                :1;
            __IO  uint32_t  UID25                :1;
            __IO  uint32_t  UID26                :1;
            __IO  uint32_t  UID27                :1;
        };
    };
} stc_unique_id_uidr0_field_t;

typedef struct stc_unique_id_uidr1_field
{
    union {
        struct {
            __IO  uint32_t  UID                  :13;
            __IO  uint32_t  RESERVED0            :19;
        };
        struct {
            __IO  uint32_t  UID0                 :1;
            __IO  uint32_t  UID1                 :1;
            __IO  uint32_t  UID2                 :1;
            __IO  uint32_t  UID3                 :1;
            __IO  uint32_t  UID4                 :1;
            __IO  uint32_t  UID5                 :1;
            __IO  uint32_t  UID6                 :1;
            __IO  uint32_t  UID7                 :1;
            __IO  uint32_t  UID8                 :1;
            __IO  uint32_t  UID9                 :1;
            __IO  uint32_t  UID10                :1;
            __IO  uint32_t  UID11                :1;
            __IO  uint32_t  UID12                :1;
            __IO  uint32_t  RESERVED1            :19;
        };
    };
} stc_unique_id_uidr1_field_t;

/******************************************************************************
 ** WC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_wc_wcrd_field
{
    union {
        struct {
            __IO   uint8_t  CTR                  :6;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  CTR0                 :1;
            __IO   uint8_t  CTR1                 :1;
            __IO   uint8_t  CTR2                 :1;
            __IO   uint8_t  CTR3                 :1;
            __IO   uint8_t  CTR4                 :1;
            __IO   uint8_t  CTR5                 :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_wc_wcrd_field_t;

typedef struct stc_wc_wcrl_field
{
    union {
        struct {
            __IO   uint8_t  RLC                  :6;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  RLC0                 :1;
            __IO   uint8_t  RLC1                 :1;
            __IO   uint8_t  RLC2                 :1;
            __IO   uint8_t  RLC3                 :1;
            __IO   uint8_t  RLC4                 :1;
            __IO   uint8_t  RLC5                 :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_wc_wcrl_field_t;

typedef struct stc_wc_wccr_field
{
    union {
        struct {
            __IO   uint8_t  WCIF                 :1;
            __IO   uint8_t  WCIE                 :1;
            __IO   uint8_t  CS                   :2;
            __IO   uint8_t  RESERVED1            :2;
            __IO   uint8_t  WCOP                 :1;
            __IO   uint8_t  WCEN                 :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  CS0                  :1;
            __IO   uint8_t  CS1                  :1;
            __IO   uint8_t  RESERVED2            :4;
        };
    };
} stc_wc_wccr_field_t;

typedef struct stc_wc_clk_sel_field
{
    union {
        struct {
            __IO  uint16_t  SEL_IN               :2;
            __IO  uint16_t  RESERVED0            :6;
            __IO  uint16_t  SEL_OUT              :3;
            __IO  uint16_t  RESERVED2            :5;
        };
        struct {
            __IO  uint16_t  SEL_IN0              :1;
            __IO  uint16_t  SEL_IN1              :1;
            __IO  uint16_t  RESERVED1            :6;
            __IO  uint16_t  SEL_OUT0             :1;
            __IO  uint16_t  SEL_OUT1             :1;
            __IO  uint16_t  SEL_OUT2             :1;
            __IO  uint16_t  RESERVED3            :5;
        };
    };
} stc_wc_clk_sel_field_t;

typedef struct stc_wc_clk_en_field
{
        __IO   uint8_t  CLK_EN                   :1;
        __IO   uint8_t  CLK_EN_R                 :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_wc_clk_en_field_t;

/******************************************************************************
 ** Peripheral register structures
 ** 
 ******************************************************************************/

/******************************************************************************
 ** ADC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t ADSR;
        stc_adc_adsr_field_t ADSR_f;
    };
    union {
        __IO  uint8_t ADCR;
        stc_adc_adcr_field_t ADCR_f;
    };
        __IO  uint8_t RESERVED0[6];
    union {
        __IO  uint8_t SFNS;
        stc_adc_sfns_field_t SFNS_f;
    };
    union {
        __IO  uint8_t SCCR;
        stc_adc_sccr_field_t SCCR_f;
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO uint32_t SCFD;
        stc_adc_scfd_field_t SCFD_f;
        struct {
          union {
            __IO uint16_t SCFDL;
            struct {
              __IO uint8_t SCFDLL;
              __IO uint8_t SCFDLH;
            };
          };
          union {
            __IO uint16_t SCFDH;
            struct {
              __IO uint8_t SCFDHL;
              __IO uint8_t SCFDHH;
            };
          };
        };
        __IO uint32_t SCFD_FDAS1;
        stc_adc_scfd_fdas1_field_t SCFD_FDAS1_f;
        struct {
          union {
            __IO uint16_t SCFD_FDAS1L;
            struct {
              __IO uint8_t SCFD_FDAS1LL;
              __IO uint8_t SCFD_FDAS1LH;
            };
          };
          union {
            __IO uint16_t SCFD_FDAS1H;
            struct {
              __IO uint8_t SCFD_FDAS1HL;
              __IO uint8_t SCFD_FDAS1HH;
            };
          };
        };
    };
    union {
        __IO uint16_t SCIS23;
        stc_adc_scis23_field_t SCIS23_f;
        struct {
            __IO  uint8_t SCIS23L;
            __IO  uint8_t SCIS23H;
        };
    };
        __IO  uint8_t RESERVED2[2];
    union {
        __IO uint16_t SCIS01;
        stc_adc_scis01_field_t SCIS01_f;
        struct {
            __IO  uint8_t SCIS01L;
            __IO  uint8_t SCIS01H;
        };
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO  uint8_t PFNS;
        stc_adc_pfns_field_t PFNS_f;
    };
    union {
        __IO  uint8_t PCCR;
        stc_adc_pccr_field_t PCCR_f;
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO uint32_t PCFD;
        stc_adc_pcfd_field_t PCFD_f;
        struct {
          union {
            __IO uint16_t PCFDL;
            struct {
              __IO uint8_t PCFDLL;
              __IO uint8_t PCFDLH;
            };
          };
          union {
            __IO uint16_t PCFDH;
            struct {
              __IO uint8_t PCFDHL;
              __IO uint8_t PCFDHH;
            };
          };
        };
        __IO uint32_t PCFD_FDAS1;
        stc_adc_pcfd_fdas1_field_t PCFD_FDAS1_f;
        struct {
          union {
            __IO uint16_t PCFD_FDAS1L;
            struct {
              __IO uint8_t PCFD_FDAS1LL;
              __IO uint8_t PCFD_FDAS1LH;
            };
          };
          union {
            __IO uint16_t PCFD_FDAS1H;
            struct {
              __IO uint8_t PCFD_FDAS1HL;
              __IO uint8_t PCFD_FDAS1HH;
            };
          };
        };
    };
    union {
        __IO  uint8_t PCIS;
        stc_adc_pcis_field_t PCIS_f;
    };
        __IO  uint8_t RESERVED5[3];
    union {
        __IO  uint8_t CMPCR;
        stc_adc_cmpcr_field_t CMPCR_f;
    };
        __IO  uint8_t RESERVED6[1];
    union {
        __IO uint16_t CMPD;
        stc_adc_cmpd_field_t CMPD_f;
        struct {
            __IO  uint8_t CMPDL;
            __IO  uint8_t CMPDH;
        };
    };
    union {
        __IO uint16_t ADSS23;
        stc_adc_adss23_field_t ADSS23_f;
        struct {
            __IO  uint8_t ADSS23L;
            __IO  uint8_t ADSS23H;
        };
    };
        __IO  uint8_t RESERVED7[2];
    union {
        __IO uint16_t ADSS01;
        stc_adc_adss01_field_t ADSS01_f;
        struct {
            __IO  uint8_t ADSS01L;
            __IO  uint8_t ADSS01H;
        };
    };
        __IO  uint8_t RESERVED8[2];
    union {
        __IO uint16_t ADST01;
        stc_adc_adst01_field_t ADST01_f;
        struct {
            __IO  uint8_t ADST01L;
            __IO  uint8_t ADST01H;
        };
    };
        __IO  uint8_t RESERVED9[2];
    union {
        __IO  uint8_t ADCT;
        stc_adc_adct_field_t ADCT_f;
    };
        __IO  uint8_t RESERVED10[3];
    union {
        __IO  uint8_t PRTSL;
        stc_adc_prtsl_field_t PRTSL_f;
    };
    union {
        __IO  uint8_t SCTSL;
        stc_adc_sctsl_field_t SCTSL_f;
    };
        __IO  uint8_t RESERVED11[2];
    union {
        __IO uint16_t ADCEN;
        stc_adc_adcen_field_t ADCEN_f;
        struct {
            __IO  uint8_t ADCENL;
            __IO  uint8_t ADCENH;
        };
    };
        __IO  uint8_t RESERVED12[6];
    union {
        __IO uint32_t WCMRCIF;
        stc_adc_wcmrcif_field_t WCMRCIF_f;
        struct {
          union {
            __IO uint16_t WCMRCIFL;
            struct {
              __IO uint8_t WCMRCIFLL;
              __IO uint8_t WCMRCIFLH;
            };
          };
          union {
            __IO uint16_t WCMRCIFH;
            struct {
              __IO uint8_t WCMRCIFHL;
              __IO uint8_t WCMRCIFHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WCMRCOT;
        stc_adc_wcmrcot_field_t WCMRCOT_f;
        struct {
          union {
            __IO uint16_t WCMRCOTL;
            struct {
              __IO uint8_t WCMRCOTLL;
              __IO uint8_t WCMRCOTLH;
            };
          };
          union {
            __IO uint16_t WCMRCOTH;
            struct {
              __IO uint8_t WCMRCOTHL;
              __IO uint8_t WCMRCOTHH;
            };
          };
        };
    };
    union {
        __IO  uint8_t WCMPCR;
        stc_adc_wcmpcr_field_t WCMPCR_f;
    };
    union {
        __IO  uint8_t WCMPSR;
        stc_adc_wcmpsr_field_t WCMPSR_f;
    };
        __IO  uint8_t RESERVED13[2];
    union {
        __IO uint16_t WCMPDL;
        stc_adc_wcmpdl_field_t WCMPDL_f;
        struct {
            __IO  uint8_t WCMPDLL;
            __IO  uint8_t WCMPDLH;
        };
    };
    union {
        __IO uint16_t WCMPDH;
        stc_adc_wcmpdh_field_t WCMPDH_f;
        struct {
            __IO  uint8_t WCMPDHL;
            __IO  uint8_t WCMPDHH;
        };
    };
} FM_ADC_TypeDef, FM0P_ADC_TypeDef;

/******************************************************************************
 ** BT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t PRLL;
        struct {
            __IO  uint8_t PRLLL;
            __IO  uint8_t PRLLH;
        };
        __IO uint16_t PPG_PRLL;
        struct {
            __IO  uint8_t PPG_PRLLL;
            __IO  uint8_t PPG_PRLLH;
        };
        __IO uint16_t PCSR;
        struct {
            __IO  uint8_t PCSRL;
            __IO  uint8_t PCSRH;
        };
        __IO uint16_t PWM_PCSR;
        struct {
            __IO  uint8_t PWM_PCSRL;
            __IO  uint8_t PWM_PCSRH;
        };
        __IO uint16_t RT_PCSR;
        struct {
            __IO  uint8_t RT_PCSRL;
            __IO  uint8_t RT_PCSRH;
        };
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO uint16_t PRLH;
        struct {
            __IO  uint8_t PRLHL;
            __IO  uint8_t PRLHH;
        };
        __IO uint16_t PPG_PRLH;
        struct {
            __IO  uint8_t PPG_PRLHL;
            __IO  uint8_t PPG_PRLHH;
        };
        __IO uint16_t DTBF;
        struct {
            __IO  uint8_t DTBFL;
            __IO  uint8_t DTBFH;
        };
        __IO uint16_t PWC_DTBF;
        struct {
            __IO  uint8_t PWC_DTBFL;
            __IO  uint8_t PWC_DTBFH;
        };
        __IO uint16_t PDUT;
        struct {
            __IO  uint8_t PDUTL;
            __IO  uint8_t PDUTH;
        };
        __IO uint16_t PWM_PDUT;
        struct {
            __IO  uint8_t PWM_PDUTL;
            __IO  uint8_t PWM_PDUTH;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO uint16_t TMR;
        struct {
            __IO  uint8_t TMRL;
            __IO  uint8_t TMRH;
        };
        __IO uint16_t PPG_TMR;
        struct {
            __IO  uint8_t PPG_TMRL;
            __IO  uint8_t PPG_TMRH;
        };
        __IO uint16_t PWM_TMR;
        struct {
            __IO  uint8_t PWM_TMRL;
            __IO  uint8_t PWM_TMRH;
        };
        __IO uint16_t RT_TMR;
        struct {
            __IO  uint8_t RT_TMRL;
            __IO  uint8_t RT_TMRH;
        };
    };
        __IO  uint8_t RESERVED2[2];
    union {
        __IO uint16_t TMCR;
        stc_bt_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
        __IO uint16_t PPG_TMCR;
        stc_bt_ppg_tmcr_field_t PPG_TMCR_f;
        struct {
            __IO  uint8_t PPG_TMCRL;
            __IO  uint8_t PPG_TMCRH;
        };
        __IO uint16_t PWC_TMCR;
        stc_bt_pwc_tmcr_field_t PWC_TMCR_f;
        struct {
            __IO  uint8_t PWC_TMCRL;
            __IO  uint8_t PWC_TMCRH;
        };
        __IO uint16_t PWM_TMCR;
        stc_bt_pwm_tmcr_field_t PWM_TMCR_f;
        struct {
            __IO  uint8_t PWM_TMCRL;
            __IO  uint8_t PWM_TMCRH;
        };
        __IO uint16_t RT_TMCR;
        stc_bt_rt_tmcr_field_t RT_TMCR_f;
        struct {
            __IO  uint8_t RT_TMCRL;
            __IO  uint8_t RT_TMCRH;
        };
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO  uint8_t STC;
        stc_bt_stc_field_t STC_f;
        __IO  uint8_t PPG_STC;
        stc_bt_ppg_stc_field_t PPG_STC_f;
        __IO  uint8_t PWC_STC;
        stc_bt_pwc_stc_field_t PWC_STC_f;
        __IO  uint8_t PWM_STC;
        stc_bt_pwm_stc_field_t PWM_STC_f;
        __IO  uint8_t RT_STC;
        stc_bt_rt_stc_field_t RT_STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_tmcr2_field_t TMCR2_f;
        __IO  uint8_t PPG_TMCR2;
        stc_bt_ppg_tmcr2_field_t PPG_TMCR2_f;
        __IO  uint8_t PWC_TMCR2;
        stc_bt_pwc_tmcr2_field_t PWC_TMCR2_f;
        __IO  uint8_t PWM_TMCR2;
        stc_bt_pwm_tmcr2_field_t PWM_TMCR2_f;
        __IO  uint8_t RT_TMCR2;
        stc_bt_rt_tmcr2_field_t RT_TMCR2_f;
    };
} FM_BT_TypeDef, FM0P_BT_TypeDef;

/******************************************************************************
 ** BT_PPG_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t PRLL;
        struct {
            __IO  uint8_t PRLLL;
            __IO  uint8_t PRLLH;
        };
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO uint16_t PRLH;
        struct {
            __IO  uint8_t PRLHL;
            __IO  uint8_t PRLHH;
        };
    };
        __IO  uint8_t RESERVED5[2];
    union {
        __IO uint16_t TMR;
        struct {
            __IO  uint8_t TMRL;
            __IO  uint8_t TMRH;
        };
    };
        __IO  uint8_t RESERVED6[2];
    union {
        __IO uint16_t TMCR;
        stc_bt_ppg_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
    };
        __IO  uint8_t RESERVED7[2];
    union {
        __IO  uint8_t STC;
        stc_bt_ppg_stc_field_t STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_ppg_tmcr2_field_t TMCR2_f;
    };
} FM_BT_PPG_TypeDef, FM0P_BT_PPG_TypeDef;

/******************************************************************************
 ** BT_PWC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED8[4];
    union {
        __IO uint16_t DTBF;
        struct {
            __IO  uint8_t DTBFL;
            __IO  uint8_t DTBFH;
        };
    };
        __IO  uint8_t RESERVED9[6];
    union {
        __IO uint16_t TMCR;
        stc_bt_pwc_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
    };
        __IO  uint8_t RESERVED10[2];
    union {
        __IO  uint8_t STC;
        stc_bt_pwc_stc_field_t STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_pwc_tmcr2_field_t TMCR2_f;
    };
} FM_BT_PWC_TypeDef, FM0P_BT_PWC_TypeDef;

/******************************************************************************
 ** BT_PWM_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t PCSR;
        struct {
            __IO  uint8_t PCSRL;
            __IO  uint8_t PCSRH;
        };
    };
        __IO  uint8_t RESERVED11[2];
    union {
        __IO uint16_t PDUT;
        struct {
            __IO  uint8_t PDUTL;
            __IO  uint8_t PDUTH;
        };
    };
        __IO  uint8_t RESERVED12[2];
    union {
        __IO uint16_t TMR;
        struct {
            __IO  uint8_t TMRL;
            __IO  uint8_t TMRH;
        };
    };
        __IO  uint8_t RESERVED13[2];
    union {
        __IO uint16_t TMCR;
        stc_bt_pwm_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
    };
        __IO  uint8_t RESERVED14[2];
    union {
        __IO  uint8_t STC;
        stc_bt_pwm_stc_field_t STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_pwm_tmcr2_field_t TMCR2_f;
    };
} FM_BT_PWM_TypeDef, FM0P_BT_PWM_TypeDef;

/******************************************************************************
 ** BT_RT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t PCSR;
        struct {
            __IO  uint8_t PCSRL;
            __IO  uint8_t PCSRH;
        };
    };
        __IO  uint8_t RESERVED15[6];
    union {
        __IO uint16_t TMR;
        struct {
            __IO  uint8_t TMRL;
            __IO  uint8_t TMRH;
        };
    };
        __IO  uint8_t RESERVED16[2];
    union {
        __IO uint16_t TMCR;
        stc_bt_rt_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
    };
        __IO  uint8_t RESERVED17[2];
    union {
        __IO  uint8_t STC;
        stc_bt_rt_stc_field_t STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_rt_tmcr2_field_t TMCR2_f;
    };
} FM_BT_RT_TypeDef, FM0P_BT_RT_TypeDef;

/******************************************************************************
 ** BTIOSEL03_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED0[1];
    union {
        __IO  uint8_t BTSEL0123;
        stc_btiosel03_btsel0123_field_t BTSEL0123_f;
    };
} FM_BTIOSEL03_TypeDef, FM0P_BTIOSEL03_TypeDef;

/******************************************************************************
 ** CLK_GATING_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t CKEN0;
        stc_clk_gating_cken0_field_t CKEN0_f;
        struct {
          union {
            __IO uint16_t CKEN0L;
            struct {
              __IO uint8_t CKEN0LL;
              __IO uint8_t CKEN0LH;
            };
          };
          union {
            __IO uint16_t CKEN0H;
            struct {
              __IO uint8_t CKEN0HL;
              __IO uint8_t CKEN0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MRST0;
        stc_clk_gating_mrst0_field_t MRST0_f;
        struct {
          union {
            __IO uint16_t MRST0L;
            struct {
              __IO uint8_t MRST0LL;
              __IO uint8_t MRST0LH;
            };
          };
          union {
            __IO uint16_t MRST0H;
            struct {
              __IO uint8_t MRST0HL;
              __IO uint8_t MRST0HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[8];
    union {
        __IO uint32_t CKEN1;
        stc_clk_gating_cken1_field_t CKEN1_f;
        struct {
          union {
            __IO uint16_t CKEN1L;
            struct {
              __IO uint8_t CKEN1LL;
              __IO uint8_t CKEN1LH;
            };
          };
          union {
            __IO uint16_t CKEN1H;
            struct {
              __IO uint8_t CKEN1HL;
              __IO uint8_t CKEN1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MRST1;
        stc_clk_gating_mrst1_field_t MRST1_f;
        struct {
          union {
            __IO uint16_t MRST1L;
            struct {
              __IO uint8_t MRST1LL;
              __IO uint8_t MRST1LH;
            };
          };
          union {
            __IO uint16_t MRST1H;
            struct {
              __IO uint8_t MRST1HL;
              __IO uint8_t MRST1HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[8];
    union {
        __IO uint32_t CKEN2;
        stc_clk_gating_cken2_field_t CKEN2_f;
        struct {
          union {
            __IO uint16_t CKEN2L;
            struct {
              __IO uint8_t CKEN2LL;
              __IO uint8_t CKEN2LH;
            };
          };
          union {
            __IO uint16_t CKEN2H;
            struct {
              __IO uint8_t CKEN2HL;
              __IO uint8_t CKEN2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MRST2;
        stc_clk_gating_mrst2_field_t MRST2_f;
        struct {
          union {
            __IO uint16_t MRST2L;
            struct {
              __IO uint8_t MRST2LL;
              __IO uint8_t MRST2LH;
            };
          };
          union {
            __IO uint16_t MRST2H;
            struct {
              __IO uint8_t MRST2HL;
              __IO uint8_t MRST2HH;
            };
          };
        };
    };
} FM_CLK_GATING_TypeDef, FM0P_CLK_GATING_TypeDef;

/******************************************************************************
 ** CRC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t CRCCR;
        stc_crc_crccr_field_t CRCCR_f;
    };
        __IO  uint8_t RESERVED0[3];
    union {
        __IO uint32_t CRCINIT;
        stc_crc_crcinit_field_t CRCINIT_f;
        struct {
          union {
            __IO uint16_t CRCINITL;
            struct {
              __IO uint8_t CRCINITLL;
              __IO uint8_t CRCINITLH;
            };
          };
          union {
            __IO uint16_t CRCINITH;
            struct {
              __IO uint8_t CRCINITHL;
              __IO uint8_t CRCINITHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CRCIN;
        stc_crc_crcin_field_t CRCIN_f;
        struct {
          union {
            __IO uint16_t CRCINL;
            struct {
              __IO uint8_t CRCINLL;
              __IO uint8_t CRCINLH;
            };
          };
          union {
            __IO uint16_t CRCINH;
            struct {
              __IO uint8_t CRCINHL;
              __IO uint8_t CRCINHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CRCR;
        stc_crc_crcr_field_t CRCR_f;
        struct {
          union {
            __IO uint16_t CRCRL;
            struct {
              __IO uint8_t CRCRLL;
              __IO uint8_t CRCRLH;
            };
          };
          union {
            __IO uint16_t CRCRH;
            struct {
              __IO uint8_t CRCRHL;
              __IO uint8_t CRCRHH;
            };
          };
        };
    };
} FM_CRC_TypeDef, FM0P_CRC_TypeDef;

/******************************************************************************
 ** CRG_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t SCM_CTL;
        stc_crg_scm_ctl_field_t SCM_CTL_f;
        struct {
          union {
            __IO uint16_t SCM_CTLL;
            struct {
              __IO uint8_t SCM_CTLLL;
              __IO uint8_t SCM_CTLLH;
            };
          };
          union {
            __IO uint16_t SCM_CTLH;
            struct {
              __IO uint8_t SCM_CTLHL;
              __IO uint8_t SCM_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t SCM_STR;
        stc_crg_scm_str_field_t SCM_STR_f;
        struct {
          union {
            __IO uint16_t SCM_STRL;
            struct {
              __IO uint8_t SCM_STRLL;
              __IO uint8_t SCM_STRLH;
            };
          };
          union {
            __IO uint16_t SCM_STRH;
            struct {
              __IO uint8_t SCM_STRHL;
              __IO uint8_t SCM_STRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t STB_CTL;
        stc_crg_stb_ctl_field_t STB_CTL_f;
        struct {
          union {
            __IO uint16_t STB_CTLL;
            struct {
              __IO uint8_t STB_CTLLL;
              __IO uint8_t STB_CTLLH;
            };
          };
          union {
            __IO uint16_t STB_CTLH;
            struct {
              __IO uint8_t STB_CTLHL;
              __IO uint8_t STB_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t RST_STR;
        stc_crg_rst_str_field_t RST_STR_f;
        struct {
          union {
            __IO uint16_t RST_STRL;
            struct {
              __IO uint8_t RST_STRLL;
              __IO uint8_t RST_STRLH;
            };
          };
          union {
            __IO uint16_t RST_STRH;
            struct {
              __IO uint8_t RST_STRHL;
              __IO uint8_t RST_STRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t BSC_PSR;
        stc_crg_bsc_psr_field_t BSC_PSR_f;
        struct {
          union {
            __IO uint16_t BSC_PSRL;
            struct {
              __IO uint8_t BSC_PSRLL;
              __IO uint8_t BSC_PSRLH;
            };
          };
          union {
            __IO uint16_t BSC_PSRH;
            struct {
              __IO uint8_t BSC_PSRHL;
              __IO uint8_t BSC_PSRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t APBC0_PSR;
        stc_crg_apbc0_psr_field_t APBC0_PSR_f;
        struct {
          union {
            __IO uint16_t APBC0_PSRL;
            struct {
              __IO uint8_t APBC0_PSRLL;
              __IO uint8_t APBC0_PSRLH;
            };
          };
          union {
            __IO uint16_t APBC0_PSRH;
            struct {
              __IO uint8_t APBC0_PSRHL;
              __IO uint8_t APBC0_PSRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t APBC1_PSR;
        stc_crg_apbc1_psr_field_t APBC1_PSR_f;
        struct {
          union {
            __IO uint16_t APBC1_PSRL;
            struct {
              __IO uint8_t APBC1_PSRLL;
              __IO uint8_t APBC1_PSRLH;
            };
          };
          union {
            __IO uint16_t APBC1_PSRH;
            struct {
              __IO uint8_t APBC1_PSRHL;
              __IO uint8_t APBC1_PSRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[4];
    union {
        __IO uint32_t SWC_PSR;
        stc_crg_swc_psr_field_t SWC_PSR_f;
        struct {
          union {
            __IO uint16_t SWC_PSRL;
            struct {
              __IO uint8_t SWC_PSRLL;
              __IO uint8_t SWC_PSRLH;
            };
          };
          union {
            __IO uint16_t SWC_PSRH;
            struct {
              __IO uint8_t SWC_PSRHL;
              __IO uint8_t SWC_PSRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[12];
    union {
        __IO uint32_t CSW_TMR;
        stc_crg_csw_tmr_field_t CSW_TMR_f;
        struct {
          union {
            __IO uint16_t CSW_TMRL;
            struct {
              __IO uint8_t CSW_TMRLL;
              __IO uint8_t CSW_TMRLH;
            };
          };
          union {
            __IO uint16_t CSW_TMRH;
            struct {
              __IO uint8_t CSW_TMRHL;
              __IO uint8_t CSW_TMRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PSW_TMR;
        stc_crg_psw_tmr_field_t PSW_TMR_f;
        struct {
          union {
            __IO uint16_t PSW_TMRL;
            struct {
              __IO uint8_t PSW_TMRLL;
              __IO uint8_t PSW_TMRLH;
            };
          };
          union {
            __IO uint16_t PSW_TMRH;
            struct {
              __IO uint8_t PSW_TMRHL;
              __IO uint8_t PSW_TMRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PLL_CTL1;
        stc_crg_pll_ctl1_field_t PLL_CTL1_f;
        struct {
          union {
            __IO uint16_t PLL_CTL1L;
            struct {
              __IO uint8_t PLL_CTL1LL;
              __IO uint8_t PLL_CTL1LH;
            };
          };
          union {
            __IO uint16_t PLL_CTL1H;
            struct {
              __IO uint8_t PLL_CTL1HL;
              __IO uint8_t PLL_CTL1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PLL_CTL2;
        stc_crg_pll_ctl2_field_t PLL_CTL2_f;
        struct {
          union {
            __IO uint16_t PLL_CTL2L;
            struct {
              __IO uint8_t PLL_CTL2LL;
              __IO uint8_t PLL_CTL2LH;
            };
          };
          union {
            __IO uint16_t PLL_CTL2H;
            struct {
              __IO uint8_t PLL_CTL2HL;
              __IO uint8_t PLL_CTL2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t CSV_CTL;
        stc_crg_csv_ctl_field_t CSV_CTL_f;
        struct {
          union {
            __IO uint16_t CSV_CTLL;
            struct {
              __IO uint8_t CSV_CTLLL;
              __IO uint8_t CSV_CTLLH;
            };
          };
          union {
            __IO uint16_t CSV_CTLH;
            struct {
              __IO uint8_t CSV_CTLHL;
              __IO uint8_t CSV_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CSV_STR;
        stc_crg_csv_str_field_t CSV_STR_f;
        struct {
          union {
            __IO uint16_t CSV_STRL;
            struct {
              __IO uint8_t CSV_STRLL;
              __IO uint8_t CSV_STRLH;
            };
          };
          union {
            __IO uint16_t CSV_STRH;
            struct {
              __IO uint8_t CSV_STRHL;
              __IO uint8_t CSV_STRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FCSWH_CTL;
        stc_crg_fcswh_ctl_field_t FCSWH_CTL_f;
        struct {
          union {
            __IO uint16_t FCSWH_CTLL;
            struct {
              __IO uint8_t FCSWH_CTLLL;
              __IO uint8_t FCSWH_CTLLH;
            };
          };
          union {
            __IO uint16_t FCSWH_CTLH;
            struct {
              __IO uint8_t FCSWH_CTLHL;
              __IO uint8_t FCSWH_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FCSWL_CTL;
        stc_crg_fcswl_ctl_field_t FCSWL_CTL_f;
        struct {
          union {
            __IO uint16_t FCSWL_CTLL;
            struct {
              __IO uint8_t FCSWL_CTLLL;
              __IO uint8_t FCSWL_CTLLH;
            };
          };
          union {
            __IO uint16_t FCSWL_CTLH;
            struct {
              __IO uint8_t FCSWL_CTLHL;
              __IO uint8_t FCSWL_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FCSWD_CTL;
        stc_crg_fcswd_ctl_field_t FCSWD_CTL_f;
        struct {
          union {
            __IO uint16_t FCSWD_CTLL;
            struct {
              __IO uint8_t FCSWD_CTLLL;
              __IO uint8_t FCSWD_CTLLH;
            };
          };
          union {
            __IO uint16_t FCSWD_CTLH;
            struct {
              __IO uint8_t FCSWD_CTLHL;
              __IO uint8_t FCSWD_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DBWDT_CTL;
        stc_crg_dbwdt_ctl_field_t DBWDT_CTL_f;
        struct {
          union {
            __IO uint16_t DBWDT_CTLL;
            struct {
              __IO uint8_t DBWDT_CTLLL;
              __IO uint8_t DBWDT_CTLLH;
            };
          };
          union {
            __IO uint16_t DBWDT_CTLH;
            struct {
              __IO uint8_t DBWDT_CTLHL;
              __IO uint8_t DBWDT_CTLHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED2[8];
    union {
        __IO uint32_t INT_ENR;
        stc_crg_int_enr_field_t INT_ENR_f;
        struct {
          union {
            __IO uint16_t INT_ENRL;
            struct {
              __IO uint8_t INT_ENRLL;
              __IO uint8_t INT_ENRLH;
            };
          };
          union {
            __IO uint16_t INT_ENRH;
            struct {
              __IO uint8_t INT_ENRHL;
              __IO uint8_t INT_ENRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t INT_STR;
        stc_crg_int_str_field_t INT_STR_f;
        struct {
          union {
            __IO uint16_t INT_STRL;
            struct {
              __IO uint8_t INT_STRLL;
              __IO uint8_t INT_STRLH;
            };
          };
          union {
            __IO uint16_t INT_STRH;
            struct {
              __IO uint8_t INT_STRHL;
              __IO uint8_t INT_STRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t INT_CLR;
        stc_crg_int_clr_field_t INT_CLR_f;
        struct {
          union {
            __IO uint16_t INT_CLRL;
            struct {
              __IO uint8_t INT_CLRLL;
              __IO uint8_t INT_CLRLH;
            };
          };
          union {
            __IO uint16_t INT_CLRH;
            struct {
              __IO uint8_t INT_CLRHL;
              __IO uint8_t INT_CLRHH;
            };
          };
        };
    };
} FM_CRG_TypeDef, FM0P_CRG_TypeDef;

/******************************************************************************
 ** CRTRIM_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t MCR_PSR;
        stc_crtrim_mcr_psr_field_t MCR_PSR_f;
    };
        __IO  uint8_t RESERVED0[3];
    union {
        __IO uint16_t MCR_FTRM;
        stc_crtrim_mcr_ftrm_field_t MCR_FTRM_f;
        struct {
            __IO  uint8_t MCR_FTRML;
            __IO  uint8_t MCR_FTRMH;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO  uint8_t MCR_TTRM;
        stc_crtrim_mcr_ttrm_field_t MCR_TTRM_f;
    };
        __IO  uint8_t RESERVED2[3];
    union {
        __IO uint32_t MCR_RLR;
        stc_crtrim_mcr_rlr_field_t MCR_RLR_f;
        struct {
          union {
            __IO uint16_t MCR_RLRL;
            struct {
              __IO uint8_t MCR_RLRLL;
              __IO uint8_t MCR_RLRLH;
            };
          };
          union {
            __IO uint16_t MCR_RLRH;
            struct {
              __IO uint8_t MCR_RLRHL;
              __IO uint8_t MCR_RLRHH;
            };
          };
        };
    };
} FM_CRTRIM_TypeDef, FM0P_CRTRIM_TypeDef;

/******************************************************************************
 ** DMAC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t DMACR;
        stc_dmac_dmacr_field_t DMACR_f;
        struct {
          union {
            __IO uint16_t DMACRL;
            struct {
              __IO uint8_t DMACRLL;
              __IO uint8_t DMACRLH;
            };
          };
          union {
            __IO uint16_t DMACRH;
            struct {
              __IO uint8_t DMACRHL;
              __IO uint8_t DMACRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[12];
    union {
        __IO uint32_t DMACA0;
        stc_dmac_dmaca0_field_t DMACA0_f;
        struct {
          union {
            __IO uint16_t DMACA0L;
            struct {
              __IO uint8_t DMACA0LL;
              __IO uint8_t DMACA0LH;
            };
          };
          union {
            __IO uint16_t DMACA0H;
            struct {
              __IO uint8_t DMACA0HL;
              __IO uint8_t DMACA0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB0;
        stc_dmac_dmacb0_field_t DMACB0_f;
        struct {
          union {
            __IO uint16_t DMACB0L;
            struct {
              __IO uint8_t DMACB0LL;
              __IO uint8_t DMACB0LH;
            };
          };
          union {
            __IO uint16_t DMACB0H;
            struct {
              __IO uint8_t DMACB0HL;
              __IO uint8_t DMACB0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA0;
        struct {
          union {
            __IO uint16_t DMACSA0L;
            struct {
              __IO uint8_t DMACSA0LL;
              __IO uint8_t DMACSA0LH;
            };
          };
          union {
            __IO uint16_t DMACSA0H;
            struct {
              __IO uint8_t DMACSA0HL;
              __IO uint8_t DMACSA0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA0;
        struct {
          union {
            __IO uint16_t DMACDA0L;
            struct {
              __IO uint8_t DMACDA0LL;
              __IO uint8_t DMACDA0LH;
            };
          };
          union {
            __IO uint16_t DMACDA0H;
            struct {
              __IO uint8_t DMACDA0HL;
              __IO uint8_t DMACDA0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA1;
        stc_dmac_dmaca1_field_t DMACA1_f;
        struct {
          union {
            __IO uint16_t DMACA1L;
            struct {
              __IO uint8_t DMACA1LL;
              __IO uint8_t DMACA1LH;
            };
          };
          union {
            __IO uint16_t DMACA1H;
            struct {
              __IO uint8_t DMACA1HL;
              __IO uint8_t DMACA1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB1;
        stc_dmac_dmacb1_field_t DMACB1_f;
        struct {
          union {
            __IO uint16_t DMACB1L;
            struct {
              __IO uint8_t DMACB1LL;
              __IO uint8_t DMACB1LH;
            };
          };
          union {
            __IO uint16_t DMACB1H;
            struct {
              __IO uint8_t DMACB1HL;
              __IO uint8_t DMACB1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA1;
        struct {
          union {
            __IO uint16_t DMACSA1L;
            struct {
              __IO uint8_t DMACSA1LL;
              __IO uint8_t DMACSA1LH;
            };
          };
          union {
            __IO uint16_t DMACSA1H;
            struct {
              __IO uint8_t DMACSA1HL;
              __IO uint8_t DMACSA1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA1;
        struct {
          union {
            __IO uint16_t DMACDA1L;
            struct {
              __IO uint8_t DMACDA1LL;
              __IO uint8_t DMACDA1LH;
            };
          };
          union {
            __IO uint16_t DMACDA1H;
            struct {
              __IO uint8_t DMACDA1HL;
              __IO uint8_t DMACDA1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA2;
        stc_dmac_dmaca2_field_t DMACA2_f;
        struct {
          union {
            __IO uint16_t DMACA2L;
            struct {
              __IO uint8_t DMACA2LL;
              __IO uint8_t DMACA2LH;
            };
          };
          union {
            __IO uint16_t DMACA2H;
            struct {
              __IO uint8_t DMACA2HL;
              __IO uint8_t DMACA2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB2;
        stc_dmac_dmacb2_field_t DMACB2_f;
        struct {
          union {
            __IO uint16_t DMACB2L;
            struct {
              __IO uint8_t DMACB2LL;
              __IO uint8_t DMACB2LH;
            };
          };
          union {
            __IO uint16_t DMACB2H;
            struct {
              __IO uint8_t DMACB2HL;
              __IO uint8_t DMACB2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA2;
        struct {
          union {
            __IO uint16_t DMACSA2L;
            struct {
              __IO uint8_t DMACSA2LL;
              __IO uint8_t DMACSA2LH;
            };
          };
          union {
            __IO uint16_t DMACSA2H;
            struct {
              __IO uint8_t DMACSA2HL;
              __IO uint8_t DMACSA2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA2;
        struct {
          union {
            __IO uint16_t DMACDA2L;
            struct {
              __IO uint8_t DMACDA2LL;
              __IO uint8_t DMACDA2LH;
            };
          };
          union {
            __IO uint16_t DMACDA2H;
            struct {
              __IO uint8_t DMACDA2HL;
              __IO uint8_t DMACDA2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA3;
        stc_dmac_dmaca3_field_t DMACA3_f;
        struct {
          union {
            __IO uint16_t DMACA3L;
            struct {
              __IO uint8_t DMACA3LL;
              __IO uint8_t DMACA3LH;
            };
          };
          union {
            __IO uint16_t DMACA3H;
            struct {
              __IO uint8_t DMACA3HL;
              __IO uint8_t DMACA3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB3;
        stc_dmac_dmacb3_field_t DMACB3_f;
        struct {
          union {
            __IO uint16_t DMACB3L;
            struct {
              __IO uint8_t DMACB3LL;
              __IO uint8_t DMACB3LH;
            };
          };
          union {
            __IO uint16_t DMACB3H;
            struct {
              __IO uint8_t DMACB3HL;
              __IO uint8_t DMACB3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA3;
        struct {
          union {
            __IO uint16_t DMACSA3L;
            struct {
              __IO uint8_t DMACSA3LL;
              __IO uint8_t DMACSA3LH;
            };
          };
          union {
            __IO uint16_t DMACSA3H;
            struct {
              __IO uint8_t DMACSA3HL;
              __IO uint8_t DMACSA3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA3;
        struct {
          union {
            __IO uint16_t DMACDA3L;
            struct {
              __IO uint8_t DMACDA3LL;
              __IO uint8_t DMACDA3LH;
            };
          };
          union {
            __IO uint16_t DMACDA3H;
            struct {
              __IO uint8_t DMACDA3HL;
              __IO uint8_t DMACDA3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA4;
        stc_dmac_dmaca4_field_t DMACA4_f;
        struct {
          union {
            __IO uint16_t DMACA4L;
            struct {
              __IO uint8_t DMACA4LL;
              __IO uint8_t DMACA4LH;
            };
          };
          union {
            __IO uint16_t DMACA4H;
            struct {
              __IO uint8_t DMACA4HL;
              __IO uint8_t DMACA4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB4;
        stc_dmac_dmacb4_field_t DMACB4_f;
        struct {
          union {
            __IO uint16_t DMACB4L;
            struct {
              __IO uint8_t DMACB4LL;
              __IO uint8_t DMACB4LH;
            };
          };
          union {
            __IO uint16_t DMACB4H;
            struct {
              __IO uint8_t DMACB4HL;
              __IO uint8_t DMACB4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA4;
        struct {
          union {
            __IO uint16_t DMACSA4L;
            struct {
              __IO uint8_t DMACSA4LL;
              __IO uint8_t DMACSA4LH;
            };
          };
          union {
            __IO uint16_t DMACSA4H;
            struct {
              __IO uint8_t DMACSA4HL;
              __IO uint8_t DMACSA4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA4;
        struct {
          union {
            __IO uint16_t DMACDA4L;
            struct {
              __IO uint8_t DMACDA4LL;
              __IO uint8_t DMACDA4LH;
            };
          };
          union {
            __IO uint16_t DMACDA4H;
            struct {
              __IO uint8_t DMACDA4HL;
              __IO uint8_t DMACDA4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA5;
        stc_dmac_dmaca5_field_t DMACA5_f;
        struct {
          union {
            __IO uint16_t DMACA5L;
            struct {
              __IO uint8_t DMACA5LL;
              __IO uint8_t DMACA5LH;
            };
          };
          union {
            __IO uint16_t DMACA5H;
            struct {
              __IO uint8_t DMACA5HL;
              __IO uint8_t DMACA5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB5;
        stc_dmac_dmacb5_field_t DMACB5_f;
        struct {
          union {
            __IO uint16_t DMACB5L;
            struct {
              __IO uint8_t DMACB5LL;
              __IO uint8_t DMACB5LH;
            };
          };
          union {
            __IO uint16_t DMACB5H;
            struct {
              __IO uint8_t DMACB5HL;
              __IO uint8_t DMACB5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA5;
        struct {
          union {
            __IO uint16_t DMACSA5L;
            struct {
              __IO uint8_t DMACSA5LL;
              __IO uint8_t DMACSA5LH;
            };
          };
          union {
            __IO uint16_t DMACSA5H;
            struct {
              __IO uint8_t DMACSA5HL;
              __IO uint8_t DMACSA5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA5;
        struct {
          union {
            __IO uint16_t DMACDA5L;
            struct {
              __IO uint8_t DMACDA5LL;
              __IO uint8_t DMACDA5LH;
            };
          };
          union {
            __IO uint16_t DMACDA5H;
            struct {
              __IO uint8_t DMACDA5HL;
              __IO uint8_t DMACDA5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA6;
        stc_dmac_dmaca6_field_t DMACA6_f;
        struct {
          union {
            __IO uint16_t DMACA6L;
            struct {
              __IO uint8_t DMACA6LL;
              __IO uint8_t DMACA6LH;
            };
          };
          union {
            __IO uint16_t DMACA6H;
            struct {
              __IO uint8_t DMACA6HL;
              __IO uint8_t DMACA6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB6;
        stc_dmac_dmacb6_field_t DMACB6_f;
        struct {
          union {
            __IO uint16_t DMACB6L;
            struct {
              __IO uint8_t DMACB6LL;
              __IO uint8_t DMACB6LH;
            };
          };
          union {
            __IO uint16_t DMACB6H;
            struct {
              __IO uint8_t DMACB6HL;
              __IO uint8_t DMACB6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA6;
        struct {
          union {
            __IO uint16_t DMACSA6L;
            struct {
              __IO uint8_t DMACSA6LL;
              __IO uint8_t DMACSA6LH;
            };
          };
          union {
            __IO uint16_t DMACSA6H;
            struct {
              __IO uint8_t DMACSA6HL;
              __IO uint8_t DMACSA6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA6;
        struct {
          union {
            __IO uint16_t DMACDA6L;
            struct {
              __IO uint8_t DMACDA6LL;
              __IO uint8_t DMACDA6LH;
            };
          };
          union {
            __IO uint16_t DMACDA6H;
            struct {
              __IO uint8_t DMACDA6HL;
              __IO uint8_t DMACDA6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA7;
        stc_dmac_dmaca7_field_t DMACA7_f;
        struct {
          union {
            __IO uint16_t DMACA7L;
            struct {
              __IO uint8_t DMACA7LL;
              __IO uint8_t DMACA7LH;
            };
          };
          union {
            __IO uint16_t DMACA7H;
            struct {
              __IO uint8_t DMACA7HL;
              __IO uint8_t DMACA7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB7;
        stc_dmac_dmacb7_field_t DMACB7_f;
        struct {
          union {
            __IO uint16_t DMACB7L;
            struct {
              __IO uint8_t DMACB7LL;
              __IO uint8_t DMACB7LH;
            };
          };
          union {
            __IO uint16_t DMACB7H;
            struct {
              __IO uint8_t DMACB7HL;
              __IO uint8_t DMACB7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA7;
        struct {
          union {
            __IO uint16_t DMACSA7L;
            struct {
              __IO uint8_t DMACSA7LL;
              __IO uint8_t DMACSA7LH;
            };
          };
          union {
            __IO uint16_t DMACSA7H;
            struct {
              __IO uint8_t DMACSA7HL;
              __IO uint8_t DMACSA7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA7;
        struct {
          union {
            __IO uint16_t DMACDA7L;
            struct {
              __IO uint8_t DMACDA7LL;
              __IO uint8_t DMACDA7LH;
            };
          };
          union {
            __IO uint16_t DMACDA7H;
            struct {
              __IO uint8_t DMACDA7HL;
              __IO uint8_t DMACDA7HH;
            };
          };
        };
    };
} FM_DMAC_TypeDef, FM0P_DMAC_TypeDef;

/******************************************************************************
 ** DS_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t REG_CTL;
        stc_ds_reg_ctl_field_t REG_CTL_f;
    };
        __IO  uint8_t RESERVED0[3];
    union {
        __IO  uint8_t RCK_CTL;
        stc_ds_rck_ctl_field_t RCK_CTL_f;
    };
        __IO  uint8_t RESERVED1[1787];
    union {
        __IO  uint8_t PMD_CTL;
        stc_ds_pmd_ctl_field_t PMD_CTL_f;
    };
        __IO  uint8_t RESERVED2[3];
    union {
        __IO  uint8_t WRFSR;
        stc_ds_wrfsr_field_t WRFSR_f;
    };
        __IO  uint8_t RESERVED3[3];
    union {
        __IO uint16_t WIFSR;
        stc_ds_wifsr_field_t WIFSR_f;
        struct {
            __IO  uint8_t WIFSRL;
            __IO  uint8_t WIFSRH;
        };
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO uint16_t WIER;
        stc_ds_wier_field_t WIER_f;
        struct {
            __IO  uint8_t WIERL;
            __IO  uint8_t WIERH;
        };
    };
        __IO  uint8_t RESERVED5[2];
    union {
        __IO  uint8_t WILVR;
        stc_ds_wilvr_field_t WILVR_f;
    };
        __IO  uint8_t RESERVED6[3];
    union {
        __IO  uint8_t DSRAMR;
        stc_ds_dsramr_field_t DSRAMR_f;
    };
        __IO  uint8_t RESERVED7[235];
        __IO  uint8_t BUR01;
        __IO  uint8_t BUR02;
        __IO  uint8_t BUR03;
        __IO  uint8_t BUR04;
        __IO  uint8_t BUR05;
        __IO  uint8_t BUR06;
        __IO  uint8_t BUR07;
        __IO  uint8_t BUR08;
        __IO  uint8_t BUR09;
        __IO  uint8_t BUR10;
        __IO  uint8_t BUR11;
        __IO  uint8_t BUR12;
        __IO  uint8_t BUR13;
        __IO  uint8_t BUR14;
        __IO  uint8_t BUR15;
        __IO  uint8_t BUR16;
} FM_DS_TypeDef, FM0P_DS_TypeDef;

/******************************************************************************
 ** DT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t TIMER1LOAD;
        struct {
          union {
            __IO uint16_t TIMER1LOADL;
            struct {
              __IO uint8_t TIMER1LOADLL;
              __IO uint8_t TIMER1LOADLH;
            };
          };
          union {
            __IO uint16_t TIMER1LOADH;
            struct {
              __IO uint8_t TIMER1LOADHL;
              __IO uint8_t TIMER1LOADHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1VALUE;
        struct {
          union {
            __IO uint16_t TIMER1VALUEL;
            struct {
              __IO uint8_t TIMER1VALUELL;
              __IO uint8_t TIMER1VALUELH;
            };
          };
          union {
            __IO uint16_t TIMER1VALUEH;
            struct {
              __IO uint8_t TIMER1VALUEHL;
              __IO uint8_t TIMER1VALUEHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1CONTROL;
        stc_dt_timer1control_field_t TIMER1CONTROL_f;
        struct {
          union {
            __IO uint16_t TIMER1CONTROLL;
            struct {
              __IO uint8_t TIMER1CONTROLLL;
              __IO uint8_t TIMER1CONTROLLH;
            };
          };
          union {
            __IO uint16_t TIMER1CONTROLH;
            struct {
              __IO uint8_t TIMER1CONTROLHL;
              __IO uint8_t TIMER1CONTROLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1INTCLR;
        struct {
          union {
            __IO uint16_t TIMER1INTCLRL;
            struct {
              __IO uint8_t TIMER1INTCLRLL;
              __IO uint8_t TIMER1INTCLRLH;
            };
          };
          union {
            __IO uint16_t TIMER1INTCLRH;
            struct {
              __IO uint8_t TIMER1INTCLRHL;
              __IO uint8_t TIMER1INTCLRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1RIS;
        stc_dt_timer1ris_field_t TIMER1RIS_f;
        struct {
          union {
            __IO uint16_t TIMER1RISL;
            struct {
              __IO uint8_t TIMER1RISLL;
              __IO uint8_t TIMER1RISLH;
            };
          };
          union {
            __IO uint16_t TIMER1RISH;
            struct {
              __IO uint8_t TIMER1RISHL;
              __IO uint8_t TIMER1RISHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1MIS;
        stc_dt_timer1mis_field_t TIMER1MIS_f;
        struct {
          union {
            __IO uint16_t TIMER1MISL;
            struct {
              __IO uint8_t TIMER1MISLL;
              __IO uint8_t TIMER1MISLH;
            };
          };
          union {
            __IO uint16_t TIMER1MISH;
            struct {
              __IO uint8_t TIMER1MISHL;
              __IO uint8_t TIMER1MISHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1BGLOAD;
        struct {
          union {
            __IO uint16_t TIMER1BGLOADL;
            struct {
              __IO uint8_t TIMER1BGLOADLL;
              __IO uint8_t TIMER1BGLOADLH;
            };
          };
          union {
            __IO uint16_t TIMER1BGLOADH;
            struct {
              __IO uint8_t TIMER1BGLOADHL;
              __IO uint8_t TIMER1BGLOADHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[4];
    union {
        __IO uint32_t TIMER2LOAD;
        struct {
          union {
            __IO uint16_t TIMER2LOADL;
            struct {
              __IO uint8_t TIMER2LOADLL;
              __IO uint8_t TIMER2LOADLH;
            };
          };
          union {
            __IO uint16_t TIMER2LOADH;
            struct {
              __IO uint8_t TIMER2LOADHL;
              __IO uint8_t TIMER2LOADHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2VALUE;
        struct {
          union {
            __IO uint16_t TIMER2VALUEL;
            struct {
              __IO uint8_t TIMER2VALUELL;
              __IO uint8_t TIMER2VALUELH;
            };
          };
          union {
            __IO uint16_t TIMER2VALUEH;
            struct {
              __IO uint8_t TIMER2VALUEHL;
              __IO uint8_t TIMER2VALUEHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2CONTROL;
        stc_dt_timer2control_field_t TIMER2CONTROL_f;
        struct {
          union {
            __IO uint16_t TIMER2CONTROLL;
            struct {
              __IO uint8_t TIMER2CONTROLLL;
              __IO uint8_t TIMER2CONTROLLH;
            };
          };
          union {
            __IO uint16_t TIMER2CONTROLH;
            struct {
              __IO uint8_t TIMER2CONTROLHL;
              __IO uint8_t TIMER2CONTROLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2INTCLR;
        struct {
          union {
            __IO uint16_t TIMER2INTCLRL;
            struct {
              __IO uint8_t TIMER2INTCLRLL;
              __IO uint8_t TIMER2INTCLRLH;
            };
          };
          union {
            __IO uint16_t TIMER2INTCLRH;
            struct {
              __IO uint8_t TIMER2INTCLRHL;
              __IO uint8_t TIMER2INTCLRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2RIS;
        stc_dt_timer2ris_field_t TIMER2RIS_f;
        struct {
          union {
            __IO uint16_t TIMER2RISL;
            struct {
              __IO uint8_t TIMER2RISLL;
              __IO uint8_t TIMER2RISLH;
            };
          };
          union {
            __IO uint16_t TIMER2RISH;
            struct {
              __IO uint8_t TIMER2RISHL;
              __IO uint8_t TIMER2RISHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2MIS;
        stc_dt_timer2mis_field_t TIMER2MIS_f;
        struct {
          union {
            __IO uint16_t TIMER2MISL;
            struct {
              __IO uint8_t TIMER2MISLL;
              __IO uint8_t TIMER2MISLH;
            };
          };
          union {
            __IO uint16_t TIMER2MISH;
            struct {
              __IO uint8_t TIMER2MISHL;
              __IO uint8_t TIMER2MISHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2BGLOAD;
        struct {
          union {
            __IO uint16_t TIMER2BGLOADL;
            struct {
              __IO uint8_t TIMER2BGLOADLL;
              __IO uint8_t TIMER2BGLOADLH;
            };
          };
          union {
            __IO uint16_t TIMER2BGLOADH;
            struct {
              __IO uint8_t TIMER2BGLOADHL;
              __IO uint8_t TIMER2BGLOADHH;
            };
          };
        };
    };
} FM_DT_TypeDef, FM0P_DT_TypeDef;

/******************************************************************************
 ** EXTI_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t ENIR;
        stc_exti_enir_field_t ENIR_f;
        struct {
          union {
            __IO uint16_t ENIRL;
            struct {
              __IO uint8_t ENIRLL;
              __IO uint8_t ENIRLH;
            };
          };
          union {
            __IO uint16_t ENIRH;
            struct {
              __IO uint8_t ENIRHL;
              __IO uint8_t ENIRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t EIRR;
        stc_exti_eirr_field_t EIRR_f;
        struct {
          union {
            __IO uint16_t EIRRL;
            struct {
              __IO uint8_t EIRRLL;
              __IO uint8_t EIRRLH;
            };
          };
          union {
            __IO uint16_t EIRRH;
            struct {
              __IO uint8_t EIRRHL;
              __IO uint8_t EIRRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t EICL;
        stc_exti_eicl_field_t EICL_f;
        struct {
          union {
            __IO uint16_t EICLL;
            struct {
              __IO uint8_t EICLLL;
              __IO uint8_t EICLLH;
            };
          };
          union {
            __IO uint16_t EICLH;
            struct {
              __IO uint8_t EICLHL;
              __IO uint8_t EICLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t ELVR;
        stc_exti_elvr_field_t ELVR_f;
        struct {
          union {
            __IO uint16_t ELVRL;
            struct {
              __IO uint8_t ELVRLL;
              __IO uint8_t ELVRLH;
            };
          };
          union {
            __IO uint16_t ELVRH;
            struct {
              __IO uint8_t ELVRHL;
              __IO uint8_t ELVRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t ELVR1;
        stc_exti_elvr1_field_t ELVR1_f;
        struct {
          union {
            __IO uint16_t ELVR1L;
            struct {
              __IO uint8_t ELVR1LL;
              __IO uint8_t ELVR1LH;
            };
          };
          union {
            __IO uint16_t ELVR1H;
            struct {
              __IO uint8_t ELVR1HL;
              __IO uint8_t ELVR1HH;
            };
          };
        };
    };
    union {
        __IO uint16_t NMIRR;
        stc_exti_nmirr_field_t NMIRR_f;
        struct {
            __IO  uint8_t NMIRRL;
            __IO  uint8_t NMIRRH;
        };
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO uint16_t NMICL;
        stc_exti_nmicl_field_t NMICL_f;
        struct {
            __IO  uint8_t NMICLL;
            __IO  uint8_t NMICLH;
        };
    };
} FM_EXTI_TypeDef, FM0P_EXTI_TypeDef;

/******************************************************************************
 ** FASTIO_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t FPDIR0;
        struct {
          union {
            __IO uint16_t FPDIR0L;
            struct {
              __IO uint8_t FPDIR0LL;
              __IO uint8_t FPDIR0LH;
            };
          };
          union {
            __IO uint16_t FPDIR0H;
            struct {
              __IO uint8_t FPDIR0HL;
              __IO uint8_t FPDIR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIR1;
        stc_fastio_fpdir1_field_t FPDIR1_f;
        struct {
          union {
            __IO uint16_t FPDIR1L;
            struct {
              __IO uint8_t FPDIR1LL;
              __IO uint8_t FPDIR1LH;
            };
          };
          union {
            __IO uint16_t FPDIR1H;
            struct {
              __IO uint8_t FPDIR1HL;
              __IO uint8_t FPDIR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIR2;
        stc_fastio_fpdir2_field_t FPDIR2_f;
        struct {
          union {
            __IO uint16_t FPDIR2L;
            struct {
              __IO uint8_t FPDIR2LL;
              __IO uint8_t FPDIR2LH;
            };
          };
          union {
            __IO uint16_t FPDIR2H;
            struct {
              __IO uint8_t FPDIR2HL;
              __IO uint8_t FPDIR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIR3;
        stc_fastio_fpdir3_field_t FPDIR3_f;
        struct {
          union {
            __IO uint16_t FPDIR3L;
            struct {
              __IO uint8_t FPDIR3LL;
              __IO uint8_t FPDIR3LH;
            };
          };
          union {
            __IO uint16_t FPDIR3H;
            struct {
              __IO uint8_t FPDIR3HL;
              __IO uint8_t FPDIR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIR4;
        stc_fastio_fpdir4_field_t FPDIR4_f;
        struct {
          union {
            __IO uint16_t FPDIR4L;
            struct {
              __IO uint8_t FPDIR4LL;
              __IO uint8_t FPDIR4LH;
            };
          };
          union {
            __IO uint16_t FPDIR4H;
            struct {
              __IO uint8_t FPDIR4HL;
              __IO uint8_t FPDIR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIR5;
        struct {
          union {
            __IO uint16_t FPDIR5L;
            struct {
              __IO uint8_t FPDIR5LL;
              __IO uint8_t FPDIR5LH;
            };
          };
          union {
            __IO uint16_t FPDIR5H;
            struct {
              __IO uint8_t FPDIR5HL;
              __IO uint8_t FPDIR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIR6;
        struct {
          union {
            __IO uint16_t FPDIR6L;
            struct {
              __IO uint8_t FPDIR6LL;
              __IO uint8_t FPDIR6LH;
            };
          };
          union {
            __IO uint16_t FPDIR6H;
            struct {
              __IO uint8_t FPDIR6HL;
              __IO uint8_t FPDIR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIR7;
        struct {
          union {
            __IO uint16_t FPDIR7L;
            struct {
              __IO uint8_t FPDIR7LL;
              __IO uint8_t FPDIR7LH;
            };
          };
          union {
            __IO uint16_t FPDIR7H;
            struct {
              __IO uint8_t FPDIR7HL;
              __IO uint8_t FPDIR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIR8;
        struct {
          union {
            __IO uint16_t FPDIR8L;
            struct {
              __IO uint8_t FPDIR8LL;
              __IO uint8_t FPDIR8LH;
            };
          };
          union {
            __IO uint16_t FPDIR8H;
            struct {
              __IO uint8_t FPDIR8HL;
              __IO uint8_t FPDIR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIR9;
        struct {
          union {
            __IO uint16_t FPDIR9L;
            struct {
              __IO uint8_t FPDIR9LL;
              __IO uint8_t FPDIR9LH;
            };
          };
          union {
            __IO uint16_t FPDIR9H;
            struct {
              __IO uint8_t FPDIR9HL;
              __IO uint8_t FPDIR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIRA;
        struct {
          union {
            __IO uint16_t FPDIRAL;
            struct {
              __IO uint8_t FPDIRALL;
              __IO uint8_t FPDIRALH;
            };
          };
          union {
            __IO uint16_t FPDIRAH;
            struct {
              __IO uint8_t FPDIRAHL;
              __IO uint8_t FPDIRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIRB;
        struct {
          union {
            __IO uint16_t FPDIRBL;
            struct {
              __IO uint8_t FPDIRBLL;
              __IO uint8_t FPDIRBLH;
            };
          };
          union {
            __IO uint16_t FPDIRBH;
            struct {
              __IO uint8_t FPDIRBHL;
              __IO uint8_t FPDIRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIRC;
        struct {
          union {
            __IO uint16_t FPDIRCL;
            struct {
              __IO uint8_t FPDIRCLL;
              __IO uint8_t FPDIRCLH;
            };
          };
          union {
            __IO uint16_t FPDIRCH;
            struct {
              __IO uint8_t FPDIRCHL;
              __IO uint8_t FPDIRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIRD;
        struct {
          union {
            __IO uint16_t FPDIRDL;
            struct {
              __IO uint8_t FPDIRDLL;
              __IO uint8_t FPDIRDLH;
            };
          };
          union {
            __IO uint16_t FPDIRDH;
            struct {
              __IO uint8_t FPDIRDHL;
              __IO uint8_t FPDIRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIRE;
        struct {
          union {
            __IO uint16_t FPDIREL;
            struct {
              __IO uint8_t FPDIRELL;
              __IO uint8_t FPDIRELH;
            };
          };
          union {
            __IO uint16_t FPDIREH;
            struct {
              __IO uint8_t FPDIREHL;
              __IO uint8_t FPDIREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIRF;
        struct {
          union {
            __IO uint16_t FPDIRFL;
            struct {
              __IO uint8_t FPDIRFLL;
              __IO uint8_t FPDIRFLH;
            };
          };
          union {
            __IO uint16_t FPDIRFH;
            struct {
              __IO uint8_t FPDIRFHL;
              __IO uint8_t FPDIRFHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR0;
        struct {
          union {
            __IO uint16_t FPDOR0L;
            struct {
              __IO uint8_t FPDOR0LL;
              __IO uint8_t FPDOR0LH;
            };
          };
          union {
            __IO uint16_t FPDOR0H;
            struct {
              __IO uint8_t FPDOR0HL;
              __IO uint8_t FPDOR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR1;
        stc_fastio_fpdor1_field_t FPDOR1_f;
        struct {
          union {
            __IO uint16_t FPDOR1L;
            struct {
              __IO uint8_t FPDOR1LL;
              __IO uint8_t FPDOR1LH;
            };
          };
          union {
            __IO uint16_t FPDOR1H;
            struct {
              __IO uint8_t FPDOR1HL;
              __IO uint8_t FPDOR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR2;
        stc_fastio_fpdor2_field_t FPDOR2_f;
        struct {
          union {
            __IO uint16_t FPDOR2L;
            struct {
              __IO uint8_t FPDOR2LL;
              __IO uint8_t FPDOR2LH;
            };
          };
          union {
            __IO uint16_t FPDOR2H;
            struct {
              __IO uint8_t FPDOR2HL;
              __IO uint8_t FPDOR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR3;
        stc_fastio_fpdor3_field_t FPDOR3_f;
        struct {
          union {
            __IO uint16_t FPDOR3L;
            struct {
              __IO uint8_t FPDOR3LL;
              __IO uint8_t FPDOR3LH;
            };
          };
          union {
            __IO uint16_t FPDOR3H;
            struct {
              __IO uint8_t FPDOR3HL;
              __IO uint8_t FPDOR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR4;
        stc_fastio_fpdor4_field_t FPDOR4_f;
        struct {
          union {
            __IO uint16_t FPDOR4L;
            struct {
              __IO uint8_t FPDOR4LL;
              __IO uint8_t FPDOR4LH;
            };
          };
          union {
            __IO uint16_t FPDOR4H;
            struct {
              __IO uint8_t FPDOR4HL;
              __IO uint8_t FPDOR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR5;
        struct {
          union {
            __IO uint16_t FPDOR5L;
            struct {
              __IO uint8_t FPDOR5LL;
              __IO uint8_t FPDOR5LH;
            };
          };
          union {
            __IO uint16_t FPDOR5H;
            struct {
              __IO uint8_t FPDOR5HL;
              __IO uint8_t FPDOR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR6;
        struct {
          union {
            __IO uint16_t FPDOR6L;
            struct {
              __IO uint8_t FPDOR6LL;
              __IO uint8_t FPDOR6LH;
            };
          };
          union {
            __IO uint16_t FPDOR6H;
            struct {
              __IO uint8_t FPDOR6HL;
              __IO uint8_t FPDOR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR7;
        struct {
          union {
            __IO uint16_t FPDOR7L;
            struct {
              __IO uint8_t FPDOR7LL;
              __IO uint8_t FPDOR7LH;
            };
          };
          union {
            __IO uint16_t FPDOR7H;
            struct {
              __IO uint8_t FPDOR7HL;
              __IO uint8_t FPDOR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR8;
        struct {
          union {
            __IO uint16_t FPDOR8L;
            struct {
              __IO uint8_t FPDOR8LL;
              __IO uint8_t FPDOR8LH;
            };
          };
          union {
            __IO uint16_t FPDOR8H;
            struct {
              __IO uint8_t FPDOR8HL;
              __IO uint8_t FPDOR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR9;
        struct {
          union {
            __IO uint16_t FPDOR9L;
            struct {
              __IO uint8_t FPDOR9LL;
              __IO uint8_t FPDOR9LH;
            };
          };
          union {
            __IO uint16_t FPDOR9H;
            struct {
              __IO uint8_t FPDOR9HL;
              __IO uint8_t FPDOR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDORA;
        struct {
          union {
            __IO uint16_t FPDORAL;
            struct {
              __IO uint8_t FPDORALL;
              __IO uint8_t FPDORALH;
            };
          };
          union {
            __IO uint16_t FPDORAH;
            struct {
              __IO uint8_t FPDORAHL;
              __IO uint8_t FPDORAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDORB;
        struct {
          union {
            __IO uint16_t FPDORBL;
            struct {
              __IO uint8_t FPDORBLL;
              __IO uint8_t FPDORBLH;
            };
          };
          union {
            __IO uint16_t FPDORBH;
            struct {
              __IO uint8_t FPDORBHL;
              __IO uint8_t FPDORBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDORC;
        struct {
          union {
            __IO uint16_t FPDORCL;
            struct {
              __IO uint8_t FPDORCLL;
              __IO uint8_t FPDORCLH;
            };
          };
          union {
            __IO uint16_t FPDORCH;
            struct {
              __IO uint8_t FPDORCHL;
              __IO uint8_t FPDORCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDORD;
        struct {
          union {
            __IO uint16_t FPDORDL;
            struct {
              __IO uint8_t FPDORDLL;
              __IO uint8_t FPDORDLH;
            };
          };
          union {
            __IO uint16_t FPDORDH;
            struct {
              __IO uint8_t FPDORDHL;
              __IO uint8_t FPDORDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDORE;
        struct {
          union {
            __IO uint16_t FPDOREL;
            struct {
              __IO uint8_t FPDORELL;
              __IO uint8_t FPDORELH;
            };
          };
          union {
            __IO uint16_t FPDOREH;
            struct {
              __IO uint8_t FPDOREHL;
              __IO uint8_t FPDOREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDORF;
        struct {
          union {
            __IO uint16_t FPDORFL;
            struct {
              __IO uint8_t FPDORFLL;
              __IO uint8_t FPDORFLH;
            };
          };
          union {
            __IO uint16_t FPDORFH;
            struct {
              __IO uint8_t FPDORFHL;
              __IO uint8_t FPDORFHH;
            };
          };
        };
    };
    union {
        __IO uint32_t M_FPDIR0;
        stc_fastio_m_fpdir0_field_t M_FPDIR0_f;
        struct {
          union {
            __IO uint16_t M_FPDIR0L;
            struct {
              __IO uint8_t M_FPDIR0LL;
              __IO uint8_t M_FPDIR0LH;
            };
          };
          union {
            __IO uint16_t M_FPDIR0H;
            struct {
              __IO uint8_t M_FPDIR0HL;
              __IO uint8_t M_FPDIR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t M_FPDIR1;
        stc_fastio_m_fpdir1_field_t M_FPDIR1_f;
        struct {
          union {
            __IO uint16_t M_FPDIR1L;
            struct {
              __IO uint8_t M_FPDIR1LL;
              __IO uint8_t M_FPDIR1LH;
            };
          };
          union {
            __IO uint16_t M_FPDIR1H;
            struct {
              __IO uint8_t M_FPDIR1HL;
              __IO uint8_t M_FPDIR1HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[56];
    union {
        __IO uint32_t M_FPDOR0;
        stc_fastio_m_fpdor0_field_t M_FPDOR0_f;
        struct {
          union {
            __IO uint16_t M_FPDOR0L;
            struct {
              __IO uint8_t M_FPDOR0LL;
              __IO uint8_t M_FPDOR0LH;
            };
          };
          union {
            __IO uint16_t M_FPDOR0H;
            struct {
              __IO uint8_t M_FPDOR0HL;
              __IO uint8_t M_FPDOR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t M_FPDOR1;
        stc_fastio_m_fpdor1_field_t M_FPDOR1_f;
        struct {
          union {
            __IO uint16_t M_FPDOR1L;
            struct {
              __IO uint8_t M_FPDOR1LL;
              __IO uint8_t M_FPDOR1LH;
            };
          };
          union {
            __IO uint16_t M_FPDOR1H;
            struct {
              __IO uint8_t M_FPDOR1HL;
              __IO uint8_t M_FPDOR1HH;
            };
          };
        };
    };
} FM_FASTIO_TypeDef, FM0P_FASTIO_TypeDef;

/******************************************************************************
 ** FLASH_IF_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED0[4];
    union {
        __IO uint32_t FRWTR;
        stc_flash_if_frwtr_field_t FRWTR_f;
        struct {
          union {
            __IO uint16_t FRWTRL;
            struct {
              __IO uint8_t FRWTRLL;
              __IO uint8_t FRWTRLH;
            };
          };
          union {
            __IO uint16_t FRWTRH;
            struct {
              __IO uint8_t FRWTRHL;
              __IO uint8_t FRWTRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FSTR;
        stc_flash_if_fstr_field_t FSTR_f;
        struct {
          union {
            __IO uint16_t FSTRL;
            struct {
              __IO uint8_t FSTRLL;
              __IO uint8_t FSTRLH;
            };
          };
          union {
            __IO uint16_t FSTRH;
            struct {
              __IO uint8_t FSTRHL;
              __IO uint8_t FSTRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[4];
    union {
        __IO uint32_t FSYNDN;
        stc_flash_if_fsyndn_field_t FSYNDN_f;
        struct {
          union {
            __IO uint16_t FSYNDNL;
            struct {
              __IO uint8_t FSYNDNLL;
              __IO uint8_t FSYNDNLH;
            };
          };
          union {
            __IO uint16_t FSYNDNH;
            struct {
              __IO uint8_t FSYNDNHL;
              __IO uint8_t FSYNDNHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED2[12];
    union {
        __IO uint32_t FICR;
        stc_flash_if_ficr_field_t FICR_f;
        struct {
          union {
            __IO uint16_t FICRL;
            struct {
              __IO uint8_t FICRLL;
              __IO uint8_t FICRLH;
            };
          };
          union {
            __IO uint16_t FICRH;
            struct {
              __IO uint8_t FICRHL;
              __IO uint8_t FICRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FISR;
        stc_flash_if_fisr_field_t FISR_f;
        struct {
          union {
            __IO uint16_t FISRL;
            struct {
              __IO uint8_t FISRLL;
              __IO uint8_t FISRLH;
            };
          };
          union {
            __IO uint16_t FISRH;
            struct {
              __IO uint8_t FISRHL;
              __IO uint8_t FISRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FICLR;
        stc_flash_if_ficlr_field_t FICLR_f;
        struct {
          union {
            __IO uint16_t FICLRL;
            struct {
              __IO uint8_t FICLRLL;
              __IO uint8_t FICLRLH;
            };
          };
          union {
            __IO uint16_t FICLRH;
            struct {
              __IO uint8_t FICLRHL;
              __IO uint8_t FICLRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED3[212];
    union {
        __IO uint32_t CRTRMM;
        stc_flash_if_crtrmm_field_t CRTRMM_f;
        struct {
          union {
            __IO uint16_t CRTRMML;
            struct {
              __IO uint8_t CRTRMMLL;
              __IO uint8_t CRTRMMLH;
            };
          };
          union {
            __IO uint16_t CRTRMMH;
            struct {
              __IO uint8_t CRTRMMHL;
              __IO uint8_t CRTRMMHH;
            };
          };
        };
    };
} FM_FLASH_IF_TypeDef, FM0P_FLASH_IF_TypeDef;

/******************************************************************************
 ** GPIO_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t PFR0;
        stc_gpio_pfr0_field_t PFR0_f;
        struct {
          union {
            __IO uint16_t PFR0L;
            struct {
              __IO uint8_t PFR0LL;
              __IO uint8_t PFR0LH;
            };
          };
          union {
            __IO uint16_t PFR0H;
            struct {
              __IO uint8_t PFR0HL;
              __IO uint8_t PFR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR1;
        stc_gpio_pfr1_field_t PFR1_f;
        struct {
          union {
            __IO uint16_t PFR1L;
            struct {
              __IO uint8_t PFR1LL;
              __IO uint8_t PFR1LH;
            };
          };
          union {
            __IO uint16_t PFR1H;
            struct {
              __IO uint8_t PFR1HL;
              __IO uint8_t PFR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR2;
        stc_gpio_pfr2_field_t PFR2_f;
        struct {
          union {
            __IO uint16_t PFR2L;
            struct {
              __IO uint8_t PFR2LL;
              __IO uint8_t PFR2LH;
            };
          };
          union {
            __IO uint16_t PFR2H;
            struct {
              __IO uint8_t PFR2HL;
              __IO uint8_t PFR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR3;
        stc_gpio_pfr3_field_t PFR3_f;
        struct {
          union {
            __IO uint16_t PFR3L;
            struct {
              __IO uint8_t PFR3LL;
              __IO uint8_t PFR3LH;
            };
          };
          union {
            __IO uint16_t PFR3H;
            struct {
              __IO uint8_t PFR3HL;
              __IO uint8_t PFR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR4;
        stc_gpio_pfr4_field_t PFR4_f;
        struct {
          union {
            __IO uint16_t PFR4L;
            struct {
              __IO uint8_t PFR4LL;
              __IO uint8_t PFR4LH;
            };
          };
          union {
            __IO uint16_t PFR4H;
            struct {
              __IO uint8_t PFR4HL;
              __IO uint8_t PFR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR5;
        struct {
          union {
            __IO uint16_t PFR5L;
            struct {
              __IO uint8_t PFR5LL;
              __IO uint8_t PFR5LH;
            };
          };
          union {
            __IO uint16_t PFR5H;
            struct {
              __IO uint8_t PFR5HL;
              __IO uint8_t PFR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR6;
        stc_gpio_pfr6_field_t PFR6_f;
        struct {
          union {
            __IO uint16_t PFR6L;
            struct {
              __IO uint8_t PFR6LL;
              __IO uint8_t PFR6LH;
            };
          };
          union {
            __IO uint16_t PFR6H;
            struct {
              __IO uint8_t PFR6HL;
              __IO uint8_t PFR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR7;
        struct {
          union {
            __IO uint16_t PFR7L;
            struct {
              __IO uint8_t PFR7LL;
              __IO uint8_t PFR7LH;
            };
          };
          union {
            __IO uint16_t PFR7H;
            struct {
              __IO uint8_t PFR7HL;
              __IO uint8_t PFR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR8;
        struct {
          union {
            __IO uint16_t PFR8L;
            struct {
              __IO uint8_t PFR8LL;
              __IO uint8_t PFR8LH;
            };
          };
          union {
            __IO uint16_t PFR8H;
            struct {
              __IO uint8_t PFR8HL;
              __IO uint8_t PFR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR9;
        struct {
          union {
            __IO uint16_t PFR9L;
            struct {
              __IO uint8_t PFR9LL;
              __IO uint8_t PFR9LH;
            };
          };
          union {
            __IO uint16_t PFR9H;
            struct {
              __IO uint8_t PFR9HL;
              __IO uint8_t PFR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRA;
        struct {
          union {
            __IO uint16_t PFRAL;
            struct {
              __IO uint8_t PFRALL;
              __IO uint8_t PFRALH;
            };
          };
          union {
            __IO uint16_t PFRAH;
            struct {
              __IO uint8_t PFRAHL;
              __IO uint8_t PFRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRB;
        struct {
          union {
            __IO uint16_t PFRBL;
            struct {
              __IO uint8_t PFRBLL;
              __IO uint8_t PFRBLH;
            };
          };
          union {
            __IO uint16_t PFRBH;
            struct {
              __IO uint8_t PFRBHL;
              __IO uint8_t PFRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRC;
        struct {
          union {
            __IO uint16_t PFRCL;
            struct {
              __IO uint8_t PFRCLL;
              __IO uint8_t PFRCLH;
            };
          };
          union {
            __IO uint16_t PFRCH;
            struct {
              __IO uint8_t PFRCHL;
              __IO uint8_t PFRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRD;
        struct {
          union {
            __IO uint16_t PFRDL;
            struct {
              __IO uint8_t PFRDLL;
              __IO uint8_t PFRDLH;
            };
          };
          union {
            __IO uint16_t PFRDH;
            struct {
              __IO uint8_t PFRDHL;
              __IO uint8_t PFRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRE;
        stc_gpio_pfre_field_t PFRE_f;
        struct {
          union {
            __IO uint16_t PFREL;
            struct {
              __IO uint8_t PFRELL;
              __IO uint8_t PFRELH;
            };
          };
          union {
            __IO uint16_t PFREH;
            struct {
              __IO uint8_t PFREHL;
              __IO uint8_t PFREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRF;
        struct {
          union {
            __IO uint16_t PFRFL;
            struct {
              __IO uint8_t PFRFLL;
              __IO uint8_t PFRFLH;
            };
          };
          union {
            __IO uint16_t PFRFH;
            struct {
              __IO uint8_t PFRFHL;
              __IO uint8_t PFRFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[192];
    union {
        __IO uint32_t PCR0;
        stc_gpio_pcr0_field_t PCR0_f;
        struct {
          union {
            __IO uint16_t PCR0L;
            struct {
              __IO uint8_t PCR0LL;
              __IO uint8_t PCR0LH;
            };
          };
          union {
            __IO uint16_t PCR0H;
            struct {
              __IO uint8_t PCR0HL;
              __IO uint8_t PCR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR1;
        stc_gpio_pcr1_field_t PCR1_f;
        struct {
          union {
            __IO uint16_t PCR1L;
            struct {
              __IO uint8_t PCR1LL;
              __IO uint8_t PCR1LH;
            };
          };
          union {
            __IO uint16_t PCR1H;
            struct {
              __IO uint8_t PCR1HL;
              __IO uint8_t PCR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR2;
        stc_gpio_pcr2_field_t PCR2_f;
        struct {
          union {
            __IO uint16_t PCR2L;
            struct {
              __IO uint8_t PCR2LL;
              __IO uint8_t PCR2LH;
            };
          };
          union {
            __IO uint16_t PCR2H;
            struct {
              __IO uint8_t PCR2HL;
              __IO uint8_t PCR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR3;
        stc_gpio_pcr3_field_t PCR3_f;
        struct {
          union {
            __IO uint16_t PCR3L;
            struct {
              __IO uint8_t PCR3LL;
              __IO uint8_t PCR3LH;
            };
          };
          union {
            __IO uint16_t PCR3H;
            struct {
              __IO uint8_t PCR3HL;
              __IO uint8_t PCR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR4;
        stc_gpio_pcr4_field_t PCR4_f;
        struct {
          union {
            __IO uint16_t PCR4L;
            struct {
              __IO uint8_t PCR4LL;
              __IO uint8_t PCR4LH;
            };
          };
          union {
            __IO uint16_t PCR4H;
            struct {
              __IO uint8_t PCR4HL;
              __IO uint8_t PCR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR5;
        struct {
          union {
            __IO uint16_t PCR5L;
            struct {
              __IO uint8_t PCR5LL;
              __IO uint8_t PCR5LH;
            };
          };
          union {
            __IO uint16_t PCR5H;
            struct {
              __IO uint8_t PCR5HL;
              __IO uint8_t PCR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR6;
        stc_gpio_pcr6_field_t PCR6_f;
        struct {
          union {
            __IO uint16_t PCR6L;
            struct {
              __IO uint8_t PCR6LL;
              __IO uint8_t PCR6LH;
            };
          };
          union {
            __IO uint16_t PCR6H;
            struct {
              __IO uint8_t PCR6HL;
              __IO uint8_t PCR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR7;
        struct {
          union {
            __IO uint16_t PCR7L;
            struct {
              __IO uint8_t PCR7LL;
              __IO uint8_t PCR7LH;
            };
          };
          union {
            __IO uint16_t PCR7H;
            struct {
              __IO uint8_t PCR7HL;
              __IO uint8_t PCR7HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[4];
    union {
        __IO uint32_t PCR9;
        struct {
          union {
            __IO uint16_t PCR9L;
            struct {
              __IO uint8_t PCR9LL;
              __IO uint8_t PCR9LH;
            };
          };
          union {
            __IO uint16_t PCR9H;
            struct {
              __IO uint8_t PCR9HL;
              __IO uint8_t PCR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRA;
        struct {
          union {
            __IO uint16_t PCRAL;
            struct {
              __IO uint8_t PCRALL;
              __IO uint8_t PCRALH;
            };
          };
          union {
            __IO uint16_t PCRAH;
            struct {
              __IO uint8_t PCRAHL;
              __IO uint8_t PCRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRB;
        struct {
          union {
            __IO uint16_t PCRBL;
            struct {
              __IO uint8_t PCRBLL;
              __IO uint8_t PCRBLH;
            };
          };
          union {
            __IO uint16_t PCRBH;
            struct {
              __IO uint8_t PCRBHL;
              __IO uint8_t PCRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRC;
        struct {
          union {
            __IO uint16_t PCRCL;
            struct {
              __IO uint8_t PCRCLL;
              __IO uint8_t PCRCLH;
            };
          };
          union {
            __IO uint16_t PCRCH;
            struct {
              __IO uint8_t PCRCHL;
              __IO uint8_t PCRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRD;
        struct {
          union {
            __IO uint16_t PCRDL;
            struct {
              __IO uint8_t PCRDLL;
              __IO uint8_t PCRDLH;
            };
          };
          union {
            __IO uint16_t PCRDH;
            struct {
              __IO uint8_t PCRDHL;
              __IO uint8_t PCRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRE;
        stc_gpio_pcre_field_t PCRE_f;
        struct {
          union {
            __IO uint16_t PCREL;
            struct {
              __IO uint8_t PCRELL;
              __IO uint8_t PCRELH;
            };
          };
          union {
            __IO uint16_t PCREH;
            struct {
              __IO uint8_t PCREHL;
              __IO uint8_t PCREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRF;
        struct {
          union {
            __IO uint16_t PCRFL;
            struct {
              __IO uint8_t PCRFLL;
              __IO uint8_t PCRFLH;
            };
          };
          union {
            __IO uint16_t PCRFH;
            struct {
              __IO uint8_t PCRFHL;
              __IO uint8_t PCRFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED2[192];
    union {
        __IO uint32_t DDR0;
        stc_gpio_ddr0_field_t DDR0_f;
        struct {
          union {
            __IO uint16_t DDR0L;
            struct {
              __IO uint8_t DDR0LL;
              __IO uint8_t DDR0LH;
            };
          };
          union {
            __IO uint16_t DDR0H;
            struct {
              __IO uint8_t DDR0HL;
              __IO uint8_t DDR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR1;
        stc_gpio_ddr1_field_t DDR1_f;
        struct {
          union {
            __IO uint16_t DDR1L;
            struct {
              __IO uint8_t DDR1LL;
              __IO uint8_t DDR1LH;
            };
          };
          union {
            __IO uint16_t DDR1H;
            struct {
              __IO uint8_t DDR1HL;
              __IO uint8_t DDR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR2;
        stc_gpio_ddr2_field_t DDR2_f;
        struct {
          union {
            __IO uint16_t DDR2L;
            struct {
              __IO uint8_t DDR2LL;
              __IO uint8_t DDR2LH;
            };
          };
          union {
            __IO uint16_t DDR2H;
            struct {
              __IO uint8_t DDR2HL;
              __IO uint8_t DDR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR3;
        stc_gpio_ddr3_field_t DDR3_f;
        struct {
          union {
            __IO uint16_t DDR3L;
            struct {
              __IO uint8_t DDR3LL;
              __IO uint8_t DDR3LH;
            };
          };
          union {
            __IO uint16_t DDR3H;
            struct {
              __IO uint8_t DDR3HL;
              __IO uint8_t DDR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR4;
        stc_gpio_ddr4_field_t DDR4_f;
        struct {
          union {
            __IO uint16_t DDR4L;
            struct {
              __IO uint8_t DDR4LL;
              __IO uint8_t DDR4LH;
            };
          };
          union {
            __IO uint16_t DDR4H;
            struct {
              __IO uint8_t DDR4HL;
              __IO uint8_t DDR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR5;
        struct {
          union {
            __IO uint16_t DDR5L;
            struct {
              __IO uint8_t DDR5LL;
              __IO uint8_t DDR5LH;
            };
          };
          union {
            __IO uint16_t DDR5H;
            struct {
              __IO uint8_t DDR5HL;
              __IO uint8_t DDR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR6;
        stc_gpio_ddr6_field_t DDR6_f;
        struct {
          union {
            __IO uint16_t DDR6L;
            struct {
              __IO uint8_t DDR6LL;
              __IO uint8_t DDR6LH;
            };
          };
          union {
            __IO uint16_t DDR6H;
            struct {
              __IO uint8_t DDR6HL;
              __IO uint8_t DDR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR7;
        struct {
          union {
            __IO uint16_t DDR7L;
            struct {
              __IO uint8_t DDR7LL;
              __IO uint8_t DDR7LH;
            };
          };
          union {
            __IO uint16_t DDR7H;
            struct {
              __IO uint8_t DDR7HL;
              __IO uint8_t DDR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR8;
        struct {
          union {
            __IO uint16_t DDR8L;
            struct {
              __IO uint8_t DDR8LL;
              __IO uint8_t DDR8LH;
            };
          };
          union {
            __IO uint16_t DDR8H;
            struct {
              __IO uint8_t DDR8HL;
              __IO uint8_t DDR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR9;
        struct {
          union {
            __IO uint16_t DDR9L;
            struct {
              __IO uint8_t DDR9LL;
              __IO uint8_t DDR9LH;
            };
          };
          union {
            __IO uint16_t DDR9H;
            struct {
              __IO uint8_t DDR9HL;
              __IO uint8_t DDR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRA;
        struct {
          union {
            __IO uint16_t DDRAL;
            struct {
              __IO uint8_t DDRALL;
              __IO uint8_t DDRALH;
            };
          };
          union {
            __IO uint16_t DDRAH;
            struct {
              __IO uint8_t DDRAHL;
              __IO uint8_t DDRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRB;
        struct {
          union {
            __IO uint16_t DDRBL;
            struct {
              __IO uint8_t DDRBLL;
              __IO uint8_t DDRBLH;
            };
          };
          union {
            __IO uint16_t DDRBH;
            struct {
              __IO uint8_t DDRBHL;
              __IO uint8_t DDRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRC;
        struct {
          union {
            __IO uint16_t DDRCL;
            struct {
              __IO uint8_t DDRCLL;
              __IO uint8_t DDRCLH;
            };
          };
          union {
            __IO uint16_t DDRCH;
            struct {
              __IO uint8_t DDRCHL;
              __IO uint8_t DDRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRD;
        struct {
          union {
            __IO uint16_t DDRDL;
            struct {
              __IO uint8_t DDRDLL;
              __IO uint8_t DDRDLH;
            };
          };
          union {
            __IO uint16_t DDRDH;
            struct {
              __IO uint8_t DDRDHL;
              __IO uint8_t DDRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRE;
        stc_gpio_ddre_field_t DDRE_f;
        struct {
          union {
            __IO uint16_t DDREL;
            struct {
              __IO uint8_t DDRELL;
              __IO uint8_t DDRELH;
            };
          };
          union {
            __IO uint16_t DDREH;
            struct {
              __IO uint8_t DDREHL;
              __IO uint8_t DDREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRF;
        struct {
          union {
            __IO uint16_t DDRFL;
            struct {
              __IO uint8_t DDRFLL;
              __IO uint8_t DDRFLH;
            };
          };
          union {
            __IO uint16_t DDRFH;
            struct {
              __IO uint8_t DDRFHL;
              __IO uint8_t DDRFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED3[192];
    union {
        __IO uint32_t PDIR0;
        stc_gpio_pdir0_field_t PDIR0_f;
        struct {
          union {
            __IO uint16_t PDIR0L;
            struct {
              __IO uint8_t PDIR0LL;
              __IO uint8_t PDIR0LH;
            };
          };
          union {
            __IO uint16_t PDIR0H;
            struct {
              __IO uint8_t PDIR0HL;
              __IO uint8_t PDIR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR1;
        stc_gpio_pdir1_field_t PDIR1_f;
        struct {
          union {
            __IO uint16_t PDIR1L;
            struct {
              __IO uint8_t PDIR1LL;
              __IO uint8_t PDIR1LH;
            };
          };
          union {
            __IO uint16_t PDIR1H;
            struct {
              __IO uint8_t PDIR1HL;
              __IO uint8_t PDIR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR2;
        stc_gpio_pdir2_field_t PDIR2_f;
        struct {
          union {
            __IO uint16_t PDIR2L;
            struct {
              __IO uint8_t PDIR2LL;
              __IO uint8_t PDIR2LH;
            };
          };
          union {
            __IO uint16_t PDIR2H;
            struct {
              __IO uint8_t PDIR2HL;
              __IO uint8_t PDIR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR3;
        stc_gpio_pdir3_field_t PDIR3_f;
        struct {
          union {
            __IO uint16_t PDIR3L;
            struct {
              __IO uint8_t PDIR3LL;
              __IO uint8_t PDIR3LH;
            };
          };
          union {
            __IO uint16_t PDIR3H;
            struct {
              __IO uint8_t PDIR3HL;
              __IO uint8_t PDIR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR4;
        stc_gpio_pdir4_field_t PDIR4_f;
        struct {
          union {
            __IO uint16_t PDIR4L;
            struct {
              __IO uint8_t PDIR4LL;
              __IO uint8_t PDIR4LH;
            };
          };
          union {
            __IO uint16_t PDIR4H;
            struct {
              __IO uint8_t PDIR4HL;
              __IO uint8_t PDIR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR5;
        struct {
          union {
            __IO uint16_t PDIR5L;
            struct {
              __IO uint8_t PDIR5LL;
              __IO uint8_t PDIR5LH;
            };
          };
          union {
            __IO uint16_t PDIR5H;
            struct {
              __IO uint8_t PDIR5HL;
              __IO uint8_t PDIR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR6;
        stc_gpio_pdir6_field_t PDIR6_f;
        struct {
          union {
            __IO uint16_t PDIR6L;
            struct {
              __IO uint8_t PDIR6LL;
              __IO uint8_t PDIR6LH;
            };
          };
          union {
            __IO uint16_t PDIR6H;
            struct {
              __IO uint8_t PDIR6HL;
              __IO uint8_t PDIR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR7;
        struct {
          union {
            __IO uint16_t PDIR7L;
            struct {
              __IO uint8_t PDIR7LL;
              __IO uint8_t PDIR7LH;
            };
          };
          union {
            __IO uint16_t PDIR7H;
            struct {
              __IO uint8_t PDIR7HL;
              __IO uint8_t PDIR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR8;
        struct {
          union {
            __IO uint16_t PDIR8L;
            struct {
              __IO uint8_t PDIR8LL;
              __IO uint8_t PDIR8LH;
            };
          };
          union {
            __IO uint16_t PDIR8H;
            struct {
              __IO uint8_t PDIR8HL;
              __IO uint8_t PDIR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR9;
        struct {
          union {
            __IO uint16_t PDIR9L;
            struct {
              __IO uint8_t PDIR9LL;
              __IO uint8_t PDIR9LH;
            };
          };
          union {
            __IO uint16_t PDIR9H;
            struct {
              __IO uint8_t PDIR9HL;
              __IO uint8_t PDIR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRA;
        struct {
          union {
            __IO uint16_t PDIRAL;
            struct {
              __IO uint8_t PDIRALL;
              __IO uint8_t PDIRALH;
            };
          };
          union {
            __IO uint16_t PDIRAH;
            struct {
              __IO uint8_t PDIRAHL;
              __IO uint8_t PDIRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRB;
        struct {
          union {
            __IO uint16_t PDIRBL;
            struct {
              __IO uint8_t PDIRBLL;
              __IO uint8_t PDIRBLH;
            };
          };
          union {
            __IO uint16_t PDIRBH;
            struct {
              __IO uint8_t PDIRBHL;
              __IO uint8_t PDIRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRC;
        struct {
          union {
            __IO uint16_t PDIRCL;
            struct {
              __IO uint8_t PDIRCLL;
              __IO uint8_t PDIRCLH;
            };
          };
          union {
            __IO uint16_t PDIRCH;
            struct {
              __IO uint8_t PDIRCHL;
              __IO uint8_t PDIRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRD;
        struct {
          union {
            __IO uint16_t PDIRDL;
            struct {
              __IO uint8_t PDIRDLL;
              __IO uint8_t PDIRDLH;
            };
          };
          union {
            __IO uint16_t PDIRDH;
            struct {
              __IO uint8_t PDIRDHL;
              __IO uint8_t PDIRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRE;
        stc_gpio_pdire_field_t PDIRE_f;
        struct {
          union {
            __IO uint16_t PDIREL;
            struct {
              __IO uint8_t PDIRELL;
              __IO uint8_t PDIRELH;
            };
          };
          union {
            __IO uint16_t PDIREH;
            struct {
              __IO uint8_t PDIREHL;
              __IO uint8_t PDIREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRF;
        struct {
          union {
            __IO uint16_t PDIRFL;
            struct {
              __IO uint8_t PDIRFLL;
              __IO uint8_t PDIRFLH;
            };
          };
          union {
            __IO uint16_t PDIRFH;
            struct {
              __IO uint8_t PDIRFHL;
              __IO uint8_t PDIRFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED4[192];
    union {
        __IO uint32_t PDOR0;
        stc_gpio_pdor0_field_t PDOR0_f;
        struct {
          union {
            __IO uint16_t PDOR0L;
            struct {
              __IO uint8_t PDOR0LL;
              __IO uint8_t PDOR0LH;
            };
          };
          union {
            __IO uint16_t PDOR0H;
            struct {
              __IO uint8_t PDOR0HL;
              __IO uint8_t PDOR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR1;
        stc_gpio_pdor1_field_t PDOR1_f;
        struct {
          union {
            __IO uint16_t PDOR1L;
            struct {
              __IO uint8_t PDOR1LL;
              __IO uint8_t PDOR1LH;
            };
          };
          union {
            __IO uint16_t PDOR1H;
            struct {
              __IO uint8_t PDOR1HL;
              __IO uint8_t PDOR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR2;
        stc_gpio_pdor2_field_t PDOR2_f;
        struct {
          union {
            __IO uint16_t PDOR2L;
            struct {
              __IO uint8_t PDOR2LL;
              __IO uint8_t PDOR2LH;
            };
          };
          union {
            __IO uint16_t PDOR2H;
            struct {
              __IO uint8_t PDOR2HL;
              __IO uint8_t PDOR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR3;
        stc_gpio_pdor3_field_t PDOR3_f;
        struct {
          union {
            __IO uint16_t PDOR3L;
            struct {
              __IO uint8_t PDOR3LL;
              __IO uint8_t PDOR3LH;
            };
          };
          union {
            __IO uint16_t PDOR3H;
            struct {
              __IO uint8_t PDOR3HL;
              __IO uint8_t PDOR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR4;
        stc_gpio_pdor4_field_t PDOR4_f;
        struct {
          union {
            __IO uint16_t PDOR4L;
            struct {
              __IO uint8_t PDOR4LL;
              __IO uint8_t PDOR4LH;
            };
          };
          union {
            __IO uint16_t PDOR4H;
            struct {
              __IO uint8_t PDOR4HL;
              __IO uint8_t PDOR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR5;
        struct {
          union {
            __IO uint16_t PDOR5L;
            struct {
              __IO uint8_t PDOR5LL;
              __IO uint8_t PDOR5LH;
            };
          };
          union {
            __IO uint16_t PDOR5H;
            struct {
              __IO uint8_t PDOR5HL;
              __IO uint8_t PDOR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR6;
        stc_gpio_pdor6_field_t PDOR6_f;
        struct {
          union {
            __IO uint16_t PDOR6L;
            struct {
              __IO uint8_t PDOR6LL;
              __IO uint8_t PDOR6LH;
            };
          };
          union {
            __IO uint16_t PDOR6H;
            struct {
              __IO uint8_t PDOR6HL;
              __IO uint8_t PDOR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR7;
        struct {
          union {
            __IO uint16_t PDOR7L;
            struct {
              __IO uint8_t PDOR7LL;
              __IO uint8_t PDOR7LH;
            };
          };
          union {
            __IO uint16_t PDOR7H;
            struct {
              __IO uint8_t PDOR7HL;
              __IO uint8_t PDOR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR8;
        struct {
          union {
            __IO uint16_t PDOR8L;
            struct {
              __IO uint8_t PDOR8LL;
              __IO uint8_t PDOR8LH;
            };
          };
          union {
            __IO uint16_t PDOR8H;
            struct {
              __IO uint8_t PDOR8HL;
              __IO uint8_t PDOR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR9;
        struct {
          union {
            __IO uint16_t PDOR9L;
            struct {
              __IO uint8_t PDOR9LL;
              __IO uint8_t PDOR9LH;
            };
          };
          union {
            __IO uint16_t PDOR9H;
            struct {
              __IO uint8_t PDOR9HL;
              __IO uint8_t PDOR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORA;
        struct {
          union {
            __IO uint16_t PDORAL;
            struct {
              __IO uint8_t PDORALL;
              __IO uint8_t PDORALH;
            };
          };
          union {
            __IO uint16_t PDORAH;
            struct {
              __IO uint8_t PDORAHL;
              __IO uint8_t PDORAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORB;
        struct {
          union {
            __IO uint16_t PDORBL;
            struct {
              __IO uint8_t PDORBLL;
              __IO uint8_t PDORBLH;
            };
          };
          union {
            __IO uint16_t PDORBH;
            struct {
              __IO uint8_t PDORBHL;
              __IO uint8_t PDORBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORC;
        struct {
          union {
            __IO uint16_t PDORCL;
            struct {
              __IO uint8_t PDORCLL;
              __IO uint8_t PDORCLH;
            };
          };
          union {
            __IO uint16_t PDORCH;
            struct {
              __IO uint8_t PDORCHL;
              __IO uint8_t PDORCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORD;
        struct {
          union {
            __IO uint16_t PDORDL;
            struct {
              __IO uint8_t PDORDLL;
              __IO uint8_t PDORDLH;
            };
          };
          union {
            __IO uint16_t PDORDH;
            struct {
              __IO uint8_t PDORDHL;
              __IO uint8_t PDORDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORE;
        stc_gpio_pdore_field_t PDORE_f;
        struct {
          union {
            __IO uint16_t PDOREL;
            struct {
              __IO uint8_t PDORELL;
              __IO uint8_t PDORELH;
            };
          };
          union {
            __IO uint16_t PDOREH;
            struct {
              __IO uint8_t PDOREHL;
              __IO uint8_t PDOREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORF;
        struct {
          union {
            __IO uint16_t PDORFL;
            struct {
              __IO uint8_t PDORFLL;
              __IO uint8_t PDORFLH;
            };
          };
          union {
            __IO uint16_t PDORFH;
            struct {
              __IO uint8_t PDORFHL;
              __IO uint8_t PDORFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED5[192];
    union {
        __IO uint32_t ADE;
        stc_gpio_ade_field_t ADE_f;
        struct {
          union {
            __IO uint16_t ADEL;
            struct {
              __IO uint8_t ADELL;
              __IO uint8_t ADELH;
            };
          };
          union {
            __IO uint16_t ADEH;
            struct {
              __IO uint8_t ADEHL;
              __IO uint8_t ADEHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED6[124];
    union {
        __IO uint32_t SPSR;
        stc_gpio_spsr_field_t SPSR_f;
        struct {
          union {
            __IO uint16_t SPSRL;
            struct {
              __IO uint8_t SPSRLL;
              __IO uint8_t SPSRLH;
            };
          };
          union {
            __IO uint16_t SPSRH;
            struct {
              __IO uint8_t SPSRHL;
              __IO uint8_t SPSRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED7[124];
    union {
        __IO uint32_t EPFR00;
        stc_gpio_epfr00_field_t EPFR00_f;
        struct {
          union {
            __IO uint16_t EPFR00L;
            struct {
              __IO uint8_t EPFR00LL;
              __IO uint8_t EPFR00LH;
            };
          };
          union {
            __IO uint16_t EPFR00H;
            struct {
              __IO uint8_t EPFR00HL;
              __IO uint8_t EPFR00HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR01;
        stc_gpio_epfr01_field_t EPFR01_f;
        struct {
          union {
            __IO uint16_t EPFR01L;
            struct {
              __IO uint8_t EPFR01LL;
              __IO uint8_t EPFR01LH;
            };
          };
          union {
            __IO uint16_t EPFR01H;
            struct {
              __IO uint8_t EPFR01HL;
              __IO uint8_t EPFR01HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED8[8];
    union {
        __IO uint32_t EPFR04;
        stc_gpio_epfr04_field_t EPFR04_f;
        struct {
          union {
            __IO uint16_t EPFR04L;
            struct {
              __IO uint8_t EPFR04LL;
              __IO uint8_t EPFR04LH;
            };
          };
          union {
            __IO uint16_t EPFR04H;
            struct {
              __IO uint8_t EPFR04HL;
              __IO uint8_t EPFR04HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED9[4];
    union {
        __IO uint32_t EPFR06;
        stc_gpio_epfr06_field_t EPFR06_f;
        struct {
          union {
            __IO uint16_t EPFR06L;
            struct {
              __IO uint8_t EPFR06LL;
              __IO uint8_t EPFR06LH;
            };
          };
          union {
            __IO uint16_t EPFR06H;
            struct {
              __IO uint8_t EPFR06HL;
              __IO uint8_t EPFR06HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR07;
        stc_gpio_epfr07_field_t EPFR07_f;
        struct {
          union {
            __IO uint16_t EPFR07L;
            struct {
              __IO uint8_t EPFR07LL;
              __IO uint8_t EPFR07LH;
            };
          };
          union {
            __IO uint16_t EPFR07H;
            struct {
              __IO uint8_t EPFR07HL;
              __IO uint8_t EPFR07HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED10[4];
    union {
        __IO uint32_t EPFR09;
        stc_gpio_epfr09_field_t EPFR09_f;
        struct {
          union {
            __IO uint16_t EPFR09L;
            struct {
              __IO uint8_t EPFR09LL;
              __IO uint8_t EPFR09LH;
            };
          };
          union {
            __IO uint16_t EPFR09H;
            struct {
              __IO uint8_t EPFR09HL;
              __IO uint8_t EPFR09HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED11[44];
    union {
        __IO uint32_t EPFR21;
        stc_gpio_epfr21_field_t EPFR21_f;
        struct {
          union {
            __IO uint16_t EPFR21L;
            struct {
              __IO uint8_t EPFR21LL;
              __IO uint8_t EPFR21LH;
            };
          };
          union {
            __IO uint16_t EPFR21H;
            struct {
              __IO uint8_t EPFR21HL;
              __IO uint8_t EPFR21HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR22;
        stc_gpio_epfr22_field_t EPFR22_f;
        struct {
          union {
            __IO uint16_t EPFR22L;
            struct {
              __IO uint8_t EPFR22LL;
              __IO uint8_t EPFR22LH;
            };
          };
          union {
            __IO uint16_t EPFR22H;
            struct {
              __IO uint8_t EPFR22HL;
              __IO uint8_t EPFR22HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED12[164];
    union {
        __IO uint32_t PZR0;
        stc_gpio_pzr0_field_t PZR0_f;
        struct {
          union {
            __IO uint16_t PZR0L;
            struct {
              __IO uint8_t PZR0LL;
              __IO uint8_t PZR0LH;
            };
          };
          union {
            __IO uint16_t PZR0H;
            struct {
              __IO uint8_t PZR0HL;
              __IO uint8_t PZR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR1;
        stc_gpio_pzr1_field_t PZR1_f;
        struct {
          union {
            __IO uint16_t PZR1L;
            struct {
              __IO uint8_t PZR1LL;
              __IO uint8_t PZR1LH;
            };
          };
          union {
            __IO uint16_t PZR1H;
            struct {
              __IO uint8_t PZR1HL;
              __IO uint8_t PZR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR2;
        stc_gpio_pzr2_field_t PZR2_f;
        struct {
          union {
            __IO uint16_t PZR2L;
            struct {
              __IO uint8_t PZR2LL;
              __IO uint8_t PZR2LH;
            };
          };
          union {
            __IO uint16_t PZR2H;
            struct {
              __IO uint8_t PZR2HL;
              __IO uint8_t PZR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR3;
        stc_gpio_pzr3_field_t PZR3_f;
        struct {
          union {
            __IO uint16_t PZR3L;
            struct {
              __IO uint8_t PZR3LL;
              __IO uint8_t PZR3LH;
            };
          };
          union {
            __IO uint16_t PZR3H;
            struct {
              __IO uint8_t PZR3HL;
              __IO uint8_t PZR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR4;
        stc_gpio_pzr4_field_t PZR4_f;
        struct {
          union {
            __IO uint16_t PZR4L;
            struct {
              __IO uint8_t PZR4LL;
              __IO uint8_t PZR4LH;
            };
          };
          union {
            __IO uint16_t PZR4H;
            struct {
              __IO uint8_t PZR4HL;
              __IO uint8_t PZR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR5;
        struct {
          union {
            __IO uint16_t PZR5L;
            struct {
              __IO uint8_t PZR5LL;
              __IO uint8_t PZR5LH;
            };
          };
          union {
            __IO uint16_t PZR5H;
            struct {
              __IO uint8_t PZR5HL;
              __IO uint8_t PZR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR6;
        stc_gpio_pzr6_field_t PZR6_f;
        struct {
          union {
            __IO uint16_t PZR6L;
            struct {
              __IO uint8_t PZR6LL;
              __IO uint8_t PZR6LH;
            };
          };
          union {
            __IO uint16_t PZR6H;
            struct {
              __IO uint8_t PZR6HL;
              __IO uint8_t PZR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR7;
        struct {
          union {
            __IO uint16_t PZR7L;
            struct {
              __IO uint8_t PZR7LL;
              __IO uint8_t PZR7LH;
            };
          };
          union {
            __IO uint16_t PZR7H;
            struct {
              __IO uint8_t PZR7HL;
              __IO uint8_t PZR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR8;
        struct {
          union {
            __IO uint16_t PZR8L;
            struct {
              __IO uint8_t PZR8LL;
              __IO uint8_t PZR8LH;
            };
          };
          union {
            __IO uint16_t PZR8H;
            struct {
              __IO uint8_t PZR8HL;
              __IO uint8_t PZR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR9;
        struct {
          union {
            __IO uint16_t PZR9L;
            struct {
              __IO uint8_t PZR9LL;
              __IO uint8_t PZR9LH;
            };
          };
          union {
            __IO uint16_t PZR9H;
            struct {
              __IO uint8_t PZR9HL;
              __IO uint8_t PZR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRA;
        struct {
          union {
            __IO uint16_t PZRAL;
            struct {
              __IO uint8_t PZRALL;
              __IO uint8_t PZRALH;
            };
          };
          union {
            __IO uint16_t PZRAH;
            struct {
              __IO uint8_t PZRAHL;
              __IO uint8_t PZRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRB;
        struct {
          union {
            __IO uint16_t PZRBL;
            struct {
              __IO uint8_t PZRBLL;
              __IO uint8_t PZRBLH;
            };
          };
          union {
            __IO uint16_t PZRBH;
            struct {
              __IO uint8_t PZRBHL;
              __IO uint8_t PZRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRC;
        struct {
          union {
            __IO uint16_t PZRCL;
            struct {
              __IO uint8_t PZRCLL;
              __IO uint8_t PZRCLH;
            };
          };
          union {
            __IO uint16_t PZRCH;
            struct {
              __IO uint8_t PZRCHL;
              __IO uint8_t PZRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRD;
        struct {
          union {
            __IO uint16_t PZRDL;
            struct {
              __IO uint8_t PZRDLL;
              __IO uint8_t PZRDLH;
            };
          };
          union {
            __IO uint16_t PZRDH;
            struct {
              __IO uint8_t PZRDHL;
              __IO uint8_t PZRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRE;
        stc_gpio_pzre_field_t PZRE_f;
        struct {
          union {
            __IO uint16_t PZREL;
            struct {
              __IO uint8_t PZRELL;
              __IO uint8_t PZRELH;
            };
          };
          union {
            __IO uint16_t PZREH;
            struct {
              __IO uint8_t PZREHL;
              __IO uint8_t PZREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRF;
        struct {
          union {
            __IO uint16_t PZRFL;
            struct {
              __IO uint8_t PZRFLL;
              __IO uint8_t PZRFLH;
            };
          };
          union {
            __IO uint16_t PZRFH;
            struct {
              __IO uint8_t PZRFHL;
              __IO uint8_t PZRFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED13[448];
    union {
        __IO uint32_t FPOER0;
        stc_gpio_fpoer0_field_t FPOER0_f;
        struct {
          union {
            __IO uint16_t FPOER0L;
            struct {
              __IO uint8_t FPOER0LL;
              __IO uint8_t FPOER0LH;
            };
          };
          union {
            __IO uint16_t FPOER0H;
            struct {
              __IO uint8_t FPOER0HL;
              __IO uint8_t FPOER0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOER1;
        stc_gpio_fpoer1_field_t FPOER1_f;
        struct {
          union {
            __IO uint16_t FPOER1L;
            struct {
              __IO uint8_t FPOER1LL;
              __IO uint8_t FPOER1LH;
            };
          };
          union {
            __IO uint16_t FPOER1H;
            struct {
              __IO uint8_t FPOER1HL;
              __IO uint8_t FPOER1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOER2;
        stc_gpio_fpoer2_field_t FPOER2_f;
        struct {
          union {
            __IO uint16_t FPOER2L;
            struct {
              __IO uint8_t FPOER2LL;
              __IO uint8_t FPOER2LH;
            };
          };
          union {
            __IO uint16_t FPOER2H;
            struct {
              __IO uint8_t FPOER2HL;
              __IO uint8_t FPOER2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOER3;
        stc_gpio_fpoer3_field_t FPOER3_f;
        struct {
          union {
            __IO uint16_t FPOER3L;
            struct {
              __IO uint8_t FPOER3LL;
              __IO uint8_t FPOER3LH;
            };
          };
          union {
            __IO uint16_t FPOER3H;
            struct {
              __IO uint8_t FPOER3HL;
              __IO uint8_t FPOER3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOER4;
        stc_gpio_fpoer4_field_t FPOER4_f;
        struct {
          union {
            __IO uint16_t FPOER4L;
            struct {
              __IO uint8_t FPOER4LL;
              __IO uint8_t FPOER4LH;
            };
          };
          union {
            __IO uint16_t FPOER4H;
            struct {
              __IO uint8_t FPOER4HL;
              __IO uint8_t FPOER4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOER5;
        struct {
          union {
            __IO uint16_t FPOER5L;
            struct {
              __IO uint8_t FPOER5LL;
              __IO uint8_t FPOER5LH;
            };
          };
          union {
            __IO uint16_t FPOER5H;
            struct {
              __IO uint8_t FPOER5HL;
              __IO uint8_t FPOER5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOER6;
        stc_gpio_fpoer6_field_t FPOER6_f;
        struct {
          union {
            __IO uint16_t FPOER6L;
            struct {
              __IO uint8_t FPOER6LL;
              __IO uint8_t FPOER6LH;
            };
          };
          union {
            __IO uint16_t FPOER6H;
            struct {
              __IO uint8_t FPOER6HL;
              __IO uint8_t FPOER6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOER7;
        struct {
          union {
            __IO uint16_t FPOER7L;
            struct {
              __IO uint8_t FPOER7LL;
              __IO uint8_t FPOER7LH;
            };
          };
          union {
            __IO uint16_t FPOER7H;
            struct {
              __IO uint8_t FPOER7HL;
              __IO uint8_t FPOER7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOER8;
        struct {
          union {
            __IO uint16_t FPOER8L;
            struct {
              __IO uint8_t FPOER8LL;
              __IO uint8_t FPOER8LH;
            };
          };
          union {
            __IO uint16_t FPOER8H;
            struct {
              __IO uint8_t FPOER8HL;
              __IO uint8_t FPOER8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOER9;
        struct {
          union {
            __IO uint16_t FPOER9L;
            struct {
              __IO uint8_t FPOER9LL;
              __IO uint8_t FPOER9LH;
            };
          };
          union {
            __IO uint16_t FPOER9H;
            struct {
              __IO uint8_t FPOER9HL;
              __IO uint8_t FPOER9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOERA;
        struct {
          union {
            __IO uint16_t FPOERAL;
            struct {
              __IO uint8_t FPOERALL;
              __IO uint8_t FPOERALH;
            };
          };
          union {
            __IO uint16_t FPOERAH;
            struct {
              __IO uint8_t FPOERAHL;
              __IO uint8_t FPOERAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOERB;
        struct {
          union {
            __IO uint16_t FPOERBL;
            struct {
              __IO uint8_t FPOERBLL;
              __IO uint8_t FPOERBLH;
            };
          };
          union {
            __IO uint16_t FPOERBH;
            struct {
              __IO uint8_t FPOERBHL;
              __IO uint8_t FPOERBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOERC;
        struct {
          union {
            __IO uint16_t FPOERCL;
            struct {
              __IO uint8_t FPOERCLL;
              __IO uint8_t FPOERCLH;
            };
          };
          union {
            __IO uint16_t FPOERCH;
            struct {
              __IO uint8_t FPOERCHL;
              __IO uint8_t FPOERCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOERD;
        struct {
          union {
            __IO uint16_t FPOERDL;
            struct {
              __IO uint8_t FPOERDLL;
              __IO uint8_t FPOERDLH;
            };
          };
          union {
            __IO uint16_t FPOERDH;
            struct {
              __IO uint8_t FPOERDHL;
              __IO uint8_t FPOERDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOERE;
        stc_gpio_fpoere_field_t FPOERE_f;
        struct {
          union {
            __IO uint16_t FPOEREL;
            struct {
              __IO uint8_t FPOERELL;
              __IO uint8_t FPOERELH;
            };
          };
          union {
            __IO uint16_t FPOEREH;
            struct {
              __IO uint8_t FPOEREHL;
              __IO uint8_t FPOEREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOERF;
        struct {
          union {
            __IO uint16_t FPOERFL;
            struct {
              __IO uint8_t FPOERFLL;
              __IO uint8_t FPOERFLH;
            };
          };
          union {
            __IO uint16_t FPOERFH;
            struct {
              __IO uint8_t FPOERFHL;
              __IO uint8_t FPOERFHH;
            };
          };
        };
    };
} FM_GPIO_TypeDef, FM0P_GPIO_TypeDef;

/******************************************************************************
 ** HWWDT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t WDG_LDR;
        struct {
          union {
            __IO uint16_t WDG_LDRL;
            struct {
              __IO uint8_t WDG_LDRLL;
              __IO uint8_t WDG_LDRLH;
            };
          };
          union {
            __IO uint16_t WDG_LDRH;
            struct {
              __IO uint8_t WDG_LDRHL;
              __IO uint8_t WDG_LDRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDG_VLR;
        struct {
          union {
            __IO uint16_t WDG_VLRL;
            struct {
              __IO uint8_t WDG_VLRLL;
              __IO uint8_t WDG_VLRLH;
            };
          };
          union {
            __IO uint16_t WDG_VLRH;
            struct {
              __IO uint8_t WDG_VLRHL;
              __IO uint8_t WDG_VLRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDG_CTL;
        stc_hwwdt_wdg_ctl_field_t WDG_CTL_f;
        struct {
          union {
            __IO uint16_t WDG_CTLL;
            struct {
              __IO uint8_t WDG_CTLLL;
              __IO uint8_t WDG_CTLLH;
            };
          };
          union {
            __IO uint16_t WDG_CTLH;
            struct {
              __IO uint8_t WDG_CTLHL;
              __IO uint8_t WDG_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDG_ICL;
        struct {
          union {
            __IO uint16_t WDG_ICLL;
            struct {
              __IO uint8_t WDG_ICLLL;
              __IO uint8_t WDG_ICLLH;
            };
          };
          union {
            __IO uint16_t WDG_ICLH;
            struct {
              __IO uint8_t WDG_ICLHL;
              __IO uint8_t WDG_ICLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDG_RIS;
        stc_hwwdt_wdg_ris_field_t WDG_RIS_f;
        struct {
          union {
            __IO uint16_t WDG_RISL;
            struct {
              __IO uint8_t WDG_RISLL;
              __IO uint8_t WDG_RISLH;
            };
          };
          union {
            __IO uint16_t WDG_RISH;
            struct {
              __IO uint8_t WDG_RISHL;
              __IO uint8_t WDG_RISHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[3052];
    union {
        __IO uint32_t WDG_LCK;
        struct {
          union {
            __IO uint16_t WDG_LCKL;
            struct {
              __IO uint8_t WDG_LCKLL;
              __IO uint8_t WDG_LCKLH;
            };
          };
          union {
            __IO uint16_t WDG_LCKH;
            struct {
              __IO uint8_t WDG_LCKHL;
              __IO uint8_t WDG_LCKHH;
            };
          };
        };
    };
} FM_HWWDT_TypeDef, FM0P_HWWDT_TypeDef;

/******************************************************************************
 ** INTREQ_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t DRQSEL;
        stc_intreq_drqsel_field_t DRQSEL_f;
        struct {
          union {
            __IO uint16_t DRQSELL;
            struct {
              __IO uint8_t DRQSELLL;
              __IO uint8_t DRQSELLH;
            };
          };
          union {
            __IO uint16_t DRQSELH;
            struct {
              __IO uint8_t DRQSELHL;
              __IO uint8_t DRQSELHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[8];
    union {
        __IO uint32_t IRQCMODE;
        stc_intreq_irqcmode_field_t IRQCMODE_f;
        struct {
          union {
            __IO uint16_t IRQCMODEL;
            struct {
              __IO uint8_t IRQCMODELL;
              __IO uint8_t IRQCMODELH;
            };
          };
          union {
            __IO uint16_t IRQCMODEH;
            struct {
              __IO uint8_t IRQCMODEHL;
              __IO uint8_t IRQCMODEHH;
            };
          };
        };
    };
    union {
        __IO uint32_t EXC02MON;
        stc_intreq_exc02mon_field_t EXC02MON_f;
        struct {
          union {
            __IO uint16_t EXC02MONL;
            struct {
              __IO uint8_t EXC02MONLL;
              __IO uint8_t EXC02MONLH;
            };
          };
          union {
            __IO uint16_t EXC02MONH;
            struct {
              __IO uint8_t EXC02MONHL;
              __IO uint8_t EXC02MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ00MON;
        stc_intreq_irq00mon_field_t IRQ00MON_f;
        struct {
          union {
            __IO uint16_t IRQ00MONL;
            struct {
              __IO uint8_t IRQ00MONLL;
              __IO uint8_t IRQ00MONLH;
            };
          };
          union {
            __IO uint16_t IRQ00MONH;
            struct {
              __IO uint8_t IRQ00MONHL;
              __IO uint8_t IRQ00MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ01MON;
        stc_intreq_irq01mon_field_t IRQ01MON_f;
        struct {
          union {
            __IO uint16_t IRQ01MONL;
            struct {
              __IO uint8_t IRQ01MONLL;
              __IO uint8_t IRQ01MONLH;
            };
          };
          union {
            __IO uint16_t IRQ01MONH;
            struct {
              __IO uint8_t IRQ01MONHL;
              __IO uint8_t IRQ01MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ02MON;
        stc_intreq_irq02mon_field_t IRQ02MON_f;
        struct {
          union {
            __IO uint16_t IRQ02MONL;
            struct {
              __IO uint8_t IRQ02MONLL;
              __IO uint8_t IRQ02MONLH;
            };
          };
          union {
            __IO uint16_t IRQ02MONH;
            struct {
              __IO uint8_t IRQ02MONHL;
              __IO uint8_t IRQ02MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ03MON;
        stc_intreq_irq03mon_field_t IRQ03MON_f;
        struct {
          union {
            __IO uint16_t IRQ03MONL;
            struct {
              __IO uint8_t IRQ03MONLL;
              __IO uint8_t IRQ03MONLH;
            };
          };
          union {
            __IO uint16_t IRQ03MONH;
            struct {
              __IO uint8_t IRQ03MONHL;
              __IO uint8_t IRQ03MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ04MON;
        stc_intreq_irq04mon_field_t IRQ04MON_f;
        struct {
          union {
            __IO uint16_t IRQ04MONL;
            struct {
              __IO uint8_t IRQ04MONLL;
              __IO uint8_t IRQ04MONLH;
            };
          };
          union {
            __IO uint16_t IRQ04MONH;
            struct {
              __IO uint8_t IRQ04MONHL;
              __IO uint8_t IRQ04MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ05MON;
        stc_intreq_irq05mon_field_t IRQ05MON_f;
        struct {
          union {
            __IO uint16_t IRQ05MONL;
            struct {
              __IO uint8_t IRQ05MONLL;
              __IO uint8_t IRQ05MONLH;
            };
          };
          union {
            __IO uint16_t IRQ05MONH;
            struct {
              __IO uint8_t IRQ05MONHL;
              __IO uint8_t IRQ05MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ06MON;
        stc_intreq_irq06mon_field_t IRQ06MON_f;
        struct {
          union {
            __IO uint16_t IRQ06MONL;
            struct {
              __IO uint8_t IRQ06MONLL;
              __IO uint8_t IRQ06MONLH;
            };
          };
          union {
            __IO uint16_t IRQ06MONH;
            struct {
              __IO uint8_t IRQ06MONHL;
              __IO uint8_t IRQ06MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ07MON;
        stc_intreq_irq07mon_field_t IRQ07MON_f;
        struct {
          union {
            __IO uint16_t IRQ07MONL;
            struct {
              __IO uint8_t IRQ07MONLL;
              __IO uint8_t IRQ07MONLH;
            };
          };
          union {
            __IO uint16_t IRQ07MONH;
            struct {
              __IO uint8_t IRQ07MONHL;
              __IO uint8_t IRQ07MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ08MON;
        stc_intreq_irq08mon_field_t IRQ08MON_f;
        struct {
          union {
            __IO uint16_t IRQ08MONL;
            struct {
              __IO uint8_t IRQ08MONLL;
              __IO uint8_t IRQ08MONLH;
            };
          };
          union {
            __IO uint16_t IRQ08MONH;
            struct {
              __IO uint8_t IRQ08MONHL;
              __IO uint8_t IRQ08MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ09MON;
        stc_intreq_irq09mon_field_t IRQ09MON_f;
        struct {
          union {
            __IO uint16_t IRQ09MONL;
            struct {
              __IO uint8_t IRQ09MONLL;
              __IO uint8_t IRQ09MONLH;
            };
          };
          union {
            __IO uint16_t IRQ09MONH;
            struct {
              __IO uint8_t IRQ09MONHL;
              __IO uint8_t IRQ09MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ10MON;
        stc_intreq_irq10mon_field_t IRQ10MON_f;
        struct {
          union {
            __IO uint16_t IRQ10MONL;
            struct {
              __IO uint8_t IRQ10MONLL;
              __IO uint8_t IRQ10MONLH;
            };
          };
          union {
            __IO uint16_t IRQ10MONH;
            struct {
              __IO uint8_t IRQ10MONHL;
              __IO uint8_t IRQ10MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ11MON;
        stc_intreq_irq11mon_field_t IRQ11MON_f;
        struct {
          union {
            __IO uint16_t IRQ11MONL;
            struct {
              __IO uint8_t IRQ11MONLL;
              __IO uint8_t IRQ11MONLH;
            };
          };
          union {
            __IO uint16_t IRQ11MONH;
            struct {
              __IO uint8_t IRQ11MONHL;
              __IO uint8_t IRQ11MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ12MON;
        stc_intreq_irq12mon_field_t IRQ12MON_f;
        struct {
          union {
            __IO uint16_t IRQ12MONL;
            struct {
              __IO uint8_t IRQ12MONLL;
              __IO uint8_t IRQ12MONLH;
            };
          };
          union {
            __IO uint16_t IRQ12MONH;
            struct {
              __IO uint8_t IRQ12MONHL;
              __IO uint8_t IRQ12MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ13MON;
        stc_intreq_irq13mon_field_t IRQ13MON_f;
        struct {
          union {
            __IO uint16_t IRQ13MONL;
            struct {
              __IO uint8_t IRQ13MONLL;
              __IO uint8_t IRQ13MONLH;
            };
          };
          union {
            __IO uint16_t IRQ13MONH;
            struct {
              __IO uint8_t IRQ13MONHL;
              __IO uint8_t IRQ13MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ14MON;
        stc_intreq_irq14mon_field_t IRQ14MON_f;
        struct {
          union {
            __IO uint16_t IRQ14MONL;
            struct {
              __IO uint8_t IRQ14MONLL;
              __IO uint8_t IRQ14MONLH;
            };
          };
          union {
            __IO uint16_t IRQ14MONH;
            struct {
              __IO uint8_t IRQ14MONHL;
              __IO uint8_t IRQ14MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ15MON;
        stc_intreq_irq15mon_field_t IRQ15MON_f;
        struct {
          union {
            __IO uint16_t IRQ15MONL;
            struct {
              __IO uint8_t IRQ15MONLL;
              __IO uint8_t IRQ15MONLH;
            };
          };
          union {
            __IO uint16_t IRQ15MONH;
            struct {
              __IO uint8_t IRQ15MONHL;
              __IO uint8_t IRQ15MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ16MON;
        stc_intreq_irq16mon_field_t IRQ16MON_f;
        struct {
          union {
            __IO uint16_t IRQ16MONL;
            struct {
              __IO uint8_t IRQ16MONLL;
              __IO uint8_t IRQ16MONLH;
            };
          };
          union {
            __IO uint16_t IRQ16MONH;
            struct {
              __IO uint8_t IRQ16MONHL;
              __IO uint8_t IRQ16MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ17MON;
        stc_intreq_irq17mon_field_t IRQ17MON_f;
        struct {
          union {
            __IO uint16_t IRQ17MONL;
            struct {
              __IO uint8_t IRQ17MONLL;
              __IO uint8_t IRQ17MONLH;
            };
          };
          union {
            __IO uint16_t IRQ17MONH;
            struct {
              __IO uint8_t IRQ17MONHL;
              __IO uint8_t IRQ17MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ18MON;
        stc_intreq_irq18mon_field_t IRQ18MON_f;
        struct {
          union {
            __IO uint16_t IRQ18MONL;
            struct {
              __IO uint8_t IRQ18MONLL;
              __IO uint8_t IRQ18MONLH;
            };
          };
          union {
            __IO uint16_t IRQ18MONH;
            struct {
              __IO uint8_t IRQ18MONHL;
              __IO uint8_t IRQ18MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ19MON;
        stc_intreq_irq19mon_field_t IRQ19MON_f;
        struct {
          union {
            __IO uint16_t IRQ19MONL;
            struct {
              __IO uint8_t IRQ19MONLL;
              __IO uint8_t IRQ19MONLH;
            };
          };
          union {
            __IO uint16_t IRQ19MONH;
            struct {
              __IO uint8_t IRQ19MONHL;
              __IO uint8_t IRQ19MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ20MON;
        stc_intreq_irq20mon_field_t IRQ20MON_f;
        struct {
          union {
            __IO uint16_t IRQ20MONL;
            struct {
              __IO uint8_t IRQ20MONLL;
              __IO uint8_t IRQ20MONLH;
            };
          };
          union {
            __IO uint16_t IRQ20MONH;
            struct {
              __IO uint8_t IRQ20MONHL;
              __IO uint8_t IRQ20MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ21MON;
        stc_intreq_irq21mon_field_t IRQ21MON_f;
        struct {
          union {
            __IO uint16_t IRQ21MONL;
            struct {
              __IO uint8_t IRQ21MONLL;
              __IO uint8_t IRQ21MONLH;
            };
          };
          union {
            __IO uint16_t IRQ21MONH;
            struct {
              __IO uint8_t IRQ21MONHL;
              __IO uint8_t IRQ21MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ22MON;
        stc_intreq_irq22mon_field_t IRQ22MON_f;
        struct {
          union {
            __IO uint16_t IRQ22MONL;
            struct {
              __IO uint8_t IRQ22MONLL;
              __IO uint8_t IRQ22MONLH;
            };
          };
          union {
            __IO uint16_t IRQ22MONH;
            struct {
              __IO uint8_t IRQ22MONHL;
              __IO uint8_t IRQ22MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ23MON;
        stc_intreq_irq23mon_field_t IRQ23MON_f;
        struct {
          union {
            __IO uint16_t IRQ23MONL;
            struct {
              __IO uint8_t IRQ23MONLL;
              __IO uint8_t IRQ23MONLH;
            };
          };
          union {
            __IO uint16_t IRQ23MONH;
            struct {
              __IO uint8_t IRQ23MONHL;
              __IO uint8_t IRQ23MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ24MON;
        stc_intreq_irq24mon_field_t IRQ24MON_f;
        struct {
          union {
            __IO uint16_t IRQ24MONL;
            struct {
              __IO uint8_t IRQ24MONLL;
              __IO uint8_t IRQ24MONLH;
            };
          };
          union {
            __IO uint16_t IRQ24MONH;
            struct {
              __IO uint8_t IRQ24MONHL;
              __IO uint8_t IRQ24MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ25MON;
        stc_intreq_irq25mon_field_t IRQ25MON_f;
        struct {
          union {
            __IO uint16_t IRQ25MONL;
            struct {
              __IO uint8_t IRQ25MONLL;
              __IO uint8_t IRQ25MONLH;
            };
          };
          union {
            __IO uint16_t IRQ25MONH;
            struct {
              __IO uint8_t IRQ25MONHL;
              __IO uint8_t IRQ25MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ26MON;
        stc_intreq_irq26mon_field_t IRQ26MON_f;
        struct {
          union {
            __IO uint16_t IRQ26MONL;
            struct {
              __IO uint8_t IRQ26MONLL;
              __IO uint8_t IRQ26MONLH;
            };
          };
          union {
            __IO uint16_t IRQ26MONH;
            struct {
              __IO uint8_t IRQ26MONHL;
              __IO uint8_t IRQ26MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ27MON;
        stc_intreq_irq27mon_field_t IRQ27MON_f;
        struct {
          union {
            __IO uint16_t IRQ27MONL;
            struct {
              __IO uint8_t IRQ27MONLL;
              __IO uint8_t IRQ27MONLH;
            };
          };
          union {
            __IO uint16_t IRQ27MONH;
            struct {
              __IO uint8_t IRQ27MONHL;
              __IO uint8_t IRQ27MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ28MON;
        stc_intreq_irq28mon_field_t IRQ28MON_f;
        struct {
          union {
            __IO uint16_t IRQ28MONL;
            struct {
              __IO uint8_t IRQ28MONLL;
              __IO uint8_t IRQ28MONLH;
            };
          };
          union {
            __IO uint16_t IRQ28MONH;
            struct {
              __IO uint8_t IRQ28MONHL;
              __IO uint8_t IRQ28MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ29MON;
        stc_intreq_irq29mon_field_t IRQ29MON_f;
        struct {
          union {
            __IO uint16_t IRQ29MONL;
            struct {
              __IO uint8_t IRQ29MONLL;
              __IO uint8_t IRQ29MONLH;
            };
          };
          union {
            __IO uint16_t IRQ29MONH;
            struct {
              __IO uint8_t IRQ29MONHL;
              __IO uint8_t IRQ29MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ30MON;
        stc_intreq_irq30mon_field_t IRQ30MON_f;
        struct {
          union {
            __IO uint16_t IRQ30MONL;
            struct {
              __IO uint8_t IRQ30MONLL;
              __IO uint8_t IRQ30MONLH;
            };
          };
          union {
            __IO uint16_t IRQ30MONH;
            struct {
              __IO uint8_t IRQ30MONHL;
              __IO uint8_t IRQ30MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ31MON;
        stc_intreq_irq31mon_field_t IRQ31MON_f;
        struct {
          union {
            __IO uint16_t IRQ31MONL;
            struct {
              __IO uint8_t IRQ31MONLL;
              __IO uint8_t IRQ31MONLH;
            };
          };
          union {
            __IO uint16_t IRQ31MONH;
            struct {
              __IO uint8_t IRQ31MONHL;
              __IO uint8_t IRQ31MONHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[380];
    union {
        __IO uint32_t RCINTSEL0;
        stc_intreq_rcintsel0_field_t RCINTSEL0_f;
        struct {
          union {
            __IO uint16_t RCINTSEL0L;
            struct {
              __IO uint8_t RCINTSEL0LL;
              __IO uint8_t RCINTSEL0LH;
            };
          };
          union {
            __IO uint16_t RCINTSEL0H;
            struct {
              __IO uint8_t RCINTSEL0HL;
              __IO uint8_t RCINTSEL0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t RCINTSEL1;
        stc_intreq_rcintsel1_field_t RCINTSEL1_f;
        struct {
          union {
            __IO uint16_t RCINTSEL1L;
            struct {
              __IO uint8_t RCINTSEL1LL;
              __IO uint8_t RCINTSEL1LH;
            };
          };
          union {
            __IO uint16_t RCINTSEL1H;
            struct {
              __IO uint8_t RCINTSEL1HL;
              __IO uint8_t RCINTSEL1HH;
            };
          };
        };
    };
} FM_INTREQ_TypeDef, FM0P_INTREQ_TypeDef;

/******************************************************************************
 ** LSCRP_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t LCR_PRSLD;
        stc_lscrp_lcr_prsld_field_t LCR_PRSLD_f;
    };
} FM_LSCRP_TypeDef, FM0P_LSCRP_TypeDef;

/******************************************************************************
 ** LVD_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t LVD_CTL;
        stc_lvd_lvd_ctl_field_t LVD_CTL_f;
        struct {
            __IO  uint8_t LVD_CTLL;
            __IO  uint8_t LVD_CTLH;
        };
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO  uint8_t LVD_STR;
        stc_lvd_lvd_str_field_t LVD_STR_f;
    };
        __IO  uint8_t RESERVED1[3];
    union {
        __IO  uint8_t LVD_CLR;
        stc_lvd_lvd_clr_field_t LVD_CLR_f;
    };
        __IO  uint8_t RESERVED2[3];
    union {
        __IO uint32_t LVD_RLR;
        stc_lvd_lvd_rlr_field_t LVD_RLR_f;
        struct {
          union {
            __IO uint16_t LVD_RLRL;
            struct {
              __IO uint8_t LVD_RLRLL;
              __IO uint8_t LVD_RLRLH;
            };
          };
          union {
            __IO uint16_t LVD_RLRH;
            struct {
              __IO uint8_t LVD_RLRHL;
              __IO uint8_t LVD_RLRHH;
            };
          };
        };
    };
    union {
        __IO  uint8_t LVD_STR2;
        stc_lvd_lvd_str2_field_t LVD_STR2_f;
    };
} FM_LVD_TypeDef, FM0P_LVD_TypeDef;

/******************************************************************************
 ** MFS_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_smr_field_t SMR_f;
        __IO  uint8_t CSIO_SMR;
        stc_mfs_csio_smr_field_t CSIO_SMR_f;
        __IO  uint8_t I2C_SMR;
        stc_mfs_i2c_smr_field_t I2C_SMR_f;
        __IO  uint8_t LIN_SMR;
        stc_mfs_lin_smr_field_t LIN_SMR_f;
        __IO  uint8_t UART_SMR;
        stc_mfs_uart_smr_field_t UART_SMR_f;
    };
    union {
        __IO  uint8_t SCR;
        stc_mfs_scr_field_t SCR_f;
        __IO  uint8_t CSIO_SCR;
        stc_mfs_csio_scr_field_t CSIO_SCR_f;
        __IO  uint8_t IBCR;
        stc_mfs_ibcr_field_t IBCR_f;
        __IO  uint8_t I2C_IBCR;
        stc_mfs_i2c_ibcr_field_t I2C_IBCR_f;
        __IO  uint8_t LIN_SCR;
        stc_mfs_lin_scr_field_t LIN_SCR_f;
        __IO  uint8_t UART_SCR;
        stc_mfs_uart_scr_field_t UART_SCR_f;
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO  uint8_t ESCR;
        stc_mfs_escr_field_t ESCR_f;
        __IO  uint8_t CSIO_ESCR;
        stc_mfs_csio_escr_field_t CSIO_ESCR_f;
        __IO  uint8_t IBSR;
        stc_mfs_ibsr_field_t IBSR_f;
        __IO  uint8_t I2C_IBSR;
        stc_mfs_i2c_ibsr_field_t I2C_IBSR_f;
        __IO  uint8_t LIN_ESCR;
        stc_mfs_lin_escr_field_t LIN_ESCR_f;
        __IO  uint8_t UART_ESCR;
        stc_mfs_uart_escr_field_t UART_ESCR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_ssr_field_t SSR_f;
        __IO  uint8_t CSIO_SSR;
        stc_mfs_csio_ssr_field_t CSIO_SSR_f;
        __IO  uint8_t I2C_SSR;
        stc_mfs_i2c_ssr_field_t I2C_SSR_f;
        __IO  uint8_t LIN_SSR;
        stc_mfs_lin_ssr_field_t LIN_SSR_f;
        __IO  uint8_t UART_SSR;
        stc_mfs_uart_ssr_field_t UART_SSR_f;
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO uint16_t RDR;
        stc_mfs_rdr_field_t RDR_f;
        struct {
            __IO  uint8_t RDRL;
            __IO  uint8_t RDRH;
        };
        __IO uint16_t CSIO_RDR;
        stc_mfs_csio_rdr_field_t CSIO_RDR_f;
        struct {
            __IO  uint8_t CSIO_RDRL;
            __IO  uint8_t CSIO_RDRH;
        };
        __IO uint16_t TDR;
        stc_mfs_tdr_field_t TDR_f;
        struct {
            __IO  uint8_t TDRL;
            __IO  uint8_t TDRH;
        };
        __IO uint16_t CSIO_TDR;
        stc_mfs_csio_tdr_field_t CSIO_TDR_f;
        struct {
            __IO  uint8_t CSIO_TDRL;
            __IO  uint8_t CSIO_TDRH;
        };
        __IO uint16_t I2C_RDR;
        stc_mfs_i2c_rdr_field_t I2C_RDR_f;
        struct {
            __IO  uint8_t I2C_RDRL;
            __IO  uint8_t I2C_RDRH;
        };
        __IO uint16_t I2C_TDR;
        stc_mfs_i2c_tdr_field_t I2C_TDR_f;
        struct {
            __IO  uint8_t I2C_TDRL;
            __IO  uint8_t I2C_TDRH;
        };
        __IO uint16_t LIN_RDR;
        stc_mfs_lin_rdr_field_t LIN_RDR_f;
        struct {
            __IO  uint8_t LIN_RDRL;
            __IO  uint8_t LIN_RDRH;
        };
        __IO uint16_t LIN_TDR;
        stc_mfs_lin_tdr_field_t LIN_TDR_f;
        struct {
            __IO  uint8_t LIN_TDRL;
            __IO  uint8_t LIN_TDRH;
        };
        __IO uint16_t UART_RDR;
        stc_mfs_uart_rdr_field_t UART_RDR_f;
        struct {
            __IO  uint8_t UART_RDRL;
            __IO  uint8_t UART_RDRH;
        };
        __IO uint16_t UART_TDR;
        stc_mfs_uart_tdr_field_t UART_TDR_f;
        struct {
            __IO  uint8_t UART_TDRL;
            __IO  uint8_t UART_TDRH;
        };
    };
        __IO  uint8_t RESERVED2[2];
    union {
        __IO uint16_t BGR;
        stc_mfs_bgr_field_t BGR_f;
        struct {
            __IO  uint8_t BGRL;
            __IO  uint8_t BGRH;
        };
        __IO uint16_t CSIO_BGR;
        stc_mfs_csio_bgr_field_t CSIO_BGR_f;
        struct {
            __IO  uint8_t CSIO_BGRL;
            __IO  uint8_t CSIO_BGRH;
        };
        __IO uint16_t I2C_BGR;
        stc_mfs_i2c_bgr_field_t I2C_BGR_f;
        struct {
            __IO  uint8_t I2C_BGRL;
            __IO  uint8_t I2C_BGRH;
        };
        __IO uint16_t LIN_BGR;
        stc_mfs_lin_bgr_field_t LIN_BGR_f;
        struct {
            __IO  uint8_t LIN_BGRL;
            __IO  uint8_t LIN_BGRH;
        };
        __IO uint16_t UART_BGR;
        stc_mfs_uart_bgr_field_t UART_BGR_f;
        struct {
            __IO  uint8_t UART_BGRL;
            __IO  uint8_t UART_BGRH;
        };
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO  uint8_t ISBA;
        stc_mfs_isba_field_t ISBA_f;
        __IO  uint8_t I2C_ISBA;
        stc_mfs_i2c_isba_field_t I2C_ISBA_f;
    };
    union {
        __IO  uint8_t ISMK;
        stc_mfs_ismk_field_t ISMK_f;
        __IO  uint8_t I2C_ISMK;
        stc_mfs_i2c_ismk_field_t I2C_ISMK_f;
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO uint16_t FCR;
        stc_mfs_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
        __IO uint16_t CSIO_FCR;
        stc_mfs_csio_fcr_field_t CSIO_FCR_f;
        struct {
            __IO  uint8_t CSIO_FCRL;
            __IO  uint8_t CSIO_FCRH;
        };
        __IO uint16_t I2C_FCR;
        stc_mfs_i2c_fcr_field_t I2C_FCR_f;
        struct {
            __IO  uint8_t I2C_FCRL;
            __IO  uint8_t I2C_FCRH;
        };
        __IO uint16_t LIN_FCR;
        stc_mfs_lin_fcr_field_t LIN_FCR_f;
        struct {
            __IO  uint8_t LIN_FCRL;
            __IO  uint8_t LIN_FCRH;
        };
        __IO uint16_t UART_FCR;
        stc_mfs_uart_fcr_field_t UART_FCR_f;
        struct {
            __IO  uint8_t UART_FCRL;
            __IO  uint8_t UART_FCRH;
        };
    };
        __IO  uint8_t RESERVED5[2];
    union {
        __IO  uint8_t FBYTE1;
        stc_mfs_fbyte1_field_t FBYTE1_f;
        __IO  uint8_t CSIO_FBYTE1;
        stc_mfs_csio_fbyte1_field_t CSIO_FBYTE1_f;
        __IO  uint8_t I2C_FBYTE1;
        stc_mfs_i2c_fbyte1_field_t I2C_FBYTE1_f;
        __IO  uint8_t LIN_FBYTE1;
        stc_mfs_lin_fbyte1_field_t LIN_FBYTE1_f;
        __IO  uint8_t UART_FBYTE1;
        stc_mfs_uart_fbyte1_field_t UART_FBYTE1_f;
    };
    union {
        __IO  uint8_t FBYTE2;
        stc_mfs_fbyte2_field_t FBYTE2_f;
        __IO  uint8_t CSIO_FBYTE2;
        stc_mfs_csio_fbyte2_field_t CSIO_FBYTE2_f;
        __IO  uint8_t I2C_FBYTE2;
        stc_mfs_i2c_fbyte2_field_t I2C_FBYTE2_f;
        __IO  uint8_t LIN_FBYTE2;
        stc_mfs_lin_fbyte2_field_t LIN_FBYTE2_f;
        __IO  uint8_t UART_FBYTE2;
        stc_mfs_uart_fbyte2_field_t UART_FBYTE2_f;
    };
        __IO  uint8_t RESERVED6[2];
    union {
        __IO  uint8_t SCSTR0;
        stc_mfs_scstr0_field_t SCSTR0_f;
        __IO  uint8_t CSIO_SCSTR0;
        stc_mfs_csio_scstr0_field_t CSIO_SCSTR0_f;
    };
    union {
        __IO  uint8_t SCSTR1;
        stc_mfs_scstr1_field_t SCSTR1_f;
        __IO  uint8_t CSIO_SCSTR1;
        stc_mfs_csio_scstr1_field_t CSIO_SCSTR1_f;
        __IO  uint8_t EIBCR;
        stc_mfs_eibcr_field_t EIBCR_f;
        __IO  uint8_t I2C_EIBCR;
        stc_mfs_i2c_eibcr_field_t I2C_EIBCR_f;
    };
        __IO  uint8_t RESERVED7[2];
    union {
        __IO uint16_t SCSTR32;
        stc_mfs_scstr32_field_t SCSTR32_f;
        struct {
            __IO  uint8_t SCSTR32L;
            __IO  uint8_t SCSTR32H;
        };
        __IO uint16_t CSIO_SCSTR32;
        stc_mfs_csio_scstr32_field_t CSIO_SCSTR32_f;
        struct {
            __IO  uint8_t CSIO_SCSTR32L;
            __IO  uint8_t CSIO_SCSTR32H;
        };
    };
        __IO  uint8_t RESERVED8[2];
    union {
        __IO uint16_t SACSR;
        stc_mfs_sacsr_field_t SACSR_f;
        struct {
            __IO  uint8_t SACSRL;
            __IO  uint8_t SACSRH;
        };
        __IO uint16_t CSIO_SACSR;
        stc_mfs_csio_sacsr_field_t CSIO_SACSR_f;
        struct {
            __IO  uint8_t CSIO_SACSRL;
            __IO  uint8_t CSIO_SACSRH;
        };
    };
        __IO  uint8_t RESERVED9[2];
    union {
        __IO uint16_t STMR;
        stc_mfs_stmr_field_t STMR_f;
        struct {
            __IO  uint8_t STMRL;
            __IO  uint8_t STMRH;
        };
        __IO uint16_t CSIO_STMR;
        stc_mfs_csio_stmr_field_t CSIO_STMR_f;
        struct {
            __IO  uint8_t CSIO_STMRL;
            __IO  uint8_t CSIO_STMRH;
        };
    };
        __IO  uint8_t RESERVED10[2];
    union {
        __IO uint16_t STMCR;
        stc_mfs_stmcr_field_t STMCR_f;
        struct {
            __IO  uint8_t STMCRL;
            __IO  uint8_t STMCRH;
        };
        __IO uint16_t CSIO_STMCR;
        stc_mfs_csio_stmcr_field_t CSIO_STMCR_f;
        struct {
            __IO  uint8_t CSIO_STMCRL;
            __IO  uint8_t CSIO_STMCRH;
        };
    };
        __IO  uint8_t RESERVED11[2];
    union {
        __IO uint16_t SCSCR;
        stc_mfs_scscr_field_t SCSCR_f;
        struct {
            __IO  uint8_t SCSCRL;
            __IO  uint8_t SCSCRH;
        };
        __IO uint16_t CSIO_SCSCR;
        stc_mfs_csio_scscr_field_t CSIO_SCSCR_f;
        struct {
            __IO  uint8_t CSIO_SCSCRL;
            __IO  uint8_t CSIO_SCSCRH;
        };
    };
        __IO  uint8_t RESERVED12[2];
    union {
        __IO  uint8_t SCSFR0;
        stc_mfs_scsfr0_field_t SCSFR0_f;
        __IO  uint8_t CSIO_SCSFR0;
        stc_mfs_csio_scsfr0_field_t CSIO_SCSFR0_f;
    };
    union {
        __IO  uint8_t SCSFR1;
        stc_mfs_scsfr1_field_t SCSFR1_f;
        __IO  uint8_t CSIO_SCSFR1;
        stc_mfs_csio_scsfr1_field_t CSIO_SCSFR1_f;
    };
        __IO  uint8_t RESERVED13[2];
    union {
        __IO  uint8_t SCSFR2;
        stc_mfs_scsfr2_field_t SCSFR2_f;
        __IO  uint8_t CSIO_SCSFR2;
        stc_mfs_csio_scsfr2_field_t CSIO_SCSFR2_f;
    };
        __IO  uint8_t RESERVED14[3];
    union {
        __IO  uint8_t TBYTE0;
        __IO  uint8_t CSIO_TBYTE0;
    };
    union {
        __IO  uint8_t TBYTE1;
        __IO  uint8_t CSIO_TBYTE1;
    };
        __IO  uint8_t RESERVED15[2];
    union {
        __IO  uint8_t TBYTE2;
        __IO  uint8_t CSIO_TBYTE2;
    };
    union {
        __IO  uint8_t TBYTE3;
        __IO  uint8_t CSIO_TBYTE3;
    };
} FM_MFS_TypeDef, FM0P_MFS_TypeDef;

/******************************************************************************
 ** MFS_CSIO_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_csio_smr_field_t SMR_f;
    };
    union {
        __IO  uint8_t SCR;
        stc_mfs_csio_scr_field_t SCR_f;
    };
        __IO  uint8_t RESERVED16[2];
    union {
        __IO  uint8_t ESCR;
        stc_mfs_csio_escr_field_t ESCR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_csio_ssr_field_t SSR_f;
    };
        __IO  uint8_t RESERVED17[2];
    union {
        __IO uint16_t RDR;
        stc_mfs_csio_rdr_field_t RDR_f;
        struct {
            __IO  uint8_t RDRL;
            __IO  uint8_t RDRH;
        };
        __IO uint16_t TDR;
        stc_mfs_csio_tdr_field_t TDR_f;
        struct {
            __IO  uint8_t TDRL;
            __IO  uint8_t TDRH;
        };
    };
        __IO  uint8_t RESERVED18[2];
    union {
        __IO uint16_t BGR;
        stc_mfs_csio_bgr_field_t BGR_f;
        struct {
            __IO  uint8_t BGRL;
            __IO  uint8_t BGRH;
        };
    };
        __IO  uint8_t RESERVED19[6];
    union {
        __IO uint16_t FCR;
        stc_mfs_csio_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
    };
        __IO  uint8_t RESERVED20[2];
    union {
        __IO  uint8_t FBYTE1;
        stc_mfs_csio_fbyte1_field_t FBYTE1_f;
    };
    union {
        __IO  uint8_t FBYTE2;
        stc_mfs_csio_fbyte2_field_t FBYTE2_f;
    };
        __IO  uint8_t RESERVED21[2];
    union {
        __IO  uint8_t SCSTR0;
        stc_mfs_csio_scstr0_field_t SCSTR0_f;
    };
    union {
        __IO  uint8_t SCSTR1;
        stc_mfs_csio_scstr1_field_t SCSTR1_f;
    };
        __IO  uint8_t RESERVED22[2];
    union {
        __IO uint16_t SCSTR32;
        stc_mfs_csio_scstr32_field_t SCSTR32_f;
        struct {
            __IO  uint8_t SCSTR32L;
            __IO  uint8_t SCSTR32H;
        };
    };
        __IO  uint8_t RESERVED23[2];
    union {
        __IO uint16_t SACSR;
        stc_mfs_csio_sacsr_field_t SACSR_f;
        struct {
            __IO  uint8_t SACSRL;
            __IO  uint8_t SACSRH;
        };
    };
        __IO  uint8_t RESERVED24[2];
    union {
        __IO uint16_t STMR;
        stc_mfs_csio_stmr_field_t STMR_f;
        struct {
            __IO  uint8_t STMRL;
            __IO  uint8_t STMRH;
        };
    };
        __IO  uint8_t RESERVED25[2];
    union {
        __IO uint16_t STMCR;
        stc_mfs_csio_stmcr_field_t STMCR_f;
        struct {
            __IO  uint8_t STMCRL;
            __IO  uint8_t STMCRH;
        };
    };
        __IO  uint8_t RESERVED26[2];
    union {
        __IO uint16_t SCSCR;
        stc_mfs_csio_scscr_field_t SCSCR_f;
        struct {
            __IO  uint8_t SCSCRL;
            __IO  uint8_t SCSCRH;
        };
    };
        __IO  uint8_t RESERVED27[2];
    union {
        __IO  uint8_t SCSFR0;
        stc_mfs_csio_scsfr0_field_t SCSFR0_f;
    };
    union {
        __IO  uint8_t SCSFR1;
        stc_mfs_csio_scsfr1_field_t SCSFR1_f;
    };
        __IO  uint8_t RESERVED28[2];
    union {
        __IO  uint8_t SCSFR2;
        stc_mfs_csio_scsfr2_field_t SCSFR2_f;
    };
        __IO  uint8_t RESERVED29[3];
        __IO  uint8_t TBYTE0;
        __IO  uint8_t TBYTE1;
        __IO  uint8_t RESERVED30[2];
        __IO  uint8_t TBYTE2;
        __IO  uint8_t TBYTE3;
} FM_MFS_CSIO_TypeDef, FM0P_MFS_CSIO_TypeDef;

/******************************************************************************
 ** MFS_I2C_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_i2c_smr_field_t SMR_f;
    };
    union {
        __IO  uint8_t IBCR;
        stc_mfs_i2c_ibcr_field_t IBCR_f;
    };
        __IO  uint8_t RESERVED31[2];
    union {
        __IO  uint8_t IBSR;
        stc_mfs_i2c_ibsr_field_t IBSR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_i2c_ssr_field_t SSR_f;
    };
        __IO  uint8_t RESERVED32[2];
    union {
        __IO uint16_t RDR;
        stc_mfs_i2c_rdr_field_t RDR_f;
        struct {
            __IO  uint8_t RDRL;
            __IO  uint8_t RDRH;
        };
        __IO uint16_t TDR;
        stc_mfs_i2c_tdr_field_t TDR_f;
        struct {
            __IO  uint8_t TDRL;
            __IO  uint8_t TDRH;
        };
    };
        __IO  uint8_t RESERVED33[2];
    union {
        __IO uint16_t BGR;
        stc_mfs_i2c_bgr_field_t BGR_f;
        struct {
            __IO  uint8_t BGRL;
            __IO  uint8_t BGRH;
        };
    };
        __IO  uint8_t RESERVED34[2];
    union {
        __IO  uint8_t ISBA;
        stc_mfs_i2c_isba_field_t ISBA_f;
    };
    union {
        __IO  uint8_t ISMK;
        stc_mfs_i2c_ismk_field_t ISMK_f;
    };
        __IO  uint8_t RESERVED35[2];
    union {
        __IO uint16_t FCR;
        stc_mfs_i2c_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
    };
        __IO  uint8_t RESERVED36[2];
    union {
        __IO  uint8_t FBYTE1;
        stc_mfs_i2c_fbyte1_field_t FBYTE1_f;
    };
    union {
        __IO  uint8_t FBYTE2;
        stc_mfs_i2c_fbyte2_field_t FBYTE2_f;
    };
        __IO  uint8_t RESERVED37[3];
    union {
        __IO  uint8_t EIBCR;
        stc_mfs_i2c_eibcr_field_t EIBCR_f;
    };
} FM_MFS_I2C_TypeDef, FM0P_MFS_I2C_TypeDef;

/******************************************************************************
 ** MFS_LIN_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_lin_smr_field_t SMR_f;
    };
    union {
        __IO  uint8_t SCR;
        stc_mfs_lin_scr_field_t SCR_f;
    };
        __IO  uint8_t RESERVED38[2];
    union {
        __IO  uint8_t ESCR;
        stc_mfs_lin_escr_field_t ESCR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_lin_ssr_field_t SSR_f;
    };
        __IO  uint8_t RESERVED39[2];
    union {
        __IO uint16_t RDR;
        stc_mfs_lin_rdr_field_t RDR_f;
        struct {
            __IO  uint8_t RDRL;
            __IO  uint8_t RDRH;
        };
        __IO uint16_t TDR;
        stc_mfs_lin_tdr_field_t TDR_f;
        struct {
            __IO  uint8_t TDRL;
            __IO  uint8_t TDRH;
        };
    };
        __IO  uint8_t RESERVED40[2];
    union {
        __IO uint16_t BGR;
        stc_mfs_lin_bgr_field_t BGR_f;
        struct {
            __IO  uint8_t BGRL;
            __IO  uint8_t BGRH;
        };
    };
        __IO  uint8_t RESERVED41[6];
    union {
        __IO uint16_t FCR;
        stc_mfs_lin_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
    };
        __IO  uint8_t RESERVED42[2];
    union {
        __IO  uint8_t FBYTE1;
        stc_mfs_lin_fbyte1_field_t FBYTE1_f;
    };
    union {
        __IO  uint8_t FBYTE2;
        stc_mfs_lin_fbyte2_field_t FBYTE2_f;
    };
} FM_MFS_LIN_TypeDef, FM0P_MFS_LIN_TypeDef;

/******************************************************************************
 ** MFS_UART_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_uart_smr_field_t SMR_f;
    };
    union {
        __IO  uint8_t SCR;
        stc_mfs_uart_scr_field_t SCR_f;
    };
        __IO  uint8_t RESERVED43[2];
    union {
        __IO  uint8_t ESCR;
        stc_mfs_uart_escr_field_t ESCR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_uart_ssr_field_t SSR_f;
    };
        __IO  uint8_t RESERVED44[2];
    union {
        __IO uint16_t RDR;
        stc_mfs_uart_rdr_field_t RDR_f;
        struct {
            __IO  uint8_t RDRL;
            __IO  uint8_t RDRH;
        };
        __IO uint16_t TDR;
        stc_mfs_uart_tdr_field_t TDR_f;
        struct {
            __IO  uint8_t TDRL;
            __IO  uint8_t TDRH;
        };
    };
        __IO  uint8_t RESERVED45[2];
    union {
        __IO uint16_t BGR;
        stc_mfs_uart_bgr_field_t BGR_f;
        struct {
            __IO  uint8_t BGRL;
            __IO  uint8_t BGRH;
        };
    };
        __IO  uint8_t RESERVED46[6];
    union {
        __IO uint16_t FCR;
        stc_mfs_uart_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
    };
        __IO  uint8_t RESERVED47[2];
    union {
        __IO  uint8_t FBYTE1;
        stc_mfs_uart_fbyte1_field_t FBYTE1_f;
    };
    union {
        __IO  uint8_t FBYTE2;
        stc_mfs_uart_fbyte2_field_t FBYTE2_f;
    };
} FM_MFS_UART_TypeDef, FM0P_MFS_UART_TypeDef;

/******************************************************************************
 ** MFT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED0[258];
    union {
        __IO uint16_t OCCP0;
        struct {
            __IO  uint8_t OCCP0L;
            __IO  uint8_t OCCP0H;
        };
        __IO uint16_t OCU_OCCP0;
        struct {
            __IO  uint8_t OCU_OCCP0L;
            __IO  uint8_t OCU_OCCP0H;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO uint16_t OCCP1;
        struct {
            __IO  uint8_t OCCP1L;
            __IO  uint8_t OCCP1H;
        };
        __IO uint16_t OCU_OCCP1;
        struct {
            __IO  uint8_t OCU_OCCP1L;
            __IO  uint8_t OCU_OCCP1H;
        };
    };
        __IO  uint8_t RESERVED2[2];
    union {
        __IO uint16_t OCCP2;
        struct {
            __IO  uint8_t OCCP2L;
            __IO  uint8_t OCCP2H;
        };
        __IO uint16_t OCU_OCCP2;
        struct {
            __IO  uint8_t OCU_OCCP2L;
            __IO  uint8_t OCU_OCCP2H;
        };
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO uint16_t OCCP3;
        struct {
            __IO  uint8_t OCCP3L;
            __IO  uint8_t OCCP3H;
        };
        __IO uint16_t OCU_OCCP3;
        struct {
            __IO  uint8_t OCU_OCCP3L;
            __IO  uint8_t OCU_OCCP3H;
        };
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO uint16_t OCCP4;
        struct {
            __IO  uint8_t OCCP4L;
            __IO  uint8_t OCCP4H;
        };
        __IO uint16_t OCU_OCCP4;
        struct {
            __IO  uint8_t OCU_OCCP4L;
            __IO  uint8_t OCU_OCCP4H;
        };
    };
        __IO  uint8_t RESERVED5[2];
    union {
        __IO uint16_t OCCP5;
        struct {
            __IO  uint8_t OCCP5L;
            __IO  uint8_t OCCP5H;
        };
        __IO uint16_t OCU_OCCP5;
        struct {
            __IO  uint8_t OCU_OCCP5L;
            __IO  uint8_t OCU_OCCP5H;
        };
    };
    union {
        __IO  uint8_t OCSA10;
        stc_mft_ocsa10_field_t OCSA10_f;
        __IO  uint8_t OCU_OCSA10;
        stc_mft_ocu_ocsa10_field_t OCU_OCSA10_f;
    };
    union {
        __IO  uint8_t OCSB10;
        stc_mft_ocsb10_field_t OCSB10_f;
        __IO  uint8_t OCU_OCSB10;
        stc_mft_ocu_ocsb10_field_t OCU_OCSB10_f;
    };
    union {
        __IO  uint8_t OCSD10;
        stc_mft_ocsd10_field_t OCSD10_f;
        __IO  uint8_t OCU_OCSD10;
        stc_mft_ocu_ocsd10_field_t OCU_OCSD10_f;
    };
        __IO  uint8_t RESERVED6[1];
    union {
        __IO  uint8_t OCSA32;
        stc_mft_ocsa32_field_t OCSA32_f;
        __IO  uint8_t OCU_OCSA32;
        stc_mft_ocu_ocsa32_field_t OCU_OCSA32_f;
    };
    union {
        __IO  uint8_t OCSB32;
        stc_mft_ocsb32_field_t OCSB32_f;
        __IO  uint8_t OCU_OCSB32;
        stc_mft_ocu_ocsb32_field_t OCU_OCSB32_f;
    };
    union {
        __IO  uint8_t OCSD32;
        stc_mft_ocsd32_field_t OCSD32_f;
        __IO  uint8_t OCU_OCSD32;
        stc_mft_ocu_ocsd32_field_t OCU_OCSD32_f;
    };
        __IO  uint8_t RESERVED7[1];
    union {
        __IO  uint8_t OCSA54;
        stc_mft_ocsa54_field_t OCSA54_f;
        __IO  uint8_t OCU_OCSA54;
        stc_mft_ocu_ocsa54_field_t OCU_OCSA54_f;
    };
    union {
        __IO  uint8_t OCSB54;
        stc_mft_ocsb54_field_t OCSB54_f;
        __IO  uint8_t OCU_OCSB54;
        stc_mft_ocu_ocsb54_field_t OCU_OCSB54_f;
    };
    union {
        __IO  uint8_t OCSD54;
        stc_mft_ocsd54_field_t OCSD54_f;
        __IO  uint8_t OCU_OCSD54;
        stc_mft_ocu_ocsd54_field_t OCU_OCSD54_f;
    };
        __IO  uint8_t RESERVED8[2];
    union {
        __IO  uint8_t OCSC;
        stc_mft_ocsc_field_t OCSC_f;
        __IO  uint8_t OCU_OCSC;
        stc_mft_ocu_ocsc_field_t OCU_OCSC_f;
    };
        __IO  uint8_t RESERVED9[2];
    union {
        __IO uint16_t OCSE0;
        stc_mft_ocse0_field_t OCSE0_f;
        struct {
            __IO  uint8_t OCSE0L;
            __IO  uint8_t OCSE0H;
        };
        __IO uint16_t OCU_OCSE0;
        stc_mft_ocu_ocse0_field_t OCU_OCSE0_f;
        struct {
            __IO  uint8_t OCU_OCSE0L;
            __IO  uint8_t OCU_OCSE0H;
        };
    };
        __IO  uint8_t RESERVED10[2];
    union {
        __IO uint32_t OCSE1;
        stc_mft_ocse1_field_t OCSE1_f;
        struct {
          union {
            __IO uint16_t OCSE1L;
            struct {
              __IO uint8_t OCSE1LL;
              __IO uint8_t OCSE1LH;
            };
          };
          union {
            __IO uint16_t OCSE1H;
            struct {
              __IO uint8_t OCSE1HL;
              __IO uint8_t OCSE1HH;
            };
          };
        };
        __IO uint32_t OCU_OCSE1;
        stc_mft_ocu_ocse1_field_t OCU_OCSE1_f;
        struct {
          union {
            __IO uint16_t OCU_OCSE1L;
            struct {
              __IO uint8_t OCU_OCSE1LL;
              __IO uint8_t OCU_OCSE1LH;
            };
          };
          union {
            __IO uint16_t OCU_OCSE1H;
            struct {
              __IO uint8_t OCU_OCSE1HL;
              __IO uint8_t OCU_OCSE1HH;
            };
          };
        };
    };
    union {
        __IO uint16_t OCSE2;
        stc_mft_ocse2_field_t OCSE2_f;
        struct {
            __IO  uint8_t OCSE2L;
            __IO  uint8_t OCSE2H;
        };
        __IO uint16_t OCU_OCSE2;
        stc_mft_ocu_ocse2_field_t OCU_OCSE2_f;
        struct {
            __IO  uint8_t OCU_OCSE2L;
            __IO  uint8_t OCU_OCSE2H;
        };
    };
        __IO  uint8_t RESERVED11[2];
    union {
        __IO uint32_t OCSE3;
        stc_mft_ocse3_field_t OCSE3_f;
        struct {
          union {
            __IO uint16_t OCSE3L;
            struct {
              __IO uint8_t OCSE3LL;
              __IO uint8_t OCSE3LH;
            };
          };
          union {
            __IO uint16_t OCSE3H;
            struct {
              __IO uint8_t OCSE3HL;
              __IO uint8_t OCSE3HH;
            };
          };
        };
        __IO uint32_t OCU_OCSE3;
        stc_mft_ocu_ocse3_field_t OCU_OCSE3_f;
        struct {
          union {
            __IO uint16_t OCU_OCSE3L;
            struct {
              __IO uint8_t OCU_OCSE3LL;
              __IO uint8_t OCU_OCSE3LH;
            };
          };
          union {
            __IO uint16_t OCU_OCSE3H;
            struct {
              __IO uint8_t OCU_OCSE3HL;
              __IO uint8_t OCU_OCSE3HH;
            };
          };
        };
    };
    union {
        __IO uint16_t OCSE4;
        stc_mft_ocse4_field_t OCSE4_f;
        struct {
            __IO  uint8_t OCSE4L;
            __IO  uint8_t OCSE4H;
        };
        __IO uint16_t OCU_OCSE4;
        stc_mft_ocu_ocse4_field_t OCU_OCSE4_f;
        struct {
            __IO  uint8_t OCU_OCSE4L;
            __IO  uint8_t OCU_OCSE4H;
        };
    };
        __IO  uint8_t RESERVED12[2];
    union {
        __IO uint32_t OCSE5;
        stc_mft_ocse5_field_t OCSE5_f;
        struct {
          union {
            __IO uint16_t OCSE5L;
            struct {
              __IO uint8_t OCSE5LL;
              __IO uint8_t OCSE5LH;
            };
          };
          union {
            __IO uint16_t OCSE5H;
            struct {
              __IO uint8_t OCSE5HL;
              __IO uint8_t OCSE5HH;
            };
          };
        };
        __IO uint32_t OCU_OCSE5;
        stc_mft_ocu_ocse5_field_t OCU_OCSE5_f;
        struct {
          union {
            __IO uint16_t OCU_OCSE5L;
            struct {
              __IO uint8_t OCU_OCSE5LL;
              __IO uint8_t OCU_OCSE5LH;
            };
          };
          union {
            __IO uint16_t OCU_OCSE5H;
            struct {
              __IO uint8_t OCU_OCSE5HL;
              __IO uint8_t OCU_OCSE5HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED13[2];
    union {
        __IO uint16_t TCCP0;
        stc_mft_tccp0_field_t TCCP0_f;
        struct {
            __IO  uint8_t TCCP0L;
            __IO  uint8_t TCCP0H;
        };
        __IO uint16_t FRT_TCCP0;
        stc_mft_frt_tccp0_field_t FRT_TCCP0_f;
        struct {
            __IO  uint8_t FRT_TCCP0L;
            __IO  uint8_t FRT_TCCP0H;
        };
    };
        __IO  uint8_t RESERVED14[2];
    union {
        __IO uint16_t TCDT0;
        struct {
            __IO  uint8_t TCDT0L;
            __IO  uint8_t TCDT0H;
        };
        __IO uint16_t FRT_TCDT0;
        struct {
            __IO  uint8_t FRT_TCDT0L;
            __IO  uint8_t FRT_TCDT0H;
        };
    };
    union {
        __IO uint16_t TCSA0;
        stc_mft_tcsa0_field_t TCSA0_f;
        struct {
            __IO  uint8_t TCSA0L;
            __IO  uint8_t TCSA0H;
        };
        __IO uint16_t FRT_TCSA0;
        stc_mft_frt_tcsa0_field_t FRT_TCSA0_f;
        struct {
            __IO  uint8_t FRT_TCSA0L;
            __IO  uint8_t FRT_TCSA0H;
        };
    };
    union {
        __IO uint16_t TCSC0;
        stc_mft_tcsc0_field_t TCSC0_f;
        struct {
            __IO  uint8_t TCSC0L;
            __IO  uint8_t TCSC0H;
        };
        __IO uint16_t FRT_TCSC0;
        stc_mft_frt_tcsc0_field_t FRT_TCSC0_f;
        struct {
            __IO  uint8_t FRT_TCSC0L;
            __IO  uint8_t FRT_TCSC0H;
        };
    };
        __IO  uint8_t RESERVED15[2];
    union {
        __IO uint16_t TCCP1;
        stc_mft_tccp1_field_t TCCP1_f;
        struct {
            __IO  uint8_t TCCP1L;
            __IO  uint8_t TCCP1H;
        };
        __IO uint16_t FRT_TCCP1;
        stc_mft_frt_tccp1_field_t FRT_TCCP1_f;
        struct {
            __IO  uint8_t FRT_TCCP1L;
            __IO  uint8_t FRT_TCCP1H;
        };
    };
        __IO  uint8_t RESERVED16[2];
    union {
        __IO uint16_t TCDT1;
        struct {
            __IO  uint8_t TCDT1L;
            __IO  uint8_t TCDT1H;
        };
        __IO uint16_t FRT_TCDT1;
        struct {
            __IO  uint8_t FRT_TCDT1L;
            __IO  uint8_t FRT_TCDT1H;
        };
    };
    union {
        __IO uint16_t TCSA1;
        stc_mft_tcsa1_field_t TCSA1_f;
        struct {
            __IO  uint8_t TCSA1L;
            __IO  uint8_t TCSA1H;
        };
        __IO uint16_t FRT_TCSA1;
        stc_mft_frt_tcsa1_field_t FRT_TCSA1_f;
        struct {
            __IO  uint8_t FRT_TCSA1L;
            __IO  uint8_t FRT_TCSA1H;
        };
    };
    union {
        __IO uint16_t TCSC1;
        stc_mft_tcsc1_field_t TCSC1_f;
        struct {
            __IO  uint8_t TCSC1L;
            __IO  uint8_t TCSC1H;
        };
        __IO uint16_t FRT_TCSC1;
        stc_mft_frt_tcsc1_field_t FRT_TCSC1_f;
        struct {
            __IO  uint8_t FRT_TCSC1L;
            __IO  uint8_t FRT_TCSC1H;
        };
    };
        __IO  uint8_t RESERVED17[2];
    union {
        __IO uint16_t TCCP2;
        stc_mft_tccp2_field_t TCCP2_f;
        struct {
            __IO  uint8_t TCCP2L;
            __IO  uint8_t TCCP2H;
        };
        __IO uint16_t FRT_TCCP2;
        stc_mft_frt_tccp2_field_t FRT_TCCP2_f;
        struct {
            __IO  uint8_t FRT_TCCP2L;
            __IO  uint8_t FRT_TCCP2H;
        };
    };
        __IO  uint8_t RESERVED18[2];
    union {
        __IO uint16_t TCDT2;
        struct {
            __IO  uint8_t TCDT2L;
            __IO  uint8_t TCDT2H;
        };
        __IO uint16_t FRT_TCDT2;
        struct {
            __IO  uint8_t FRT_TCDT2L;
            __IO  uint8_t FRT_TCDT2H;
        };
    };
    union {
        __IO uint16_t TCSA2;
        stc_mft_tcsa2_field_t TCSA2_f;
        struct {
            __IO  uint8_t TCSA2L;
            __IO  uint8_t TCSA2H;
        };
        __IO uint16_t FRT_TCSA2;
        stc_mft_frt_tcsa2_field_t FRT_TCSA2_f;
        struct {
            __IO  uint8_t FRT_TCSA2L;
            __IO  uint8_t FRT_TCSA2H;
        };
    };
    union {
        __IO uint16_t TCSC2;
        stc_mft_tcsc2_field_t TCSC2_f;
        struct {
            __IO  uint8_t TCSC2L;
            __IO  uint8_t TCSC2H;
        };
        __IO uint16_t FRT_TCSC2;
        stc_mft_frt_tcsc2_field_t FRT_TCSC2_f;
        struct {
            __IO  uint8_t FRT_TCSC2L;
            __IO  uint8_t FRT_TCSC2H;
        };
    };
    union {
        __IO uint32_t TCAL;
        stc_mft_tcal_field_t TCAL_f;
        struct {
          union {
            __IO uint16_t TCALL;
            struct {
              __IO uint8_t TCALLL;
              __IO uint8_t TCALLH;
            };
          };
          union {
            __IO uint16_t TCALH;
            struct {
              __IO uint8_t TCALHL;
              __IO uint8_t TCALHH;
            };
          };
        };
        __IO uint32_t FRT_TCAL;
        stc_mft_frt_tcal_field_t FRT_TCAL_f;
        struct {
          union {
            __IO uint16_t FRT_TCALL;
            struct {
              __IO uint8_t FRT_TCALLL;
              __IO uint8_t FRT_TCALLH;
            };
          };
          union {
            __IO uint16_t FRT_TCALH;
            struct {
              __IO uint8_t FRT_TCALHL;
              __IO uint8_t FRT_TCALHH;
            };
          };
        };
    };
    union {
        __IO  uint8_t OCFS10;
        stc_mft_ocfs10_field_t OCFS10_f;
        __IO  uint8_t OCU_OCFS10;
        stc_mft_ocu_ocfs10_field_t OCU_OCFS10_f;
    };
    union {
        __IO  uint8_t OCFS32;
        stc_mft_ocfs32_field_t OCFS32_f;
        __IO  uint8_t OCU_OCFS32;
        stc_mft_ocu_ocfs32_field_t OCU_OCFS32_f;
    };
    union {
        __IO  uint8_t OCFS54;
        stc_mft_ocfs54_field_t OCFS54_f;
        __IO  uint8_t OCU_OCFS54;
        stc_mft_ocu_ocfs54_field_t OCU_OCFS54_f;
    };
        __IO  uint8_t RESERVED19[1];
    union {
        __IO  uint8_t ICFS10;
        stc_mft_icfs10_field_t ICFS10_f;
        __IO  uint8_t ICU_ICFS10;
        stc_mft_icu_icfs10_field_t ICU_ICFS10_f;
    };
    union {
        __IO  uint8_t ICFS32;
        stc_mft_icfs32_field_t ICFS32_f;
        __IO  uint8_t ICU_ICFS32;
        stc_mft_icu_icfs32_field_t ICU_ICFS32_f;
    };
        __IO  uint8_t RESERVED20[2];
    union {
        __IO  uint8_t ACFS10;
        stc_mft_acfs10_field_t ACFS10_f;
        __IO  uint8_t ADCMP_ACFS10;
        stc_mft_adcmp_acfs10_field_t ADCMP_ACFS10_f;
    };
    union {
        __IO  uint8_t ACFS32;
        stc_mft_acfs32_field_t ACFS32_f;
        __IO  uint8_t ADCMP_ACFS32;
        stc_mft_adcmp_acfs32_field_t ADCMP_ACFS32_f;
    };
    union {
        __IO  uint8_t ACFS54;
        stc_mft_acfs54_field_t ACFS54_f;
        __IO  uint8_t ADCMP_ACFS54;
        stc_mft_adcmp_acfs54_field_t ADCMP_ACFS54_f;
    };
        __IO  uint8_t RESERVED21[3];
    union {
        __IO uint16_t ICCP0;
        struct {
            __IO  uint8_t ICCP0L;
            __IO  uint8_t ICCP0H;
        };
        __IO uint16_t ICU_ICCP0;
        struct {
            __IO  uint8_t ICU_ICCP0L;
            __IO  uint8_t ICU_ICCP0H;
        };
    };
        __IO  uint8_t RESERVED22[2];
    union {
        __IO uint16_t ICCP1;
        struct {
            __IO  uint8_t ICCP1L;
            __IO  uint8_t ICCP1H;
        };
        __IO uint16_t ICU_ICCP1;
        struct {
            __IO  uint8_t ICU_ICCP1L;
            __IO  uint8_t ICU_ICCP1H;
        };
    };
        __IO  uint8_t RESERVED23[2];
    union {
        __IO uint16_t ICCP2;
        struct {
            __IO  uint8_t ICCP2L;
            __IO  uint8_t ICCP2H;
        };
        __IO uint16_t ICU_ICCP2;
        struct {
            __IO  uint8_t ICU_ICCP2L;
            __IO  uint8_t ICU_ICCP2H;
        };
    };
        __IO  uint8_t RESERVED24[2];
    union {
        __IO uint16_t ICCP3;
        struct {
            __IO  uint8_t ICCP3L;
            __IO  uint8_t ICCP3H;
        };
        __IO uint16_t ICU_ICCP3;
        struct {
            __IO  uint8_t ICU_ICCP3L;
            __IO  uint8_t ICU_ICCP3H;
        };
    };
    union {
        __IO  uint8_t ICSA10;
        stc_mft_icsa10_field_t ICSA10_f;
        __IO  uint8_t ICU_ICSA10;
        stc_mft_icu_icsa10_field_t ICU_ICSA10_f;
    };
    union {
        __IO  uint8_t ICSB10;
        stc_mft_icsb10_field_t ICSB10_f;
        __IO  uint8_t ICU_ICSB10;
        stc_mft_icu_icsb10_field_t ICU_ICSB10_f;
    };
        __IO  uint8_t RESERVED25[2];
    union {
        __IO  uint8_t ICSA32;
        stc_mft_icsa32_field_t ICSA32_f;
        __IO  uint8_t ICU_ICSA32;
        stc_mft_icu_icsa32_field_t ICU_ICSA32_f;
    };
    union {
        __IO  uint8_t ICSB32;
        stc_mft_icsb32_field_t ICSB32_f;
        __IO  uint8_t ICU_ICSB32;
        stc_mft_icu_icsb32_field_t ICU_ICSB32_f;
    };
        __IO  uint8_t RESERVED26[4];
    union {
        __IO uint16_t WFTF10;
        struct {
            __IO  uint8_t WFTF10L;
            __IO  uint8_t WFTF10H;
        };
        __IO uint16_t WFG_WFTF10;
        struct {
            __IO  uint8_t WFG_WFTF10L;
            __IO  uint8_t WFG_WFTF10H;
        };
    };
    union {
        __IO uint16_t WFTA10;
        struct {
            __IO  uint8_t WFTA10L;
            __IO  uint8_t WFTA10H;
        };
        __IO uint16_t WFG_WFTA10;
        struct {
            __IO  uint8_t WFG_WFTA10L;
            __IO  uint8_t WFG_WFTA10H;
        };
    };
    union {
        __IO uint16_t WFTB10;
        struct {
            __IO  uint8_t WFTB10L;
            __IO  uint8_t WFTB10H;
        };
        __IO uint16_t WFG_WFTB10;
        struct {
            __IO  uint8_t WFG_WFTB10L;
            __IO  uint8_t WFG_WFTB10H;
        };
    };
        __IO  uint8_t RESERVED27[2];
    union {
        __IO uint16_t WFTF32;
        struct {
            __IO  uint8_t WFTF32L;
            __IO  uint8_t WFTF32H;
        };
        __IO uint16_t WFG_WFTF32;
        struct {
            __IO  uint8_t WFG_WFTF32L;
            __IO  uint8_t WFG_WFTF32H;
        };
    };
    union {
        __IO uint16_t WFTA32;
        struct {
            __IO  uint8_t WFTA32L;
            __IO  uint8_t WFTA32H;
        };
        __IO uint16_t WFG_WFTA32;
        struct {
            __IO  uint8_t WFG_WFTA32L;
            __IO  uint8_t WFG_WFTA32H;
        };
    };
    union {
        __IO uint16_t WFTB32;
        struct {
            __IO  uint8_t WFTB32L;
            __IO  uint8_t WFTB32H;
        };
        __IO uint16_t WFG_WFTB32;
        struct {
            __IO  uint8_t WFG_WFTB32L;
            __IO  uint8_t WFG_WFTB32H;
        };
    };
        __IO  uint8_t RESERVED28[2];
    union {
        __IO uint16_t WFTF54;
        struct {
            __IO  uint8_t WFTF54L;
            __IO  uint8_t WFTF54H;
        };
        __IO uint16_t WFG_WFTF54;
        struct {
            __IO  uint8_t WFG_WFTF54L;
            __IO  uint8_t WFG_WFTF54H;
        };
    };
    union {
        __IO uint16_t WFTA54;
        struct {
            __IO  uint8_t WFTA54L;
            __IO  uint8_t WFTA54H;
        };
        __IO uint16_t WFG_WFTA54;
        struct {
            __IO  uint8_t WFG_WFTA54L;
            __IO  uint8_t WFG_WFTA54H;
        };
    };
    union {
        __IO uint16_t WFTB54;
        struct {
            __IO  uint8_t WFTB54L;
            __IO  uint8_t WFTB54H;
        };
        __IO uint16_t WFG_WFTB54;
        struct {
            __IO  uint8_t WFG_WFTB54L;
            __IO  uint8_t WFG_WFTB54H;
        };
    };
    union {
        __IO uint16_t WFSA10;
        stc_mft_wfsa10_field_t WFSA10_f;
        struct {
            __IO  uint8_t WFSA10L;
            __IO  uint8_t WFSA10H;
        };
        __IO uint16_t WFG_WFSA10;
        stc_mft_wfg_wfsa10_field_t WFG_WFSA10_f;
        struct {
            __IO  uint8_t WFG_WFSA10L;
            __IO  uint8_t WFG_WFSA10H;
        };
    };
        __IO  uint8_t RESERVED29[2];
    union {
        __IO uint16_t WFSA32;
        stc_mft_wfsa32_field_t WFSA32_f;
        struct {
            __IO  uint8_t WFSA32L;
            __IO  uint8_t WFSA32H;
        };
        __IO uint16_t WFG_WFSA32;
        stc_mft_wfg_wfsa32_field_t WFG_WFSA32_f;
        struct {
            __IO  uint8_t WFG_WFSA32L;
            __IO  uint8_t WFG_WFSA32H;
        };
    };
        __IO  uint8_t RESERVED30[2];
    union {
        __IO uint16_t WFSA54;
        stc_mft_wfsa54_field_t WFSA54_f;
        struct {
            __IO  uint8_t WFSA54L;
            __IO  uint8_t WFSA54H;
        };
        __IO uint16_t WFG_WFSA54;
        stc_mft_wfg_wfsa54_field_t WFG_WFSA54_f;
        struct {
            __IO  uint8_t WFG_WFSA54L;
            __IO  uint8_t WFG_WFSA54H;
        };
    };
        __IO  uint8_t RESERVED31[2];
    union {
        __IO uint16_t WFIR;
        stc_mft_wfir_field_t WFIR_f;
        struct {
            __IO  uint8_t WFIRL;
            __IO  uint8_t WFIRH;
        };
        __IO uint16_t WFG_WFIR;
        stc_mft_wfg_wfir_field_t WFG_WFIR_f;
        struct {
            __IO  uint8_t WFG_WFIRL;
            __IO  uint8_t WFG_WFIRH;
        };
    };
        __IO  uint8_t RESERVED32[2];
    union {
        __IO uint16_t NZCL;
        stc_mft_nzcl_field_t NZCL_f;
        struct {
            __IO  uint8_t NZCLL;
            __IO  uint8_t NZCLH;
        };
        __IO uint16_t WFG_NZCL;
        stc_mft_wfg_nzcl_field_t WFG_NZCL_f;
        struct {
            __IO  uint8_t WFG_NZCLL;
            __IO  uint8_t WFG_NZCLH;
        };
    };
        __IO  uint8_t RESERVED33[4];
    union {
        __IO uint16_t ACMP0;
        stc_mft_acmp0_field_t ACMP0_f;
        struct {
            __IO  uint8_t ACMP0L;
            __IO  uint8_t ACMP0H;
        };
        __IO uint16_t ADCMP_ACMP0;
        stc_mft_adcmp_acmp0_field_t ADCMP_ACMP0_f;
        struct {
            __IO  uint8_t ADCMP_ACMP0L;
            __IO  uint8_t ADCMP_ACMP0H;
        };
    };
        __IO  uint8_t RESERVED34[2];
    union {
        __IO uint16_t ACMP1;
        stc_mft_acmp1_field_t ACMP1_f;
        struct {
            __IO  uint8_t ACMP1L;
            __IO  uint8_t ACMP1H;
        };
        __IO uint16_t ADCMP_ACMP1;
        stc_mft_adcmp_acmp1_field_t ADCMP_ACMP1_f;
        struct {
            __IO  uint8_t ADCMP_ACMP1L;
            __IO  uint8_t ADCMP_ACMP1H;
        };
    };
        __IO  uint8_t RESERVED35[2];
    union {
        __IO uint16_t ACMP2;
        stc_mft_acmp2_field_t ACMP2_f;
        struct {
            __IO  uint8_t ACMP2L;
            __IO  uint8_t ACMP2H;
        };
        __IO uint16_t ADCMP_ACMP2;
        stc_mft_adcmp_acmp2_field_t ADCMP_ACMP2_f;
        struct {
            __IO  uint8_t ADCMP_ACMP2L;
            __IO  uint8_t ADCMP_ACMP2H;
        };
    };
        __IO  uint8_t RESERVED36[2];
    union {
        __IO uint16_t ACMP3;
        stc_mft_acmp3_field_t ACMP3_f;
        struct {
            __IO  uint8_t ACMP3L;
            __IO  uint8_t ACMP3H;
        };
        __IO uint16_t ADCMP_ACMP3;
        stc_mft_adcmp_acmp3_field_t ADCMP_ACMP3_f;
        struct {
            __IO  uint8_t ADCMP_ACMP3L;
            __IO  uint8_t ADCMP_ACMP3H;
        };
    };
        __IO  uint8_t RESERVED37[2];
    union {
        __IO uint16_t ACMP4;
        stc_mft_acmp4_field_t ACMP4_f;
        struct {
            __IO  uint8_t ACMP4L;
            __IO  uint8_t ACMP4H;
        };
        __IO uint16_t ADCMP_ACMP4;
        stc_mft_adcmp_acmp4_field_t ADCMP_ACMP4_f;
        struct {
            __IO  uint8_t ADCMP_ACMP4L;
            __IO  uint8_t ADCMP_ACMP4H;
        };
    };
        __IO  uint8_t RESERVED38[2];
    union {
        __IO uint16_t ACMP5;
        stc_mft_acmp5_field_t ACMP5_f;
        struct {
            __IO  uint8_t ACMP5L;
            __IO  uint8_t ACMP5H;
        };
        __IO uint16_t ADCMP_ACMP5;
        stc_mft_adcmp_acmp5_field_t ADCMP_ACMP5_f;
        struct {
            __IO  uint8_t ADCMP_ACMP5L;
            __IO  uint8_t ADCMP_ACMP5H;
        };
    };
    union {
        __IO uint16_t ACSA;
        stc_mft_acsa_field_t ACSA_f;
        struct {
            __IO  uint8_t ACSAL;
            __IO  uint8_t ACSAH;
        };
        __IO uint16_t ADCMP_ACSA;
        stc_mft_adcmp_acsa_field_t ADCMP_ACSA_f;
        struct {
            __IO  uint8_t ADCMP_ACSAL;
            __IO  uint8_t ADCMP_ACSAH;
        };
    };
        __IO  uint8_t RESERVED39[2];
    union {
        __IO  uint8_t ACSC0;
        stc_mft_acsc0_field_t ACSC0_f;
        __IO  uint8_t ADCMP_ACSC0;
        stc_mft_adcmp_acsc0_field_t ADCMP_ACSC0_f;
    };
    union {
        __IO  uint8_t ACSD0;
        stc_mft_acsd0_field_t ACSD0_f;
        __IO  uint8_t ADCMP_ACSD0;
        stc_mft_adcmp_acsd0_field_t ADCMP_ACSD0_f;
    };
        __IO  uint8_t RESERVED40[2];
    union {
        __IO  uint8_t ACSC1;
        stc_mft_acsc1_field_t ACSC1_f;
        __IO  uint8_t ADCMP_ACSC1;
        stc_mft_adcmp_acsc1_field_t ADCMP_ACSC1_f;
    };
    union {
        __IO  uint8_t ACSD1;
        stc_mft_acsd1_field_t ACSD1_f;
        __IO  uint8_t ADCMP_ACSD1;
        stc_mft_adcmp_acsd1_field_t ADCMP_ACSD1_f;
    };
        __IO  uint8_t RESERVED41[2];
    union {
        __IO  uint8_t ACSC2;
        stc_mft_acsc2_field_t ACSC2_f;
        __IO  uint8_t ADCMP_ACSC2;
        stc_mft_adcmp_acsc2_field_t ADCMP_ACSC2_f;
    };
    union {
        __IO  uint8_t ACSD2;
        stc_mft_acsd2_field_t ACSD2_f;
        __IO  uint8_t ADCMP_ACSD2;
        stc_mft_adcmp_acsd2_field_t ADCMP_ACSD2_f;
    };
        __IO  uint8_t RESERVED42[2];
    union {
        __IO  uint8_t ACSC3;
        stc_mft_acsc3_field_t ACSC3_f;
        __IO  uint8_t ADCMP_ACSC3;
        stc_mft_adcmp_acsc3_field_t ADCMP_ACSC3_f;
    };
    union {
        __IO  uint8_t ACSD3;
        stc_mft_acsd3_field_t ACSD3_f;
        __IO  uint8_t ADCMP_ACSD3;
        stc_mft_adcmp_acsd3_field_t ADCMP_ACSD3_f;
    };
        __IO  uint8_t RESERVED43[2];
    union {
        __IO  uint8_t ACSC4;
        stc_mft_acsc4_field_t ACSC4_f;
        __IO  uint8_t ADCMP_ACSC4;
        stc_mft_adcmp_acsc4_field_t ADCMP_ACSC4_f;
    };
    union {
        __IO  uint8_t ACSD4;
        stc_mft_acsd4_field_t ACSD4_f;
        __IO  uint8_t ADCMP_ACSD4;
        stc_mft_adcmp_acsd4_field_t ADCMP_ACSD4_f;
    };
        __IO  uint8_t RESERVED44[2];
    union {
        __IO  uint8_t ACSC5;
        stc_mft_acsc5_field_t ACSC5_f;
        __IO  uint8_t ADCMP_ACSC5;
        stc_mft_adcmp_acsc5_field_t ADCMP_ACSC5_f;
    };
    union {
        __IO  uint8_t ACSD5;
        stc_mft_acsd5_field_t ACSD5_f;
        __IO  uint8_t ADCMP_ACSD5;
        stc_mft_adcmp_acsd5_field_t ADCMP_ACSD5_f;
    };
} FM_MFT_TypeDef, FM0P_MFT_TypeDef;

/******************************************************************************
 ** MFT_ADCMP_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED45[368];
    union {
        __IO  uint8_t ACFS10;
        stc_mft_adcmp_acfs10_field_t ACFS10_f;
    };
    union {
        __IO  uint8_t ACFS32;
        stc_mft_adcmp_acfs32_field_t ACFS32_f;
    };
    union {
        __IO  uint8_t ACFS54;
        stc_mft_adcmp_acfs54_field_t ACFS54_f;
    };
        __IO  uint8_t RESERVED46[71];
    union {
        __IO uint16_t ACMP0;
        stc_mft_adcmp_acmp0_field_t ACMP0_f;
        struct {
            __IO  uint8_t ACMP0L;
            __IO  uint8_t ACMP0H;
        };
    };
        __IO  uint8_t RESERVED47[2];
    union {
        __IO uint16_t ACMP1;
        stc_mft_adcmp_acmp1_field_t ACMP1_f;
        struct {
            __IO  uint8_t ACMP1L;
            __IO  uint8_t ACMP1H;
        };
    };
        __IO  uint8_t RESERVED48[2];
    union {
        __IO uint16_t ACMP2;
        stc_mft_adcmp_acmp2_field_t ACMP2_f;
        struct {
            __IO  uint8_t ACMP2L;
            __IO  uint8_t ACMP2H;
        };
    };
        __IO  uint8_t RESERVED49[2];
    union {
        __IO uint16_t ACMP3;
        stc_mft_adcmp_acmp3_field_t ACMP3_f;
        struct {
            __IO  uint8_t ACMP3L;
            __IO  uint8_t ACMP3H;
        };
    };
        __IO  uint8_t RESERVED50[2];
    union {
        __IO uint16_t ACMP4;
        stc_mft_adcmp_acmp4_field_t ACMP4_f;
        struct {
            __IO  uint8_t ACMP4L;
            __IO  uint8_t ACMP4H;
        };
    };
        __IO  uint8_t RESERVED51[2];
    union {
        __IO uint16_t ACMP5;
        stc_mft_adcmp_acmp5_field_t ACMP5_f;
        struct {
            __IO  uint8_t ACMP5L;
            __IO  uint8_t ACMP5H;
        };
    };
    union {
        __IO uint16_t ACSA;
        stc_mft_adcmp_acsa_field_t ACSA_f;
        struct {
            __IO  uint8_t ACSAL;
            __IO  uint8_t ACSAH;
        };
    };
        __IO  uint8_t RESERVED52[2];
    union {
        __IO  uint8_t ACSC0;
        stc_mft_adcmp_acsc0_field_t ACSC0_f;
    };
    union {
        __IO  uint8_t ACSD0;
        stc_mft_adcmp_acsd0_field_t ACSD0_f;
    };
        __IO  uint8_t RESERVED53[2];
    union {
        __IO  uint8_t ACSC1;
        stc_mft_adcmp_acsc1_field_t ACSC1_f;
    };
    union {
        __IO  uint8_t ACSD1;
        stc_mft_adcmp_acsd1_field_t ACSD1_f;
    };
        __IO  uint8_t RESERVED54[2];
    union {
        __IO  uint8_t ACSC2;
        stc_mft_adcmp_acsc2_field_t ACSC2_f;
    };
    union {
        __IO  uint8_t ACSD2;
        stc_mft_adcmp_acsd2_field_t ACSD2_f;
    };
        __IO  uint8_t RESERVED55[2];
    union {
        __IO  uint8_t ACSC3;
        stc_mft_adcmp_acsc3_field_t ACSC3_f;
    };
    union {
        __IO  uint8_t ACSD3;
        stc_mft_adcmp_acsd3_field_t ACSD3_f;
    };
        __IO  uint8_t RESERVED56[2];
    union {
        __IO  uint8_t ACSC4;
        stc_mft_adcmp_acsc4_field_t ACSC4_f;
    };
    union {
        __IO  uint8_t ACSD4;
        stc_mft_adcmp_acsd4_field_t ACSD4_f;
    };
        __IO  uint8_t RESERVED57[2];
    union {
        __IO  uint8_t ACSC5;
        stc_mft_adcmp_acsc5_field_t ACSC5_f;
    };
    union {
        __IO  uint8_t ACSD5;
        stc_mft_adcmp_acsd5_field_t ACSD5_f;
    };
} FM_MFT_ADCMP_TypeDef, FM0P_MFT_ADCMP_TypeDef;

/******************************************************************************
 ** MFT_FRT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED58[322];
    union {
        __IO uint16_t TCCP0;
        stc_mft_frt_tccp0_field_t TCCP0_f;
        struct {
            __IO  uint8_t TCCP0L;
            __IO  uint8_t TCCP0H;
        };
    };
        __IO  uint8_t RESERVED59[2];
    union {
        __IO uint16_t TCDT0;
        struct {
            __IO  uint8_t TCDT0L;
            __IO  uint8_t TCDT0H;
        };
    };
    union {
        __IO uint16_t TCSA0;
        stc_mft_frt_tcsa0_field_t TCSA0_f;
        struct {
            __IO  uint8_t TCSA0L;
            __IO  uint8_t TCSA0H;
        };
    };
    union {
        __IO uint16_t TCSC0;
        stc_mft_frt_tcsc0_field_t TCSC0_f;
        struct {
            __IO  uint8_t TCSC0L;
            __IO  uint8_t TCSC0H;
        };
    };
        __IO  uint8_t RESERVED60[2];
    union {
        __IO uint16_t TCCP1;
        stc_mft_frt_tccp1_field_t TCCP1_f;
        struct {
            __IO  uint8_t TCCP1L;
            __IO  uint8_t TCCP1H;
        };
    };
        __IO  uint8_t RESERVED61[2];
    union {
        __IO uint16_t TCDT1;
        struct {
            __IO  uint8_t TCDT1L;
            __IO  uint8_t TCDT1H;
        };
    };
    union {
        __IO uint16_t TCSA1;
        stc_mft_frt_tcsa1_field_t TCSA1_f;
        struct {
            __IO  uint8_t TCSA1L;
            __IO  uint8_t TCSA1H;
        };
    };
    union {
        __IO uint16_t TCSC1;
        stc_mft_frt_tcsc1_field_t TCSC1_f;
        struct {
            __IO  uint8_t TCSC1L;
            __IO  uint8_t TCSC1H;
        };
    };
        __IO  uint8_t RESERVED62[2];
    union {
        __IO uint16_t TCCP2;
        stc_mft_frt_tccp2_field_t TCCP2_f;
        struct {
            __IO  uint8_t TCCP2L;
            __IO  uint8_t TCCP2H;
        };
    };
        __IO  uint8_t RESERVED63[2];
    union {
        __IO uint16_t TCDT2;
        struct {
            __IO  uint8_t TCDT2L;
            __IO  uint8_t TCDT2H;
        };
    };
    union {
        __IO uint16_t TCSA2;
        stc_mft_frt_tcsa2_field_t TCSA2_f;
        struct {
            __IO  uint8_t TCSA2L;
            __IO  uint8_t TCSA2H;
        };
    };
    union {
        __IO uint16_t TCSC2;
        stc_mft_frt_tcsc2_field_t TCSC2_f;
        struct {
            __IO  uint8_t TCSC2L;
            __IO  uint8_t TCSC2H;
        };
    };
    union {
        __IO uint32_t TCAL;
        stc_mft_frt_tcal_field_t TCAL_f;
        struct {
          union {
            __IO uint16_t TCALL;
            struct {
              __IO uint8_t TCALLL;
              __IO uint8_t TCALLH;
            };
          };
          union {
            __IO uint16_t TCALH;
            struct {
              __IO uint8_t TCALHL;
              __IO uint8_t TCALHH;
            };
          };
        };
    };
} FM_MFT_FRT_TypeDef, FM0P_MFT_FRT_TypeDef;

/******************************************************************************
 ** MFT_ICU_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED64[364];
    union {
        __IO  uint8_t ICFS10;
        stc_mft_icu_icfs10_field_t ICFS10_f;
    };
    union {
        __IO  uint8_t ICFS32;
        stc_mft_icu_icfs32_field_t ICFS32_f;
    };
        __IO  uint8_t RESERVED65[8];
    union {
        __IO uint16_t ICCP0;
        struct {
            __IO  uint8_t ICCP0L;
            __IO  uint8_t ICCP0H;
        };
    };
        __IO  uint8_t RESERVED66[2];
    union {
        __IO uint16_t ICCP1;
        struct {
            __IO  uint8_t ICCP1L;
            __IO  uint8_t ICCP1H;
        };
    };
        __IO  uint8_t RESERVED67[2];
    union {
        __IO uint16_t ICCP2;
        struct {
            __IO  uint8_t ICCP2L;
            __IO  uint8_t ICCP2H;
        };
    };
        __IO  uint8_t RESERVED68[2];
    union {
        __IO uint16_t ICCP3;
        struct {
            __IO  uint8_t ICCP3L;
            __IO  uint8_t ICCP3H;
        };
    };
    union {
        __IO  uint8_t ICSA10;
        stc_mft_icu_icsa10_field_t ICSA10_f;
    };
    union {
        __IO  uint8_t ICSB10;
        stc_mft_icu_icsb10_field_t ICSB10_f;
    };
        __IO  uint8_t RESERVED69[2];
    union {
        __IO  uint8_t ICSA32;
        stc_mft_icu_icsa32_field_t ICSA32_f;
    };
    union {
        __IO  uint8_t ICSB32;
        stc_mft_icu_icsb32_field_t ICSB32_f;
    };
} FM_MFT_ICU_TypeDef, FM0P_MFT_ICU_TypeDef;

/******************************************************************************
 ** MFT_OCU_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED70[258];
    union {
        __IO uint16_t OCCP0;
        struct {
            __IO  uint8_t OCCP0L;
            __IO  uint8_t OCCP0H;
        };
    };
        __IO  uint8_t RESERVED71[2];
    union {
        __IO uint16_t OCCP1;
        struct {
            __IO  uint8_t OCCP1L;
            __IO  uint8_t OCCP1H;
        };
    };
        __IO  uint8_t RESERVED72[2];
    union {
        __IO uint16_t OCCP2;
        struct {
            __IO  uint8_t OCCP2L;
            __IO  uint8_t OCCP2H;
        };
    };
        __IO  uint8_t RESERVED73[2];
    union {
        __IO uint16_t OCCP3;
        struct {
            __IO  uint8_t OCCP3L;
            __IO  uint8_t OCCP3H;
        };
    };
        __IO  uint8_t RESERVED74[2];
    union {
        __IO uint16_t OCCP4;
        struct {
            __IO  uint8_t OCCP4L;
            __IO  uint8_t OCCP4H;
        };
    };
        __IO  uint8_t RESERVED75[2];
    union {
        __IO uint16_t OCCP5;
        struct {
            __IO  uint8_t OCCP5L;
            __IO  uint8_t OCCP5H;
        };
    };
    union {
        __IO  uint8_t OCSA10;
        stc_mft_ocu_ocsa10_field_t OCSA10_f;
    };
    union {
        __IO  uint8_t OCSB10;
        stc_mft_ocu_ocsb10_field_t OCSB10_f;
    };
    union {
        __IO  uint8_t OCSD10;
        stc_mft_ocu_ocsd10_field_t OCSD10_f;
    };
        __IO  uint8_t RESERVED76[1];
    union {
        __IO  uint8_t OCSA32;
        stc_mft_ocu_ocsa32_field_t OCSA32_f;
    };
    union {
        __IO  uint8_t OCSB32;
        stc_mft_ocu_ocsb32_field_t OCSB32_f;
    };
    union {
        __IO  uint8_t OCSD32;
        stc_mft_ocu_ocsd32_field_t OCSD32_f;
    };
        __IO  uint8_t RESERVED77[1];
    union {
        __IO  uint8_t OCSA54;
        stc_mft_ocu_ocsa54_field_t OCSA54_f;
    };
    union {
        __IO  uint8_t OCSB54;
        stc_mft_ocu_ocsb54_field_t OCSB54_f;
    };
    union {
        __IO  uint8_t OCSD54;
        stc_mft_ocu_ocsd54_field_t OCSD54_f;
    };
        __IO  uint8_t RESERVED78[2];
    union {
        __IO  uint8_t OCSC;
        stc_mft_ocu_ocsc_field_t OCSC_f;
    };
        __IO  uint8_t RESERVED79[2];
    union {
        __IO uint16_t OCSE0;
        stc_mft_ocu_ocse0_field_t OCSE0_f;
        struct {
            __IO  uint8_t OCSE0L;
            __IO  uint8_t OCSE0H;
        };
    };
        __IO  uint8_t RESERVED80[2];
    union {
        __IO uint32_t OCSE1;
        stc_mft_ocu_ocse1_field_t OCSE1_f;
        struct {
          union {
            __IO uint16_t OCSE1L;
            struct {
              __IO uint8_t OCSE1LL;
              __IO uint8_t OCSE1LH;
            };
          };
          union {
            __IO uint16_t OCSE1H;
            struct {
              __IO uint8_t OCSE1HL;
              __IO uint8_t OCSE1HH;
            };
          };
        };
    };
    union {
        __IO uint16_t OCSE2;
        stc_mft_ocu_ocse2_field_t OCSE2_f;
        struct {
            __IO  uint8_t OCSE2L;
            __IO  uint8_t OCSE2H;
        };
    };
        __IO  uint8_t RESERVED81[2];
    union {
        __IO uint32_t OCSE3;
        stc_mft_ocu_ocse3_field_t OCSE3_f;
        struct {
          union {
            __IO uint16_t OCSE3L;
            struct {
              __IO uint8_t OCSE3LL;
              __IO uint8_t OCSE3LH;
            };
          };
          union {
            __IO uint16_t OCSE3H;
            struct {
              __IO uint8_t OCSE3HL;
              __IO uint8_t OCSE3HH;
            };
          };
        };
    };
    union {
        __IO uint16_t OCSE4;
        stc_mft_ocu_ocse4_field_t OCSE4_f;
        struct {
            __IO  uint8_t OCSE4L;
            __IO  uint8_t OCSE4H;
        };
    };
        __IO  uint8_t RESERVED82[2];
    union {
        __IO uint32_t OCSE5;
        stc_mft_ocu_ocse5_field_t OCSE5_f;
        struct {
          union {
            __IO uint16_t OCSE5L;
            struct {
              __IO uint8_t OCSE5LL;
              __IO uint8_t OCSE5LH;
            };
          };
          union {
            __IO uint16_t OCSE5H;
            struct {
              __IO uint8_t OCSE5HL;
              __IO uint8_t OCSE5HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED83[40];
    union {
        __IO  uint8_t OCFS10;
        stc_mft_ocu_ocfs10_field_t OCFS10_f;
    };
    union {
        __IO  uint8_t OCFS32;
        stc_mft_ocu_ocfs32_field_t OCFS32_f;
    };
    union {
        __IO  uint8_t OCFS54;
        stc_mft_ocu_ocfs54_field_t OCFS54_f;
    };
} FM_MFT_OCU_TypeDef, FM0P_MFT_OCU_TypeDef;

/******************************************************************************
 ** MFT_WFG_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED84[398];
    union {
        __IO uint16_t WFTF10;
        struct {
            __IO  uint8_t WFTF10L;
            __IO  uint8_t WFTF10H;
        };
    };
    union {
        __IO uint16_t WFTA10;
        struct {
            __IO  uint8_t WFTA10L;
            __IO  uint8_t WFTA10H;
        };
    };
    union {
        __IO uint16_t WFTB10;
        struct {
            __IO  uint8_t WFTB10L;
            __IO  uint8_t WFTB10H;
        };
    };
        __IO  uint8_t RESERVED85[2];
    union {
        __IO uint16_t WFTF32;
        struct {
            __IO  uint8_t WFTF32L;
            __IO  uint8_t WFTF32H;
        };
    };
    union {
        __IO uint16_t WFTA32;
        struct {
            __IO  uint8_t WFTA32L;
            __IO  uint8_t WFTA32H;
        };
    };
    union {
        __IO uint16_t WFTB32;
        struct {
            __IO  uint8_t WFTB32L;
            __IO  uint8_t WFTB32H;
        };
    };
        __IO  uint8_t RESERVED86[2];
    union {
        __IO uint16_t WFTF54;
        struct {
            __IO  uint8_t WFTF54L;
            __IO  uint8_t WFTF54H;
        };
    };
    union {
        __IO uint16_t WFTA54;
        struct {
            __IO  uint8_t WFTA54L;
            __IO  uint8_t WFTA54H;
        };
    };
    union {
        __IO uint16_t WFTB54;
        struct {
            __IO  uint8_t WFTB54L;
            __IO  uint8_t WFTB54H;
        };
    };
    union {
        __IO uint16_t WFSA10;
        stc_mft_wfg_wfsa10_field_t WFSA10_f;
        struct {
            __IO  uint8_t WFSA10L;
            __IO  uint8_t WFSA10H;
        };
    };
        __IO  uint8_t RESERVED87[2];
    union {
        __IO uint16_t WFSA32;
        stc_mft_wfg_wfsa32_field_t WFSA32_f;
        struct {
            __IO  uint8_t WFSA32L;
            __IO  uint8_t WFSA32H;
        };
    };
        __IO  uint8_t RESERVED88[2];
    union {
        __IO uint16_t WFSA54;
        stc_mft_wfg_wfsa54_field_t WFSA54_f;
        struct {
            __IO  uint8_t WFSA54L;
            __IO  uint8_t WFSA54H;
        };
    };
        __IO  uint8_t RESERVED89[2];
    union {
        __IO uint16_t WFIR;
        stc_mft_wfg_wfir_field_t WFIR_f;
        struct {
            __IO  uint8_t WFIRL;
            __IO  uint8_t WFIRH;
        };
    };
        __IO  uint8_t RESERVED90[2];
    union {
        __IO uint16_t NZCL;
        stc_mft_wfg_nzcl_field_t NZCL_f;
        struct {
            __IO  uint8_t NZCLL;
            __IO  uint8_t NZCLH;
        };
    };
} FM_MFT_WFG_TypeDef, FM0P_MFT_WFG_TypeDef;

/******************************************************************************
 ** MFT_PPG_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED0[1];
    union {
        __IO  uint8_t TTCR0;
        stc_mft_ppg_ttcr0_field_t TTCR0_f;
    };
        __IO  uint8_t RESERVED1[7];
        __IO  uint8_t COMP0;
        __IO  uint8_t RESERVED2[2];
        __IO  uint8_t COMP2;
        __IO  uint8_t RESERVED3[4];
        __IO  uint8_t COMP4;
        __IO  uint8_t RESERVED4[2];
        __IO  uint8_t COMP6;
        __IO  uint8_t RESERVED5[12];
    union {
        __IO  uint8_t TTCR1;
        stc_mft_ppg_ttcr1_field_t TTCR1_f;
    };
        __IO  uint8_t RESERVED6[7];
        __IO  uint8_t COMP1;
        __IO  uint8_t RESERVED7[2];
        __IO  uint8_t COMP3;
        __IO  uint8_t RESERVED8[4];
        __IO  uint8_t COMP5;
        __IO  uint8_t RESERVED9[2];
        __IO  uint8_t COMP7;
        __IO  uint8_t RESERVED10[12];
    union {
        __IO  uint8_t TTCR2;
        stc_mft_ppg_ttcr2_field_t TTCR2_f;
    };
        __IO  uint8_t RESERVED11[7];
        __IO  uint8_t COMP8;
        __IO  uint8_t RESERVED12[2];
        __IO  uint8_t COMP10;
        __IO  uint8_t RESERVED13[4];
        __IO  uint8_t COMP12;
        __IO  uint8_t RESERVED14[2];
        __IO  uint8_t COMP14;
        __IO  uint8_t RESERVED15[171];
    union {
        __IO uint16_t TRG0;
        stc_mft_ppg_trg0_field_t TRG0_f;
        struct {
            __IO  uint8_t TRG0L;
            __IO  uint8_t TRG0H;
        };
    };
        __IO  uint8_t RESERVED16[2];
    union {
        __IO uint16_t REVC0;
        stc_mft_ppg_revc0_field_t REVC0_f;
        struct {
            __IO  uint8_t REVC0L;
            __IO  uint8_t REVC0H;
        };
    };
        __IO  uint8_t RESERVED17[58];
    union {
        __IO uint16_t TRG1;
        stc_mft_ppg_trg1_field_t TRG1_f;
        struct {
            __IO  uint8_t TRG1L;
            __IO  uint8_t TRG1H;
        };
    };
        __IO  uint8_t RESERVED18[2];
    union {
        __IO uint16_t REVC1;
        stc_mft_ppg_revc1_field_t REVC1_f;
        struct {
            __IO  uint8_t REVC1L;
            __IO  uint8_t REVC1H;
        };
    };
        __IO  uint8_t RESERVED19[186];
    union {
        __IO  uint8_t PPGC1;
        stc_mft_ppg_ppgc1_field_t PPGC1_f;
    };
    union {
        __IO  uint8_t PPGC0;
        stc_mft_ppg_ppgc0_field_t PPGC0_f;
    };
        __IO  uint8_t RESERVED20[2];
    union {
        __IO  uint8_t PPGC3;
        stc_mft_ppg_ppgc3_field_t PPGC3_f;
    };
    union {
        __IO  uint8_t PPGC2;
        stc_mft_ppg_ppgc2_field_t PPGC2_f;
    };
        __IO  uint8_t RESERVED21[2];
    union {
        __IO  uint8_t PRLL0;
        stc_mft_ppg_prll0_field_t PRLL0_f;
    };
    union {
        __IO  uint8_t PRLH0;
        stc_mft_ppg_prlh0_field_t PRLH0_f;
    };
        __IO  uint8_t RESERVED22[2];
    union {
        __IO  uint8_t PRLL1;
        stc_mft_ppg_prll1_field_t PRLL1_f;
    };
    union {
        __IO  uint8_t PRLH1;
        stc_mft_ppg_prlh1_field_t PRLH1_f;
    };
        __IO  uint8_t RESERVED23[2];
    union {
        __IO  uint8_t PRLL2;
        stc_mft_ppg_prll2_field_t PRLL2_f;
    };
    union {
        __IO  uint8_t PRLH2;
        stc_mft_ppg_prlh2_field_t PRLH2_f;
    };
        __IO  uint8_t RESERVED24[2];
    union {
        __IO  uint8_t PRLL3;
        stc_mft_ppg_prll3_field_t PRLL3_f;
    };
    union {
        __IO  uint8_t PRLH3;
        stc_mft_ppg_prlh3_field_t PRLH3_f;
    };
        __IO  uint8_t RESERVED25[2];
    union {
        __IO  uint8_t GATEC0;
        stc_mft_ppg_gatec0_field_t GATEC0_f;
    };
        __IO  uint8_t RESERVED26[39];
    union {
        __IO  uint8_t PPGC5;
        stc_mft_ppg_ppgc5_field_t PPGC5_f;
    };
    union {
        __IO  uint8_t PPGC4;
        stc_mft_ppg_ppgc4_field_t PPGC4_f;
    };
        __IO  uint8_t RESERVED27[2];
    union {
        __IO  uint8_t PPGC7;
        stc_mft_ppg_ppgc7_field_t PPGC7_f;
    };
    union {
        __IO  uint8_t PPGC6;
        stc_mft_ppg_ppgc6_field_t PPGC6_f;
    };
        __IO  uint8_t RESERVED28[2];
    union {
        __IO  uint8_t PRLL4;
        stc_mft_ppg_prll4_field_t PRLL4_f;
    };
    union {
        __IO  uint8_t PRLH4;
        stc_mft_ppg_prlh4_field_t PRLH4_f;
    };
        __IO  uint8_t RESERVED29[2];
    union {
        __IO  uint8_t PRLL5;
        stc_mft_ppg_prll5_field_t PRLL5_f;
    };
    union {
        __IO  uint8_t PRLH5;
        stc_mft_ppg_prlh5_field_t PRLH5_f;
    };
        __IO  uint8_t RESERVED30[2];
    union {
        __IO  uint8_t PRLL6;
        stc_mft_ppg_prll6_field_t PRLL6_f;
    };
    union {
        __IO  uint8_t PRLH6;
        stc_mft_ppg_prlh6_field_t PRLH6_f;
    };
        __IO  uint8_t RESERVED31[2];
    union {
        __IO  uint8_t PRLL7;
        stc_mft_ppg_prll7_field_t PRLL7_f;
    };
    union {
        __IO  uint8_t PRLH7;
        stc_mft_ppg_prlh7_field_t PRLH7_f;
    };
        __IO  uint8_t RESERVED32[2];
    union {
        __IO  uint8_t GATEC4;
        stc_mft_ppg_gatec4_field_t GATEC4_f;
    };
        __IO  uint8_t RESERVED33[39];
    union {
        __IO  uint8_t PPGC9;
        stc_mft_ppg_ppgc9_field_t PPGC9_f;
    };
    union {
        __IO  uint8_t PPGC8;
        stc_mft_ppg_ppgc8_field_t PPGC8_f;
    };
        __IO  uint8_t RESERVED34[2];
    union {
        __IO  uint8_t PPGC11;
        stc_mft_ppg_ppgc11_field_t PPGC11_f;
    };
    union {
        __IO  uint8_t PPGC10;
        stc_mft_ppg_ppgc10_field_t PPGC10_f;
    };
        __IO  uint8_t RESERVED35[2];
    union {
        __IO  uint8_t PRLL8;
        stc_mft_ppg_prll8_field_t PRLL8_f;
    };
    union {
        __IO  uint8_t PRLH8;
        stc_mft_ppg_prlh8_field_t PRLH8_f;
    };
        __IO  uint8_t RESERVED36[2];
    union {
        __IO  uint8_t PRLL9;
        stc_mft_ppg_prll9_field_t PRLL9_f;
    };
    union {
        __IO  uint8_t PRLH9;
        stc_mft_ppg_prlh9_field_t PRLH9_f;
    };
        __IO  uint8_t RESERVED37[2];
    union {
        __IO  uint8_t PRLL10;
        stc_mft_ppg_prll10_field_t PRLL10_f;
    };
    union {
        __IO  uint8_t PRLH10;
        stc_mft_ppg_prlh10_field_t PRLH10_f;
    };
        __IO  uint8_t RESERVED38[2];
    union {
        __IO  uint8_t PRLL11;
        stc_mft_ppg_prll11_field_t PRLL11_f;
    };
    union {
        __IO  uint8_t PRLH11;
        stc_mft_ppg_prlh11_field_t PRLH11_f;
    };
        __IO  uint8_t RESERVED39[2];
    union {
        __IO  uint8_t GATEC8;
        stc_mft_ppg_gatec8_field_t GATEC8_f;
    };
        __IO  uint8_t RESERVED40[39];
    union {
        __IO  uint8_t PPGC13;
        stc_mft_ppg_ppgc13_field_t PPGC13_f;
    };
    union {
        __IO  uint8_t PPGC12;
        stc_mft_ppg_ppgc12_field_t PPGC12_f;
    };
        __IO  uint8_t RESERVED41[2];
    union {
        __IO  uint8_t PPGC15;
        stc_mft_ppg_ppgc15_field_t PPGC15_f;
    };
    union {
        __IO  uint8_t PPGC14;
        stc_mft_ppg_ppgc14_field_t PPGC14_f;
    };
        __IO  uint8_t RESERVED42[2];
    union {
        __IO  uint8_t PRLL12;
        stc_mft_ppg_prll12_field_t PRLL12_f;
    };
    union {
        __IO  uint8_t PRLH12;
        stc_mft_ppg_prlh12_field_t PRLH12_f;
    };
        __IO  uint8_t RESERVED43[2];
    union {
        __IO  uint8_t PRLL13;
        stc_mft_ppg_prll13_field_t PRLL13_f;
    };
    union {
        __IO  uint8_t PRLH13;
        stc_mft_ppg_prlh13_field_t PRLH13_f;
    };
        __IO  uint8_t RESERVED44[2];
    union {
        __IO  uint8_t PRLL14;
        stc_mft_ppg_prll14_field_t PRLL14_f;
    };
    union {
        __IO  uint8_t PRLH14;
        stc_mft_ppg_prlh14_field_t PRLH14_f;
    };
        __IO  uint8_t RESERVED45[2];
    union {
        __IO  uint8_t PRLL15;
        stc_mft_ppg_prll15_field_t PRLL15_f;
    };
    union {
        __IO  uint8_t PRLH15;
        stc_mft_ppg_prlh15_field_t PRLH15_f;
    };
        __IO  uint8_t RESERVED46[2];
    union {
        __IO  uint8_t GATEC12;
        stc_mft_ppg_gatec12_field_t GATEC12_f;
    };
        __IO  uint8_t RESERVED47[39];
    union {
        __IO  uint8_t PPGC17;
        stc_mft_ppg_ppgc17_field_t PPGC17_f;
    };
    union {
        __IO  uint8_t PPGC16;
        stc_mft_ppg_ppgc16_field_t PPGC16_f;
    };
        __IO  uint8_t RESERVED48[2];
    union {
        __IO  uint8_t PPGC19;
        stc_mft_ppg_ppgc19_field_t PPGC19_f;
    };
    union {
        __IO  uint8_t PPGC18;
        stc_mft_ppg_ppgc18_field_t PPGC18_f;
    };
        __IO  uint8_t RESERVED49[2];
    union {
        __IO  uint8_t PRLL16;
        stc_mft_ppg_prll16_field_t PRLL16_f;
    };
    union {
        __IO  uint8_t PRLH16;
        stc_mft_ppg_prlh16_field_t PRLH16_f;
    };
        __IO  uint8_t RESERVED50[2];
    union {
        __IO  uint8_t PRLL17;
        stc_mft_ppg_prll17_field_t PRLL17_f;
    };
    union {
        __IO  uint8_t PRLH17;
        stc_mft_ppg_prlh17_field_t PRLH17_f;
    };
        __IO  uint8_t RESERVED51[2];
    union {
        __IO  uint8_t PRLL18;
        stc_mft_ppg_prll18_field_t PRLL18_f;
    };
    union {
        __IO  uint8_t PRLH18;
        stc_mft_ppg_prlh18_field_t PRLH18_f;
    };
        __IO  uint8_t RESERVED52[2];
    union {
        __IO  uint8_t PRLL19;
        stc_mft_ppg_prll19_field_t PRLL19_f;
    };
    union {
        __IO  uint8_t PRLH19;
        stc_mft_ppg_prlh19_field_t PRLH19_f;
    };
        __IO  uint8_t RESERVED53[2];
    union {
        __IO  uint8_t GATEC16;
        stc_mft_ppg_gatec16_field_t GATEC16_f;
    };
        __IO  uint8_t RESERVED54[39];
    union {
        __IO  uint8_t PPGC21;
        stc_mft_ppg_ppgc21_field_t PPGC21_f;
    };
    union {
        __IO  uint8_t PPGC20;
        stc_mft_ppg_ppgc20_field_t PPGC20_f;
    };
        __IO  uint8_t RESERVED55[2];
    union {
        __IO  uint8_t PPGC23;
        stc_mft_ppg_ppgc23_field_t PPGC23_f;
    };
    union {
        __IO  uint8_t PPGC22;
        stc_mft_ppg_ppgc22_field_t PPGC22_f;
    };
        __IO  uint8_t RESERVED56[2];
    union {
        __IO  uint8_t PRLL20;
        stc_mft_ppg_prll20_field_t PRLL20_f;
    };
    union {
        __IO  uint8_t PRLH20;
        stc_mft_ppg_prlh20_field_t PRLH20_f;
    };
        __IO  uint8_t RESERVED57[2];
    union {
        __IO  uint8_t PRLL21;
        stc_mft_ppg_prll21_field_t PRLL21_f;
    };
    union {
        __IO  uint8_t PRLH21;
        stc_mft_ppg_prlh21_field_t PRLH21_f;
    };
        __IO  uint8_t RESERVED58[2];
    union {
        __IO  uint8_t PRLL22;
        stc_mft_ppg_prll22_field_t PRLL22_f;
    };
    union {
        __IO  uint8_t PRLH22;
        stc_mft_ppg_prlh22_field_t PRLH22_f;
    };
        __IO  uint8_t RESERVED59[2];
    union {
        __IO  uint8_t PRLL23;
        stc_mft_ppg_prll23_field_t PRLL23_f;
    };
    union {
        __IO  uint8_t PRLH23;
        stc_mft_ppg_prlh23_field_t PRLH23_f;
    };
        __IO  uint8_t RESERVED60[2];
    union {
        __IO  uint8_t GATEC20;
        stc_mft_ppg_gatec20_field_t GATEC20_f;
    };
        __IO  uint8_t RESERVED61[39];
    union {
        __IO  uint8_t IGBTC;
        stc_mft_ppg_igbtc_field_t IGBTC_f;
    };
} FM_MFT_PPG_TypeDef, FM0P_MFT_PPG_TypeDef;

/******************************************************************************
 ** MTB_DWT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t CMP_ADDR_START;
        stc_mtb_dwt_cmp_addr_start_field_t CMP_ADDR_START_f;
        struct {
          union {
            __IO uint16_t CMP_ADDR_STARTL;
            struct {
              __IO uint8_t CMP_ADDR_STARTLL;
              __IO uint8_t CMP_ADDR_STARTLH;
            };
          };
          union {
            __IO uint16_t CMP_ADDR_STARTH;
            struct {
              __IO uint8_t CMP_ADDR_STARTHL;
              __IO uint8_t CMP_ADDR_STARTHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CMP_DATA_START;
        stc_mtb_dwt_cmp_data_start_field_t CMP_DATA_START_f;
        struct {
          union {
            __IO uint16_t CMP_DATA_STARTL;
            struct {
              __IO uint8_t CMP_DATA_STARTLL;
              __IO uint8_t CMP_DATA_STARTLH;
            };
          };
          union {
            __IO uint16_t CMP_DATA_STARTH;
            struct {
              __IO uint8_t CMP_DATA_STARTHL;
              __IO uint8_t CMP_DATA_STARTHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CMP_MASK_START;
        stc_mtb_dwt_cmp_mask_start_field_t CMP_MASK_START_f;
        struct {
          union {
            __IO uint16_t CMP_MASK_STARTL;
            struct {
              __IO uint8_t CMP_MASK_STARTLL;
              __IO uint8_t CMP_MASK_STARTLH;
            };
          };
          union {
            __IO uint16_t CMP_MASK_STARTH;
            struct {
              __IO uint8_t CMP_MASK_STARTHL;
              __IO uint8_t CMP_MASK_STARTHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[4];
    union {
        __IO uint32_t CMP_ADDR_STOP;
        stc_mtb_dwt_cmp_addr_stop_field_t CMP_ADDR_STOP_f;
        struct {
          union {
            __IO uint16_t CMP_ADDR_STOPL;
            struct {
              __IO uint8_t CMP_ADDR_STOPLL;
              __IO uint8_t CMP_ADDR_STOPLH;
            };
          };
          union {
            __IO uint16_t CMP_ADDR_STOPH;
            struct {
              __IO uint8_t CMP_ADDR_STOPHL;
              __IO uint8_t CMP_ADDR_STOPHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CMP_DATA_STOP;
        stc_mtb_dwt_cmp_data_stop_field_t CMP_DATA_STOP_f;
        struct {
          union {
            __IO uint16_t CMP_DATA_STOPL;
            struct {
              __IO uint8_t CMP_DATA_STOPLL;
              __IO uint8_t CMP_DATA_STOPLH;
            };
          };
          union {
            __IO uint16_t CMP_DATA_STOPH;
            struct {
              __IO uint8_t CMP_DATA_STOPHL;
              __IO uint8_t CMP_DATA_STOPHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CMP_MASK_STOP;
        stc_mtb_dwt_cmp_mask_stop_field_t CMP_MASK_STOP_f;
        struct {
          union {
            __IO uint16_t CMP_MASK_STOPL;
            struct {
              __IO uint8_t CMP_MASK_STOPLL;
              __IO uint8_t CMP_MASK_STOPLH;
            };
          };
          union {
            __IO uint16_t CMP_MASK_STOPH;
            struct {
              __IO uint8_t CMP_MASK_STOPHL;
              __IO uint8_t CMP_MASK_STOPHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[4];
    union {
        __IO  uint8_t FCT;
        stc_mtb_dwt_fct_field_t FCT_f;
    };
        __IO  uint8_t RESERVED2[4015];
    union {
        __IO uint32_t PID4;
        stc_mtb_dwt_pid4_field_t PID4_f;
        struct {
          union {
            __IO uint16_t PID4L;
            struct {
              __IO uint8_t PID4LL;
              __IO uint8_t PID4LH;
            };
          };
          union {
            __IO uint16_t PID4H;
            struct {
              __IO uint8_t PID4HL;
              __IO uint8_t PID4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PID5;
        stc_mtb_dwt_pid5_field_t PID5_f;
        struct {
          union {
            __IO uint16_t PID5L;
            struct {
              __IO uint8_t PID5LL;
              __IO uint8_t PID5LH;
            };
          };
          union {
            __IO uint16_t PID5H;
            struct {
              __IO uint8_t PID5HL;
              __IO uint8_t PID5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PID6;
        stc_mtb_dwt_pid6_field_t PID6_f;
        struct {
          union {
            __IO uint16_t PID6L;
            struct {
              __IO uint8_t PID6LL;
              __IO uint8_t PID6LH;
            };
          };
          union {
            __IO uint16_t PID6H;
            struct {
              __IO uint8_t PID6HL;
              __IO uint8_t PID6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PID7;
        stc_mtb_dwt_pid7_field_t PID7_f;
        struct {
          union {
            __IO uint16_t PID7L;
            struct {
              __IO uint8_t PID7LL;
              __IO uint8_t PID7LH;
            };
          };
          union {
            __IO uint16_t PID7H;
            struct {
              __IO uint8_t PID7HL;
              __IO uint8_t PID7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PID0;
        stc_mtb_dwt_pid0_field_t PID0_f;
        struct {
          union {
            __IO uint16_t PID0L;
            struct {
              __IO uint8_t PID0LL;
              __IO uint8_t PID0LH;
            };
          };
          union {
            __IO uint16_t PID0H;
            struct {
              __IO uint8_t PID0HL;
              __IO uint8_t PID0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PID1;
        stc_mtb_dwt_pid1_field_t PID1_f;
        struct {
          union {
            __IO uint16_t PID1L;
            struct {
              __IO uint8_t PID1LL;
              __IO uint8_t PID1LH;
            };
          };
          union {
            __IO uint16_t PID1H;
            struct {
              __IO uint8_t PID1HL;
              __IO uint8_t PID1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PID2;
        stc_mtb_dwt_pid2_field_t PID2_f;
        struct {
          union {
            __IO uint16_t PID2L;
            struct {
              __IO uint8_t PID2LL;
              __IO uint8_t PID2LH;
            };
          };
          union {
            __IO uint16_t PID2H;
            struct {
              __IO uint8_t PID2HL;
              __IO uint8_t PID2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PID3;
        stc_mtb_dwt_pid3_field_t PID3_f;
        struct {
          union {
            __IO uint16_t PID3L;
            struct {
              __IO uint8_t PID3LL;
              __IO uint8_t PID3LH;
            };
          };
          union {
            __IO uint16_t PID3H;
            struct {
              __IO uint8_t PID3HL;
              __IO uint8_t PID3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t CID0;
        stc_mtb_dwt_cid0_field_t CID0_f;
        struct {
          union {
            __IO uint16_t CID0L;
            struct {
              __IO uint8_t CID0LL;
              __IO uint8_t CID0LH;
            };
          };
          union {
            __IO uint16_t CID0H;
            struct {
              __IO uint8_t CID0HL;
              __IO uint8_t CID0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t CID1;
        stc_mtb_dwt_cid1_field_t CID1_f;
        struct {
          union {
            __IO uint16_t CID1L;
            struct {
              __IO uint8_t CID1LL;
              __IO uint8_t CID1LH;
            };
          };
          union {
            __IO uint16_t CID1H;
            struct {
              __IO uint8_t CID1HL;
              __IO uint8_t CID1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t CID2;
        stc_mtb_dwt_cid2_field_t CID2_f;
        struct {
          union {
            __IO uint16_t CID2L;
            struct {
              __IO uint8_t CID2LL;
              __IO uint8_t CID2LH;
            };
          };
          union {
            __IO uint16_t CID2H;
            struct {
              __IO uint8_t CID2HL;
              __IO uint8_t CID2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t CID3;
        stc_mtb_dwt_cid3_field_t CID3_f;
        struct {
          union {
            __IO uint16_t CID3L;
            struct {
              __IO uint8_t CID3LL;
              __IO uint8_t CID3LH;
            };
          };
          union {
            __IO uint16_t CID3H;
            struct {
              __IO uint8_t CID3HL;
              __IO uint8_t CID3HH;
            };
          };
        };
    };
} FM_MTB_DWT_TypeDef, FM0P_MTB_DWT_TypeDef;

/******************************************************************************
 ** QPRC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t QPCR;
        struct {
            __IO  uint8_t QPCRL;
            __IO  uint8_t QPCRH;
        };
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO uint16_t QRCR;
        struct {
            __IO  uint8_t QRCRL;
            __IO  uint8_t QRCRH;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO uint16_t QPCCR;
        struct {
            __IO  uint8_t QPCCRL;
            __IO  uint8_t QPCCRH;
        };
    };
        __IO  uint8_t RESERVED2[2];
    union {
        __IO uint16_t QPRCR;
        struct {
            __IO  uint8_t QPRCRL;
            __IO  uint8_t QPRCRH;
        };
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO uint16_t QMPR;
        struct {
            __IO  uint8_t QMPRL;
            __IO  uint8_t QMPRH;
        };
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO  uint8_t QICRL;
        stc_qprc_qicrl_field_t QICRL_f;
    };
    union {
        __IO  uint8_t QICRH;
        stc_qprc_qicrh_field_t QICRH_f;
    };
        __IO  uint8_t RESERVED5[2];
    union {
        __IO uint16_t QCR;
        stc_qprc_qcr_field_t QCR_f;
        struct {
            __IO  uint8_t QCRL;
            __IO  uint8_t QCRH;
        };
    };
        __IO  uint8_t RESERVED6[2];
    union {
        __IO uint16_t QECR;
        stc_qprc_qecr_field_t QECR_f;
        struct {
            __IO  uint8_t QECRL;
            __IO  uint8_t QECRH;
        };
    };
        __IO  uint8_t RESERVED7[30];
    union {
        __IO uint32_t QPRCRR;
        stc_qprc_qprcrr_field_t QPRCRR_f;
        struct {
          union {
            __IO uint16_t QPRCRRL;
            struct {
              __IO uint8_t QPRCRRLL;
              __IO uint8_t QPRCRRLH;
            };
          };
          union {
            __IO uint16_t QPRCRRH;
            struct {
              __IO uint8_t QPRCRRHL;
              __IO uint8_t QPRCRRHH;
            };
          };
        };
    };
} FM_QPRC_TypeDef, FM0P_QPRC_TypeDef;

/******************************************************************************
 ** QPRC_NF_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t NFCTLA;
        stc_qprc_nf_nfctla_field_t NFCTLA_f;
        struct {
            __IO  uint8_t NFCTLAL;
            __IO  uint8_t NFCTLAH;
        };
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO uint16_t NFCTLB;
        stc_qprc_nf_nfctlb_field_t NFCTLB_f;
        struct {
            __IO  uint8_t NFCTLBL;
            __IO  uint8_t NFCTLBH;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO uint16_t NFCTLZ;
        stc_qprc_nf_nfctlz_field_t NFCTLZ_f;
        struct {
            __IO  uint8_t NFCTLZL;
            __IO  uint8_t NFCTLZH;
        };
    };
} FM_QPRC_NF_TypeDef, FM0P_QPRC_NF_TypeDef;

/******************************************************************************
 ** RTC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t WTCR1;
        stc_rtc_wtcr1_field_t WTCR1_f;
        struct {
          union {
            __IO uint16_t WTCR1L;
            struct {
              __IO uint8_t WTCR1LL;
              __IO uint8_t WTCR1LH;
            };
          };
          union {
            __IO uint16_t WTCR1H;
            struct {
              __IO uint8_t WTCR1HL;
              __IO uint8_t WTCR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t WTCR2;
        stc_rtc_wtcr2_field_t WTCR2_f;
        struct {
          union {
            __IO uint16_t WTCR2L;
            struct {
              __IO uint8_t WTCR2LL;
              __IO uint8_t WTCR2LH;
            };
          };
          union {
            __IO uint16_t WTCR2H;
            struct {
              __IO uint8_t WTCR2HL;
              __IO uint8_t WTCR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t WTBR;
        stc_rtc_wtbr_field_t WTBR_f;
        struct {
          union {
            __IO uint16_t WTBRL;
            struct {
              __IO uint8_t WTBRLL;
              __IO uint8_t WTBRLH;
            };
          };
          union {
            __IO uint16_t WTBRH;
            struct {
              __IO uint8_t WTBRHL;
              __IO uint8_t WTBRHH;
            };
          };
        };
    };
    union {
        __IO  uint8_t WTSR;
        stc_rtc_wtsr_field_t WTSR_f;
    };
    union {
        __IO  uint8_t WTMIR;
        stc_rtc_wtmir_field_t WTMIR_f;
    };
    union {
        __IO  uint8_t WTHR;
        stc_rtc_wthr_field_t WTHR_f;
    };
    union {
        __IO  uint8_t WTDR;
        stc_rtc_wtdr_field_t WTDR_f;
    };
    union {
        __IO  uint8_t WTDW;
        stc_rtc_wtdw_field_t WTDW_f;
    };
    union {
        __IO  uint8_t WTMOR;
        stc_rtc_wtmor_field_t WTMOR_f;
    };
    union {
        __IO  uint8_t WTYR;
        stc_rtc_wtyr_field_t WTYR_f;
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO  uint8_t ALMIR;
        stc_rtc_almir_field_t ALMIR_f;
    };
    union {
        __IO  uint8_t ALHR;
        stc_rtc_alhr_field_t ALHR_f;
    };
    union {
        __IO  uint8_t ALDR;
        stc_rtc_aldr_field_t ALDR_f;
    };
        __IO  uint8_t RESERVED1[1];
    union {
        __IO  uint8_t ALMOR;
        stc_rtc_almor_field_t ALMOR_f;
    };
    union {
        __IO  uint8_t ALYR;
        stc_rtc_alyr_field_t ALYR_f;
    };
        __IO  uint8_t RESERVED2[1];
    union {
        __IO uint32_t WTTR;
        stc_rtc_wttr_field_t WTTR_f;
        struct {
          union {
            __IO uint16_t WTTRL;
            struct {
              __IO uint8_t WTTRLL;
              __IO uint8_t WTTRLH;
            };
          };
          union {
            __IO uint16_t WTTRH;
            struct {
              __IO uint8_t WTTRHL;
              __IO uint8_t WTTRHH;
            };
          };
        };
    };
    union {
        __IO  uint8_t WTCLKS;
        stc_rtc_wtclks_field_t WTCLKS_f;
    };
    union {
        __IO  uint8_t WTCLKM;
        stc_rtc_wtclkm_field_t WTCLKM_f;
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO uint16_t WTCAL;
        stc_rtc_wtcal_field_t WTCAL_f;
        struct {
            __IO  uint8_t WTCALL;
            __IO  uint8_t WTCALH;
        };
    };
    union {
        __IO  uint8_t WTCALEN;
        stc_rtc_wtcalen_field_t WTCALEN_f;
    };
        __IO  uint8_t RESERVED4[1];
    union {
        __IO  uint8_t WTDIV;
        stc_rtc_wtdiv_field_t WTDIV_f;
    };
    union {
        __IO  uint8_t WTDIVEN;
        stc_rtc_wtdiven_field_t WTDIVEN_f;
    };
        __IO  uint8_t RESERVED5[2];
    union {
        __IO  uint8_t WTCALPRD;
        stc_rtc_wtcalprd_field_t WTCALPRD_f;
    };
        __IO  uint8_t RESERVED6[3];
    union {
        __IO  uint8_t WTCOSEL;
        stc_rtc_wtcosel_field_t WTCOSEL_f;
    };
} FM_RTC_TypeDef, FM0P_RTC_TypeDef;

/******************************************************************************
 ** SBSSR_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED0[252];
    union {
        __IO uint16_t BTSSSR;
        stc_sbssr_btsssr_field_t BTSSSR_f;
        struct {
            __IO  uint8_t BTSSSRL;
            __IO  uint8_t BTSSSRH;
        };
    };
} FM_SBSSR_TypeDef, FM0P_SBSSR_TypeDef;

/******************************************************************************
 ** SWWDT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t WDOGLOAD;
        struct {
          union {
            __IO uint16_t WDOGLOADL;
            struct {
              __IO uint8_t WDOGLOADLL;
              __IO uint8_t WDOGLOADLH;
            };
          };
          union {
            __IO uint16_t WDOGLOADH;
            struct {
              __IO uint8_t WDOGLOADHL;
              __IO uint8_t WDOGLOADHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDOGVALUE;
        struct {
          union {
            __IO uint16_t WDOGVALUEL;
            struct {
              __IO uint8_t WDOGVALUELL;
              __IO uint8_t WDOGVALUELH;
            };
          };
          union {
            __IO uint16_t WDOGVALUEH;
            struct {
              __IO uint8_t WDOGVALUEHL;
              __IO uint8_t WDOGVALUEHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDOGCONTROL;
        stc_swwdt_wdogcontrol_field_t WDOGCONTROL_f;
        struct {
          union {
            __IO uint16_t WDOGCONTROLL;
            struct {
              __IO uint8_t WDOGCONTROLLL;
              __IO uint8_t WDOGCONTROLLH;
            };
          };
          union {
            __IO uint16_t WDOGCONTROLH;
            struct {
              __IO uint8_t WDOGCONTROLHL;
              __IO uint8_t WDOGCONTROLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDOGINTCLR;
        struct {
          union {
            __IO uint16_t WDOGINTCLRL;
            struct {
              __IO uint8_t WDOGINTCLRLL;
              __IO uint8_t WDOGINTCLRLH;
            };
          };
          union {
            __IO uint16_t WDOGINTCLRH;
            struct {
              __IO uint8_t WDOGINTCLRHL;
              __IO uint8_t WDOGINTCLRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDOGRIS;
        stc_swwdt_wdogris_field_t WDOGRIS_f;
        struct {
          union {
            __IO uint16_t WDOGRISL;
            struct {
              __IO uint8_t WDOGRISLL;
              __IO uint8_t WDOGRISLH;
            };
          };
          union {
            __IO uint16_t WDOGRISH;
            struct {
              __IO uint8_t WDOGRISHL;
              __IO uint8_t WDOGRISHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[4];
    union {
        __IO uint32_t WDOGSPMC;
        stc_swwdt_wdogspmc_field_t WDOGSPMC_f;
        struct {
          union {
            __IO uint16_t WDOGSPMCL;
            struct {
              __IO uint8_t WDOGSPMCLL;
              __IO uint8_t WDOGSPMCLH;
            };
          };
          union {
            __IO uint16_t WDOGSPMCH;
            struct {
              __IO uint8_t WDOGSPMCHL;
              __IO uint8_t WDOGSPMCHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[3044];
    union {
        __IO uint32_t WDOGLOCK;
        struct {
          union {
            __IO uint16_t WDOGLOCKL;
            struct {
              __IO uint8_t WDOGLOCKLL;
              __IO uint8_t WDOGLOCKLH;
            };
          };
          union {
            __IO uint16_t WDOGLOCKH;
            struct {
              __IO uint8_t WDOGLOCKHL;
              __IO uint8_t WDOGLOCKHH;
            };
          };
        };
    };
} FM_SWWDT_TypeDef, FM0P_SWWDT_TypeDef;

/******************************************************************************
 ** UNIQUE_ID_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t UIDR0;
        stc_unique_id_uidr0_field_t UIDR0_f;
        struct {
          union {
            __IO uint16_t UIDR0L;
            struct {
              __IO uint8_t UIDR0LL;
              __IO uint8_t UIDR0LH;
            };
          };
          union {
            __IO uint16_t UIDR0H;
            struct {
              __IO uint8_t UIDR0HL;
              __IO uint8_t UIDR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t UIDR1;
        stc_unique_id_uidr1_field_t UIDR1_f;
        struct {
          union {
            __IO uint16_t UIDR1L;
            struct {
              __IO uint8_t UIDR1LL;
              __IO uint8_t UIDR1LH;
            };
          };
          union {
            __IO uint16_t UIDR1H;
            struct {
              __IO uint8_t UIDR1HL;
              __IO uint8_t UIDR1HH;
            };
          };
        };
    };
} FM_UNIQUE_ID_TypeDef, FM0P_UNIQUE_ID_TypeDef;

/******************************************************************************
 ** WC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t WCRD;
        stc_wc_wcrd_field_t WCRD_f;
    };
    union {
        __IO  uint8_t WCRL;
        stc_wc_wcrl_field_t WCRL_f;
    };
    union {
        __IO  uint8_t WCCR;
        stc_wc_wccr_field_t WCCR_f;
    };
        __IO  uint8_t RESERVED0[13];
    union {
        __IO uint16_t CLK_SEL;
        stc_wc_clk_sel_field_t CLK_SEL_f;
        struct {
            __IO  uint8_t CLK_SELL;
            __IO  uint8_t CLK_SELH;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO  uint8_t CLK_EN;
        stc_wc_clk_en_field_t CLK_EN_f;
    };
} FM_WC_TypeDef, FM0P_WC_TypeDef;

/******************************************************************************
 ** Peripheral Memory Map
 ** 
 ******************************************************************************/
#define FM_FLASH_BASE                             (0x00000000UL) /* Flash Base Address */
#define FM0P_FLASH_BASE                           (0x00000000UL) /* Flash Base Address */
#define FM_PERIPH_BASE                            (0x40000000UL) /* Peripheral Base Address */
#define FM0P_PERIPH_BASE                          (0x40000000UL) /* Peripheral Base Address */
#define FM_CM0P_BASE                              (0xE0100000UL) /* CM0P Private */
#define FM0P_CM0P_BASE                            (0xE0100000UL) /* CM0P Private  */

#define FM_ADC0_BASE                              (0x40027000UL) /* ADC0 Base Address */
#define FM0P_ADC0_BASE                            (0x40027000UL) /* ADC0 Base Address */
#define FM_BT0_BASE                               (0x40025000UL) /* BT0 Base Address */
#define FM0P_BT0_BASE                             (0x40025000UL) /* BT0 Base Address */
#define FM_BT0_PPG_BASE                           (0x40025000UL) /* BT0 Base Address */
#define FM0P_BT0_PPG_BASE                         (0x40025000UL) /* BT0 Base Address */
#define FM_BT0_PWC_BASE                           (0x40025000UL) /* BT0 Base Address */
#define FM0P_BT0_PWC_BASE                         (0x40025000UL) /* BT0 Base Address */
#define FM_BT0_PWM_BASE                           (0x40025000UL) /* BT0 Base Address */
#define FM0P_BT0_PWM_BASE                         (0x40025000UL) /* BT0 Base Address */
#define FM_BT0_RT_BASE                            (0x40025000UL) /* BT0 Base Address */
#define FM0P_BT0_RT_BASE                          (0x40025000UL) /* BT0 Base Address */
#define FM_BT1_BASE                               (0x40025040UL) /* BT1 Base Address */
#define FM0P_BT1_BASE                             (0x40025040UL) /* BT1 Base Address */
#define FM_BT1_PPG_BASE                           (0x40025040UL) /* BT1 Base Address */
#define FM0P_BT1_PPG_BASE                         (0x40025040UL) /* BT1 Base Address */
#define FM_BT1_PWC_BASE                           (0x40025040UL) /* BT1 Base Address */
#define FM0P_BT1_PWC_BASE                         (0x40025040UL) /* BT1 Base Address */
#define FM_BT1_PWM_BASE                           (0x40025040UL) /* BT1 Base Address */
#define FM0P_BT1_PWM_BASE                         (0x40025040UL) /* BT1 Base Address */
#define FM_BT1_RT_BASE                            (0x40025040UL) /* BT1 Base Address */
#define FM0P_BT1_RT_BASE                          (0x40025040UL) /* BT1 Base Address */
#define FM_BT2_BASE                               (0x40025080UL) /* BT2 Base Address */
#define FM0P_BT2_BASE                             (0x40025080UL) /* BT2 Base Address */
#define FM_BT2_PPG_BASE                           (0x40025080UL) /* BT2 Base Address */
#define FM0P_BT2_PPG_BASE                         (0x40025080UL) /* BT2 Base Address */
#define FM_BT2_PWC_BASE                           (0x40025080UL) /* BT2 Base Address */
#define FM0P_BT2_PWC_BASE                         (0x40025080UL) /* BT2 Base Address */
#define FM_BT2_PWM_BASE                           (0x40025080UL) /* BT2 Base Address */
#define FM0P_BT2_PWM_BASE                         (0x40025080UL) /* BT2 Base Address */
#define FM_BT2_RT_BASE                            (0x40025080UL) /* BT2 Base Address */
#define FM0P_BT2_RT_BASE                          (0x40025080UL) /* BT2 Base Address */
#define FM_BT3_BASE                               (0x400250C0UL) /* BT3 Base Address */
#define FM0P_BT3_BASE                             (0x400250C0UL) /* BT3 Base Address */
#define FM_BT3_PPG_BASE                           (0x400250C0UL) /* BT3 Base Address */
#define FM0P_BT3_PPG_BASE                         (0x400250C0UL) /* BT3 Base Address */
#define FM_BT3_PWC_BASE                           (0x400250C0UL) /* BT3 Base Address */
#define FM0P_BT3_PWC_BASE                         (0x400250C0UL) /* BT3 Base Address */
#define FM_BT3_PWM_BASE                           (0x400250C0UL) /* BT3 Base Address */
#define FM0P_BT3_PWM_BASE                         (0x400250C0UL) /* BT3 Base Address */
#define FM_BT3_RT_BASE                            (0x400250C0UL) /* BT3 Base Address */
#define FM0P_BT3_RT_BASE                          (0x400250C0UL) /* BT3 Base Address */
#define FM_BTIOSEL03_BASE                         (0x40025100UL) /* BTIOSEL03 Base Address */
#define FM0P_BTIOSEL03_BASE                       (0x40025100UL) /* BTIOSEL03 Base Address */
#define FM_CLK_GATING_BASE                        (0x4003C100UL) /* CLK_GATING Base Address */
#define FM0P_CLK_GATING_BASE                      (0x4003C100UL) /* CLK_GATING Base Address */
#define FM_CRC_BASE                               (0x40039000UL) /* CRC Base Address */
#define FM0P_CRC_BASE                             (0x40039000UL) /* CRC Base Address */
#define FM_CRG_BASE                               (0x40010000UL) /* CRG Base Address */
#define FM0P_CRG_BASE                             (0x40010000UL) /* CRG Base Address */
#define FM_CRTRIM_BASE                            (0x4002E000UL) /* CRTRIM Base Address */
#define FM0P_CRTRIM_BASE                          (0x4002E000UL) /* CRTRIM Base Address */
#define FM_DMAC_BASE                              (0x40060000UL) /* DMAC Base Address */
#define FM0P_DMAC_BASE                            (0x40060000UL) /* DMAC Base Address */
#define FM_DS_BASE                                (0x40035100UL) /* DS Base Address */
#define FM0P_DS_BASE                              (0x40035100UL) /* DS Base Address */
#define FM_DT_BASE                                (0x40015000UL) /* DT Base Address */
#define FM0P_DT_BASE                              (0x40015000UL) /* DT Base Address */
#define FM_EXTI_BASE                              (0x40030000UL) /* EXTI Base Address */
#define FM0P_EXTI_BASE                            (0x40030000UL) /* EXTI Base Address */
#define FM_FASTIO_BASE                            (0xF8000000UL) /* FASTIO Base Address */
#define FM0P_FASTIO_BASE                          (0xF8000000UL) /* FASTIO Base Address */
#define FM_FLASH_IF_BASE                          (0x40000000UL) /* FLASH_IF Base Address */
#define FM0P_FLASH_IF_BASE                        (0x40000000UL) /* FLASH_IF Base Address */
#define FM_GPIO_BASE                              (0x40033000UL) /* GPIO Base Address */
#define FM0P_GPIO_BASE                            (0x40033000UL) /* GPIO Base Address */
#define FM_HWWDT_BASE                             (0x40011000UL) /* HWWDT Base Address */
#define FM0P_HWWDT_BASE                           (0x40011000UL) /* HWWDT Base Address */
#define FM_INTREQ_BASE                            (0x40031000UL) /* INTREQ Base Address */
#define FM0P_INTREQ_BASE                          (0x40031000UL) /* INTREQ Base Address */
#define FM_LSCRP_BASE                             (0x4003C000UL) /* LSCRP Base Address */
#define FM0P_LSCRP_BASE                           (0x4003C000UL) /* LSCRP Base Address */
#define FM_LVD_BASE                               (0x40035000UL) /* LVD Base Address */
#define FM0P_LVD_BASE                             (0x40035000UL) /* LVD Base Address */
#define FM_MFS0_BASE                              (0x40038000UL) /* MFS0 Base Address */
#define FM0P_MFS0_BASE                            (0x40038000UL) /* MFS0 Base Address */
#define FM_MFS0_CSIO_BASE                         (0x40038000UL) /* MFS0 Base Address */
#define FM0P_MFS0_CSIO_BASE                       (0x40038000UL) /* MFS0 Base Address */
#define FM_MFS0_I2C_BASE                          (0x40038000UL) /* MFS0 Base Address */
#define FM0P_MFS0_I2C_BASE                        (0x40038000UL) /* MFS0 Base Address */
#define FM_MFS0_LIN_BASE                          (0x40038000UL) /* MFS0 Base Address */
#define FM0P_MFS0_LIN_BASE                        (0x40038000UL) /* MFS0 Base Address */
#define FM_MFS0_UART_BASE                         (0x40038000UL) /* MFS0 Base Address */
#define FM0P_MFS0_UART_BASE                       (0x40038000UL) /* MFS0 Base Address */
#define FM_MFS1_BASE                              (0x40038100UL) /* MFS1 Base Address */
#define FM0P_MFS1_BASE                            (0x40038100UL) /* MFS1 Base Address */
#define FM_MFS1_CSIO_BASE                         (0x40038100UL) /* MFS1 Base Address */
#define FM0P_MFS1_CSIO_BASE                       (0x40038100UL) /* MFS1 Base Address */
#define FM_MFS1_I2C_BASE                          (0x40038100UL) /* MFS1 Base Address */
#define FM0P_MFS1_I2C_BASE                        (0x40038100UL) /* MFS1 Base Address */
#define FM_MFS1_LIN_BASE                          (0x40038100UL) /* MFS1 Base Address */
#define FM0P_MFS1_LIN_BASE                        (0x40038100UL) /* MFS1 Base Address */
#define FM_MFS1_UART_BASE                         (0x40038100UL) /* MFS1 Base Address */
#define FM0P_MFS1_UART_BASE                       (0x40038100UL) /* MFS1 Base Address */
#define FM_MFS3_BASE                              (0x40038300UL) /* MFS3 Base Address */
#define FM0P_MFS3_BASE                            (0x40038300UL) /* MFS3 Base Address */
#define FM_MFS3_CSIO_BASE                         (0x40038300UL) /* MFS3 Base Address */
#define FM0P_MFS3_CSIO_BASE                       (0x40038300UL) /* MFS3 Base Address */
#define FM_MFS3_I2C_BASE                          (0x40038300UL) /* MFS3 Base Address */
#define FM0P_MFS3_I2C_BASE                        (0x40038300UL) /* MFS3 Base Address */
#define FM_MFS3_LIN_BASE                          (0x40038300UL) /* MFS3 Base Address */
#define FM0P_MFS3_LIN_BASE                        (0x40038300UL) /* MFS3 Base Address */
#define FM_MFS3_UART_BASE                         (0x40038300UL) /* MFS3 Base Address */
#define FM0P_MFS3_UART_BASE                       (0x40038300UL) /* MFS3 Base Address */
#define FM_MFT_PPG_BASE                           (0x40024000UL) /* MFT_PPG Base Address */
#define FM0P_MFT_PPG_BASE                         (0x40024000UL) /* MFT_PPG Base Address */
#define FM_MFT0_BASE                              (0x40020000UL) /* MFT0 Base Address */
#define FM0P_MFT0_BASE                            (0x40020000UL) /* MFT0 Base Address */
#define FM_MFT0_ADCMP_BASE                        (0x40020000UL) /* MFT0 Base Address */
#define FM0P_MFT0_ADCMP_BASE                      (0x40020000UL) /* MFT0 Base Address */
#define FM_MFT0_FRT_BASE                          (0x40020000UL) /* MFT0 Base Address */
#define FM0P_MFT0_FRT_BASE                        (0x40020000UL) /* MFT0 Base Address */
#define FM_MFT0_ICU_BASE                          (0x40020000UL) /* MFT0 Base Address */
#define FM0P_MFT0_ICU_BASE                        (0x40020000UL) /* MFT0 Base Address */
#define FM_MFT0_OCU_BASE                          (0x40020000UL) /* MFT0 Base Address */
#define FM0P_MFT0_OCU_BASE                        (0x40020000UL) /* MFT0 Base Address */
#define FM_MFT0_WFG_BASE                          (0x40020000UL) /* MFT0 Base Address */
#define FM0P_MFT0_WFG_BASE                        (0x40020000UL) /* MFT0 Base Address */
#define FM_MTB_DWT_BASE                           (0xF0001000UL) /* MTB_DWT Base Address */
#define FM0P_MTB_DWT_BASE                         (0xF0001000UL) /* MTB_DWT Base Address */
#define FM_QPRC0_BASE                             (0x40026000UL) /* QPRC0 Base Address */
#define FM0P_QPRC0_BASE                           (0x40026000UL) /* QPRC0 Base Address */
#define FM_QPRC0_NF_BASE                          (0x40026100UL) /* QPRC0_NF Base Address */
#define FM0P_QPRC0_NF_BASE                        (0x40026100UL) /* QPRC0_NF Base Address */
#define FM_RTC_BASE                               (0x4003B000UL) /* RTC Base Address */
#define FM0P_RTC_BASE                             (0x4003B000UL) /* RTC Base Address */
#define FM_SBSSR_BASE                             (0x40025F00UL) /* SBSSR Base Address */
#define FM0P_SBSSR_BASE                           (0x40025F00UL) /* SBSSR Base Address */
#define FM_SWWDT_BASE                             (0x40012000UL) /* SWWDT Base Address */
#define FM0P_SWWDT_BASE                           (0x40012000UL) /* SWWDT Base Address */
#define FM_UNIQUE_ID_BASE                         (0x40000200UL) /* UNIQUE_ID Base Address */
#define FM0P_UNIQUE_ID_BASE                       (0x40000200UL) /* UNIQUE_ID Base Address */
#define FM_WC_BASE                                (0x4003A000UL) /* WC Base Address */
#define FM0P_WC_BASE                              (0x4003A000UL) /* WC Base Address */
/******************************************************************************
 ** Peripheral declaration
 ** 
 ******************************************************************************/
#define FM0P_ADC0                                 ((FM_ADC_TypeDef *)FM0P_ADC0_BASE)
#define FM_ADC0                                   ((FM_ADC_TypeDef *)FM0P_ADC0_BASE)
#define FM0P_BT0                                  ((FM_BT_TypeDef *)FM0P_BT0_BASE)
#define FM_BT0                                    ((FM_BT_TypeDef *)FM0P_BT0_BASE)
#define FM0P_BT0_PPG                              ((FM_BT_PPG_TypeDef *)FM0P_BT0_BASE)
#define FM_BT0_PPG                                ((FM_BT_PPG_TypeDef *)FM0P_BT0_BASE)
#define FM0P_BT0_PWC                              ((FM_BT_PWC_TypeDef *)FM0P_BT0_BASE)
#define FM_BT0_PWC                                ((FM_BT_PWC_TypeDef *)FM0P_BT0_BASE)
#define FM0P_BT0_PWM                              ((FM_BT_PWM_TypeDef *)FM0P_BT0_BASE)
#define FM_BT0_PWM                                ((FM_BT_PWM_TypeDef *)FM0P_BT0_BASE)
#define FM0P_BT0_RT                               ((FM_BT_RT_TypeDef *)FM0P_BT0_BASE)
#define FM_BT0_RT                                 ((FM_BT_RT_TypeDef *)FM0P_BT0_BASE)
#define FM0P_BT1                                  ((FM_BT_TypeDef *)FM0P_BT1_BASE)
#define FM_BT1                                    ((FM_BT_TypeDef *)FM0P_BT1_BASE)
#define FM0P_BT1_PPG                              ((FM_BT_PPG_TypeDef *)FM0P_BT1_BASE)
#define FM_BT1_PPG                                ((FM_BT_PPG_TypeDef *)FM0P_BT1_BASE)
#define FM0P_BT1_PWC                              ((FM_BT_PWC_TypeDef *)FM0P_BT1_BASE)
#define FM_BT1_PWC                                ((FM_BT_PWC_TypeDef *)FM0P_BT1_BASE)
#define FM0P_BT1_PWM                              ((FM_BT_PWM_TypeDef *)FM0P_BT1_BASE)
#define FM_BT1_PWM                                ((FM_BT_PWM_TypeDef *)FM0P_BT1_BASE)
#define FM0P_BT1_RT                               ((FM_BT_RT_TypeDef *)FM0P_BT1_BASE)
#define FM_BT1_RT                                 ((FM_BT_RT_TypeDef *)FM0P_BT1_BASE)
#define FM0P_BT2                                  ((FM_BT_TypeDef *)FM0P_BT2_BASE)
#define FM_BT2                                    ((FM_BT_TypeDef *)FM0P_BT2_BASE)
#define FM0P_BT2_PPG                              ((FM_BT_PPG_TypeDef *)FM0P_BT2_BASE)
#define FM_BT2_PPG                                ((FM_BT_PPG_TypeDef *)FM0P_BT2_BASE)
#define FM0P_BT2_PWC                              ((FM_BT_PWC_TypeDef *)FM0P_BT2_BASE)
#define FM_BT2_PWC                                ((FM_BT_PWC_TypeDef *)FM0P_BT2_BASE)
#define FM0P_BT2_PWM                              ((FM_BT_PWM_TypeDef *)FM0P_BT2_BASE)
#define FM_BT2_PWM                                ((FM_BT_PWM_TypeDef *)FM0P_BT2_BASE)
#define FM0P_BT2_RT                               ((FM_BT_RT_TypeDef *)FM0P_BT2_BASE)
#define FM_BT2_RT                                 ((FM_BT_RT_TypeDef *)FM0P_BT2_BASE)
#define FM0P_BT3                                  ((FM_BT_TypeDef *)FM0P_BT3_BASE)
#define FM_BT3                                    ((FM_BT_TypeDef *)FM0P_BT3_BASE)
#define FM0P_BT3_PPG                              ((FM_BT_PPG_TypeDef *)FM0P_BT3_BASE)
#define FM_BT3_PPG                                ((FM_BT_PPG_TypeDef *)FM0P_BT3_BASE)
#define FM0P_BT3_PWC                              ((FM_BT_PWC_TypeDef *)FM0P_BT3_BASE)
#define FM_BT3_PWC                                ((FM_BT_PWC_TypeDef *)FM0P_BT3_BASE)
#define FM0P_BT3_PWM                              ((FM_BT_PWM_TypeDef *)FM0P_BT3_BASE)
#define FM_BT3_PWM                                ((FM_BT_PWM_TypeDef *)FM0P_BT3_BASE)
#define FM0P_BT3_RT                               ((FM_BT_RT_TypeDef *)FM0P_BT3_BASE)
#define FM_BT3_RT                                 ((FM_BT_RT_TypeDef *)FM0P_BT3_BASE)
#define FM0P_BTIOSEL03                            ((FM_BTIOSEL03_TypeDef *)FM0P_BTIOSEL03_BASE)
#define FM_BTIOSEL03                              ((FM_BTIOSEL03_TypeDef *)FM0P_BTIOSEL03_BASE)
#define FM0P_CLK_GATING                           ((FM_CLK_GATING_TypeDef *)FM0P_CLK_GATING_BASE)
#define FM_CLK_GATING                             ((FM_CLK_GATING_TypeDef *)FM0P_CLK_GATING_BASE)
#define FM0P_CRC                                  ((FM_CRC_TypeDef *)FM0P_CRC_BASE)
#define FM_CRC                                    ((FM_CRC_TypeDef *)FM0P_CRC_BASE)
#define FM0P_CRG                                  ((FM_CRG_TypeDef *)FM0P_CRG_BASE)
#define FM_CRG                                    ((FM_CRG_TypeDef *)FM0P_CRG_BASE)
#define FM0P_CRTRIM                               ((FM_CRTRIM_TypeDef *)FM0P_CRTRIM_BASE)
#define FM_CRTRIM                                 ((FM_CRTRIM_TypeDef *)FM0P_CRTRIM_BASE)
#define FM0P_DMAC                                 ((FM_DMAC_TypeDef *)FM0P_DMAC_BASE)
#define FM_DMAC                                   ((FM_DMAC_TypeDef *)FM0P_DMAC_BASE)
#define FM0P_DS                                   ((FM_DS_TypeDef *)FM0P_DS_BASE)
#define FM_DS                                     ((FM_DS_TypeDef *)FM0P_DS_BASE)
#define FM0P_DT                                   ((FM_DT_TypeDef *)FM0P_DT_BASE)
#define FM_DT                                     ((FM_DT_TypeDef *)FM0P_DT_BASE)
#define FM0P_EXTI                                 ((FM_EXTI_TypeDef *)FM0P_EXTI_BASE)
#define FM_EXTI                                   ((FM_EXTI_TypeDef *)FM0P_EXTI_BASE)
#define FM0P_FASTIO                               ((FM_FASTIO_TypeDef *)FM0P_FASTIO_BASE)
#define FM_FASTIO                                 ((FM_FASTIO_TypeDef *)FM0P_FASTIO_BASE)
#define FM0P_FLASH_IF                             ((FM_FLASH_IF_TypeDef *)FM0P_FLASH_IF_BASE)
#define FM_FLASH_IF                               ((FM_FLASH_IF_TypeDef *)FM0P_FLASH_IF_BASE)
#define FM0P_GPIO                                 ((FM_GPIO_TypeDef *)FM0P_GPIO_BASE)
#define FM_GPIO                                   ((FM_GPIO_TypeDef *)FM0P_GPIO_BASE)
#define FM0P_HWWDT                                ((FM_HWWDT_TypeDef *)FM0P_HWWDT_BASE)
#define FM_HWWDT                                  ((FM_HWWDT_TypeDef *)FM0P_HWWDT_BASE)
#define FM0P_INTREQ                               ((FM_INTREQ_TypeDef *)FM0P_INTREQ_BASE)
#define FM_INTREQ                                 ((FM_INTREQ_TypeDef *)FM0P_INTREQ_BASE)
#define FM0P_LSCRP                                ((FM_LSCRP_TypeDef *)FM0P_LSCRP_BASE)
#define FM_LSCRP                                  ((FM_LSCRP_TypeDef *)FM0P_LSCRP_BASE)
#define FM0P_LVD                                  ((FM_LVD_TypeDef *)FM0P_LVD_BASE)
#define FM_LVD                                    ((FM_LVD_TypeDef *)FM0P_LVD_BASE)
#define FM0P_MFS0                                 ((FM_MFS_TypeDef *)FM0P_MFS0_BASE)
#define FM_MFS0                                   ((FM_MFS_TypeDef *)FM0P_MFS0_BASE)
#define FM0P_MFS0_CSIO                            ((FM_MFS_CSIO_TypeDef *)FM0P_MFS0_BASE)
#define FM_MFS0_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM0P_MFS0_BASE)
#define FM0P_MFS0_I2C                             ((FM_MFS_I2C_TypeDef *)FM0P_MFS0_BASE)
#define FM_MFS0_I2C                               ((FM_MFS_I2C_TypeDef *)FM0P_MFS0_BASE)
#define FM0P_MFS0_LIN                             ((FM_MFS_LIN_TypeDef *)FM0P_MFS0_BASE)
#define FM_MFS0_LIN                               ((FM_MFS_LIN_TypeDef *)FM0P_MFS0_BASE)
#define FM0P_MFS0_UART                            ((FM_MFS_UART_TypeDef *)FM0P_MFS0_BASE)
#define FM_MFS0_UART                              ((FM_MFS_UART_TypeDef *)FM0P_MFS0_BASE)
#define FM0P_MFS1                                 ((FM_MFS_TypeDef *)FM0P_MFS1_BASE)
#define FM_MFS1                                   ((FM_MFS_TypeDef *)FM0P_MFS1_BASE)
#define FM0P_MFS1_CSIO                            ((FM_MFS_CSIO_TypeDef *)FM0P_MFS1_BASE)
#define FM_MFS1_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM0P_MFS1_BASE)
#define FM0P_MFS1_I2C                             ((FM_MFS_I2C_TypeDef *)FM0P_MFS1_BASE)
#define FM_MFS1_I2C                               ((FM_MFS_I2C_TypeDef *)FM0P_MFS1_BASE)
#define FM0P_MFS1_LIN                             ((FM_MFS_LIN_TypeDef *)FM0P_MFS1_BASE)
#define FM_MFS1_LIN                               ((FM_MFS_LIN_TypeDef *)FM0P_MFS1_BASE)
#define FM0P_MFS1_UART                            ((FM_MFS_UART_TypeDef *)FM0P_MFS1_BASE)
#define FM_MFS1_UART                              ((FM_MFS_UART_TypeDef *)FM0P_MFS1_BASE)
#define FM0P_MFS3                                 ((FM_MFS_TypeDef *)FM0P_MFS3_BASE)
#define FM_MFS3                                   ((FM_MFS_TypeDef *)FM0P_MFS3_BASE)
#define FM0P_MFS3_CSIO                            ((FM_MFS_CSIO_TypeDef *)FM0P_MFS3_BASE)
#define FM_MFS3_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM0P_MFS3_BASE)
#define FM0P_MFS3_I2C                             ((FM_MFS_I2C_TypeDef *)FM0P_MFS3_BASE)
#define FM_MFS3_I2C                               ((FM_MFS_I2C_TypeDef *)FM0P_MFS3_BASE)
#define FM0P_MFS3_LIN                             ((FM_MFS_LIN_TypeDef *)FM0P_MFS3_BASE)
#define FM_MFS3_LIN                               ((FM_MFS_LIN_TypeDef *)FM0P_MFS3_BASE)
#define FM0P_MFS3_UART                            ((FM_MFS_UART_TypeDef *)FM0P_MFS3_BASE)
#define FM_MFS3_UART                              ((FM_MFS_UART_TypeDef *)FM0P_MFS3_BASE)
#define FM0P_MFT_PPG                              ((FM_MFT_PPG_TypeDef *)FM0P_MFT_PPG_BASE)
#define FM_MFT_PPG                                ((FM_MFT_PPG_TypeDef *)FM0P_MFT_PPG_BASE)
#define FM0P_MFT0                                 ((FM_MFT_TypeDef *)FM0P_MFT0_BASE)
#define FM_MFT0                                   ((FM_MFT_TypeDef *)FM0P_MFT0_BASE)
#define FM0P_MFT0_ADCMP                           ((FM_MFT_ADCMP_TypeDef *)FM0P_MFT0_BASE)
#define FM_MFT0_ADCMP                             ((FM_MFT_ADCMP_TypeDef *)FM0P_MFT0_BASE)
#define FM0P_MFT0_FRT                             ((FM_MFT_FRT_TypeDef *)FM0P_MFT0_BASE)
#define FM_MFT0_FRT                               ((FM_MFT_FRT_TypeDef *)FM0P_MFT0_BASE)
#define FM0P_MFT0_ICU                             ((FM_MFT_ICU_TypeDef *)FM0P_MFT0_BASE)
#define FM_MFT0_ICU                               ((FM_MFT_ICU_TypeDef *)FM0P_MFT0_BASE)
#define FM0P_MFT0_OCU                             ((FM_MFT_OCU_TypeDef *)FM0P_MFT0_BASE)
#define FM_MFT0_OCU                               ((FM_MFT_OCU_TypeDef *)FM0P_MFT0_BASE)
#define FM0P_MFT0_WFG                             ((FM_MFT_WFG_TypeDef *)FM0P_MFT0_BASE)
#define FM_MFT0_WFG                               ((FM_MFT_WFG_TypeDef *)FM0P_MFT0_BASE)
#define FM0P_MTB_DWT                              ((FM_MTB_DWT_TypeDef *)FM0P_MTB_DWT_BASE)
#define FM_MTB_DWT                                ((FM_MTB_DWT_TypeDef *)FM0P_MTB_DWT_BASE)
#define FM0P_QPRC0                                ((FM_QPRC_TypeDef *)FM0P_QPRC0_BASE)
#define FM_QPRC0                                  ((FM_QPRC_TypeDef *)FM0P_QPRC0_BASE)
#define FM0P_QPRC0_NF                             ((FM_QPRC_NF_TypeDef *)FM0P_QPRC0_NF_BASE)
#define FM_QPRC0_NF                               ((FM_QPRC_NF_TypeDef *)FM0P_QPRC0_NF_BASE)
#define FM0P_RTC                                  ((FM_RTC_TypeDef *)FM0P_RTC_BASE)
#define FM_RTC                                    ((FM_RTC_TypeDef *)FM0P_RTC_BASE)
#define FM0P_SBSSR                                ((FM_SBSSR_TypeDef *)FM0P_SBSSR_BASE)
#define FM_SBSSR                                  ((FM_SBSSR_TypeDef *)FM0P_SBSSR_BASE)
#define FM0P_SWWDT                                ((FM_SWWDT_TypeDef *)FM0P_SWWDT_BASE)
#define FM_SWWDT                                  ((FM_SWWDT_TypeDef *)FM0P_SWWDT_BASE)
#define FM0P_UNIQUE_ID                            ((FM_UNIQUE_ID_TypeDef *)FM0P_UNIQUE_ID_BASE)
#define FM_UNIQUE_ID                              ((FM_UNIQUE_ID_TypeDef *)FM0P_UNIQUE_ID_BASE)
#define FM0P_WC                                   ((FM_WC_TypeDef *)FM0P_WC_BASE)
#define FM_WC                                     ((FM_WC_TypeDef *)FM0P_WC_BASE)
/******************************************************************************
 ** Register Definitions
 ** 
 ******************************************************************************/
/******************************************************************************
 ** ADC Registers ADC0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_ADC0_ADSR                              *((volatile  uint8_t*)(0x40027000UL))
#define FM0P_ADC0_ADSR                            *((volatile  uint8_t*)(0x40027000UL))
#define FM_ADC0_ADCR                              *((volatile  uint8_t*)(0x40027001UL))
#define FM0P_ADC0_ADCR                            *((volatile  uint8_t*)(0x40027001UL))
#define FM_ADC0_SFNS                              *((volatile  uint8_t*)(0x40027008UL))
#define FM0P_ADC0_SFNS                            *((volatile  uint8_t*)(0x40027008UL))
#define FM_ADC0_SCCR                              *((volatile  uint8_t*)(0x40027009UL))
#define FM0P_ADC0_SCCR                            *((volatile  uint8_t*)(0x40027009UL))
#define FM_ADC0_SCFD                              *((volatile uint32_t*)(0x4002700CUL))
#define FM0P_ADC0_SCFD                            *((volatile uint32_t*)(0x4002700CUL))
#define FM_ADC0_SCFD_FDAS1                        *((volatile uint32_t*)(0x4002700CUL))
#define FM0P_ADC0_SCFD_FDAS1                      *((volatile uint32_t*)(0x4002700CUL))
#define FM_ADC0_SCIS23                            *((volatile uint16_t*)(0x40027010UL))
#define FM0P_ADC0_SCIS23                          *((volatile uint16_t*)(0x40027010UL))
#define FM_ADC0_SCIS01                            *((volatile uint16_t*)(0x40027014UL))
#define FM0P_ADC0_SCIS01                          *((volatile uint16_t*)(0x40027014UL))
#define FM_ADC0_PFNS                              *((volatile  uint8_t*)(0x40027018UL))
#define FM0P_ADC0_PFNS                            *((volatile  uint8_t*)(0x40027018UL))
#define FM_ADC0_PCCR                              *((volatile  uint8_t*)(0x40027019UL))
#define FM0P_ADC0_PCCR                            *((volatile  uint8_t*)(0x40027019UL))
#define FM_ADC0_PCFD                              *((volatile uint32_t*)(0x4002701CUL))
#define FM0P_ADC0_PCFD                            *((volatile uint32_t*)(0x4002701CUL))
#define FM_ADC0_PCFD_FDAS1                        *((volatile uint32_t*)(0x4002701CUL))
#define FM0P_ADC0_PCFD_FDAS1                      *((volatile uint32_t*)(0x4002701CUL))
#define FM_ADC0_PCIS                              *((volatile  uint8_t*)(0x40027020UL))
#define FM0P_ADC0_PCIS                            *((volatile  uint8_t*)(0x40027020UL))
#define FM_ADC0_CMPCR                             *((volatile  uint8_t*)(0x40027024UL))
#define FM0P_ADC0_CMPCR                           *((volatile  uint8_t*)(0x40027024UL))
#define FM_ADC0_CMPD                              *((volatile uint16_t*)(0x40027026UL))
#define FM0P_ADC0_CMPD                            *((volatile uint16_t*)(0x40027026UL))
#define FM_ADC0_ADSS23                            *((volatile uint16_t*)(0x40027028UL))
#define FM0P_ADC0_ADSS23                          *((volatile uint16_t*)(0x40027028UL))
#define FM_ADC0_ADSS01                            *((volatile uint16_t*)(0x4002702CUL))
#define FM0P_ADC0_ADSS01                          *((volatile uint16_t*)(0x4002702CUL))
#define FM_ADC0_ADST01                            *((volatile uint16_t*)(0x40027030UL))
#define FM0P_ADC0_ADST01                          *((volatile uint16_t*)(0x40027030UL))
#define FM_ADC0_ADCT                              *((volatile  uint8_t*)(0x40027034UL))
#define FM0P_ADC0_ADCT                            *((volatile  uint8_t*)(0x40027034UL))
#define FM_ADC0_PRTSL                             *((volatile  uint8_t*)(0x40027038UL))
#define FM0P_ADC0_PRTSL                           *((volatile  uint8_t*)(0x40027038UL))
#define FM_ADC0_SCTSL                             *((volatile  uint8_t*)(0x40027039UL))
#define FM0P_ADC0_SCTSL                           *((volatile  uint8_t*)(0x40027039UL))
#define FM_ADC0_ADCEN                             *((volatile uint16_t*)(0x4002703CUL))
#define FM0P_ADC0_ADCEN                           *((volatile uint16_t*)(0x4002703CUL))
#define FM_ADC0_WCMRCIF                           *((volatile uint32_t*)(0x40027044UL))
#define FM0P_ADC0_WCMRCIF                         *((volatile uint32_t*)(0x40027044UL))
#define FM_ADC0_WCMRCOT                           *((volatile uint32_t*)(0x40027048UL))
#define FM0P_ADC0_WCMRCOT                         *((volatile uint32_t*)(0x40027048UL))
#define FM_ADC0_WCMPCR                            *((volatile  uint8_t*)(0x4002704CUL))
#define FM0P_ADC0_WCMPCR                          *((volatile  uint8_t*)(0x4002704CUL))
#define FM_ADC0_WCMPSR                            *((volatile  uint8_t*)(0x4002704DUL))
#define FM0P_ADC0_WCMPSR                          *((volatile  uint8_t*)(0x4002704DUL))
#define FM_ADC0_WCMPDL                            *((volatile uint16_t*)(0x40027050UL))
#define FM0P_ADC0_WCMPDL                          *((volatile uint16_t*)(0x40027050UL))
#define FM_ADC0_WCMPDH                            *((volatile uint16_t*)(0x40027052UL))
#define FM0P_ADC0_WCMPDH                          *((volatile uint16_t*)(0x40027052UL))

/******************************************************************************
 ** BT Registers BT0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT0_PPG_PRLL                           *((volatile uint16_t*)(0x40025000UL))
#define FM0P_BT0_PPG_PRLL                         *((volatile uint16_t*)(0x40025000UL))
#define FM_BT0_PWM_PCSR                           *((volatile uint16_t*)(0x40025000UL))
#define FM0P_BT0_PWM_PCSR                         *((volatile uint16_t*)(0x40025000UL))
#define FM_BT0_RT_PCSR                            *((volatile uint16_t*)(0x40025000UL))
#define FM0P_BT0_RT_PCSR                          *((volatile uint16_t*)(0x40025000UL))
#define FM_BT0_PPG_PRLH                           *((volatile uint16_t*)(0x40025004UL))
#define FM0P_BT0_PPG_PRLH                         *((volatile uint16_t*)(0x40025004UL))
#define FM_BT0_PWC_DTBF                           *((volatile uint16_t*)(0x40025004UL))
#define FM0P_BT0_PWC_DTBF                         *((volatile uint16_t*)(0x40025004UL))
#define FM_BT0_PWM_PDUT                           *((volatile uint16_t*)(0x40025004UL))
#define FM0P_BT0_PWM_PDUT                         *((volatile uint16_t*)(0x40025004UL))
#define FM_BT0_PPG_TMR                            *((volatile uint16_t*)(0x40025008UL))
#define FM0P_BT0_PPG_TMR                          *((volatile uint16_t*)(0x40025008UL))
#define FM_BT0_PWM_TMR                            *((volatile uint16_t*)(0x40025008UL))
#define FM0P_BT0_PWM_TMR                          *((volatile uint16_t*)(0x40025008UL))
#define FM_BT0_RT_TMR                             *((volatile uint16_t*)(0x40025008UL))
#define FM0P_BT0_RT_TMR                           *((volatile uint16_t*)(0x40025008UL))
#define FM_BT0_PPG_TMCR                           *((volatile uint16_t*)(0x4002500CUL))
#define FM0P_BT0_PPG_TMCR                         *((volatile uint16_t*)(0x4002500CUL))
#define FM_BT0_PWC_TMCR                           *((volatile uint16_t*)(0x4002500CUL))
#define FM0P_BT0_PWC_TMCR                         *((volatile uint16_t*)(0x4002500CUL))
#define FM_BT0_PWM_TMCR                           *((volatile uint16_t*)(0x4002500CUL))
#define FM0P_BT0_PWM_TMCR                         *((volatile uint16_t*)(0x4002500CUL))
#define FM_BT0_RT_TMCR                            *((volatile uint16_t*)(0x4002500CUL))
#define FM0P_BT0_RT_TMCR                          *((volatile uint16_t*)(0x4002500CUL))
#define FM_BT0_PPG_STC                            *((volatile  uint8_t*)(0x40025010UL))
#define FM0P_BT0_PPG_STC                          *((volatile  uint8_t*)(0x40025010UL))
#define FM_BT0_PWC_STC                            *((volatile  uint8_t*)(0x40025010UL))
#define FM0P_BT0_PWC_STC                          *((volatile  uint8_t*)(0x40025010UL))
#define FM_BT0_PWM_STC                            *((volatile  uint8_t*)(0x40025010UL))
#define FM0P_BT0_PWM_STC                          *((volatile  uint8_t*)(0x40025010UL))
#define FM_BT0_RT_STC                             *((volatile  uint8_t*)(0x40025010UL))
#define FM0P_BT0_RT_STC                           *((volatile  uint8_t*)(0x40025010UL))
#define FM_BT0_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025011UL))
#define FM0P_BT0_PPG_TMCR2                        *((volatile  uint8_t*)(0x40025011UL))
#define FM_BT0_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025011UL))
#define FM0P_BT0_PWC_TMCR2                        *((volatile  uint8_t*)(0x40025011UL))
#define FM_BT0_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025011UL))
#define FM0P_BT0_PWM_TMCR2                        *((volatile  uint8_t*)(0x40025011UL))
#define FM_BT0_RT_TMCR2                           *((volatile  uint8_t*)(0x40025011UL))
#define FM0P_BT0_RT_TMCR2                         *((volatile  uint8_t*)(0x40025011UL))

/******************************************************************************
 ** BT Registers BT1
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT1_PPG_PRLL                           *((volatile uint16_t*)(0x40025040UL))
#define FM0P_BT1_PPG_PRLL                         *((volatile uint16_t*)(0x40025040UL))
#define FM_BT1_PWM_PCSR                           *((volatile uint16_t*)(0x40025040UL))
#define FM0P_BT1_PWM_PCSR                         *((volatile uint16_t*)(0x40025040UL))
#define FM_BT1_RT_PCSR                            *((volatile uint16_t*)(0x40025040UL))
#define FM0P_BT1_RT_PCSR                          *((volatile uint16_t*)(0x40025040UL))
#define FM_BT1_PPG_PRLH                           *((volatile uint16_t*)(0x40025044UL))
#define FM0P_BT1_PPG_PRLH                         *((volatile uint16_t*)(0x40025044UL))
#define FM_BT1_PWC_DTBF                           *((volatile uint16_t*)(0x40025044UL))
#define FM0P_BT1_PWC_DTBF                         *((volatile uint16_t*)(0x40025044UL))
#define FM_BT1_PWM_PDUT                           *((volatile uint16_t*)(0x40025044UL))
#define FM0P_BT1_PWM_PDUT                         *((volatile uint16_t*)(0x40025044UL))
#define FM_BT1_PPG_TMR                            *((volatile uint16_t*)(0x40025048UL))
#define FM0P_BT1_PPG_TMR                          *((volatile uint16_t*)(0x40025048UL))
#define FM_BT1_PWM_TMR                            *((volatile uint16_t*)(0x40025048UL))
#define FM0P_BT1_PWM_TMR                          *((volatile uint16_t*)(0x40025048UL))
#define FM_BT1_RT_TMR                             *((volatile uint16_t*)(0x40025048UL))
#define FM0P_BT1_RT_TMR                           *((volatile uint16_t*)(0x40025048UL))
#define FM_BT1_PPG_TMCR                           *((volatile uint16_t*)(0x4002504CUL))
#define FM0P_BT1_PPG_TMCR                         *((volatile uint16_t*)(0x4002504CUL))
#define FM_BT1_PWC_TMCR                           *((volatile uint16_t*)(0x4002504CUL))
#define FM0P_BT1_PWC_TMCR                         *((volatile uint16_t*)(0x4002504CUL))
#define FM_BT1_PWM_TMCR                           *((volatile uint16_t*)(0x4002504CUL))
#define FM0P_BT1_PWM_TMCR                         *((volatile uint16_t*)(0x4002504CUL))
#define FM_BT1_RT_TMCR                            *((volatile uint16_t*)(0x4002504CUL))
#define FM0P_BT1_RT_TMCR                          *((volatile uint16_t*)(0x4002504CUL))
#define FM_BT1_PPG_STC                            *((volatile  uint8_t*)(0x40025050UL))
#define FM0P_BT1_PPG_STC                          *((volatile  uint8_t*)(0x40025050UL))
#define FM_BT1_PWC_STC                            *((volatile  uint8_t*)(0x40025050UL))
#define FM0P_BT1_PWC_STC                          *((volatile  uint8_t*)(0x40025050UL))
#define FM_BT1_PWM_STC                            *((volatile  uint8_t*)(0x40025050UL))
#define FM0P_BT1_PWM_STC                          *((volatile  uint8_t*)(0x40025050UL))
#define FM_BT1_RT_STC                             *((volatile  uint8_t*)(0x40025050UL))
#define FM0P_BT1_RT_STC                           *((volatile  uint8_t*)(0x40025050UL))
#define FM_BT1_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025051UL))
#define FM0P_BT1_PPG_TMCR2                        *((volatile  uint8_t*)(0x40025051UL))
#define FM_BT1_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025051UL))
#define FM0P_BT1_PWC_TMCR2                        *((volatile  uint8_t*)(0x40025051UL))
#define FM_BT1_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025051UL))
#define FM0P_BT1_PWM_TMCR2                        *((volatile  uint8_t*)(0x40025051UL))
#define FM_BT1_RT_TMCR2                           *((volatile  uint8_t*)(0x40025051UL))
#define FM0P_BT1_RT_TMCR2                         *((volatile  uint8_t*)(0x40025051UL))

/******************************************************************************
 ** BT Registers BT2
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT2_PPG_PRLL                           *((volatile uint16_t*)(0x40025080UL))
#define FM0P_BT2_PPG_PRLL                         *((volatile uint16_t*)(0x40025080UL))
#define FM_BT2_PWM_PCSR                           *((volatile uint16_t*)(0x40025080UL))
#define FM0P_BT2_PWM_PCSR                         *((volatile uint16_t*)(0x40025080UL))
#define FM_BT2_RT_PCSR                            *((volatile uint16_t*)(0x40025080UL))
#define FM0P_BT2_RT_PCSR                          *((volatile uint16_t*)(0x40025080UL))
#define FM_BT2_PPG_PRLH                           *((volatile uint16_t*)(0x40025084UL))
#define FM0P_BT2_PPG_PRLH                         *((volatile uint16_t*)(0x40025084UL))
#define FM_BT2_PWC_DTBF                           *((volatile uint16_t*)(0x40025084UL))
#define FM0P_BT2_PWC_DTBF                         *((volatile uint16_t*)(0x40025084UL))
#define FM_BT2_PWM_PDUT                           *((volatile uint16_t*)(0x40025084UL))
#define FM0P_BT2_PWM_PDUT                         *((volatile uint16_t*)(0x40025084UL))
#define FM_BT2_PPG_TMR                            *((volatile uint16_t*)(0x40025088UL))
#define FM0P_BT2_PPG_TMR                          *((volatile uint16_t*)(0x40025088UL))
#define FM_BT2_PWM_TMR                            *((volatile uint16_t*)(0x40025088UL))
#define FM0P_BT2_PWM_TMR                          *((volatile uint16_t*)(0x40025088UL))
#define FM_BT2_RT_TMR                             *((volatile uint16_t*)(0x40025088UL))
#define FM0P_BT2_RT_TMR                           *((volatile uint16_t*)(0x40025088UL))
#define FM_BT2_PPG_TMCR                           *((volatile uint16_t*)(0x4002508CUL))
#define FM0P_BT2_PPG_TMCR                         *((volatile uint16_t*)(0x4002508CUL))
#define FM_BT2_PWC_TMCR                           *((volatile uint16_t*)(0x4002508CUL))
#define FM0P_BT2_PWC_TMCR                         *((volatile uint16_t*)(0x4002508CUL))
#define FM_BT2_PWM_TMCR                           *((volatile uint16_t*)(0x4002508CUL))
#define FM0P_BT2_PWM_TMCR                         *((volatile uint16_t*)(0x4002508CUL))
#define FM_BT2_RT_TMCR                            *((volatile uint16_t*)(0x4002508CUL))
#define FM0P_BT2_RT_TMCR                          *((volatile uint16_t*)(0x4002508CUL))
#define FM_BT2_PPG_STC                            *((volatile  uint8_t*)(0x40025090UL))
#define FM0P_BT2_PPG_STC                          *((volatile  uint8_t*)(0x40025090UL))
#define FM_BT2_PWC_STC                            *((volatile  uint8_t*)(0x40025090UL))
#define FM0P_BT2_PWC_STC                          *((volatile  uint8_t*)(0x40025090UL))
#define FM_BT2_PWM_STC                            *((volatile  uint8_t*)(0x40025090UL))
#define FM0P_BT2_PWM_STC                          *((volatile  uint8_t*)(0x40025090UL))
#define FM_BT2_RT_STC                             *((volatile  uint8_t*)(0x40025090UL))
#define FM0P_BT2_RT_STC                           *((volatile  uint8_t*)(0x40025090UL))
#define FM_BT2_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025091UL))
#define FM0P_BT2_PPG_TMCR2                        *((volatile  uint8_t*)(0x40025091UL))
#define FM_BT2_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025091UL))
#define FM0P_BT2_PWC_TMCR2                        *((volatile  uint8_t*)(0x40025091UL))
#define FM_BT2_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025091UL))
#define FM0P_BT2_PWM_TMCR2                        *((volatile  uint8_t*)(0x40025091UL))
#define FM_BT2_RT_TMCR2                           *((volatile  uint8_t*)(0x40025091UL))
#define FM0P_BT2_RT_TMCR2                         *((volatile  uint8_t*)(0x40025091UL))

/******************************************************************************
 ** BT Registers BT3
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT3_PPG_PRLL                           *((volatile uint16_t*)(0x400250C0UL))
#define FM0P_BT3_PPG_PRLL                         *((volatile uint16_t*)(0x400250C0UL))
#define FM_BT3_PWM_PCSR                           *((volatile uint16_t*)(0x400250C0UL))
#define FM0P_BT3_PWM_PCSR                         *((volatile uint16_t*)(0x400250C0UL))
#define FM_BT3_RT_PCSR                            *((volatile uint16_t*)(0x400250C0UL))
#define FM0P_BT3_RT_PCSR                          *((volatile uint16_t*)(0x400250C0UL))
#define FM_BT3_PPG_PRLH                           *((volatile uint16_t*)(0x400250C4UL))
#define FM0P_BT3_PPG_PRLH                         *((volatile uint16_t*)(0x400250C4UL))
#define FM_BT3_PWC_DTBF                           *((volatile uint16_t*)(0x400250C4UL))
#define FM0P_BT3_PWC_DTBF                         *((volatile uint16_t*)(0x400250C4UL))
#define FM_BT3_PWM_PDUT                           *((volatile uint16_t*)(0x400250C4UL))
#define FM0P_BT3_PWM_PDUT                         *((volatile uint16_t*)(0x400250C4UL))
#define FM_BT3_PPG_TMR                            *((volatile uint16_t*)(0x400250C8UL))
#define FM0P_BT3_PPG_TMR                          *((volatile uint16_t*)(0x400250C8UL))
#define FM_BT3_PWM_TMR                            *((volatile uint16_t*)(0x400250C8UL))
#define FM0P_BT3_PWM_TMR                          *((volatile uint16_t*)(0x400250C8UL))
#define FM_BT3_RT_TMR                             *((volatile uint16_t*)(0x400250C8UL))
#define FM0P_BT3_RT_TMR                           *((volatile uint16_t*)(0x400250C8UL))
#define FM_BT3_PPG_TMCR                           *((volatile uint16_t*)(0x400250CCUL))
#define FM0P_BT3_PPG_TMCR                         *((volatile uint16_t*)(0x400250CCUL))
#define FM_BT3_PWC_TMCR                           *((volatile uint16_t*)(0x400250CCUL))
#define FM0P_BT3_PWC_TMCR                         *((volatile uint16_t*)(0x400250CCUL))
#define FM_BT3_PWM_TMCR                           *((volatile uint16_t*)(0x400250CCUL))
#define FM0P_BT3_PWM_TMCR                         *((volatile uint16_t*)(0x400250CCUL))
#define FM_BT3_RT_TMCR                            *((volatile uint16_t*)(0x400250CCUL))
#define FM0P_BT3_RT_TMCR                          *((volatile uint16_t*)(0x400250CCUL))
#define FM_BT3_PPG_STC                            *((volatile  uint8_t*)(0x400250D0UL))
#define FM0P_BT3_PPG_STC                          *((volatile  uint8_t*)(0x400250D0UL))
#define FM_BT3_PWC_STC                            *((volatile  uint8_t*)(0x400250D0UL))
#define FM0P_BT3_PWC_STC                          *((volatile  uint8_t*)(0x400250D0UL))
#define FM_BT3_PWM_STC                            *((volatile  uint8_t*)(0x400250D0UL))
#define FM0P_BT3_PWM_STC                          *((volatile  uint8_t*)(0x400250D0UL))
#define FM_BT3_RT_STC                             *((volatile  uint8_t*)(0x400250D0UL))
#define FM0P_BT3_RT_STC                           *((volatile  uint8_t*)(0x400250D0UL))
#define FM_BT3_PPG_TMCR2                          *((volatile  uint8_t*)(0x400250D1UL))
#define FM0P_BT3_PPG_TMCR2                        *((volatile  uint8_t*)(0x400250D1UL))
#define FM_BT3_PWC_TMCR2                          *((volatile  uint8_t*)(0x400250D1UL))
#define FM0P_BT3_PWC_TMCR2                        *((volatile  uint8_t*)(0x400250D1UL))
#define FM_BT3_PWM_TMCR2                          *((volatile  uint8_t*)(0x400250D1UL))
#define FM0P_BT3_PWM_TMCR2                        *((volatile  uint8_t*)(0x400250D1UL))
#define FM_BT3_RT_TMCR2                           *((volatile  uint8_t*)(0x400250D1UL))
#define FM0P_BT3_RT_TMCR2                         *((volatile  uint8_t*)(0x400250D1UL))

/******************************************************************************
 ** BTIOSEL03 Registers BTIOSEL03
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BTIOSEL03_BTSEL0123                    *((volatile  uint8_t*)(0x40025101UL))
#define FM0P_BTIOSEL03_BTSEL0123                  *((volatile  uint8_t*)(0x40025101UL))

/******************************************************************************
 ** CLK_GATING Registers CLK_GATING
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_CLK_GATING_CKEN0                       *((volatile uint32_t*)(0x4003C100UL))
#define FM0P_CLK_GATING_CKEN0                     *((volatile uint32_t*)(0x4003C100UL))
#define FM_CLK_GATING_MRST0                       *((volatile uint32_t*)(0x4003C104UL))
#define FM0P_CLK_GATING_MRST0                     *((volatile uint32_t*)(0x4003C104UL))
#define FM_CLK_GATING_CKEN1                       *((volatile uint32_t*)(0x4003C110UL))
#define FM0P_CLK_GATING_CKEN1                     *((volatile uint32_t*)(0x4003C110UL))
#define FM_CLK_GATING_MRST1                       *((volatile uint32_t*)(0x4003C114UL))
#define FM0P_CLK_GATING_MRST1                     *((volatile uint32_t*)(0x4003C114UL))
#define FM_CLK_GATING_CKEN2                       *((volatile uint32_t*)(0x4003C120UL))
#define FM0P_CLK_GATING_CKEN2                     *((volatile uint32_t*)(0x4003C120UL))
#define FM_CLK_GATING_MRST2                       *((volatile uint32_t*)(0x4003C124UL))
#define FM0P_CLK_GATING_MRST2                     *((volatile uint32_t*)(0x4003C124UL))

/******************************************************************************
 ** CRC Registers CRC
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_CRC_CRCCR                              *((volatile  uint8_t*)(0x40039000UL))
#define FM0P_CRC_CRCCR                            *((volatile  uint8_t*)(0x40039000UL))
#define FM_CRC_CRCINIT                            *((volatile uint32_t*)(0x40039004UL))
#define FM0P_CRC_CRCINIT                          *((volatile uint32_t*)(0x40039004UL))
#define FM_CRC_CRCIN                              *((volatile uint32_t*)(0x40039008UL))
#define FM0P_CRC_CRCIN                            *((volatile uint32_t*)(0x40039008UL))
#define FM_CRC_CRCR                               *((volatile uint32_t*)(0x4003900CUL))
#define FM0P_CRC_CRCR                             *((volatile uint32_t*)(0x4003900CUL))

/******************************************************************************
 ** CRG Registers CRG
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_CRG_SCM_CTL                            *((volatile uint32_t*)(0x40010000UL))
#define FM0P_CRG_SCM_CTL                          *((volatile uint32_t*)(0x40010000UL))
#define FM_CRG_SCM_STR                            *((volatile uint32_t*)(0x40010004UL))
#define FM0P_CRG_SCM_STR                          *((volatile uint32_t*)(0x40010004UL))
#define FM_CRG_STB_CTL                            *((volatile uint32_t*)(0x40010008UL))
#define FM0P_CRG_STB_CTL                          *((volatile uint32_t*)(0x40010008UL))
#define FM_CRG_RST_STR                            *((volatile uint32_t*)(0x4001000CUL))
#define FM0P_CRG_RST_STR                          *((volatile uint32_t*)(0x4001000CUL))
#define FM_CRG_BSC_PSR                            *((volatile uint32_t*)(0x40010010UL))
#define FM0P_CRG_BSC_PSR                          *((volatile uint32_t*)(0x40010010UL))
#define FM_CRG_APBC0_PSR                          *((volatile uint32_t*)(0x40010014UL))
#define FM0P_CRG_APBC0_PSR                        *((volatile uint32_t*)(0x40010014UL))
#define FM_CRG_APBC1_PSR                          *((volatile uint32_t*)(0x40010018UL))
#define FM0P_CRG_APBC1_PSR                        *((volatile uint32_t*)(0x40010018UL))
#define FM_CRG_SWC_PSR                            *((volatile uint32_t*)(0x40010020UL))
#define FM0P_CRG_SWC_PSR                          *((volatile uint32_t*)(0x40010020UL))
#define FM_CRG_CSW_TMR                            *((volatile uint32_t*)(0x40010030UL))
#define FM0P_CRG_CSW_TMR                          *((volatile uint32_t*)(0x40010030UL))
#define FM_CRG_PSW_TMR                            *((volatile uint32_t*)(0x40010034UL))
#define FM0P_CRG_PSW_TMR                          *((volatile uint32_t*)(0x40010034UL))
#define FM_CRG_PLL_CTL1                           *((volatile uint32_t*)(0x40010038UL))
#define FM0P_CRG_PLL_CTL1                         *((volatile uint32_t*)(0x40010038UL))
#define FM_CRG_PLL_CTL2                           *((volatile uint32_t*)(0x4001003CUL))
#define FM0P_CRG_PLL_CTL2                         *((volatile uint32_t*)(0x4001003CUL))
#define FM_CRG_CSV_CTL                            *((volatile uint32_t*)(0x40010040UL))
#define FM0P_CRG_CSV_CTL                          *((volatile uint32_t*)(0x40010040UL))
#define FM_CRG_CSV_STR                            *((volatile uint32_t*)(0x40010044UL))
#define FM0P_CRG_CSV_STR                          *((volatile uint32_t*)(0x40010044UL))
#define FM_CRG_FCSWH_CTL                          *((volatile uint32_t*)(0x40010048UL))
#define FM0P_CRG_FCSWH_CTL                        *((volatile uint32_t*)(0x40010048UL))
#define FM_CRG_FCSWL_CTL                          *((volatile uint32_t*)(0x4001004CUL))
#define FM0P_CRG_FCSWL_CTL                        *((volatile uint32_t*)(0x4001004CUL))
#define FM_CRG_FCSWD_CTL                          *((volatile uint32_t*)(0x40010050UL))
#define FM0P_CRG_FCSWD_CTL                        *((volatile uint32_t*)(0x40010050UL))
#define FM_CRG_DBWDT_CTL                          *((volatile uint32_t*)(0x40010054UL))
#define FM0P_CRG_DBWDT_CTL                        *((volatile uint32_t*)(0x40010054UL))
#define FM_CRG_INT_ENR                            *((volatile uint32_t*)(0x40010060UL))
#define FM0P_CRG_INT_ENR                          *((volatile uint32_t*)(0x40010060UL))
#define FM_CRG_INT_STR                            *((volatile uint32_t*)(0x40010064UL))
#define FM0P_CRG_INT_STR                          *((volatile uint32_t*)(0x40010064UL))
#define FM_CRG_INT_CLR                            *((volatile uint32_t*)(0x40010068UL))
#define FM0P_CRG_INT_CLR                          *((volatile uint32_t*)(0x40010068UL))

/******************************************************************************
 ** CRTRIM Registers CRTRIM
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_CRTRIM_MCR_PSR                         *((volatile  uint8_t*)(0x4002E000UL))
#define FM0P_CRTRIM_MCR_PSR                       *((volatile  uint8_t*)(0x4002E000UL))
#define FM_CRTRIM_MCR_FTRM                        *((volatile uint16_t*)(0x4002E004UL))
#define FM0P_CRTRIM_MCR_FTRM                      *((volatile uint16_t*)(0x4002E004UL))
#define FM_CRTRIM_MCR_TTRM                        *((volatile  uint8_t*)(0x4002E008UL))
#define FM0P_CRTRIM_MCR_TTRM                      *((volatile  uint8_t*)(0x4002E008UL))
#define FM_CRTRIM_MCR_RLR                         *((volatile uint32_t*)(0x4002E00CUL))
#define FM0P_CRTRIM_MCR_RLR                       *((volatile uint32_t*)(0x4002E00CUL))

/******************************************************************************
 ** DMAC Registers DMAC
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_DMAC_DMACR                             *((volatile uint32_t*)(0x40060000UL))
#define FM0P_DMAC_DMACR                           *((volatile uint32_t*)(0x40060000UL))
#define FM_DMAC_DMACA0                            *((volatile uint32_t*)(0x40060010UL))
#define FM0P_DMAC_DMACA0                          *((volatile uint32_t*)(0x40060010UL))
#define FM_DMAC_DMACB0                            *((volatile uint32_t*)(0x40060014UL))
#define FM0P_DMAC_DMACB0                          *((volatile uint32_t*)(0x40060014UL))
#define FM_DMAC_DMACSA0                           *((volatile uint32_t*)(0x40060018UL))
#define FM0P_DMAC_DMACSA0                         *((volatile uint32_t*)(0x40060018UL))
#define FM_DMAC_DMACDA0                           *((volatile uint32_t*)(0x4006001CUL))
#define FM0P_DMAC_DMACDA0                         *((volatile uint32_t*)(0x4006001CUL))
#define FM_DMAC_DMACA1                            *((volatile uint32_t*)(0x40060020UL))
#define FM0P_DMAC_DMACA1                          *((volatile uint32_t*)(0x40060020UL))
#define FM_DMAC_DMACB1                            *((volatile uint32_t*)(0x40060024UL))
#define FM0P_DMAC_DMACB1                          *((volatile uint32_t*)(0x40060024UL))
#define FM_DMAC_DMACSA1                           *((volatile uint32_t*)(0x40060028UL))
#define FM0P_DMAC_DMACSA1                         *((volatile uint32_t*)(0x40060028UL))
#define FM_DMAC_DMACDA1                           *((volatile uint32_t*)(0x4006002CUL))
#define FM0P_DMAC_DMACDA1                         *((volatile uint32_t*)(0x4006002CUL))
#define FM_DMAC_DMACA2                            *((volatile uint32_t*)(0x40060030UL))
#define FM0P_DMAC_DMACA2                          *((volatile uint32_t*)(0x40060030UL))
#define FM_DMAC_DMACB2                            *((volatile uint32_t*)(0x40060034UL))
#define FM0P_DMAC_DMACB2                          *((volatile uint32_t*)(0x40060034UL))
#define FM_DMAC_DMACSA2                           *((volatile uint32_t*)(0x40060038UL))
#define FM0P_DMAC_DMACSA2                         *((volatile uint32_t*)(0x40060038UL))
#define FM_DMAC_DMACDA2                           *((volatile uint32_t*)(0x4006003CUL))
#define FM0P_DMAC_DMACDA2                         *((volatile uint32_t*)(0x4006003CUL))
#define FM_DMAC_DMACA3                            *((volatile uint32_t*)(0x40060040UL))
#define FM0P_DMAC_DMACA3                          *((volatile uint32_t*)(0x40060040UL))
#define FM_DMAC_DMACB3                            *((volatile uint32_t*)(0x40060044UL))
#define FM0P_DMAC_DMACB3                          *((volatile uint32_t*)(0x40060044UL))
#define FM_DMAC_DMACSA3                           *((volatile uint32_t*)(0x40060048UL))
#define FM0P_DMAC_DMACSA3                         *((volatile uint32_t*)(0x40060048UL))
#define FM_DMAC_DMACDA3                           *((volatile uint32_t*)(0x4006004CUL))
#define FM0P_DMAC_DMACDA3                         *((volatile uint32_t*)(0x4006004CUL))
#define FM_DMAC_DMACA4                            *((volatile uint32_t*)(0x40060050UL))
#define FM0P_DMAC_DMACA4                          *((volatile uint32_t*)(0x40060050UL))
#define FM_DMAC_DMACB4                            *((volatile uint32_t*)(0x40060054UL))
#define FM0P_DMAC_DMACB4                          *((volatile uint32_t*)(0x40060054UL))
#define FM_DMAC_DMACSA4                           *((volatile uint32_t*)(0x40060058UL))
#define FM0P_DMAC_DMACSA4                         *((volatile uint32_t*)(0x40060058UL))
#define FM_DMAC_DMACDA4                           *((volatile uint32_t*)(0x4006005CUL))
#define FM0P_DMAC_DMACDA4                         *((volatile uint32_t*)(0x4006005CUL))
#define FM_DMAC_DMACA5                            *((volatile uint32_t*)(0x40060060UL))
#define FM0P_DMAC_DMACA5                          *((volatile uint32_t*)(0x40060060UL))
#define FM_DMAC_DMACB5                            *((volatile uint32_t*)(0x40060064UL))
#define FM0P_DMAC_DMACB5                          *((volatile uint32_t*)(0x40060064UL))
#define FM_DMAC_DMACSA5                           *((volatile uint32_t*)(0x40060068UL))
#define FM0P_DMAC_DMACSA5                         *((volatile uint32_t*)(0x40060068UL))
#define FM_DMAC_DMACDA5                           *((volatile uint32_t*)(0x4006006CUL))
#define FM0P_DMAC_DMACDA5                         *((volatile uint32_t*)(0x4006006CUL))
#define FM_DMAC_DMACA6                            *((volatile uint32_t*)(0x40060070UL))
#define FM0P_DMAC_DMACA6                          *((volatile uint32_t*)(0x40060070UL))
#define FM_DMAC_DMACB6                            *((volatile uint32_t*)(0x40060074UL))
#define FM0P_DMAC_DMACB6                          *((volatile uint32_t*)(0x40060074UL))
#define FM_DMAC_DMACSA6                           *((volatile uint32_t*)(0x40060078UL))
#define FM0P_DMAC_DMACSA6                         *((volatile uint32_t*)(0x40060078UL))
#define FM_DMAC_DMACDA6                           *((volatile uint32_t*)(0x4006007CUL))
#define FM0P_DMAC_DMACDA6                         *((volatile uint32_t*)(0x4006007CUL))
#define FM_DMAC_DMACA7                            *((volatile uint32_t*)(0x40060080UL))
#define FM0P_DMAC_DMACA7                          *((volatile uint32_t*)(0x40060080UL))
#define FM_DMAC_DMACB7                            *((volatile uint32_t*)(0x40060084UL))
#define FM0P_DMAC_DMACB7                          *((volatile uint32_t*)(0x40060084UL))
#define FM_DMAC_DMACSA7                           *((volatile uint32_t*)(0x40060088UL))
#define FM0P_DMAC_DMACSA7                         *((volatile uint32_t*)(0x40060088UL))
#define FM_DMAC_DMACDA7                           *((volatile uint32_t*)(0x4006008CUL))
#define FM0P_DMAC_DMACDA7                         *((volatile uint32_t*)(0x4006008CUL))

/******************************************************************************
 ** DS Registers DS
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_DS_REG_CTL                             *((volatile  uint8_t*)(0x40035100UL))
#define FM0P_DS_REG_CTL                           *((volatile  uint8_t*)(0x40035100UL))
#define FM_DS_RCK_CTL                             *((volatile  uint8_t*)(0x40035104UL))
#define FM0P_DS_RCK_CTL                           *((volatile  uint8_t*)(0x40035104UL))
#define FM_DS_PMD_CTL                             *((volatile  uint8_t*)(0x40035800UL))
#define FM0P_DS_PMD_CTL                           *((volatile  uint8_t*)(0x40035800UL))
#define FM_DS_WRFSR                               *((volatile  uint8_t*)(0x40035804UL))
#define FM0P_DS_WRFSR                             *((volatile  uint8_t*)(0x40035804UL))
#define FM_DS_WIFSR                               *((volatile uint16_t*)(0x40035808UL))
#define FM0P_DS_WIFSR                             *((volatile uint16_t*)(0x40035808UL))
#define FM_DS_WIER                                *((volatile uint16_t*)(0x4003580CUL))
#define FM0P_DS_WIER                              *((volatile uint16_t*)(0x4003580CUL))
#define FM_DS_WILVR                               *((volatile  uint8_t*)(0x40035810UL))
#define FM0P_DS_WILVR                             *((volatile  uint8_t*)(0x40035810UL))
#define FM_DS_DSRAMR                              *((volatile  uint8_t*)(0x40035814UL))
#define FM0P_DS_DSRAMR                            *((volatile  uint8_t*)(0x40035814UL))
#define FM_DS_BUR01                               *((volatile  uint8_t*)(0x40035900UL))
#define FM0P_DS_BUR01                             *((volatile  uint8_t*)(0x40035900UL))
#define FM_DS_BUR02                               *((volatile  uint8_t*)(0x40035901UL))
#define FM0P_DS_BUR02                             *((volatile  uint8_t*)(0x40035901UL))
#define FM_DS_BUR03                               *((volatile  uint8_t*)(0x40035902UL))
#define FM0P_DS_BUR03                             *((volatile  uint8_t*)(0x40035902UL))
#define FM_DS_BUR04                               *((volatile  uint8_t*)(0x40035903UL))
#define FM0P_DS_BUR04                             *((volatile  uint8_t*)(0x40035903UL))
#define FM_DS_BUR05                               *((volatile  uint8_t*)(0x40035904UL))
#define FM0P_DS_BUR05                             *((volatile  uint8_t*)(0x40035904UL))
#define FM_DS_BUR06                               *((volatile  uint8_t*)(0x40035905UL))
#define FM0P_DS_BUR06                             *((volatile  uint8_t*)(0x40035905UL))
#define FM_DS_BUR07                               *((volatile  uint8_t*)(0x40035906UL))
#define FM0P_DS_BUR07                             *((volatile  uint8_t*)(0x40035906UL))
#define FM_DS_BUR08                               *((volatile  uint8_t*)(0x40035907UL))
#define FM0P_DS_BUR08                             *((volatile  uint8_t*)(0x40035907UL))
#define FM_DS_BUR09                               *((volatile  uint8_t*)(0x40035908UL))
#define FM0P_DS_BUR09                             *((volatile  uint8_t*)(0x40035908UL))
#define FM_DS_BUR10                               *((volatile  uint8_t*)(0x40035909UL))
#define FM0P_DS_BUR10                             *((volatile  uint8_t*)(0x40035909UL))
#define FM_DS_BUR11                               *((volatile  uint8_t*)(0x4003590AUL))
#define FM0P_DS_BUR11                             *((volatile  uint8_t*)(0x4003590AUL))
#define FM_DS_BUR12                               *((volatile  uint8_t*)(0x4003590BUL))
#define FM0P_DS_BUR12                             *((volatile  uint8_t*)(0x4003590BUL))
#define FM_DS_BUR13                               *((volatile  uint8_t*)(0x4003590CUL))
#define FM0P_DS_BUR13                             *((volatile  uint8_t*)(0x4003590CUL))
#define FM_DS_BUR14                               *((volatile  uint8_t*)(0x4003590DUL))
#define FM0P_DS_BUR14                             *((volatile  uint8_t*)(0x4003590DUL))
#define FM_DS_BUR15                               *((volatile  uint8_t*)(0x4003590EUL))
#define FM0P_DS_BUR15                             *((volatile  uint8_t*)(0x4003590EUL))
#define FM_DS_BUR16                               *((volatile  uint8_t*)(0x4003590FUL))
#define FM0P_DS_BUR16                             *((volatile  uint8_t*)(0x4003590FUL))

/******************************************************************************
 ** DT Registers DT
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_DT_TIMER1LOAD                          *((volatile uint32_t*)(0x40015000UL))
#define FM0P_DT_TIMER1LOAD                        *((volatile uint32_t*)(0x40015000UL))
#define FM_DT_TIMER1VALUE                         *((volatile uint32_t*)(0x40015004UL))
#define FM0P_DT_TIMER1VALUE                       *((volatile uint32_t*)(0x40015004UL))
#define FM_DT_TIMER1CONTROL                       *((volatile uint32_t*)(0x40015008UL))
#define FM0P_DT_TIMER1CONTROL                     *((volatile uint32_t*)(0x40015008UL))
#define FM_DT_TIMER1INTCLR                        *((volatile uint32_t*)(0x4001500CUL))
#define FM0P_DT_TIMER1INTCLR                      *((volatile uint32_t*)(0x4001500CUL))
#define FM_DT_TIMER1RIS                           *((volatile uint32_t*)(0x40015010UL))
#define FM0P_DT_TIMER1RIS                         *((volatile uint32_t*)(0x40015010UL))
#define FM_DT_TIMER1MIS                           *((volatile uint32_t*)(0x40015014UL))
#define FM0P_DT_TIMER1MIS                         *((volatile uint32_t*)(0x40015014UL))
#define FM_DT_TIMER1BGLOAD                        *((volatile uint32_t*)(0x40015018UL))
#define FM0P_DT_TIMER1BGLOAD                      *((volatile uint32_t*)(0x40015018UL))
#define FM_DT_TIMER2LOAD                          *((volatile uint32_t*)(0x40015020UL))
#define FM0P_DT_TIMER2LOAD                        *((volatile uint32_t*)(0x40015020UL))
#define FM_DT_TIMER2VALUE                         *((volatile uint32_t*)(0x40015024UL))
#define FM0P_DT_TIMER2VALUE                       *((volatile uint32_t*)(0x40015024UL))
#define FM_DT_TIMER2CONTROL                       *((volatile uint32_t*)(0x40015028UL))
#define FM0P_DT_TIMER2CONTROL                     *((volatile uint32_t*)(0x40015028UL))
#define FM_DT_TIMER2INTCLR                        *((volatile uint32_t*)(0x4001502CUL))
#define FM0P_DT_TIMER2INTCLR                      *((volatile uint32_t*)(0x4001502CUL))
#define FM_DT_TIMER2RIS                           *((volatile uint32_t*)(0x40015030UL))
#define FM0P_DT_TIMER2RIS                         *((volatile uint32_t*)(0x40015030UL))
#define FM_DT_TIMER2MIS                           *((volatile uint32_t*)(0x40015034UL))
#define FM0P_DT_TIMER2MIS                         *((volatile uint32_t*)(0x40015034UL))
#define FM_DT_TIMER2BGLOAD                        *((volatile uint32_t*)(0x40015038UL))
#define FM0P_DT_TIMER2BGLOAD                      *((volatile uint32_t*)(0x40015038UL))

/******************************************************************************
 ** EXTI Registers EXTI
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_EXTI_ENIR                              *((volatile uint32_t*)(0x40030000UL))
#define FM0P_EXTI_ENIR                            *((volatile uint32_t*)(0x40030000UL))
#define FM_EXTI_EIRR                              *((volatile uint32_t*)(0x40030004UL))
#define FM0P_EXTI_EIRR                            *((volatile uint32_t*)(0x40030004UL))
#define FM_EXTI_EICL                              *((volatile uint32_t*)(0x40030008UL))
#define FM0P_EXTI_EICL                            *((volatile uint32_t*)(0x40030008UL))
#define FM_EXTI_ELVR                              *((volatile uint32_t*)(0x4003000CUL))
#define FM0P_EXTI_ELVR                            *((volatile uint32_t*)(0x4003000CUL))
#define FM_EXTI_ELVR1                             *((volatile uint32_t*)(0x40030010UL))
#define FM0P_EXTI_ELVR1                           *((volatile uint32_t*)(0x40030010UL))
#define FM_EXTI_NMIRR                             *((volatile uint16_t*)(0x40030014UL))
#define FM0P_EXTI_NMIRR                           *((volatile uint16_t*)(0x40030014UL))
#define FM_EXTI_NMICL                             *((volatile uint16_t*)(0x40030018UL))
#define FM0P_EXTI_NMICL                           *((volatile uint16_t*)(0x40030018UL))

/******************************************************************************
 ** FASTIO Registers FASTIO
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_FASTIO_FPDIR0                          *((volatile uint32_t*)(0xF8000000UL))
#define FM0P_FASTIO_FPDIR0                        *((volatile uint32_t*)(0xF8000000UL))
#define FM_FASTIO_FPDIR1                          *((volatile uint32_t*)(0xF8000004UL))
#define FM0P_FASTIO_FPDIR1                        *((volatile uint32_t*)(0xF8000004UL))
#define FM_FASTIO_FPDIR2                          *((volatile uint32_t*)(0xF8000008UL))
#define FM0P_FASTIO_FPDIR2                        *((volatile uint32_t*)(0xF8000008UL))
#define FM_FASTIO_FPDIR3                          *((volatile uint32_t*)(0xF800000CUL))
#define FM0P_FASTIO_FPDIR3                        *((volatile uint32_t*)(0xF800000CUL))
#define FM_FASTIO_FPDIR4                          *((volatile uint32_t*)(0xF8000010UL))
#define FM0P_FASTIO_FPDIR4                        *((volatile uint32_t*)(0xF8000010UL))
#define FM_FASTIO_FPDIR5                          *((volatile uint32_t*)(0xF8000014UL))
#define FM0P_FASTIO_FPDIR5                        *((volatile uint32_t*)(0xF8000014UL))
#define FM_FASTIO_FPDIR6                          *((volatile uint32_t*)(0xF8000018UL))
#define FM0P_FASTIO_FPDIR6                        *((volatile uint32_t*)(0xF8000018UL))
#define FM_FASTIO_FPDIR7                          *((volatile uint32_t*)(0xF800001CUL))
#define FM0P_FASTIO_FPDIR7                        *((volatile uint32_t*)(0xF800001CUL))
#define FM_FASTIO_FPDIR8                          *((volatile uint32_t*)(0xF8000020UL))
#define FM0P_FASTIO_FPDIR8                        *((volatile uint32_t*)(0xF8000020UL))
#define FM_FASTIO_FPDIR9                          *((volatile uint32_t*)(0xF8000024UL))
#define FM0P_FASTIO_FPDIR9                        *((volatile uint32_t*)(0xF8000024UL))
#define FM_FASTIO_FPDIRA                          *((volatile uint32_t*)(0xF8000028UL))
#define FM0P_FASTIO_FPDIRA                        *((volatile uint32_t*)(0xF8000028UL))
#define FM_FASTIO_FPDIRB                          *((volatile uint32_t*)(0xF800002CUL))
#define FM0P_FASTIO_FPDIRB                        *((volatile uint32_t*)(0xF800002CUL))
#define FM_FASTIO_FPDIRC                          *((volatile uint32_t*)(0xF8000030UL))
#define FM0P_FASTIO_FPDIRC                        *((volatile uint32_t*)(0xF8000030UL))
#define FM_FASTIO_FPDIRD                          *((volatile uint32_t*)(0xF8000034UL))
#define FM0P_FASTIO_FPDIRD                        *((volatile uint32_t*)(0xF8000034UL))
#define FM_FASTIO_FPDIRE                          *((volatile uint32_t*)(0xF8000038UL))
#define FM0P_FASTIO_FPDIRE                        *((volatile uint32_t*)(0xF8000038UL))
#define FM_FASTIO_FPDIRF                          *((volatile uint32_t*)(0xF800003CUL))
#define FM0P_FASTIO_FPDIRF                        *((volatile uint32_t*)(0xF800003CUL))
#define FM_FASTIO_FPDOR0                          *((volatile uint32_t*)(0xF8000040UL))
#define FM0P_FASTIO_FPDOR0                        *((volatile uint32_t*)(0xF8000040UL))
#define FM_FASTIO_FPDOR1                          *((volatile uint32_t*)(0xF8000044UL))
#define FM0P_FASTIO_FPDOR1                        *((volatile uint32_t*)(0xF8000044UL))
#define FM_FASTIO_FPDOR2                          *((volatile uint32_t*)(0xF8000048UL))
#define FM0P_FASTIO_FPDOR2                        *((volatile uint32_t*)(0xF8000048UL))
#define FM_FASTIO_FPDOR3                          *((volatile uint32_t*)(0xF800004CUL))
#define FM0P_FASTIO_FPDOR3                        *((volatile uint32_t*)(0xF800004CUL))
#define FM_FASTIO_FPDOR4                          *((volatile uint32_t*)(0xF8000050UL))
#define FM0P_FASTIO_FPDOR4                        *((volatile uint32_t*)(0xF8000050UL))
#define FM_FASTIO_FPDOR5                          *((volatile uint32_t*)(0xF8000054UL))
#define FM0P_FASTIO_FPDOR5                        *((volatile uint32_t*)(0xF8000054UL))
#define FM_FASTIO_FPDOR6                          *((volatile uint32_t*)(0xF8000058UL))
#define FM0P_FASTIO_FPDOR6                        *((volatile uint32_t*)(0xF8000058UL))
#define FM_FASTIO_FPDOR7                          *((volatile uint32_t*)(0xF800005CUL))
#define FM0P_FASTIO_FPDOR7                        *((volatile uint32_t*)(0xF800005CUL))
#define FM_FASTIO_FPDOR8                          *((volatile uint32_t*)(0xF8000060UL))
#define FM0P_FASTIO_FPDOR8                        *((volatile uint32_t*)(0xF8000060UL))
#define FM_FASTIO_FPDOR9                          *((volatile uint32_t*)(0xF8000064UL))
#define FM0P_FASTIO_FPDOR9                        *((volatile uint32_t*)(0xF8000064UL))
#define FM_FASTIO_FPDORA                          *((volatile uint32_t*)(0xF8000068UL))
#define FM0P_FASTIO_FPDORA                        *((volatile uint32_t*)(0xF8000068UL))
#define FM_FASTIO_FPDORB                          *((volatile uint32_t*)(0xF800006CUL))
#define FM0P_FASTIO_FPDORB                        *((volatile uint32_t*)(0xF800006CUL))
#define FM_FASTIO_FPDORC                          *((volatile uint32_t*)(0xF8000070UL))
#define FM0P_FASTIO_FPDORC                        *((volatile uint32_t*)(0xF8000070UL))
#define FM_FASTIO_FPDORD                          *((volatile uint32_t*)(0xF8000074UL))
#define FM0P_FASTIO_FPDORD                        *((volatile uint32_t*)(0xF8000074UL))
#define FM_FASTIO_FPDORE                          *((volatile uint32_t*)(0xF8000078UL))
#define FM0P_FASTIO_FPDORE                        *((volatile uint32_t*)(0xF8000078UL))
#define FM_FASTIO_FPDORF                          *((volatile uint32_t*)(0xF800007CUL))
#define FM0P_FASTIO_FPDORF                        *((volatile uint32_t*)(0xF800007CUL))
#define FM_FASTIO_M_FPDIR0                        *((volatile uint32_t*)(0xF8000080UL))
#define FM0P_FASTIO_M_FPDIR0                      *((volatile uint32_t*)(0xF8000080UL))
#define FM_FASTIO_M_FPDIR1                        *((volatile uint32_t*)(0xF8000084UL))
#define FM0P_FASTIO_M_FPDIR1                      *((volatile uint32_t*)(0xF8000084UL))
#define FM_FASTIO_M_FPDOR0                        *((volatile uint32_t*)(0xF80000C0UL))
#define FM0P_FASTIO_M_FPDOR0                      *((volatile uint32_t*)(0xF80000C0UL))
#define FM_FASTIO_M_FPDOR1                        *((volatile uint32_t*)(0xF80000C4UL))
#define FM0P_FASTIO_M_FPDOR1                      *((volatile uint32_t*)(0xF80000C4UL))

/******************************************************************************
 ** FLASH_IF Registers FLASH_IF
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_FLASH_IF_FRWTR                         *((volatile uint32_t*)(0x40000004UL))
#define FM0P_FLASH_IF_FRWTR                       *((volatile uint32_t*)(0x40000004UL))
#define FM_FLASH_IF_FSTR                          *((volatile uint32_t*)(0x40000008UL))
#define FM0P_FLASH_IF_FSTR                        *((volatile uint32_t*)(0x40000008UL))
#define FM_FLASH_IF_FSYNDN                        *((volatile uint32_t*)(0x40000010UL))
#define FM0P_FLASH_IF_FSYNDN                      *((volatile uint32_t*)(0x40000010UL))
#define FM_FLASH_IF_FICR                          *((volatile uint32_t*)(0x40000020UL))
#define FM0P_FLASH_IF_FICR                        *((volatile uint32_t*)(0x40000020UL))
#define FM_FLASH_IF_FISR                          *((volatile uint32_t*)(0x40000024UL))
#define FM0P_FLASH_IF_FISR                        *((volatile uint32_t*)(0x40000024UL))
#define FM_FLASH_IF_FICLR                         *((volatile uint32_t*)(0x40000028UL))
#define FM0P_FLASH_IF_FICLR                       *((volatile uint32_t*)(0x40000028UL))
#define FM_FLASH_IF_CRTRMM                        *((volatile uint32_t*)(0x40000100UL))
#define FM0P_FLASH_IF_CRTRMM                      *((volatile uint32_t*)(0x40000100UL))

/******************************************************************************
 ** GPIO Registers GPIO
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_GPIO_PFR0                              *((volatile uint32_t*)(0x40033000UL))
#define FM0P_GPIO_PFR0                            *((volatile uint32_t*)(0x40033000UL))
#define FM_GPIO_PFR1                              *((volatile uint32_t*)(0x40033004UL))
#define FM0P_GPIO_PFR1                            *((volatile uint32_t*)(0x40033004UL))
#define FM_GPIO_PFR2                              *((volatile uint32_t*)(0x40033008UL))
#define FM0P_GPIO_PFR2                            *((volatile uint32_t*)(0x40033008UL))
#define FM_GPIO_PFR3                              *((volatile uint32_t*)(0x4003300CUL))
#define FM0P_GPIO_PFR3                            *((volatile uint32_t*)(0x4003300CUL))
#define FM_GPIO_PFR4                              *((volatile uint32_t*)(0x40033010UL))
#define FM0P_GPIO_PFR4                            *((volatile uint32_t*)(0x40033010UL))
#define FM_GPIO_PFR5                              *((volatile uint32_t*)(0x40033014UL))
#define FM0P_GPIO_PFR5                            *((volatile uint32_t*)(0x40033014UL))
#define FM_GPIO_PFR6                              *((volatile uint32_t*)(0x40033018UL))
#define FM0P_GPIO_PFR6                            *((volatile uint32_t*)(0x40033018UL))
#define FM_GPIO_PFR7                              *((volatile uint32_t*)(0x4003301CUL))
#define FM0P_GPIO_PFR7                            *((volatile uint32_t*)(0x4003301CUL))
#define FM_GPIO_PFR8                              *((volatile uint32_t*)(0x40033020UL))
#define FM0P_GPIO_PFR8                            *((volatile uint32_t*)(0x40033020UL))
#define FM_GPIO_PFR9                              *((volatile uint32_t*)(0x40033024UL))
#define FM0P_GPIO_PFR9                            *((volatile uint32_t*)(0x40033024UL))
#define FM_GPIO_PFRA                              *((volatile uint32_t*)(0x40033028UL))
#define FM0P_GPIO_PFRA                            *((volatile uint32_t*)(0x40033028UL))
#define FM_GPIO_PFRB                              *((volatile uint32_t*)(0x4003302CUL))
#define FM0P_GPIO_PFRB                            *((volatile uint32_t*)(0x4003302CUL))
#define FM_GPIO_PFRC                              *((volatile uint32_t*)(0x40033030UL))
#define FM0P_GPIO_PFRC                            *((volatile uint32_t*)(0x40033030UL))
#define FM_GPIO_PFRD                              *((volatile uint32_t*)(0x40033034UL))
#define FM0P_GPIO_PFRD                            *((volatile uint32_t*)(0x40033034UL))
#define FM_GPIO_PFRE                              *((volatile uint32_t*)(0x40033038UL))
#define FM0P_GPIO_PFRE                            *((volatile uint32_t*)(0x40033038UL))
#define FM_GPIO_PFRF                              *((volatile uint32_t*)(0x4003303CUL))
#define FM0P_GPIO_PFRF                            *((volatile uint32_t*)(0x4003303CUL))
#define FM_GPIO_PCR0                              *((volatile uint32_t*)(0x40033100UL))
#define FM0P_GPIO_PCR0                            *((volatile uint32_t*)(0x40033100UL))
#define FM_GPIO_PCR1                              *((volatile uint32_t*)(0x40033104UL))
#define FM0P_GPIO_PCR1                            *((volatile uint32_t*)(0x40033104UL))
#define FM_GPIO_PCR2                              *((volatile uint32_t*)(0x40033108UL))
#define FM0P_GPIO_PCR2                            *((volatile uint32_t*)(0x40033108UL))
#define FM_GPIO_PCR3                              *((volatile uint32_t*)(0x4003310CUL))
#define FM0P_GPIO_PCR3                            *((volatile uint32_t*)(0x4003310CUL))
#define FM_GPIO_PCR4                              *((volatile uint32_t*)(0x40033110UL))
#define FM0P_GPIO_PCR4                            *((volatile uint32_t*)(0x40033110UL))
#define FM_GPIO_PCR5                              *((volatile uint32_t*)(0x40033114UL))
#define FM0P_GPIO_PCR5                            *((volatile uint32_t*)(0x40033114UL))
#define FM_GPIO_PCR6                              *((volatile uint32_t*)(0x40033118UL))
#define FM0P_GPIO_PCR6                            *((volatile uint32_t*)(0x40033118UL))
#define FM_GPIO_PCR7                              *((volatile uint32_t*)(0x4003311CUL))
#define FM0P_GPIO_PCR7                            *((volatile uint32_t*)(0x4003311CUL))
#define FM_GPIO_PCR9                              *((volatile uint32_t*)(0x40033124UL))
#define FM0P_GPIO_PCR9                            *((volatile uint32_t*)(0x40033124UL))
#define FM_GPIO_PCRA                              *((volatile uint32_t*)(0x40033128UL))
#define FM0P_GPIO_PCRA                            *((volatile uint32_t*)(0x40033128UL))
#define FM_GPIO_PCRB                              *((volatile uint32_t*)(0x4003312CUL))
#define FM0P_GPIO_PCRB                            *((volatile uint32_t*)(0x4003312CUL))
#define FM_GPIO_PCRC                              *((volatile uint32_t*)(0x40033130UL))
#define FM0P_GPIO_PCRC                            *((volatile uint32_t*)(0x40033130UL))
#define FM_GPIO_PCRD                              *((volatile uint32_t*)(0x40033134UL))
#define FM0P_GPIO_PCRD                            *((volatile uint32_t*)(0x40033134UL))
#define FM_GPIO_PCRE                              *((volatile uint32_t*)(0x40033138UL))
#define FM0P_GPIO_PCRE                            *((volatile uint32_t*)(0x40033138UL))
#define FM_GPIO_PCRF                              *((volatile uint32_t*)(0x4003313CUL))
#define FM0P_GPIO_PCRF                            *((volatile uint32_t*)(0x4003313CUL))
#define FM_GPIO_DDR0                              *((volatile uint32_t*)(0x40033200UL))
#define FM0P_GPIO_DDR0                            *((volatile uint32_t*)(0x40033200UL))
#define FM_GPIO_DDR1                              *((volatile uint32_t*)(0x40033204UL))
#define FM0P_GPIO_DDR1                            *((volatile uint32_t*)(0x40033204UL))
#define FM_GPIO_DDR2                              *((volatile uint32_t*)(0x40033208UL))
#define FM0P_GPIO_DDR2                            *((volatile uint32_t*)(0x40033208UL))
#define FM_GPIO_DDR3                              *((volatile uint32_t*)(0x4003320CUL))
#define FM0P_GPIO_DDR3                            *((volatile uint32_t*)(0x4003320CUL))
#define FM_GPIO_DDR4                              *((volatile uint32_t*)(0x40033210UL))
#define FM0P_GPIO_DDR4                            *((volatile uint32_t*)(0x40033210UL))
#define FM_GPIO_DDR5                              *((volatile uint32_t*)(0x40033214UL))
#define FM0P_GPIO_DDR5                            *((volatile uint32_t*)(0x40033214UL))
#define FM_GPIO_DDR6                              *((volatile uint32_t*)(0x40033218UL))
#define FM0P_GPIO_DDR6                            *((volatile uint32_t*)(0x40033218UL))
#define FM_GPIO_DDR7                              *((volatile uint32_t*)(0x4003321CUL))
#define FM0P_GPIO_DDR7                            *((volatile uint32_t*)(0x4003321CUL))
#define FM_GPIO_DDR8                              *((volatile uint32_t*)(0x40033220UL))
#define FM0P_GPIO_DDR8                            *((volatile uint32_t*)(0x40033220UL))
#define FM_GPIO_DDR9                              *((volatile uint32_t*)(0x40033224UL))
#define FM0P_GPIO_DDR9                            *((volatile uint32_t*)(0x40033224UL))
#define FM_GPIO_DDRA                              *((volatile uint32_t*)(0x40033228UL))
#define FM0P_GPIO_DDRA                            *((volatile uint32_t*)(0x40033228UL))
#define FM_GPIO_DDRB                              *((volatile uint32_t*)(0x4003322CUL))
#define FM0P_GPIO_DDRB                            *((volatile uint32_t*)(0x4003322CUL))
#define FM_GPIO_DDRC                              *((volatile uint32_t*)(0x40033230UL))
#define FM0P_GPIO_DDRC                            *((volatile uint32_t*)(0x40033230UL))
#define FM_GPIO_DDRD                              *((volatile uint32_t*)(0x40033234UL))
#define FM0P_GPIO_DDRD                            *((volatile uint32_t*)(0x40033234UL))
#define FM_GPIO_DDRE                              *((volatile uint32_t*)(0x40033238UL))
#define FM0P_GPIO_DDRE                            *((volatile uint32_t*)(0x40033238UL))
#define FM_GPIO_DDRF                              *((volatile uint32_t*)(0x4003323CUL))
#define FM0P_GPIO_DDRF                            *((volatile uint32_t*)(0x4003323CUL))
#define FM_GPIO_PDIR0                             *((volatile uint32_t*)(0x40033300UL))
#define FM0P_GPIO_PDIR0                           *((volatile uint32_t*)(0x40033300UL))
#define FM_GPIO_PDIR1                             *((volatile uint32_t*)(0x40033304UL))
#define FM0P_GPIO_PDIR1                           *((volatile uint32_t*)(0x40033304UL))
#define FM_GPIO_PDIR2                             *((volatile uint32_t*)(0x40033308UL))
#define FM0P_GPIO_PDIR2                           *((volatile uint32_t*)(0x40033308UL))
#define FM_GPIO_PDIR3                             *((volatile uint32_t*)(0x4003330CUL))
#define FM0P_GPIO_PDIR3                           *((volatile uint32_t*)(0x4003330CUL))
#define FM_GPIO_PDIR4                             *((volatile uint32_t*)(0x40033310UL))
#define FM0P_GPIO_PDIR4                           *((volatile uint32_t*)(0x40033310UL))
#define FM_GPIO_PDIR5                             *((volatile uint32_t*)(0x40033314UL))
#define FM0P_GPIO_PDIR5                           *((volatile uint32_t*)(0x40033314UL))
#define FM_GPIO_PDIR6                             *((volatile uint32_t*)(0x40033318UL))
#define FM0P_GPIO_PDIR6                           *((volatile uint32_t*)(0x40033318UL))
#define FM_GPIO_PDIR7                             *((volatile uint32_t*)(0x4003331CUL))
#define FM0P_GPIO_PDIR7                           *((volatile uint32_t*)(0x4003331CUL))
#define FM_GPIO_PDIR8                             *((volatile uint32_t*)(0x40033320UL))
#define FM0P_GPIO_PDIR8                           *((volatile uint32_t*)(0x40033320UL))
#define FM_GPIO_PDIR9                             *((volatile uint32_t*)(0x40033324UL))
#define FM0P_GPIO_PDIR9                           *((volatile uint32_t*)(0x40033324UL))
#define FM_GPIO_PDIRA                             *((volatile uint32_t*)(0x40033328UL))
#define FM0P_GPIO_PDIRA                           *((volatile uint32_t*)(0x40033328UL))
#define FM_GPIO_PDIRB                             *((volatile uint32_t*)(0x4003332CUL))
#define FM0P_GPIO_PDIRB                           *((volatile uint32_t*)(0x4003332CUL))
#define FM_GPIO_PDIRC                             *((volatile uint32_t*)(0x40033330UL))
#define FM0P_GPIO_PDIRC                           *((volatile uint32_t*)(0x40033330UL))
#define FM_GPIO_PDIRD                             *((volatile uint32_t*)(0x40033334UL))
#define FM0P_GPIO_PDIRD                           *((volatile uint32_t*)(0x40033334UL))
#define FM_GPIO_PDIRE                             *((volatile uint32_t*)(0x40033338UL))
#define FM0P_GPIO_PDIRE                           *((volatile uint32_t*)(0x40033338UL))
#define FM_GPIO_PDIRF                             *((volatile uint32_t*)(0x4003333CUL))
#define FM0P_GPIO_PDIRF                           *((volatile uint32_t*)(0x4003333CUL))
#define FM_GPIO_PDOR0                             *((volatile uint32_t*)(0x40033400UL))
#define FM0P_GPIO_PDOR0                           *((volatile uint32_t*)(0x40033400UL))
#define FM_GPIO_PDOR1                             *((volatile uint32_t*)(0x40033404UL))
#define FM0P_GPIO_PDOR1                           *((volatile uint32_t*)(0x40033404UL))
#define FM_GPIO_PDOR2                             *((volatile uint32_t*)(0x40033408UL))
#define FM0P_GPIO_PDOR2                           *((volatile uint32_t*)(0x40033408UL))
#define FM_GPIO_PDOR3                             *((volatile uint32_t*)(0x4003340CUL))
#define FM0P_GPIO_PDOR3                           *((volatile uint32_t*)(0x4003340CUL))
#define FM_GPIO_PDOR4                             *((volatile uint32_t*)(0x40033410UL))
#define FM0P_GPIO_PDOR4                           *((volatile uint32_t*)(0x40033410UL))
#define FM_GPIO_PDOR5                             *((volatile uint32_t*)(0x40033414UL))
#define FM0P_GPIO_PDOR5                           *((volatile uint32_t*)(0x40033414UL))
#define FM_GPIO_PDOR6                             *((volatile uint32_t*)(0x40033418UL))
#define FM0P_GPIO_PDOR6                           *((volatile uint32_t*)(0x40033418UL))
#define FM_GPIO_PDOR7                             *((volatile uint32_t*)(0x4003341CUL))
#define FM0P_GPIO_PDOR7                           *((volatile uint32_t*)(0x4003341CUL))
#define FM_GPIO_PDOR8                             *((volatile uint32_t*)(0x40033420UL))
#define FM0P_GPIO_PDOR8                           *((volatile uint32_t*)(0x40033420UL))
#define FM_GPIO_PDOR9                             *((volatile uint32_t*)(0x40033424UL))
#define FM0P_GPIO_PDOR9                           *((volatile uint32_t*)(0x40033424UL))
#define FM_GPIO_PDORA                             *((volatile uint32_t*)(0x40033428UL))
#define FM0P_GPIO_PDORA                           *((volatile uint32_t*)(0x40033428UL))
#define FM_GPIO_PDORB                             *((volatile uint32_t*)(0x4003342CUL))
#define FM0P_GPIO_PDORB                           *((volatile uint32_t*)(0x4003342CUL))
#define FM_GPIO_PDORC                             *((volatile uint32_t*)(0x40033430UL))
#define FM0P_GPIO_PDORC                           *((volatile uint32_t*)(0x40033430UL))
#define FM_GPIO_PDORD                             *((volatile uint32_t*)(0x40033434UL))
#define FM0P_GPIO_PDORD                           *((volatile uint32_t*)(0x40033434UL))
#define FM_GPIO_PDORE                             *((volatile uint32_t*)(0x40033438UL))
#define FM0P_GPIO_PDORE                           *((volatile uint32_t*)(0x40033438UL))
#define FM_GPIO_PDORF                             *((volatile uint32_t*)(0x4003343CUL))
#define FM0P_GPIO_PDORF                           *((volatile uint32_t*)(0x4003343CUL))
#define FM_GPIO_ADE                               *((volatile uint32_t*)(0x40033500UL))
#define FM0P_GPIO_ADE                             *((volatile uint32_t*)(0x40033500UL))
#define FM_GPIO_SPSR                              *((volatile uint32_t*)(0x40033580UL))
#define FM0P_GPIO_SPSR                            *((volatile uint32_t*)(0x40033580UL))
#define FM_GPIO_EPFR00                            *((volatile uint32_t*)(0x40033600UL))
#define FM0P_GPIO_EPFR00                          *((volatile uint32_t*)(0x40033600UL))
#define FM_GPIO_EPFR01                            *((volatile uint32_t*)(0x40033604UL))
#define FM0P_GPIO_EPFR01                          *((volatile uint32_t*)(0x40033604UL))
#define FM_GPIO_EPFR04                            *((volatile uint32_t*)(0x40033610UL))
#define FM0P_GPIO_EPFR04                          *((volatile uint32_t*)(0x40033610UL))
#define FM_GPIO_EPFR06                            *((volatile uint32_t*)(0x40033618UL))
#define FM0P_GPIO_EPFR06                          *((volatile uint32_t*)(0x40033618UL))
#define FM_GPIO_EPFR07                            *((volatile uint32_t*)(0x4003361CUL))
#define FM0P_GPIO_EPFR07                          *((volatile uint32_t*)(0x4003361CUL))
#define FM_GPIO_EPFR09                            *((volatile uint32_t*)(0x40033624UL))
#define FM0P_GPIO_EPFR09                          *((volatile uint32_t*)(0x40033624UL))
#define FM_GPIO_EPFR21                            *((volatile uint32_t*)(0x40033654UL))
#define FM0P_GPIO_EPFR21                          *((volatile uint32_t*)(0x40033654UL))
#define FM_GPIO_EPFR22                            *((volatile uint32_t*)(0x40033658UL))
#define FM0P_GPIO_EPFR22                          *((volatile uint32_t*)(0x40033658UL))
#define FM_GPIO_PZR0                              *((volatile uint32_t*)(0x40033700UL))
#define FM0P_GPIO_PZR0                            *((volatile uint32_t*)(0x40033700UL))
#define FM_GPIO_PZR1                              *((volatile uint32_t*)(0x40033704UL))
#define FM0P_GPIO_PZR1                            *((volatile uint32_t*)(0x40033704UL))
#define FM_GPIO_PZR2                              *((volatile uint32_t*)(0x40033708UL))
#define FM0P_GPIO_PZR2                            *((volatile uint32_t*)(0x40033708UL))
#define FM_GPIO_PZR3                              *((volatile uint32_t*)(0x4003370CUL))
#define FM0P_GPIO_PZR3                            *((volatile uint32_t*)(0x4003370CUL))
#define FM_GPIO_PZR4                              *((volatile uint32_t*)(0x40033710UL))
#define FM0P_GPIO_PZR4                            *((volatile uint32_t*)(0x40033710UL))
#define FM_GPIO_PZR5                              *((volatile uint32_t*)(0x40033714UL))
#define FM0P_GPIO_PZR5                            *((volatile uint32_t*)(0x40033714UL))
#define FM_GPIO_PZR6                              *((volatile uint32_t*)(0x40033718UL))
#define FM0P_GPIO_PZR6                            *((volatile uint32_t*)(0x40033718UL))
#define FM_GPIO_PZR7                              *((volatile uint32_t*)(0x4003371CUL))
#define FM0P_GPIO_PZR7                            *((volatile uint32_t*)(0x4003371CUL))
#define FM_GPIO_PZR8                              *((volatile uint32_t*)(0x40033720UL))
#define FM0P_GPIO_PZR8                            *((volatile uint32_t*)(0x40033720UL))
#define FM_GPIO_PZR9                              *((volatile uint32_t*)(0x40033724UL))
#define FM0P_GPIO_PZR9                            *((volatile uint32_t*)(0x40033724UL))
#define FM_GPIO_PZRA                              *((volatile uint32_t*)(0x40033728UL))
#define FM0P_GPIO_PZRA                            *((volatile uint32_t*)(0x40033728UL))
#define FM_GPIO_PZRB                              *((volatile uint32_t*)(0x4003372CUL))
#define FM0P_GPIO_PZRB                            *((volatile uint32_t*)(0x4003372CUL))
#define FM_GPIO_PZRC                              *((volatile uint32_t*)(0x40033730UL))
#define FM0P_GPIO_PZRC                            *((volatile uint32_t*)(0x40033730UL))
#define FM_GPIO_PZRD                              *((volatile uint32_t*)(0x40033734UL))
#define FM0P_GPIO_PZRD                            *((volatile uint32_t*)(0x40033734UL))
#define FM_GPIO_PZRE                              *((volatile uint32_t*)(0x40033738UL))
#define FM0P_GPIO_PZRE                            *((volatile uint32_t*)(0x40033738UL))
#define FM_GPIO_PZRF                              *((volatile uint32_t*)(0x4003373CUL))
#define FM0P_GPIO_PZRF                            *((volatile uint32_t*)(0x4003373CUL))
#define FM_GPIO_FPOER0                            *((volatile uint32_t*)(0x40033900UL))
#define FM0P_GPIO_FPOER0                          *((volatile uint32_t*)(0x40033900UL))
#define FM_GPIO_FPOER1                            *((volatile uint32_t*)(0x40033904UL))
#define FM0P_GPIO_FPOER1                          *((volatile uint32_t*)(0x40033904UL))
#define FM_GPIO_FPOER2                            *((volatile uint32_t*)(0x40033908UL))
#define FM0P_GPIO_FPOER2                          *((volatile uint32_t*)(0x40033908UL))
#define FM_GPIO_FPOER3                            *((volatile uint32_t*)(0x4003390CUL))
#define FM0P_GPIO_FPOER3                          *((volatile uint32_t*)(0x4003390CUL))
#define FM_GPIO_FPOER4                            *((volatile uint32_t*)(0x40033910UL))
#define FM0P_GPIO_FPOER4                          *((volatile uint32_t*)(0x40033910UL))
#define FM_GPIO_FPOER5                            *((volatile uint32_t*)(0x40033914UL))
#define FM0P_GPIO_FPOER5                          *((volatile uint32_t*)(0x40033914UL))
#define FM_GPIO_FPOER6                            *((volatile uint32_t*)(0x40033918UL))
#define FM0P_GPIO_FPOER6                          *((volatile uint32_t*)(0x40033918UL))
#define FM_GPIO_FPOER7                            *((volatile uint32_t*)(0x4003391CUL))
#define FM0P_GPIO_FPOER7                          *((volatile uint32_t*)(0x4003391CUL))
#define FM_GPIO_FPOER8                            *((volatile uint32_t*)(0x40033920UL))
#define FM0P_GPIO_FPOER8                          *((volatile uint32_t*)(0x40033920UL))
#define FM_GPIO_FPOER9                            *((volatile uint32_t*)(0x40033924UL))
#define FM0P_GPIO_FPOER9                          *((volatile uint32_t*)(0x40033924UL))
#define FM_GPIO_FPOERA                            *((volatile uint32_t*)(0x40033928UL))
#define FM0P_GPIO_FPOERA                          *((volatile uint32_t*)(0x40033928UL))
#define FM_GPIO_FPOERB                            *((volatile uint32_t*)(0x4003392CUL))
#define FM0P_GPIO_FPOERB                          *((volatile uint32_t*)(0x4003392CUL))
#define FM_GPIO_FPOERC                            *((volatile uint32_t*)(0x40033930UL))
#define FM0P_GPIO_FPOERC                          *((volatile uint32_t*)(0x40033930UL))
#define FM_GPIO_FPOERD                            *((volatile uint32_t*)(0x40033934UL))
#define FM0P_GPIO_FPOERD                          *((volatile uint32_t*)(0x40033934UL))
#define FM_GPIO_FPOERE                            *((volatile uint32_t*)(0x40033938UL))
#define FM0P_GPIO_FPOERE                          *((volatile uint32_t*)(0x40033938UL))
#define FM_GPIO_FPOERF                            *((volatile uint32_t*)(0x4003393CUL))
#define FM0P_GPIO_FPOERF                          *((volatile uint32_t*)(0x4003393CUL))

/******************************************************************************
 ** HWWDT Registers HWWDT
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_HWWDT_WDG_LDR                          *((volatile uint32_t*)(0x40011000UL))
#define FM0P_HWWDT_WDG_LDR                        *((volatile uint32_t*)(0x40011000UL))
#define FM_HWWDT_WDG_VLR                          *((volatile uint32_t*)(0x40011004UL))
#define FM0P_HWWDT_WDG_VLR                        *((volatile uint32_t*)(0x40011004UL))
#define FM_HWWDT_WDG_CTL                          *((volatile uint32_t*)(0x40011008UL))
#define FM0P_HWWDT_WDG_CTL                        *((volatile uint32_t*)(0x40011008UL))
#define FM_HWWDT_WDG_ICL                          *((volatile uint32_t*)(0x4001100CUL))
#define FM0P_HWWDT_WDG_ICL                        *((volatile uint32_t*)(0x4001100CUL))
#define FM_HWWDT_WDG_RIS                          *((volatile uint32_t*)(0x40011010UL))
#define FM0P_HWWDT_WDG_RIS                        *((volatile uint32_t*)(0x40011010UL))
#define FM_HWWDT_WDG_LCK                          *((volatile uint32_t*)(0x40011C00UL))
#define FM0P_HWWDT_WDG_LCK                        *((volatile uint32_t*)(0x40011C00UL))

/******************************************************************************
 ** INTREQ Registers INTREQ
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_INTREQ_DRQSEL                          *((volatile uint32_t*)(0x40031000UL))
#define FM0P_INTREQ_DRQSEL                        *((volatile uint32_t*)(0x40031000UL))
#define FM_INTREQ_IRQCMODE                        *((volatile uint32_t*)(0x4003100CUL))
#define FM0P_INTREQ_IRQCMODE                      *((volatile uint32_t*)(0x4003100CUL))
#define FM_INTREQ_EXC02MON                        *((volatile uint32_t*)(0x40031010UL))
#define FM0P_INTREQ_EXC02MON                      *((volatile uint32_t*)(0x40031010UL))
#define FM_INTREQ_IRQ00MON                        *((volatile uint32_t*)(0x40031014UL))
#define FM0P_INTREQ_IRQ00MON                      *((volatile uint32_t*)(0x40031014UL))
#define FM_INTREQ_IRQ01MON                        *((volatile uint32_t*)(0x40031018UL))
#define FM0P_INTREQ_IRQ01MON                      *((volatile uint32_t*)(0x40031018UL))
#define FM_INTREQ_IRQ02MON                        *((volatile uint32_t*)(0x4003101CUL))
#define FM0P_INTREQ_IRQ02MON                      *((volatile uint32_t*)(0x4003101CUL))
#define FM_INTREQ_IRQ03MON                        *((volatile uint32_t*)(0x40031020UL))
#define FM0P_INTREQ_IRQ03MON                      *((volatile uint32_t*)(0x40031020UL))
#define FM_INTREQ_IRQ04MON                        *((volatile uint32_t*)(0x40031024UL))
#define FM0P_INTREQ_IRQ04MON                      *((volatile uint32_t*)(0x40031024UL))
#define FM_INTREQ_IRQ05MON                        *((volatile uint32_t*)(0x40031028UL))
#define FM0P_INTREQ_IRQ05MON                      *((volatile uint32_t*)(0x40031028UL))
#define FM_INTREQ_IRQ06MON                        *((volatile uint32_t*)(0x4003102CUL))
#define FM0P_INTREQ_IRQ06MON                      *((volatile uint32_t*)(0x4003102CUL))
#define FM_INTREQ_IRQ07MON                        *((volatile uint32_t*)(0x40031030UL))
#define FM0P_INTREQ_IRQ07MON                      *((volatile uint32_t*)(0x40031030UL))
#define FM_INTREQ_IRQ08MON                        *((volatile uint32_t*)(0x40031034UL))
#define FM0P_INTREQ_IRQ08MON                      *((volatile uint32_t*)(0x40031034UL))
#define FM_INTREQ_IRQ09MON                        *((volatile uint32_t*)(0x40031038UL))
#define FM0P_INTREQ_IRQ09MON                      *((volatile uint32_t*)(0x40031038UL))
#define FM_INTREQ_IRQ10MON                        *((volatile uint32_t*)(0x4003103CUL))
#define FM0P_INTREQ_IRQ10MON                      *((volatile uint32_t*)(0x4003103CUL))
#define FM_INTREQ_IRQ11MON                        *((volatile uint32_t*)(0x40031040UL))
#define FM0P_INTREQ_IRQ11MON                      *((volatile uint32_t*)(0x40031040UL))
#define FM_INTREQ_IRQ12MON                        *((volatile uint32_t*)(0x40031044UL))
#define FM0P_INTREQ_IRQ12MON                      *((volatile uint32_t*)(0x40031044UL))
#define FM_INTREQ_IRQ13MON                        *((volatile uint32_t*)(0x40031048UL))
#define FM0P_INTREQ_IRQ13MON                      *((volatile uint32_t*)(0x40031048UL))
#define FM_INTREQ_IRQ14MON                        *((volatile uint32_t*)(0x4003104CUL))
#define FM0P_INTREQ_IRQ14MON                      *((volatile uint32_t*)(0x4003104CUL))
#define FM_INTREQ_IRQ15MON                        *((volatile uint32_t*)(0x40031050UL))
#define FM0P_INTREQ_IRQ15MON                      *((volatile uint32_t*)(0x40031050UL))
#define FM_INTREQ_IRQ16MON                        *((volatile uint32_t*)(0x40031054UL))
#define FM0P_INTREQ_IRQ16MON                      *((volatile uint32_t*)(0x40031054UL))
#define FM_INTREQ_IRQ17MON                        *((volatile uint32_t*)(0x40031058UL))
#define FM0P_INTREQ_IRQ17MON                      *((volatile uint32_t*)(0x40031058UL))
#define FM_INTREQ_IRQ18MON                        *((volatile uint32_t*)(0x4003105CUL))
#define FM0P_INTREQ_IRQ18MON                      *((volatile uint32_t*)(0x4003105CUL))
#define FM_INTREQ_IRQ19MON                        *((volatile uint32_t*)(0x40031060UL))
#define FM0P_INTREQ_IRQ19MON                      *((volatile uint32_t*)(0x40031060UL))
#define FM_INTREQ_IRQ20MON                        *((volatile uint32_t*)(0x40031064UL))
#define FM0P_INTREQ_IRQ20MON                      *((volatile uint32_t*)(0x40031064UL))
#define FM_INTREQ_IRQ21MON                        *((volatile uint32_t*)(0x40031068UL))
#define FM0P_INTREQ_IRQ21MON                      *((volatile uint32_t*)(0x40031068UL))
#define FM_INTREQ_IRQ22MON                        *((volatile uint32_t*)(0x4003106CUL))
#define FM0P_INTREQ_IRQ22MON                      *((volatile uint32_t*)(0x4003106CUL))
#define FM_INTREQ_IRQ23MON                        *((volatile uint32_t*)(0x40031070UL))
#define FM0P_INTREQ_IRQ23MON                      *((volatile uint32_t*)(0x40031070UL))
#define FM_INTREQ_IRQ24MON                        *((volatile uint32_t*)(0x40031074UL))
#define FM0P_INTREQ_IRQ24MON                      *((volatile uint32_t*)(0x40031074UL))
#define FM_INTREQ_IRQ25MON                        *((volatile uint32_t*)(0x40031078UL))
#define FM0P_INTREQ_IRQ25MON                      *((volatile uint32_t*)(0x40031078UL))
#define FM_INTREQ_IRQ26MON                        *((volatile uint32_t*)(0x4003107CUL))
#define FM0P_INTREQ_IRQ26MON                      *((volatile uint32_t*)(0x4003107CUL))
#define FM_INTREQ_IRQ27MON                        *((volatile uint32_t*)(0x40031080UL))
#define FM0P_INTREQ_IRQ27MON                      *((volatile uint32_t*)(0x40031080UL))
#define FM_INTREQ_IRQ28MON                        *((volatile uint32_t*)(0x40031084UL))
#define FM0P_INTREQ_IRQ28MON                      *((volatile uint32_t*)(0x40031084UL))
#define FM_INTREQ_IRQ29MON                        *((volatile uint32_t*)(0x40031088UL))
#define FM0P_INTREQ_IRQ29MON                      *((volatile uint32_t*)(0x40031088UL))
#define FM_INTREQ_IRQ30MON                        *((volatile uint32_t*)(0x4003108CUL))
#define FM0P_INTREQ_IRQ30MON                      *((volatile uint32_t*)(0x4003108CUL))
#define FM_INTREQ_IRQ31MON                        *((volatile uint32_t*)(0x40031090UL))
#define FM0P_INTREQ_IRQ31MON                      *((volatile uint32_t*)(0x40031090UL))
#define FM_INTREQ_RCINTSEL0                       *((volatile uint32_t*)(0x40031210UL))
#define FM0P_INTREQ_RCINTSEL0                     *((volatile uint32_t*)(0x40031210UL))
#define FM_INTREQ_RCINTSEL1                       *((volatile uint32_t*)(0x40031214UL))
#define FM0P_INTREQ_RCINTSEL1                     *((volatile uint32_t*)(0x40031214UL))

/******************************************************************************
 ** LSCRP Registers LSCRP
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_LSCRP_LCR_PRSLD                        *((volatile  uint8_t*)(0x4003C000UL))
#define FM0P_LSCRP_LCR_PRSLD                      *((volatile  uint8_t*)(0x4003C000UL))

/******************************************************************************
 ** LVD Registers LVD
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_LVD_LVD_CTL                            *((volatile uint16_t*)(0x40035000UL))
#define FM0P_LVD_LVD_CTL                          *((volatile uint16_t*)(0x40035000UL))
#define FM_LVD_LVD_STR                            *((volatile  uint8_t*)(0x40035004UL))
#define FM0P_LVD_LVD_STR                          *((volatile  uint8_t*)(0x40035004UL))
#define FM_LVD_LVD_CLR                            *((volatile  uint8_t*)(0x40035008UL))
#define FM0P_LVD_LVD_CLR                          *((volatile  uint8_t*)(0x40035008UL))
#define FM_LVD_LVD_RLR                            *((volatile uint32_t*)(0x4003500CUL))
#define FM0P_LVD_LVD_RLR                          *((volatile uint32_t*)(0x4003500CUL))
#define FM_LVD_LVD_STR2                           *((volatile  uint8_t*)(0x40035010UL))
#define FM0P_LVD_LVD_STR2                         *((volatile  uint8_t*)(0x40035010UL))

/******************************************************************************
 ** MFS Registers MFS0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS0_CSIO_SMR                          *((volatile  uint8_t*)(0x40038000UL))
#define FM0P_MFS0_CSIO_SMR                        *((volatile  uint8_t*)(0x40038000UL))
#define FM_MFS0_I2C_SMR                           *((volatile  uint8_t*)(0x40038000UL))
#define FM0P_MFS0_I2C_SMR                         *((volatile  uint8_t*)(0x40038000UL))
#define FM_MFS0_LIN_SMR                           *((volatile  uint8_t*)(0x40038000UL))
#define FM0P_MFS0_LIN_SMR                         *((volatile  uint8_t*)(0x40038000UL))
#define FM_MFS0_UART_SMR                          *((volatile  uint8_t*)(0x40038000UL))
#define FM0P_MFS0_UART_SMR                        *((volatile  uint8_t*)(0x40038000UL))
#define FM_MFS0_CSIO_SCR                          *((volatile  uint8_t*)(0x40038001UL))
#define FM0P_MFS0_CSIO_SCR                        *((volatile  uint8_t*)(0x40038001UL))
#define FM_MFS0_I2C_IBCR                          *((volatile  uint8_t*)(0x40038001UL))
#define FM0P_MFS0_I2C_IBCR                        *((volatile  uint8_t*)(0x40038001UL))
#define FM_MFS0_LIN_SCR                           *((volatile  uint8_t*)(0x40038001UL))
#define FM0P_MFS0_LIN_SCR                         *((volatile  uint8_t*)(0x40038001UL))
#define FM_MFS0_UART_SCR                          *((volatile  uint8_t*)(0x40038001UL))
#define FM0P_MFS0_UART_SCR                        *((volatile  uint8_t*)(0x40038001UL))
#define FM_MFS0_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038004UL))
#define FM0P_MFS0_CSIO_ESCR                       *((volatile  uint8_t*)(0x40038004UL))
#define FM_MFS0_I2C_IBSR                          *((volatile  uint8_t*)(0x40038004UL))
#define FM0P_MFS0_I2C_IBSR                        *((volatile  uint8_t*)(0x40038004UL))
#define FM_MFS0_LIN_ESCR                          *((volatile  uint8_t*)(0x40038004UL))
#define FM0P_MFS0_LIN_ESCR                        *((volatile  uint8_t*)(0x40038004UL))
#define FM_MFS0_UART_ESCR                         *((volatile  uint8_t*)(0x40038004UL))
#define FM0P_MFS0_UART_ESCR                       *((volatile  uint8_t*)(0x40038004UL))
#define FM_MFS0_CSIO_SSR                          *((volatile  uint8_t*)(0x40038005UL))
#define FM0P_MFS0_CSIO_SSR                        *((volatile  uint8_t*)(0x40038005UL))
#define FM_MFS0_I2C_SSR                           *((volatile  uint8_t*)(0x40038005UL))
#define FM0P_MFS0_I2C_SSR                         *((volatile  uint8_t*)(0x40038005UL))
#define FM_MFS0_LIN_SSR                           *((volatile  uint8_t*)(0x40038005UL))
#define FM0P_MFS0_LIN_SSR                         *((volatile  uint8_t*)(0x40038005UL))
#define FM_MFS0_UART_SSR                          *((volatile  uint8_t*)(0x40038005UL))
#define FM0P_MFS0_UART_SSR                        *((volatile  uint8_t*)(0x40038005UL))
#define FM_MFS0_CSIO_RDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM0P_MFS0_CSIO_RDR                        *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_CSIO_TDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM0P_MFS0_CSIO_TDR                        *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_I2C_RDR                           *((volatile uint16_t*)(0x40038008UL))
#define FM0P_MFS0_I2C_RDR                         *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_I2C_TDR                           *((volatile uint16_t*)(0x40038008UL))
#define FM0P_MFS0_I2C_TDR                         *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_LIN_RDR                           *((volatile uint16_t*)(0x40038008UL))
#define FM0P_MFS0_LIN_RDR                         *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_LIN_TDR                           *((volatile uint16_t*)(0x40038008UL))
#define FM0P_MFS0_LIN_TDR                         *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_UART_RDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM0P_MFS0_UART_RDR                        *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_UART_TDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM0P_MFS0_UART_TDR                        *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_CSIO_BGR                          *((volatile uint16_t*)(0x4003800CUL))
#define FM0P_MFS0_CSIO_BGR                        *((volatile uint16_t*)(0x4003800CUL))
#define FM_MFS0_I2C_BGR                           *((volatile uint16_t*)(0x4003800CUL))
#define FM0P_MFS0_I2C_BGR                         *((volatile uint16_t*)(0x4003800CUL))
#define FM_MFS0_LIN_BGR                           *((volatile uint16_t*)(0x4003800CUL))
#define FM0P_MFS0_LIN_BGR                         *((volatile uint16_t*)(0x4003800CUL))
#define FM_MFS0_UART_BGR                          *((volatile uint16_t*)(0x4003800CUL))
#define FM0P_MFS0_UART_BGR                        *((volatile uint16_t*)(0x4003800CUL))
#define FM_MFS0_I2C_ISBA                          *((volatile  uint8_t*)(0x40038010UL))
#define FM0P_MFS0_I2C_ISBA                        *((volatile  uint8_t*)(0x40038010UL))
#define FM_MFS0_I2C_ISMK                          *((volatile  uint8_t*)(0x40038011UL))
#define FM0P_MFS0_I2C_ISMK                        *((volatile  uint8_t*)(0x40038011UL))
#define FM_MFS0_CSIO_FCR                          *((volatile uint16_t*)(0x40038014UL))
#define FM0P_MFS0_CSIO_FCR                        *((volatile uint16_t*)(0x40038014UL))
#define FM_MFS0_I2C_FCR                           *((volatile uint16_t*)(0x40038014UL))
#define FM0P_MFS0_I2C_FCR                         *((volatile uint16_t*)(0x40038014UL))
#define FM_MFS0_LIN_FCR                           *((volatile uint16_t*)(0x40038014UL))
#define FM0P_MFS0_LIN_FCR                         *((volatile uint16_t*)(0x40038014UL))
#define FM_MFS0_UART_FCR                          *((volatile uint16_t*)(0x40038014UL))
#define FM0P_MFS0_UART_FCR                        *((volatile uint16_t*)(0x40038014UL))
#define FM_MFS0_CSIO_FBYTE1                       *((volatile  uint8_t*)(0x40038018UL))
#define FM0P_MFS0_CSIO_FBYTE1                     *((volatile  uint8_t*)(0x40038018UL))
#define FM_MFS0_I2C_FBYTE1                        *((volatile  uint8_t*)(0x40038018UL))
#define FM0P_MFS0_I2C_FBYTE1                      *((volatile  uint8_t*)(0x40038018UL))
#define FM_MFS0_LIN_FBYTE1                        *((volatile  uint8_t*)(0x40038018UL))
#define FM0P_MFS0_LIN_FBYTE1                      *((volatile  uint8_t*)(0x40038018UL))
#define FM_MFS0_UART_FBYTE1                       *((volatile  uint8_t*)(0x40038018UL))
#define FM0P_MFS0_UART_FBYTE1                     *((volatile  uint8_t*)(0x40038018UL))
#define FM_MFS0_CSIO_FBYTE2                       *((volatile  uint8_t*)(0x40038019UL))
#define FM0P_MFS0_CSIO_FBYTE2                     *((volatile  uint8_t*)(0x40038019UL))
#define FM_MFS0_I2C_FBYTE2                        *((volatile  uint8_t*)(0x40038019UL))
#define FM0P_MFS0_I2C_FBYTE2                      *((volatile  uint8_t*)(0x40038019UL))
#define FM_MFS0_LIN_FBYTE2                        *((volatile  uint8_t*)(0x40038019UL))
#define FM0P_MFS0_LIN_FBYTE2                      *((volatile  uint8_t*)(0x40038019UL))
#define FM_MFS0_UART_FBYTE2                       *((volatile  uint8_t*)(0x40038019UL))
#define FM0P_MFS0_UART_FBYTE2                     *((volatile  uint8_t*)(0x40038019UL))
#define FM_MFS0_CSIO_SCSTR0                       *((volatile  uint8_t*)(0x4003801CUL))
#define FM0P_MFS0_CSIO_SCSTR0                     *((volatile  uint8_t*)(0x4003801CUL))
#define FM_MFS0_CSIO_SCSTR1                       *((volatile  uint8_t*)(0x4003801DUL))
#define FM0P_MFS0_CSIO_SCSTR1                     *((volatile  uint8_t*)(0x4003801DUL))
#define FM_MFS0_I2C_EIBCR                         *((volatile  uint8_t*)(0x4003801DUL))
#define FM0P_MFS0_I2C_EIBCR                       *((volatile  uint8_t*)(0x4003801DUL))
#define FM_MFS0_CSIO_SCSTR32                      *((volatile uint16_t*)(0x40038020UL))
#define FM0P_MFS0_CSIO_SCSTR32                    *((volatile uint16_t*)(0x40038020UL))
#define FM_MFS0_CSIO_SACSR                        *((volatile uint16_t*)(0x40038024UL))
#define FM0P_MFS0_CSIO_SACSR                      *((volatile uint16_t*)(0x40038024UL))
#define FM_MFS0_CSIO_STMR                         *((volatile uint16_t*)(0x40038028UL))
#define FM0P_MFS0_CSIO_STMR                       *((volatile uint16_t*)(0x40038028UL))
#define FM_MFS0_CSIO_STMCR                        *((volatile uint16_t*)(0x4003802CUL))
#define FM0P_MFS0_CSIO_STMCR                      *((volatile uint16_t*)(0x4003802CUL))
#define FM_MFS0_CSIO_SCSCR                        *((volatile uint16_t*)(0x40038030UL))
#define FM0P_MFS0_CSIO_SCSCR                      *((volatile uint16_t*)(0x40038030UL))
#define FM_MFS0_CSIO_SCSFR0                       *((volatile  uint8_t*)(0x40038034UL))
#define FM0P_MFS0_CSIO_SCSFR0                     *((volatile  uint8_t*)(0x40038034UL))
#define FM_MFS0_CSIO_SCSFR1                       *((volatile  uint8_t*)(0x40038035UL))
#define FM0P_MFS0_CSIO_SCSFR1                     *((volatile  uint8_t*)(0x40038035UL))
#define FM_MFS0_CSIO_SCSFR2                       *((volatile  uint8_t*)(0x40038038UL))
#define FM0P_MFS0_CSIO_SCSFR2                     *((volatile  uint8_t*)(0x40038038UL))
#define FM_MFS0_CSIO_TBYTE0                       *((volatile  uint8_t*)(0x4003803CUL))
#define FM0P_MFS0_CSIO_TBYTE0                     *((volatile  uint8_t*)(0x4003803CUL))
#define FM_MFS0_CSIO_TBYTE1                       *((volatile  uint8_t*)(0x4003803DUL))
#define FM0P_MFS0_CSIO_TBYTE1                     *((volatile  uint8_t*)(0x4003803DUL))
#define FM_MFS0_CSIO_TBYTE2                       *((volatile  uint8_t*)(0x40038040UL))
#define FM0P_MFS0_CSIO_TBYTE2                     *((volatile  uint8_t*)(0x40038040UL))
#define FM_MFS0_CSIO_TBYTE3                       *((volatile  uint8_t*)(0x40038041UL))
#define FM0P_MFS0_CSIO_TBYTE3                     *((volatile  uint8_t*)(0x40038041UL))

/******************************************************************************
 ** MFS Registers MFS1
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS1_CSIO_SMR                          *((volatile  uint8_t*)(0x40038100UL))
#define FM0P_MFS1_CSIO_SMR                        *((volatile  uint8_t*)(0x40038100UL))
#define FM_MFS1_I2C_SMR                           *((volatile  uint8_t*)(0x40038100UL))
#define FM0P_MFS1_I2C_SMR                         *((volatile  uint8_t*)(0x40038100UL))
#define FM_MFS1_LIN_SMR                           *((volatile  uint8_t*)(0x40038100UL))
#define FM0P_MFS1_LIN_SMR                         *((volatile  uint8_t*)(0x40038100UL))
#define FM_MFS1_UART_SMR                          *((volatile  uint8_t*)(0x40038100UL))
#define FM0P_MFS1_UART_SMR                        *((volatile  uint8_t*)(0x40038100UL))
#define FM_MFS1_CSIO_SCR                          *((volatile  uint8_t*)(0x40038101UL))
#define FM0P_MFS1_CSIO_SCR                        *((volatile  uint8_t*)(0x40038101UL))
#define FM_MFS1_I2C_IBCR                          *((volatile  uint8_t*)(0x40038101UL))
#define FM0P_MFS1_I2C_IBCR                        *((volatile  uint8_t*)(0x40038101UL))
#define FM_MFS1_LIN_SCR                           *((volatile  uint8_t*)(0x40038101UL))
#define FM0P_MFS1_LIN_SCR                         *((volatile  uint8_t*)(0x40038101UL))
#define FM_MFS1_UART_SCR                          *((volatile  uint8_t*)(0x40038101UL))
#define FM0P_MFS1_UART_SCR                        *((volatile  uint8_t*)(0x40038101UL))
#define FM_MFS1_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038104UL))
#define FM0P_MFS1_CSIO_ESCR                       *((volatile  uint8_t*)(0x40038104UL))
#define FM_MFS1_I2C_IBSR                          *((volatile  uint8_t*)(0x40038104UL))
#define FM0P_MFS1_I2C_IBSR                        *((volatile  uint8_t*)(0x40038104UL))
#define FM_MFS1_LIN_ESCR                          *((volatile  uint8_t*)(0x40038104UL))
#define FM0P_MFS1_LIN_ESCR                        *((volatile  uint8_t*)(0x40038104UL))
#define FM_MFS1_UART_ESCR                         *((volatile  uint8_t*)(0x40038104UL))
#define FM0P_MFS1_UART_ESCR                       *((volatile  uint8_t*)(0x40038104UL))
#define FM_MFS1_CSIO_SSR                          *((volatile  uint8_t*)(0x40038105UL))
#define FM0P_MFS1_CSIO_SSR                        *((volatile  uint8_t*)(0x40038105UL))
#define FM_MFS1_I2C_SSR                           *((volatile  uint8_t*)(0x40038105UL))
#define FM0P_MFS1_I2C_SSR                         *((volatile  uint8_t*)(0x40038105UL))
#define FM_MFS1_LIN_SSR                           *((volatile  uint8_t*)(0x40038105UL))
#define FM0P_MFS1_LIN_SSR                         *((volatile  uint8_t*)(0x40038105UL))
#define FM_MFS1_UART_SSR                          *((volatile  uint8_t*)(0x40038105UL))
#define FM0P_MFS1_UART_SSR                        *((volatile  uint8_t*)(0x40038105UL))
#define FM_MFS1_CSIO_RDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM0P_MFS1_CSIO_RDR                        *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_CSIO_TDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM0P_MFS1_CSIO_TDR                        *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_I2C_RDR                           *((volatile uint16_t*)(0x40038108UL))
#define FM0P_MFS1_I2C_RDR                         *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_I2C_TDR                           *((volatile uint16_t*)(0x40038108UL))
#define FM0P_MFS1_I2C_TDR                         *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_LIN_RDR                           *((volatile uint16_t*)(0x40038108UL))
#define FM0P_MFS1_LIN_RDR                         *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_LIN_TDR                           *((volatile uint16_t*)(0x40038108UL))
#define FM0P_MFS1_LIN_TDR                         *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_UART_RDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM0P_MFS1_UART_RDR                        *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_UART_TDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM0P_MFS1_UART_TDR                        *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_CSIO_BGR                          *((volatile uint16_t*)(0x4003810CUL))
#define FM0P_MFS1_CSIO_BGR                        *((volatile uint16_t*)(0x4003810CUL))
#define FM_MFS1_I2C_BGR                           *((volatile uint16_t*)(0x4003810CUL))
#define FM0P_MFS1_I2C_BGR                         *((volatile uint16_t*)(0x4003810CUL))
#define FM_MFS1_LIN_BGR                           *((volatile uint16_t*)(0x4003810CUL))
#define FM0P_MFS1_LIN_BGR                         *((volatile uint16_t*)(0x4003810CUL))
#define FM_MFS1_UART_BGR                          *((volatile uint16_t*)(0x4003810CUL))
#define FM0P_MFS1_UART_BGR                        *((volatile uint16_t*)(0x4003810CUL))
#define FM_MFS1_I2C_ISBA                          *((volatile  uint8_t*)(0x40038110UL))
#define FM0P_MFS1_I2C_ISBA                        *((volatile  uint8_t*)(0x40038110UL))
#define FM_MFS1_I2C_ISMK                          *((volatile  uint8_t*)(0x40038111UL))
#define FM0P_MFS1_I2C_ISMK                        *((volatile  uint8_t*)(0x40038111UL))
#define FM_MFS1_CSIO_FCR                          *((volatile uint16_t*)(0x40038114UL))
#define FM0P_MFS1_CSIO_FCR                        *((volatile uint16_t*)(0x40038114UL))
#define FM_MFS1_I2C_FCR                           *((volatile uint16_t*)(0x40038114UL))
#define FM0P_MFS1_I2C_FCR                         *((volatile uint16_t*)(0x40038114UL))
#define FM_MFS1_LIN_FCR                           *((volatile uint16_t*)(0x40038114UL))
#define FM0P_MFS1_LIN_FCR                         *((volatile uint16_t*)(0x40038114UL))
#define FM_MFS1_UART_FCR                          *((volatile uint16_t*)(0x40038114UL))
#define FM0P_MFS1_UART_FCR                        *((volatile uint16_t*)(0x40038114UL))
#define FM_MFS1_CSIO_FBYTE1                       *((volatile  uint8_t*)(0x40038118UL))
#define FM0P_MFS1_CSIO_FBYTE1                     *((volatile  uint8_t*)(0x40038118UL))
#define FM_MFS1_I2C_FBYTE1                        *((volatile  uint8_t*)(0x40038118UL))
#define FM0P_MFS1_I2C_FBYTE1                      *((volatile  uint8_t*)(0x40038118UL))
#define FM_MFS1_LIN_FBYTE1                        *((volatile  uint8_t*)(0x40038118UL))
#define FM0P_MFS1_LIN_FBYTE1                      *((volatile  uint8_t*)(0x40038118UL))
#define FM_MFS1_UART_FBYTE1                       *((volatile  uint8_t*)(0x40038118UL))
#define FM0P_MFS1_UART_FBYTE1                     *((volatile  uint8_t*)(0x40038118UL))
#define FM_MFS1_CSIO_FBYTE2                       *((volatile  uint8_t*)(0x40038119UL))
#define FM0P_MFS1_CSIO_FBYTE2                     *((volatile  uint8_t*)(0x40038119UL))
#define FM_MFS1_I2C_FBYTE2                        *((volatile  uint8_t*)(0x40038119UL))
#define FM0P_MFS1_I2C_FBYTE2                      *((volatile  uint8_t*)(0x40038119UL))
#define FM_MFS1_LIN_FBYTE2                        *((volatile  uint8_t*)(0x40038119UL))
#define FM0P_MFS1_LIN_FBYTE2                      *((volatile  uint8_t*)(0x40038119UL))
#define FM_MFS1_UART_FBYTE2                       *((volatile  uint8_t*)(0x40038119UL))
#define FM0P_MFS1_UART_FBYTE2                     *((volatile  uint8_t*)(0x40038119UL))
#define FM_MFS1_CSIO_SCSTR0                       *((volatile  uint8_t*)(0x4003811CUL))
#define FM0P_MFS1_CSIO_SCSTR0                     *((volatile  uint8_t*)(0x4003811CUL))
#define FM_MFS1_CSIO_SCSTR1                       *((volatile  uint8_t*)(0x4003811DUL))
#define FM0P_MFS1_CSIO_SCSTR1                     *((volatile  uint8_t*)(0x4003811DUL))
#define FM_MFS1_I2C_EIBCR                         *((volatile  uint8_t*)(0x4003811DUL))
#define FM0P_MFS1_I2C_EIBCR                       *((volatile  uint8_t*)(0x4003811DUL))
#define FM_MFS1_CSIO_SCSTR32                      *((volatile uint16_t*)(0x40038120UL))
#define FM0P_MFS1_CSIO_SCSTR32                    *((volatile uint16_t*)(0x40038120UL))
#define FM_MFS1_CSIO_SACSR                        *((volatile uint16_t*)(0x40038124UL))
#define FM0P_MFS1_CSIO_SACSR                      *((volatile uint16_t*)(0x40038124UL))
#define FM_MFS1_CSIO_STMR                         *((volatile uint16_t*)(0x40038128UL))
#define FM0P_MFS1_CSIO_STMR                       *((volatile uint16_t*)(0x40038128UL))
#define FM_MFS1_CSIO_STMCR                        *((volatile uint16_t*)(0x4003812CUL))
#define FM0P_MFS1_CSIO_STMCR                      *((volatile uint16_t*)(0x4003812CUL))
#define FM_MFS1_CSIO_SCSCR                        *((volatile uint16_t*)(0x40038130UL))
#define FM0P_MFS1_CSIO_SCSCR                      *((volatile uint16_t*)(0x40038130UL))
#define FM_MFS1_CSIO_SCSFR0                       *((volatile  uint8_t*)(0x40038134UL))
#define FM0P_MFS1_CSIO_SCSFR0                     *((volatile  uint8_t*)(0x40038134UL))
#define FM_MFS1_CSIO_SCSFR1                       *((volatile  uint8_t*)(0x40038135UL))
#define FM0P_MFS1_CSIO_SCSFR1                     *((volatile  uint8_t*)(0x40038135UL))
#define FM_MFS1_CSIO_SCSFR2                       *((volatile  uint8_t*)(0x40038138UL))
#define FM0P_MFS1_CSIO_SCSFR2                     *((volatile  uint8_t*)(0x40038138UL))
#define FM_MFS1_CSIO_TBYTE0                       *((volatile  uint8_t*)(0x4003813CUL))
#define FM0P_MFS1_CSIO_TBYTE0                     *((volatile  uint8_t*)(0x4003813CUL))
#define FM_MFS1_CSIO_TBYTE1                       *((volatile  uint8_t*)(0x4003813DUL))
#define FM0P_MFS1_CSIO_TBYTE1                     *((volatile  uint8_t*)(0x4003813DUL))
#define FM_MFS1_CSIO_TBYTE2                       *((volatile  uint8_t*)(0x40038140UL))
#define FM0P_MFS1_CSIO_TBYTE2                     *((volatile  uint8_t*)(0x40038140UL))
#define FM_MFS1_CSIO_TBYTE3                       *((volatile  uint8_t*)(0x40038141UL))
#define FM0P_MFS1_CSIO_TBYTE3                     *((volatile  uint8_t*)(0x40038141UL))

/******************************************************************************
 ** MFS Registers MFS3
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS3_CSIO_SMR                          *((volatile  uint8_t*)(0x40038300UL))
#define FM0P_MFS3_CSIO_SMR                        *((volatile  uint8_t*)(0x40038300UL))
#define FM_MFS3_I2C_SMR                           *((volatile  uint8_t*)(0x40038300UL))
#define FM0P_MFS3_I2C_SMR                         *((volatile  uint8_t*)(0x40038300UL))
#define FM_MFS3_LIN_SMR                           *((volatile  uint8_t*)(0x40038300UL))
#define FM0P_MFS3_LIN_SMR                         *((volatile  uint8_t*)(0x40038300UL))
#define FM_MFS3_UART_SMR                          *((volatile  uint8_t*)(0x40038300UL))
#define FM0P_MFS3_UART_SMR                        *((volatile  uint8_t*)(0x40038300UL))
#define FM_MFS3_CSIO_SCR                          *((volatile  uint8_t*)(0x40038301UL))
#define FM0P_MFS3_CSIO_SCR                        *((volatile  uint8_t*)(0x40038301UL))
#define FM_MFS3_I2C_IBCR                          *((volatile  uint8_t*)(0x40038301UL))
#define FM0P_MFS3_I2C_IBCR                        *((volatile  uint8_t*)(0x40038301UL))
#define FM_MFS3_LIN_SCR                           *((volatile  uint8_t*)(0x40038301UL))
#define FM0P_MFS3_LIN_SCR                         *((volatile  uint8_t*)(0x40038301UL))
#define FM_MFS3_UART_SCR                          *((volatile  uint8_t*)(0x40038301UL))
#define FM0P_MFS3_UART_SCR                        *((volatile  uint8_t*)(0x40038301UL))
#define FM_MFS3_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038304UL))
#define FM0P_MFS3_CSIO_ESCR                       *((volatile  uint8_t*)(0x40038304UL))
#define FM_MFS3_I2C_IBSR                          *((volatile  uint8_t*)(0x40038304UL))
#define FM0P_MFS3_I2C_IBSR                        *((volatile  uint8_t*)(0x40038304UL))
#define FM_MFS3_LIN_ESCR                          *((volatile  uint8_t*)(0x40038304UL))
#define FM0P_MFS3_LIN_ESCR                        *((volatile  uint8_t*)(0x40038304UL))
#define FM_MFS3_UART_ESCR                         *((volatile  uint8_t*)(0x40038304UL))
#define FM0P_MFS3_UART_ESCR                       *((volatile  uint8_t*)(0x40038304UL))
#define FM_MFS3_CSIO_SSR                          *((volatile  uint8_t*)(0x40038305UL))
#define FM0P_MFS3_CSIO_SSR                        *((volatile  uint8_t*)(0x40038305UL))
#define FM_MFS3_I2C_SSR                           *((volatile  uint8_t*)(0x40038305UL))
#define FM0P_MFS3_I2C_SSR                         *((volatile  uint8_t*)(0x40038305UL))
#define FM_MFS3_LIN_SSR                           *((volatile  uint8_t*)(0x40038305UL))
#define FM0P_MFS3_LIN_SSR                         *((volatile  uint8_t*)(0x40038305UL))
#define FM_MFS3_UART_SSR                          *((volatile  uint8_t*)(0x40038305UL))
#define FM0P_MFS3_UART_SSR                        *((volatile  uint8_t*)(0x40038305UL))
#define FM_MFS3_CSIO_RDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM0P_MFS3_CSIO_RDR                        *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_CSIO_TDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM0P_MFS3_CSIO_TDR                        *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_I2C_RDR                           *((volatile uint16_t*)(0x40038308UL))
#define FM0P_MFS3_I2C_RDR                         *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_I2C_TDR                           *((volatile uint16_t*)(0x40038308UL))
#define FM0P_MFS3_I2C_TDR                         *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_LIN_RDR                           *((volatile uint16_t*)(0x40038308UL))
#define FM0P_MFS3_LIN_RDR                         *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_LIN_TDR                           *((volatile uint16_t*)(0x40038308UL))
#define FM0P_MFS3_LIN_TDR                         *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_UART_RDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM0P_MFS3_UART_RDR                        *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_UART_TDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM0P_MFS3_UART_TDR                        *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_CSIO_BGR                          *((volatile uint16_t*)(0x4003830CUL))
#define FM0P_MFS3_CSIO_BGR                        *((volatile uint16_t*)(0x4003830CUL))
#define FM_MFS3_I2C_BGR                           *((volatile uint16_t*)(0x4003830CUL))
#define FM0P_MFS3_I2C_BGR                         *((volatile uint16_t*)(0x4003830CUL))
#define FM_MFS3_LIN_BGR                           *((volatile uint16_t*)(0x4003830CUL))
#define FM0P_MFS3_LIN_BGR                         *((volatile uint16_t*)(0x4003830CUL))
#define FM_MFS3_UART_BGR                          *((volatile uint16_t*)(0x4003830CUL))
#define FM0P_MFS3_UART_BGR                        *((volatile uint16_t*)(0x4003830CUL))
#define FM_MFS3_I2C_ISBA                          *((volatile  uint8_t*)(0x40038310UL))
#define FM0P_MFS3_I2C_ISBA                        *((volatile  uint8_t*)(0x40038310UL))
#define FM_MFS3_I2C_ISMK                          *((volatile  uint8_t*)(0x40038311UL))
#define FM0P_MFS3_I2C_ISMK                        *((volatile  uint8_t*)(0x40038311UL))
#define FM_MFS3_CSIO_FCR                          *((volatile uint16_t*)(0x40038314UL))
#define FM0P_MFS3_CSIO_FCR                        *((volatile uint16_t*)(0x40038314UL))
#define FM_MFS3_I2C_FCR                           *((volatile uint16_t*)(0x40038314UL))
#define FM0P_MFS3_I2C_FCR                         *((volatile uint16_t*)(0x40038314UL))
#define FM_MFS3_LIN_FCR                           *((volatile uint16_t*)(0x40038314UL))
#define FM0P_MFS3_LIN_FCR                         *((volatile uint16_t*)(0x40038314UL))
#define FM_MFS3_UART_FCR                          *((volatile uint16_t*)(0x40038314UL))
#define FM0P_MFS3_UART_FCR                        *((volatile uint16_t*)(0x40038314UL))
#define FM_MFS3_CSIO_FBYTE1                       *((volatile  uint8_t*)(0x40038318UL))
#define FM0P_MFS3_CSIO_FBYTE1                     *((volatile  uint8_t*)(0x40038318UL))
#define FM_MFS3_I2C_FBYTE1                        *((volatile  uint8_t*)(0x40038318UL))
#define FM0P_MFS3_I2C_FBYTE1                      *((volatile  uint8_t*)(0x40038318UL))
#define FM_MFS3_LIN_FBYTE1                        *((volatile  uint8_t*)(0x40038318UL))
#define FM0P_MFS3_LIN_FBYTE1                      *((volatile  uint8_t*)(0x40038318UL))
#define FM_MFS3_UART_FBYTE1                       *((volatile  uint8_t*)(0x40038318UL))
#define FM0P_MFS3_UART_FBYTE1                     *((volatile  uint8_t*)(0x40038318UL))
#define FM_MFS3_CSIO_FBYTE2                       *((volatile  uint8_t*)(0x40038319UL))
#define FM0P_MFS3_CSIO_FBYTE2                     *((volatile  uint8_t*)(0x40038319UL))
#define FM_MFS3_I2C_FBYTE2                        *((volatile  uint8_t*)(0x40038319UL))
#define FM0P_MFS3_I2C_FBYTE2                      *((volatile  uint8_t*)(0x40038319UL))
#define FM_MFS3_LIN_FBYTE2                        *((volatile  uint8_t*)(0x40038319UL))
#define FM0P_MFS3_LIN_FBYTE2                      *((volatile  uint8_t*)(0x40038319UL))
#define FM_MFS3_UART_FBYTE2                       *((volatile  uint8_t*)(0x40038319UL))
#define FM0P_MFS3_UART_FBYTE2                     *((volatile  uint8_t*)(0x40038319UL))
#define FM_MFS3_CSIO_SCSTR0                       *((volatile  uint8_t*)(0x4003831CUL))
#define FM0P_MFS3_CSIO_SCSTR0                     *((volatile  uint8_t*)(0x4003831CUL))
#define FM_MFS3_CSIO_SCSTR1                       *((volatile  uint8_t*)(0x4003831DUL))
#define FM0P_MFS3_CSIO_SCSTR1                     *((volatile  uint8_t*)(0x4003831DUL))
#define FM_MFS3_I2C_EIBCR                         *((volatile  uint8_t*)(0x4003831DUL))
#define FM0P_MFS3_I2C_EIBCR                       *((volatile  uint8_t*)(0x4003831DUL))
#define FM_MFS3_CSIO_SCSTR32                      *((volatile uint16_t*)(0x40038320UL))
#define FM0P_MFS3_CSIO_SCSTR32                    *((volatile uint16_t*)(0x40038320UL))
#define FM_MFS3_CSIO_SACSR                        *((volatile uint16_t*)(0x40038324UL))
#define FM0P_MFS3_CSIO_SACSR                      *((volatile uint16_t*)(0x40038324UL))
#define FM_MFS3_CSIO_STMR                         *((volatile uint16_t*)(0x40038328UL))
#define FM0P_MFS3_CSIO_STMR                       *((volatile uint16_t*)(0x40038328UL))
#define FM_MFS3_CSIO_STMCR                        *((volatile uint16_t*)(0x4003832CUL))
#define FM0P_MFS3_CSIO_STMCR                      *((volatile uint16_t*)(0x4003832CUL))
#define FM_MFS3_CSIO_SCSCR                        *((volatile uint16_t*)(0x40038330UL))
#define FM0P_MFS3_CSIO_SCSCR                      *((volatile uint16_t*)(0x40038330UL))
#define FM_MFS3_CSIO_SCSFR0                       *((volatile  uint8_t*)(0x40038334UL))
#define FM0P_MFS3_CSIO_SCSFR0                     *((volatile  uint8_t*)(0x40038334UL))
#define FM_MFS3_CSIO_SCSFR1                       *((volatile  uint8_t*)(0x40038335UL))
#define FM0P_MFS3_CSIO_SCSFR1                     *((volatile  uint8_t*)(0x40038335UL))
#define FM_MFS3_CSIO_SCSFR2                       *((volatile  uint8_t*)(0x40038338UL))
#define FM0P_MFS3_CSIO_SCSFR2                     *((volatile  uint8_t*)(0x40038338UL))
#define FM_MFS3_CSIO_TBYTE0                       *((volatile  uint8_t*)(0x4003833CUL))
#define FM0P_MFS3_CSIO_TBYTE0                     *((volatile  uint8_t*)(0x4003833CUL))
#define FM_MFS3_CSIO_TBYTE1                       *((volatile  uint8_t*)(0x4003833DUL))
#define FM0P_MFS3_CSIO_TBYTE1                     *((volatile  uint8_t*)(0x4003833DUL))
#define FM_MFS3_CSIO_TBYTE2                       *((volatile  uint8_t*)(0x40038340UL))
#define FM0P_MFS3_CSIO_TBYTE2                     *((volatile  uint8_t*)(0x40038340UL))
#define FM_MFS3_CSIO_TBYTE3                       *((volatile  uint8_t*)(0x40038341UL))
#define FM0P_MFS3_CSIO_TBYTE3                     *((volatile  uint8_t*)(0x40038341UL))

/******************************************************************************
 ** MFT_PPG Registers MFT_PPG
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFT_PPG_TTCR0                          *((volatile  uint8_t*)(0x40024001UL))
#define FM0P_MFT_PPG_TTCR0                        *((volatile  uint8_t*)(0x40024001UL))
#define FM_MFT_PPG_COMP0                          *((volatile  uint8_t*)(0x40024009UL))
#define FM0P_MFT_PPG_COMP0                        *((volatile  uint8_t*)(0x40024009UL))
#define FM_MFT_PPG_COMP2                          *((volatile  uint8_t*)(0x4002400CUL))
#define FM0P_MFT_PPG_COMP2                        *((volatile  uint8_t*)(0x4002400CUL))
#define FM_MFT_PPG_COMP4                          *((volatile  uint8_t*)(0x40024011UL))
#define FM0P_MFT_PPG_COMP4                        *((volatile  uint8_t*)(0x40024011UL))
#define FM_MFT_PPG_COMP6                          *((volatile  uint8_t*)(0x40024014UL))
#define FM0P_MFT_PPG_COMP6                        *((volatile  uint8_t*)(0x40024014UL))
#define FM_MFT_PPG_TTCR1                          *((volatile  uint8_t*)(0x40024021UL))
#define FM0P_MFT_PPG_TTCR1                        *((volatile  uint8_t*)(0x40024021UL))
#define FM_MFT_PPG_COMP1                          *((volatile  uint8_t*)(0x40024029UL))
#define FM0P_MFT_PPG_COMP1                        *((volatile  uint8_t*)(0x40024029UL))
#define FM_MFT_PPG_COMP3                          *((volatile  uint8_t*)(0x4002402CUL))
#define FM0P_MFT_PPG_COMP3                        *((volatile  uint8_t*)(0x4002402CUL))
#define FM_MFT_PPG_COMP5                          *((volatile  uint8_t*)(0x40024031UL))
#define FM0P_MFT_PPG_COMP5                        *((volatile  uint8_t*)(0x40024031UL))
#define FM_MFT_PPG_COMP7                          *((volatile  uint8_t*)(0x40024034UL))
#define FM0P_MFT_PPG_COMP7                        *((volatile  uint8_t*)(0x40024034UL))
#define FM_MFT_PPG_TTCR2                          *((volatile  uint8_t*)(0x40024041UL))
#define FM0P_MFT_PPG_TTCR2                        *((volatile  uint8_t*)(0x40024041UL))
#define FM_MFT_PPG_COMP8                          *((volatile  uint8_t*)(0x40024049UL))
#define FM0P_MFT_PPG_COMP8                        *((volatile  uint8_t*)(0x40024049UL))
#define FM_MFT_PPG_COMP10                         *((volatile  uint8_t*)(0x4002404CUL))
#define FM0P_MFT_PPG_COMP10                       *((volatile  uint8_t*)(0x4002404CUL))
#define FM_MFT_PPG_COMP12                         *((volatile  uint8_t*)(0x40024051UL))
#define FM0P_MFT_PPG_COMP12                       *((volatile  uint8_t*)(0x40024051UL))
#define FM_MFT_PPG_COMP14                         *((volatile  uint8_t*)(0x40024054UL))
#define FM0P_MFT_PPG_COMP14                       *((volatile  uint8_t*)(0x40024054UL))
#define FM_MFT_PPG_TRG0                           *((volatile uint16_t*)(0x40024100UL))
#define FM0P_MFT_PPG_TRG0                         *((volatile uint16_t*)(0x40024100UL))
#define FM_MFT_PPG_REVC0                          *((volatile uint16_t*)(0x40024104UL))
#define FM0P_MFT_PPG_REVC0                        *((volatile uint16_t*)(0x40024104UL))
#define FM_MFT_PPG_TRG1                           *((volatile uint16_t*)(0x40024140UL))
#define FM0P_MFT_PPG_TRG1                         *((volatile uint16_t*)(0x40024140UL))
#define FM_MFT_PPG_REVC1                          *((volatile uint16_t*)(0x40024144UL))
#define FM0P_MFT_PPG_REVC1                        *((volatile uint16_t*)(0x40024144UL))
#define FM_MFT_PPG_PPGC1                          *((volatile  uint8_t*)(0x40024200UL))
#define FM0P_MFT_PPG_PPGC1                        *((volatile  uint8_t*)(0x40024200UL))
#define FM_MFT_PPG_PPGC0                          *((volatile  uint8_t*)(0x40024201UL))
#define FM0P_MFT_PPG_PPGC0                        *((volatile  uint8_t*)(0x40024201UL))
#define FM_MFT_PPG_PPGC3                          *((volatile  uint8_t*)(0x40024204UL))
#define FM0P_MFT_PPG_PPGC3                        *((volatile  uint8_t*)(0x40024204UL))
#define FM_MFT_PPG_PPGC2                          *((volatile  uint8_t*)(0x40024205UL))
#define FM0P_MFT_PPG_PPGC2                        *((volatile  uint8_t*)(0x40024205UL))
#define FM_MFT_PPG_PRLL0                          *((volatile  uint8_t*)(0x40024208UL))
#define FM0P_MFT_PPG_PRLL0                        *((volatile  uint8_t*)(0x40024208UL))
#define FM_MFT_PPG_PRLH0                          *((volatile  uint8_t*)(0x40024209UL))
#define FM0P_MFT_PPG_PRLH0                        *((volatile  uint8_t*)(0x40024209UL))
#define FM_MFT_PPG_PRLL1                          *((volatile  uint8_t*)(0x4002420CUL))
#define FM0P_MFT_PPG_PRLL1                        *((volatile  uint8_t*)(0x4002420CUL))
#define FM_MFT_PPG_PRLH1                          *((volatile  uint8_t*)(0x4002420DUL))
#define FM0P_MFT_PPG_PRLH1                        *((volatile  uint8_t*)(0x4002420DUL))
#define FM_MFT_PPG_PRLL2                          *((volatile  uint8_t*)(0x40024210UL))
#define FM0P_MFT_PPG_PRLL2                        *((volatile  uint8_t*)(0x40024210UL))
#define FM_MFT_PPG_PRLH2                          *((volatile  uint8_t*)(0x40024211UL))
#define FM0P_MFT_PPG_PRLH2                        *((volatile  uint8_t*)(0x40024211UL))
#define FM_MFT_PPG_PRLL3                          *((volatile  uint8_t*)(0x40024214UL))
#define FM0P_MFT_PPG_PRLL3                        *((volatile  uint8_t*)(0x40024214UL))
#define FM_MFT_PPG_PRLH3                          *((volatile  uint8_t*)(0x40024215UL))
#define FM0P_MFT_PPG_PRLH3                        *((volatile  uint8_t*)(0x40024215UL))
#define FM_MFT_PPG_GATEC0                         *((volatile  uint8_t*)(0x40024218UL))
#define FM0P_MFT_PPG_GATEC0                       *((volatile  uint8_t*)(0x40024218UL))
#define FM_MFT_PPG_PPGC5                          *((volatile  uint8_t*)(0x40024240UL))
#define FM0P_MFT_PPG_PPGC5                        *((volatile  uint8_t*)(0x40024240UL))
#define FM_MFT_PPG_PPGC4                          *((volatile  uint8_t*)(0x40024241UL))
#define FM0P_MFT_PPG_PPGC4                        *((volatile  uint8_t*)(0x40024241UL))
#define FM_MFT_PPG_PPGC7                          *((volatile  uint8_t*)(0x40024244UL))
#define FM0P_MFT_PPG_PPGC7                        *((volatile  uint8_t*)(0x40024244UL))
#define FM_MFT_PPG_PPGC6                          *((volatile  uint8_t*)(0x40024245UL))
#define FM0P_MFT_PPG_PPGC6                        *((volatile  uint8_t*)(0x40024245UL))
#define FM_MFT_PPG_PRLL4                          *((volatile  uint8_t*)(0x40024248UL))
#define FM0P_MFT_PPG_PRLL4                        *((volatile  uint8_t*)(0x40024248UL))
#define FM_MFT_PPG_PRLH4                          *((volatile  uint8_t*)(0x40024249UL))
#define FM0P_MFT_PPG_PRLH4                        *((volatile  uint8_t*)(0x40024249UL))
#define FM_MFT_PPG_PRLL5                          *((volatile  uint8_t*)(0x4002424CUL))
#define FM0P_MFT_PPG_PRLL5                        *((volatile  uint8_t*)(0x4002424CUL))
#define FM_MFT_PPG_PRLH5                          *((volatile  uint8_t*)(0x4002424DUL))
#define FM0P_MFT_PPG_PRLH5                        *((volatile  uint8_t*)(0x4002424DUL))
#define FM_MFT_PPG_PRLL6                          *((volatile  uint8_t*)(0x40024250UL))
#define FM0P_MFT_PPG_PRLL6                        *((volatile  uint8_t*)(0x40024250UL))
#define FM_MFT_PPG_PRLH6                          *((volatile  uint8_t*)(0x40024251UL))
#define FM0P_MFT_PPG_PRLH6                        *((volatile  uint8_t*)(0x40024251UL))
#define FM_MFT_PPG_PRLL7                          *((volatile  uint8_t*)(0x40024254UL))
#define FM0P_MFT_PPG_PRLL7                        *((volatile  uint8_t*)(0x40024254UL))
#define FM_MFT_PPG_PRLH7                          *((volatile  uint8_t*)(0x40024255UL))
#define FM0P_MFT_PPG_PRLH7                        *((volatile  uint8_t*)(0x40024255UL))
#define FM_MFT_PPG_GATEC4                         *((volatile  uint8_t*)(0x40024258UL))
#define FM0P_MFT_PPG_GATEC4                       *((volatile  uint8_t*)(0x40024258UL))
#define FM_MFT_PPG_PPGC9                          *((volatile  uint8_t*)(0x40024280UL))
#define FM0P_MFT_PPG_PPGC9                        *((volatile  uint8_t*)(0x40024280UL))
#define FM_MFT_PPG_PPGC8                          *((volatile  uint8_t*)(0x40024281UL))
#define FM0P_MFT_PPG_PPGC8                        *((volatile  uint8_t*)(0x40024281UL))
#define FM_MFT_PPG_PPGC11                         *((volatile  uint8_t*)(0x40024284UL))
#define FM0P_MFT_PPG_PPGC11                       *((volatile  uint8_t*)(0x40024284UL))
#define FM_MFT_PPG_PPGC10                         *((volatile  uint8_t*)(0x40024285UL))
#define FM0P_MFT_PPG_PPGC10                       *((volatile  uint8_t*)(0x40024285UL))
#define FM_MFT_PPG_PRLL8                          *((volatile  uint8_t*)(0x40024288UL))
#define FM0P_MFT_PPG_PRLL8                        *((volatile  uint8_t*)(0x40024288UL))
#define FM_MFT_PPG_PRLH8                          *((volatile  uint8_t*)(0x40024289UL))
#define FM0P_MFT_PPG_PRLH8                        *((volatile  uint8_t*)(0x40024289UL))
#define FM_MFT_PPG_PRLL9                          *((volatile  uint8_t*)(0x4002428CUL))
#define FM0P_MFT_PPG_PRLL9                        *((volatile  uint8_t*)(0x4002428CUL))
#define FM_MFT_PPG_PRLH9                          *((volatile  uint8_t*)(0x4002428DUL))
#define FM0P_MFT_PPG_PRLH9                        *((volatile  uint8_t*)(0x4002428DUL))
#define FM_MFT_PPG_PRLL10                         *((volatile  uint8_t*)(0x40024290UL))
#define FM0P_MFT_PPG_PRLL10                       *((volatile  uint8_t*)(0x40024290UL))
#define FM_MFT_PPG_PRLH10                         *((volatile  uint8_t*)(0x40024291UL))
#define FM0P_MFT_PPG_PRLH10                       *((volatile  uint8_t*)(0x40024291UL))
#define FM_MFT_PPG_PRLL11                         *((volatile  uint8_t*)(0x40024294UL))
#define FM0P_MFT_PPG_PRLL11                       *((volatile  uint8_t*)(0x40024294UL))
#define FM_MFT_PPG_PRLH11                         *((volatile  uint8_t*)(0x40024295UL))
#define FM0P_MFT_PPG_PRLH11                       *((volatile  uint8_t*)(0x40024295UL))
#define FM_MFT_PPG_GATEC8                         *((volatile  uint8_t*)(0x40024298UL))
#define FM0P_MFT_PPG_GATEC8                       *((volatile  uint8_t*)(0x40024298UL))
#define FM_MFT_PPG_PPGC13                         *((volatile  uint8_t*)(0x400242C0UL))
#define FM0P_MFT_PPG_PPGC13                       *((volatile  uint8_t*)(0x400242C0UL))
#define FM_MFT_PPG_PPGC12                         *((volatile  uint8_t*)(0x400242C1UL))
#define FM0P_MFT_PPG_PPGC12                       *((volatile  uint8_t*)(0x400242C1UL))
#define FM_MFT_PPG_PPGC15                         *((volatile  uint8_t*)(0x400242C4UL))
#define FM0P_MFT_PPG_PPGC15                       *((volatile  uint8_t*)(0x400242C4UL))
#define FM_MFT_PPG_PPGC14                         *((volatile  uint8_t*)(0x400242C5UL))
#define FM0P_MFT_PPG_PPGC14                       *((volatile  uint8_t*)(0x400242C5UL))
#define FM_MFT_PPG_PRLL12                         *((volatile  uint8_t*)(0x400242C8UL))
#define FM0P_MFT_PPG_PRLL12                       *((volatile  uint8_t*)(0x400242C8UL))
#define FM_MFT_PPG_PRLH12                         *((volatile  uint8_t*)(0x400242C9UL))
#define FM0P_MFT_PPG_PRLH12                       *((volatile  uint8_t*)(0x400242C9UL))
#define FM_MFT_PPG_PRLL13                         *((volatile  uint8_t*)(0x400242CCUL))
#define FM0P_MFT_PPG_PRLL13                       *((volatile  uint8_t*)(0x400242CCUL))
#define FM_MFT_PPG_PRLH13                         *((volatile  uint8_t*)(0x400242CDUL))
#define FM0P_MFT_PPG_PRLH13                       *((volatile  uint8_t*)(0x400242CDUL))
#define FM_MFT_PPG_PRLL14                         *((volatile  uint8_t*)(0x400242D0UL))
#define FM0P_MFT_PPG_PRLL14                       *((volatile  uint8_t*)(0x400242D0UL))
#define FM_MFT_PPG_PRLH14                         *((volatile  uint8_t*)(0x400242D1UL))
#define FM0P_MFT_PPG_PRLH14                       *((volatile  uint8_t*)(0x400242D1UL))
#define FM_MFT_PPG_PRLL15                         *((volatile  uint8_t*)(0x400242D4UL))
#define FM0P_MFT_PPG_PRLL15                       *((volatile  uint8_t*)(0x400242D4UL))
#define FM_MFT_PPG_PRLH15                         *((volatile  uint8_t*)(0x400242D5UL))
#define FM0P_MFT_PPG_PRLH15                       *((volatile  uint8_t*)(0x400242D5UL))
#define FM_MFT_PPG_GATEC12                        *((volatile  uint8_t*)(0x400242D8UL))
#define FM0P_MFT_PPG_GATEC12                      *((volatile  uint8_t*)(0x400242D8UL))
#define FM_MFT_PPG_PPGC17                         *((volatile  uint8_t*)(0x40024300UL))
#define FM0P_MFT_PPG_PPGC17                       *((volatile  uint8_t*)(0x40024300UL))
#define FM_MFT_PPG_PPGC16                         *((volatile  uint8_t*)(0x40024301UL))
#define FM0P_MFT_PPG_PPGC16                       *((volatile  uint8_t*)(0x40024301UL))
#define FM_MFT_PPG_PPGC19                         *((volatile  uint8_t*)(0x40024304UL))
#define FM0P_MFT_PPG_PPGC19                       *((volatile  uint8_t*)(0x40024304UL))
#define FM_MFT_PPG_PPGC18                         *((volatile  uint8_t*)(0x40024305UL))
#define FM0P_MFT_PPG_PPGC18                       *((volatile  uint8_t*)(0x40024305UL))
#define FM_MFT_PPG_PRLL16                         *((volatile  uint8_t*)(0x40024308UL))
#define FM0P_MFT_PPG_PRLL16                       *((volatile  uint8_t*)(0x40024308UL))
#define FM_MFT_PPG_PRLH16                         *((volatile  uint8_t*)(0x40024309UL))
#define FM0P_MFT_PPG_PRLH16                       *((volatile  uint8_t*)(0x40024309UL))
#define FM_MFT_PPG_PRLL17                         *((volatile  uint8_t*)(0x4002430CUL))
#define FM0P_MFT_PPG_PRLL17                       *((volatile  uint8_t*)(0x4002430CUL))
#define FM_MFT_PPG_PRLH17                         *((volatile  uint8_t*)(0x4002430DUL))
#define FM0P_MFT_PPG_PRLH17                       *((volatile  uint8_t*)(0x4002430DUL))
#define FM_MFT_PPG_PRLL18                         *((volatile  uint8_t*)(0x40024310UL))
#define FM0P_MFT_PPG_PRLL18                       *((volatile  uint8_t*)(0x40024310UL))
#define FM_MFT_PPG_PRLH18                         *((volatile  uint8_t*)(0x40024311UL))
#define FM0P_MFT_PPG_PRLH18                       *((volatile  uint8_t*)(0x40024311UL))
#define FM_MFT_PPG_PRLL19                         *((volatile  uint8_t*)(0x40024314UL))
#define FM0P_MFT_PPG_PRLL19                       *((volatile  uint8_t*)(0x40024314UL))
#define FM_MFT_PPG_PRLH19                         *((volatile  uint8_t*)(0x40024315UL))
#define FM0P_MFT_PPG_PRLH19                       *((volatile  uint8_t*)(0x40024315UL))
#define FM_MFT_PPG_GATEC16                        *((volatile  uint8_t*)(0x40024318UL))
#define FM0P_MFT_PPG_GATEC16                      *((volatile  uint8_t*)(0x40024318UL))
#define FM_MFT_PPG_PPGC21                         *((volatile  uint8_t*)(0x40024340UL))
#define FM0P_MFT_PPG_PPGC21                       *((volatile  uint8_t*)(0x40024340UL))
#define FM_MFT_PPG_PPGC20                         *((volatile  uint8_t*)(0x40024341UL))
#define FM0P_MFT_PPG_PPGC20                       *((volatile  uint8_t*)(0x40024341UL))
#define FM_MFT_PPG_PPGC23                         *((volatile  uint8_t*)(0x40024344UL))
#define FM0P_MFT_PPG_PPGC23                       *((volatile  uint8_t*)(0x40024344UL))
#define FM_MFT_PPG_PPGC22                         *((volatile  uint8_t*)(0x40024345UL))
#define FM0P_MFT_PPG_PPGC22                       *((volatile  uint8_t*)(0x40024345UL))
#define FM_MFT_PPG_PRLL20                         *((volatile  uint8_t*)(0x40024348UL))
#define FM0P_MFT_PPG_PRLL20                       *((volatile  uint8_t*)(0x40024348UL))
#define FM_MFT_PPG_PRLH20                         *((volatile  uint8_t*)(0x40024349UL))
#define FM0P_MFT_PPG_PRLH20                       *((volatile  uint8_t*)(0x40024349UL))
#define FM_MFT_PPG_PRLL21                         *((volatile  uint8_t*)(0x4002434CUL))
#define FM0P_MFT_PPG_PRLL21                       *((volatile  uint8_t*)(0x4002434CUL))
#define FM_MFT_PPG_PRLH21                         *((volatile  uint8_t*)(0x4002434DUL))
#define FM0P_MFT_PPG_PRLH21                       *((volatile  uint8_t*)(0x4002434DUL))
#define FM_MFT_PPG_PRLL22                         *((volatile  uint8_t*)(0x40024350UL))
#define FM0P_MFT_PPG_PRLL22                       *((volatile  uint8_t*)(0x40024350UL))
#define FM_MFT_PPG_PRLH22                         *((volatile  uint8_t*)(0x40024351UL))
#define FM0P_MFT_PPG_PRLH22                       *((volatile  uint8_t*)(0x40024351UL))
#define FM_MFT_PPG_PRLL23                         *((volatile  uint8_t*)(0x40024354UL))
#define FM0P_MFT_PPG_PRLL23                       *((volatile  uint8_t*)(0x40024354UL))
#define FM_MFT_PPG_PRLH23                         *((volatile  uint8_t*)(0x40024355UL))
#define FM0P_MFT_PPG_PRLH23                       *((volatile  uint8_t*)(0x40024355UL))
#define FM_MFT_PPG_GATEC20                        *((volatile  uint8_t*)(0x40024358UL))
#define FM0P_MFT_PPG_GATEC20                      *((volatile  uint8_t*)(0x40024358UL))
#define FM_MFT_PPG_IGBTC                          *((volatile  uint8_t*)(0x40024380UL))
#define FM0P_MFT_PPG_IGBTC                        *((volatile  uint8_t*)(0x40024380UL))

/******************************************************************************
 ** MFT Registers MFT0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFT0_OCU_OCCP0                         *((volatile uint16_t*)(0x40020102UL))
#define FM0P_MFT0_OCU_OCCP0                       *((volatile uint16_t*)(0x40020102UL))
#define FM_MFT0_OCU_OCCP1                         *((volatile uint16_t*)(0x40020106UL))
#define FM0P_MFT0_OCU_OCCP1                       *((volatile uint16_t*)(0x40020106UL))
#define FM_MFT0_OCU_OCCP2                         *((volatile uint16_t*)(0x4002010AUL))
#define FM0P_MFT0_OCU_OCCP2                       *((volatile uint16_t*)(0x4002010AUL))
#define FM_MFT0_OCU_OCCP3                         *((volatile uint16_t*)(0x4002010EUL))
#define FM0P_MFT0_OCU_OCCP3                       *((volatile uint16_t*)(0x4002010EUL))
#define FM_MFT0_OCU_OCCP4                         *((volatile uint16_t*)(0x40020112UL))
#define FM0P_MFT0_OCU_OCCP4                       *((volatile uint16_t*)(0x40020112UL))
#define FM_MFT0_OCU_OCCP5                         *((volatile uint16_t*)(0x40020116UL))
#define FM0P_MFT0_OCU_OCCP5                       *((volatile uint16_t*)(0x40020116UL))
#define FM_MFT0_OCU_OCSA10                        *((volatile  uint8_t*)(0x40020118UL))
#define FM0P_MFT0_OCU_OCSA10                      *((volatile  uint8_t*)(0x40020118UL))
#define FM_MFT0_OCU_OCSB10                        *((volatile  uint8_t*)(0x40020119UL))
#define FM0P_MFT0_OCU_OCSB10                      *((volatile  uint8_t*)(0x40020119UL))
#define FM_MFT0_OCU_OCSD10                        *((volatile  uint8_t*)(0x4002011AUL))
#define FM0P_MFT0_OCU_OCSD10                      *((volatile  uint8_t*)(0x4002011AUL))
#define FM_MFT0_OCU_OCSA32                        *((volatile  uint8_t*)(0x4002011CUL))
#define FM0P_MFT0_OCU_OCSA32                      *((volatile  uint8_t*)(0x4002011CUL))
#define FM_MFT0_OCU_OCSB32                        *((volatile  uint8_t*)(0x4002011DUL))
#define FM0P_MFT0_OCU_OCSB32                      *((volatile  uint8_t*)(0x4002011DUL))
#define FM_MFT0_OCU_OCSD32                        *((volatile  uint8_t*)(0x4002011EUL))
#define FM0P_MFT0_OCU_OCSD32                      *((volatile  uint8_t*)(0x4002011EUL))
#define FM_MFT0_OCU_OCSA54                        *((volatile  uint8_t*)(0x40020120UL))
#define FM0P_MFT0_OCU_OCSA54                      *((volatile  uint8_t*)(0x40020120UL))
#define FM_MFT0_OCU_OCSB54                        *((volatile  uint8_t*)(0x40020121UL))
#define FM0P_MFT0_OCU_OCSB54                      *((volatile  uint8_t*)(0x40020121UL))
#define FM_MFT0_OCU_OCSD54                        *((volatile  uint8_t*)(0x40020122UL))
#define FM0P_MFT0_OCU_OCSD54                      *((volatile  uint8_t*)(0x40020122UL))
#define FM_MFT0_OCU_OCSC                          *((volatile  uint8_t*)(0x40020125UL))
#define FM0P_MFT0_OCU_OCSC                        *((volatile  uint8_t*)(0x40020125UL))
#define FM_MFT0_OCU_OCSE0                         *((volatile uint16_t*)(0x40020128UL))
#define FM0P_MFT0_OCU_OCSE0                       *((volatile uint16_t*)(0x40020128UL))
#define FM_MFT0_OCU_OCSE1                         *((volatile uint32_t*)(0x4002012CUL))
#define FM0P_MFT0_OCU_OCSE1                       *((volatile uint32_t*)(0x4002012CUL))
#define FM_MFT0_OCU_OCSE2                         *((volatile uint16_t*)(0x40020130UL))
#define FM0P_MFT0_OCU_OCSE2                       *((volatile uint16_t*)(0x40020130UL))
#define FM_MFT0_OCU_OCSE3                         *((volatile uint32_t*)(0x40020134UL))
#define FM0P_MFT0_OCU_OCSE3                       *((volatile uint32_t*)(0x40020134UL))
#define FM_MFT0_OCU_OCSE4                         *((volatile uint16_t*)(0x40020138UL))
#define FM0P_MFT0_OCU_OCSE4                       *((volatile uint16_t*)(0x40020138UL))
#define FM_MFT0_OCU_OCSE5                         *((volatile uint32_t*)(0x4002013CUL))
#define FM0P_MFT0_OCU_OCSE5                       *((volatile uint32_t*)(0x4002013CUL))
#define FM_MFT0_FRT_TCCP0                         *((volatile uint16_t*)(0x40020142UL))
#define FM0P_MFT0_FRT_TCCP0                       *((volatile uint16_t*)(0x40020142UL))
#define FM_MFT0_FRT_TCDT0                         *((volatile uint16_t*)(0x40020146UL))
#define FM0P_MFT0_FRT_TCDT0                       *((volatile uint16_t*)(0x40020146UL))
#define FM_MFT0_FRT_TCSA0                         *((volatile uint16_t*)(0x40020148UL))
#define FM0P_MFT0_FRT_TCSA0                       *((volatile uint16_t*)(0x40020148UL))
#define FM_MFT0_FRT_TCSC0                         *((volatile uint16_t*)(0x4002014AUL))
#define FM0P_MFT0_FRT_TCSC0                       *((volatile uint16_t*)(0x4002014AUL))
#define FM_MFT0_FRT_TCCP1                         *((volatile uint16_t*)(0x4002014EUL))
#define FM0P_MFT0_FRT_TCCP1                       *((volatile uint16_t*)(0x4002014EUL))
#define FM_MFT0_FRT_TCDT1                         *((volatile uint16_t*)(0x40020152UL))
#define FM0P_MFT0_FRT_TCDT1                       *((volatile uint16_t*)(0x40020152UL))
#define FM_MFT0_FRT_TCSA1                         *((volatile uint16_t*)(0x40020154UL))
#define FM0P_MFT0_FRT_TCSA1                       *((volatile uint16_t*)(0x40020154UL))
#define FM_MFT0_FRT_TCSC1                         *((volatile uint16_t*)(0x40020156UL))
#define FM0P_MFT0_FRT_TCSC1                       *((volatile uint16_t*)(0x40020156UL))
#define FM_MFT0_FRT_TCCP2                         *((volatile uint16_t*)(0x4002015AUL))
#define FM0P_MFT0_FRT_TCCP2                       *((volatile uint16_t*)(0x4002015AUL))
#define FM_MFT0_FRT_TCDT2                         *((volatile uint16_t*)(0x4002015EUL))
#define FM0P_MFT0_FRT_TCDT2                       *((volatile uint16_t*)(0x4002015EUL))
#define FM_MFT0_FRT_TCSA2                         *((volatile uint16_t*)(0x40020160UL))
#define FM0P_MFT0_FRT_TCSA2                       *((volatile uint16_t*)(0x40020160UL))
#define FM_MFT0_FRT_TCSC2                         *((volatile uint16_t*)(0x40020162UL))
#define FM0P_MFT0_FRT_TCSC2                       *((volatile uint16_t*)(0x40020162UL))
#define FM_MFT0_FRT_TCAL                          *((volatile uint32_t*)(0x40020164UL))
#define FM0P_MFT0_FRT_TCAL                        *((volatile uint32_t*)(0x40020164UL))
#define FM_MFT0_OCU_OCFS10                        *((volatile  uint8_t*)(0x40020168UL))
#define FM0P_MFT0_OCU_OCFS10                      *((volatile  uint8_t*)(0x40020168UL))
#define FM_MFT0_OCU_OCFS32                        *((volatile  uint8_t*)(0x40020169UL))
#define FM0P_MFT0_OCU_OCFS32                      *((volatile  uint8_t*)(0x40020169UL))
#define FM_MFT0_OCU_OCFS54                        *((volatile  uint8_t*)(0x4002016AUL))
#define FM0P_MFT0_OCU_OCFS54                      *((volatile  uint8_t*)(0x4002016AUL))
#define FM_MFT0_ICU_ICFS10                        *((volatile  uint8_t*)(0x4002016CUL))
#define FM0P_MFT0_ICU_ICFS10                      *((volatile  uint8_t*)(0x4002016CUL))
#define FM_MFT0_ICU_ICFS32                        *((volatile  uint8_t*)(0x4002016DUL))
#define FM0P_MFT0_ICU_ICFS32                      *((volatile  uint8_t*)(0x4002016DUL))
#define FM_MFT0_ADCMP_ACFS10                      *((volatile  uint8_t*)(0x40020170UL))
#define FM0P_MFT0_ADCMP_ACFS10                    *((volatile  uint8_t*)(0x40020170UL))
#define FM_MFT0_ADCMP_ACFS32                      *((volatile  uint8_t*)(0x40020171UL))
#define FM0P_MFT0_ADCMP_ACFS32                    *((volatile  uint8_t*)(0x40020171UL))
#define FM_MFT0_ADCMP_ACFS54                      *((volatile  uint8_t*)(0x40020172UL))
#define FM0P_MFT0_ADCMP_ACFS54                    *((volatile  uint8_t*)(0x40020172UL))
#define FM_MFT0_ICU_ICCP0                         *((volatile uint16_t*)(0x40020176UL))
#define FM0P_MFT0_ICU_ICCP0                       *((volatile uint16_t*)(0x40020176UL))
#define FM_MFT0_ICU_ICCP1                         *((volatile uint16_t*)(0x4002017AUL))
#define FM0P_MFT0_ICU_ICCP1                       *((volatile uint16_t*)(0x4002017AUL))
#define FM_MFT0_ICU_ICCP2                         *((volatile uint16_t*)(0x4002017EUL))
#define FM0P_MFT0_ICU_ICCP2                       *((volatile uint16_t*)(0x4002017EUL))
#define FM_MFT0_ICU_ICCP3                         *((volatile uint16_t*)(0x40020182UL))
#define FM0P_MFT0_ICU_ICCP3                       *((volatile uint16_t*)(0x40020182UL))
#define FM_MFT0_ICU_ICSA10                        *((volatile  uint8_t*)(0x40020184UL))
#define FM0P_MFT0_ICU_ICSA10                      *((volatile  uint8_t*)(0x40020184UL))
#define FM_MFT0_ICU_ICSB10                        *((volatile  uint8_t*)(0x40020185UL))
#define FM0P_MFT0_ICU_ICSB10                      *((volatile  uint8_t*)(0x40020185UL))
#define FM_MFT0_ICU_ICSA32                        *((volatile  uint8_t*)(0x40020188UL))
#define FM0P_MFT0_ICU_ICSA32                      *((volatile  uint8_t*)(0x40020188UL))
#define FM_MFT0_ICU_ICSB32                        *((volatile  uint8_t*)(0x40020189UL))
#define FM0P_MFT0_ICU_ICSB32                      *((volatile  uint8_t*)(0x40020189UL))
#define FM_MFT0_WFG_WFTF10                        *((volatile uint16_t*)(0x4002018EUL))
#define FM0P_MFT0_WFG_WFTF10                      *((volatile uint16_t*)(0x4002018EUL))
#define FM_MFT0_WFG_WFTA10                        *((volatile uint16_t*)(0x40020190UL))
#define FM0P_MFT0_WFG_WFTA10                      *((volatile uint16_t*)(0x40020190UL))
#define FM_MFT0_WFG_WFTB10                        *((volatile uint16_t*)(0x40020192UL))
#define FM0P_MFT0_WFG_WFTB10                      *((volatile uint16_t*)(0x40020192UL))
#define FM_MFT0_WFG_WFTF32                        *((volatile uint16_t*)(0x40020196UL))
#define FM0P_MFT0_WFG_WFTF32                      *((volatile uint16_t*)(0x40020196UL))
#define FM_MFT0_WFG_WFTA32                        *((volatile uint16_t*)(0x40020198UL))
#define FM0P_MFT0_WFG_WFTA32                      *((volatile uint16_t*)(0x40020198UL))
#define FM_MFT0_WFG_WFTB32                        *((volatile uint16_t*)(0x4002019AUL))
#define FM0P_MFT0_WFG_WFTB32                      *((volatile uint16_t*)(0x4002019AUL))
#define FM_MFT0_WFG_WFTF54                        *((volatile uint16_t*)(0x4002019EUL))
#define FM0P_MFT0_WFG_WFTF54                      *((volatile uint16_t*)(0x4002019EUL))
#define FM_MFT0_WFG_WFTA54                        *((volatile uint16_t*)(0x400201A0UL))
#define FM0P_MFT0_WFG_WFTA54                      *((volatile uint16_t*)(0x400201A0UL))
#define FM_MFT0_WFG_WFTB54                        *((volatile uint16_t*)(0x400201A2UL))
#define FM0P_MFT0_WFG_WFTB54                      *((volatile uint16_t*)(0x400201A2UL))
#define FM_MFT0_WFG_WFSA10                        *((volatile uint16_t*)(0x400201A4UL))
#define FM0P_MFT0_WFG_WFSA10                      *((volatile uint16_t*)(0x400201A4UL))
#define FM_MFT0_WFG_WFSA32                        *((volatile uint16_t*)(0x400201A8UL))
#define FM0P_MFT0_WFG_WFSA32                      *((volatile uint16_t*)(0x400201A8UL))
#define FM_MFT0_WFG_WFSA54                        *((volatile uint16_t*)(0x400201ACUL))
#define FM0P_MFT0_WFG_WFSA54                      *((volatile uint16_t*)(0x400201ACUL))
#define FM_MFT0_WFG_WFIR                          *((volatile uint16_t*)(0x400201B0UL))
#define FM0P_MFT0_WFG_WFIR                        *((volatile uint16_t*)(0x400201B0UL))
#define FM_MFT0_WFG_NZCL                          *((volatile uint16_t*)(0x400201B4UL))
#define FM0P_MFT0_WFG_NZCL                        *((volatile uint16_t*)(0x400201B4UL))
#define FM_MFT0_ADCMP_ACMP0                       *((volatile uint16_t*)(0x400201BAUL))
#define FM0P_MFT0_ADCMP_ACMP0                     *((volatile uint16_t*)(0x400201BAUL))
#define FM_MFT0_ADCMP_ACMP1                       *((volatile uint16_t*)(0x400201BEUL))
#define FM0P_MFT0_ADCMP_ACMP1                     *((volatile uint16_t*)(0x400201BEUL))
#define FM_MFT0_ADCMP_ACMP2                       *((volatile uint16_t*)(0x400201C2UL))
#define FM0P_MFT0_ADCMP_ACMP2                     *((volatile uint16_t*)(0x400201C2UL))
#define FM_MFT0_ADCMP_ACMP3                       *((volatile uint16_t*)(0x400201C6UL))
#define FM0P_MFT0_ADCMP_ACMP3                     *((volatile uint16_t*)(0x400201C6UL))
#define FM_MFT0_ADCMP_ACMP4                       *((volatile uint16_t*)(0x400201CAUL))
#define FM0P_MFT0_ADCMP_ACMP4                     *((volatile uint16_t*)(0x400201CAUL))
#define FM_MFT0_ADCMP_ACMP5                       *((volatile uint16_t*)(0x400201CEUL))
#define FM0P_MFT0_ADCMP_ACMP5                     *((volatile uint16_t*)(0x400201CEUL))
#define FM_MFT0_ADCMP_ACSA                        *((volatile uint16_t*)(0x400201D0UL))
#define FM0P_MFT0_ADCMP_ACSA                      *((volatile uint16_t*)(0x400201D0UL))
#define FM_MFT0_ADCMP_ACSC0                       *((volatile  uint8_t*)(0x400201D4UL))
#define FM0P_MFT0_ADCMP_ACSC0                     *((volatile  uint8_t*)(0x400201D4UL))
#define FM_MFT0_ADCMP_ACSD0                       *((volatile  uint8_t*)(0x400201D5UL))
#define FM0P_MFT0_ADCMP_ACSD0                     *((volatile  uint8_t*)(0x400201D5UL))
#define FM_MFT0_ADCMP_ACSC1                       *((volatile  uint8_t*)(0x400201D8UL))
#define FM0P_MFT0_ADCMP_ACSC1                     *((volatile  uint8_t*)(0x400201D8UL))
#define FM_MFT0_ADCMP_ACSD1                       *((volatile  uint8_t*)(0x400201D9UL))
#define FM0P_MFT0_ADCMP_ACSD1                     *((volatile  uint8_t*)(0x400201D9UL))
#define FM_MFT0_ADCMP_ACSC2                       *((volatile  uint8_t*)(0x400201DCUL))
#define FM0P_MFT0_ADCMP_ACSC2                     *((volatile  uint8_t*)(0x400201DCUL))
#define FM_MFT0_ADCMP_ACSD2                       *((volatile  uint8_t*)(0x400201DDUL))
#define FM0P_MFT0_ADCMP_ACSD2                     *((volatile  uint8_t*)(0x400201DDUL))
#define FM_MFT0_ADCMP_ACSC3                       *((volatile  uint8_t*)(0x400201E0UL))
#define FM0P_MFT0_ADCMP_ACSC3                     *((volatile  uint8_t*)(0x400201E0UL))
#define FM_MFT0_ADCMP_ACSD3                       *((volatile  uint8_t*)(0x400201E1UL))
#define FM0P_MFT0_ADCMP_ACSD3                     *((volatile  uint8_t*)(0x400201E1UL))
#define FM_MFT0_ADCMP_ACSC4                       *((volatile  uint8_t*)(0x400201E4UL))
#define FM0P_MFT0_ADCMP_ACSC4                     *((volatile  uint8_t*)(0x400201E4UL))
#define FM_MFT0_ADCMP_ACSD4                       *((volatile  uint8_t*)(0x400201E5UL))
#define FM0P_MFT0_ADCMP_ACSD4                     *((volatile  uint8_t*)(0x400201E5UL))
#define FM_MFT0_ADCMP_ACSC5                       *((volatile  uint8_t*)(0x400201E8UL))
#define FM0P_MFT0_ADCMP_ACSC5                     *((volatile  uint8_t*)(0x400201E8UL))
#define FM_MFT0_ADCMP_ACSD5                       *((volatile  uint8_t*)(0x400201E9UL))
#define FM0P_MFT0_ADCMP_ACSD5                     *((volatile  uint8_t*)(0x400201E9UL))

/******************************************************************************
 ** MTB_DWT Registers MTB_DWT
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MTB_DWT_CMP_ADDR_START                 *((volatile uint32_t*)(0xF0001000UL))
#define FM0P_MTB_DWT_CMP_ADDR_START               *((volatile uint32_t*)(0xF0001000UL))
#define FM_MTB_DWT_CMP_DATA_START                 *((volatile uint32_t*)(0xF0001004UL))
#define FM0P_MTB_DWT_CMP_DATA_START               *((volatile uint32_t*)(0xF0001004UL))
#define FM_MTB_DWT_CMP_MASK_START                 *((volatile uint32_t*)(0xF0001008UL))
#define FM0P_MTB_DWT_CMP_MASK_START               *((volatile uint32_t*)(0xF0001008UL))
#define FM_MTB_DWT_CMP_ADDR_STOP                  *((volatile uint32_t*)(0xF0001010UL))
#define FM0P_MTB_DWT_CMP_ADDR_STOP                *((volatile uint32_t*)(0xF0001010UL))
#define FM_MTB_DWT_CMP_DATA_STOP                  *((volatile uint32_t*)(0xF0001014UL))
#define FM0P_MTB_DWT_CMP_DATA_STOP                *((volatile uint32_t*)(0xF0001014UL))
#define FM_MTB_DWT_CMP_MASK_STOP                  *((volatile uint32_t*)(0xF0001018UL))
#define FM0P_MTB_DWT_CMP_MASK_STOP                *((volatile uint32_t*)(0xF0001018UL))
#define FM_MTB_DWT_FCT                            *((volatile  uint8_t*)(0xF0001020UL))
#define FM0P_MTB_DWT_FCT                          *((volatile  uint8_t*)(0xF0001020UL))
#define FM_MTB_DWT_PID4                           *((volatile uint32_t*)(0xF0001FD0UL))
#define FM0P_MTB_DWT_PID4                         *((volatile uint32_t*)(0xF0001FD0UL))
#define FM_MTB_DWT_PID5                           *((volatile uint32_t*)(0xF0001FD4UL))
#define FM0P_MTB_DWT_PID5                         *((volatile uint32_t*)(0xF0001FD4UL))
#define FM_MTB_DWT_PID6                           *((volatile uint32_t*)(0xF0001FD8UL))
#define FM0P_MTB_DWT_PID6                         *((volatile uint32_t*)(0xF0001FD8UL))
#define FM_MTB_DWT_PID7                           *((volatile uint32_t*)(0xF0001FDCUL))
#define FM0P_MTB_DWT_PID7                         *((volatile uint32_t*)(0xF0001FDCUL))
#define FM_MTB_DWT_PID0                           *((volatile uint32_t*)(0xF0001FE0UL))
#define FM0P_MTB_DWT_PID0                         *((volatile uint32_t*)(0xF0001FE0UL))
#define FM_MTB_DWT_PID1                           *((volatile uint32_t*)(0xF0001FE4UL))
#define FM0P_MTB_DWT_PID1                         *((volatile uint32_t*)(0xF0001FE4UL))
#define FM_MTB_DWT_PID2                           *((volatile uint32_t*)(0xF0001FE8UL))
#define FM0P_MTB_DWT_PID2                         *((volatile uint32_t*)(0xF0001FE8UL))
#define FM_MTB_DWT_PID3                           *((volatile uint32_t*)(0xF0001FECUL))
#define FM0P_MTB_DWT_PID3                         *((volatile uint32_t*)(0xF0001FECUL))
#define FM_MTB_DWT_CID0                           *((volatile uint32_t*)(0xF0001FF0UL))
#define FM0P_MTB_DWT_CID0                         *((volatile uint32_t*)(0xF0001FF0UL))
#define FM_MTB_DWT_CID1                           *((volatile uint32_t*)(0xF0001FF4UL))
#define FM0P_MTB_DWT_CID1                         *((volatile uint32_t*)(0xF0001FF4UL))
#define FM_MTB_DWT_CID2                           *((volatile uint32_t*)(0xF0001FF8UL))
#define FM0P_MTB_DWT_CID2                         *((volatile uint32_t*)(0xF0001FF8UL))
#define FM_MTB_DWT_CID3                           *((volatile uint32_t*)(0xF0001FFCUL))
#define FM0P_MTB_DWT_CID3                         *((volatile uint32_t*)(0xF0001FFCUL))

/******************************************************************************
 ** QPRC Registers QPRC0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_QPRC0_QPCR                             *((volatile uint16_t*)(0x40026000UL))
#define FM0P_QPRC0_QPCR                           *((volatile uint16_t*)(0x40026000UL))
#define FM_QPRC0_QRCR                             *((volatile uint16_t*)(0x40026004UL))
#define FM0P_QPRC0_QRCR                           *((volatile uint16_t*)(0x40026004UL))
#define FM_QPRC0_QPCCR                            *((volatile uint16_t*)(0x40026008UL))
#define FM0P_QPRC0_QPCCR                          *((volatile uint16_t*)(0x40026008UL))
#define FM_QPRC0_QPRCR                            *((volatile uint16_t*)(0x4002600CUL))
#define FM0P_QPRC0_QPRCR                          *((volatile uint16_t*)(0x4002600CUL))
#define FM_QPRC0_QMPR                             *((volatile uint16_t*)(0x40026010UL))
#define FM0P_QPRC0_QMPR                           *((volatile uint16_t*)(0x40026010UL))
#define FM_QPRC0_QICRL                            *((volatile  uint8_t*)(0x40026014UL))
#define FM0P_QPRC0_QICRL                          *((volatile  uint8_t*)(0x40026014UL))
#define FM_QPRC0_QICRH                            *((volatile  uint8_t*)(0x40026015UL))
#define FM0P_QPRC0_QICRH                          *((volatile  uint8_t*)(0x40026015UL))
#define FM_QPRC0_QCR                              *((volatile uint16_t*)(0x40026018UL))
#define FM0P_QPRC0_QCR                            *((volatile uint16_t*)(0x40026018UL))
#define FM_QPRC0_QECR                             *((volatile uint16_t*)(0x4002601CUL))
#define FM0P_QPRC0_QECR                           *((volatile uint16_t*)(0x4002601CUL))
#define FM_QPRC0_QPRCRR                           *((volatile uint32_t*)(0x4002603CUL))
#define FM0P_QPRC0_QPRCRR                         *((volatile uint32_t*)(0x4002603CUL))

/******************************************************************************
 ** QPRC_NF Registers QPRC0_NF
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_QPRC0_NF_NFCTLA                        *((volatile uint16_t*)(0x40026100UL))
#define FM0P_QPRC0_NF_NFCTLA                      *((volatile uint16_t*)(0x40026100UL))
#define FM_QPRC0_NF_NFCTLB                        *((volatile uint16_t*)(0x40026104UL))
#define FM0P_QPRC0_NF_NFCTLB                      *((volatile uint16_t*)(0x40026104UL))
#define FM_QPRC0_NF_NFCTLZ                        *((volatile uint16_t*)(0x40026108UL))
#define FM0P_QPRC0_NF_NFCTLZ                      *((volatile uint16_t*)(0x40026108UL))

/******************************************************************************
 ** RTC Registers RTC
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_RTC_WTCR1                              *((volatile uint32_t*)(0x4003B000UL))
#define FM0P_RTC_WTCR1                            *((volatile uint32_t*)(0x4003B000UL))
#define FM_RTC_WTCR2                              *((volatile uint32_t*)(0x4003B004UL))
#define FM0P_RTC_WTCR2                            *((volatile uint32_t*)(0x4003B004UL))
#define FM_RTC_WTBR                               *((volatile uint32_t*)(0x4003B008UL))
#define FM0P_RTC_WTBR                             *((volatile uint32_t*)(0x4003B008UL))
#define FM_RTC_WTSR                               *((volatile  uint8_t*)(0x4003B00CUL))
#define FM0P_RTC_WTSR                             *((volatile  uint8_t*)(0x4003B00CUL))
#define FM_RTC_WTMIR                              *((volatile  uint8_t*)(0x4003B00DUL))
#define FM0P_RTC_WTMIR                            *((volatile  uint8_t*)(0x4003B00DUL))
#define FM_RTC_WTHR                               *((volatile  uint8_t*)(0x4003B00EUL))
#define FM0P_RTC_WTHR                             *((volatile  uint8_t*)(0x4003B00EUL))
#define FM_RTC_WTDR                               *((volatile  uint8_t*)(0x4003B00FUL))
#define FM0P_RTC_WTDR                             *((volatile  uint8_t*)(0x4003B00FUL))
#define FM_RTC_WTDW                               *((volatile  uint8_t*)(0x4003B010UL))
#define FM0P_RTC_WTDW                             *((volatile  uint8_t*)(0x4003B010UL))
#define FM_RTC_WTMOR                              *((volatile  uint8_t*)(0x4003B011UL))
#define FM0P_RTC_WTMOR                            *((volatile  uint8_t*)(0x4003B011UL))
#define FM_RTC_WTYR                               *((volatile  uint8_t*)(0x4003B012UL))
#define FM0P_RTC_WTYR                             *((volatile  uint8_t*)(0x4003B012UL))
#define FM_RTC_ALMIR                              *((volatile  uint8_t*)(0x4003B015UL))
#define FM0P_RTC_ALMIR                            *((volatile  uint8_t*)(0x4003B015UL))
#define FM_RTC_ALHR                               *((volatile  uint8_t*)(0x4003B016UL))
#define FM0P_RTC_ALHR                             *((volatile  uint8_t*)(0x4003B016UL))
#define FM_RTC_ALDR                               *((volatile  uint8_t*)(0x4003B017UL))
#define FM0P_RTC_ALDR                             *((volatile  uint8_t*)(0x4003B017UL))
#define FM_RTC_ALMOR                              *((volatile  uint8_t*)(0x4003B019UL))
#define FM0P_RTC_ALMOR                            *((volatile  uint8_t*)(0x4003B019UL))
#define FM_RTC_ALYR                               *((volatile  uint8_t*)(0x4003B01AUL))
#define FM0P_RTC_ALYR                             *((volatile  uint8_t*)(0x4003B01AUL))
#define FM_RTC_WTTR                               *((volatile uint32_t*)(0x4003B01CUL))
#define FM0P_RTC_WTTR                             *((volatile uint32_t*)(0x4003B01CUL))
#define FM_RTC_WTCLKS                             *((volatile  uint8_t*)(0x4003B020UL))
#define FM0P_RTC_WTCLKS                           *((volatile  uint8_t*)(0x4003B020UL))
#define FM_RTC_WTCLKM                             *((volatile  uint8_t*)(0x4003B021UL))
#define FM0P_RTC_WTCLKM                           *((volatile  uint8_t*)(0x4003B021UL))
#define FM_RTC_WTCAL                              *((volatile uint16_t*)(0x4003B024UL))
#define FM0P_RTC_WTCAL                            *((volatile uint16_t*)(0x4003B024UL))
#define FM_RTC_WTCALEN                            *((volatile  uint8_t*)(0x4003B026UL))
#define FM0P_RTC_WTCALEN                          *((volatile  uint8_t*)(0x4003B026UL))
#define FM_RTC_WTDIV                              *((volatile  uint8_t*)(0x4003B028UL))
#define FM0P_RTC_WTDIV                            *((volatile  uint8_t*)(0x4003B028UL))
#define FM_RTC_WTDIVEN                            *((volatile  uint8_t*)(0x4003B029UL))
#define FM0P_RTC_WTDIVEN                          *((volatile  uint8_t*)(0x4003B029UL))
#define FM_RTC_WTCALPRD                           *((volatile  uint8_t*)(0x4003B02CUL))
#define FM0P_RTC_WTCALPRD                         *((volatile  uint8_t*)(0x4003B02CUL))
#define FM_RTC_WTCOSEL                            *((volatile  uint8_t*)(0x4003B030UL))
#define FM0P_RTC_WTCOSEL                          *((volatile  uint8_t*)(0x4003B030UL))

/******************************************************************************
 ** SBSSR Registers SBSSR
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_SBSSR_BTSSSR                           *((volatile uint16_t*)(0x40025FFCUL))
#define FM0P_SBSSR_BTSSSR                         *((volatile uint16_t*)(0x40025FFCUL))

/******************************************************************************
 ** SWWDT Registers SWWDT
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_SWWDT_WDOGLOAD                         *((volatile uint32_t*)(0x40012000UL))
#define FM0P_SWWDT_WDOGLOAD                       *((volatile uint32_t*)(0x40012000UL))
#define FM_SWWDT_WDOGVALUE                        *((volatile uint32_t*)(0x40012004UL))
#define FM0P_SWWDT_WDOGVALUE                      *((volatile uint32_t*)(0x40012004UL))
#define FM_SWWDT_WDOGCONTROL                      *((volatile uint32_t*)(0x40012008UL))
#define FM0P_SWWDT_WDOGCONTROL                    *((volatile uint32_t*)(0x40012008UL))
#define FM_SWWDT_WDOGINTCLR                       *((volatile uint32_t*)(0x4001200CUL))
#define FM0P_SWWDT_WDOGINTCLR                     *((volatile uint32_t*)(0x4001200CUL))
#define FM_SWWDT_WDOGRIS                          *((volatile uint32_t*)(0x40012010UL))
#define FM0P_SWWDT_WDOGRIS                        *((volatile uint32_t*)(0x40012010UL))
#define FM_SWWDT_WDOGSPMC                         *((volatile uint32_t*)(0x40012018UL))
#define FM0P_SWWDT_WDOGSPMC                       *((volatile uint32_t*)(0x40012018UL))
#define FM_SWWDT_WDOGLOCK                         *((volatile uint32_t*)(0x40012C00UL))
#define FM0P_SWWDT_WDOGLOCK                       *((volatile uint32_t*)(0x40012C00UL))

/******************************************************************************
 ** UNIQUE_ID Registers UNIQUE_ID
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_UNIQUE_ID_UIDR0                        *((volatile uint32_t*)(0x40000200UL))
#define FM0P_UNIQUE_ID_UIDR0                      *((volatile uint32_t*)(0x40000200UL))
#define FM_UNIQUE_ID_UIDR1                        *((volatile uint32_t*)(0x40000204UL))
#define FM0P_UNIQUE_ID_UIDR1                      *((volatile uint32_t*)(0x40000204UL))

/******************************************************************************
 ** WC Registers WC
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_WC_WCRD                                *((volatile  uint8_t*)(0x4003A000UL))
#define FM0P_WC_WCRD                              *((volatile  uint8_t*)(0x4003A000UL))
#define FM_WC_WCRL                                *((volatile  uint8_t*)(0x4003A001UL))
#define FM0P_WC_WCRL                              *((volatile  uint8_t*)(0x4003A001UL))
#define FM_WC_WCCR                                *((volatile  uint8_t*)(0x4003A002UL))
#define FM0P_WC_WCCR                              *((volatile  uint8_t*)(0x4003A002UL))
#define FM_WC_CLK_SEL                             *((volatile uint16_t*)(0x4003A010UL))
#define FM0P_WC_CLK_SEL                           *((volatile uint16_t*)(0x4003A010UL))
#define FM_WC_CLK_EN                              *((volatile  uint8_t*)(0x4003A014UL))
#define FM0P_WC_CLK_EN                            *((volatile  uint8_t*)(0x4003A014UL))

/******************************************************************************
 ** Available Registers
 ** 
 ******************************************************************************/
/******************************************************************************
 ** ADC0
 ** 
 ******************************************************************************/
#define FM0P_ADC_ADCEN_AVAILABLE                  1
#define FM_ADC_ADCEN_AVAILABLE                    1
#define FM0P_ADC_ADCR_AVAILABLE                   1
#define FM_ADC_ADCR_AVAILABLE                     1
#define FM0P_ADC_ADCT_AVAILABLE                   1
#define FM_ADC_ADCT_AVAILABLE                     1
#define FM0P_ADC_ADSR_AVAILABLE                   1
#define FM_ADC_ADSR_AVAILABLE                     1
#define FM0P_ADC_ADSS01_AVAILABLE                 1
#define FM_ADC_ADSS01_AVAILABLE                   1
#define FM0P_ADC_ADSS23_AVAILABLE                 1
#define FM_ADC_ADSS23_AVAILABLE                   1
#define FM0P_ADC_ADST01_AVAILABLE                 1
#define FM_ADC_ADST01_AVAILABLE                   1
#define FM0P_ADC_CMPCR_AVAILABLE                  1
#define FM_ADC_CMPCR_AVAILABLE                    1
#define FM0P_ADC_CMPD_AVAILABLE                   1
#define FM_ADC_CMPD_AVAILABLE                     1
#define FM0P_ADC_PCCR_AVAILABLE                   1
#define FM_ADC_PCCR_AVAILABLE                     1
#define FM0P_ADC_PCFD_AVAILABLE                   1
#define FM_ADC_PCFD_AVAILABLE                     1
#define FM0P_ADC_PCFD_FDAS1_AVAILABLE             1
#define FM_ADC_PCFD_FDAS1_AVAILABLE               1
#define FM0P_ADC_PCIS_AVAILABLE                   1
#define FM_ADC_PCIS_AVAILABLE                     1
#define FM0P_ADC_PFNS_AVAILABLE                   1
#define FM_ADC_PFNS_AVAILABLE                     1
#define FM0P_ADC_PRTSL_AVAILABLE                  1
#define FM_ADC_PRTSL_AVAILABLE                    1
#define FM0P_ADC_SCCR_AVAILABLE                   1
#define FM_ADC_SCCR_AVAILABLE                     1
#define FM0P_ADC_SCFD_AVAILABLE                   1
#define FM_ADC_SCFD_AVAILABLE                     1
#define FM0P_ADC_SCFD_FDAS1_AVAILABLE             1
#define FM_ADC_SCFD_FDAS1_AVAILABLE               1
#define FM0P_ADC_SCIS01_AVAILABLE                 1
#define FM_ADC_SCIS01_AVAILABLE                   1
#define FM0P_ADC_SCIS23_AVAILABLE                 1
#define FM_ADC_SCIS23_AVAILABLE                   1
#define FM0P_ADC_SCTSL_AVAILABLE                  1
#define FM_ADC_SCTSL_AVAILABLE                    1
#define FM0P_ADC_SFNS_AVAILABLE                   1
#define FM_ADC_SFNS_AVAILABLE                     1
#define FM0P_ADC_WCMPCR_AVAILABLE                 1
#define FM_ADC_WCMPCR_AVAILABLE                   1
#define FM0P_ADC_WCMPDH_AVAILABLE                 1
#define FM_ADC_WCMPDH_AVAILABLE                   1
#define FM0P_ADC_WCMPDL_AVAILABLE                 1
#define FM_ADC_WCMPDL_AVAILABLE                   1
#define FM0P_ADC_WCMPSR_AVAILABLE                 1
#define FM_ADC_WCMPSR_AVAILABLE                   1
#define FM0P_ADC_WCMRCIF_AVAILABLE                1
#define FM_ADC_WCMRCIF_AVAILABLE                  1
#define FM0P_ADC_WCMRCOT_AVAILABLE                1
#define FM_ADC_WCMRCOT_AVAILABLE                  1
/******************************************************************************
 ** BT0
 ** 
 ******************************************************************************/
#define FM0P_BT_PPG_PRLH_AVAILABLE                1
#define FM_BT_PPG_PRLH_AVAILABLE                  1
#define FM0P_BT_PPG_PRLL_AVAILABLE                1
#define FM_BT_PPG_PRLL_AVAILABLE                  1
#define FM0P_BT_PPG_STC_AVAILABLE                 1
#define FM_BT_PPG_STC_AVAILABLE                   1
#define FM0P_BT_PPG_TMCR_AVAILABLE                1
#define FM_BT_PPG_TMCR_AVAILABLE                  1
#define FM0P_BT_PPG_TMCR2_AVAILABLE               1
#define FM_BT_PPG_TMCR2_AVAILABLE                 1
#define FM0P_BT_PPG_TMR_AVAILABLE                 1
#define FM_BT_PPG_TMR_AVAILABLE                   1
#define FM0P_BT_PWC_DTBF_AVAILABLE                1
#define FM_BT_PWC_DTBF_AVAILABLE                  1
#define FM0P_BT_PWC_STC_AVAILABLE                 1
#define FM_BT_PWC_STC_AVAILABLE                   1
#define FM0P_BT_PWC_TMCR_AVAILABLE                1
#define FM_BT_PWC_TMCR_AVAILABLE                  1
#define FM0P_BT_PWC_TMCR2_AVAILABLE               1
#define FM_BT_PWC_TMCR2_AVAILABLE                 1
#define FM0P_BT_PWM_PCSR_AVAILABLE                1
#define FM_BT_PWM_PCSR_AVAILABLE                  1
#define FM0P_BT_PWM_PDUT_AVAILABLE                1
#define FM_BT_PWM_PDUT_AVAILABLE                  1
#define FM0P_BT_PWM_STC_AVAILABLE                 1
#define FM_BT_PWM_STC_AVAILABLE                   1
#define FM0P_BT_PWM_TMCR_AVAILABLE                1
#define FM_BT_PWM_TMCR_AVAILABLE                  1
#define FM0P_BT_PWM_TMCR2_AVAILABLE               1
#define FM_BT_PWM_TMCR2_AVAILABLE                 1
#define FM0P_BT_PWM_TMR_AVAILABLE                 1
#define FM_BT_PWM_TMR_AVAILABLE                   1
#define FM0P_BT_RT_PCSR_AVAILABLE                 1
#define FM_BT_RT_PCSR_AVAILABLE                   1
#define FM0P_BT_RT_STC_AVAILABLE                  1
#define FM_BT_RT_STC_AVAILABLE                    1
#define FM0P_BT_RT_TMCR_AVAILABLE                 1
#define FM_BT_RT_TMCR_AVAILABLE                   1
#define FM0P_BT_RT_TMCR2_AVAILABLE                1
#define FM_BT_RT_TMCR2_AVAILABLE                  1
#define FM0P_BT_RT_TMR_AVAILABLE                  1
#define FM_BT_RT_TMR_AVAILABLE                    1
/******************************************************************************
 ** BTIOSEL03
 ** 
 ******************************************************************************/
#define FM0P_BTIOSEL03_BTSEL0123_AVAILABLE        1
#define FM_BTIOSEL03_BTSEL0123_AVAILABLE          1
/******************************************************************************
 ** CLK_GATING
 ** 
 ******************************************************************************/
#define FM0P_CLK_GATING_CKEN0_AVAILABLE           1
#define FM_CLK_GATING_CKEN0_AVAILABLE             1
#define FM0P_CLK_GATING_CKEN1_AVAILABLE           1
#define FM_CLK_GATING_CKEN1_AVAILABLE             1
#define FM0P_CLK_GATING_CKEN2_AVAILABLE           1
#define FM_CLK_GATING_CKEN2_AVAILABLE             1
#define FM0P_CLK_GATING_MRST0_AVAILABLE           1
#define FM_CLK_GATING_MRST0_AVAILABLE             1
#define FM0P_CLK_GATING_MRST1_AVAILABLE           1
#define FM_CLK_GATING_MRST1_AVAILABLE             1
#define FM0P_CLK_GATING_MRST2_AVAILABLE           1
#define FM_CLK_GATING_MRST2_AVAILABLE             1
/******************************************************************************
 ** CRC
 ** 
 ******************************************************************************/
#define FM0P_CRC_CRCCR_AVAILABLE                  1
#define FM_CRC_CRCCR_AVAILABLE                    1
#define FM0P_CRC_CRCIN_AVAILABLE                  1
#define FM_CRC_CRCIN_AVAILABLE                    1
#define FM0P_CRC_CRCINIT_AVAILABLE                1
#define FM_CRC_CRCINIT_AVAILABLE                  1
#define FM0P_CRC_CRCR_AVAILABLE                   1
#define FM_CRC_CRCR_AVAILABLE                     1
/******************************************************************************
 ** CRG
 ** 
 ******************************************************************************/
#define FM0P_CRG_APBC0_PSR_AVAILABLE              1
#define FM_CRG_APBC0_PSR_AVAILABLE                1
#define FM0P_CRG_APBC1_PSR_AVAILABLE              1
#define FM_CRG_APBC1_PSR_AVAILABLE                1
#define FM0P_CRG_BSC_PSR_AVAILABLE                1
#define FM_CRG_BSC_PSR_AVAILABLE                  1
#define FM0P_CRG_CSV_CTL_AVAILABLE                1
#define FM_CRG_CSV_CTL_AVAILABLE                  1
#define FM0P_CRG_CSV_STR_AVAILABLE                1
#define FM_CRG_CSV_STR_AVAILABLE                  1
#define FM0P_CRG_CSW_TMR_AVAILABLE                1
#define FM_CRG_CSW_TMR_AVAILABLE                  1
#define FM0P_CRG_DBWDT_CTL_AVAILABLE              1
#define FM_CRG_DBWDT_CTL_AVAILABLE                1
#define FM0P_CRG_FCSWD_CTL_AVAILABLE              1
#define FM_CRG_FCSWD_CTL_AVAILABLE                1
#define FM0P_CRG_FCSWH_CTL_AVAILABLE              1
#define FM_CRG_FCSWH_CTL_AVAILABLE                1
#define FM0P_CRG_FCSWL_CTL_AVAILABLE              1
#define FM_CRG_FCSWL_CTL_AVAILABLE                1
#define FM0P_CRG_INT_CLR_AVAILABLE                1
#define FM_CRG_INT_CLR_AVAILABLE                  1
#define FM0P_CRG_INT_ENR_AVAILABLE                1
#define FM_CRG_INT_ENR_AVAILABLE                  1
#define FM0P_CRG_INT_STR_AVAILABLE                1
#define FM_CRG_INT_STR_AVAILABLE                  1
#define FM0P_CRG_PLL_CTL1_AVAILABLE               1
#define FM_CRG_PLL_CTL1_AVAILABLE                 1
#define FM0P_CRG_PLL_CTL2_AVAILABLE               1
#define FM_CRG_PLL_CTL2_AVAILABLE                 1
#define FM0P_CRG_PSW_TMR_AVAILABLE                1
#define FM_CRG_PSW_TMR_AVAILABLE                  1
#define FM0P_CRG_RST_STR_AVAILABLE                1
#define FM_CRG_RST_STR_AVAILABLE                  1
#define FM0P_CRG_SCM_CTL_AVAILABLE                1
#define FM_CRG_SCM_CTL_AVAILABLE                  1
#define FM0P_CRG_SCM_STR_AVAILABLE                1
#define FM_CRG_SCM_STR_AVAILABLE                  1
#define FM0P_CRG_STB_CTL_AVAILABLE                1
#define FM_CRG_STB_CTL_AVAILABLE                  1
#define FM0P_CRG_SWC_PSR_AVAILABLE                1
#define FM_CRG_SWC_PSR_AVAILABLE                  1
/******************************************************************************
 ** CRTRIM
 ** 
 ******************************************************************************/
#define FM0P_CRTRIM_MCR_FTRM_AVAILABLE            1
#define FM_CRTRIM_MCR_FTRM_AVAILABLE              1
#define FM0P_CRTRIM_MCR_PSR_AVAILABLE             1
#define FM_CRTRIM_MCR_PSR_AVAILABLE               1
#define FM0P_CRTRIM_MCR_RLR_AVAILABLE             1
#define FM_CRTRIM_MCR_RLR_AVAILABLE               1
#define FM0P_CRTRIM_MCR_TTRM_AVAILABLE            1
#define FM_CRTRIM_MCR_TTRM_AVAILABLE              1
/******************************************************************************
 ** DMAC
 ** 
 ******************************************************************************/
#define FM0P_DMAC_DMACA0_AVAILABLE                1
#define FM_DMAC_DMACA0_AVAILABLE                  1
#define FM0P_DMAC_DMACA1_AVAILABLE                1
#define FM_DMAC_DMACA1_AVAILABLE                  1
#define FM0P_DMAC_DMACA2_AVAILABLE                1
#define FM_DMAC_DMACA2_AVAILABLE                  1
#define FM0P_DMAC_DMACA3_AVAILABLE                1
#define FM_DMAC_DMACA3_AVAILABLE                  1
#define FM0P_DMAC_DMACA4_AVAILABLE                1
#define FM_DMAC_DMACA4_AVAILABLE                  1
#define FM0P_DMAC_DMACA5_AVAILABLE                1
#define FM_DMAC_DMACA5_AVAILABLE                  1
#define FM0P_DMAC_DMACA6_AVAILABLE                1
#define FM_DMAC_DMACA6_AVAILABLE                  1
#define FM0P_DMAC_DMACA7_AVAILABLE                1
#define FM_DMAC_DMACA7_AVAILABLE                  1
#define FM0P_DMAC_DMACB0_AVAILABLE                1
#define FM_DMAC_DMACB0_AVAILABLE                  1
#define FM0P_DMAC_DMACB1_AVAILABLE                1
#define FM_DMAC_DMACB1_AVAILABLE                  1
#define FM0P_DMAC_DMACB2_AVAILABLE                1
#define FM_DMAC_DMACB2_AVAILABLE                  1
#define FM0P_DMAC_DMACB3_AVAILABLE                1
#define FM_DMAC_DMACB3_AVAILABLE                  1
#define FM0P_DMAC_DMACB4_AVAILABLE                1
#define FM_DMAC_DMACB4_AVAILABLE                  1
#define FM0P_DMAC_DMACB5_AVAILABLE                1
#define FM_DMAC_DMACB5_AVAILABLE                  1
#define FM0P_DMAC_DMACB6_AVAILABLE                1
#define FM_DMAC_DMACB6_AVAILABLE                  1
#define FM0P_DMAC_DMACB7_AVAILABLE                1
#define FM_DMAC_DMACB7_AVAILABLE                  1
#define FM0P_DMAC_DMACDA0_AVAILABLE               1
#define FM_DMAC_DMACDA0_AVAILABLE                 1
#define FM0P_DMAC_DMACDA1_AVAILABLE               1
#define FM_DMAC_DMACDA1_AVAILABLE                 1
#define FM0P_DMAC_DMACDA2_AVAILABLE               1
#define FM_DMAC_DMACDA2_AVAILABLE                 1
#define FM0P_DMAC_DMACDA3_AVAILABLE               1
#define FM_DMAC_DMACDA3_AVAILABLE                 1
#define FM0P_DMAC_DMACDA4_AVAILABLE               1
#define FM_DMAC_DMACDA4_AVAILABLE                 1
#define FM0P_DMAC_DMACDA5_AVAILABLE               1
#define FM_DMAC_DMACDA5_AVAILABLE                 1
#define FM0P_DMAC_DMACDA6_AVAILABLE               1
#define FM_DMAC_DMACDA6_AVAILABLE                 1
#define FM0P_DMAC_DMACDA7_AVAILABLE               1
#define FM_DMAC_DMACDA7_AVAILABLE                 1
#define FM0P_DMAC_DMACR_AVAILABLE                 1
#define FM_DMAC_DMACR_AVAILABLE                   1
#define FM0P_DMAC_DMACSA0_AVAILABLE               1
#define FM_DMAC_DMACSA0_AVAILABLE                 1
#define FM0P_DMAC_DMACSA1_AVAILABLE               1
#define FM_DMAC_DMACSA1_AVAILABLE                 1
#define FM0P_DMAC_DMACSA2_AVAILABLE               1
#define FM_DMAC_DMACSA2_AVAILABLE                 1
#define FM0P_DMAC_DMACSA3_AVAILABLE               1
#define FM_DMAC_DMACSA3_AVAILABLE                 1
#define FM0P_DMAC_DMACSA4_AVAILABLE               1
#define FM_DMAC_DMACSA4_AVAILABLE                 1
#define FM0P_DMAC_DMACSA5_AVAILABLE               1
#define FM_DMAC_DMACSA5_AVAILABLE                 1
#define FM0P_DMAC_DMACSA6_AVAILABLE               1
#define FM_DMAC_DMACSA6_AVAILABLE                 1
#define FM0P_DMAC_DMACSA7_AVAILABLE               1
#define FM_DMAC_DMACSA7_AVAILABLE                 1
/******************************************************************************
 ** DS
 ** 
 ******************************************************************************/
#define FM0P_DS_BUR01_AVAILABLE                   1
#define FM_DS_BUR01_AVAILABLE                     1
#define FM0P_DS_BUR02_AVAILABLE                   1
#define FM_DS_BUR02_AVAILABLE                     1
#define FM0P_DS_BUR03_AVAILABLE                   1
#define FM_DS_BUR03_AVAILABLE                     1
#define FM0P_DS_BUR04_AVAILABLE                   1
#define FM_DS_BUR04_AVAILABLE                     1
#define FM0P_DS_BUR05_AVAILABLE                   1
#define FM_DS_BUR05_AVAILABLE                     1
#define FM0P_DS_BUR06_AVAILABLE                   1
#define FM_DS_BUR06_AVAILABLE                     1
#define FM0P_DS_BUR07_AVAILABLE                   1
#define FM_DS_BUR07_AVAILABLE                     1
#define FM0P_DS_BUR08_AVAILABLE                   1
#define FM_DS_BUR08_AVAILABLE                     1
#define FM0P_DS_BUR09_AVAILABLE                   1
#define FM_DS_BUR09_AVAILABLE                     1
#define FM0P_DS_BUR10_AVAILABLE                   1
#define FM_DS_BUR10_AVAILABLE                     1
#define FM0P_DS_BUR11_AVAILABLE                   1
#define FM_DS_BUR11_AVAILABLE                     1
#define FM0P_DS_BUR12_AVAILABLE                   1
#define FM_DS_BUR12_AVAILABLE                     1
#define FM0P_DS_BUR13_AVAILABLE                   1
#define FM_DS_BUR13_AVAILABLE                     1
#define FM0P_DS_BUR14_AVAILABLE                   1
#define FM_DS_BUR14_AVAILABLE                     1
#define FM0P_DS_BUR15_AVAILABLE                   1
#define FM_DS_BUR15_AVAILABLE                     1
#define FM0P_DS_BUR16_AVAILABLE                   1
#define FM_DS_BUR16_AVAILABLE                     1
#define FM0P_DS_DSRAMR_AVAILABLE                  1
#define FM_DS_DSRAMR_AVAILABLE                    1
#define FM0P_DS_PMD_CTL_AVAILABLE                 1
#define FM_DS_PMD_CTL_AVAILABLE                   1
#define FM0P_DS_RCK_CTL_AVAILABLE                 1
#define FM_DS_RCK_CTL_AVAILABLE                   1
#define FM0P_DS_REG_CTL_AVAILABLE                 1
#define FM_DS_REG_CTL_AVAILABLE                   1
#define FM0P_DS_WIER_AVAILABLE                    1
#define FM_DS_WIER_AVAILABLE                      1
#define FM0P_DS_WIFSR_AVAILABLE                   1
#define FM_DS_WIFSR_AVAILABLE                     1
#define FM0P_DS_WILVR_AVAILABLE                   1
#define FM_DS_WILVR_AVAILABLE                     1
#define FM0P_DS_WRFSR_AVAILABLE                   1
#define FM_DS_WRFSR_AVAILABLE                     1
/******************************************************************************
 ** DT
 ** 
 ******************************************************************************/
#define FM0P_DT_TIMER1BGLOAD_AVAILABLE            1
#define FM_DT_TIMER1BGLOAD_AVAILABLE              1
#define FM0P_DT_TIMER1CONTROL_AVAILABLE           1
#define FM_DT_TIMER1CONTROL_AVAILABLE             1
#define FM0P_DT_TIMER1INTCLR_AVAILABLE            1
#define FM_DT_TIMER1INTCLR_AVAILABLE              1
#define FM0P_DT_TIMER1LOAD_AVAILABLE              1
#define FM_DT_TIMER1LOAD_AVAILABLE                1
#define FM0P_DT_TIMER1MIS_AVAILABLE               1
#define FM_DT_TIMER1MIS_AVAILABLE                 1
#define FM0P_DT_TIMER1RIS_AVAILABLE               1
#define FM_DT_TIMER1RIS_AVAILABLE                 1
#define FM0P_DT_TIMER1VALUE_AVAILABLE             1
#define FM_DT_TIMER1VALUE_AVAILABLE               1
#define FM0P_DT_TIMER2BGLOAD_AVAILABLE            1
#define FM_DT_TIMER2BGLOAD_AVAILABLE              1
#define FM0P_DT_TIMER2CONTROL_AVAILABLE           1
#define FM_DT_TIMER2CONTROL_AVAILABLE             1
#define FM0P_DT_TIMER2INTCLR_AVAILABLE            1
#define FM_DT_TIMER2INTCLR_AVAILABLE              1
#define FM0P_DT_TIMER2LOAD_AVAILABLE              1
#define FM_DT_TIMER2LOAD_AVAILABLE                1
#define FM0P_DT_TIMER2MIS_AVAILABLE               1
#define FM_DT_TIMER2MIS_AVAILABLE                 1
#define FM0P_DT_TIMER2RIS_AVAILABLE               1
#define FM_DT_TIMER2RIS_AVAILABLE                 1
#define FM0P_DT_TIMER2VALUE_AVAILABLE             1
#define FM_DT_TIMER2VALUE_AVAILABLE               1
/******************************************************************************
 ** EXTI
 ** 
 ******************************************************************************/
#define FM0P_EXTI_EICL_AVAILABLE                  1
#define FM_EXTI_EICL_AVAILABLE                    1
#define FM0P_EXTI_EIRR_AVAILABLE                  1
#define FM_EXTI_EIRR_AVAILABLE                    1
#define FM0P_EXTI_ELVR_AVAILABLE                  1
#define FM_EXTI_ELVR_AVAILABLE                    1
#define FM0P_EXTI_ELVR1_AVAILABLE                 1
#define FM_EXTI_ELVR1_AVAILABLE                   1
#define FM0P_EXTI_ENIR_AVAILABLE                  1
#define FM_EXTI_ENIR_AVAILABLE                    1
#define FM0P_EXTI_NMICL_AVAILABLE                 1
#define FM_EXTI_NMICL_AVAILABLE                   1
#define FM0P_EXTI_NMIRR_AVAILABLE                 1
#define FM_EXTI_NMIRR_AVAILABLE                   1
/******************************************************************************
 ** FASTIO
 ** 
 ******************************************************************************/
#define FM0P_FASTIO_FPDIR0_AVAILABLE              1
#define FM_FASTIO_FPDIR0_AVAILABLE                1
#define FM0P_FASTIO_FPDIR1_AVAILABLE              1
#define FM_FASTIO_FPDIR1_AVAILABLE                1
#define FM0P_FASTIO_FPDIR2_AVAILABLE              1
#define FM_FASTIO_FPDIR2_AVAILABLE                1
#define FM0P_FASTIO_FPDIR3_AVAILABLE              1
#define FM_FASTIO_FPDIR3_AVAILABLE                1
#define FM0P_FASTIO_FPDIR4_AVAILABLE              1
#define FM_FASTIO_FPDIR4_AVAILABLE                1
#define FM0P_FASTIO_FPDIR5_AVAILABLE              1
#define FM_FASTIO_FPDIR5_AVAILABLE                1
#define FM0P_FASTIO_FPDIR6_AVAILABLE              1
#define FM_FASTIO_FPDIR6_AVAILABLE                1
#define FM0P_FASTIO_FPDIR7_AVAILABLE              1
#define FM_FASTIO_FPDIR7_AVAILABLE                1
#define FM0P_FASTIO_FPDIR8_AVAILABLE              1
#define FM_FASTIO_FPDIR8_AVAILABLE                1
#define FM0P_FASTIO_FPDIR9_AVAILABLE              1
#define FM_FASTIO_FPDIR9_AVAILABLE                1
#define FM0P_FASTIO_FPDIRA_AVAILABLE              1
#define FM_FASTIO_FPDIRA_AVAILABLE                1
#define FM0P_FASTIO_FPDIRB_AVAILABLE              1
#define FM_FASTIO_FPDIRB_AVAILABLE                1
#define FM0P_FASTIO_FPDIRC_AVAILABLE              1
#define FM_FASTIO_FPDIRC_AVAILABLE                1
#define FM0P_FASTIO_FPDIRD_AVAILABLE              1
#define FM_FASTIO_FPDIRD_AVAILABLE                1
#define FM0P_FASTIO_FPDIRE_AVAILABLE              1
#define FM_FASTIO_FPDIRE_AVAILABLE                1
#define FM0P_FASTIO_FPDIRF_AVAILABLE              1
#define FM_FASTIO_FPDIRF_AVAILABLE                1
#define FM0P_FASTIO_FPDOR0_AVAILABLE              1
#define FM_FASTIO_FPDOR0_AVAILABLE                1
#define FM0P_FASTIO_FPDOR1_AVAILABLE              1
#define FM_FASTIO_FPDOR1_AVAILABLE                1
#define FM0P_FASTIO_FPDOR2_AVAILABLE              1
#define FM_FASTIO_FPDOR2_AVAILABLE                1
#define FM0P_FASTIO_FPDOR3_AVAILABLE              1
#define FM_FASTIO_FPDOR3_AVAILABLE                1
#define FM0P_FASTIO_FPDOR4_AVAILABLE              1
#define FM_FASTIO_FPDOR4_AVAILABLE                1
#define FM0P_FASTIO_FPDOR5_AVAILABLE              1
#define FM_FASTIO_FPDOR5_AVAILABLE                1
#define FM0P_FASTIO_FPDOR6_AVAILABLE              1
#define FM_FASTIO_FPDOR6_AVAILABLE                1
#define FM0P_FASTIO_FPDOR7_AVAILABLE              1
#define FM_FASTIO_FPDOR7_AVAILABLE                1
#define FM0P_FASTIO_FPDOR8_AVAILABLE              1
#define FM_FASTIO_FPDOR8_AVAILABLE                1
#define FM0P_FASTIO_FPDOR9_AVAILABLE              1
#define FM_FASTIO_FPDOR9_AVAILABLE                1
#define FM0P_FASTIO_FPDORA_AVAILABLE              1
#define FM_FASTIO_FPDORA_AVAILABLE                1
#define FM0P_FASTIO_FPDORB_AVAILABLE              1
#define FM_FASTIO_FPDORB_AVAILABLE                1
#define FM0P_FASTIO_FPDORC_AVAILABLE              1
#define FM_FASTIO_FPDORC_AVAILABLE                1
#define FM0P_FASTIO_FPDORD_AVAILABLE              1
#define FM_FASTIO_FPDORD_AVAILABLE                1
#define FM0P_FASTIO_FPDORE_AVAILABLE              1
#define FM_FASTIO_FPDORE_AVAILABLE                1
#define FM0P_FASTIO_FPDORF_AVAILABLE              1
#define FM_FASTIO_FPDORF_AVAILABLE                1
#define FM0P_FASTIO_M_FPDIR0_AVAILABLE            1
#define FM_FASTIO_M_FPDIR0_AVAILABLE              1
#define FM0P_FASTIO_M_FPDIR1_AVAILABLE            1
#define FM_FASTIO_M_FPDIR1_AVAILABLE              1
#define FM0P_FASTIO_M_FPDOR0_AVAILABLE            1
#define FM_FASTIO_M_FPDOR0_AVAILABLE              1
#define FM0P_FASTIO_M_FPDOR1_AVAILABLE            1
#define FM_FASTIO_M_FPDOR1_AVAILABLE              1
/******************************************************************************
 ** FLASH_IF
 ** 
 ******************************************************************************/
#define FM0P_FLASH_IF_CRTRMM_AVAILABLE            1
#define FM_FLASH_IF_CRTRMM_AVAILABLE              1
#define FM0P_FLASH_IF_FICLR_AVAILABLE             1
#define FM_FLASH_IF_FICLR_AVAILABLE               1
#define FM0P_FLASH_IF_FICR_AVAILABLE              1
#define FM_FLASH_IF_FICR_AVAILABLE                1
#define FM0P_FLASH_IF_FISR_AVAILABLE              1
#define FM_FLASH_IF_FISR_AVAILABLE                1
#define FM0P_FLASH_IF_FRWTR_AVAILABLE             1
#define FM_FLASH_IF_FRWTR_AVAILABLE               1
#define FM0P_FLASH_IF_FSTR_AVAILABLE              1
#define FM_FLASH_IF_FSTR_AVAILABLE                1
#define FM0P_FLASH_IF_FSYNDN_AVAILABLE            1
#define FM_FLASH_IF_FSYNDN_AVAILABLE              1
/******************************************************************************
 ** GPIO
 ** 
 ******************************************************************************/
#define FM0P_GPIO_ADE_AVAILABLE                   1
#define FM_GPIO_ADE_AVAILABLE                     1
#define FM0P_GPIO_DDR0_AVAILABLE                  1
#define FM_GPIO_DDR0_AVAILABLE                    1
#define FM0P_GPIO_DDR1_AVAILABLE                  1
#define FM_GPIO_DDR1_AVAILABLE                    1
#define FM0P_GPIO_DDR2_AVAILABLE                  1
#define FM_GPIO_DDR2_AVAILABLE                    1
#define FM0P_GPIO_DDR3_AVAILABLE                  1
#define FM_GPIO_DDR3_AVAILABLE                    1
#define FM0P_GPIO_DDR4_AVAILABLE                  1
#define FM_GPIO_DDR4_AVAILABLE                    1
#define FM0P_GPIO_DDR5_AVAILABLE                  1
#define FM_GPIO_DDR5_AVAILABLE                    1
#define FM0P_GPIO_DDR6_AVAILABLE                  1
#define FM_GPIO_DDR6_AVAILABLE                    1
#define FM0P_GPIO_DDR7_AVAILABLE                  1
#define FM_GPIO_DDR7_AVAILABLE                    1
#define FM0P_GPIO_DDR8_AVAILABLE                  1
#define FM_GPIO_DDR8_AVAILABLE                    1
#define FM0P_GPIO_DDR9_AVAILABLE                  1
#define FM_GPIO_DDR9_AVAILABLE                    1
#define FM0P_GPIO_DDRA_AVAILABLE                  1
#define FM_GPIO_DDRA_AVAILABLE                    1
#define FM0P_GPIO_DDRB_AVAILABLE                  1
#define FM_GPIO_DDRB_AVAILABLE                    1
#define FM0P_GPIO_DDRC_AVAILABLE                  1
#define FM_GPIO_DDRC_AVAILABLE                    1
#define FM0P_GPIO_DDRD_AVAILABLE                  1
#define FM_GPIO_DDRD_AVAILABLE                    1
#define FM0P_GPIO_DDRE_AVAILABLE                  1
#define FM_GPIO_DDRE_AVAILABLE                    1
#define FM0P_GPIO_DDRF_AVAILABLE                  1
#define FM_GPIO_DDRF_AVAILABLE                    1
#define FM0P_GPIO_EPFR00_AVAILABLE                1
#define FM_GPIO_EPFR00_AVAILABLE                  1
#define FM0P_GPIO_EPFR01_AVAILABLE                1
#define FM_GPIO_EPFR01_AVAILABLE                  1
#define FM0P_GPIO_EPFR04_AVAILABLE                1
#define FM_GPIO_EPFR04_AVAILABLE                  1
#define FM0P_GPIO_EPFR06_AVAILABLE                1
#define FM_GPIO_EPFR06_AVAILABLE                  1
#define FM0P_GPIO_EPFR07_AVAILABLE                1
#define FM_GPIO_EPFR07_AVAILABLE                  1
#define FM0P_GPIO_EPFR09_AVAILABLE                1
#define FM_GPIO_EPFR09_AVAILABLE                  1
#define FM0P_GPIO_EPFR21_AVAILABLE                1
#define FM_GPIO_EPFR21_AVAILABLE                  1
#define FM0P_GPIO_EPFR22_AVAILABLE                1
#define FM_GPIO_EPFR22_AVAILABLE                  1
#define FM0P_GPIO_FPOER0_AVAILABLE                1
#define FM_GPIO_FPOER0_AVAILABLE                  1
#define FM0P_GPIO_FPOER1_AVAILABLE                1
#define FM_GPIO_FPOER1_AVAILABLE                  1
#define FM0P_GPIO_FPOER2_AVAILABLE                1
#define FM_GPIO_FPOER2_AVAILABLE                  1
#define FM0P_GPIO_FPOER3_AVAILABLE                1
#define FM_GPIO_FPOER3_AVAILABLE                  1
#define FM0P_GPIO_FPOER4_AVAILABLE                1
#define FM_GPIO_FPOER4_AVAILABLE                  1
#define FM0P_GPIO_FPOER5_AVAILABLE                1
#define FM_GPIO_FPOER5_AVAILABLE                  1
#define FM0P_GPIO_FPOER6_AVAILABLE                1
#define FM_GPIO_FPOER6_AVAILABLE                  1
#define FM0P_GPIO_FPOER7_AVAILABLE                1
#define FM_GPIO_FPOER7_AVAILABLE                  1
#define FM0P_GPIO_FPOER8_AVAILABLE                1
#define FM_GPIO_FPOER8_AVAILABLE                  1
#define FM0P_GPIO_FPOER9_AVAILABLE                1
#define FM_GPIO_FPOER9_AVAILABLE                  1
#define FM0P_GPIO_FPOERA_AVAILABLE                1
#define FM_GPIO_FPOERA_AVAILABLE                  1
#define FM0P_GPIO_FPOERB_AVAILABLE                1
#define FM_GPIO_FPOERB_AVAILABLE                  1
#define FM0P_GPIO_FPOERC_AVAILABLE                1
#define FM_GPIO_FPOERC_AVAILABLE                  1
#define FM0P_GPIO_FPOERD_AVAILABLE                1
#define FM_GPIO_FPOERD_AVAILABLE                  1
#define FM0P_GPIO_FPOERE_AVAILABLE                1
#define FM_GPIO_FPOERE_AVAILABLE                  1
#define FM0P_GPIO_FPOERF_AVAILABLE                1
#define FM_GPIO_FPOERF_AVAILABLE                  1
#define FM0P_GPIO_PCR0_AVAILABLE                  1
#define FM_GPIO_PCR0_AVAILABLE                    1
#define FM0P_GPIO_PCR1_AVAILABLE                  1
#define FM_GPIO_PCR1_AVAILABLE                    1
#define FM0P_GPIO_PCR2_AVAILABLE                  1
#define FM_GPIO_PCR2_AVAILABLE                    1
#define FM0P_GPIO_PCR3_AVAILABLE                  1
#define FM_GPIO_PCR3_AVAILABLE                    1
#define FM0P_GPIO_PCR4_AVAILABLE                  1
#define FM_GPIO_PCR4_AVAILABLE                    1
#define FM0P_GPIO_PCR5_AVAILABLE                  1
#define FM_GPIO_PCR5_AVAILABLE                    1
#define FM0P_GPIO_PCR6_AVAILABLE                  1
#define FM_GPIO_PCR6_AVAILABLE                    1
#define FM0P_GPIO_PCR7_AVAILABLE                  1
#define FM_GPIO_PCR7_AVAILABLE                    1
#define FM0P_GPIO_PCR9_AVAILABLE                  1
#define FM_GPIO_PCR9_AVAILABLE                    1
#define FM0P_GPIO_PCRA_AVAILABLE                  1
#define FM_GPIO_PCRA_AVAILABLE                    1
#define FM0P_GPIO_PCRB_AVAILABLE                  1
#define FM_GPIO_PCRB_AVAILABLE                    1
#define FM0P_GPIO_PCRC_AVAILABLE                  1
#define FM_GPIO_PCRC_AVAILABLE                    1
#define FM0P_GPIO_PCRD_AVAILABLE                  1
#define FM_GPIO_PCRD_AVAILABLE                    1
#define FM0P_GPIO_PCRE_AVAILABLE                  1
#define FM_GPIO_PCRE_AVAILABLE                    1
#define FM0P_GPIO_PCRF_AVAILABLE                  1
#define FM_GPIO_PCRF_AVAILABLE                    1
#define FM0P_GPIO_PDIR0_AVAILABLE                 1
#define FM_GPIO_PDIR0_AVAILABLE                   1
#define FM0P_GPIO_PDIR1_AVAILABLE                 1
#define FM_GPIO_PDIR1_AVAILABLE                   1
#define FM0P_GPIO_PDIR2_AVAILABLE                 1
#define FM_GPIO_PDIR2_AVAILABLE                   1
#define FM0P_GPIO_PDIR3_AVAILABLE                 1
#define FM_GPIO_PDIR3_AVAILABLE                   1
#define FM0P_GPIO_PDIR4_AVAILABLE                 1
#define FM_GPIO_PDIR4_AVAILABLE                   1
#define FM0P_GPIO_PDIR5_AVAILABLE                 1
#define FM_GPIO_PDIR5_AVAILABLE                   1
#define FM0P_GPIO_PDIR6_AVAILABLE                 1
#define FM_GPIO_PDIR6_AVAILABLE                   1
#define FM0P_GPIO_PDIR7_AVAILABLE                 1
#define FM_GPIO_PDIR7_AVAILABLE                   1
#define FM0P_GPIO_PDIR8_AVAILABLE                 1
#define FM_GPIO_PDIR8_AVAILABLE                   1
#define FM0P_GPIO_PDIR9_AVAILABLE                 1
#define FM_GPIO_PDIR9_AVAILABLE                   1
#define FM0P_GPIO_PDIRA_AVAILABLE                 1
#define FM_GPIO_PDIRA_AVAILABLE                   1
#define FM0P_GPIO_PDIRB_AVAILABLE                 1
#define FM_GPIO_PDIRB_AVAILABLE                   1
#define FM0P_GPIO_PDIRC_AVAILABLE                 1
#define FM_GPIO_PDIRC_AVAILABLE                   1
#define FM0P_GPIO_PDIRD_AVAILABLE                 1
#define FM_GPIO_PDIRD_AVAILABLE                   1
#define FM0P_GPIO_PDIRE_AVAILABLE                 1
#define FM_GPIO_PDIRE_AVAILABLE                   1
#define FM0P_GPIO_PDIRF_AVAILABLE                 1
#define FM_GPIO_PDIRF_AVAILABLE                   1
#define FM0P_GPIO_PDOR0_AVAILABLE                 1
#define FM_GPIO_PDOR0_AVAILABLE                   1
#define FM0P_GPIO_PDOR1_AVAILABLE                 1
#define FM_GPIO_PDOR1_AVAILABLE                   1
#define FM0P_GPIO_PDOR2_AVAILABLE                 1
#define FM_GPIO_PDOR2_AVAILABLE                   1
#define FM0P_GPIO_PDOR3_AVAILABLE                 1
#define FM_GPIO_PDOR3_AVAILABLE                   1
#define FM0P_GPIO_PDOR4_AVAILABLE                 1
#define FM_GPIO_PDOR4_AVAILABLE                   1
#define FM0P_GPIO_PDOR5_AVAILABLE                 1
#define FM_GPIO_PDOR5_AVAILABLE                   1
#define FM0P_GPIO_PDOR6_AVAILABLE                 1
#define FM_GPIO_PDOR6_AVAILABLE                   1
#define FM0P_GPIO_PDOR7_AVAILABLE                 1
#define FM_GPIO_PDOR7_AVAILABLE                   1
#define FM0P_GPIO_PDOR8_AVAILABLE                 1
#define FM_GPIO_PDOR8_AVAILABLE                   1
#define FM0P_GPIO_PDOR9_AVAILABLE                 1
#define FM_GPIO_PDOR9_AVAILABLE                   1
#define FM0P_GPIO_PDORA_AVAILABLE                 1
#define FM_GPIO_PDORA_AVAILABLE                   1
#define FM0P_GPIO_PDORB_AVAILABLE                 1
#define FM_GPIO_PDORB_AVAILABLE                   1
#define FM0P_GPIO_PDORC_AVAILABLE                 1
#define FM_GPIO_PDORC_AVAILABLE                   1
#define FM0P_GPIO_PDORD_AVAILABLE                 1
#define FM_GPIO_PDORD_AVAILABLE                   1
#define FM0P_GPIO_PDORE_AVAILABLE                 1
#define FM_GPIO_PDORE_AVAILABLE                   1
#define FM0P_GPIO_PDORF_AVAILABLE                 1
#define FM_GPIO_PDORF_AVAILABLE                   1
#define FM0P_GPIO_PFR0_AVAILABLE                  1
#define FM_GPIO_PFR0_AVAILABLE                    1
#define FM0P_GPIO_PFR1_AVAILABLE                  1
#define FM_GPIO_PFR1_AVAILABLE                    1
#define FM0P_GPIO_PFR2_AVAILABLE                  1
#define FM_GPIO_PFR2_AVAILABLE                    1
#define FM0P_GPIO_PFR3_AVAILABLE                  1
#define FM_GPIO_PFR3_AVAILABLE                    1
#define FM0P_GPIO_PFR4_AVAILABLE                  1
#define FM_GPIO_PFR4_AVAILABLE                    1
#define FM0P_GPIO_PFR5_AVAILABLE                  1
#define FM_GPIO_PFR5_AVAILABLE                    1
#define FM0P_GPIO_PFR6_AVAILABLE                  1
#define FM_GPIO_PFR6_AVAILABLE                    1
#define FM0P_GPIO_PFR7_AVAILABLE                  1
#define FM_GPIO_PFR7_AVAILABLE                    1
#define FM0P_GPIO_PFR8_AVAILABLE                  1
#define FM_GPIO_PFR8_AVAILABLE                    1
#define FM0P_GPIO_PFR9_AVAILABLE                  1
#define FM_GPIO_PFR9_AVAILABLE                    1
#define FM0P_GPIO_PFRA_AVAILABLE                  1
#define FM_GPIO_PFRA_AVAILABLE                    1
#define FM0P_GPIO_PFRB_AVAILABLE                  1
#define FM_GPIO_PFRB_AVAILABLE                    1
#define FM0P_GPIO_PFRC_AVAILABLE                  1
#define FM_GPIO_PFRC_AVAILABLE                    1
#define FM0P_GPIO_PFRD_AVAILABLE                  1
#define FM_GPIO_PFRD_AVAILABLE                    1
#define FM0P_GPIO_PFRE_AVAILABLE                  1
#define FM_GPIO_PFRE_AVAILABLE                    1
#define FM0P_GPIO_PFRF_AVAILABLE                  1
#define FM_GPIO_PFRF_AVAILABLE                    1
#define FM0P_GPIO_PZR0_AVAILABLE                  1
#define FM_GPIO_PZR0_AVAILABLE                    1
#define FM0P_GPIO_PZR1_AVAILABLE                  1
#define FM_GPIO_PZR1_AVAILABLE                    1
#define FM0P_GPIO_PZR2_AVAILABLE                  1
#define FM_GPIO_PZR2_AVAILABLE                    1
#define FM0P_GPIO_PZR3_AVAILABLE                  1
#define FM_GPIO_PZR3_AVAILABLE                    1
#define FM0P_GPIO_PZR4_AVAILABLE                  1
#define FM_GPIO_PZR4_AVAILABLE                    1
#define FM0P_GPIO_PZR5_AVAILABLE                  1
#define FM_GPIO_PZR5_AVAILABLE                    1
#define FM0P_GPIO_PZR6_AVAILABLE                  1
#define FM_GPIO_PZR6_AVAILABLE                    1
#define FM0P_GPIO_PZR7_AVAILABLE                  1
#define FM_GPIO_PZR7_AVAILABLE                    1
#define FM0P_GPIO_PZR8_AVAILABLE                  1
#define FM_GPIO_PZR8_AVAILABLE                    1
#define FM0P_GPIO_PZR9_AVAILABLE                  1
#define FM_GPIO_PZR9_AVAILABLE                    1
#define FM0P_GPIO_PZRA_AVAILABLE                  1
#define FM_GPIO_PZRA_AVAILABLE                    1
#define FM0P_GPIO_PZRB_AVAILABLE                  1
#define FM_GPIO_PZRB_AVAILABLE                    1
#define FM0P_GPIO_PZRC_AVAILABLE                  1
#define FM_GPIO_PZRC_AVAILABLE                    1
#define FM0P_GPIO_PZRD_AVAILABLE                  1
#define FM_GPIO_PZRD_AVAILABLE                    1
#define FM0P_GPIO_PZRE_AVAILABLE                  1
#define FM_GPIO_PZRE_AVAILABLE                    1
#define FM0P_GPIO_PZRF_AVAILABLE                  1
#define FM_GPIO_PZRF_AVAILABLE                    1
#define FM0P_GPIO_SPSR_AVAILABLE                  1
#define FM_GPIO_SPSR_AVAILABLE                    1
/******************************************************************************
 ** HWWDT
 ** 
 ******************************************************************************/
#define FM0P_HWWDT_WDG_CTL_AVAILABLE              1
#define FM_HWWDT_WDG_CTL_AVAILABLE                1
#define FM0P_HWWDT_WDG_ICL_AVAILABLE              1
#define FM_HWWDT_WDG_ICL_AVAILABLE                1
#define FM0P_HWWDT_WDG_LCK_AVAILABLE              1
#define FM_HWWDT_WDG_LCK_AVAILABLE                1
#define FM0P_HWWDT_WDG_LDR_AVAILABLE              1
#define FM_HWWDT_WDG_LDR_AVAILABLE                1
#define FM0P_HWWDT_WDG_RIS_AVAILABLE              1
#define FM_HWWDT_WDG_RIS_AVAILABLE                1
#define FM0P_HWWDT_WDG_VLR_AVAILABLE              1
#define FM_HWWDT_WDG_VLR_AVAILABLE                1
/******************************************************************************
 ** INTREQ
 ** 
 ******************************************************************************/
#define FM0P_INTREQ_DRQSEL_AVAILABLE              1
#define FM_INTREQ_DRQSEL_AVAILABLE                1
#define FM0P_INTREQ_EXC02MON_AVAILABLE            1
#define FM_INTREQ_EXC02MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ00MON_AVAILABLE            1
#define FM_INTREQ_IRQ00MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ01MON_AVAILABLE            1
#define FM_INTREQ_IRQ01MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ02MON_AVAILABLE            1
#define FM_INTREQ_IRQ02MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ03MON_AVAILABLE            1
#define FM_INTREQ_IRQ03MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ04MON_AVAILABLE            1
#define FM_INTREQ_IRQ04MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ05MON_AVAILABLE            1
#define FM_INTREQ_IRQ05MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ06MON_AVAILABLE            1
#define FM_INTREQ_IRQ06MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ07MON_AVAILABLE            1
#define FM_INTREQ_IRQ07MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ08MON_AVAILABLE            1
#define FM_INTREQ_IRQ08MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ09MON_AVAILABLE            1
#define FM_INTREQ_IRQ09MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ10MON_AVAILABLE            1
#define FM_INTREQ_IRQ10MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ11MON_AVAILABLE            1
#define FM_INTREQ_IRQ11MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ12MON_AVAILABLE            1
#define FM_INTREQ_IRQ12MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ13MON_AVAILABLE            1
#define FM_INTREQ_IRQ13MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ14MON_AVAILABLE            1
#define FM_INTREQ_IRQ14MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ15MON_AVAILABLE            1
#define FM_INTREQ_IRQ15MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ16MON_AVAILABLE            1
#define FM_INTREQ_IRQ16MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ17MON_AVAILABLE            1
#define FM_INTREQ_IRQ17MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ18MON_AVAILABLE            1
#define FM_INTREQ_IRQ18MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ19MON_AVAILABLE            1
#define FM_INTREQ_IRQ19MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ20MON_AVAILABLE            1
#define FM_INTREQ_IRQ20MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ21MON_AVAILABLE            1
#define FM_INTREQ_IRQ21MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ22MON_AVAILABLE            1
#define FM_INTREQ_IRQ22MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ23MON_AVAILABLE            1
#define FM_INTREQ_IRQ23MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ24MON_AVAILABLE            1
#define FM_INTREQ_IRQ24MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ25MON_AVAILABLE            1
#define FM_INTREQ_IRQ25MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ26MON_AVAILABLE            1
#define FM_INTREQ_IRQ26MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ27MON_AVAILABLE            1
#define FM_INTREQ_IRQ27MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ28MON_AVAILABLE            1
#define FM_INTREQ_IRQ28MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ29MON_AVAILABLE            1
#define FM_INTREQ_IRQ29MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ30MON_AVAILABLE            1
#define FM_INTREQ_IRQ30MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ31MON_AVAILABLE            1
#define FM_INTREQ_IRQ31MON_AVAILABLE              1
#define FM0P_INTREQ_IRQCMODE_AVAILABLE            1
#define FM_INTREQ_IRQCMODE_AVAILABLE              1
#define FM0P_INTREQ_RCINTSEL0_AVAILABLE           1
#define FM_INTREQ_RCINTSEL0_AVAILABLE             1
#define FM0P_INTREQ_RCINTSEL1_AVAILABLE           1
#define FM_INTREQ_RCINTSEL1_AVAILABLE             1
/******************************************************************************
 ** LSCRP
 ** 
 ******************************************************************************/
#define FM0P_LSCRP_LCR_PRSLD_AVAILABLE            1
#define FM_LSCRP_LCR_PRSLD_AVAILABLE              1
/******************************************************************************
 ** LVD
 ** 
 ******************************************************************************/
#define FM0P_LVD_LVD_CLR_AVAILABLE                1
#define FM_LVD_LVD_CLR_AVAILABLE                  1
#define FM0P_LVD_LVD_CTL_AVAILABLE                1
#define FM_LVD_LVD_CTL_AVAILABLE                  1
#define FM0P_LVD_LVD_RLR_AVAILABLE                1
#define FM_LVD_LVD_RLR_AVAILABLE                  1
#define FM0P_LVD_LVD_STR_AVAILABLE                1
#define FM_LVD_LVD_STR_AVAILABLE                  1
#define FM0P_LVD_LVD_STR2_AVAILABLE               1
#define FM_LVD_LVD_STR2_AVAILABLE                 1
/******************************************************************************
 ** MFS0
 ** 
 ******************************************************************************/
#define FM0P_MFS_CSIO_BGR_AVAILABLE               1
#define FM_MFS_CSIO_BGR_AVAILABLE                 1
#define FM0P_MFS_CSIO_ESCR_AVAILABLE              1
#define FM_MFS_CSIO_ESCR_AVAILABLE                1
#define FM0P_MFS_CSIO_FBYTE1_AVAILABLE            1
#define FM_MFS_CSIO_FBYTE1_AVAILABLE              1
#define FM0P_MFS_CSIO_FBYTE2_AVAILABLE            1
#define FM_MFS_CSIO_FBYTE2_AVAILABLE              1
#define FM0P_MFS_CSIO_FCR_AVAILABLE               1
#define FM_MFS_CSIO_FCR_AVAILABLE                 1
#define FM0P_MFS_CSIO_RDR_AVAILABLE               1
#define FM_MFS_CSIO_RDR_AVAILABLE                 1
#define FM0P_MFS_CSIO_SACSR_AVAILABLE             1
#define FM_MFS_CSIO_SACSR_AVAILABLE               1
#define FM0P_MFS_CSIO_SCR_AVAILABLE               1
#define FM_MFS_CSIO_SCR_AVAILABLE                 1
#define FM0P_MFS_CSIO_SCSCR_AVAILABLE             1
#define FM_MFS_CSIO_SCSCR_AVAILABLE               1
#define FM0P_MFS_CSIO_SCSFR0_AVAILABLE            1
#define FM_MFS_CSIO_SCSFR0_AVAILABLE              1
#define FM0P_MFS_CSIO_SCSFR1_AVAILABLE            1
#define FM_MFS_CSIO_SCSFR1_AVAILABLE              1
#define FM0P_MFS_CSIO_SCSFR2_AVAILABLE            1
#define FM_MFS_CSIO_SCSFR2_AVAILABLE              1
#define FM0P_MFS_CSIO_SCSTR0_AVAILABLE            1
#define FM_MFS_CSIO_SCSTR0_AVAILABLE              1
#define FM0P_MFS_CSIO_SCSTR1_AVAILABLE            1
#define FM_MFS_CSIO_SCSTR1_AVAILABLE              1
#define FM0P_MFS_CSIO_SCSTR32_AVAILABLE           1
#define FM_MFS_CSIO_SCSTR32_AVAILABLE             1
#define FM0P_MFS_CSIO_SMR_AVAILABLE               1
#define FM_MFS_CSIO_SMR_AVAILABLE                 1
#define FM0P_MFS_CSIO_SSR_AVAILABLE               1
#define FM_MFS_CSIO_SSR_AVAILABLE                 1
#define FM0P_MFS_CSIO_STMCR_AVAILABLE             1
#define FM_MFS_CSIO_STMCR_AVAILABLE               1
#define FM0P_MFS_CSIO_STMR_AVAILABLE              1
#define FM_MFS_CSIO_STMR_AVAILABLE                1
#define FM0P_MFS_CSIO_TBYTE0_AVAILABLE            1
#define FM_MFS_CSIO_TBYTE0_AVAILABLE              1
#define FM0P_MFS_CSIO_TBYTE1_AVAILABLE            1
#define FM_MFS_CSIO_TBYTE1_AVAILABLE              1
#define FM0P_MFS_CSIO_TBYTE2_AVAILABLE            1
#define FM_MFS_CSIO_TBYTE2_AVAILABLE              1
#define FM0P_MFS_CSIO_TBYTE3_AVAILABLE            1
#define FM_MFS_CSIO_TBYTE3_AVAILABLE              1
#define FM0P_MFS_CSIO_TDR_AVAILABLE               1
#define FM_MFS_CSIO_TDR_AVAILABLE                 1
#define FM0P_MFS_I2C_BGR_AVAILABLE                1
#define FM_MFS_I2C_BGR_AVAILABLE                  1
#define FM0P_MFS_I2C_EIBCR_AVAILABLE              1
#define FM_MFS_I2C_EIBCR_AVAILABLE                1
#define FM0P_MFS_I2C_FBYTE1_AVAILABLE             1
#define FM_MFS_I2C_FBYTE1_AVAILABLE               1
#define FM0P_MFS_I2C_FBYTE2_AVAILABLE             1
#define FM_MFS_I2C_FBYTE2_AVAILABLE               1
#define FM0P_MFS_I2C_FCR_AVAILABLE                1
#define FM_MFS_I2C_FCR_AVAILABLE                  1
#define FM0P_MFS_I2C_IBCR_AVAILABLE               1
#define FM_MFS_I2C_IBCR_AVAILABLE                 1
#define FM0P_MFS_I2C_IBSR_AVAILABLE               1
#define FM_MFS_I2C_IBSR_AVAILABLE                 1
#define FM0P_MFS_I2C_ISBA_AVAILABLE               1
#define FM_MFS_I2C_ISBA_AVAILABLE                 1
#define FM0P_MFS_I2C_ISMK_AVAILABLE               1
#define FM_MFS_I2C_ISMK_AVAILABLE                 1
#define FM0P_MFS_I2C_RDR_AVAILABLE                1
#define FM_MFS_I2C_RDR_AVAILABLE                  1
#define FM0P_MFS_I2C_SMR_AVAILABLE                1
#define FM_MFS_I2C_SMR_AVAILABLE                  1
#define FM0P_MFS_I2C_SSR_AVAILABLE                1
#define FM_MFS_I2C_SSR_AVAILABLE                  1
#define FM0P_MFS_I2C_TDR_AVAILABLE                1
#define FM_MFS_I2C_TDR_AVAILABLE                  1
#define FM0P_MFS_LIN_BGR_AVAILABLE                1
#define FM_MFS_LIN_BGR_AVAILABLE                  1
#define FM0P_MFS_LIN_ESCR_AVAILABLE               1
#define FM_MFS_LIN_ESCR_AVAILABLE                 1
#define FM0P_MFS_LIN_FBYTE1_AVAILABLE             1
#define FM_MFS_LIN_FBYTE1_AVAILABLE               1
#define FM0P_MFS_LIN_FBYTE2_AVAILABLE             1
#define FM_MFS_LIN_FBYTE2_AVAILABLE               1
#define FM0P_MFS_LIN_FCR_AVAILABLE                1
#define FM_MFS_LIN_FCR_AVAILABLE                  1
#define FM0P_MFS_LIN_RDR_AVAILABLE                1
#define FM_MFS_LIN_RDR_AVAILABLE                  1
#define FM0P_MFS_LIN_SCR_AVAILABLE                1
#define FM_MFS_LIN_SCR_AVAILABLE                  1
#define FM0P_MFS_LIN_SMR_AVAILABLE                1
#define FM_MFS_LIN_SMR_AVAILABLE                  1
#define FM0P_MFS_LIN_SSR_AVAILABLE                1
#define FM_MFS_LIN_SSR_AVAILABLE                  1
#define FM0P_MFS_LIN_TDR_AVAILABLE                1
#define FM_MFS_LIN_TDR_AVAILABLE                  1
#define FM0P_MFS_UART_BGR_AVAILABLE               1
#define FM_MFS_UART_BGR_AVAILABLE                 1
#define FM0P_MFS_UART_ESCR_AVAILABLE              1
#define FM_MFS_UART_ESCR_AVAILABLE                1
#define FM0P_MFS_UART_FBYTE1_AVAILABLE            1
#define FM_MFS_UART_FBYTE1_AVAILABLE              1
#define FM0P_MFS_UART_FBYTE2_AVAILABLE            1
#define FM_MFS_UART_FBYTE2_AVAILABLE              1
#define FM0P_MFS_UART_FCR_AVAILABLE               1
#define FM_MFS_UART_FCR_AVAILABLE                 1
#define FM0P_MFS_UART_RDR_AVAILABLE               1
#define FM_MFS_UART_RDR_AVAILABLE                 1
#define FM0P_MFS_UART_SCR_AVAILABLE               1
#define FM_MFS_UART_SCR_AVAILABLE                 1
#define FM0P_MFS_UART_SMR_AVAILABLE               1
#define FM_MFS_UART_SMR_AVAILABLE                 1
#define FM0P_MFS_UART_SSR_AVAILABLE               1
#define FM_MFS_UART_SSR_AVAILABLE                 1
#define FM0P_MFS_UART_TDR_AVAILABLE               1
#define FM_MFS_UART_TDR_AVAILABLE                 1
/******************************************************************************
 ** MFT0
 ** 
 ******************************************************************************/
#define FM0P_MFT_ADCMP_ACFS10_AVAILABLE           1
#define FM_MFT_ADCMP_ACFS10_AVAILABLE             1
#define FM0P_MFT_ADCMP_ACFS32_AVAILABLE           1
#define FM_MFT_ADCMP_ACFS32_AVAILABLE             1
#define FM0P_MFT_ADCMP_ACFS54_AVAILABLE           1
#define FM_MFT_ADCMP_ACFS54_AVAILABLE             1
#define FM0P_MFT_ADCMP_ACMP0_AVAILABLE            1
#define FM_MFT_ADCMP_ACMP0_AVAILABLE              1
#define FM0P_MFT_ADCMP_ACMP1_AVAILABLE            1
#define FM_MFT_ADCMP_ACMP1_AVAILABLE              1
#define FM0P_MFT_ADCMP_ACMP2_AVAILABLE            1
#define FM_MFT_ADCMP_ACMP2_AVAILABLE              1
#define FM0P_MFT_ADCMP_ACMP3_AVAILABLE            1
#define FM_MFT_ADCMP_ACMP3_AVAILABLE              1
#define FM0P_MFT_ADCMP_ACMP4_AVAILABLE            1
#define FM_MFT_ADCMP_ACMP4_AVAILABLE              1
#define FM0P_MFT_ADCMP_ACMP5_AVAILABLE            1
#define FM_MFT_ADCMP_ACMP5_AVAILABLE              1
#define FM0P_MFT_ADCMP_ACSA_AVAILABLE             1
#define FM_MFT_ADCMP_ACSA_AVAILABLE               1
#define FM0P_MFT_ADCMP_ACSC0_AVAILABLE            1
#define FM_MFT_ADCMP_ACSC0_AVAILABLE              1
#define FM0P_MFT_ADCMP_ACSC1_AVAILABLE            1
#define FM_MFT_ADCMP_ACSC1_AVAILABLE              1
#define FM0P_MFT_ADCMP_ACSC2_AVAILABLE            1
#define FM_MFT_ADCMP_ACSC2_AVAILABLE              1
#define FM0P_MFT_ADCMP_ACSC3_AVAILABLE            1
#define FM_MFT_ADCMP_ACSC3_AVAILABLE              1
#define FM0P_MFT_ADCMP_ACSC4_AVAILABLE            1
#define FM_MFT_ADCMP_ACSC4_AVAILABLE              1
#define FM0P_MFT_ADCMP_ACSC5_AVAILABLE            1
#define FM_MFT_ADCMP_ACSC5_AVAILABLE              1
#define FM0P_MFT_ADCMP_ACSD0_AVAILABLE            1
#define FM_MFT_ADCMP_ACSD0_AVAILABLE              1
#define FM0P_MFT_ADCMP_ACSD1_AVAILABLE            1
#define FM_MFT_ADCMP_ACSD1_AVAILABLE              1
#define FM0P_MFT_ADCMP_ACSD2_AVAILABLE            1
#define FM_MFT_ADCMP_ACSD2_AVAILABLE              1
#define FM0P_MFT_ADCMP_ACSD3_AVAILABLE            1
#define FM_MFT_ADCMP_ACSD3_AVAILABLE              1
#define FM0P_MFT_ADCMP_ACSD4_AVAILABLE            1
#define FM_MFT_ADCMP_ACSD4_AVAILABLE              1
#define FM0P_MFT_ADCMP_ACSD5_AVAILABLE            1
#define FM_MFT_ADCMP_ACSD5_AVAILABLE              1
#define FM0P_MFT_FRT_TCAL_AVAILABLE               1
#define FM_MFT_FRT_TCAL_AVAILABLE                 1
#define FM0P_MFT_FRT_TCCP0_AVAILABLE              1
#define FM_MFT_FRT_TCCP0_AVAILABLE                1
#define FM0P_MFT_FRT_TCCP1_AVAILABLE              1
#define FM_MFT_FRT_TCCP1_AVAILABLE                1
#define FM0P_MFT_FRT_TCCP2_AVAILABLE              1
#define FM_MFT_FRT_TCCP2_AVAILABLE                1
#define FM0P_MFT_FRT_TCDT0_AVAILABLE              1
#define FM_MFT_FRT_TCDT0_AVAILABLE                1
#define FM0P_MFT_FRT_TCDT1_AVAILABLE              1
#define FM_MFT_FRT_TCDT1_AVAILABLE                1
#define FM0P_MFT_FRT_TCDT2_AVAILABLE              1
#define FM_MFT_FRT_TCDT2_AVAILABLE                1
#define FM0P_MFT_FRT_TCSA0_AVAILABLE              1
#define FM_MFT_FRT_TCSA0_AVAILABLE                1
#define FM0P_MFT_FRT_TCSA1_AVAILABLE              1
#define FM_MFT_FRT_TCSA1_AVAILABLE                1
#define FM0P_MFT_FRT_TCSA2_AVAILABLE              1
#define FM_MFT_FRT_TCSA2_AVAILABLE                1
#define FM0P_MFT_FRT_TCSC0_AVAILABLE              1
#define FM_MFT_FRT_TCSC0_AVAILABLE                1
#define FM0P_MFT_FRT_TCSC1_AVAILABLE              1
#define FM_MFT_FRT_TCSC1_AVAILABLE                1
#define FM0P_MFT_FRT_TCSC2_AVAILABLE              1
#define FM_MFT_FRT_TCSC2_AVAILABLE                1
#define FM0P_MFT_ICU_ICCP0_AVAILABLE              1
#define FM_MFT_ICU_ICCP0_AVAILABLE                1
#define FM0P_MFT_ICU_ICCP1_AVAILABLE              1
#define FM_MFT_ICU_ICCP1_AVAILABLE                1
#define FM0P_MFT_ICU_ICCP2_AVAILABLE              1
#define FM_MFT_ICU_ICCP2_AVAILABLE                1
#define FM0P_MFT_ICU_ICCP3_AVAILABLE              1
#define FM_MFT_ICU_ICCP3_AVAILABLE                1
#define FM0P_MFT_ICU_ICFS10_AVAILABLE             1
#define FM_MFT_ICU_ICFS10_AVAILABLE               1
#define FM0P_MFT_ICU_ICFS32_AVAILABLE             1
#define FM_MFT_ICU_ICFS32_AVAILABLE               1
#define FM0P_MFT_ICU_ICSA10_AVAILABLE             1
#define FM_MFT_ICU_ICSA10_AVAILABLE               1
#define FM0P_MFT_ICU_ICSA32_AVAILABLE             1
#define FM_MFT_ICU_ICSA32_AVAILABLE               1
#define FM0P_MFT_ICU_ICSB10_AVAILABLE             1
#define FM_MFT_ICU_ICSB10_AVAILABLE               1
#define FM0P_MFT_ICU_ICSB32_AVAILABLE             1
#define FM_MFT_ICU_ICSB32_AVAILABLE               1
#define FM0P_MFT_OCU_OCCP0_AVAILABLE              1
#define FM_MFT_OCU_OCCP0_AVAILABLE                1
#define FM0P_MFT_OCU_OCCP1_AVAILABLE              1
#define FM_MFT_OCU_OCCP1_AVAILABLE                1
#define FM0P_MFT_OCU_OCCP2_AVAILABLE              1
#define FM_MFT_OCU_OCCP2_AVAILABLE                1
#define FM0P_MFT_OCU_OCCP3_AVAILABLE              1
#define FM_MFT_OCU_OCCP3_AVAILABLE                1
#define FM0P_MFT_OCU_OCCP4_AVAILABLE              1
#define FM_MFT_OCU_OCCP4_AVAILABLE                1
#define FM0P_MFT_OCU_OCCP5_AVAILABLE              1
#define FM_MFT_OCU_OCCP5_AVAILABLE                1
#define FM0P_MFT_OCU_OCFS10_AVAILABLE             1
#define FM_MFT_OCU_OCFS10_AVAILABLE               1
#define FM0P_MFT_OCU_OCFS32_AVAILABLE             1
#define FM_MFT_OCU_OCFS32_AVAILABLE               1
#define FM0P_MFT_OCU_OCFS54_AVAILABLE             1
#define FM_MFT_OCU_OCFS54_AVAILABLE               1
#define FM0P_MFT_OCU_OCSA10_AVAILABLE             1
#define FM_MFT_OCU_OCSA10_AVAILABLE               1
#define FM0P_MFT_OCU_OCSA32_AVAILABLE             1
#define FM_MFT_OCU_OCSA32_AVAILABLE               1
#define FM0P_MFT_OCU_OCSA54_AVAILABLE             1
#define FM_MFT_OCU_OCSA54_AVAILABLE               1
#define FM0P_MFT_OCU_OCSB10_AVAILABLE             1
#define FM_MFT_OCU_OCSB10_AVAILABLE               1
#define FM0P_MFT_OCU_OCSB32_AVAILABLE             1
#define FM_MFT_OCU_OCSB32_AVAILABLE               1
#define FM0P_MFT_OCU_OCSB54_AVAILABLE             1
#define FM_MFT_OCU_OCSB54_AVAILABLE               1
#define FM0P_MFT_OCU_OCSC_AVAILABLE               1
#define FM_MFT_OCU_OCSC_AVAILABLE                 1
#define FM0P_MFT_OCU_OCSD10_AVAILABLE             1
#define FM_MFT_OCU_OCSD10_AVAILABLE               1
#define FM0P_MFT_OCU_OCSD32_AVAILABLE             1
#define FM_MFT_OCU_OCSD32_AVAILABLE               1
#define FM0P_MFT_OCU_OCSD54_AVAILABLE             1
#define FM_MFT_OCU_OCSD54_AVAILABLE               1
#define FM0P_MFT_OCU_OCSE0_AVAILABLE              1
#define FM_MFT_OCU_OCSE0_AVAILABLE                1
#define FM0P_MFT_OCU_OCSE1_AVAILABLE              1
#define FM_MFT_OCU_OCSE1_AVAILABLE                1
#define FM0P_MFT_OCU_OCSE2_AVAILABLE              1
#define FM_MFT_OCU_OCSE2_AVAILABLE                1
#define FM0P_MFT_OCU_OCSE3_AVAILABLE              1
#define FM_MFT_OCU_OCSE3_AVAILABLE                1
#define FM0P_MFT_OCU_OCSE4_AVAILABLE              1
#define FM_MFT_OCU_OCSE4_AVAILABLE                1
#define FM0P_MFT_OCU_OCSE5_AVAILABLE              1
#define FM_MFT_OCU_OCSE5_AVAILABLE                1
#define FM0P_MFT_WFG_NZCL_AVAILABLE               1
#define FM_MFT_WFG_NZCL_AVAILABLE                 1
#define FM0P_MFT_WFG_WFIR_AVAILABLE               1
#define FM_MFT_WFG_WFIR_AVAILABLE                 1
#define FM0P_MFT_WFG_WFSA10_AVAILABLE             1
#define FM_MFT_WFG_WFSA10_AVAILABLE               1
#define FM0P_MFT_WFG_WFSA32_AVAILABLE             1
#define FM_MFT_WFG_WFSA32_AVAILABLE               1
#define FM0P_MFT_WFG_WFSA54_AVAILABLE             1
#define FM_MFT_WFG_WFSA54_AVAILABLE               1
#define FM0P_MFT_WFG_WFTA10_AVAILABLE             1
#define FM_MFT_WFG_WFTA10_AVAILABLE               1
#define FM0P_MFT_WFG_WFTA32_AVAILABLE             1
#define FM_MFT_WFG_WFTA32_AVAILABLE               1
#define FM0P_MFT_WFG_WFTA54_AVAILABLE             1
#define FM_MFT_WFG_WFTA54_AVAILABLE               1
#define FM0P_MFT_WFG_WFTB10_AVAILABLE             1
#define FM_MFT_WFG_WFTB10_AVAILABLE               1
#define FM0P_MFT_WFG_WFTB32_AVAILABLE             1
#define FM_MFT_WFG_WFTB32_AVAILABLE               1
#define FM0P_MFT_WFG_WFTB54_AVAILABLE             1
#define FM_MFT_WFG_WFTB54_AVAILABLE               1
#define FM0P_MFT_WFG_WFTF10_AVAILABLE             1
#define FM_MFT_WFG_WFTF10_AVAILABLE               1
#define FM0P_MFT_WFG_WFTF32_AVAILABLE             1
#define FM_MFT_WFG_WFTF32_AVAILABLE               1
#define FM0P_MFT_WFG_WFTF54_AVAILABLE             1
#define FM_MFT_WFG_WFTF54_AVAILABLE               1
/******************************************************************************
 ** MFT_PPG
 ** 
 ******************************************************************************/
#define FM0P_MFT_PPG_COMP0_AVAILABLE              1
#define FM_MFT_PPG_COMP0_AVAILABLE                1
#define FM0P_MFT_PPG_COMP1_AVAILABLE              1
#define FM_MFT_PPG_COMP1_AVAILABLE                1
#define FM0P_MFT_PPG_COMP10_AVAILABLE             1
#define FM_MFT_PPG_COMP10_AVAILABLE               1
#define FM0P_MFT_PPG_COMP12_AVAILABLE             1
#define FM_MFT_PPG_COMP12_AVAILABLE               1
#define FM0P_MFT_PPG_COMP14_AVAILABLE             1
#define FM_MFT_PPG_COMP14_AVAILABLE               1
#define FM0P_MFT_PPG_COMP2_AVAILABLE              1
#define FM_MFT_PPG_COMP2_AVAILABLE                1
#define FM0P_MFT_PPG_COMP3_AVAILABLE              1
#define FM_MFT_PPG_COMP3_AVAILABLE                1
#define FM0P_MFT_PPG_COMP4_AVAILABLE              1
#define FM_MFT_PPG_COMP4_AVAILABLE                1
#define FM0P_MFT_PPG_COMP5_AVAILABLE              1
#define FM_MFT_PPG_COMP5_AVAILABLE                1
#define FM0P_MFT_PPG_COMP6_AVAILABLE              1
#define FM_MFT_PPG_COMP6_AVAILABLE                1
#define FM0P_MFT_PPG_COMP7_AVAILABLE              1
#define FM_MFT_PPG_COMP7_AVAILABLE                1
#define FM0P_MFT_PPG_COMP8_AVAILABLE              1
#define FM_MFT_PPG_COMP8_AVAILABLE                1
#define FM0P_MFT_PPG_GATEC0_AVAILABLE             1
#define FM_MFT_PPG_GATEC0_AVAILABLE               1
#define FM0P_MFT_PPG_GATEC12_AVAILABLE            1
#define FM_MFT_PPG_GATEC12_AVAILABLE              1
#define FM0P_MFT_PPG_GATEC16_AVAILABLE            1
#define FM_MFT_PPG_GATEC16_AVAILABLE              1
#define FM0P_MFT_PPG_GATEC20_AVAILABLE            1
#define FM_MFT_PPG_GATEC20_AVAILABLE              1
#define FM0P_MFT_PPG_GATEC4_AVAILABLE             1
#define FM_MFT_PPG_GATEC4_AVAILABLE               1
#define FM0P_MFT_PPG_GATEC8_AVAILABLE             1
#define FM_MFT_PPG_GATEC8_AVAILABLE               1
#define FM0P_MFT_PPG_IGBTC_AVAILABLE              1
#define FM_MFT_PPG_IGBTC_AVAILABLE                1
#define FM0P_MFT_PPG_PPGC0_AVAILABLE              1
#define FM_MFT_PPG_PPGC0_AVAILABLE                1
#define FM0P_MFT_PPG_PPGC1_AVAILABLE              1
#define FM_MFT_PPG_PPGC1_AVAILABLE                1
#define FM0P_MFT_PPG_PPGC10_AVAILABLE             1
#define FM_MFT_PPG_PPGC10_AVAILABLE               1
#define FM0P_MFT_PPG_PPGC11_AVAILABLE             1
#define FM_MFT_PPG_PPGC11_AVAILABLE               1
#define FM0P_MFT_PPG_PPGC12_AVAILABLE             1
#define FM_MFT_PPG_PPGC12_AVAILABLE               1
#define FM0P_MFT_PPG_PPGC13_AVAILABLE             1
#define FM_MFT_PPG_PPGC13_AVAILABLE               1
#define FM0P_MFT_PPG_PPGC14_AVAILABLE             1
#define FM_MFT_PPG_PPGC14_AVAILABLE               1
#define FM0P_MFT_PPG_PPGC15_AVAILABLE             1
#define FM_MFT_PPG_PPGC15_AVAILABLE               1
#define FM0P_MFT_PPG_PPGC16_AVAILABLE             1
#define FM_MFT_PPG_PPGC16_AVAILABLE               1
#define FM0P_MFT_PPG_PPGC17_AVAILABLE             1
#define FM_MFT_PPG_PPGC17_AVAILABLE               1
#define FM0P_MFT_PPG_PPGC18_AVAILABLE             1
#define FM_MFT_PPG_PPGC18_AVAILABLE               1
#define FM0P_MFT_PPG_PPGC19_AVAILABLE             1
#define FM_MFT_PPG_PPGC19_AVAILABLE               1
#define FM0P_MFT_PPG_PPGC2_AVAILABLE              1
#define FM_MFT_PPG_PPGC2_AVAILABLE                1
#define FM0P_MFT_PPG_PPGC20_AVAILABLE             1
#define FM_MFT_PPG_PPGC20_AVAILABLE               1
#define FM0P_MFT_PPG_PPGC21_AVAILABLE             1
#define FM_MFT_PPG_PPGC21_AVAILABLE               1
#define FM0P_MFT_PPG_PPGC22_AVAILABLE             1
#define FM_MFT_PPG_PPGC22_AVAILABLE               1
#define FM0P_MFT_PPG_PPGC23_AVAILABLE             1
#define FM_MFT_PPG_PPGC23_AVAILABLE               1
#define FM0P_MFT_PPG_PPGC3_AVAILABLE              1
#define FM_MFT_PPG_PPGC3_AVAILABLE                1
#define FM0P_MFT_PPG_PPGC4_AVAILABLE              1
#define FM_MFT_PPG_PPGC4_AVAILABLE                1
#define FM0P_MFT_PPG_PPGC5_AVAILABLE              1
#define FM_MFT_PPG_PPGC5_AVAILABLE                1
#define FM0P_MFT_PPG_PPGC6_AVAILABLE              1
#define FM_MFT_PPG_PPGC6_AVAILABLE                1
#define FM0P_MFT_PPG_PPGC7_AVAILABLE              1
#define FM_MFT_PPG_PPGC7_AVAILABLE                1
#define FM0P_MFT_PPG_PPGC8_AVAILABLE              1
#define FM_MFT_PPG_PPGC8_AVAILABLE                1
#define FM0P_MFT_PPG_PPGC9_AVAILABLE              1
#define FM_MFT_PPG_PPGC9_AVAILABLE                1
#define FM0P_MFT_PPG_PRLH0_AVAILABLE              1
#define FM_MFT_PPG_PRLH0_AVAILABLE                1
#define FM0P_MFT_PPG_PRLH1_AVAILABLE              1
#define FM_MFT_PPG_PRLH1_AVAILABLE                1
#define FM0P_MFT_PPG_PRLH10_AVAILABLE             1
#define FM_MFT_PPG_PRLH10_AVAILABLE               1
#define FM0P_MFT_PPG_PRLH11_AVAILABLE             1
#define FM_MFT_PPG_PRLH11_AVAILABLE               1
#define FM0P_MFT_PPG_PRLH12_AVAILABLE             1
#define FM_MFT_PPG_PRLH12_AVAILABLE               1
#define FM0P_MFT_PPG_PRLH13_AVAILABLE             1
#define FM_MFT_PPG_PRLH13_AVAILABLE               1
#define FM0P_MFT_PPG_PRLH14_AVAILABLE             1
#define FM_MFT_PPG_PRLH14_AVAILABLE               1
#define FM0P_MFT_PPG_PRLH15_AVAILABLE             1
#define FM_MFT_PPG_PRLH15_AVAILABLE               1
#define FM0P_MFT_PPG_PRLH16_AVAILABLE             1
#define FM_MFT_PPG_PRLH16_AVAILABLE               1
#define FM0P_MFT_PPG_PRLH17_AVAILABLE             1
#define FM_MFT_PPG_PRLH17_AVAILABLE               1
#define FM0P_MFT_PPG_PRLH18_AVAILABLE             1
#define FM_MFT_PPG_PRLH18_AVAILABLE               1
#define FM0P_MFT_PPG_PRLH19_AVAILABLE             1
#define FM_MFT_PPG_PRLH19_AVAILABLE               1
#define FM0P_MFT_PPG_PRLH2_AVAILABLE              1
#define FM_MFT_PPG_PRLH2_AVAILABLE                1
#define FM0P_MFT_PPG_PRLH20_AVAILABLE             1
#define FM_MFT_PPG_PRLH20_AVAILABLE               1
#define FM0P_MFT_PPG_PRLH21_AVAILABLE             1
#define FM_MFT_PPG_PRLH21_AVAILABLE               1
#define FM0P_MFT_PPG_PRLH22_AVAILABLE             1
#define FM_MFT_PPG_PRLH22_AVAILABLE               1
#define FM0P_MFT_PPG_PRLH23_AVAILABLE             1
#define FM_MFT_PPG_PRLH23_AVAILABLE               1
#define FM0P_MFT_PPG_PRLH3_AVAILABLE              1
#define FM_MFT_PPG_PRLH3_AVAILABLE                1
#define FM0P_MFT_PPG_PRLH4_AVAILABLE              1
#define FM_MFT_PPG_PRLH4_AVAILABLE                1
#define FM0P_MFT_PPG_PRLH5_AVAILABLE              1
#define FM_MFT_PPG_PRLH5_AVAILABLE                1
#define FM0P_MFT_PPG_PRLH6_AVAILABLE              1
#define FM_MFT_PPG_PRLH6_AVAILABLE                1
#define FM0P_MFT_PPG_PRLH7_AVAILABLE              1
#define FM_MFT_PPG_PRLH7_AVAILABLE                1
#define FM0P_MFT_PPG_PRLH8_AVAILABLE              1
#define FM_MFT_PPG_PRLH8_AVAILABLE                1
#define FM0P_MFT_PPG_PRLH9_AVAILABLE              1
#define FM_MFT_PPG_PRLH9_AVAILABLE                1
#define FM0P_MFT_PPG_PRLL0_AVAILABLE              1
#define FM_MFT_PPG_PRLL0_AVAILABLE                1
#define FM0P_MFT_PPG_PRLL1_AVAILABLE              1
#define FM_MFT_PPG_PRLL1_AVAILABLE                1
#define FM0P_MFT_PPG_PRLL10_AVAILABLE             1
#define FM_MFT_PPG_PRLL10_AVAILABLE               1
#define FM0P_MFT_PPG_PRLL11_AVAILABLE             1
#define FM_MFT_PPG_PRLL11_AVAILABLE               1
#define FM0P_MFT_PPG_PRLL12_AVAILABLE             1
#define FM_MFT_PPG_PRLL12_AVAILABLE               1
#define FM0P_MFT_PPG_PRLL13_AVAILABLE             1
#define FM_MFT_PPG_PRLL13_AVAILABLE               1
#define FM0P_MFT_PPG_PRLL14_AVAILABLE             1
#define FM_MFT_PPG_PRLL14_AVAILABLE               1
#define FM0P_MFT_PPG_PRLL15_AVAILABLE             1
#define FM_MFT_PPG_PRLL15_AVAILABLE               1
#define FM0P_MFT_PPG_PRLL16_AVAILABLE             1
#define FM_MFT_PPG_PRLL16_AVAILABLE               1
#define FM0P_MFT_PPG_PRLL17_AVAILABLE             1
#define FM_MFT_PPG_PRLL17_AVAILABLE               1
#define FM0P_MFT_PPG_PRLL18_AVAILABLE             1
#define FM_MFT_PPG_PRLL18_AVAILABLE               1
#define FM0P_MFT_PPG_PRLL19_AVAILABLE             1
#define FM_MFT_PPG_PRLL19_AVAILABLE               1
#define FM0P_MFT_PPG_PRLL2_AVAILABLE              1
#define FM_MFT_PPG_PRLL2_AVAILABLE                1
#define FM0P_MFT_PPG_PRLL20_AVAILABLE             1
#define FM_MFT_PPG_PRLL20_AVAILABLE               1
#define FM0P_MFT_PPG_PRLL21_AVAILABLE             1
#define FM_MFT_PPG_PRLL21_AVAILABLE               1
#define FM0P_MFT_PPG_PRLL22_AVAILABLE             1
#define FM_MFT_PPG_PRLL22_AVAILABLE               1
#define FM0P_MFT_PPG_PRLL23_AVAILABLE             1
#define FM_MFT_PPG_PRLL23_AVAILABLE               1
#define FM0P_MFT_PPG_PRLL3_AVAILABLE              1
#define FM_MFT_PPG_PRLL3_AVAILABLE                1
#define FM0P_MFT_PPG_PRLL4_AVAILABLE              1
#define FM_MFT_PPG_PRLL4_AVAILABLE                1
#define FM0P_MFT_PPG_PRLL5_AVAILABLE              1
#define FM_MFT_PPG_PRLL5_AVAILABLE                1
#define FM0P_MFT_PPG_PRLL6_AVAILABLE              1
#define FM_MFT_PPG_PRLL6_AVAILABLE                1
#define FM0P_MFT_PPG_PRLL7_AVAILABLE              1
#define FM_MFT_PPG_PRLL7_AVAILABLE                1
#define FM0P_MFT_PPG_PRLL8_AVAILABLE              1
#define FM_MFT_PPG_PRLL8_AVAILABLE                1
#define FM0P_MFT_PPG_PRLL9_AVAILABLE              1
#define FM_MFT_PPG_PRLL9_AVAILABLE                1
#define FM0P_MFT_PPG_REVC0_AVAILABLE              1
#define FM_MFT_PPG_REVC0_AVAILABLE                1
#define FM0P_MFT_PPG_REVC1_AVAILABLE              1
#define FM_MFT_PPG_REVC1_AVAILABLE                1
#define FM0P_MFT_PPG_TRG0_AVAILABLE               1
#define FM_MFT_PPG_TRG0_AVAILABLE                 1
#define FM0P_MFT_PPG_TRG1_AVAILABLE               1
#define FM_MFT_PPG_TRG1_AVAILABLE                 1
#define FM0P_MFT_PPG_TTCR0_AVAILABLE              1
#define FM_MFT_PPG_TTCR0_AVAILABLE                1
#define FM0P_MFT_PPG_TTCR1_AVAILABLE              1
#define FM_MFT_PPG_TTCR1_AVAILABLE                1
#define FM0P_MFT_PPG_TTCR2_AVAILABLE              1
#define FM_MFT_PPG_TTCR2_AVAILABLE                1
/******************************************************************************
 ** MTB_DWT
 ** 
 ******************************************************************************/
#define FM0P_MTB_DWT_CID0_AVAILABLE               1
#define FM_MTB_DWT_CID0_AVAILABLE                 1
#define FM0P_MTB_DWT_CID1_AVAILABLE               1
#define FM_MTB_DWT_CID1_AVAILABLE                 1
#define FM0P_MTB_DWT_CID2_AVAILABLE               1
#define FM_MTB_DWT_CID2_AVAILABLE                 1
#define FM0P_MTB_DWT_CID3_AVAILABLE               1
#define FM_MTB_DWT_CID3_AVAILABLE                 1
#define FM0P_MTB_DWT_CMP_ADDR_START_AVAILABLE     1
#define FM_MTB_DWT_CMP_ADDR_START_AVAILABLE       1
#define FM0P_MTB_DWT_CMP_ADDR_STOP_AVAILABLE      1
#define FM_MTB_DWT_CMP_ADDR_STOP_AVAILABLE        1
#define FM0P_MTB_DWT_CMP_DATA_START_AVAILABLE     1
#define FM_MTB_DWT_CMP_DATA_START_AVAILABLE       1
#define FM0P_MTB_DWT_CMP_DATA_STOP_AVAILABLE      1
#define FM_MTB_DWT_CMP_DATA_STOP_AVAILABLE        1
#define FM0P_MTB_DWT_CMP_MASK_START_AVAILABLE     1
#define FM_MTB_DWT_CMP_MASK_START_AVAILABLE       1
#define FM0P_MTB_DWT_CMP_MASK_STOP_AVAILABLE      1
#define FM_MTB_DWT_CMP_MASK_STOP_AVAILABLE        1
#define FM0P_MTB_DWT_FCT_AVAILABLE                1
#define FM_MTB_DWT_FCT_AVAILABLE                  1
#define FM0P_MTB_DWT_PID0_AVAILABLE               1
#define FM_MTB_DWT_PID0_AVAILABLE                 1
#define FM0P_MTB_DWT_PID1_AVAILABLE               1
#define FM_MTB_DWT_PID1_AVAILABLE                 1
#define FM0P_MTB_DWT_PID2_AVAILABLE               1
#define FM_MTB_DWT_PID2_AVAILABLE                 1
#define FM0P_MTB_DWT_PID3_AVAILABLE               1
#define FM_MTB_DWT_PID3_AVAILABLE                 1
#define FM0P_MTB_DWT_PID4_AVAILABLE               1
#define FM_MTB_DWT_PID4_AVAILABLE                 1
#define FM0P_MTB_DWT_PID5_AVAILABLE               1
#define FM_MTB_DWT_PID5_AVAILABLE                 1
#define FM0P_MTB_DWT_PID6_AVAILABLE               1
#define FM_MTB_DWT_PID6_AVAILABLE                 1
#define FM0P_MTB_DWT_PID7_AVAILABLE               1
#define FM_MTB_DWT_PID7_AVAILABLE                 1
/******************************************************************************
 ** QPRC0
 ** 
 ******************************************************************************/
#define FM0P_QPRC_QCR_AVAILABLE                   1
#define FM_QPRC_QCR_AVAILABLE                     1
#define FM0P_QPRC_QECR_AVAILABLE                  1
#define FM_QPRC_QECR_AVAILABLE                    1
#define FM0P_QPRC_QICRH_AVAILABLE                 1
#define FM_QPRC_QICRH_AVAILABLE                   1
#define FM0P_QPRC_QICRL_AVAILABLE                 1
#define FM_QPRC_QICRL_AVAILABLE                   1
#define FM0P_QPRC_QMPR_AVAILABLE                  1
#define FM_QPRC_QMPR_AVAILABLE                    1
#define FM0P_QPRC_QPCCR_AVAILABLE                 1
#define FM_QPRC_QPCCR_AVAILABLE                   1
#define FM0P_QPRC_QPCR_AVAILABLE                  1
#define FM_QPRC_QPCR_AVAILABLE                    1
#define FM0P_QPRC_QPRCR_AVAILABLE                 1
#define FM_QPRC_QPRCR_AVAILABLE                   1
#define FM0P_QPRC_QPRCRR_AVAILABLE                1
#define FM_QPRC_QPRCRR_AVAILABLE                  1
#define FM0P_QPRC_QRCR_AVAILABLE                  1
#define FM_QPRC_QRCR_AVAILABLE                    1
/******************************************************************************
 ** QPRC0_NF
 ** 
 ******************************************************************************/
#define FM0P_QPRC_NF_NFCTLA_AVAILABLE             1
#define FM_QPRC_NF_NFCTLA_AVAILABLE               1
#define FM0P_QPRC_NF_NFCTLB_AVAILABLE             1
#define FM_QPRC_NF_NFCTLB_AVAILABLE               1
#define FM0P_QPRC_NF_NFCTLZ_AVAILABLE             1
#define FM_QPRC_NF_NFCTLZ_AVAILABLE               1
/******************************************************************************
 ** RTC
 ** 
 ******************************************************************************/
#define FM0P_RTC_ALDR_AVAILABLE                   1
#define FM_RTC_ALDR_AVAILABLE                     1
#define FM0P_RTC_ALHR_AVAILABLE                   1
#define FM_RTC_ALHR_AVAILABLE                     1
#define FM0P_RTC_ALMIR_AVAILABLE                  1
#define FM_RTC_ALMIR_AVAILABLE                    1
#define FM0P_RTC_ALMOR_AVAILABLE                  1
#define FM_RTC_ALMOR_AVAILABLE                    1
#define FM0P_RTC_ALYR_AVAILABLE                   1
#define FM_RTC_ALYR_AVAILABLE                     1
#define FM0P_RTC_WTBR_AVAILABLE                   1
#define FM_RTC_WTBR_AVAILABLE                     1
#define FM0P_RTC_WTCAL_AVAILABLE                  1
#define FM_RTC_WTCAL_AVAILABLE                    1
#define FM0P_RTC_WTCALEN_AVAILABLE                1
#define FM_RTC_WTCALEN_AVAILABLE                  1
#define FM0P_RTC_WTCALPRD_AVAILABLE               1
#define FM_RTC_WTCALPRD_AVAILABLE                 1
#define FM0P_RTC_WTCLKM_AVAILABLE                 1
#define FM_RTC_WTCLKM_AVAILABLE                   1
#define FM0P_RTC_WTCLKS_AVAILABLE                 1
#define FM_RTC_WTCLKS_AVAILABLE                   1
#define FM0P_RTC_WTCOSEL_AVAILABLE                1
#define FM_RTC_WTCOSEL_AVAILABLE                  1
#define FM0P_RTC_WTCR1_AVAILABLE                  1
#define FM_RTC_WTCR1_AVAILABLE                    1
#define FM0P_RTC_WTCR2_AVAILABLE                  1
#define FM_RTC_WTCR2_AVAILABLE                    1
#define FM0P_RTC_WTDIV_AVAILABLE                  1
#define FM_RTC_WTDIV_AVAILABLE                    1
#define FM0P_RTC_WTDIVEN_AVAILABLE                1
#define FM_RTC_WTDIVEN_AVAILABLE                  1
#define FM0P_RTC_WTDR_AVAILABLE                   1
#define FM_RTC_WTDR_AVAILABLE                     1
#define FM0P_RTC_WTDW_AVAILABLE                   1
#define FM_RTC_WTDW_AVAILABLE                     1
#define FM0P_RTC_WTHR_AVAILABLE                   1
#define FM_RTC_WTHR_AVAILABLE                     1
#define FM0P_RTC_WTMIR_AVAILABLE                  1
#define FM_RTC_WTMIR_AVAILABLE                    1
#define FM0P_RTC_WTMOR_AVAILABLE                  1
#define FM_RTC_WTMOR_AVAILABLE                    1
#define FM0P_RTC_WTSR_AVAILABLE                   1
#define FM_RTC_WTSR_AVAILABLE                     1
#define FM0P_RTC_WTTR_AVAILABLE                   1
#define FM_RTC_WTTR_AVAILABLE                     1
#define FM0P_RTC_WTYR_AVAILABLE                   1
#define FM_RTC_WTYR_AVAILABLE                     1
/******************************************************************************
 ** SBSSR
 ** 
 ******************************************************************************/
#define FM0P_SBSSR_BTSSSR_AVAILABLE               1
#define FM_SBSSR_BTSSSR_AVAILABLE                 1
/******************************************************************************
 ** SWWDT
 ** 
 ******************************************************************************/
#define FM0P_SWWDT_WDOGCONTROL_AVAILABLE          1
#define FM_SWWDT_WDOGCONTROL_AVAILABLE            1
#define FM0P_SWWDT_WDOGINTCLR_AVAILABLE           1
#define FM_SWWDT_WDOGINTCLR_AVAILABLE             1
#define FM0P_SWWDT_WDOGLOAD_AVAILABLE             1
#define FM_SWWDT_WDOGLOAD_AVAILABLE               1
#define FM0P_SWWDT_WDOGLOCK_AVAILABLE             1
#define FM_SWWDT_WDOGLOCK_AVAILABLE               1
#define FM0P_SWWDT_WDOGRIS_AVAILABLE              1
#define FM_SWWDT_WDOGRIS_AVAILABLE                1
#define FM0P_SWWDT_WDOGSPMC_AVAILABLE             1
#define FM_SWWDT_WDOGSPMC_AVAILABLE               1
#define FM0P_SWWDT_WDOGVALUE_AVAILABLE            1
#define FM_SWWDT_WDOGVALUE_AVAILABLE              1
/******************************************************************************
 ** UNIQUE_ID
 ** 
 ******************************************************************************/
#define FM0P_UNIQUE_ID_UIDR0_AVAILABLE            1
#define FM_UNIQUE_ID_UIDR0_AVAILABLE              1
#define FM0P_UNIQUE_ID_UIDR1_AVAILABLE            1
#define FM_UNIQUE_ID_UIDR1_AVAILABLE              1
/******************************************************************************
 ** WC
 ** 
 ******************************************************************************/
#define FM0P_WC_CLK_EN_AVAILABLE                  1
#define FM_WC_CLK_EN_AVAILABLE                    1
#define FM0P_WC_CLK_SEL_AVAILABLE                 1
#define FM_WC_CLK_SEL_AVAILABLE                   1
#define FM0P_WC_WCCR_AVAILABLE                    1
#define FM_WC_WCCR_AVAILABLE                      1
#define FM0P_WC_WCRD_AVAILABLE                    1
#define FM_WC_WCRD_AVAILABLE                      1
#define FM0P_WC_WCRL_AVAILABLE                    1
#define FM_WC_WCRL_AVAILABLE                      1

/******************************************************************************
 ** Peripheral Bit Band Alias declaration
 ** 
 ******************************************************************************/
/******************************************************************************
 ** ADC Registers ADC0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_ADC0_ADCEN_ENBL                       *((volatile  uint8_t *)(0x424E0780UL))
#define bFM0P_ADC0_ADCEN_ENBL                     *((volatile  uint8_t *)(0x424E0780UL))
#define bFM_ADC0_ADCEN_READY                      *((volatile  uint8_t *)(0x424E0784UL))
#define bFM0P_ADC0_ADCEN_READY                    *((volatile  uint8_t *)(0x424E0784UL))

#define bFM_ADC0_ADCR_OVRIE                       *((volatile  uint8_t *)(0x424E0020UL))
#define bFM0P_ADC0_ADCR_OVRIE                     *((volatile  uint8_t *)(0x424E0020UL))
#define bFM_ADC0_ADCR_CMPIE                       *((volatile  uint8_t *)(0x424E0024UL))
#define bFM0P_ADC0_ADCR_CMPIE                     *((volatile  uint8_t *)(0x424E0024UL))
#define bFM_ADC0_ADCR_PCIE                        *((volatile  uint8_t *)(0x424E0028UL))
#define bFM0P_ADC0_ADCR_PCIE                      *((volatile  uint8_t *)(0x424E0028UL))
#define bFM_ADC0_ADCR_SCIE                        *((volatile  uint8_t *)(0x424E002CUL))
#define bFM0P_ADC0_ADCR_SCIE                      *((volatile  uint8_t *)(0x424E002CUL))
#define bFM_ADC0_ADCR_CMPIF                       *((volatile  uint8_t *)(0x424E0034UL))
#define bFM0P_ADC0_ADCR_CMPIF                     *((volatile  uint8_t *)(0x424E0034UL))
#define bFM_ADC0_ADCR_PCIF                        *((volatile  uint8_t *)(0x424E0038UL))
#define bFM0P_ADC0_ADCR_PCIF                      *((volatile  uint8_t *)(0x424E0038UL))
#define bFM_ADC0_ADCR_SCIF                        *((volatile  uint8_t *)(0x424E003CUL))
#define bFM0P_ADC0_ADCR_SCIF                      *((volatile  uint8_t *)(0x424E003CUL))

#define bFM_ADC0_ADSR_SCS                         *((volatile  uint8_t *)(0x424E0000UL))
#define bFM0P_ADC0_ADSR_SCS                       *((volatile  uint8_t *)(0x424E0000UL))
#define bFM_ADC0_ADSR_PCS                         *((volatile  uint8_t *)(0x424E0004UL))
#define bFM0P_ADC0_ADSR_PCS                       *((volatile  uint8_t *)(0x424E0004UL))
#define bFM_ADC0_ADSR_PCNS                        *((volatile  uint8_t *)(0x424E0008UL))
#define bFM0P_ADC0_ADSR_PCNS                      *((volatile  uint8_t *)(0x424E0008UL))
#define bFM_ADC0_ADSR_FDAS                        *((volatile  uint8_t *)(0x424E0018UL))
#define bFM0P_ADC0_ADSR_FDAS                      *((volatile  uint8_t *)(0x424E0018UL))
#define bFM_ADC0_ADSR_ADSTP                       *((volatile  uint8_t *)(0x424E001CUL))
#define bFM0P_ADC0_ADSR_ADSTP                     *((volatile  uint8_t *)(0x424E001CUL))

#define bFM_ADC0_ADSS01_TS0                       *((volatile  uint8_t *)(0x424E0580UL))
#define bFM0P_ADC0_ADSS01_TS0                     *((volatile  uint8_t *)(0x424E0580UL))
#define bFM_ADC0_ADSS01_TS1                       *((volatile  uint8_t *)(0x424E0584UL))
#define bFM0P_ADC0_ADSS01_TS1                     *((volatile  uint8_t *)(0x424E0584UL))
#define bFM_ADC0_ADSS01_TS2                       *((volatile  uint8_t *)(0x424E0588UL))
#define bFM0P_ADC0_ADSS01_TS2                     *((volatile  uint8_t *)(0x424E0588UL))
#define bFM_ADC0_ADSS01_TS3                       *((volatile  uint8_t *)(0x424E058CUL))
#define bFM0P_ADC0_ADSS01_TS3                     *((volatile  uint8_t *)(0x424E058CUL))
#define bFM_ADC0_ADSS01_TS4                       *((volatile  uint8_t *)(0x424E0590UL))
#define bFM0P_ADC0_ADSS01_TS4                     *((volatile  uint8_t *)(0x424E0590UL))
#define bFM_ADC0_ADSS01_TS5                       *((volatile  uint8_t *)(0x424E0594UL))
#define bFM0P_ADC0_ADSS01_TS5                     *((volatile  uint8_t *)(0x424E0594UL))
#define bFM_ADC0_ADSS01_TS6                       *((volatile  uint8_t *)(0x424E0598UL))
#define bFM0P_ADC0_ADSS01_TS6                     *((volatile  uint8_t *)(0x424E0598UL))
#define bFM_ADC0_ADSS01_TS7                       *((volatile  uint8_t *)(0x424E059CUL))
#define bFM0P_ADC0_ADSS01_TS7                     *((volatile  uint8_t *)(0x424E059CUL))
#define bFM_ADC0_ADSS01_TS8                       *((volatile  uint8_t *)(0x424E05A0UL))
#define bFM0P_ADC0_ADSS01_TS8                     *((volatile  uint8_t *)(0x424E05A0UL))
#define bFM_ADC0_ADSS01_TS9                       *((volatile  uint8_t *)(0x424E05A4UL))
#define bFM0P_ADC0_ADSS01_TS9                     *((volatile  uint8_t *)(0x424E05A4UL))
#define bFM_ADC0_ADSS01_TS10                      *((volatile  uint8_t *)(0x424E05A8UL))
#define bFM0P_ADC0_ADSS01_TS10                    *((volatile  uint8_t *)(0x424E05A8UL))
#define bFM_ADC0_ADSS01_TS11                      *((volatile  uint8_t *)(0x424E05ACUL))
#define bFM0P_ADC0_ADSS01_TS11                    *((volatile  uint8_t *)(0x424E05ACUL))
#define bFM_ADC0_ADSS01_TS12                      *((volatile  uint8_t *)(0x424E05B0UL))
#define bFM0P_ADC0_ADSS01_TS12                    *((volatile  uint8_t *)(0x424E05B0UL))
#define bFM_ADC0_ADSS01_TS13                      *((volatile  uint8_t *)(0x424E05B4UL))
#define bFM0P_ADC0_ADSS01_TS13                    *((volatile  uint8_t *)(0x424E05B4UL))
#define bFM_ADC0_ADSS01_TS14                      *((volatile  uint8_t *)(0x424E05B8UL))
#define bFM0P_ADC0_ADSS01_TS14                    *((volatile  uint8_t *)(0x424E05B8UL))
#define bFM_ADC0_ADSS01_TS15                      *((volatile  uint8_t *)(0x424E05BCUL))
#define bFM0P_ADC0_ADSS01_TS15                    *((volatile  uint8_t *)(0x424E05BCUL))

#define bFM_ADC0_ADSS23_TS16                      *((volatile  uint8_t *)(0x424E0500UL))
#define bFM0P_ADC0_ADSS23_TS16                    *((volatile  uint8_t *)(0x424E0500UL))
#define bFM_ADC0_ADSS23_TS17                      *((volatile  uint8_t *)(0x424E0504UL))
#define bFM0P_ADC0_ADSS23_TS17                    *((volatile  uint8_t *)(0x424E0504UL))
#define bFM_ADC0_ADSS23_TS18                      *((volatile  uint8_t *)(0x424E0508UL))
#define bFM0P_ADC0_ADSS23_TS18                    *((volatile  uint8_t *)(0x424E0508UL))
#define bFM_ADC0_ADSS23_TS19                      *((volatile  uint8_t *)(0x424E050CUL))
#define bFM0P_ADC0_ADSS23_TS19                    *((volatile  uint8_t *)(0x424E050CUL))
#define bFM_ADC0_ADSS23_TS20                      *((volatile  uint8_t *)(0x424E0510UL))
#define bFM0P_ADC0_ADSS23_TS20                    *((volatile  uint8_t *)(0x424E0510UL))
#define bFM_ADC0_ADSS23_TS21                      *((volatile  uint8_t *)(0x424E0514UL))
#define bFM0P_ADC0_ADSS23_TS21                    *((volatile  uint8_t *)(0x424E0514UL))
#define bFM_ADC0_ADSS23_TS22                      *((volatile  uint8_t *)(0x424E0518UL))
#define bFM0P_ADC0_ADSS23_TS22                    *((volatile  uint8_t *)(0x424E0518UL))
#define bFM_ADC0_ADSS23_TS23                      *((volatile  uint8_t *)(0x424E051CUL))
#define bFM0P_ADC0_ADSS23_TS23                    *((volatile  uint8_t *)(0x424E051CUL))
#define bFM_ADC0_ADSS23_TS24                      *((volatile  uint8_t *)(0x424E0520UL))
#define bFM0P_ADC0_ADSS23_TS24                    *((volatile  uint8_t *)(0x424E0520UL))
#define bFM_ADC0_ADSS23_TS25                      *((volatile  uint8_t *)(0x424E0524UL))
#define bFM0P_ADC0_ADSS23_TS25                    *((volatile  uint8_t *)(0x424E0524UL))
#define bFM_ADC0_ADSS23_TS26                      *((volatile  uint8_t *)(0x424E0528UL))
#define bFM0P_ADC0_ADSS23_TS26                    *((volatile  uint8_t *)(0x424E0528UL))
#define bFM_ADC0_ADSS23_TS27                      *((volatile  uint8_t *)(0x424E052CUL))
#define bFM0P_ADC0_ADSS23_TS27                    *((volatile  uint8_t *)(0x424E052CUL))
#define bFM_ADC0_ADSS23_TS28                      *((volatile  uint8_t *)(0x424E0530UL))
#define bFM0P_ADC0_ADSS23_TS28                    *((volatile  uint8_t *)(0x424E0530UL))
#define bFM_ADC0_ADSS23_TS29                      *((volatile  uint8_t *)(0x424E0534UL))
#define bFM0P_ADC0_ADSS23_TS29                    *((volatile  uint8_t *)(0x424E0534UL))
#define bFM_ADC0_ADSS23_TS30                      *((volatile  uint8_t *)(0x424E0538UL))
#define bFM0P_ADC0_ADSS23_TS30                    *((volatile  uint8_t *)(0x424E0538UL))
#define bFM_ADC0_ADSS23_TS31                      *((volatile  uint8_t *)(0x424E053CUL))
#define bFM0P_ADC0_ADSS23_TS31                    *((volatile  uint8_t *)(0x424E053CUL))

#define bFM_ADC0_CMPCR_CMD0                       *((volatile  uint8_t *)(0x424E0494UL))
#define bFM0P_ADC0_CMPCR_CMD0                     *((volatile  uint8_t *)(0x424E0494UL))
#define bFM_ADC0_CMPCR_CMD1                       *((volatile  uint8_t *)(0x424E0498UL))
#define bFM0P_ADC0_CMPCR_CMD1                     *((volatile  uint8_t *)(0x424E0498UL))
#define bFM_ADC0_CMPCR_CMPEN                      *((volatile  uint8_t *)(0x424E049CUL))
#define bFM0P_ADC0_CMPCR_CMPEN                    *((volatile  uint8_t *)(0x424E049CUL))

#define bFM_ADC0_PCCR_PSTR                        *((volatile  uint8_t *)(0x424E0320UL))
#define bFM0P_ADC0_PCCR_PSTR                      *((volatile  uint8_t *)(0x424E0320UL))
#define bFM_ADC0_PCCR_PHEN                        *((volatile  uint8_t *)(0x424E0324UL))
#define bFM0P_ADC0_PCCR_PHEN                      *((volatile  uint8_t *)(0x424E0324UL))
#define bFM_ADC0_PCCR_PEEN                        *((volatile  uint8_t *)(0x424E0328UL))
#define bFM0P_ADC0_PCCR_PEEN                      *((volatile  uint8_t *)(0x424E0328UL))
#define bFM_ADC0_PCCR_ESCE                        *((volatile  uint8_t *)(0x424E032CUL))
#define bFM0P_ADC0_PCCR_ESCE                      *((volatile  uint8_t *)(0x424E032CUL))
#define bFM_ADC0_PCCR_PFCLR                       *((volatile  uint8_t *)(0x424E0330UL))
#define bFM0P_ADC0_PCCR_PFCLR                     *((volatile  uint8_t *)(0x424E0330UL))
#define bFM_ADC0_PCCR_POVR                        *((volatile  uint8_t *)(0x424E0334UL))
#define bFM0P_ADC0_PCCR_POVR                      *((volatile  uint8_t *)(0x424E0334UL))
#define bFM_ADC0_PCCR_PFUL                        *((volatile  uint8_t *)(0x424E0338UL))
#define bFM0P_ADC0_PCCR_PFUL                      *((volatile  uint8_t *)(0x424E0338UL))
#define bFM_ADC0_PCCR_PEMP                        *((volatile  uint8_t *)(0x424E033CUL))
#define bFM0P_ADC0_PCCR_PEMP                      *((volatile  uint8_t *)(0x424E033CUL))

#define bFM_ADC0_PCFD_INVL                        *((volatile  uint8_t *)(0x424E03B0UL))
#define bFM0P_ADC0_PCFD_INVL                      *((volatile  uint8_t *)(0x424E03B0UL))

#define bFM_ADC0_PCFD_FDAS1_INVL                  *((volatile  uint8_t *)(0x424E03B0UL))
#define bFM0P_ADC0_PCFD_FDAS1_INVL                *((volatile  uint8_t *)(0x424E03B0UL))

#define bFM_ADC0_SCCR_SSTR                        *((volatile  uint8_t *)(0x424E0120UL))
#define bFM0P_ADC0_SCCR_SSTR                      *((volatile  uint8_t *)(0x424E0120UL))
#define bFM_ADC0_SCCR_SHEN                        *((volatile  uint8_t *)(0x424E0124UL))
#define bFM0P_ADC0_SCCR_SHEN                      *((volatile  uint8_t *)(0x424E0124UL))
#define bFM_ADC0_SCCR_RPT                         *((volatile  uint8_t *)(0x424E0128UL))
#define bFM0P_ADC0_SCCR_RPT                       *((volatile  uint8_t *)(0x424E0128UL))
#define bFM_ADC0_SCCR_SFCLR                       *((volatile  uint8_t *)(0x424E0130UL))
#define bFM0P_ADC0_SCCR_SFCLR                     *((volatile  uint8_t *)(0x424E0130UL))
#define bFM_ADC0_SCCR_SOVR                        *((volatile  uint8_t *)(0x424E0134UL))
#define bFM0P_ADC0_SCCR_SOVR                      *((volatile  uint8_t *)(0x424E0134UL))
#define bFM_ADC0_SCCR_SFUL                        *((volatile  uint8_t *)(0x424E0138UL))
#define bFM0P_ADC0_SCCR_SFUL                      *((volatile  uint8_t *)(0x424E0138UL))
#define bFM_ADC0_SCCR_SEMP                        *((volatile  uint8_t *)(0x424E013CUL))
#define bFM0P_ADC0_SCCR_SEMP                      *((volatile  uint8_t *)(0x424E013CUL))

#define bFM_ADC0_SCFD_INVL                        *((volatile  uint8_t *)(0x424E01B0UL))
#define bFM0P_ADC0_SCFD_INVL                      *((volatile  uint8_t *)(0x424E01B0UL))

#define bFM_ADC0_SCFD_FDAS1_INVL                  *((volatile  uint8_t *)(0x424E01B0UL))
#define bFM0P_ADC0_SCFD_FDAS1_INVL                *((volatile  uint8_t *)(0x424E01B0UL))

#define bFM_ADC0_SCIS01_AN0                       *((volatile  uint8_t *)(0x424E0280UL))
#define bFM0P_ADC0_SCIS01_AN0                     *((volatile  uint8_t *)(0x424E0280UL))
#define bFM_ADC0_SCIS01_AN1                       *((volatile  uint8_t *)(0x424E0284UL))
#define bFM0P_ADC0_SCIS01_AN1                     *((volatile  uint8_t *)(0x424E0284UL))
#define bFM_ADC0_SCIS01_AN2                       *((volatile  uint8_t *)(0x424E0288UL))
#define bFM0P_ADC0_SCIS01_AN2                     *((volatile  uint8_t *)(0x424E0288UL))
#define bFM_ADC0_SCIS01_AN3                       *((volatile  uint8_t *)(0x424E028CUL))
#define bFM0P_ADC0_SCIS01_AN3                     *((volatile  uint8_t *)(0x424E028CUL))
#define bFM_ADC0_SCIS01_AN4                       *((volatile  uint8_t *)(0x424E0290UL))
#define bFM0P_ADC0_SCIS01_AN4                     *((volatile  uint8_t *)(0x424E0290UL))
#define bFM_ADC0_SCIS01_AN5                       *((volatile  uint8_t *)(0x424E0294UL))
#define bFM0P_ADC0_SCIS01_AN5                     *((volatile  uint8_t *)(0x424E0294UL))
#define bFM_ADC0_SCIS01_AN6                       *((volatile  uint8_t *)(0x424E0298UL))
#define bFM0P_ADC0_SCIS01_AN6                     *((volatile  uint8_t *)(0x424E0298UL))
#define bFM_ADC0_SCIS01_AN7                       *((volatile  uint8_t *)(0x424E029CUL))
#define bFM0P_ADC0_SCIS01_AN7                     *((volatile  uint8_t *)(0x424E029CUL))
#define bFM_ADC0_SCIS01_AN8                       *((volatile  uint8_t *)(0x424E02A0UL))
#define bFM0P_ADC0_SCIS01_AN8                     *((volatile  uint8_t *)(0x424E02A0UL))
#define bFM_ADC0_SCIS01_AN9                       *((volatile  uint8_t *)(0x424E02A4UL))
#define bFM0P_ADC0_SCIS01_AN9                     *((volatile  uint8_t *)(0x424E02A4UL))
#define bFM_ADC0_SCIS01_AN10                      *((volatile  uint8_t *)(0x424E02A8UL))
#define bFM0P_ADC0_SCIS01_AN10                    *((volatile  uint8_t *)(0x424E02A8UL))
#define bFM_ADC0_SCIS01_AN11                      *((volatile  uint8_t *)(0x424E02ACUL))
#define bFM0P_ADC0_SCIS01_AN11                    *((volatile  uint8_t *)(0x424E02ACUL))
#define bFM_ADC0_SCIS01_AN12                      *((volatile  uint8_t *)(0x424E02B0UL))
#define bFM0P_ADC0_SCIS01_AN12                    *((volatile  uint8_t *)(0x424E02B0UL))
#define bFM_ADC0_SCIS01_AN13                      *((volatile  uint8_t *)(0x424E02B4UL))
#define bFM0P_ADC0_SCIS01_AN13                    *((volatile  uint8_t *)(0x424E02B4UL))
#define bFM_ADC0_SCIS01_AN14                      *((volatile  uint8_t *)(0x424E02B8UL))
#define bFM0P_ADC0_SCIS01_AN14                    *((volatile  uint8_t *)(0x424E02B8UL))
#define bFM_ADC0_SCIS01_AN15                      *((volatile  uint8_t *)(0x424E02BCUL))
#define bFM0P_ADC0_SCIS01_AN15                    *((volatile  uint8_t *)(0x424E02BCUL))

#define bFM_ADC0_SCIS23_AN16                      *((volatile  uint8_t *)(0x424E0200UL))
#define bFM0P_ADC0_SCIS23_AN16                    *((volatile  uint8_t *)(0x424E0200UL))
#define bFM_ADC0_SCIS23_AN17                      *((volatile  uint8_t *)(0x424E0204UL))
#define bFM0P_ADC0_SCIS23_AN17                    *((volatile  uint8_t *)(0x424E0204UL))
#define bFM_ADC0_SCIS23_AN18                      *((volatile  uint8_t *)(0x424E0208UL))
#define bFM0P_ADC0_SCIS23_AN18                    *((volatile  uint8_t *)(0x424E0208UL))
#define bFM_ADC0_SCIS23_AN19                      *((volatile  uint8_t *)(0x424E020CUL))
#define bFM0P_ADC0_SCIS23_AN19                    *((volatile  uint8_t *)(0x424E020CUL))
#define bFM_ADC0_SCIS23_AN20                      *((volatile  uint8_t *)(0x424E0210UL))
#define bFM0P_ADC0_SCIS23_AN20                    *((volatile  uint8_t *)(0x424E0210UL))
#define bFM_ADC0_SCIS23_AN21                      *((volatile  uint8_t *)(0x424E0214UL))
#define bFM0P_ADC0_SCIS23_AN21                    *((volatile  uint8_t *)(0x424E0214UL))
#define bFM_ADC0_SCIS23_AN22                      *((volatile  uint8_t *)(0x424E0218UL))
#define bFM0P_ADC0_SCIS23_AN22                    *((volatile  uint8_t *)(0x424E0218UL))
#define bFM_ADC0_SCIS23_AN23                      *((volatile  uint8_t *)(0x424E021CUL))
#define bFM0P_ADC0_SCIS23_AN23                    *((volatile  uint8_t *)(0x424E021CUL))
#define bFM_ADC0_SCIS23_AN24                      *((volatile  uint8_t *)(0x424E0220UL))
#define bFM0P_ADC0_SCIS23_AN24                    *((volatile  uint8_t *)(0x424E0220UL))
#define bFM_ADC0_SCIS23_AN25                      *((volatile  uint8_t *)(0x424E0224UL))
#define bFM0P_ADC0_SCIS23_AN25                    *((volatile  uint8_t *)(0x424E0224UL))
#define bFM_ADC0_SCIS23_AN26                      *((volatile  uint8_t *)(0x424E0228UL))
#define bFM0P_ADC0_SCIS23_AN26                    *((volatile  uint8_t *)(0x424E0228UL))
#define bFM_ADC0_SCIS23_AN27                      *((volatile  uint8_t *)(0x424E022CUL))
#define bFM0P_ADC0_SCIS23_AN27                    *((volatile  uint8_t *)(0x424E022CUL))
#define bFM_ADC0_SCIS23_AN28                      *((volatile  uint8_t *)(0x424E0230UL))
#define bFM0P_ADC0_SCIS23_AN28                    *((volatile  uint8_t *)(0x424E0230UL))
#define bFM_ADC0_SCIS23_AN29                      *((volatile  uint8_t *)(0x424E0234UL))
#define bFM0P_ADC0_SCIS23_AN29                    *((volatile  uint8_t *)(0x424E0234UL))
#define bFM_ADC0_SCIS23_AN30                      *((volatile  uint8_t *)(0x424E0238UL))
#define bFM0P_ADC0_SCIS23_AN30                    *((volatile  uint8_t *)(0x424E0238UL))
#define bFM_ADC0_SCIS23_AN31                      *((volatile  uint8_t *)(0x424E023CUL))
#define bFM0P_ADC0_SCIS23_AN31                    *((volatile  uint8_t *)(0x424E023CUL))

#define bFM_ADC0_WCMPCR_RCOE                      *((volatile  uint8_t *)(0x424E0988UL))
#define bFM0P_ADC0_WCMPCR_RCOE                    *((volatile  uint8_t *)(0x424E0988UL))
#define bFM_ADC0_WCMPCR_RCOIE                     *((volatile  uint8_t *)(0x424E098CUL))
#define bFM0P_ADC0_WCMPCR_RCOIE                   *((volatile  uint8_t *)(0x424E098CUL))
#define bFM_ADC0_WCMPCR_RCOIRS                    *((volatile  uint8_t *)(0x424E0990UL))
#define bFM0P_ADC0_WCMPCR_RCOIRS                  *((volatile  uint8_t *)(0x424E0990UL))

#define bFM_ADC0_WCMPSR_WCMD                      *((volatile  uint8_t *)(0x424E09B4UL))
#define bFM0P_ADC0_WCMPSR_WCMD                    *((volatile  uint8_t *)(0x424E09B4UL))

#define bFM_ADC0_WCMRCIF_RCINT                    *((volatile  uint8_t *)(0x424E0880UL))
#define bFM0P_ADC0_WCMRCIF_RCINT                  *((volatile  uint8_t *)(0x424E0880UL))

#define bFM_ADC0_WCMRCOT_RCOOF                    *((volatile  uint8_t *)(0x424E0900UL))
#define bFM0P_ADC0_WCMRCOT_RCOOF                  *((volatile  uint8_t *)(0x424E0900UL))


/******************************************************************************
 ** BT Registers BT0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT0_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A0200UL))
#define bFM0P_BT0_PPG_STC_UDIR                    *((volatile  uint8_t *)(0x424A0200UL))
#define bFM_BT0_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A0208UL))
#define bFM0P_BT0_PPG_STC_TGIR                    *((volatile  uint8_t *)(0x424A0208UL))
#define bFM_BT0_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A0210UL))
#define bFM0P_BT0_PPG_STC_UDIE                    *((volatile  uint8_t *)(0x424A0210UL))
#define bFM_BT0_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A0218UL))
#define bFM0P_BT0_PPG_STC_TGIE                    *((volatile  uint8_t *)(0x424A0218UL))

#define bFM_BT0_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0180UL))
#define bFM0P_BT0_PPG_TMCR_STRG                   *((volatile  uint8_t *)(0x424A0180UL))
#define bFM_BT0_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0184UL))
#define bFM0P_BT0_PPG_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A0184UL))
#define bFM_BT0_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0188UL))
#define bFM0P_BT0_PPG_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A0188UL))
#define bFM_BT0_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A018CUL))
#define bFM0P_BT0_PPG_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A018CUL))
#define bFM_BT0_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A01A8UL))
#define bFM0P_BT0_PPG_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A01A8UL))
#define bFM_BT0_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A01ACUL))
#define bFM0P_BT0_PPG_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A01ACUL))

#define bFM_BT0_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0220UL))
#define bFM0P_BT0_PPG_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A0220UL))

#define bFM_BT0_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A0200UL))
#define bFM0P_BT0_PWC_STC_OVIR                    *((volatile  uint8_t *)(0x424A0200UL))
#define bFM_BT0_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A0208UL))
#define bFM0P_BT0_PWC_STC_EDIR                    *((volatile  uint8_t *)(0x424A0208UL))
#define bFM_BT0_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A0210UL))
#define bFM0P_BT0_PWC_STC_OVIE                    *((volatile  uint8_t *)(0x424A0210UL))
#define bFM_BT0_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A0218UL))
#define bFM0P_BT0_PWC_STC_EDIE                    *((volatile  uint8_t *)(0x424A0218UL))
#define bFM_BT0_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A021CUL))
#define bFM0P_BT0_PWC_STC_ERR                     *((volatile  uint8_t *)(0x424A021CUL))

#define bFM_BT0_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0184UL))
#define bFM0P_BT0_PWC_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A0184UL))
#define bFM_BT0_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0188UL))
#define bFM0P_BT0_PWC_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A0188UL))
#define bFM_BT0_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A019CUL))
#define bFM0P_BT0_PWC_TMCR_T32                    *((volatile  uint8_t *)(0x424A019CUL))

#define bFM_BT0_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0220UL))
#define bFM0P_BT0_PWC_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A0220UL))

#define bFM_BT0_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A0200UL))
#define bFM0P_BT0_PWM_STC_UDIR                    *((volatile  uint8_t *)(0x424A0200UL))
#define bFM_BT0_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A0204UL))
#define bFM0P_BT0_PWM_STC_DTIR                    *((volatile  uint8_t *)(0x424A0204UL))
#define bFM_BT0_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A0208UL))
#define bFM0P_BT0_PWM_STC_TGIR                    *((volatile  uint8_t *)(0x424A0208UL))
#define bFM_BT0_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A0210UL))
#define bFM0P_BT0_PWM_STC_UDIE                    *((volatile  uint8_t *)(0x424A0210UL))
#define bFM_BT0_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A0214UL))
#define bFM0P_BT0_PWM_STC_DTIE                    *((volatile  uint8_t *)(0x424A0214UL))
#define bFM_BT0_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A0218UL))
#define bFM0P_BT0_PWM_STC_TGIE                    *((volatile  uint8_t *)(0x424A0218UL))

#define bFM_BT0_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0180UL))
#define bFM0P_BT0_PWM_TMCR_STRG                   *((volatile  uint8_t *)(0x424A0180UL))
#define bFM_BT0_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0184UL))
#define bFM0P_BT0_PWM_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A0184UL))
#define bFM_BT0_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0188UL))
#define bFM0P_BT0_PWM_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A0188UL))
#define bFM_BT0_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A018CUL))
#define bFM0P_BT0_PWM_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A018CUL))
#define bFM_BT0_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A01A8UL))
#define bFM0P_BT0_PWM_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A01A8UL))
#define bFM_BT0_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A01ACUL))
#define bFM0P_BT0_PWM_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A01ACUL))

#define bFM_BT0_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0220UL))
#define bFM0P_BT0_PWM_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A0220UL))

#define bFM_BT0_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A0200UL))
#define bFM0P_BT0_RT_STC_UDIR                     *((volatile  uint8_t *)(0x424A0200UL))
#define bFM_BT0_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A0208UL))
#define bFM0P_BT0_RT_STC_TGIR                     *((volatile  uint8_t *)(0x424A0208UL))
#define bFM_BT0_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A0210UL))
#define bFM0P_BT0_RT_STC_UDIE                     *((volatile  uint8_t *)(0x424A0210UL))
#define bFM_BT0_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A0218UL))
#define bFM0P_BT0_RT_STC_TGIE                     *((volatile  uint8_t *)(0x424A0218UL))

#define bFM_BT0_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A0180UL))
#define bFM0P_BT0_RT_TMCR_STRG                    *((volatile  uint8_t *)(0x424A0180UL))
#define bFM_BT0_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A0184UL))
#define bFM0P_BT0_RT_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A0184UL))
#define bFM_BT0_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A0188UL))
#define bFM0P_BT0_RT_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A0188UL))
#define bFM_BT0_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A018CUL))
#define bFM0P_BT0_RT_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A018CUL))
#define bFM_BT0_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A019CUL))
#define bFM0P_BT0_RT_TMCR_T32                     *((volatile  uint8_t *)(0x424A019CUL))

#define bFM_BT0_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A0220UL))
#define bFM0P_BT0_RT_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A0220UL))
#define bFM_BT0_RT_TMCR2_GATE                     *((volatile  uint8_t *)(0x424A023CUL))
#define bFM0P_BT0_RT_TMCR2_GATE                   *((volatile  uint8_t *)(0x424A023CUL))


/******************************************************************************
 ** BT Registers BT1
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT1_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM0P_BT1_PPG_STC_UDIR                    *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM_BT1_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM0P_BT1_PPG_STC_TGIR                    *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM_BT1_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM0P_BT1_PPG_STC_UDIE                    *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM_BT1_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM0P_BT1_PPG_STC_TGIE                    *((volatile  uint8_t *)(0x424A0A18UL))

#define bFM_BT1_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0980UL))
#define bFM0P_BT1_PPG_TMCR_STRG                   *((volatile  uint8_t *)(0x424A0980UL))
#define bFM_BT1_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0984UL))
#define bFM0P_BT1_PPG_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A0984UL))
#define bFM_BT1_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0988UL))
#define bFM0P_BT1_PPG_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A0988UL))
#define bFM_BT1_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A098CUL))
#define bFM0P_BT1_PPG_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A098CUL))
#define bFM_BT1_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A09A8UL))
#define bFM0P_BT1_PPG_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A09A8UL))
#define bFM_BT1_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A09ACUL))
#define bFM0P_BT1_PPG_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A09ACUL))

#define bFM_BT1_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0A20UL))
#define bFM0P_BT1_PPG_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A0A20UL))

#define bFM_BT1_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM0P_BT1_PWC_STC_OVIR                    *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM_BT1_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM0P_BT1_PWC_STC_EDIR                    *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM_BT1_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM0P_BT1_PWC_STC_OVIE                    *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM_BT1_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM0P_BT1_PWC_STC_EDIE                    *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM_BT1_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A0A1CUL))
#define bFM0P_BT1_PWC_STC_ERR                     *((volatile  uint8_t *)(0x424A0A1CUL))

#define bFM_BT1_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0984UL))
#define bFM0P_BT1_PWC_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A0984UL))
#define bFM_BT1_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0988UL))
#define bFM0P_BT1_PWC_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A0988UL))
#define bFM_BT1_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A099CUL))
#define bFM0P_BT1_PWC_TMCR_T32                    *((volatile  uint8_t *)(0x424A099CUL))

#define bFM_BT1_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0A20UL))
#define bFM0P_BT1_PWC_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A0A20UL))

#define bFM_BT1_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM0P_BT1_PWM_STC_UDIR                    *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM_BT1_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A0A04UL))
#define bFM0P_BT1_PWM_STC_DTIR                    *((volatile  uint8_t *)(0x424A0A04UL))
#define bFM_BT1_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM0P_BT1_PWM_STC_TGIR                    *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM_BT1_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM0P_BT1_PWM_STC_UDIE                    *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM_BT1_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A0A14UL))
#define bFM0P_BT1_PWM_STC_DTIE                    *((volatile  uint8_t *)(0x424A0A14UL))
#define bFM_BT1_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM0P_BT1_PWM_STC_TGIE                    *((volatile  uint8_t *)(0x424A0A18UL))

#define bFM_BT1_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0980UL))
#define bFM0P_BT1_PWM_TMCR_STRG                   *((volatile  uint8_t *)(0x424A0980UL))
#define bFM_BT1_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0984UL))
#define bFM0P_BT1_PWM_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A0984UL))
#define bFM_BT1_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0988UL))
#define bFM0P_BT1_PWM_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A0988UL))
#define bFM_BT1_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A098CUL))
#define bFM0P_BT1_PWM_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A098CUL))
#define bFM_BT1_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A09A8UL))
#define bFM0P_BT1_PWM_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A09A8UL))
#define bFM_BT1_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A09ACUL))
#define bFM0P_BT1_PWM_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A09ACUL))

#define bFM_BT1_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0A20UL))
#define bFM0P_BT1_PWM_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A0A20UL))

#define bFM_BT1_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM0P_BT1_RT_STC_UDIR                     *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM_BT1_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM0P_BT1_RT_STC_TGIR                     *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM_BT1_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM0P_BT1_RT_STC_UDIE                     *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM_BT1_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM0P_BT1_RT_STC_TGIE                     *((volatile  uint8_t *)(0x424A0A18UL))

#define bFM_BT1_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A0980UL))
#define bFM0P_BT1_RT_TMCR_STRG                    *((volatile  uint8_t *)(0x424A0980UL))
#define bFM_BT1_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A0984UL))
#define bFM0P_BT1_RT_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A0984UL))
#define bFM_BT1_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A0988UL))
#define bFM0P_BT1_RT_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A0988UL))
#define bFM_BT1_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A098CUL))
#define bFM0P_BT1_RT_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A098CUL))
#define bFM_BT1_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A099CUL))
#define bFM0P_BT1_RT_TMCR_T32                     *((volatile  uint8_t *)(0x424A099CUL))

#define bFM_BT1_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A0A20UL))
#define bFM0P_BT1_RT_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A0A20UL))
#define bFM_BT1_RT_TMCR2_GATE                     *((volatile  uint8_t *)(0x424A0A3CUL))
#define bFM0P_BT1_RT_TMCR2_GATE                   *((volatile  uint8_t *)(0x424A0A3CUL))


/******************************************************************************
 ** BT Registers BT2
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT2_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A1200UL))
#define bFM0P_BT2_PPG_STC_UDIR                    *((volatile  uint8_t *)(0x424A1200UL))
#define bFM_BT2_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A1208UL))
#define bFM0P_BT2_PPG_STC_TGIR                    *((volatile  uint8_t *)(0x424A1208UL))
#define bFM_BT2_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A1210UL))
#define bFM0P_BT2_PPG_STC_UDIE                    *((volatile  uint8_t *)(0x424A1210UL))
#define bFM_BT2_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A1218UL))
#define bFM0P_BT2_PPG_STC_TGIE                    *((volatile  uint8_t *)(0x424A1218UL))

#define bFM_BT2_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1180UL))
#define bFM0P_BT2_PPG_TMCR_STRG                   *((volatile  uint8_t *)(0x424A1180UL))
#define bFM_BT2_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1184UL))
#define bFM0P_BT2_PPG_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A1184UL))
#define bFM_BT2_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1188UL))
#define bFM0P_BT2_PPG_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A1188UL))
#define bFM_BT2_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A118CUL))
#define bFM0P_BT2_PPG_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A118CUL))
#define bFM_BT2_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A11A8UL))
#define bFM0P_BT2_PPG_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A11A8UL))
#define bFM_BT2_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A11ACUL))
#define bFM0P_BT2_PPG_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A11ACUL))

#define bFM_BT2_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1220UL))
#define bFM0P_BT2_PPG_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A1220UL))

#define bFM_BT2_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A1200UL))
#define bFM0P_BT2_PWC_STC_OVIR                    *((volatile  uint8_t *)(0x424A1200UL))
#define bFM_BT2_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A1208UL))
#define bFM0P_BT2_PWC_STC_EDIR                    *((volatile  uint8_t *)(0x424A1208UL))
#define bFM_BT2_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A1210UL))
#define bFM0P_BT2_PWC_STC_OVIE                    *((volatile  uint8_t *)(0x424A1210UL))
#define bFM_BT2_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A1218UL))
#define bFM0P_BT2_PWC_STC_EDIE                    *((volatile  uint8_t *)(0x424A1218UL))
#define bFM_BT2_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A121CUL))
#define bFM0P_BT2_PWC_STC_ERR                     *((volatile  uint8_t *)(0x424A121CUL))

#define bFM_BT2_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1184UL))
#define bFM0P_BT2_PWC_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A1184UL))
#define bFM_BT2_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1188UL))
#define bFM0P_BT2_PWC_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A1188UL))
#define bFM_BT2_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A119CUL))
#define bFM0P_BT2_PWC_TMCR_T32                    *((volatile  uint8_t *)(0x424A119CUL))

#define bFM_BT2_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1220UL))
#define bFM0P_BT2_PWC_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A1220UL))

#define bFM_BT2_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A1200UL))
#define bFM0P_BT2_PWM_STC_UDIR                    *((volatile  uint8_t *)(0x424A1200UL))
#define bFM_BT2_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A1204UL))
#define bFM0P_BT2_PWM_STC_DTIR                    *((volatile  uint8_t *)(0x424A1204UL))
#define bFM_BT2_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A1208UL))
#define bFM0P_BT2_PWM_STC_TGIR                    *((volatile  uint8_t *)(0x424A1208UL))
#define bFM_BT2_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A1210UL))
#define bFM0P_BT2_PWM_STC_UDIE                    *((volatile  uint8_t *)(0x424A1210UL))
#define bFM_BT2_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A1214UL))
#define bFM0P_BT2_PWM_STC_DTIE                    *((volatile  uint8_t *)(0x424A1214UL))
#define bFM_BT2_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A1218UL))
#define bFM0P_BT2_PWM_STC_TGIE                    *((volatile  uint8_t *)(0x424A1218UL))

#define bFM_BT2_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1180UL))
#define bFM0P_BT2_PWM_TMCR_STRG                   *((volatile  uint8_t *)(0x424A1180UL))
#define bFM_BT2_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1184UL))
#define bFM0P_BT2_PWM_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A1184UL))
#define bFM_BT2_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1188UL))
#define bFM0P_BT2_PWM_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A1188UL))
#define bFM_BT2_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A118CUL))
#define bFM0P_BT2_PWM_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A118CUL))
#define bFM_BT2_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A11A8UL))
#define bFM0P_BT2_PWM_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A11A8UL))
#define bFM_BT2_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A11ACUL))
#define bFM0P_BT2_PWM_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A11ACUL))

#define bFM_BT2_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1220UL))
#define bFM0P_BT2_PWM_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A1220UL))

#define bFM_BT2_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A1200UL))
#define bFM0P_BT2_RT_STC_UDIR                     *((volatile  uint8_t *)(0x424A1200UL))
#define bFM_BT2_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A1208UL))
#define bFM0P_BT2_RT_STC_TGIR                     *((volatile  uint8_t *)(0x424A1208UL))
#define bFM_BT2_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A1210UL))
#define bFM0P_BT2_RT_STC_UDIE                     *((volatile  uint8_t *)(0x424A1210UL))
#define bFM_BT2_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A1218UL))
#define bFM0P_BT2_RT_STC_TGIE                     *((volatile  uint8_t *)(0x424A1218UL))

#define bFM_BT2_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A1180UL))
#define bFM0P_BT2_RT_TMCR_STRG                    *((volatile  uint8_t *)(0x424A1180UL))
#define bFM_BT2_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A1184UL))
#define bFM0P_BT2_RT_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A1184UL))
#define bFM_BT2_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A1188UL))
#define bFM0P_BT2_RT_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A1188UL))
#define bFM_BT2_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A118CUL))
#define bFM0P_BT2_RT_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A118CUL))
#define bFM_BT2_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A119CUL))
#define bFM0P_BT2_RT_TMCR_T32                     *((volatile  uint8_t *)(0x424A119CUL))

#define bFM_BT2_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A1220UL))
#define bFM0P_BT2_RT_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A1220UL))
#define bFM_BT2_RT_TMCR2_GATE                     *((volatile  uint8_t *)(0x424A123CUL))
#define bFM0P_BT2_RT_TMCR2_GATE                   *((volatile  uint8_t *)(0x424A123CUL))


/******************************************************************************
 ** BT Registers BT3
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT3_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM0P_BT3_PPG_STC_UDIR                    *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM_BT3_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM0P_BT3_PPG_STC_TGIR                    *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM_BT3_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM0P_BT3_PPG_STC_UDIE                    *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM_BT3_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM0P_BT3_PPG_STC_TGIE                    *((volatile  uint8_t *)(0x424A1A18UL))

#define bFM_BT3_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1980UL))
#define bFM0P_BT3_PPG_TMCR_STRG                   *((volatile  uint8_t *)(0x424A1980UL))
#define bFM_BT3_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1984UL))
#define bFM0P_BT3_PPG_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A1984UL))
#define bFM_BT3_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1988UL))
#define bFM0P_BT3_PPG_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A1988UL))
#define bFM_BT3_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A198CUL))
#define bFM0P_BT3_PPG_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A198CUL))
#define bFM_BT3_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A19A8UL))
#define bFM0P_BT3_PPG_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A19A8UL))
#define bFM_BT3_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A19ACUL))
#define bFM0P_BT3_PPG_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A19ACUL))

#define bFM_BT3_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1A20UL))
#define bFM0P_BT3_PPG_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A1A20UL))

#define bFM_BT3_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM0P_BT3_PWC_STC_OVIR                    *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM_BT3_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM0P_BT3_PWC_STC_EDIR                    *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM_BT3_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM0P_BT3_PWC_STC_OVIE                    *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM_BT3_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM0P_BT3_PWC_STC_EDIE                    *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM_BT3_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A1A1CUL))
#define bFM0P_BT3_PWC_STC_ERR                     *((volatile  uint8_t *)(0x424A1A1CUL))

#define bFM_BT3_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1984UL))
#define bFM0P_BT3_PWC_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A1984UL))
#define bFM_BT3_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1988UL))
#define bFM0P_BT3_PWC_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A1988UL))
#define bFM_BT3_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A199CUL))
#define bFM0P_BT3_PWC_TMCR_T32                    *((volatile  uint8_t *)(0x424A199CUL))

#define bFM_BT3_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1A20UL))
#define bFM0P_BT3_PWC_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A1A20UL))

#define bFM_BT3_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM0P_BT3_PWM_STC_UDIR                    *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM_BT3_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A1A04UL))
#define bFM0P_BT3_PWM_STC_DTIR                    *((volatile  uint8_t *)(0x424A1A04UL))
#define bFM_BT3_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM0P_BT3_PWM_STC_TGIR                    *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM_BT3_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM0P_BT3_PWM_STC_UDIE                    *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM_BT3_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A1A14UL))
#define bFM0P_BT3_PWM_STC_DTIE                    *((volatile  uint8_t *)(0x424A1A14UL))
#define bFM_BT3_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM0P_BT3_PWM_STC_TGIE                    *((volatile  uint8_t *)(0x424A1A18UL))

#define bFM_BT3_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1980UL))
#define bFM0P_BT3_PWM_TMCR_STRG                   *((volatile  uint8_t *)(0x424A1980UL))
#define bFM_BT3_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1984UL))
#define bFM0P_BT3_PWM_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A1984UL))
#define bFM_BT3_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1988UL))
#define bFM0P_BT3_PWM_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A1988UL))
#define bFM_BT3_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A198CUL))
#define bFM0P_BT3_PWM_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A198CUL))
#define bFM_BT3_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A19A8UL))
#define bFM0P_BT3_PWM_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A19A8UL))
#define bFM_BT3_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A19ACUL))
#define bFM0P_BT3_PWM_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A19ACUL))

#define bFM_BT3_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1A20UL))
#define bFM0P_BT3_PWM_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A1A20UL))

#define bFM_BT3_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM0P_BT3_RT_STC_UDIR                     *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM_BT3_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM0P_BT3_RT_STC_TGIR                     *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM_BT3_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM0P_BT3_RT_STC_UDIE                     *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM_BT3_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM0P_BT3_RT_STC_TGIE                     *((volatile  uint8_t *)(0x424A1A18UL))

#define bFM_BT3_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A1980UL))
#define bFM0P_BT3_RT_TMCR_STRG                    *((volatile  uint8_t *)(0x424A1980UL))
#define bFM_BT3_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A1984UL))
#define bFM0P_BT3_RT_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A1984UL))
#define bFM_BT3_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A1988UL))
#define bFM0P_BT3_RT_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A1988UL))
#define bFM_BT3_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A198CUL))
#define bFM0P_BT3_RT_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A198CUL))
#define bFM_BT3_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A199CUL))
#define bFM0P_BT3_RT_TMCR_T32                     *((volatile  uint8_t *)(0x424A199CUL))

#define bFM_BT3_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A1A20UL))
#define bFM0P_BT3_RT_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A1A20UL))
#define bFM_BT3_RT_TMCR2_GATE                     *((volatile  uint8_t *)(0x424A1A3CUL))
#define bFM0P_BT3_RT_TMCR2_GATE                   *((volatile  uint8_t *)(0x424A1A3CUL))


/******************************************************************************
 ** BTIOSEL03 Registers BTIOSEL03
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** CLK_GATING Registers CLK_GATING
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_CLK_GATING_CKEN0_MFSCK0               *((volatile  uint8_t *)(0x42782000UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK0             *((volatile  uint8_t *)(0x42782000UL))
#define bFM_CLK_GATING_CKEN0_MFSCK1               *((volatile  uint8_t *)(0x42782004UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK1             *((volatile  uint8_t *)(0x42782004UL))
#define bFM_CLK_GATING_CKEN0_MFSCK2               *((volatile  uint8_t *)(0x42782008UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK2             *((volatile  uint8_t *)(0x42782008UL))
#define bFM_CLK_GATING_CKEN0_MFSCK3               *((volatile  uint8_t *)(0x4278200CUL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK3             *((volatile  uint8_t *)(0x4278200CUL))
#define bFM_CLK_GATING_CKEN0_MFSCK4               *((volatile  uint8_t *)(0x42782010UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK4             *((volatile  uint8_t *)(0x42782010UL))
#define bFM_CLK_GATING_CKEN0_MFSCK5               *((volatile  uint8_t *)(0x42782014UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK5             *((volatile  uint8_t *)(0x42782014UL))
#define bFM_CLK_GATING_CKEN0_MFSCK6               *((volatile  uint8_t *)(0x42782018UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK6             *((volatile  uint8_t *)(0x42782018UL))
#define bFM_CLK_GATING_CKEN0_MFSCK7               *((volatile  uint8_t *)(0x4278201CUL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK7             *((volatile  uint8_t *)(0x4278201CUL))
#define bFM_CLK_GATING_CKEN0_MFSCK8               *((volatile  uint8_t *)(0x42782020UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK8             *((volatile  uint8_t *)(0x42782020UL))
#define bFM_CLK_GATING_CKEN0_MFSCK9               *((volatile  uint8_t *)(0x42782024UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK9             *((volatile  uint8_t *)(0x42782024UL))
#define bFM_CLK_GATING_CKEN0_MFSCK10              *((volatile  uint8_t *)(0x42782028UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK10            *((volatile  uint8_t *)(0x42782028UL))
#define bFM_CLK_GATING_CKEN0_MFSCK11              *((volatile  uint8_t *)(0x4278202CUL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK11            *((volatile  uint8_t *)(0x4278202CUL))
#define bFM_CLK_GATING_CKEN0_MFSCK12              *((volatile  uint8_t *)(0x42782030UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK12            *((volatile  uint8_t *)(0x42782030UL))
#define bFM_CLK_GATING_CKEN0_MFSCK13              *((volatile  uint8_t *)(0x42782034UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK13            *((volatile  uint8_t *)(0x42782034UL))
#define bFM_CLK_GATING_CKEN0_MFSCK14              *((volatile  uint8_t *)(0x42782038UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK14            *((volatile  uint8_t *)(0x42782038UL))
#define bFM_CLK_GATING_CKEN0_MFSCK15              *((volatile  uint8_t *)(0x4278203CUL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK15            *((volatile  uint8_t *)(0x4278203CUL))
#define bFM_CLK_GATING_CKEN0_ADCCK0               *((volatile  uint8_t *)(0x42782040UL))
#define bFM0P_CLK_GATING_CKEN0_ADCCK0             *((volatile  uint8_t *)(0x42782040UL))
#define bFM_CLK_GATING_CKEN0_ADCCK1               *((volatile  uint8_t *)(0x42782044UL))
#define bFM0P_CLK_GATING_CKEN0_ADCCK1             *((volatile  uint8_t *)(0x42782044UL))
#define bFM_CLK_GATING_CKEN0_ADCCK2               *((volatile  uint8_t *)(0x42782048UL))
#define bFM0P_CLK_GATING_CKEN0_ADCCK2             *((volatile  uint8_t *)(0x42782048UL))
#define bFM_CLK_GATING_CKEN0_ADCCK3               *((volatile  uint8_t *)(0x4278204CUL))
#define bFM0P_CLK_GATING_CKEN0_ADCCK3             *((volatile  uint8_t *)(0x4278204CUL))
#define bFM_CLK_GATING_CKEN0_DMACK                *((volatile  uint8_t *)(0x42782060UL))
#define bFM0P_CLK_GATING_CKEN0_DMACK              *((volatile  uint8_t *)(0x42782060UL))
#define bFM_CLK_GATING_CKEN0_DSTCCK               *((volatile  uint8_t *)(0x42782064UL))
#define bFM0P_CLK_GATING_CKEN0_DSTCCK             *((volatile  uint8_t *)(0x42782064UL))
#define bFM_CLK_GATING_CKEN0_GIOCK                *((volatile  uint8_t *)(0x42782070UL))
#define bFM0P_CLK_GATING_CKEN0_GIOCK              *((volatile  uint8_t *)(0x42782070UL))

#define bFM_CLK_GATING_CKEN1_BTMCK0               *((volatile  uint8_t *)(0x42782200UL))
#define bFM0P_CLK_GATING_CKEN1_BTMCK0             *((volatile  uint8_t *)(0x42782200UL))
#define bFM_CLK_GATING_CKEN1_BTMCK1               *((volatile  uint8_t *)(0x42782204UL))
#define bFM0P_CLK_GATING_CKEN1_BTMCK1             *((volatile  uint8_t *)(0x42782204UL))
#define bFM_CLK_GATING_CKEN1_BTMCK2               *((volatile  uint8_t *)(0x42782208UL))
#define bFM0P_CLK_GATING_CKEN1_BTMCK2             *((volatile  uint8_t *)(0x42782208UL))
#define bFM_CLK_GATING_CKEN1_BTMCK3               *((volatile  uint8_t *)(0x4278220CUL))
#define bFM0P_CLK_GATING_CKEN1_BTMCK3             *((volatile  uint8_t *)(0x4278220CUL))
#define bFM_CLK_GATING_CKEN1_MFTCK0               *((volatile  uint8_t *)(0x42782220UL))
#define bFM0P_CLK_GATING_CKEN1_MFTCK0             *((volatile  uint8_t *)(0x42782220UL))
#define bFM_CLK_GATING_CKEN1_MFTCK1               *((volatile  uint8_t *)(0x42782224UL))
#define bFM0P_CLK_GATING_CKEN1_MFTCK1             *((volatile  uint8_t *)(0x42782224UL))
#define bFM_CLK_GATING_CKEN1_MFTCK2               *((volatile  uint8_t *)(0x42782228UL))
#define bFM0P_CLK_GATING_CKEN1_MFTCK2             *((volatile  uint8_t *)(0x42782228UL))
#define bFM_CLK_GATING_CKEN1_MFTCK3               *((volatile  uint8_t *)(0x4278222CUL))
#define bFM0P_CLK_GATING_CKEN1_MFTCK3             *((volatile  uint8_t *)(0x4278222CUL))
#define bFM_CLK_GATING_CKEN1_QDUCK0               *((volatile  uint8_t *)(0x42782240UL))
#define bFM0P_CLK_GATING_CKEN1_QDUCK0             *((volatile  uint8_t *)(0x42782240UL))
#define bFM_CLK_GATING_CKEN1_QDUCK1               *((volatile  uint8_t *)(0x42782244UL))
#define bFM0P_CLK_GATING_CKEN1_QDUCK1             *((volatile  uint8_t *)(0x42782244UL))
#define bFM_CLK_GATING_CKEN1_QDUCK2               *((volatile  uint8_t *)(0x42782248UL))
#define bFM0P_CLK_GATING_CKEN1_QDUCK2             *((volatile  uint8_t *)(0x42782248UL))
#define bFM_CLK_GATING_CKEN1_QDUCK3               *((volatile  uint8_t *)(0x4278224CUL))
#define bFM0P_CLK_GATING_CKEN1_QDUCK3             *((volatile  uint8_t *)(0x4278224CUL))

#define bFM_CLK_GATING_CKEN2_USBCK0               *((volatile  uint8_t *)(0x42782400UL))
#define bFM0P_CLK_GATING_CKEN2_USBCK0             *((volatile  uint8_t *)(0x42782400UL))
#define bFM_CLK_GATING_CKEN2_USBCK1               *((volatile  uint8_t *)(0x42782404UL))
#define bFM0P_CLK_GATING_CKEN2_USBCK1             *((volatile  uint8_t *)(0x42782404UL))
#define bFM_CLK_GATING_CKEN2_CANCK0               *((volatile  uint8_t *)(0x42782410UL))
#define bFM0P_CLK_GATING_CKEN2_CANCK0             *((volatile  uint8_t *)(0x42782410UL))
#define bFM_CLK_GATING_CKEN2_CANCK1               *((volatile  uint8_t *)(0x42782414UL))
#define bFM0P_CLK_GATING_CKEN2_CANCK1             *((volatile  uint8_t *)(0x42782414UL))
#define bFM_CLK_GATING_CKEN2_ICCCK0               *((volatile  uint8_t *)(0x42782430UL))
#define bFM0P_CLK_GATING_CKEN2_ICCCK0             *((volatile  uint8_t *)(0x42782430UL))
#define bFM_CLK_GATING_CKEN2_ICCCK1               *((volatile  uint8_t *)(0x42782434UL))
#define bFM0P_CLK_GATING_CKEN2_ICCCK1             *((volatile  uint8_t *)(0x42782434UL))
#define bFM_CLK_GATING_CKEN2_I2SCCK0              *((volatile  uint8_t *)(0x42782438UL))
#define bFM0P_CLK_GATING_CKEN2_I2SCCK0            *((volatile  uint8_t *)(0x42782438UL))
#define bFM_CLK_GATING_CKEN2_I2SCCK1              *((volatile  uint8_t *)(0x4278243CUL))
#define bFM0P_CLK_GATING_CKEN2_I2SCCK1            *((volatile  uint8_t *)(0x4278243CUL))
#define bFM_CLK_GATING_CKEN2_LCDCCK               *((volatile  uint8_t *)(0x42782440UL))
#define bFM0P_CLK_GATING_CKEN2_LCDCCK             *((volatile  uint8_t *)(0x42782440UL))
#define bFM_CLK_GATING_CKEN2_CECCK                *((volatile  uint8_t *)(0x42782448UL))
#define bFM0P_CLK_GATING_CKEN2_CECCK              *((volatile  uint8_t *)(0x42782448UL))
#define bFM_CLK_GATING_CKEN2_PCRCCK               *((volatile  uint8_t *)(0x42782450UL))
#define bFM0P_CLK_GATING_CKEN2_PCRCCK             *((volatile  uint8_t *)(0x42782450UL))

#define bFM_CLK_GATING_MRST0_MFSRST0              *((volatile  uint8_t *)(0x42782080UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST0            *((volatile  uint8_t *)(0x42782080UL))
#define bFM_CLK_GATING_MRST0_MFSRST1              *((volatile  uint8_t *)(0x42782084UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST1            *((volatile  uint8_t *)(0x42782084UL))
#define bFM_CLK_GATING_MRST0_MFSRST2              *((volatile  uint8_t *)(0x42782088UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST2            *((volatile  uint8_t *)(0x42782088UL))
#define bFM_CLK_GATING_MRST0_MFSRST3              *((volatile  uint8_t *)(0x4278208CUL))
#define bFM0P_CLK_GATING_MRST0_MFSRST3            *((volatile  uint8_t *)(0x4278208CUL))
#define bFM_CLK_GATING_MRST0_MFSRST4              *((volatile  uint8_t *)(0x42782090UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST4            *((volatile  uint8_t *)(0x42782090UL))
#define bFM_CLK_GATING_MRST0_MFSRST5              *((volatile  uint8_t *)(0x42782094UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST5            *((volatile  uint8_t *)(0x42782094UL))
#define bFM_CLK_GATING_MRST0_MFSRST6              *((volatile  uint8_t *)(0x42782098UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST6            *((volatile  uint8_t *)(0x42782098UL))
#define bFM_CLK_GATING_MRST0_MFSRST7              *((volatile  uint8_t *)(0x4278209CUL))
#define bFM0P_CLK_GATING_MRST0_MFSRST7            *((volatile  uint8_t *)(0x4278209CUL))
#define bFM_CLK_GATING_MRST0_MFSRST8              *((volatile  uint8_t *)(0x427820A0UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST8            *((volatile  uint8_t *)(0x427820A0UL))
#define bFM_CLK_GATING_MRST0_MFSRST9              *((volatile  uint8_t *)(0x427820A4UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST9            *((volatile  uint8_t *)(0x427820A4UL))
#define bFM_CLK_GATING_MRST0_MFSRST10             *((volatile  uint8_t *)(0x427820A8UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST10           *((volatile  uint8_t *)(0x427820A8UL))
#define bFM_CLK_GATING_MRST0_MFSRST11             *((volatile  uint8_t *)(0x427820ACUL))
#define bFM0P_CLK_GATING_MRST0_MFSRST11           *((volatile  uint8_t *)(0x427820ACUL))
#define bFM_CLK_GATING_MRST0_MFSRST12             *((volatile  uint8_t *)(0x427820B0UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST12           *((volatile  uint8_t *)(0x427820B0UL))
#define bFM_CLK_GATING_MRST0_MFSRST13             *((volatile  uint8_t *)(0x427820B4UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST13           *((volatile  uint8_t *)(0x427820B4UL))
#define bFM_CLK_GATING_MRST0_MFSRST14             *((volatile  uint8_t *)(0x427820B8UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST14           *((volatile  uint8_t *)(0x427820B8UL))
#define bFM_CLK_GATING_MRST0_MFSRST15             *((volatile  uint8_t *)(0x427820BCUL))
#define bFM0P_CLK_GATING_MRST0_MFSRST15           *((volatile  uint8_t *)(0x427820BCUL))
#define bFM_CLK_GATING_MRST0_ADCRST0              *((volatile  uint8_t *)(0x427820C0UL))
#define bFM0P_CLK_GATING_MRST0_ADCRST0            *((volatile  uint8_t *)(0x427820C0UL))
#define bFM_CLK_GATING_MRST0_ADCRST1              *((volatile  uint8_t *)(0x427820C4UL))
#define bFM0P_CLK_GATING_MRST0_ADCRST1            *((volatile  uint8_t *)(0x427820C4UL))
#define bFM_CLK_GATING_MRST0_ADCRST2              *((volatile  uint8_t *)(0x427820C8UL))
#define bFM0P_CLK_GATING_MRST0_ADCRST2            *((volatile  uint8_t *)(0x427820C8UL))
#define bFM_CLK_GATING_MRST0_ADCRST3              *((volatile  uint8_t *)(0x427820CCUL))
#define bFM0P_CLK_GATING_MRST0_ADCRST3            *((volatile  uint8_t *)(0x427820CCUL))
#define bFM_CLK_GATING_MRST0_DMARST               *((volatile  uint8_t *)(0x427820E0UL))
#define bFM0P_CLK_GATING_MRST0_DMARST             *((volatile  uint8_t *)(0x427820E0UL))
#define bFM_CLK_GATING_MRST0_DSTCRST              *((volatile  uint8_t *)(0x427820E4UL))
#define bFM0P_CLK_GATING_MRST0_DSTCRST            *((volatile  uint8_t *)(0x427820E4UL))

#define bFM_CLK_GATING_MRST1_BTMRST0              *((volatile  uint8_t *)(0x42782280UL))
#define bFM0P_CLK_GATING_MRST1_BTMRST0            *((volatile  uint8_t *)(0x42782280UL))
#define bFM_CLK_GATING_MRST1_BTMRST1              *((volatile  uint8_t *)(0x42782284UL))
#define bFM0P_CLK_GATING_MRST1_BTMRST1            *((volatile  uint8_t *)(0x42782284UL))
#define bFM_CLK_GATING_MRST1_BTMRST2              *((volatile  uint8_t *)(0x42782288UL))
#define bFM0P_CLK_GATING_MRST1_BTMRST2            *((volatile  uint8_t *)(0x42782288UL))
#define bFM_CLK_GATING_MRST1_BTMRST3              *((volatile  uint8_t *)(0x4278228CUL))
#define bFM0P_CLK_GATING_MRST1_BTMRST3            *((volatile  uint8_t *)(0x4278228CUL))
#define bFM_CLK_GATING_MRST1_MFTRST0              *((volatile  uint8_t *)(0x427822A0UL))
#define bFM0P_CLK_GATING_MRST1_MFTRST0            *((volatile  uint8_t *)(0x427822A0UL))
#define bFM_CLK_GATING_MRST1_MFTRST1              *((volatile  uint8_t *)(0x427822A4UL))
#define bFM0P_CLK_GATING_MRST1_MFTRST1            *((volatile  uint8_t *)(0x427822A4UL))
#define bFM_CLK_GATING_MRST1_MFTRST2              *((volatile  uint8_t *)(0x427822A8UL))
#define bFM0P_CLK_GATING_MRST1_MFTRST2            *((volatile  uint8_t *)(0x427822A8UL))
#define bFM_CLK_GATING_MRST1_MFTRST3              *((volatile  uint8_t *)(0x427822ACUL))
#define bFM0P_CLK_GATING_MRST1_MFTRST3            *((volatile  uint8_t *)(0x427822ACUL))
#define bFM_CLK_GATING_MRST1_QDURST0              *((volatile  uint8_t *)(0x427822C0UL))
#define bFM0P_CLK_GATING_MRST1_QDURST0            *((volatile  uint8_t *)(0x427822C0UL))
#define bFM_CLK_GATING_MRST1_QDURST1              *((volatile  uint8_t *)(0x427822C4UL))
#define bFM0P_CLK_GATING_MRST1_QDURST1            *((volatile  uint8_t *)(0x427822C4UL))
#define bFM_CLK_GATING_MRST1_QDURST2              *((volatile  uint8_t *)(0x427822C8UL))
#define bFM0P_CLK_GATING_MRST1_QDURST2            *((volatile  uint8_t *)(0x427822C8UL))
#define bFM_CLK_GATING_MRST1_QDURST3              *((volatile  uint8_t *)(0x427822CCUL))
#define bFM0P_CLK_GATING_MRST1_QDURST3            *((volatile  uint8_t *)(0x427822CCUL))

#define bFM_CLK_GATING_MRST2_USBRST0              *((volatile  uint8_t *)(0x42782480UL))
#define bFM0P_CLK_GATING_MRST2_USBRST0            *((volatile  uint8_t *)(0x42782480UL))
#define bFM_CLK_GATING_MRST2_USBRST1              *((volatile  uint8_t *)(0x42782484UL))
#define bFM0P_CLK_GATING_MRST2_USBRST1            *((volatile  uint8_t *)(0x42782484UL))
#define bFM_CLK_GATING_MRST2_CANRST0              *((volatile  uint8_t *)(0x42782490UL))
#define bFM0P_CLK_GATING_MRST2_CANRST0            *((volatile  uint8_t *)(0x42782490UL))
#define bFM_CLK_GATING_MRST2_CANRST1              *((volatile  uint8_t *)(0x42782494UL))
#define bFM0P_CLK_GATING_MRST2_CANRST1            *((volatile  uint8_t *)(0x42782494UL))
#define bFM_CLK_GATING_MRST2_ICCRST0              *((volatile  uint8_t *)(0x427824B0UL))
#define bFM0P_CLK_GATING_MRST2_ICCRST0            *((volatile  uint8_t *)(0x427824B0UL))
#define bFM_CLK_GATING_MRST2_ICCRST1              *((volatile  uint8_t *)(0x427824B4UL))
#define bFM0P_CLK_GATING_MRST2_ICCRST1            *((volatile  uint8_t *)(0x427824B4UL))
#define bFM_CLK_GATING_MRST2_I2SCRST0             *((volatile  uint8_t *)(0x427824B8UL))
#define bFM0P_CLK_GATING_MRST2_I2SCRST0           *((volatile  uint8_t *)(0x427824B8UL))
#define bFM_CLK_GATING_MRST2_I2SCRST1             *((volatile  uint8_t *)(0x427824BCUL))
#define bFM0P_CLK_GATING_MRST2_I2SCRST1           *((volatile  uint8_t *)(0x427824BCUL))
#define bFM_CLK_GATING_MRST2_LCDCRST              *((volatile  uint8_t *)(0x427824C0UL))
#define bFM0P_CLK_GATING_MRST2_LCDCRST            *((volatile  uint8_t *)(0x427824C0UL))
#define bFM_CLK_GATING_MRST2_CECRST               *((volatile  uint8_t *)(0x427824C8UL))
#define bFM0P_CLK_GATING_MRST2_CECRST             *((volatile  uint8_t *)(0x427824C8UL))
#define bFM_CLK_GATING_MRST2_PCRCRST              *((volatile  uint8_t *)(0x427824D0UL))
#define bFM0P_CLK_GATING_MRST2_PCRCRST            *((volatile  uint8_t *)(0x427824D0UL))


/******************************************************************************
 ** CRC Registers CRC
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_CRC_CRCCR_INIT                        *((volatile  uint8_t *)(0x42720000UL))
#define bFM0P_CRC_CRCCR_INIT                      *((volatile  uint8_t *)(0x42720000UL))
#define bFM_CRC_CRCCR_CRC32                       *((volatile  uint8_t *)(0x42720004UL))
#define bFM0P_CRC_CRCCR_CRC32                     *((volatile  uint8_t *)(0x42720004UL))
#define bFM_CRC_CRCCR_LTLEND                      *((volatile  uint8_t *)(0x42720008UL))
#define bFM0P_CRC_CRCCR_LTLEND                    *((volatile  uint8_t *)(0x42720008UL))
#define bFM_CRC_CRCCR_LSBFST                      *((volatile  uint8_t *)(0x4272000CUL))
#define bFM0P_CRC_CRCCR_LSBFST                    *((volatile  uint8_t *)(0x4272000CUL))
#define bFM_CRC_CRCCR_CRCLTE                      *((volatile  uint8_t *)(0x42720010UL))
#define bFM0P_CRC_CRCCR_CRCLTE                    *((volatile  uint8_t *)(0x42720010UL))
#define bFM_CRC_CRCCR_CRCLSF                      *((volatile  uint8_t *)(0x42720014UL))
#define bFM0P_CRC_CRCCR_CRCLSF                    *((volatile  uint8_t *)(0x42720014UL))
#define bFM_CRC_CRCCR_FXOR                        *((volatile  uint8_t *)(0x42720018UL))
#define bFM0P_CRC_CRCCR_FXOR                      *((volatile  uint8_t *)(0x42720018UL))


/******************************************************************************
 ** CRG Registers CRG
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_CRG_APBC1_PSR_APBC1RST                *((volatile  uint32_t*)(0x42200310UL))
#define bFM0P_CRG_APBC1_PSR_APBC1RST              *((volatile  uint32_t*)(0x42200310UL))
#define bFM_CRG_APBC1_PSR_APBC1EN                 *((volatile  uint32_t*)(0x4220031CUL))
#define bFM0P_CRG_APBC1_PSR_APBC1EN               *((volatile  uint32_t*)(0x4220031CUL))

#define bFM_CRG_CSV_CTL_MCSVE                     *((volatile  uint32_t*)(0x42200800UL))
#define bFM0P_CRG_CSV_CTL_MCSVE                   *((volatile  uint32_t*)(0x42200800UL))
#define bFM_CRG_CSV_CTL_SCSVE                     *((volatile  uint32_t*)(0x42200804UL))
#define bFM0P_CRG_CSV_CTL_SCSVE                   *((volatile  uint32_t*)(0x42200804UL))
#define bFM_CRG_CSV_CTL_FCSDE                     *((volatile  uint32_t*)(0x42200820UL))
#define bFM0P_CRG_CSV_CTL_FCSDE                   *((volatile  uint32_t*)(0x42200820UL))
#define bFM_CRG_CSV_CTL_FCSRE                     *((volatile  uint32_t*)(0x42200824UL))
#define bFM0P_CRG_CSV_CTL_FCSRE                   *((volatile  uint32_t*)(0x42200824UL))

#define bFM_CRG_CSV_STR_MCMF                      *((volatile  uint32_t*)(0x42200880UL))
#define bFM0P_CRG_CSV_STR_MCMF                    *((volatile  uint32_t*)(0x42200880UL))
#define bFM_CRG_CSV_STR_SCMF                      *((volatile  uint32_t*)(0x42200884UL))
#define bFM0P_CRG_CSV_STR_SCMF                    *((volatile  uint32_t*)(0x42200884UL))

#define bFM_CRG_DBWDT_CTL_DPSWBE                  *((volatile  uint32_t*)(0x42200A94UL))
#define bFM0P_CRG_DBWDT_CTL_DPSWBE                *((volatile  uint32_t*)(0x42200A94UL))
#define bFM_CRG_DBWDT_CTL_DPHWBE                  *((volatile  uint32_t*)(0x42200A9CUL))
#define bFM0P_CRG_DBWDT_CTL_DPHWBE                *((volatile  uint32_t*)(0x42200A9CUL))

#define bFM_CRG_INT_CLR_MCSC                      *((volatile  uint32_t*)(0x42200D00UL))
#define bFM0P_CRG_INT_CLR_MCSC                    *((volatile  uint32_t*)(0x42200D00UL))
#define bFM_CRG_INT_CLR_SCSC                      *((volatile  uint32_t*)(0x42200D04UL))
#define bFM0P_CRG_INT_CLR_SCSC                    *((volatile  uint32_t*)(0x42200D04UL))
#define bFM_CRG_INT_CLR_PCSC                      *((volatile  uint32_t*)(0x42200D08UL))
#define bFM0P_CRG_INT_CLR_PCSC                    *((volatile  uint32_t*)(0x42200D08UL))
#define bFM_CRG_INT_CLR_FCSC                      *((volatile  uint32_t*)(0x42200D14UL))
#define bFM0P_CRG_INT_CLR_FCSC                    *((volatile  uint32_t*)(0x42200D14UL))

#define bFM_CRG_INT_ENR_MCSE                      *((volatile  uint32_t*)(0x42200C00UL))
#define bFM0P_CRG_INT_ENR_MCSE                    *((volatile  uint32_t*)(0x42200C00UL))
#define bFM_CRG_INT_ENR_SCSE                      *((volatile  uint32_t*)(0x42200C04UL))
#define bFM0P_CRG_INT_ENR_SCSE                    *((volatile  uint32_t*)(0x42200C04UL))
#define bFM_CRG_INT_ENR_PCSE                      *((volatile  uint32_t*)(0x42200C08UL))
#define bFM0P_CRG_INT_ENR_PCSE                    *((volatile  uint32_t*)(0x42200C08UL))
#define bFM_CRG_INT_ENR_FCSE                      *((volatile  uint32_t*)(0x42200C14UL))
#define bFM0P_CRG_INT_ENR_FCSE                    *((volatile  uint32_t*)(0x42200C14UL))

#define bFM_CRG_INT_STR_MCSI                      *((volatile  uint32_t*)(0x42200C80UL))
#define bFM0P_CRG_INT_STR_MCSI                    *((volatile  uint32_t*)(0x42200C80UL))
#define bFM_CRG_INT_STR_SCSI                      *((volatile  uint32_t*)(0x42200C84UL))
#define bFM0P_CRG_INT_STR_SCSI                    *((volatile  uint32_t*)(0x42200C84UL))
#define bFM_CRG_INT_STR_PCSI                      *((volatile  uint32_t*)(0x42200C88UL))
#define bFM0P_CRG_INT_STR_PCSI                    *((volatile  uint32_t*)(0x42200C88UL))
#define bFM_CRG_INT_STR_FCSI                      *((volatile  uint32_t*)(0x42200C94UL))
#define bFM0P_CRG_INT_STR_FCSI                    *((volatile  uint32_t*)(0x42200C94UL))

#define bFM_CRG_PSW_TMR_PINC                      *((volatile  uint32_t*)(0x42200690UL))
#define bFM0P_CRG_PSW_TMR_PINC                    *((volatile  uint32_t*)(0x42200690UL))

#define bFM_CRG_RST_STR_PONR                      *((volatile  uint32_t*)(0x42200180UL))
#define bFM0P_CRG_RST_STR_PONR                    *((volatile  uint32_t*)(0x42200180UL))
#define bFM_CRG_RST_STR_INITX                     *((volatile  uint32_t*)(0x42200184UL))
#define bFM0P_CRG_RST_STR_INITX                   *((volatile  uint32_t*)(0x42200184UL))
#define bFM_CRG_RST_STR_SWDT                      *((volatile  uint32_t*)(0x42200190UL))
#define bFM0P_CRG_RST_STR_SWDT                    *((volatile  uint32_t*)(0x42200190UL))
#define bFM_CRG_RST_STR_HWDT                      *((volatile  uint32_t*)(0x42200194UL))
#define bFM0P_CRG_RST_STR_HWDT                    *((volatile  uint32_t*)(0x42200194UL))
#define bFM_CRG_RST_STR_CSVR                      *((volatile  uint32_t*)(0x42200198UL))
#define bFM0P_CRG_RST_STR_CSVR                    *((volatile  uint32_t*)(0x42200198UL))
#define bFM_CRG_RST_STR_FCSR                      *((volatile  uint32_t*)(0x4220019CUL))
#define bFM0P_CRG_RST_STR_FCSR                    *((volatile  uint32_t*)(0x4220019CUL))
#define bFM_CRG_RST_STR_SRST                      *((volatile  uint32_t*)(0x422001A0UL))
#define bFM0P_CRG_RST_STR_SRST                    *((volatile  uint32_t*)(0x422001A0UL))

#define bFM_CRG_SCM_CTL_HCRE                      *((volatile  uint32_t*)(0x42200000UL))
#define bFM0P_CRG_SCM_CTL_HCRE                    *((volatile  uint32_t*)(0x42200000UL))
#define bFM_CRG_SCM_CTL_MOSCE                     *((volatile  uint32_t*)(0x42200004UL))
#define bFM0P_CRG_SCM_CTL_MOSCE                   *((volatile  uint32_t*)(0x42200004UL))
#define bFM_CRG_SCM_CTL_SOSCE                     *((volatile  uint32_t*)(0x4220000CUL))
#define bFM0P_CRG_SCM_CTL_SOSCE                   *((volatile  uint32_t*)(0x4220000CUL))
#define bFM_CRG_SCM_CTL_PLLE                      *((volatile  uint32_t*)(0x42200010UL))
#define bFM0P_CRG_SCM_CTL_PLLE                    *((volatile  uint32_t*)(0x42200010UL))

#define bFM_CRG_SCM_STR_HCRDY                     *((volatile  uint32_t*)(0x42200080UL))
#define bFM0P_CRG_SCM_STR_HCRDY                   *((volatile  uint32_t*)(0x42200080UL))
#define bFM_CRG_SCM_STR_MORDY                     *((volatile  uint32_t*)(0x42200084UL))
#define bFM0P_CRG_SCM_STR_MORDY                   *((volatile  uint32_t*)(0x42200084UL))
#define bFM_CRG_SCM_STR_SORDY                     *((volatile  uint32_t*)(0x4220008CUL))
#define bFM0P_CRG_SCM_STR_SORDY                   *((volatile  uint32_t*)(0x4220008CUL))
#define bFM_CRG_SCM_STR_PLRDY                     *((volatile  uint32_t*)(0x42200090UL))
#define bFM0P_CRG_SCM_STR_PLRDY                   *((volatile  uint32_t*)(0x42200090UL))

#define bFM_CRG_STB_CTL_DSTM                      *((volatile  uint32_t*)(0x42200108UL))
#define bFM0P_CRG_STB_CTL_DSTM                    *((volatile  uint32_t*)(0x42200108UL))
#define bFM_CRG_STB_CTL_SPL                       *((volatile  uint32_t*)(0x42200110UL))
#define bFM0P_CRG_STB_CTL_SPL                     *((volatile  uint32_t*)(0x42200110UL))

#define bFM_CRG_SWC_PSR_TESTB                     *((volatile  uint32_t*)(0x4220041CUL))
#define bFM0P_CRG_SWC_PSR_TESTB                   *((volatile  uint32_t*)(0x4220041CUL))


/******************************************************************************
 ** CRTRIM Registers CRTRIM
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** DMAC Registers DMAC
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_DMAC_DMACA0_ST                        *((volatile  uint8_t *)(0x42C00274UL))
#define bFM0P_DMAC_DMACA0_ST                      *((volatile  uint8_t *)(0x42C00274UL))
#define bFM_DMAC_DMACA0_PB                        *((volatile  uint8_t *)(0x42C00278UL))
#define bFM0P_DMAC_DMACA0_PB                      *((volatile  uint8_t *)(0x42C00278UL))
#define bFM_DMAC_DMACA0_EB                        *((volatile  uint8_t *)(0x42C0027CUL))
#define bFM0P_DMAC_DMACA0_EB                      *((volatile  uint8_t *)(0x42C0027CUL))

#define bFM_DMAC_DMACA1_ST                        *((volatile  uint8_t *)(0x42C00474UL))
#define bFM0P_DMAC_DMACA1_ST                      *((volatile  uint8_t *)(0x42C00474UL))
#define bFM_DMAC_DMACA1_PB                        *((volatile  uint8_t *)(0x42C00478UL))
#define bFM0P_DMAC_DMACA1_PB                      *((volatile  uint8_t *)(0x42C00478UL))
#define bFM_DMAC_DMACA1_EB                        *((volatile  uint8_t *)(0x42C0047CUL))
#define bFM0P_DMAC_DMACA1_EB                      *((volatile  uint8_t *)(0x42C0047CUL))

#define bFM_DMAC_DMACA2_ST                        *((volatile  uint8_t *)(0x42C00674UL))
#define bFM0P_DMAC_DMACA2_ST                      *((volatile  uint8_t *)(0x42C00674UL))
#define bFM_DMAC_DMACA2_PB                        *((volatile  uint8_t *)(0x42C00678UL))
#define bFM0P_DMAC_DMACA2_PB                      *((volatile  uint8_t *)(0x42C00678UL))
#define bFM_DMAC_DMACA2_EB                        *((volatile  uint8_t *)(0x42C0067CUL))
#define bFM0P_DMAC_DMACA2_EB                      *((volatile  uint8_t *)(0x42C0067CUL))

#define bFM_DMAC_DMACA3_ST                        *((volatile  uint8_t *)(0x42C00874UL))
#define bFM0P_DMAC_DMACA3_ST                      *((volatile  uint8_t *)(0x42C00874UL))
#define bFM_DMAC_DMACA3_PB                        *((volatile  uint8_t *)(0x42C00878UL))
#define bFM0P_DMAC_DMACA3_PB                      *((volatile  uint8_t *)(0x42C00878UL))
#define bFM_DMAC_DMACA3_EB                        *((volatile  uint8_t *)(0x42C0087CUL))
#define bFM0P_DMAC_DMACA3_EB                      *((volatile  uint8_t *)(0x42C0087CUL))

#define bFM_DMAC_DMACA4_ST                        *((volatile  uint8_t *)(0x42C00A74UL))
#define bFM0P_DMAC_DMACA4_ST                      *((volatile  uint8_t *)(0x42C00A74UL))
#define bFM_DMAC_DMACA4_PB                        *((volatile  uint8_t *)(0x42C00A78UL))
#define bFM0P_DMAC_DMACA4_PB                      *((volatile  uint8_t *)(0x42C00A78UL))
#define bFM_DMAC_DMACA4_EB                        *((volatile  uint8_t *)(0x42C00A7CUL))
#define bFM0P_DMAC_DMACA4_EB                      *((volatile  uint8_t *)(0x42C00A7CUL))

#define bFM_DMAC_DMACA5_ST                        *((volatile  uint8_t *)(0x42C00C74UL))
#define bFM0P_DMAC_DMACA5_ST                      *((volatile  uint8_t *)(0x42C00C74UL))
#define bFM_DMAC_DMACA5_PB                        *((volatile  uint8_t *)(0x42C00C78UL))
#define bFM0P_DMAC_DMACA5_PB                      *((volatile  uint8_t *)(0x42C00C78UL))
#define bFM_DMAC_DMACA5_EB                        *((volatile  uint8_t *)(0x42C00C7CUL))
#define bFM0P_DMAC_DMACA5_EB                      *((volatile  uint8_t *)(0x42C00C7CUL))

#define bFM_DMAC_DMACA6_ST                        *((volatile  uint8_t *)(0x42C00E74UL))
#define bFM0P_DMAC_DMACA6_ST                      *((volatile  uint8_t *)(0x42C00E74UL))
#define bFM_DMAC_DMACA6_PB                        *((volatile  uint8_t *)(0x42C00E78UL))
#define bFM0P_DMAC_DMACA6_PB                      *((volatile  uint8_t *)(0x42C00E78UL))
#define bFM_DMAC_DMACA6_EB                        *((volatile  uint8_t *)(0x42C00E7CUL))
#define bFM0P_DMAC_DMACA6_EB                      *((volatile  uint8_t *)(0x42C00E7CUL))

#define bFM_DMAC_DMACA7_ST                        *((volatile  uint8_t *)(0x42C01074UL))
#define bFM0P_DMAC_DMACA7_ST                      *((volatile  uint8_t *)(0x42C01074UL))
#define bFM_DMAC_DMACA7_PB                        *((volatile  uint8_t *)(0x42C01078UL))
#define bFM0P_DMAC_DMACA7_PB                      *((volatile  uint8_t *)(0x42C01078UL))
#define bFM_DMAC_DMACA7_EB                        *((volatile  uint8_t *)(0x42C0107CUL))
#define bFM0P_DMAC_DMACA7_EB                      *((volatile  uint8_t *)(0x42C0107CUL))

#define bFM_DMAC_DMACB0_EM                        *((volatile  uint8_t *)(0x42C00280UL))
#define bFM0P_DMAC_DMACB0_EM                      *((volatile  uint8_t *)(0x42C00280UL))
#define bFM_DMAC_DMACB0_CI                        *((volatile  uint8_t *)(0x42C002CCUL))
#define bFM0P_DMAC_DMACB0_CI                      *((volatile  uint8_t *)(0x42C002CCUL))
#define bFM_DMAC_DMACB0_EI                        *((volatile  uint8_t *)(0x42C002D0UL))
#define bFM0P_DMAC_DMACB0_EI                      *((volatile  uint8_t *)(0x42C002D0UL))
#define bFM_DMAC_DMACB0_RD                        *((volatile  uint8_t *)(0x42C002D4UL))
#define bFM0P_DMAC_DMACB0_RD                      *((volatile  uint8_t *)(0x42C002D4UL))
#define bFM_DMAC_DMACB0_RS                        *((volatile  uint8_t *)(0x42C002D8UL))
#define bFM0P_DMAC_DMACB0_RS                      *((volatile  uint8_t *)(0x42C002D8UL))
#define bFM_DMAC_DMACB0_RC                        *((volatile  uint8_t *)(0x42C002DCUL))
#define bFM0P_DMAC_DMACB0_RC                      *((volatile  uint8_t *)(0x42C002DCUL))
#define bFM_DMAC_DMACB0_FD                        *((volatile  uint8_t *)(0x42C002E0UL))
#define bFM0P_DMAC_DMACB0_FD                      *((volatile  uint8_t *)(0x42C002E0UL))
#define bFM_DMAC_DMACB0_FS                        *((volatile  uint8_t *)(0x42C002E4UL))
#define bFM0P_DMAC_DMACB0_FS                      *((volatile  uint8_t *)(0x42C002E4UL))

#define bFM_DMAC_DMACB1_EM                        *((volatile  uint8_t *)(0x42C00480UL))
#define bFM0P_DMAC_DMACB1_EM                      *((volatile  uint8_t *)(0x42C00480UL))
#define bFM_DMAC_DMACB1_CI                        *((volatile  uint8_t *)(0x42C004CCUL))
#define bFM0P_DMAC_DMACB1_CI                      *((volatile  uint8_t *)(0x42C004CCUL))
#define bFM_DMAC_DMACB1_EI                        *((volatile  uint8_t *)(0x42C004D0UL))
#define bFM0P_DMAC_DMACB1_EI                      *((volatile  uint8_t *)(0x42C004D0UL))
#define bFM_DMAC_DMACB1_RD                        *((volatile  uint8_t *)(0x42C004D4UL))
#define bFM0P_DMAC_DMACB1_RD                      *((volatile  uint8_t *)(0x42C004D4UL))
#define bFM_DMAC_DMACB1_RS                        *((volatile  uint8_t *)(0x42C004D8UL))
#define bFM0P_DMAC_DMACB1_RS                      *((volatile  uint8_t *)(0x42C004D8UL))
#define bFM_DMAC_DMACB1_RC                        *((volatile  uint8_t *)(0x42C004DCUL))
#define bFM0P_DMAC_DMACB1_RC                      *((volatile  uint8_t *)(0x42C004DCUL))
#define bFM_DMAC_DMACB1_FD                        *((volatile  uint8_t *)(0x42C004E0UL))
#define bFM0P_DMAC_DMACB1_FD                      *((volatile  uint8_t *)(0x42C004E0UL))
#define bFM_DMAC_DMACB1_FS                        *((volatile  uint8_t *)(0x42C004E4UL))
#define bFM0P_DMAC_DMACB1_FS                      *((volatile  uint8_t *)(0x42C004E4UL))

#define bFM_DMAC_DMACB2_EM                        *((volatile  uint8_t *)(0x42C00680UL))
#define bFM0P_DMAC_DMACB2_EM                      *((volatile  uint8_t *)(0x42C00680UL))
#define bFM_DMAC_DMACB2_CI                        *((volatile  uint8_t *)(0x42C006CCUL))
#define bFM0P_DMAC_DMACB2_CI                      *((volatile  uint8_t *)(0x42C006CCUL))
#define bFM_DMAC_DMACB2_EI                        *((volatile  uint8_t *)(0x42C006D0UL))
#define bFM0P_DMAC_DMACB2_EI                      *((volatile  uint8_t *)(0x42C006D0UL))
#define bFM_DMAC_DMACB2_RD                        *((volatile  uint8_t *)(0x42C006D4UL))
#define bFM0P_DMAC_DMACB2_RD                      *((volatile  uint8_t *)(0x42C006D4UL))
#define bFM_DMAC_DMACB2_RS                        *((volatile  uint8_t *)(0x42C006D8UL))
#define bFM0P_DMAC_DMACB2_RS                      *((volatile  uint8_t *)(0x42C006D8UL))
#define bFM_DMAC_DMACB2_RC                        *((volatile  uint8_t *)(0x42C006DCUL))
#define bFM0P_DMAC_DMACB2_RC                      *((volatile  uint8_t *)(0x42C006DCUL))
#define bFM_DMAC_DMACB2_FD                        *((volatile  uint8_t *)(0x42C006E0UL))
#define bFM0P_DMAC_DMACB2_FD                      *((volatile  uint8_t *)(0x42C006E0UL))
#define bFM_DMAC_DMACB2_FS                        *((volatile  uint8_t *)(0x42C006E4UL))
#define bFM0P_DMAC_DMACB2_FS                      *((volatile  uint8_t *)(0x42C006E4UL))

#define bFM_DMAC_DMACB3_EM                        *((volatile  uint8_t *)(0x42C00880UL))
#define bFM0P_DMAC_DMACB3_EM                      *((volatile  uint8_t *)(0x42C00880UL))
#define bFM_DMAC_DMACB3_CI                        *((volatile  uint8_t *)(0x42C008CCUL))
#define bFM0P_DMAC_DMACB3_CI                      *((volatile  uint8_t *)(0x42C008CCUL))
#define bFM_DMAC_DMACB3_EI                        *((volatile  uint8_t *)(0x42C008D0UL))
#define bFM0P_DMAC_DMACB3_EI                      *((volatile  uint8_t *)(0x42C008D0UL))
#define bFM_DMAC_DMACB3_RD                        *((volatile  uint8_t *)(0x42C008D4UL))
#define bFM0P_DMAC_DMACB3_RD                      *((volatile  uint8_t *)(0x42C008D4UL))
#define bFM_DMAC_DMACB3_RS                        *((volatile  uint8_t *)(0x42C008D8UL))
#define bFM0P_DMAC_DMACB3_RS                      *((volatile  uint8_t *)(0x42C008D8UL))
#define bFM_DMAC_DMACB3_RC                        *((volatile  uint8_t *)(0x42C008DCUL))
#define bFM0P_DMAC_DMACB3_RC                      *((volatile  uint8_t *)(0x42C008DCUL))
#define bFM_DMAC_DMACB3_FD                        *((volatile  uint8_t *)(0x42C008E0UL))
#define bFM0P_DMAC_DMACB3_FD                      *((volatile  uint8_t *)(0x42C008E0UL))
#define bFM_DMAC_DMACB3_FS                        *((volatile  uint8_t *)(0x42C008E4UL))
#define bFM0P_DMAC_DMACB3_FS                      *((volatile  uint8_t *)(0x42C008E4UL))

#define bFM_DMAC_DMACB4_EM                        *((volatile  uint8_t *)(0x42C00A80UL))
#define bFM0P_DMAC_DMACB4_EM                      *((volatile  uint8_t *)(0x42C00A80UL))
#define bFM_DMAC_DMACB4_CI                        *((volatile  uint8_t *)(0x42C00ACCUL))
#define bFM0P_DMAC_DMACB4_CI                      *((volatile  uint8_t *)(0x42C00ACCUL))
#define bFM_DMAC_DMACB4_EI                        *((volatile  uint8_t *)(0x42C00AD0UL))
#define bFM0P_DMAC_DMACB4_EI                      *((volatile  uint8_t *)(0x42C00AD0UL))
#define bFM_DMAC_DMACB4_RD                        *((volatile  uint8_t *)(0x42C00AD4UL))
#define bFM0P_DMAC_DMACB4_RD                      *((volatile  uint8_t *)(0x42C00AD4UL))
#define bFM_DMAC_DMACB4_RS                        *((volatile  uint8_t *)(0x42C00AD8UL))
#define bFM0P_DMAC_DMACB4_RS                      *((volatile  uint8_t *)(0x42C00AD8UL))
#define bFM_DMAC_DMACB4_RC                        *((volatile  uint8_t *)(0x42C00ADCUL))
#define bFM0P_DMAC_DMACB4_RC                      *((volatile  uint8_t *)(0x42C00ADCUL))
#define bFM_DMAC_DMACB4_FD                        *((volatile  uint8_t *)(0x42C00AE0UL))
#define bFM0P_DMAC_DMACB4_FD                      *((volatile  uint8_t *)(0x42C00AE0UL))
#define bFM_DMAC_DMACB4_FS                        *((volatile  uint8_t *)(0x42C00AE4UL))
#define bFM0P_DMAC_DMACB4_FS                      *((volatile  uint8_t *)(0x42C00AE4UL))

#define bFM_DMAC_DMACB5_EM                        *((volatile  uint8_t *)(0x42C00C80UL))
#define bFM0P_DMAC_DMACB5_EM                      *((volatile  uint8_t *)(0x42C00C80UL))
#define bFM_DMAC_DMACB5_CI                        *((volatile  uint8_t *)(0x42C00CCCUL))
#define bFM0P_DMAC_DMACB5_CI                      *((volatile  uint8_t *)(0x42C00CCCUL))
#define bFM_DMAC_DMACB5_EI                        *((volatile  uint8_t *)(0x42C00CD0UL))
#define bFM0P_DMAC_DMACB5_EI                      *((volatile  uint8_t *)(0x42C00CD0UL))
#define bFM_DMAC_DMACB5_RD                        *((volatile  uint8_t *)(0x42C00CD4UL))
#define bFM0P_DMAC_DMACB5_RD                      *((volatile  uint8_t *)(0x42C00CD4UL))
#define bFM_DMAC_DMACB5_RS                        *((volatile  uint8_t *)(0x42C00CD8UL))
#define bFM0P_DMAC_DMACB5_RS                      *((volatile  uint8_t *)(0x42C00CD8UL))
#define bFM_DMAC_DMACB5_RC                        *((volatile  uint8_t *)(0x42C00CDCUL))
#define bFM0P_DMAC_DMACB5_RC                      *((volatile  uint8_t *)(0x42C00CDCUL))
#define bFM_DMAC_DMACB5_FD                        *((volatile  uint8_t *)(0x42C00CE0UL))
#define bFM0P_DMAC_DMACB5_FD                      *((volatile  uint8_t *)(0x42C00CE0UL))
#define bFM_DMAC_DMACB5_FS                        *((volatile  uint8_t *)(0x42C00CE4UL))
#define bFM0P_DMAC_DMACB5_FS                      *((volatile  uint8_t *)(0x42C00CE4UL))

#define bFM_DMAC_DMACB6_EM                        *((volatile  uint8_t *)(0x42C00E80UL))
#define bFM0P_DMAC_DMACB6_EM                      *((volatile  uint8_t *)(0x42C00E80UL))
#define bFM_DMAC_DMACB6_CI                        *((volatile  uint8_t *)(0x42C00ECCUL))
#define bFM0P_DMAC_DMACB6_CI                      *((volatile  uint8_t *)(0x42C00ECCUL))
#define bFM_DMAC_DMACB6_EI                        *((volatile  uint8_t *)(0x42C00ED0UL))
#define bFM0P_DMAC_DMACB6_EI                      *((volatile  uint8_t *)(0x42C00ED0UL))
#define bFM_DMAC_DMACB6_RD                        *((volatile  uint8_t *)(0x42C00ED4UL))
#define bFM0P_DMAC_DMACB6_RD                      *((volatile  uint8_t *)(0x42C00ED4UL))
#define bFM_DMAC_DMACB6_RS                        *((volatile  uint8_t *)(0x42C00ED8UL))
#define bFM0P_DMAC_DMACB6_RS                      *((volatile  uint8_t *)(0x42C00ED8UL))
#define bFM_DMAC_DMACB6_RC                        *((volatile  uint8_t *)(0x42C00EDCUL))
#define bFM0P_DMAC_DMACB6_RC                      *((volatile  uint8_t *)(0x42C00EDCUL))
#define bFM_DMAC_DMACB6_FD                        *((volatile  uint8_t *)(0x42C00EE0UL))
#define bFM0P_DMAC_DMACB6_FD                      *((volatile  uint8_t *)(0x42C00EE0UL))
#define bFM_DMAC_DMACB6_FS                        *((volatile  uint8_t *)(0x42C00EE4UL))
#define bFM0P_DMAC_DMACB6_FS                      *((volatile  uint8_t *)(0x42C00EE4UL))

#define bFM_DMAC_DMACB7_EM                        *((volatile  uint8_t *)(0x42C01080UL))
#define bFM0P_DMAC_DMACB7_EM                      *((volatile  uint8_t *)(0x42C01080UL))
#define bFM_DMAC_DMACB7_CI                        *((volatile  uint8_t *)(0x42C010CCUL))
#define bFM0P_DMAC_DMACB7_CI                      *((volatile  uint8_t *)(0x42C010CCUL))
#define bFM_DMAC_DMACB7_EI                        *((volatile  uint8_t *)(0x42C010D0UL))
#define bFM0P_DMAC_DMACB7_EI                      *((volatile  uint8_t *)(0x42C010D0UL))
#define bFM_DMAC_DMACB7_RD                        *((volatile  uint8_t *)(0x42C010D4UL))
#define bFM0P_DMAC_DMACB7_RD                      *((volatile  uint8_t *)(0x42C010D4UL))
#define bFM_DMAC_DMACB7_RS                        *((volatile  uint8_t *)(0x42C010D8UL))
#define bFM0P_DMAC_DMACB7_RS                      *((volatile  uint8_t *)(0x42C010D8UL))
#define bFM_DMAC_DMACB7_RC                        *((volatile  uint8_t *)(0x42C010DCUL))
#define bFM0P_DMAC_DMACB7_RC                      *((volatile  uint8_t *)(0x42C010DCUL))
#define bFM_DMAC_DMACB7_FD                        *((volatile  uint8_t *)(0x42C010E0UL))
#define bFM0P_DMAC_DMACB7_FD                      *((volatile  uint8_t *)(0x42C010E0UL))
#define bFM_DMAC_DMACB7_FS                        *((volatile  uint8_t *)(0x42C010E4UL))
#define bFM0P_DMAC_DMACB7_FS                      *((volatile  uint8_t *)(0x42C010E4UL))

#define bFM_DMAC_DMACR_PR                         *((volatile  uint8_t *)(0x42C00070UL))
#define bFM0P_DMAC_DMACR_PR                       *((volatile  uint8_t *)(0x42C00070UL))
#define bFM_DMAC_DMACR_DS                         *((volatile  uint8_t *)(0x42C00078UL))
#define bFM0P_DMAC_DMACR_DS                       *((volatile  uint8_t *)(0x42C00078UL))
#define bFM_DMAC_DMACR_DE                         *((volatile  uint8_t *)(0x42C0007CUL))
#define bFM0P_DMAC_DMACR_DE                       *((volatile  uint8_t *)(0x42C0007CUL))


/******************************************************************************
 ** DS Registers DS
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_DS_PMD_CTL_RTCE                       *((volatile  uint8_t *)(0x426B0000UL))
#define bFM0P_DS_PMD_CTL_RTCE                     *((volatile  uint8_t *)(0x426B0000UL))

#define bFM_DS_RCK_CTL_RTCCKE                     *((volatile  uint8_t *)(0x426A2080UL))
#define bFM0P_DS_RCK_CTL_RTCCKE                   *((volatile  uint8_t *)(0x426A2080UL))
#define bFM_DS_RCK_CTL_CECCKE                     *((volatile  uint8_t *)(0x426A2084UL))
#define bFM0P_DS_RCK_CTL_CECCKE                   *((volatile  uint8_t *)(0x426A2084UL))

#define bFM_DS_WIER_WRTCE                         *((volatile  uint8_t *)(0x426B0180UL))
#define bFM0P_DS_WIER_WRTCE                       *((volatile  uint8_t *)(0x426B0180UL))
#define bFM_DS_WIER_WLVDE                         *((volatile  uint8_t *)(0x426B0184UL))
#define bFM0P_DS_WIER_WLVDE                       *((volatile  uint8_t *)(0x426B0184UL))
#define bFM_DS_WIER_WUI1E                         *((volatile  uint8_t *)(0x426B018CUL))
#define bFM0P_DS_WIER_WUI1E                       *((volatile  uint8_t *)(0x426B018CUL))
#define bFM_DS_WIER_WUI2E                         *((volatile  uint8_t *)(0x426B0190UL))
#define bFM0P_DS_WIER_WUI2E                       *((volatile  uint8_t *)(0x426B0190UL))
#define bFM_DS_WIER_WUI3E                         *((volatile  uint8_t *)(0x426B0194UL))
#define bFM0P_DS_WIER_WUI3E                       *((volatile  uint8_t *)(0x426B0194UL))
#define bFM_DS_WIER_WUI4E                         *((volatile  uint8_t *)(0x426B0198UL))
#define bFM0P_DS_WIER_WUI4E                       *((volatile  uint8_t *)(0x426B0198UL))
#define bFM_DS_WIER_WUI5E                         *((volatile  uint8_t *)(0x426B019CUL))
#define bFM0P_DS_WIER_WUI5E                       *((volatile  uint8_t *)(0x426B019CUL))
#define bFM_DS_WIER_WCEC0E                        *((volatile  uint8_t *)(0x426B01A0UL))
#define bFM0P_DS_WIER_WCEC0E                      *((volatile  uint8_t *)(0x426B01A0UL))
#define bFM_DS_WIER_WCEC1E                        *((volatile  uint8_t *)(0x426B01A4UL))
#define bFM0P_DS_WIER_WCEC1E                      *((volatile  uint8_t *)(0x426B01A4UL))

#define bFM_DS_WIFSR_WRTCI                        *((volatile  uint8_t *)(0x426B0100UL))
#define bFM0P_DS_WIFSR_WRTCI                      *((volatile  uint8_t *)(0x426B0100UL))
#define bFM_DS_WIFSR_WLVDI                        *((volatile  uint8_t *)(0x426B0104UL))
#define bFM0P_DS_WIFSR_WLVDI                      *((volatile  uint8_t *)(0x426B0104UL))
#define bFM_DS_WIFSR_WUI0                         *((volatile  uint8_t *)(0x426B0108UL))
#define bFM0P_DS_WIFSR_WUI0                       *((volatile  uint8_t *)(0x426B0108UL))
#define bFM_DS_WIFSR_WUI1                         *((volatile  uint8_t *)(0x426B010CUL))
#define bFM0P_DS_WIFSR_WUI1                       *((volatile  uint8_t *)(0x426B010CUL))
#define bFM_DS_WIFSR_WUI2                         *((volatile  uint8_t *)(0x426B0110UL))
#define bFM0P_DS_WIFSR_WUI2                       *((volatile  uint8_t *)(0x426B0110UL))
#define bFM_DS_WIFSR_WUI3                         *((volatile  uint8_t *)(0x426B0114UL))
#define bFM0P_DS_WIFSR_WUI3                       *((volatile  uint8_t *)(0x426B0114UL))
#define bFM_DS_WIFSR_WUI4                         *((volatile  uint8_t *)(0x426B0118UL))
#define bFM0P_DS_WIFSR_WUI4                       *((volatile  uint8_t *)(0x426B0118UL))
#define bFM_DS_WIFSR_WUI5                         *((volatile  uint8_t *)(0x426B011CUL))
#define bFM0P_DS_WIFSR_WUI5                       *((volatile  uint8_t *)(0x426B011CUL))
#define bFM_DS_WIFSR_WCEC0I                       *((volatile  uint8_t *)(0x426B0120UL))
#define bFM0P_DS_WIFSR_WCEC0I                     *((volatile  uint8_t *)(0x426B0120UL))
#define bFM_DS_WIFSR_WCEC1I                       *((volatile  uint8_t *)(0x426B0124UL))
#define bFM0P_DS_WIFSR_WCEC1I                     *((volatile  uint8_t *)(0x426B0124UL))

#define bFM_DS_WILVR_WUI1LV                       *((volatile  uint8_t *)(0x426B0200UL))
#define bFM0P_DS_WILVR_WUI1LV                     *((volatile  uint8_t *)(0x426B0200UL))
#define bFM_DS_WILVR_WUI2LV                       *((volatile  uint8_t *)(0x426B0204UL))
#define bFM0P_DS_WILVR_WUI2LV                     *((volatile  uint8_t *)(0x426B0204UL))
#define bFM_DS_WILVR_WUI3LV                       *((volatile  uint8_t *)(0x426B0208UL))
#define bFM0P_DS_WILVR_WUI3LV                     *((volatile  uint8_t *)(0x426B0208UL))
#define bFM_DS_WILVR_WUI4LV                       *((volatile  uint8_t *)(0x426B020CUL))
#define bFM0P_DS_WILVR_WUI4LV                     *((volatile  uint8_t *)(0x426B020CUL))
#define bFM_DS_WILVR_WUI5LV                       *((volatile  uint8_t *)(0x426B0210UL))
#define bFM0P_DS_WILVR_WUI5LV                     *((volatile  uint8_t *)(0x426B0210UL))

#define bFM_DS_WRFSR_WINITX                       *((volatile  uint8_t *)(0x426B0080UL))
#define bFM0P_DS_WRFSR_WINITX                     *((volatile  uint8_t *)(0x426B0080UL))
#define bFM_DS_WRFSR_WLVDH                        *((volatile  uint8_t *)(0x426B0084UL))
#define bFM0P_DS_WRFSR_WLVDH                      *((volatile  uint8_t *)(0x426B0084UL))


/******************************************************************************
 ** DT Registers DT
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_DT_TIMER1CONTROL_ONESHOT              *((volatile  uint32_t*)(0x422A0100UL))
#define bFM0P_DT_TIMER1CONTROL_ONESHOT            *((volatile  uint32_t*)(0x422A0100UL))
#define bFM_DT_TIMER1CONTROL_TIMERSIZE            *((volatile  uint32_t*)(0x422A0104UL))
#define bFM0P_DT_TIMER1CONTROL_TIMERSIZE          *((volatile  uint32_t*)(0x422A0104UL))
#define bFM_DT_TIMER1CONTROL_INTENABLE            *((volatile  uint32_t*)(0x422A0114UL))
#define bFM0P_DT_TIMER1CONTROL_INTENABLE          *((volatile  uint32_t*)(0x422A0114UL))
#define bFM_DT_TIMER1CONTROL_TIMERMODE            *((volatile  uint32_t*)(0x422A0118UL))
#define bFM0P_DT_TIMER1CONTROL_TIMERMODE          *((volatile  uint32_t*)(0x422A0118UL))
#define bFM_DT_TIMER1CONTROL_TIMEREN              *((volatile  uint32_t*)(0x422A011CUL))
#define bFM0P_DT_TIMER1CONTROL_TIMEREN            *((volatile  uint32_t*)(0x422A011CUL))

#define bFM_DT_TIMER1MIS_TIMER1MIS                *((volatile  uint32_t*)(0x422A0280UL))
#define bFM0P_DT_TIMER1MIS_TIMER1MIS              *((volatile  uint32_t*)(0x422A0280UL))

#define bFM_DT_TIMER1RIS_TIMER1RIS                *((volatile  uint32_t*)(0x422A0200UL))
#define bFM0P_DT_TIMER1RIS_TIMER1RIS              *((volatile  uint32_t*)(0x422A0200UL))

#define bFM_DT_TIMER2CONTROL_ONESHOT              *((volatile  uint32_t*)(0x422A0500UL))
#define bFM0P_DT_TIMER2CONTROL_ONESHOT            *((volatile  uint32_t*)(0x422A0500UL))
#define bFM_DT_TIMER2CONTROL_TIMERSIZE            *((volatile  uint32_t*)(0x422A0504UL))
#define bFM0P_DT_TIMER2CONTROL_TIMERSIZE          *((volatile  uint32_t*)(0x422A0504UL))
#define bFM_DT_TIMER2CONTROL_INTENABLE            *((volatile  uint32_t*)(0x422A0514UL))
#define bFM0P_DT_TIMER2CONTROL_INTENABLE          *((volatile  uint32_t*)(0x422A0514UL))
#define bFM_DT_TIMER2CONTROL_TIMERMODE            *((volatile  uint32_t*)(0x422A0518UL))
#define bFM0P_DT_TIMER2CONTROL_TIMERMODE          *((volatile  uint32_t*)(0x422A0518UL))
#define bFM_DT_TIMER2CONTROL_TIMEREN              *((volatile  uint32_t*)(0x422A051CUL))
#define bFM0P_DT_TIMER2CONTROL_TIMEREN            *((volatile  uint32_t*)(0x422A051CUL))

#define bFM_DT_TIMER2MIS_TIMER2MIS                *((volatile  uint32_t*)(0x422A0680UL))
#define bFM0P_DT_TIMER2MIS_TIMER2MIS              *((volatile  uint32_t*)(0x422A0680UL))

#define bFM_DT_TIMER2RIS_TIMER2RIS                *((volatile  uint32_t*)(0x422A0600UL))
#define bFM0P_DT_TIMER2RIS_TIMER2RIS              *((volatile  uint32_t*)(0x422A0600UL))


/******************************************************************************
 ** EXTI Registers EXTI
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_EXTI_EICL_ECL0                        *((volatile  uint8_t *)(0x42600100UL))
#define bFM0P_EXTI_EICL_ECL0                      *((volatile  uint8_t *)(0x42600100UL))
#define bFM_EXTI_EICL_ECL1                        *((volatile  uint8_t *)(0x42600104UL))
#define bFM0P_EXTI_EICL_ECL1                      *((volatile  uint8_t *)(0x42600104UL))
#define bFM_EXTI_EICL_ECL2                        *((volatile  uint8_t *)(0x42600108UL))
#define bFM0P_EXTI_EICL_ECL2                      *((volatile  uint8_t *)(0x42600108UL))
#define bFM_EXTI_EICL_ECL3                        *((volatile  uint8_t *)(0x4260010CUL))
#define bFM0P_EXTI_EICL_ECL3                      *((volatile  uint8_t *)(0x4260010CUL))
#define bFM_EXTI_EICL_ECL4                        *((volatile  uint8_t *)(0x42600110UL))
#define bFM0P_EXTI_EICL_ECL4                      *((volatile  uint8_t *)(0x42600110UL))
#define bFM_EXTI_EICL_ECL5                        *((volatile  uint8_t *)(0x42600114UL))
#define bFM0P_EXTI_EICL_ECL5                      *((volatile  uint8_t *)(0x42600114UL))
#define bFM_EXTI_EICL_ECL6                        *((volatile  uint8_t *)(0x42600118UL))
#define bFM0P_EXTI_EICL_ECL6                      *((volatile  uint8_t *)(0x42600118UL))
#define bFM_EXTI_EICL_ECL7                        *((volatile  uint8_t *)(0x4260011CUL))
#define bFM0P_EXTI_EICL_ECL7                      *((volatile  uint8_t *)(0x4260011CUL))
#define bFM_EXTI_EICL_ECL8                        *((volatile  uint8_t *)(0x42600120UL))
#define bFM0P_EXTI_EICL_ECL8                      *((volatile  uint8_t *)(0x42600120UL))
#define bFM_EXTI_EICL_ECL9                        *((volatile  uint8_t *)(0x42600124UL))
#define bFM0P_EXTI_EICL_ECL9                      *((volatile  uint8_t *)(0x42600124UL))
#define bFM_EXTI_EICL_ECL10                       *((volatile  uint8_t *)(0x42600128UL))
#define bFM0P_EXTI_EICL_ECL10                     *((volatile  uint8_t *)(0x42600128UL))
#define bFM_EXTI_EICL_ECL11                       *((volatile  uint8_t *)(0x4260012CUL))
#define bFM0P_EXTI_EICL_ECL11                     *((volatile  uint8_t *)(0x4260012CUL))
#define bFM_EXTI_EICL_ECL12                       *((volatile  uint8_t *)(0x42600130UL))
#define bFM0P_EXTI_EICL_ECL12                     *((volatile  uint8_t *)(0x42600130UL))
#define bFM_EXTI_EICL_ECL13                       *((volatile  uint8_t *)(0x42600134UL))
#define bFM0P_EXTI_EICL_ECL13                     *((volatile  uint8_t *)(0x42600134UL))
#define bFM_EXTI_EICL_ECL14                       *((volatile  uint8_t *)(0x42600138UL))
#define bFM0P_EXTI_EICL_ECL14                     *((volatile  uint8_t *)(0x42600138UL))
#define bFM_EXTI_EICL_ECL15                       *((volatile  uint8_t *)(0x4260013CUL))
#define bFM0P_EXTI_EICL_ECL15                     *((volatile  uint8_t *)(0x4260013CUL))
#define bFM_EXTI_EICL_ECL16                       *((volatile  uint8_t *)(0x42600140UL))
#define bFM0P_EXTI_EICL_ECL16                     *((volatile  uint8_t *)(0x42600140UL))
#define bFM_EXTI_EICL_ECL17                       *((volatile  uint8_t *)(0x42600144UL))
#define bFM0P_EXTI_EICL_ECL17                     *((volatile  uint8_t *)(0x42600144UL))
#define bFM_EXTI_EICL_ECL18                       *((volatile  uint8_t *)(0x42600148UL))
#define bFM0P_EXTI_EICL_ECL18                     *((volatile  uint8_t *)(0x42600148UL))
#define bFM_EXTI_EICL_ECL19                       *((volatile  uint8_t *)(0x4260014CUL))
#define bFM0P_EXTI_EICL_ECL19                     *((volatile  uint8_t *)(0x4260014CUL))
#define bFM_EXTI_EICL_ECL20                       *((volatile  uint8_t *)(0x42600150UL))
#define bFM0P_EXTI_EICL_ECL20                     *((volatile  uint8_t *)(0x42600150UL))
#define bFM_EXTI_EICL_ECL21                       *((volatile  uint8_t *)(0x42600154UL))
#define bFM0P_EXTI_EICL_ECL21                     *((volatile  uint8_t *)(0x42600154UL))
#define bFM_EXTI_EICL_ECL22                       *((volatile  uint8_t *)(0x42600158UL))
#define bFM0P_EXTI_EICL_ECL22                     *((volatile  uint8_t *)(0x42600158UL))
#define bFM_EXTI_EICL_ECL23                       *((volatile  uint8_t *)(0x4260015CUL))
#define bFM0P_EXTI_EICL_ECL23                     *((volatile  uint8_t *)(0x4260015CUL))
#define bFM_EXTI_EICL_ECL24                       *((volatile  uint8_t *)(0x42600160UL))
#define bFM0P_EXTI_EICL_ECL24                     *((volatile  uint8_t *)(0x42600160UL))
#define bFM_EXTI_EICL_ECL25                       *((volatile  uint8_t *)(0x42600164UL))
#define bFM0P_EXTI_EICL_ECL25                     *((volatile  uint8_t *)(0x42600164UL))
#define bFM_EXTI_EICL_ECL26                       *((volatile  uint8_t *)(0x42600168UL))
#define bFM0P_EXTI_EICL_ECL26                     *((volatile  uint8_t *)(0x42600168UL))
#define bFM_EXTI_EICL_ECL27                       *((volatile  uint8_t *)(0x4260016CUL))
#define bFM0P_EXTI_EICL_ECL27                     *((volatile  uint8_t *)(0x4260016CUL))
#define bFM_EXTI_EICL_ECL28                       *((volatile  uint8_t *)(0x42600170UL))
#define bFM0P_EXTI_EICL_ECL28                     *((volatile  uint8_t *)(0x42600170UL))
#define bFM_EXTI_EICL_ECL29                       *((volatile  uint8_t *)(0x42600174UL))
#define bFM0P_EXTI_EICL_ECL29                     *((volatile  uint8_t *)(0x42600174UL))
#define bFM_EXTI_EICL_ECL30                       *((volatile  uint8_t *)(0x42600178UL))
#define bFM0P_EXTI_EICL_ECL30                     *((volatile  uint8_t *)(0x42600178UL))
#define bFM_EXTI_EICL_ECL31                       *((volatile  uint8_t *)(0x4260017CUL))
#define bFM0P_EXTI_EICL_ECL31                     *((volatile  uint8_t *)(0x4260017CUL))

#define bFM_EXTI_EIRR_ER0                         *((volatile  uint8_t *)(0x42600080UL))
#define bFM0P_EXTI_EIRR_ER0                       *((volatile  uint8_t *)(0x42600080UL))
#define bFM_EXTI_EIRR_ER1                         *((volatile  uint8_t *)(0x42600084UL))
#define bFM0P_EXTI_EIRR_ER1                       *((volatile  uint8_t *)(0x42600084UL))
#define bFM_EXTI_EIRR_ER2                         *((volatile  uint8_t *)(0x42600088UL))
#define bFM0P_EXTI_EIRR_ER2                       *((volatile  uint8_t *)(0x42600088UL))
#define bFM_EXTI_EIRR_ER3                         *((volatile  uint8_t *)(0x4260008CUL))
#define bFM0P_EXTI_EIRR_ER3                       *((volatile  uint8_t *)(0x4260008CUL))
#define bFM_EXTI_EIRR_ER4                         *((volatile  uint8_t *)(0x42600090UL))
#define bFM0P_EXTI_EIRR_ER4                       *((volatile  uint8_t *)(0x42600090UL))
#define bFM_EXTI_EIRR_ER5                         *((volatile  uint8_t *)(0x42600094UL))
#define bFM0P_EXTI_EIRR_ER5                       *((volatile  uint8_t *)(0x42600094UL))
#define bFM_EXTI_EIRR_ER6                         *((volatile  uint8_t *)(0x42600098UL))
#define bFM0P_EXTI_EIRR_ER6                       *((volatile  uint8_t *)(0x42600098UL))
#define bFM_EXTI_EIRR_ER7                         *((volatile  uint8_t *)(0x4260009CUL))
#define bFM0P_EXTI_EIRR_ER7                       *((volatile  uint8_t *)(0x4260009CUL))
#define bFM_EXTI_EIRR_ER8                         *((volatile  uint8_t *)(0x426000A0UL))
#define bFM0P_EXTI_EIRR_ER8                       *((volatile  uint8_t *)(0x426000A0UL))
#define bFM_EXTI_EIRR_ER9                         *((volatile  uint8_t *)(0x426000A4UL))
#define bFM0P_EXTI_EIRR_ER9                       *((volatile  uint8_t *)(0x426000A4UL))
#define bFM_EXTI_EIRR_ER10                        *((volatile  uint8_t *)(0x426000A8UL))
#define bFM0P_EXTI_EIRR_ER10                      *((volatile  uint8_t *)(0x426000A8UL))
#define bFM_EXTI_EIRR_ER11                        *((volatile  uint8_t *)(0x426000ACUL))
#define bFM0P_EXTI_EIRR_ER11                      *((volatile  uint8_t *)(0x426000ACUL))
#define bFM_EXTI_EIRR_ER12                        *((volatile  uint8_t *)(0x426000B0UL))
#define bFM0P_EXTI_EIRR_ER12                      *((volatile  uint8_t *)(0x426000B0UL))
#define bFM_EXTI_EIRR_ER13                        *((volatile  uint8_t *)(0x426000B4UL))
#define bFM0P_EXTI_EIRR_ER13                      *((volatile  uint8_t *)(0x426000B4UL))
#define bFM_EXTI_EIRR_ER14                        *((volatile  uint8_t *)(0x426000B8UL))
#define bFM0P_EXTI_EIRR_ER14                      *((volatile  uint8_t *)(0x426000B8UL))
#define bFM_EXTI_EIRR_ER15                        *((volatile  uint8_t *)(0x426000BCUL))
#define bFM0P_EXTI_EIRR_ER15                      *((volatile  uint8_t *)(0x426000BCUL))
#define bFM_EXTI_EIRR_ER16                        *((volatile  uint8_t *)(0x426000C0UL))
#define bFM0P_EXTI_EIRR_ER16                      *((volatile  uint8_t *)(0x426000C0UL))
#define bFM_EXTI_EIRR_ER17                        *((volatile  uint8_t *)(0x426000C4UL))
#define bFM0P_EXTI_EIRR_ER17                      *((volatile  uint8_t *)(0x426000C4UL))
#define bFM_EXTI_EIRR_ER18                        *((volatile  uint8_t *)(0x426000C8UL))
#define bFM0P_EXTI_EIRR_ER18                      *((volatile  uint8_t *)(0x426000C8UL))
#define bFM_EXTI_EIRR_ER19                        *((volatile  uint8_t *)(0x426000CCUL))
#define bFM0P_EXTI_EIRR_ER19                      *((volatile  uint8_t *)(0x426000CCUL))
#define bFM_EXTI_EIRR_ER20                        *((volatile  uint8_t *)(0x426000D0UL))
#define bFM0P_EXTI_EIRR_ER20                      *((volatile  uint8_t *)(0x426000D0UL))
#define bFM_EXTI_EIRR_ER21                        *((volatile  uint8_t *)(0x426000D4UL))
#define bFM0P_EXTI_EIRR_ER21                      *((volatile  uint8_t *)(0x426000D4UL))
#define bFM_EXTI_EIRR_ER22                        *((volatile  uint8_t *)(0x426000D8UL))
#define bFM0P_EXTI_EIRR_ER22                      *((volatile  uint8_t *)(0x426000D8UL))
#define bFM_EXTI_EIRR_ER23                        *((volatile  uint8_t *)(0x426000DCUL))
#define bFM0P_EXTI_EIRR_ER23                      *((volatile  uint8_t *)(0x426000DCUL))
#define bFM_EXTI_EIRR_ER24                        *((volatile  uint8_t *)(0x426000E0UL))
#define bFM0P_EXTI_EIRR_ER24                      *((volatile  uint8_t *)(0x426000E0UL))
#define bFM_EXTI_EIRR_ER25                        *((volatile  uint8_t *)(0x426000E4UL))
#define bFM0P_EXTI_EIRR_ER25                      *((volatile  uint8_t *)(0x426000E4UL))
#define bFM_EXTI_EIRR_ER26                        *((volatile  uint8_t *)(0x426000E8UL))
#define bFM0P_EXTI_EIRR_ER26                      *((volatile  uint8_t *)(0x426000E8UL))
#define bFM_EXTI_EIRR_ER27                        *((volatile  uint8_t *)(0x426000ECUL))
#define bFM0P_EXTI_EIRR_ER27                      *((volatile  uint8_t *)(0x426000ECUL))
#define bFM_EXTI_EIRR_ER28                        *((volatile  uint8_t *)(0x426000F0UL))
#define bFM0P_EXTI_EIRR_ER28                      *((volatile  uint8_t *)(0x426000F0UL))
#define bFM_EXTI_EIRR_ER29                        *((volatile  uint8_t *)(0x426000F4UL))
#define bFM0P_EXTI_EIRR_ER29                      *((volatile  uint8_t *)(0x426000F4UL))
#define bFM_EXTI_EIRR_ER30                        *((volatile  uint8_t *)(0x426000F8UL))
#define bFM0P_EXTI_EIRR_ER30                      *((volatile  uint8_t *)(0x426000F8UL))
#define bFM_EXTI_EIRR_ER31                        *((volatile  uint8_t *)(0x426000FCUL))
#define bFM0P_EXTI_EIRR_ER31                      *((volatile  uint8_t *)(0x426000FCUL))

#define bFM_EXTI_ELVR_LA0                         *((volatile  uint8_t *)(0x42600180UL))
#define bFM0P_EXTI_ELVR_LA0                       *((volatile  uint8_t *)(0x42600180UL))
#define bFM_EXTI_ELVR_LB0                         *((volatile  uint8_t *)(0x42600184UL))
#define bFM0P_EXTI_ELVR_LB0                       *((volatile  uint8_t *)(0x42600184UL))
#define bFM_EXTI_ELVR_LA1                         *((volatile  uint8_t *)(0x42600188UL))
#define bFM0P_EXTI_ELVR_LA1                       *((volatile  uint8_t *)(0x42600188UL))
#define bFM_EXTI_ELVR_LB1                         *((volatile  uint8_t *)(0x4260018CUL))
#define bFM0P_EXTI_ELVR_LB1                       *((volatile  uint8_t *)(0x4260018CUL))
#define bFM_EXTI_ELVR_LA2                         *((volatile  uint8_t *)(0x42600190UL))
#define bFM0P_EXTI_ELVR_LA2                       *((volatile  uint8_t *)(0x42600190UL))
#define bFM_EXTI_ELVR_LB2                         *((volatile  uint8_t *)(0x42600194UL))
#define bFM0P_EXTI_ELVR_LB2                       *((volatile  uint8_t *)(0x42600194UL))
#define bFM_EXTI_ELVR_LA3                         *((volatile  uint8_t *)(0x42600198UL))
#define bFM0P_EXTI_ELVR_LA3                       *((volatile  uint8_t *)(0x42600198UL))
#define bFM_EXTI_ELVR_LB3                         *((volatile  uint8_t *)(0x4260019CUL))
#define bFM0P_EXTI_ELVR_LB3                       *((volatile  uint8_t *)(0x4260019CUL))
#define bFM_EXTI_ELVR_LA4                         *((volatile  uint8_t *)(0x426001A0UL))
#define bFM0P_EXTI_ELVR_LA4                       *((volatile  uint8_t *)(0x426001A0UL))
#define bFM_EXTI_ELVR_LB4                         *((volatile  uint8_t *)(0x426001A4UL))
#define bFM0P_EXTI_ELVR_LB4                       *((volatile  uint8_t *)(0x426001A4UL))
#define bFM_EXTI_ELVR_LA5                         *((volatile  uint8_t *)(0x426001A8UL))
#define bFM0P_EXTI_ELVR_LA5                       *((volatile  uint8_t *)(0x426001A8UL))
#define bFM_EXTI_ELVR_LB5                         *((volatile  uint8_t *)(0x426001ACUL))
#define bFM0P_EXTI_ELVR_LB5                       *((volatile  uint8_t *)(0x426001ACUL))
#define bFM_EXTI_ELVR_LA6                         *((volatile  uint8_t *)(0x426001B0UL))
#define bFM0P_EXTI_ELVR_LA6                       *((volatile  uint8_t *)(0x426001B0UL))
#define bFM_EXTI_ELVR_LB6                         *((volatile  uint8_t *)(0x426001B4UL))
#define bFM0P_EXTI_ELVR_LB6                       *((volatile  uint8_t *)(0x426001B4UL))
#define bFM_EXTI_ELVR_LA7                         *((volatile  uint8_t *)(0x426001B8UL))
#define bFM0P_EXTI_ELVR_LA7                       *((volatile  uint8_t *)(0x426001B8UL))
#define bFM_EXTI_ELVR_LB7                         *((volatile  uint8_t *)(0x426001BCUL))
#define bFM0P_EXTI_ELVR_LB7                       *((volatile  uint8_t *)(0x426001BCUL))
#define bFM_EXTI_ELVR_LA8                         *((volatile  uint8_t *)(0x426001C0UL))
#define bFM0P_EXTI_ELVR_LA8                       *((volatile  uint8_t *)(0x426001C0UL))
#define bFM_EXTI_ELVR_LB8                         *((volatile  uint8_t *)(0x426001C4UL))
#define bFM0P_EXTI_ELVR_LB8                       *((volatile  uint8_t *)(0x426001C4UL))
#define bFM_EXTI_ELVR_LA9                         *((volatile  uint8_t *)(0x426001C8UL))
#define bFM0P_EXTI_ELVR_LA9                       *((volatile  uint8_t *)(0x426001C8UL))
#define bFM_EXTI_ELVR_LB9                         *((volatile  uint8_t *)(0x426001CCUL))
#define bFM0P_EXTI_ELVR_LB9                       *((volatile  uint8_t *)(0x426001CCUL))
#define bFM_EXTI_ELVR_LA10                        *((volatile  uint8_t *)(0x426001D0UL))
#define bFM0P_EXTI_ELVR_LA10                      *((volatile  uint8_t *)(0x426001D0UL))
#define bFM_EXTI_ELVR_LB10                        *((volatile  uint8_t *)(0x426001D4UL))
#define bFM0P_EXTI_ELVR_LB10                      *((volatile  uint8_t *)(0x426001D4UL))
#define bFM_EXTI_ELVR_LA11                        *((volatile  uint8_t *)(0x426001D8UL))
#define bFM0P_EXTI_ELVR_LA11                      *((volatile  uint8_t *)(0x426001D8UL))
#define bFM_EXTI_ELVR_LB11                        *((volatile  uint8_t *)(0x426001DCUL))
#define bFM0P_EXTI_ELVR_LB11                      *((volatile  uint8_t *)(0x426001DCUL))
#define bFM_EXTI_ELVR_LA12                        *((volatile  uint8_t *)(0x426001E0UL))
#define bFM0P_EXTI_ELVR_LA12                      *((volatile  uint8_t *)(0x426001E0UL))
#define bFM_EXTI_ELVR_LB12                        *((volatile  uint8_t *)(0x426001E4UL))
#define bFM0P_EXTI_ELVR_LB12                      *((volatile  uint8_t *)(0x426001E4UL))
#define bFM_EXTI_ELVR_LA13                        *((volatile  uint8_t *)(0x426001E8UL))
#define bFM0P_EXTI_ELVR_LA13                      *((volatile  uint8_t *)(0x426001E8UL))
#define bFM_EXTI_ELVR_LB13                        *((volatile  uint8_t *)(0x426001ECUL))
#define bFM0P_EXTI_ELVR_LB13                      *((volatile  uint8_t *)(0x426001ECUL))
#define bFM_EXTI_ELVR_LA14                        *((volatile  uint8_t *)(0x426001F0UL))
#define bFM0P_EXTI_ELVR_LA14                      *((volatile  uint8_t *)(0x426001F0UL))
#define bFM_EXTI_ELVR_LB14                        *((volatile  uint8_t *)(0x426001F4UL))
#define bFM0P_EXTI_ELVR_LB14                      *((volatile  uint8_t *)(0x426001F4UL))
#define bFM_EXTI_ELVR_LA15                        *((volatile  uint8_t *)(0x426001F8UL))
#define bFM0P_EXTI_ELVR_LA15                      *((volatile  uint8_t *)(0x426001F8UL))
#define bFM_EXTI_ELVR_LB15                        *((volatile  uint8_t *)(0x426001FCUL))
#define bFM0P_EXTI_ELVR_LB15                      *((volatile  uint8_t *)(0x426001FCUL))

#define bFM_EXTI_ELVR1_LA16                       *((volatile  uint8_t *)(0x42600200UL))
#define bFM0P_EXTI_ELVR1_LA16                     *((volatile  uint8_t *)(0x42600200UL))
#define bFM_EXTI_ELVR1_LB16                       *((volatile  uint8_t *)(0x42600204UL))
#define bFM0P_EXTI_ELVR1_LB16                     *((volatile  uint8_t *)(0x42600204UL))
#define bFM_EXTI_ELVR1_LA17                       *((volatile  uint8_t *)(0x42600208UL))
#define bFM0P_EXTI_ELVR1_LA17                     *((volatile  uint8_t *)(0x42600208UL))
#define bFM_EXTI_ELVR1_LB17                       *((volatile  uint8_t *)(0x4260020CUL))
#define bFM0P_EXTI_ELVR1_LB17                     *((volatile  uint8_t *)(0x4260020CUL))
#define bFM_EXTI_ELVR1_LA18                       *((volatile  uint8_t *)(0x42600210UL))
#define bFM0P_EXTI_ELVR1_LA18                     *((volatile  uint8_t *)(0x42600210UL))
#define bFM_EXTI_ELVR1_LB18                       *((volatile  uint8_t *)(0x42600214UL))
#define bFM0P_EXTI_ELVR1_LB18                     *((volatile  uint8_t *)(0x42600214UL))
#define bFM_EXTI_ELVR1_LA19                       *((volatile  uint8_t *)(0x42600218UL))
#define bFM0P_EXTI_ELVR1_LA19                     *((volatile  uint8_t *)(0x42600218UL))
#define bFM_EXTI_ELVR1_LB19                       *((volatile  uint8_t *)(0x4260021CUL))
#define bFM0P_EXTI_ELVR1_LB19                     *((volatile  uint8_t *)(0x4260021CUL))
#define bFM_EXTI_ELVR1_LA20                       *((volatile  uint8_t *)(0x42600220UL))
#define bFM0P_EXTI_ELVR1_LA20                     *((volatile  uint8_t *)(0x42600220UL))
#define bFM_EXTI_ELVR1_LB20                       *((volatile  uint8_t *)(0x42600224UL))
#define bFM0P_EXTI_ELVR1_LB20                     *((volatile  uint8_t *)(0x42600224UL))
#define bFM_EXTI_ELVR1_LA21                       *((volatile  uint8_t *)(0x42600228UL))
#define bFM0P_EXTI_ELVR1_LA21                     *((volatile  uint8_t *)(0x42600228UL))
#define bFM_EXTI_ELVR1_LB21                       *((volatile  uint8_t *)(0x4260022CUL))
#define bFM0P_EXTI_ELVR1_LB21                     *((volatile  uint8_t *)(0x4260022CUL))
#define bFM_EXTI_ELVR1_LA22                       *((volatile  uint8_t *)(0x42600230UL))
#define bFM0P_EXTI_ELVR1_LA22                     *((volatile  uint8_t *)(0x42600230UL))
#define bFM_EXTI_ELVR1_LB22                       *((volatile  uint8_t *)(0x42600234UL))
#define bFM0P_EXTI_ELVR1_LB22                     *((volatile  uint8_t *)(0x42600234UL))
#define bFM_EXTI_ELVR1_LA23                       *((volatile  uint8_t *)(0x42600238UL))
#define bFM0P_EXTI_ELVR1_LA23                     *((volatile  uint8_t *)(0x42600238UL))
#define bFM_EXTI_ELVR1_LB23                       *((volatile  uint8_t *)(0x4260023CUL))
#define bFM0P_EXTI_ELVR1_LB23                     *((volatile  uint8_t *)(0x4260023CUL))
#define bFM_EXTI_ELVR1_LA24                       *((volatile  uint8_t *)(0x42600240UL))
#define bFM0P_EXTI_ELVR1_LA24                     *((volatile  uint8_t *)(0x42600240UL))
#define bFM_EXTI_ELVR1_LB24                       *((volatile  uint8_t *)(0x42600244UL))
#define bFM0P_EXTI_ELVR1_LB24                     *((volatile  uint8_t *)(0x42600244UL))
#define bFM_EXTI_ELVR1_LA25                       *((volatile  uint8_t *)(0x42600248UL))
#define bFM0P_EXTI_ELVR1_LA25                     *((volatile  uint8_t *)(0x42600248UL))
#define bFM_EXTI_ELVR1_LB25                       *((volatile  uint8_t *)(0x4260024CUL))
#define bFM0P_EXTI_ELVR1_LB25                     *((volatile  uint8_t *)(0x4260024CUL))
#define bFM_EXTI_ELVR1_LA26                       *((volatile  uint8_t *)(0x42600250UL))
#define bFM0P_EXTI_ELVR1_LA26                     *((volatile  uint8_t *)(0x42600250UL))
#define bFM_EXTI_ELVR1_LB26                       *((volatile  uint8_t *)(0x42600254UL))
#define bFM0P_EXTI_ELVR1_LB26                     *((volatile  uint8_t *)(0x42600254UL))
#define bFM_EXTI_ELVR1_LA27                       *((volatile  uint8_t *)(0x42600258UL))
#define bFM0P_EXTI_ELVR1_LA27                     *((volatile  uint8_t *)(0x42600258UL))
#define bFM_EXTI_ELVR1_LB27                       *((volatile  uint8_t *)(0x4260025CUL))
#define bFM0P_EXTI_ELVR1_LB27                     *((volatile  uint8_t *)(0x4260025CUL))
#define bFM_EXTI_ELVR1_LA28                       *((volatile  uint8_t *)(0x42600260UL))
#define bFM0P_EXTI_ELVR1_LA28                     *((volatile  uint8_t *)(0x42600260UL))
#define bFM_EXTI_ELVR1_LB28                       *((volatile  uint8_t *)(0x42600264UL))
#define bFM0P_EXTI_ELVR1_LB28                     *((volatile  uint8_t *)(0x42600264UL))
#define bFM_EXTI_ELVR1_LA29                       *((volatile  uint8_t *)(0x42600268UL))
#define bFM0P_EXTI_ELVR1_LA29                     *((volatile  uint8_t *)(0x42600268UL))
#define bFM_EXTI_ELVR1_LB29                       *((volatile  uint8_t *)(0x4260026CUL))
#define bFM0P_EXTI_ELVR1_LB29                     *((volatile  uint8_t *)(0x4260026CUL))
#define bFM_EXTI_ELVR1_LA30                       *((volatile  uint8_t *)(0x42600270UL))
#define bFM0P_EXTI_ELVR1_LA30                     *((volatile  uint8_t *)(0x42600270UL))
#define bFM_EXTI_ELVR1_LB30                       *((volatile  uint8_t *)(0x42600274UL))
#define bFM0P_EXTI_ELVR1_LB30                     *((volatile  uint8_t *)(0x42600274UL))
#define bFM_EXTI_ELVR1_LA31                       *((volatile  uint8_t *)(0x42600278UL))
#define bFM0P_EXTI_ELVR1_LA31                     *((volatile  uint8_t *)(0x42600278UL))
#define bFM_EXTI_ELVR1_LB31                       *((volatile  uint8_t *)(0x4260027CUL))
#define bFM0P_EXTI_ELVR1_LB31                     *((volatile  uint8_t *)(0x4260027CUL))

#define bFM_EXTI_ENIR_EN0                         *((volatile  uint8_t *)(0x42600000UL))
#define bFM0P_EXTI_ENIR_EN0                       *((volatile  uint8_t *)(0x42600000UL))
#define bFM_EXTI_ENIR_EN1                         *((volatile  uint8_t *)(0x42600004UL))
#define bFM0P_EXTI_ENIR_EN1                       *((volatile  uint8_t *)(0x42600004UL))
#define bFM_EXTI_ENIR_EN2                         *((volatile  uint8_t *)(0x42600008UL))
#define bFM0P_EXTI_ENIR_EN2                       *((volatile  uint8_t *)(0x42600008UL))
#define bFM_EXTI_ENIR_EN3                         *((volatile  uint8_t *)(0x4260000CUL))
#define bFM0P_EXTI_ENIR_EN3                       *((volatile  uint8_t *)(0x4260000CUL))
#define bFM_EXTI_ENIR_EN4                         *((volatile  uint8_t *)(0x42600010UL))
#define bFM0P_EXTI_ENIR_EN4                       *((volatile  uint8_t *)(0x42600010UL))
#define bFM_EXTI_ENIR_EN5                         *((volatile  uint8_t *)(0x42600014UL))
#define bFM0P_EXTI_ENIR_EN5                       *((volatile  uint8_t *)(0x42600014UL))
#define bFM_EXTI_ENIR_EN6                         *((volatile  uint8_t *)(0x42600018UL))
#define bFM0P_EXTI_ENIR_EN6                       *((volatile  uint8_t *)(0x42600018UL))
#define bFM_EXTI_ENIR_EN7                         *((volatile  uint8_t *)(0x4260001CUL))
#define bFM0P_EXTI_ENIR_EN7                       *((volatile  uint8_t *)(0x4260001CUL))
#define bFM_EXTI_ENIR_EN8                         *((volatile  uint8_t *)(0x42600020UL))
#define bFM0P_EXTI_ENIR_EN8                       *((volatile  uint8_t *)(0x42600020UL))
#define bFM_EXTI_ENIR_EN9                         *((volatile  uint8_t *)(0x42600024UL))
#define bFM0P_EXTI_ENIR_EN9                       *((volatile  uint8_t *)(0x42600024UL))
#define bFM_EXTI_ENIR_EN10                        *((volatile  uint8_t *)(0x42600028UL))
#define bFM0P_EXTI_ENIR_EN10                      *((volatile  uint8_t *)(0x42600028UL))
#define bFM_EXTI_ENIR_EN11                        *((volatile  uint8_t *)(0x4260002CUL))
#define bFM0P_EXTI_ENIR_EN11                      *((volatile  uint8_t *)(0x4260002CUL))
#define bFM_EXTI_ENIR_EN12                        *((volatile  uint8_t *)(0x42600030UL))
#define bFM0P_EXTI_ENIR_EN12                      *((volatile  uint8_t *)(0x42600030UL))
#define bFM_EXTI_ENIR_EN13                        *((volatile  uint8_t *)(0x42600034UL))
#define bFM0P_EXTI_ENIR_EN13                      *((volatile  uint8_t *)(0x42600034UL))
#define bFM_EXTI_ENIR_EN14                        *((volatile  uint8_t *)(0x42600038UL))
#define bFM0P_EXTI_ENIR_EN14                      *((volatile  uint8_t *)(0x42600038UL))
#define bFM_EXTI_ENIR_EN15                        *((volatile  uint8_t *)(0x4260003CUL))
#define bFM0P_EXTI_ENIR_EN15                      *((volatile  uint8_t *)(0x4260003CUL))
#define bFM_EXTI_ENIR_EN16                        *((volatile  uint8_t *)(0x42600040UL))
#define bFM0P_EXTI_ENIR_EN16                      *((volatile  uint8_t *)(0x42600040UL))
#define bFM_EXTI_ENIR_EN17                        *((volatile  uint8_t *)(0x42600044UL))
#define bFM0P_EXTI_ENIR_EN17                      *((volatile  uint8_t *)(0x42600044UL))
#define bFM_EXTI_ENIR_EN18                        *((volatile  uint8_t *)(0x42600048UL))
#define bFM0P_EXTI_ENIR_EN18                      *((volatile  uint8_t *)(0x42600048UL))
#define bFM_EXTI_ENIR_EN19                        *((volatile  uint8_t *)(0x4260004CUL))
#define bFM0P_EXTI_ENIR_EN19                      *((volatile  uint8_t *)(0x4260004CUL))
#define bFM_EXTI_ENIR_EN20                        *((volatile  uint8_t *)(0x42600050UL))
#define bFM0P_EXTI_ENIR_EN20                      *((volatile  uint8_t *)(0x42600050UL))
#define bFM_EXTI_ENIR_EN21                        *((volatile  uint8_t *)(0x42600054UL))
#define bFM0P_EXTI_ENIR_EN21                      *((volatile  uint8_t *)(0x42600054UL))
#define bFM_EXTI_ENIR_EN22                        *((volatile  uint8_t *)(0x42600058UL))
#define bFM0P_EXTI_ENIR_EN22                      *((volatile  uint8_t *)(0x42600058UL))
#define bFM_EXTI_ENIR_EN23                        *((volatile  uint8_t *)(0x4260005CUL))
#define bFM0P_EXTI_ENIR_EN23                      *((volatile  uint8_t *)(0x4260005CUL))
#define bFM_EXTI_ENIR_EN24                        *((volatile  uint8_t *)(0x42600060UL))
#define bFM0P_EXTI_ENIR_EN24                      *((volatile  uint8_t *)(0x42600060UL))
#define bFM_EXTI_ENIR_EN25                        *((volatile  uint8_t *)(0x42600064UL))
#define bFM0P_EXTI_ENIR_EN25                      *((volatile  uint8_t *)(0x42600064UL))
#define bFM_EXTI_ENIR_EN26                        *((volatile  uint8_t *)(0x42600068UL))
#define bFM0P_EXTI_ENIR_EN26                      *((volatile  uint8_t *)(0x42600068UL))
#define bFM_EXTI_ENIR_EN27                        *((volatile  uint8_t *)(0x4260006CUL))
#define bFM0P_EXTI_ENIR_EN27                      *((volatile  uint8_t *)(0x4260006CUL))
#define bFM_EXTI_ENIR_EN28                        *((volatile  uint8_t *)(0x42600070UL))
#define bFM0P_EXTI_ENIR_EN28                      *((volatile  uint8_t *)(0x42600070UL))
#define bFM_EXTI_ENIR_EN29                        *((volatile  uint8_t *)(0x42600074UL))
#define bFM0P_EXTI_ENIR_EN29                      *((volatile  uint8_t *)(0x42600074UL))
#define bFM_EXTI_ENIR_EN30                        *((volatile  uint8_t *)(0x42600078UL))
#define bFM0P_EXTI_ENIR_EN30                      *((volatile  uint8_t *)(0x42600078UL))
#define bFM_EXTI_ENIR_EN31                        *((volatile  uint8_t *)(0x4260007CUL))
#define bFM0P_EXTI_ENIR_EN31                      *((volatile  uint8_t *)(0x4260007CUL))

#define bFM_EXTI_NMICL_NCL                        *((volatile  uint8_t *)(0x42600300UL))
#define bFM0P_EXTI_NMICL_NCL                      *((volatile  uint8_t *)(0x42600300UL))

#define bFM_EXTI_NMIRR_NR                         *((volatile  uint8_t *)(0x42600280UL))
#define bFM0P_EXTI_NMIRR_NR                       *((volatile  uint8_t *)(0x42600280UL))


/******************************************************************************
 ** FASTIO Registers FASTIO
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** FLASH_IF Registers FLASH_IF
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_FLASH_IF_FICLR_RDYC                   *((volatile  uint8_t *)(0x42000500UL))
#define bFM0P_FLASH_IF_FICLR_RDYC                 *((volatile  uint8_t *)(0x42000500UL))
#define bFM_FLASH_IF_FICLR_HANGC                  *((volatile  uint8_t *)(0x42000504UL))
#define bFM0P_FLASH_IF_FICLR_HANGC                *((volatile  uint8_t *)(0x42000504UL))

#define bFM_FLASH_IF_FICR_RDYIE                   *((volatile  uint8_t *)(0x42000400UL))
#define bFM0P_FLASH_IF_FICR_RDYIE                 *((volatile  uint8_t *)(0x42000400UL))
#define bFM_FLASH_IF_FICR_HANGIE                  *((volatile  uint8_t *)(0x42000404UL))
#define bFM0P_FLASH_IF_FICR_HANGIE                *((volatile  uint8_t *)(0x42000404UL))

#define bFM_FLASH_IF_FISR_RDYIF                   *((volatile  uint8_t *)(0x42000480UL))
#define bFM0P_FLASH_IF_FISR_RDYIF                 *((volatile  uint8_t *)(0x42000480UL))
#define bFM_FLASH_IF_FISR_HANGIF                  *((volatile  uint8_t *)(0x42000484UL))
#define bFM0P_FLASH_IF_FISR_HANGIF                *((volatile  uint8_t *)(0x42000484UL))

#define bFM_FLASH_IF_FSTR_RDY                     *((volatile  uint8_t *)(0x42000100UL))
#define bFM0P_FLASH_IF_FSTR_RDY                   *((volatile  uint8_t *)(0x42000100UL))
#define bFM_FLASH_IF_FSTR_HNG                     *((volatile  uint8_t *)(0x42000104UL))
#define bFM0P_FLASH_IF_FSTR_HNG                   *((volatile  uint8_t *)(0x42000104UL))
#define bFM_FLASH_IF_FSTR_CERS                    *((volatile  uint8_t *)(0x42000108UL))
#define bFM0P_FLASH_IF_FSTR_CERS                  *((volatile  uint8_t *)(0x42000108UL))
#define bFM_FLASH_IF_FSTR_ESPS                    *((volatile  uint8_t *)(0x4200010CUL))
#define bFM0P_FLASH_IF_FSTR_ESPS                  *((volatile  uint8_t *)(0x4200010CUL))
#define bFM_FLASH_IF_FSTR_SERS                    *((volatile  uint8_t *)(0x42000110UL))
#define bFM0P_FLASH_IF_FSTR_SERS                  *((volatile  uint8_t *)(0x42000110UL))
#define bFM_FLASH_IF_FSTR_PGMS                    *((volatile  uint8_t *)(0x42000114UL))
#define bFM0P_FLASH_IF_FSTR_PGMS                  *((volatile  uint8_t *)(0x42000114UL))


/******************************************************************************
 ** GPIO Registers GPIO
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_GPIO_ADE_AN01                         *((volatile  uint8_t *)(0x4266A004UL))
#define bFM0P_GPIO_ADE_AN01                       *((volatile  uint8_t *)(0x4266A004UL))
#define bFM_GPIO_ADE_AN02                         *((volatile  uint8_t *)(0x4266A008UL))
#define bFM0P_GPIO_ADE_AN02                       *((volatile  uint8_t *)(0x4266A008UL))
#define bFM_GPIO_ADE_AN03                         *((volatile  uint8_t *)(0x4266A00CUL))
#define bFM0P_GPIO_ADE_AN03                       *((volatile  uint8_t *)(0x4266A00CUL))
#define bFM_GPIO_ADE_AN06                         *((volatile  uint8_t *)(0x4266A018UL))
#define bFM0P_GPIO_ADE_AN06                       *((volatile  uint8_t *)(0x4266A018UL))
#define bFM_GPIO_ADE_AN07                         *((volatile  uint8_t *)(0x4266A01CUL))
#define bFM0P_GPIO_ADE_AN07                       *((volatile  uint8_t *)(0x4266A01CUL))

#define bFM_GPIO_DDR0_P1                          *((volatile  uint8_t *)(0x42664004UL))
#define bFM0P_GPIO_DDR0_P1                        *((volatile  uint8_t *)(0x42664004UL))
#define bFM_GPIO_DDR0_P3                          *((volatile  uint8_t *)(0x4266400CUL))
#define bFM0P_GPIO_DDR0_P3                        *((volatile  uint8_t *)(0x4266400CUL))
#define bFM_GPIO_DDR0_P4                          *((volatile  uint8_t *)(0x42664010UL))
#define bFM0P_GPIO_DDR0_P4                        *((volatile  uint8_t *)(0x42664010UL))
#define bFM_GPIO_DDR0_PF                          *((volatile  uint8_t *)(0x4266403CUL))
#define bFM0P_GPIO_DDR0_PF                        *((volatile  uint8_t *)(0x4266403CUL))

#define bFM_GPIO_DDR1_P1                          *((volatile  uint8_t *)(0x42664084UL))
#define bFM0P_GPIO_DDR1_P1                        *((volatile  uint8_t *)(0x42664084UL))
#define bFM_GPIO_DDR1_P2                          *((volatile  uint8_t *)(0x42664088UL))
#define bFM0P_GPIO_DDR1_P2                        *((volatile  uint8_t *)(0x42664088UL))
#define bFM_GPIO_DDR1_P3                          *((volatile  uint8_t *)(0x4266408CUL))
#define bFM0P_GPIO_DDR1_P3                        *((volatile  uint8_t *)(0x4266408CUL))

#define bFM_GPIO_DDR2_P1                          *((volatile  uint8_t *)(0x42664104UL))
#define bFM0P_GPIO_DDR2_P1                        *((volatile  uint8_t *)(0x42664104UL))
#define bFM_GPIO_DDR2_P2                          *((volatile  uint8_t *)(0x42664108UL))
#define bFM0P_GPIO_DDR2_P2                        *((volatile  uint8_t *)(0x42664108UL))
#define bFM_GPIO_DDR2_P3                          *((volatile  uint8_t *)(0x4266410CUL))
#define bFM0P_GPIO_DDR2_P3                        *((volatile  uint8_t *)(0x4266410CUL))

#define bFM_GPIO_DDR3_PA                          *((volatile  uint8_t *)(0x426641A8UL))
#define bFM0P_GPIO_DDR3_PA                        *((volatile  uint8_t *)(0x426641A8UL))
#define bFM_GPIO_DDR3_PB                          *((volatile  uint8_t *)(0x426641ACUL))
#define bFM0P_GPIO_DDR3_PB                        *((volatile  uint8_t *)(0x426641ACUL))
#define bFM_GPIO_DDR3_PC                          *((volatile  uint8_t *)(0x426641B0UL))
#define bFM0P_GPIO_DDR3_PC                        *((volatile  uint8_t *)(0x426641B0UL))
#define bFM_GPIO_DDR3_PD                          *((volatile  uint8_t *)(0x426641B4UL))
#define bFM0P_GPIO_DDR3_PD                        *((volatile  uint8_t *)(0x426641B4UL))
#define bFM_GPIO_DDR3_PE                          *((volatile  uint8_t *)(0x426641B8UL))
#define bFM0P_GPIO_DDR3_PE                        *((volatile  uint8_t *)(0x426641B8UL))
#define bFM_GPIO_DDR3_PF                          *((volatile  uint8_t *)(0x426641BCUL))
#define bFM0P_GPIO_DDR3_PF                        *((volatile  uint8_t *)(0x426641BCUL))

#define bFM_GPIO_DDR4_P6                          *((volatile  uint8_t *)(0x42664218UL))
#define bFM0P_GPIO_DDR4_P6                        *((volatile  uint8_t *)(0x42664218UL))
#define bFM_GPIO_DDR4_P7                          *((volatile  uint8_t *)(0x4266421CUL))
#define bFM0P_GPIO_DDR4_P7                        *((volatile  uint8_t *)(0x4266421CUL))

#define bFM_GPIO_DDR6_P0                          *((volatile  uint8_t *)(0x42664300UL))
#define bFM0P_GPIO_DDR6_P0                        *((volatile  uint8_t *)(0x42664300UL))
#define bFM_GPIO_DDR6_P1                          *((volatile  uint8_t *)(0x42664304UL))
#define bFM0P_GPIO_DDR6_P1                        *((volatile  uint8_t *)(0x42664304UL))

#define bFM_GPIO_DDRE_P0                          *((volatile  uint8_t *)(0x42664700UL))
#define bFM0P_GPIO_DDRE_P0                        *((volatile  uint8_t *)(0x42664700UL))
#define bFM_GPIO_DDRE_P2                          *((volatile  uint8_t *)(0x42664708UL))
#define bFM0P_GPIO_DDRE_P2                        *((volatile  uint8_t *)(0x42664708UL))
#define bFM_GPIO_DDRE_P3                          *((volatile  uint8_t *)(0x4266470CUL))
#define bFM0P_GPIO_DDRE_P3                        *((volatile  uint8_t *)(0x4266470CUL))

#define bFM_GPIO_EPFR00_NMIS                      *((volatile  uint8_t *)(0x4266C000UL))
#define bFM0P_GPIO_EPFR00_NMIS                    *((volatile  uint8_t *)(0x4266C000UL))
#define bFM_GPIO_EPFR00_USBP0E                    *((volatile  uint8_t *)(0x4266C024UL))
#define bFM0P_GPIO_EPFR00_USBP0E                  *((volatile  uint8_t *)(0x4266C024UL))
#define bFM_GPIO_EPFR00_SWDEN                     *((volatile  uint8_t *)(0x4266C040UL))
#define bFM0P_GPIO_EPFR00_SWDEN                   *((volatile  uint8_t *)(0x4266C040UL))

#define bFM_GPIO_EPFR01_DTTI0C                    *((volatile  uint8_t *)(0x4266C0B0UL))
#define bFM0P_GPIO_EPFR01_DTTI0C                  *((volatile  uint8_t *)(0x4266C0B0UL))
#define bFM_GPIO_EPFR01_IGTRG0                    *((volatile  uint8_t *)(0x4266C0B4UL))
#define bFM0P_GPIO_EPFR01_IGTRG0                  *((volatile  uint8_t *)(0x4266C0B4UL))

#define bFM_GPIO_EPFR21_QAIN0S                    *((volatile  uint8_t *)(0x4266CA80UL))
#define bFM0P_GPIO_EPFR21_QAIN0S                  *((volatile  uint8_t *)(0x4266CA80UL))
#define bFM_GPIO_EPFR21_QBIN0S                    *((volatile  uint8_t *)(0x4266CA84UL))
#define bFM0P_GPIO_EPFR21_QBIN0S                  *((volatile  uint8_t *)(0x4266CA84UL))
#define bFM_GPIO_EPFR21_QZIN0S                    *((volatile  uint8_t *)(0x4266CA88UL))
#define bFM0P_GPIO_EPFR21_QZIN0S                  *((volatile  uint8_t *)(0x4266CA88UL))

#define bFM_GPIO_FPOER0_P1                        *((volatile  uint8_t *)(0x42672004UL))
#define bFM0P_GPIO_FPOER0_P1                      *((volatile  uint8_t *)(0x42672004UL))
#define bFM_GPIO_FPOER0_P3                        *((volatile  uint8_t *)(0x4267200CUL))
#define bFM0P_GPIO_FPOER0_P3                      *((volatile  uint8_t *)(0x4267200CUL))
#define bFM_GPIO_FPOER0_P4                        *((volatile  uint8_t *)(0x42672010UL))
#define bFM0P_GPIO_FPOER0_P4                      *((volatile  uint8_t *)(0x42672010UL))
#define bFM_GPIO_FPOER0_PF                        *((volatile  uint8_t *)(0x4267203CUL))
#define bFM0P_GPIO_FPOER0_PF                      *((volatile  uint8_t *)(0x4267203CUL))

#define bFM_GPIO_FPOER1_P1                        *((volatile  uint8_t *)(0x42672084UL))
#define bFM0P_GPIO_FPOER1_P1                      *((volatile  uint8_t *)(0x42672084UL))
#define bFM_GPIO_FPOER1_P2                        *((volatile  uint8_t *)(0x42672088UL))
#define bFM0P_GPIO_FPOER1_P2                      *((volatile  uint8_t *)(0x42672088UL))
#define bFM_GPIO_FPOER1_P3                        *((volatile  uint8_t *)(0x4267208CUL))
#define bFM0P_GPIO_FPOER1_P3                      *((volatile  uint8_t *)(0x4267208CUL))

#define bFM_GPIO_FPOER2_P1                        *((volatile  uint8_t *)(0x42672104UL))
#define bFM0P_GPIO_FPOER2_P1                      *((volatile  uint8_t *)(0x42672104UL))
#define bFM_GPIO_FPOER2_P2                        *((volatile  uint8_t *)(0x42672108UL))
#define bFM0P_GPIO_FPOER2_P2                      *((volatile  uint8_t *)(0x42672108UL))
#define bFM_GPIO_FPOER2_P3                        *((volatile  uint8_t *)(0x4267210CUL))
#define bFM0P_GPIO_FPOER2_P3                      *((volatile  uint8_t *)(0x4267210CUL))

#define bFM_GPIO_FPOER3_PA                        *((volatile  uint8_t *)(0x426721A8UL))
#define bFM0P_GPIO_FPOER3_PA                      *((volatile  uint8_t *)(0x426721A8UL))
#define bFM_GPIO_FPOER3_PB                        *((volatile  uint8_t *)(0x426721ACUL))
#define bFM0P_GPIO_FPOER3_PB                      *((volatile  uint8_t *)(0x426721ACUL))
#define bFM_GPIO_FPOER3_PC                        *((volatile  uint8_t *)(0x426721B0UL))
#define bFM0P_GPIO_FPOER3_PC                      *((volatile  uint8_t *)(0x426721B0UL))
#define bFM_GPIO_FPOER3_PD                        *((volatile  uint8_t *)(0x426721B4UL))
#define bFM0P_GPIO_FPOER3_PD                      *((volatile  uint8_t *)(0x426721B4UL))
#define bFM_GPIO_FPOER3_PE                        *((volatile  uint8_t *)(0x426721B8UL))
#define bFM0P_GPIO_FPOER3_PE                      *((volatile  uint8_t *)(0x426721B8UL))
#define bFM_GPIO_FPOER3_PF                        *((volatile  uint8_t *)(0x426721BCUL))
#define bFM0P_GPIO_FPOER3_PF                      *((volatile  uint8_t *)(0x426721BCUL))

#define bFM_GPIO_FPOER4_P6                        *((volatile  uint8_t *)(0x42672218UL))
#define bFM0P_GPIO_FPOER4_P6                      *((volatile  uint8_t *)(0x42672218UL))
#define bFM_GPIO_FPOER4_P7                        *((volatile  uint8_t *)(0x4267221CUL))
#define bFM0P_GPIO_FPOER4_P7                      *((volatile  uint8_t *)(0x4267221CUL))

#define bFM_GPIO_FPOER6_P0                        *((volatile  uint8_t *)(0x42672300UL))
#define bFM0P_GPIO_FPOER6_P0                      *((volatile  uint8_t *)(0x42672300UL))
#define bFM_GPIO_FPOER6_P1                        *((volatile  uint8_t *)(0x42672304UL))
#define bFM0P_GPIO_FPOER6_P1                      *((volatile  uint8_t *)(0x42672304UL))

#define bFM_GPIO_FPOERE_P0                        *((volatile  uint8_t *)(0x42672700UL))
#define bFM0P_GPIO_FPOERE_P0                      *((volatile  uint8_t *)(0x42672700UL))
#define bFM_GPIO_FPOERE_P2                        *((volatile  uint8_t *)(0x42672708UL))
#define bFM0P_GPIO_FPOERE_P2                      *((volatile  uint8_t *)(0x42672708UL))
#define bFM_GPIO_FPOERE_P3                        *((volatile  uint8_t *)(0x4267270CUL))
#define bFM0P_GPIO_FPOERE_P3                      *((volatile  uint8_t *)(0x4267270CUL))

#define bFM_GPIO_PCR0_P1                          *((volatile  uint8_t *)(0x42662004UL))
#define bFM0P_GPIO_PCR0_P1                        *((volatile  uint8_t *)(0x42662004UL))
#define bFM_GPIO_PCR0_P3                          *((volatile  uint8_t *)(0x4266200CUL))
#define bFM0P_GPIO_PCR0_P3                        *((volatile  uint8_t *)(0x4266200CUL))
#define bFM_GPIO_PCR0_P4                          *((volatile  uint8_t *)(0x42662010UL))
#define bFM0P_GPIO_PCR0_P4                        *((volatile  uint8_t *)(0x42662010UL))
#define bFM_GPIO_PCR0_PF                          *((volatile  uint8_t *)(0x4266203CUL))
#define bFM0P_GPIO_PCR0_PF                        *((volatile  uint8_t *)(0x4266203CUL))

#define bFM_GPIO_PCR1_P1                          *((volatile  uint8_t *)(0x42662084UL))
#define bFM0P_GPIO_PCR1_P1                        *((volatile  uint8_t *)(0x42662084UL))
#define bFM_GPIO_PCR1_P2                          *((volatile  uint8_t *)(0x42662088UL))
#define bFM0P_GPIO_PCR1_P2                        *((volatile  uint8_t *)(0x42662088UL))
#define bFM_GPIO_PCR1_P3                          *((volatile  uint8_t *)(0x4266208CUL))
#define bFM0P_GPIO_PCR1_P3                        *((volatile  uint8_t *)(0x4266208CUL))

#define bFM_GPIO_PCR2_P1                          *((volatile  uint8_t *)(0x42662104UL))
#define bFM0P_GPIO_PCR2_P1                        *((volatile  uint8_t *)(0x42662104UL))
#define bFM_GPIO_PCR2_P2                          *((volatile  uint8_t *)(0x42662108UL))
#define bFM0P_GPIO_PCR2_P2                        *((volatile  uint8_t *)(0x42662108UL))
#define bFM_GPIO_PCR2_P3                          *((volatile  uint8_t *)(0x4266210CUL))
#define bFM0P_GPIO_PCR2_P3                        *((volatile  uint8_t *)(0x4266210CUL))

#define bFM_GPIO_PCR3_PA                          *((volatile  uint8_t *)(0x426621A8UL))
#define bFM0P_GPIO_PCR3_PA                        *((volatile  uint8_t *)(0x426621A8UL))
#define bFM_GPIO_PCR3_PB                          *((volatile  uint8_t *)(0x426621ACUL))
#define bFM0P_GPIO_PCR3_PB                        *((volatile  uint8_t *)(0x426621ACUL))
#define bFM_GPIO_PCR3_PC                          *((volatile  uint8_t *)(0x426621B0UL))
#define bFM0P_GPIO_PCR3_PC                        *((volatile  uint8_t *)(0x426621B0UL))
#define bFM_GPIO_PCR3_PD                          *((volatile  uint8_t *)(0x426621B4UL))
#define bFM0P_GPIO_PCR3_PD                        *((volatile  uint8_t *)(0x426621B4UL))
#define bFM_GPIO_PCR3_PE                          *((volatile  uint8_t *)(0x426621B8UL))
#define bFM0P_GPIO_PCR3_PE                        *((volatile  uint8_t *)(0x426621B8UL))
#define bFM_GPIO_PCR3_PF                          *((volatile  uint8_t *)(0x426621BCUL))
#define bFM0P_GPIO_PCR3_PF                        *((volatile  uint8_t *)(0x426621BCUL))

#define bFM_GPIO_PCR4_P6                          *((volatile  uint8_t *)(0x42662218UL))
#define bFM0P_GPIO_PCR4_P6                        *((volatile  uint8_t *)(0x42662218UL))
#define bFM_GPIO_PCR4_P7                          *((volatile  uint8_t *)(0x4266221CUL))
#define bFM0P_GPIO_PCR4_P7                        *((volatile  uint8_t *)(0x4266221CUL))

#define bFM_GPIO_PCR6_P0                          *((volatile  uint8_t *)(0x42662300UL))
#define bFM0P_GPIO_PCR6_P0                        *((volatile  uint8_t *)(0x42662300UL))
#define bFM_GPIO_PCR6_P1                          *((volatile  uint8_t *)(0x42662304UL))
#define bFM0P_GPIO_PCR6_P1                        *((volatile  uint8_t *)(0x42662304UL))

#define bFM_GPIO_PCRE_P0                          *((volatile  uint8_t *)(0x42662700UL))
#define bFM0P_GPIO_PCRE_P0                        *((volatile  uint8_t *)(0x42662700UL))
#define bFM_GPIO_PCRE_P2                          *((volatile  uint8_t *)(0x42662708UL))
#define bFM0P_GPIO_PCRE_P2                        *((volatile  uint8_t *)(0x42662708UL))
#define bFM_GPIO_PCRE_P3                          *((volatile  uint8_t *)(0x4266270CUL))
#define bFM0P_GPIO_PCRE_P3                        *((volatile  uint8_t *)(0x4266270CUL))

#define bFM_GPIO_PDIR0_P1                         *((volatile  uint8_t *)(0x42666004UL))
#define bFM0P_GPIO_PDIR0_P1                       *((volatile  uint8_t *)(0x42666004UL))
#define bFM_GPIO_PDIR0_P3                         *((volatile  uint8_t *)(0x4266600CUL))
#define bFM0P_GPIO_PDIR0_P3                       *((volatile  uint8_t *)(0x4266600CUL))
#define bFM_GPIO_PDIR0_P4                         *((volatile  uint8_t *)(0x42666010UL))
#define bFM0P_GPIO_PDIR0_P4                       *((volatile  uint8_t *)(0x42666010UL))
#define bFM_GPIO_PDIR0_PF                         *((volatile  uint8_t *)(0x4266603CUL))
#define bFM0P_GPIO_PDIR0_PF                       *((volatile  uint8_t *)(0x4266603CUL))

#define bFM_GPIO_PDIR1_P1                         *((volatile  uint8_t *)(0x42666084UL))
#define bFM0P_GPIO_PDIR1_P1                       *((volatile  uint8_t *)(0x42666084UL))
#define bFM_GPIO_PDIR1_P2                         *((volatile  uint8_t *)(0x42666088UL))
#define bFM0P_GPIO_PDIR1_P2                       *((volatile  uint8_t *)(0x42666088UL))
#define bFM_GPIO_PDIR1_P3                         *((volatile  uint8_t *)(0x4266608CUL))
#define bFM0P_GPIO_PDIR1_P3                       *((volatile  uint8_t *)(0x4266608CUL))

#define bFM_GPIO_PDIR2_P1                         *((volatile  uint8_t *)(0x42666104UL))
#define bFM0P_GPIO_PDIR2_P1                       *((volatile  uint8_t *)(0x42666104UL))
#define bFM_GPIO_PDIR2_P2                         *((volatile  uint8_t *)(0x42666108UL))
#define bFM0P_GPIO_PDIR2_P2                       *((volatile  uint8_t *)(0x42666108UL))
#define bFM_GPIO_PDIR2_P3                         *((volatile  uint8_t *)(0x4266610CUL))
#define bFM0P_GPIO_PDIR2_P3                       *((volatile  uint8_t *)(0x4266610CUL))

#define bFM_GPIO_PDIR3_PA                         *((volatile  uint8_t *)(0x426661A8UL))
#define bFM0P_GPIO_PDIR3_PA                       *((volatile  uint8_t *)(0x426661A8UL))
#define bFM_GPIO_PDIR3_PB                         *((volatile  uint8_t *)(0x426661ACUL))
#define bFM0P_GPIO_PDIR3_PB                       *((volatile  uint8_t *)(0x426661ACUL))
#define bFM_GPIO_PDIR3_PC                         *((volatile  uint8_t *)(0x426661B0UL))
#define bFM0P_GPIO_PDIR3_PC                       *((volatile  uint8_t *)(0x426661B0UL))
#define bFM_GPIO_PDIR3_PD                         *((volatile  uint8_t *)(0x426661B4UL))
#define bFM0P_GPIO_PDIR3_PD                       *((volatile  uint8_t *)(0x426661B4UL))
#define bFM_GPIO_PDIR3_PE                         *((volatile  uint8_t *)(0x426661B8UL))
#define bFM0P_GPIO_PDIR3_PE                       *((volatile  uint8_t *)(0x426661B8UL))
#define bFM_GPIO_PDIR3_PF                         *((volatile  uint8_t *)(0x426661BCUL))
#define bFM0P_GPIO_PDIR3_PF                       *((volatile  uint8_t *)(0x426661BCUL))

#define bFM_GPIO_PDIR4_P6                         *((volatile  uint8_t *)(0x42666218UL))
#define bFM0P_GPIO_PDIR4_P6                       *((volatile  uint8_t *)(0x42666218UL))
#define bFM_GPIO_PDIR4_P7                         *((volatile  uint8_t *)(0x4266621CUL))
#define bFM0P_GPIO_PDIR4_P7                       *((volatile  uint8_t *)(0x4266621CUL))

#define bFM_GPIO_PDIR6_P0                         *((volatile  uint8_t *)(0x42666300UL))
#define bFM0P_GPIO_PDIR6_P0                       *((volatile  uint8_t *)(0x42666300UL))
#define bFM_GPIO_PDIR6_P1                         *((volatile  uint8_t *)(0x42666304UL))
#define bFM0P_GPIO_PDIR6_P1                       *((volatile  uint8_t *)(0x42666304UL))

#define bFM_GPIO_PDIRE_P0                         *((volatile  uint8_t *)(0x42666700UL))
#define bFM0P_GPIO_PDIRE_P0                       *((volatile  uint8_t *)(0x42666700UL))
#define bFM_GPIO_PDIRE_P2                         *((volatile  uint8_t *)(0x42666708UL))
#define bFM0P_GPIO_PDIRE_P2                       *((volatile  uint8_t *)(0x42666708UL))
#define bFM_GPIO_PDIRE_P3                         *((volatile  uint8_t *)(0x4266670CUL))
#define bFM0P_GPIO_PDIRE_P3                       *((volatile  uint8_t *)(0x4266670CUL))

#define bFM_GPIO_PDOR0_P1                         *((volatile  uint8_t *)(0x42668004UL))
#define bFM0P_GPIO_PDOR0_P1                       *((volatile  uint8_t *)(0x42668004UL))
#define bFM_GPIO_PDOR0_P3                         *((volatile  uint8_t *)(0x4266800CUL))
#define bFM0P_GPIO_PDOR0_P3                       *((volatile  uint8_t *)(0x4266800CUL))
#define bFM_GPIO_PDOR0_P4                         *((volatile  uint8_t *)(0x42668010UL))
#define bFM0P_GPIO_PDOR0_P4                       *((volatile  uint8_t *)(0x42668010UL))
#define bFM_GPIO_PDOR0_PF                         *((volatile  uint8_t *)(0x4266803CUL))
#define bFM0P_GPIO_PDOR0_PF                       *((volatile  uint8_t *)(0x4266803CUL))

#define bFM_GPIO_PDOR1_P1                         *((volatile  uint8_t *)(0x42668084UL))
#define bFM0P_GPIO_PDOR1_P1                       *((volatile  uint8_t *)(0x42668084UL))
#define bFM_GPIO_PDOR1_P2                         *((volatile  uint8_t *)(0x42668088UL))
#define bFM0P_GPIO_PDOR1_P2                       *((volatile  uint8_t *)(0x42668088UL))
#define bFM_GPIO_PDOR1_P3                         *((volatile  uint8_t *)(0x4266808CUL))
#define bFM0P_GPIO_PDOR1_P3                       *((volatile  uint8_t *)(0x4266808CUL))

#define bFM_GPIO_PDOR2_P1                         *((volatile  uint8_t *)(0x42668104UL))
#define bFM0P_GPIO_PDOR2_P1                       *((volatile  uint8_t *)(0x42668104UL))
#define bFM_GPIO_PDOR2_P2                         *((volatile  uint8_t *)(0x42668108UL))
#define bFM0P_GPIO_PDOR2_P2                       *((volatile  uint8_t *)(0x42668108UL))
#define bFM_GPIO_PDOR2_P3                         *((volatile  uint8_t *)(0x4266810CUL))
#define bFM0P_GPIO_PDOR2_P3                       *((volatile  uint8_t *)(0x4266810CUL))

#define bFM_GPIO_PDOR3_PA                         *((volatile  uint8_t *)(0x426681A8UL))
#define bFM0P_GPIO_PDOR3_PA                       *((volatile  uint8_t *)(0x426681A8UL))
#define bFM_GPIO_PDOR3_PB                         *((volatile  uint8_t *)(0x426681ACUL))
#define bFM0P_GPIO_PDOR3_PB                       *((volatile  uint8_t *)(0x426681ACUL))
#define bFM_GPIO_PDOR3_PC                         *((volatile  uint8_t *)(0x426681B0UL))
#define bFM0P_GPIO_PDOR3_PC                       *((volatile  uint8_t *)(0x426681B0UL))
#define bFM_GPIO_PDOR3_PD                         *((volatile  uint8_t *)(0x426681B4UL))
#define bFM0P_GPIO_PDOR3_PD                       *((volatile  uint8_t *)(0x426681B4UL))
#define bFM_GPIO_PDOR3_PE                         *((volatile  uint8_t *)(0x426681B8UL))
#define bFM0P_GPIO_PDOR3_PE                       *((volatile  uint8_t *)(0x426681B8UL))
#define bFM_GPIO_PDOR3_PF                         *((volatile  uint8_t *)(0x426681BCUL))
#define bFM0P_GPIO_PDOR3_PF                       *((volatile  uint8_t *)(0x426681BCUL))

#define bFM_GPIO_PDOR4_P6                         *((volatile  uint8_t *)(0x42668218UL))
#define bFM0P_GPIO_PDOR4_P6                       *((volatile  uint8_t *)(0x42668218UL))
#define bFM_GPIO_PDOR4_P7                         *((volatile  uint8_t *)(0x4266821CUL))
#define bFM0P_GPIO_PDOR4_P7                       *((volatile  uint8_t *)(0x4266821CUL))

#define bFM_GPIO_PDOR6_P0                         *((volatile  uint8_t *)(0x42668300UL))
#define bFM0P_GPIO_PDOR6_P0                       *((volatile  uint8_t *)(0x42668300UL))
#define bFM_GPIO_PDOR6_P1                         *((volatile  uint8_t *)(0x42668304UL))
#define bFM0P_GPIO_PDOR6_P1                       *((volatile  uint8_t *)(0x42668304UL))

#define bFM_GPIO_PDORE_P0                         *((volatile  uint8_t *)(0x42668700UL))
#define bFM0P_GPIO_PDORE_P0                       *((volatile  uint8_t *)(0x42668700UL))
#define bFM_GPIO_PDORE_P2                         *((volatile  uint8_t *)(0x42668708UL))
#define bFM0P_GPIO_PDORE_P2                       *((volatile  uint8_t *)(0x42668708UL))
#define bFM_GPIO_PDORE_P3                         *((volatile  uint8_t *)(0x4266870CUL))
#define bFM0P_GPIO_PDORE_P3                       *((volatile  uint8_t *)(0x4266870CUL))

#define bFM_GPIO_PFR0_P1                          *((volatile  uint8_t *)(0x42660004UL))
#define bFM0P_GPIO_PFR0_P1                        *((volatile  uint8_t *)(0x42660004UL))
#define bFM_GPIO_PFR0_P3                          *((volatile  uint8_t *)(0x4266000CUL))
#define bFM0P_GPIO_PFR0_P3                        *((volatile  uint8_t *)(0x4266000CUL))
#define bFM_GPIO_PFR0_P4                          *((volatile  uint8_t *)(0x42660010UL))
#define bFM0P_GPIO_PFR0_P4                        *((volatile  uint8_t *)(0x42660010UL))
#define bFM_GPIO_PFR0_PF                          *((volatile  uint8_t *)(0x4266003CUL))
#define bFM0P_GPIO_PFR0_PF                        *((volatile  uint8_t *)(0x4266003CUL))

#define bFM_GPIO_PFR1_P1                          *((volatile  uint8_t *)(0x42660084UL))
#define bFM0P_GPIO_PFR1_P1                        *((volatile  uint8_t *)(0x42660084UL))
#define bFM_GPIO_PFR1_P2                          *((volatile  uint8_t *)(0x42660088UL))
#define bFM0P_GPIO_PFR1_P2                        *((volatile  uint8_t *)(0x42660088UL))
#define bFM_GPIO_PFR1_P3                          *((volatile  uint8_t *)(0x4266008CUL))
#define bFM0P_GPIO_PFR1_P3                        *((volatile  uint8_t *)(0x4266008CUL))

#define bFM_GPIO_PFR2_P1                          *((volatile  uint8_t *)(0x42660104UL))
#define bFM0P_GPIO_PFR2_P1                        *((volatile  uint8_t *)(0x42660104UL))
#define bFM_GPIO_PFR2_P2                          *((volatile  uint8_t *)(0x42660108UL))
#define bFM0P_GPIO_PFR2_P2                        *((volatile  uint8_t *)(0x42660108UL))
#define bFM_GPIO_PFR2_P3                          *((volatile  uint8_t *)(0x4266010CUL))
#define bFM0P_GPIO_PFR2_P3                        *((volatile  uint8_t *)(0x4266010CUL))

#define bFM_GPIO_PFR3_PA                          *((volatile  uint8_t *)(0x426601A8UL))
#define bFM0P_GPIO_PFR3_PA                        *((volatile  uint8_t *)(0x426601A8UL))
#define bFM_GPIO_PFR3_PB                          *((volatile  uint8_t *)(0x426601ACUL))
#define bFM0P_GPIO_PFR3_PB                        *((volatile  uint8_t *)(0x426601ACUL))
#define bFM_GPIO_PFR3_PC                          *((volatile  uint8_t *)(0x426601B0UL))
#define bFM0P_GPIO_PFR3_PC                        *((volatile  uint8_t *)(0x426601B0UL))
#define bFM_GPIO_PFR3_PD                          *((volatile  uint8_t *)(0x426601B4UL))
#define bFM0P_GPIO_PFR3_PD                        *((volatile  uint8_t *)(0x426601B4UL))
#define bFM_GPIO_PFR3_PE                          *((volatile  uint8_t *)(0x426601B8UL))
#define bFM0P_GPIO_PFR3_PE                        *((volatile  uint8_t *)(0x426601B8UL))
#define bFM_GPIO_PFR3_PF                          *((volatile  uint8_t *)(0x426601BCUL))
#define bFM0P_GPIO_PFR3_PF                        *((volatile  uint8_t *)(0x426601BCUL))

#define bFM_GPIO_PFR4_P6                          *((volatile  uint8_t *)(0x42660218UL))
#define bFM0P_GPIO_PFR4_P6                        *((volatile  uint8_t *)(0x42660218UL))
#define bFM_GPIO_PFR4_P7                          *((volatile  uint8_t *)(0x4266021CUL))
#define bFM0P_GPIO_PFR4_P7                        *((volatile  uint8_t *)(0x4266021CUL))

#define bFM_GPIO_PFR6_P0                          *((volatile  uint8_t *)(0x42660300UL))
#define bFM0P_GPIO_PFR6_P0                        *((volatile  uint8_t *)(0x42660300UL))
#define bFM_GPIO_PFR6_P1                          *((volatile  uint8_t *)(0x42660304UL))
#define bFM0P_GPIO_PFR6_P1                        *((volatile  uint8_t *)(0x42660304UL))

#define bFM_GPIO_PFRE_P0                          *((volatile  uint8_t *)(0x42660700UL))
#define bFM0P_GPIO_PFRE_P0                        *((volatile  uint8_t *)(0x42660700UL))
#define bFM_GPIO_PFRE_P2                          *((volatile  uint8_t *)(0x42660708UL))
#define bFM0P_GPIO_PFRE_P2                        *((volatile  uint8_t *)(0x42660708UL))
#define bFM_GPIO_PFRE_P3                          *((volatile  uint8_t *)(0x4266070CUL))
#define bFM0P_GPIO_PFRE_P3                        *((volatile  uint8_t *)(0x4266070CUL))

#define bFM_GPIO_PZR0_P1                          *((volatile  uint8_t *)(0x4266E004UL))
#define bFM0P_GPIO_PZR0_P1                        *((volatile  uint8_t *)(0x4266E004UL))
#define bFM_GPIO_PZR0_P3                          *((volatile  uint8_t *)(0x4266E00CUL))
#define bFM0P_GPIO_PZR0_P3                        *((volatile  uint8_t *)(0x4266E00CUL))
#define bFM_GPIO_PZR0_P4                          *((volatile  uint8_t *)(0x4266E010UL))
#define bFM0P_GPIO_PZR0_P4                        *((volatile  uint8_t *)(0x4266E010UL))
#define bFM_GPIO_PZR0_PF                          *((volatile  uint8_t *)(0x4266E03CUL))
#define bFM0P_GPIO_PZR0_PF                        *((volatile  uint8_t *)(0x4266E03CUL))

#define bFM_GPIO_PZR1_P1                          *((volatile  uint8_t *)(0x4266E084UL))
#define bFM0P_GPIO_PZR1_P1                        *((volatile  uint8_t *)(0x4266E084UL))
#define bFM_GPIO_PZR1_P2                          *((volatile  uint8_t *)(0x4266E088UL))
#define bFM0P_GPIO_PZR1_P2                        *((volatile  uint8_t *)(0x4266E088UL))
#define bFM_GPIO_PZR1_P3                          *((volatile  uint8_t *)(0x4266E08CUL))
#define bFM0P_GPIO_PZR1_P3                        *((volatile  uint8_t *)(0x4266E08CUL))

#define bFM_GPIO_PZR2_P1                          *((volatile  uint8_t *)(0x4266E104UL))
#define bFM0P_GPIO_PZR2_P1                        *((volatile  uint8_t *)(0x4266E104UL))
#define bFM_GPIO_PZR2_P2                          *((volatile  uint8_t *)(0x4266E108UL))
#define bFM0P_GPIO_PZR2_P2                        *((volatile  uint8_t *)(0x4266E108UL))
#define bFM_GPIO_PZR2_P3                          *((volatile  uint8_t *)(0x4266E10CUL))
#define bFM0P_GPIO_PZR2_P3                        *((volatile  uint8_t *)(0x4266E10CUL))

#define bFM_GPIO_PZR3_PA                          *((volatile  uint8_t *)(0x4266E1A8UL))
#define bFM0P_GPIO_PZR3_PA                        *((volatile  uint8_t *)(0x4266E1A8UL))
#define bFM_GPIO_PZR3_PB                          *((volatile  uint8_t *)(0x4266E1ACUL))
#define bFM0P_GPIO_PZR3_PB                        *((volatile  uint8_t *)(0x4266E1ACUL))
#define bFM_GPIO_PZR3_PC                          *((volatile  uint8_t *)(0x4266E1B0UL))
#define bFM0P_GPIO_PZR3_PC                        *((volatile  uint8_t *)(0x4266E1B0UL))
#define bFM_GPIO_PZR3_PD                          *((volatile  uint8_t *)(0x4266E1B4UL))
#define bFM0P_GPIO_PZR3_PD                        *((volatile  uint8_t *)(0x4266E1B4UL))
#define bFM_GPIO_PZR3_PE                          *((volatile  uint8_t *)(0x4266E1B8UL))
#define bFM0P_GPIO_PZR3_PE                        *((volatile  uint8_t *)(0x4266E1B8UL))
#define bFM_GPIO_PZR3_PF                          *((volatile  uint8_t *)(0x4266E1BCUL))
#define bFM0P_GPIO_PZR3_PF                        *((volatile  uint8_t *)(0x4266E1BCUL))

#define bFM_GPIO_PZR4_P6                          *((volatile  uint8_t *)(0x4266E218UL))
#define bFM0P_GPIO_PZR4_P6                        *((volatile  uint8_t *)(0x4266E218UL))
#define bFM_GPIO_PZR4_P7                          *((volatile  uint8_t *)(0x4266E21CUL))
#define bFM0P_GPIO_PZR4_P7                        *((volatile  uint8_t *)(0x4266E21CUL))

#define bFM_GPIO_PZR6_P0                          *((volatile  uint8_t *)(0x4266E300UL))
#define bFM0P_GPIO_PZR6_P0                        *((volatile  uint8_t *)(0x4266E300UL))
#define bFM_GPIO_PZR6_P1                          *((volatile  uint8_t *)(0x4266E304UL))
#define bFM0P_GPIO_PZR6_P1                        *((volatile  uint8_t *)(0x4266E304UL))

#define bFM_GPIO_PZRE_P0                          *((volatile  uint8_t *)(0x4266E700UL))
#define bFM0P_GPIO_PZRE_P0                        *((volatile  uint8_t *)(0x4266E700UL))
#define bFM_GPIO_PZRE_P2                          *((volatile  uint8_t *)(0x4266E708UL))
#define bFM0P_GPIO_PZRE_P2                        *((volatile  uint8_t *)(0x4266E708UL))
#define bFM_GPIO_PZRE_P3                          *((volatile  uint8_t *)(0x4266E70CUL))
#define bFM0P_GPIO_PZRE_P3                        *((volatile  uint8_t *)(0x4266E70CUL))

#define bFM_GPIO_SPSR_USB0C                       *((volatile  uint8_t *)(0x4266B010UL))
#define bFM0P_GPIO_SPSR_USB0C                     *((volatile  uint8_t *)(0x4266B010UL))


/******************************************************************************
 ** HWWDT Registers HWWDT
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_HWWDT_WDG_CTL_INTEN                   *((volatile  uint32_t*)(0x42220100UL))
#define bFM0P_HWWDT_WDG_CTL_INTEN                 *((volatile  uint32_t*)(0x42220100UL))
#define bFM_HWWDT_WDG_CTL_RESEN                   *((volatile  uint32_t*)(0x42220104UL))
#define bFM0P_HWWDT_WDG_CTL_RESEN                 *((volatile  uint32_t*)(0x42220104UL))

#define bFM_HWWDT_WDG_RIS_RIS                     *((volatile  uint32_t*)(0x42220200UL))
#define bFM0P_HWWDT_WDG_RIS_RIS                   *((volatile  uint32_t*)(0x42220200UL))


/******************************************************************************
 ** INTREQ Registers INTREQ
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_INTREQ_DRQSEL_ADCSCAN0                *((volatile  uint8_t *)(0x42620014UL))
#define bFM0P_INTREQ_DRQSEL_ADCSCAN0              *((volatile  uint8_t *)(0x42620014UL))
#define bFM_INTREQ_DRQSEL_ADCSCAN1                *((volatile  uint8_t *)(0x42620018UL))
#define bFM0P_INTREQ_DRQSEL_ADCSCAN1              *((volatile  uint8_t *)(0x42620018UL))
#define bFM_INTREQ_DRQSEL_ADCSCAN2                *((volatile  uint8_t *)(0x4262001CUL))
#define bFM0P_INTREQ_DRQSEL_ADCSCAN2              *((volatile  uint8_t *)(0x4262001CUL))
#define bFM_INTREQ_DRQSEL_IRQ0BT0                 *((volatile  uint8_t *)(0x42620020UL))
#define bFM0P_INTREQ_DRQSEL_IRQ0BT0               *((volatile  uint8_t *)(0x42620020UL))
#define bFM_INTREQ_DRQSEL_IRQ0BT2                 *((volatile  uint8_t *)(0x42620024UL))
#define bFM0P_INTREQ_DRQSEL_IRQ0BT2               *((volatile  uint8_t *)(0x42620024UL))
#define bFM_INTREQ_DRQSEL_IRQ0BT4                 *((volatile  uint8_t *)(0x42620028UL))
#define bFM0P_INTREQ_DRQSEL_IRQ0BT4               *((volatile  uint8_t *)(0x42620028UL))
#define bFM_INTREQ_DRQSEL_IRQ0BT6                 *((volatile  uint8_t *)(0x4262002CUL))
#define bFM0P_INTREQ_DRQSEL_IRQ0BT6               *((volatile  uint8_t *)(0x4262002CUL))
#define bFM_INTREQ_DRQSEL_MFS0RX                  *((volatile  uint8_t *)(0x42620030UL))
#define bFM0P_INTREQ_DRQSEL_MFS0RX                *((volatile  uint8_t *)(0x42620030UL))
#define bFM_INTREQ_DRQSEL_MFS0TX                  *((volatile  uint8_t *)(0x42620034UL))
#define bFM0P_INTREQ_DRQSEL_MFS0TX                *((volatile  uint8_t *)(0x42620034UL))
#define bFM_INTREQ_DRQSEL_MFS1RX                  *((volatile  uint8_t *)(0x42620038UL))
#define bFM0P_INTREQ_DRQSEL_MFS1RX                *((volatile  uint8_t *)(0x42620038UL))
#define bFM_INTREQ_DRQSEL_MFS1TX                  *((volatile  uint8_t *)(0x4262003CUL))
#define bFM0P_INTREQ_DRQSEL_MFS1TX                *((volatile  uint8_t *)(0x4262003CUL))
#define bFM_INTREQ_DRQSEL_MFS2RX                  *((volatile  uint8_t *)(0x42620040UL))
#define bFM0P_INTREQ_DRQSEL_MFS2RX                *((volatile  uint8_t *)(0x42620040UL))
#define bFM_INTREQ_DRQSEL_MFS2TX                  *((volatile  uint8_t *)(0x42620044UL))
#define bFM0P_INTREQ_DRQSEL_MFS2TX                *((volatile  uint8_t *)(0x42620044UL))
#define bFM_INTREQ_DRQSEL_MFS3RX                  *((volatile  uint8_t *)(0x42620048UL))
#define bFM0P_INTREQ_DRQSEL_MFS3RX                *((volatile  uint8_t *)(0x42620048UL))
#define bFM_INTREQ_DRQSEL_MFS3TX                  *((volatile  uint8_t *)(0x4262004CUL))
#define bFM0P_INTREQ_DRQSEL_MFS3TX                *((volatile  uint8_t *)(0x4262004CUL))
#define bFM_INTREQ_DRQSEL_MFS4RX                  *((volatile  uint8_t *)(0x42620050UL))
#define bFM0P_INTREQ_DRQSEL_MFS4RX                *((volatile  uint8_t *)(0x42620050UL))
#define bFM_INTREQ_DRQSEL_MFS4TX                  *((volatile  uint8_t *)(0x42620054UL))
#define bFM0P_INTREQ_DRQSEL_MFS4TX                *((volatile  uint8_t *)(0x42620054UL))
#define bFM_INTREQ_DRQSEL_MFS5RX                  *((volatile  uint8_t *)(0x42620058UL))
#define bFM0P_INTREQ_DRQSEL_MFS5RX                *((volatile  uint8_t *)(0x42620058UL))
#define bFM_INTREQ_DRQSEL_MFS5TX                  *((volatile  uint8_t *)(0x4262005CUL))
#define bFM0P_INTREQ_DRQSEL_MFS5TX                *((volatile  uint8_t *)(0x4262005CUL))
#define bFM_INTREQ_DRQSEL_MFS6RX                  *((volatile  uint8_t *)(0x42620060UL))
#define bFM0P_INTREQ_DRQSEL_MFS6RX                *((volatile  uint8_t *)(0x42620060UL))
#define bFM_INTREQ_DRQSEL_MFS6TX                  *((volatile  uint8_t *)(0x42620064UL))
#define bFM0P_INTREQ_DRQSEL_MFS6TX                *((volatile  uint8_t *)(0x42620064UL))
#define bFM_INTREQ_DRQSEL_MFS7RX                  *((volatile  uint8_t *)(0x42620068UL))
#define bFM0P_INTREQ_DRQSEL_MFS7RX                *((volatile  uint8_t *)(0x42620068UL))
#define bFM_INTREQ_DRQSEL_MFS7TX                  *((volatile  uint8_t *)(0x4262006CUL))
#define bFM0P_INTREQ_DRQSEL_MFS7TX                *((volatile  uint8_t *)(0x4262006CUL))
#define bFM_INTREQ_DRQSEL_EXINT0                  *((volatile  uint8_t *)(0x42620070UL))
#define bFM0P_INTREQ_DRQSEL_EXINT0                *((volatile  uint8_t *)(0x42620070UL))
#define bFM_INTREQ_DRQSEL_EXINT1                  *((volatile  uint8_t *)(0x42620074UL))
#define bFM0P_INTREQ_DRQSEL_EXINT1                *((volatile  uint8_t *)(0x42620074UL))
#define bFM_INTREQ_DRQSEL_EXINT2                  *((volatile  uint8_t *)(0x42620078UL))
#define bFM0P_INTREQ_DRQSEL_EXINT2                *((volatile  uint8_t *)(0x42620078UL))
#define bFM_INTREQ_DRQSEL_EXINT3                  *((volatile  uint8_t *)(0x4262007CUL))
#define bFM0P_INTREQ_DRQSEL_EXINT3                *((volatile  uint8_t *)(0x4262007CUL))

#define bFM_INTREQ_EXC02MON_NMI                   *((volatile  uint8_t *)(0x42620200UL))
#define bFM0P_INTREQ_EXC02MON_NMI                 *((volatile  uint8_t *)(0x42620200UL))
#define bFM_INTREQ_EXC02MON_HWINT                 *((volatile  uint8_t *)(0x42620204UL))
#define bFM0P_INTREQ_EXC02MON_HWINT               *((volatile  uint8_t *)(0x42620204UL))

#define bFM_INTREQ_IRQ00MON_FCSINT                *((volatile  uint8_t *)(0x42620280UL))
#define bFM0P_INTREQ_IRQ00MON_FCSINT              *((volatile  uint8_t *)(0x42620280UL))

#define bFM_INTREQ_IRQ01MON_SWWDTINT              *((volatile  uint8_t *)(0x42620300UL))
#define bFM0P_INTREQ_IRQ01MON_SWWDTINT            *((volatile  uint8_t *)(0x42620300UL))

#define bFM_INTREQ_IRQ02MON_LVDINT                *((volatile  uint8_t *)(0x42620380UL))
#define bFM0P_INTREQ_IRQ02MON_LVDINT              *((volatile  uint8_t *)(0x42620380UL))

#define bFM_INTREQ_IRQ04MON_EXTINT0               *((volatile  uint8_t *)(0x42620480UL))
#define bFM0P_INTREQ_IRQ04MON_EXTINT0             *((volatile  uint8_t *)(0x42620480UL))
#define bFM_INTREQ_IRQ04MON_EXTINT1               *((volatile  uint8_t *)(0x42620484UL))
#define bFM0P_INTREQ_IRQ04MON_EXTINT1             *((volatile  uint8_t *)(0x42620484UL))
#define bFM_INTREQ_IRQ04MON_EXTINT2               *((volatile  uint8_t *)(0x42620488UL))
#define bFM0P_INTREQ_IRQ04MON_EXTINT2             *((volatile  uint8_t *)(0x42620488UL))
#define bFM_INTREQ_IRQ04MON_EXTINT3               *((volatile  uint8_t *)(0x4262048CUL))
#define bFM0P_INTREQ_IRQ04MON_EXTINT3             *((volatile  uint8_t *)(0x4262048CUL))
#define bFM_INTREQ_IRQ04MON_EXTINT4               *((volatile  uint8_t *)(0x42620490UL))
#define bFM0P_INTREQ_IRQ04MON_EXTINT4             *((volatile  uint8_t *)(0x42620490UL))
#define bFM_INTREQ_IRQ04MON_EXTINT5               *((volatile  uint8_t *)(0x42620494UL))
#define bFM0P_INTREQ_IRQ04MON_EXTINT5             *((volatile  uint8_t *)(0x42620494UL))
#define bFM_INTREQ_IRQ04MON_EXTINT6               *((volatile  uint8_t *)(0x42620498UL))
#define bFM0P_INTREQ_IRQ04MON_EXTINT6             *((volatile  uint8_t *)(0x42620498UL))
#define bFM_INTREQ_IRQ04MON_EXTINT7               *((volatile  uint8_t *)(0x4262049CUL))
#define bFM0P_INTREQ_IRQ04MON_EXTINT7             *((volatile  uint8_t *)(0x4262049CUL))

#define bFM_INTREQ_IRQ05MON_EXTINT8               *((volatile  uint8_t *)(0x42620500UL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT8             *((volatile  uint8_t *)(0x42620500UL))
#define bFM_INTREQ_IRQ05MON_EXTINT9               *((volatile  uint8_t *)(0x42620504UL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT9             *((volatile  uint8_t *)(0x42620504UL))
#define bFM_INTREQ_IRQ05MON_EXTINT10              *((volatile  uint8_t *)(0x42620508UL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT10            *((volatile  uint8_t *)(0x42620508UL))
#define bFM_INTREQ_IRQ05MON_EXTINT11              *((volatile  uint8_t *)(0x4262050CUL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT11            *((volatile  uint8_t *)(0x4262050CUL))
#define bFM_INTREQ_IRQ05MON_EXTINT12              *((volatile  uint8_t *)(0x42620510UL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT12            *((volatile  uint8_t *)(0x42620510UL))
#define bFM_INTREQ_IRQ05MON_EXTINT13              *((volatile  uint8_t *)(0x42620514UL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT13            *((volatile  uint8_t *)(0x42620514UL))
#define bFM_INTREQ_IRQ05MON_EXTINT14              *((volatile  uint8_t *)(0x42620518UL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT14            *((volatile  uint8_t *)(0x42620518UL))
#define bFM_INTREQ_IRQ05MON_EXTINT15              *((volatile  uint8_t *)(0x4262051CUL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT15            *((volatile  uint8_t *)(0x4262051CUL))
#define bFM_INTREQ_IRQ05MON_EXTINT16              *((volatile  uint8_t *)(0x42620520UL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT16            *((volatile  uint8_t *)(0x42620520UL))
#define bFM_INTREQ_IRQ05MON_EXTINT17              *((volatile  uint8_t *)(0x42620524UL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT17            *((volatile  uint8_t *)(0x42620524UL))
#define bFM_INTREQ_IRQ05MON_EXTINT18              *((volatile  uint8_t *)(0x42620528UL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT18            *((volatile  uint8_t *)(0x42620528UL))
#define bFM_INTREQ_IRQ05MON_EXTINT19              *((volatile  uint8_t *)(0x4262052CUL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT19            *((volatile  uint8_t *)(0x4262052CUL))
#define bFM_INTREQ_IRQ05MON_EXTINT20              *((volatile  uint8_t *)(0x42620530UL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT20            *((volatile  uint8_t *)(0x42620530UL))
#define bFM_INTREQ_IRQ05MON_EXTINT21              *((volatile  uint8_t *)(0x42620534UL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT21            *((volatile  uint8_t *)(0x42620534UL))
#define bFM_INTREQ_IRQ05MON_EXTINT22              *((volatile  uint8_t *)(0x42620538UL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT22            *((volatile  uint8_t *)(0x42620538UL))
#define bFM_INTREQ_IRQ05MON_EXTINT23              *((volatile  uint8_t *)(0x4262053CUL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT23            *((volatile  uint8_t *)(0x4262053CUL))
#define bFM_INTREQ_IRQ05MON_EXTINT24              *((volatile  uint8_t *)(0x42620540UL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT24            *((volatile  uint8_t *)(0x42620540UL))
#define bFM_INTREQ_IRQ05MON_EXTINT25              *((volatile  uint8_t *)(0x42620544UL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT25            *((volatile  uint8_t *)(0x42620544UL))
#define bFM_INTREQ_IRQ05MON_EXTINT26              *((volatile  uint8_t *)(0x42620548UL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT26            *((volatile  uint8_t *)(0x42620548UL))
#define bFM_INTREQ_IRQ05MON_EXTINT27              *((volatile  uint8_t *)(0x4262054CUL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT27            *((volatile  uint8_t *)(0x4262054CUL))
#define bFM_INTREQ_IRQ05MON_EXTINT28              *((volatile  uint8_t *)(0x42620550UL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT28            *((volatile  uint8_t *)(0x42620550UL))
#define bFM_INTREQ_IRQ05MON_EXTINT29              *((volatile  uint8_t *)(0x42620554UL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT29            *((volatile  uint8_t *)(0x42620554UL))
#define bFM_INTREQ_IRQ05MON_EXTINT30              *((volatile  uint8_t *)(0x42620558UL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT30            *((volatile  uint8_t *)(0x42620558UL))
#define bFM_INTREQ_IRQ05MON_EXTINT31              *((volatile  uint8_t *)(0x4262055CUL))
#define bFM0P_INTREQ_IRQ05MON_EXTINT31            *((volatile  uint8_t *)(0x4262055CUL))

#define bFM_INTREQ_IRQ19MON_DMAINT                *((volatile  uint8_t *)(0x42620C10UL))
#define bFM0P_INTREQ_IRQ19MON_DMAINT              *((volatile  uint8_t *)(0x42620C10UL))

#define bFM_INTREQ_IRQ20MON_DMAINT                *((volatile  uint8_t *)(0x42620C90UL))
#define bFM0P_INTREQ_IRQ20MON_DMAINT              *((volatile  uint8_t *)(0x42620C90UL))

#define bFM_INTREQ_IRQ21MON_DMAINT                *((volatile  uint8_t *)(0x42620D10UL))
#define bFM0P_INTREQ_IRQ21MON_DMAINT              *((volatile  uint8_t *)(0x42620D10UL))

#define bFM_INTREQ_IRQ22MON_DMAINT                *((volatile  uint8_t *)(0x42620D90UL))
#define bFM0P_INTREQ_IRQ22MON_DMAINT              *((volatile  uint8_t *)(0x42620D90UL))

#define bFM_INTREQ_IRQ23MON_PPGINT00              *((volatile  uint8_t *)(0x42620E00UL))
#define bFM0P_INTREQ_IRQ23MON_PPGINT00            *((volatile  uint8_t *)(0x42620E00UL))
#define bFM_INTREQ_IRQ23MON_PPGINT02              *((volatile  uint8_t *)(0x42620E04UL))
#define bFM0P_INTREQ_IRQ23MON_PPGINT02            *((volatile  uint8_t *)(0x42620E04UL))
#define bFM_INTREQ_IRQ23MON_PPGINT04              *((volatile  uint8_t *)(0x42620E08UL))
#define bFM0P_INTREQ_IRQ23MON_PPGINT04            *((volatile  uint8_t *)(0x42620E08UL))
#define bFM_INTREQ_IRQ23MON_PPGINT08              *((volatile  uint8_t *)(0x42620E0CUL))
#define bFM0P_INTREQ_IRQ23MON_PPGINT08            *((volatile  uint8_t *)(0x42620E0CUL))
#define bFM_INTREQ_IRQ23MON_PPGINT10              *((volatile  uint8_t *)(0x42620E10UL))
#define bFM0P_INTREQ_IRQ23MON_PPGINT10            *((volatile  uint8_t *)(0x42620E10UL))
#define bFM_INTREQ_IRQ23MON_PPGINT12              *((volatile  uint8_t *)(0x42620E14UL))
#define bFM0P_INTREQ_IRQ23MON_PPGINT12            *((volatile  uint8_t *)(0x42620E14UL))
#define bFM_INTREQ_IRQ23MON_PPGINT16              *((volatile  uint8_t *)(0x42620E18UL))
#define bFM0P_INTREQ_IRQ23MON_PPGINT16            *((volatile  uint8_t *)(0x42620E18UL))
#define bFM_INTREQ_IRQ23MON_PPGINT18              *((volatile  uint8_t *)(0x42620E1CUL))
#define bFM0P_INTREQ_IRQ23MON_PPGINT18            *((volatile  uint8_t *)(0x42620E1CUL))
#define bFM_INTREQ_IRQ23MON_PPGINT20              *((volatile  uint8_t *)(0x42620E20UL))
#define bFM0P_INTREQ_IRQ23MON_PPGINT20            *((volatile  uint8_t *)(0x42620E20UL))

#define bFM_INTREQ_IRQ24MON_MOSCINT               *((volatile  uint8_t *)(0x42620E80UL))
#define bFM0P_INTREQ_IRQ24MON_MOSCINT             *((volatile  uint8_t *)(0x42620E80UL))
#define bFM_INTREQ_IRQ24MON_SOSCINT               *((volatile  uint8_t *)(0x42620E84UL))
#define bFM0P_INTREQ_IRQ24MON_SOSCINT             *((volatile  uint8_t *)(0x42620E84UL))
#define bFM_INTREQ_IRQ24MON_MPLLINT               *((volatile  uint8_t *)(0x42620E88UL))
#define bFM0P_INTREQ_IRQ24MON_MPLLINT             *((volatile  uint8_t *)(0x42620E88UL))
#define bFM_INTREQ_IRQ24MON_WCINT                 *((volatile  uint8_t *)(0x42620E90UL))
#define bFM0P_INTREQ_IRQ24MON_WCINT               *((volatile  uint8_t *)(0x42620E90UL))
#define bFM_INTREQ_IRQ24MON_RTCINT                *((volatile  uint8_t *)(0x42620E94UL))
#define bFM0P_INTREQ_IRQ24MON_RTCINT              *((volatile  uint8_t *)(0x42620E94UL))

#define bFM_INTREQ_IRQ25MON_ADCINT0               *((volatile  uint8_t *)(0x42620F00UL))
#define bFM0P_INTREQ_IRQ25MON_ADCINT0             *((volatile  uint8_t *)(0x42620F00UL))
#define bFM_INTREQ_IRQ25MON_ADCINT1               *((volatile  uint8_t *)(0x42620F04UL))
#define bFM0P_INTREQ_IRQ25MON_ADCINT1             *((volatile  uint8_t *)(0x42620F04UL))
#define bFM_INTREQ_IRQ25MON_ADCINT2               *((volatile  uint8_t *)(0x42620F08UL))
#define bFM0P_INTREQ_IRQ25MON_ADCINT2             *((volatile  uint8_t *)(0x42620F08UL))
#define bFM_INTREQ_IRQ25MON_ADCINT3               *((volatile  uint8_t *)(0x42620F0CUL))
#define bFM0P_INTREQ_IRQ25MON_ADCINT3             *((volatile  uint8_t *)(0x42620F0CUL))
#define bFM_INTREQ_IRQ25MON_ADCINT4               *((volatile  uint8_t *)(0x42620F10UL))
#define bFM0P_INTREQ_IRQ25MON_ADCINT4             *((volatile  uint8_t *)(0x42620F10UL))

#define bFM_INTREQ_IRQ26MON_ADCINT0               *((volatile  uint8_t *)(0x42620F80UL))
#define bFM0P_INTREQ_IRQ26MON_ADCINT0             *((volatile  uint8_t *)(0x42620F80UL))
#define bFM_INTREQ_IRQ26MON_ADCINT1               *((volatile  uint8_t *)(0x42620F84UL))
#define bFM0P_INTREQ_IRQ26MON_ADCINT1             *((volatile  uint8_t *)(0x42620F84UL))
#define bFM_INTREQ_IRQ26MON_ADCINT2               *((volatile  uint8_t *)(0x42620F88UL))
#define bFM0P_INTREQ_IRQ26MON_ADCINT2             *((volatile  uint8_t *)(0x42620F88UL))
#define bFM_INTREQ_IRQ26MON_ADCINT3               *((volatile  uint8_t *)(0x42620F8CUL))
#define bFM0P_INTREQ_IRQ26MON_ADCINT3             *((volatile  uint8_t *)(0x42620F8CUL))
#define bFM_INTREQ_IRQ26MON_ADCINT4               *((volatile  uint8_t *)(0x42620F90UL))
#define bFM0P_INTREQ_IRQ26MON_ADCINT4             *((volatile  uint8_t *)(0x42620F90UL))

#define bFM_INTREQ_IRQ27MON_ADCINT0               *((volatile  uint8_t *)(0x42621000UL))
#define bFM0P_INTREQ_IRQ27MON_ADCINT0             *((volatile  uint8_t *)(0x42621000UL))
#define bFM_INTREQ_IRQ27MON_ADCINT1               *((volatile  uint8_t *)(0x42621004UL))
#define bFM0P_INTREQ_IRQ27MON_ADCINT1             *((volatile  uint8_t *)(0x42621004UL))
#define bFM_INTREQ_IRQ27MON_ADCINT2               *((volatile  uint8_t *)(0x42621008UL))
#define bFM0P_INTREQ_IRQ27MON_ADCINT2             *((volatile  uint8_t *)(0x42621008UL))
#define bFM_INTREQ_IRQ27MON_ADCINT3               *((volatile  uint8_t *)(0x4262100CUL))
#define bFM0P_INTREQ_IRQ27MON_ADCINT3             *((volatile  uint8_t *)(0x4262100CUL))
#define bFM_INTREQ_IRQ27MON_ADCINT4               *((volatile  uint8_t *)(0x42621010UL))
#define bFM0P_INTREQ_IRQ27MON_ADCINT4             *((volatile  uint8_t *)(0x42621010UL))
#define bFM_INTREQ_IRQ27MON_LCDCINT               *((volatile  uint8_t *)(0x42621014UL))
#define bFM0P_INTREQ_IRQ27MON_LCDCINT             *((volatile  uint8_t *)(0x42621014UL))

#define bFM_INTREQ_IRQ31MON_BTINT0                *((volatile  uint8_t *)(0x42621200UL))
#define bFM0P_INTREQ_IRQ31MON_BTINT0              *((volatile  uint8_t *)(0x42621200UL))
#define bFM_INTREQ_IRQ31MON_BTINT1                *((volatile  uint8_t *)(0x42621204UL))
#define bFM0P_INTREQ_IRQ31MON_BTINT1              *((volatile  uint8_t *)(0x42621204UL))
#define bFM_INTREQ_IRQ31MON_BTINT2                *((volatile  uint8_t *)(0x42621208UL))
#define bFM0P_INTREQ_IRQ31MON_BTINT2              *((volatile  uint8_t *)(0x42621208UL))
#define bFM_INTREQ_IRQ31MON_BTINT3                *((volatile  uint8_t *)(0x4262120CUL))
#define bFM0P_INTREQ_IRQ31MON_BTINT3              *((volatile  uint8_t *)(0x4262120CUL))
#define bFM_INTREQ_IRQ31MON_BTINT4                *((volatile  uint8_t *)(0x42621210UL))
#define bFM0P_INTREQ_IRQ31MON_BTINT4              *((volatile  uint8_t *)(0x42621210UL))
#define bFM_INTREQ_IRQ31MON_BTINT5                *((volatile  uint8_t *)(0x42621214UL))
#define bFM0P_INTREQ_IRQ31MON_BTINT5              *((volatile  uint8_t *)(0x42621214UL))
#define bFM_INTREQ_IRQ31MON_BTINT6                *((volatile  uint8_t *)(0x42621218UL))
#define bFM0P_INTREQ_IRQ31MON_BTINT6              *((volatile  uint8_t *)(0x42621218UL))
#define bFM_INTREQ_IRQ31MON_BTINT7                *((volatile  uint8_t *)(0x4262121CUL))
#define bFM0P_INTREQ_IRQ31MON_BTINT7              *((volatile  uint8_t *)(0x4262121CUL))
#define bFM_INTREQ_IRQ31MON_BTINT8                *((volatile  uint8_t *)(0x42621220UL))
#define bFM0P_INTREQ_IRQ31MON_BTINT8              *((volatile  uint8_t *)(0x42621220UL))
#define bFM_INTREQ_IRQ31MON_BTINT9                *((volatile  uint8_t *)(0x42621224UL))
#define bFM0P_INTREQ_IRQ31MON_BTINT9              *((volatile  uint8_t *)(0x42621224UL))
#define bFM_INTREQ_IRQ31MON_BTINT10               *((volatile  uint8_t *)(0x42621228UL))
#define bFM0P_INTREQ_IRQ31MON_BTINT10             *((volatile  uint8_t *)(0x42621228UL))
#define bFM_INTREQ_IRQ31MON_BTINT11               *((volatile  uint8_t *)(0x4262122CUL))
#define bFM0P_INTREQ_IRQ31MON_BTINT11             *((volatile  uint8_t *)(0x4262122CUL))
#define bFM_INTREQ_IRQ31MON_BTINT12               *((volatile  uint8_t *)(0x42621230UL))
#define bFM0P_INTREQ_IRQ31MON_BTINT12             *((volatile  uint8_t *)(0x42621230UL))
#define bFM_INTREQ_IRQ31MON_BTINT13               *((volatile  uint8_t *)(0x42621234UL))
#define bFM0P_INTREQ_IRQ31MON_BTINT13             *((volatile  uint8_t *)(0x42621234UL))
#define bFM_INTREQ_IRQ31MON_BTINT14               *((volatile  uint8_t *)(0x42621238UL))
#define bFM0P_INTREQ_IRQ31MON_BTINT14             *((volatile  uint8_t *)(0x42621238UL))
#define bFM_INTREQ_IRQ31MON_BTINT15               *((volatile  uint8_t *)(0x4262123CUL))
#define bFM0P_INTREQ_IRQ31MON_BTINT15             *((volatile  uint8_t *)(0x4262123CUL))
#define bFM_INTREQ_IRQ31MON_FLASHINT              *((volatile  uint8_t *)(0x4262126CUL))
#define bFM0P_INTREQ_IRQ31MON_FLASHINT            *((volatile  uint8_t *)(0x4262126CUL))

#define bFM_INTREQ_IRQCMODE_IRQCMODE              *((volatile  uint8_t *)(0x42620180UL))
#define bFM0P_INTREQ_IRQCMODE_IRQCMODE            *((volatile  uint8_t *)(0x42620180UL))


/******************************************************************************
 ** LSCRP Registers LSCRP
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** LVD Registers LVD
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_LVD_LVD_CLR_LVDCL                     *((volatile  uint8_t *)(0x426A011CUL))
#define bFM0P_LVD_LVD_CLR_LVDCL                   *((volatile  uint8_t *)(0x426A011CUL))

#define bFM_LVD_LVD_CTL_LVDIE                     *((volatile  uint8_t *)(0x426A001CUL))
#define bFM0P_LVD_LVD_CTL_LVDIE                   *((volatile  uint8_t *)(0x426A001CUL))
#define bFM_LVD_LVD_CTL_LVDRE                     *((volatile  uint8_t *)(0x426A003CUL))
#define bFM0P_LVD_LVD_CTL_LVDRE                   *((volatile  uint8_t *)(0x426A003CUL))

#define bFM_LVD_LVD_STR_LVDIR                     *((volatile  uint8_t *)(0x426A009CUL))
#define bFM0P_LVD_LVD_STR_LVDIR                   *((volatile  uint8_t *)(0x426A009CUL))

#define bFM_LVD_LVD_STR2_LVDRRDY                  *((volatile  uint8_t *)(0x426A0218UL))
#define bFM0P_LVD_LVD_STR2_LVDRRDY                *((volatile  uint8_t *)(0x426A0218UL))
#define bFM_LVD_LVD_STR2_LVDIRDY                  *((volatile  uint8_t *)(0x426A021CUL))
#define bFM0P_LVD_LVD_STR2_LVDIRDY                *((volatile  uint8_t *)(0x426A021CUL))


/******************************************************************************
 ** MFS Registers MFS0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS0_CSIO_ESCR_CSFE                   *((volatile  uint8_t *)(0x42700094UL))
#define bFM0P_MFS0_CSIO_ESCR_CSFE                 *((volatile  uint8_t *)(0x42700094UL))
#define bFM_MFS0_CSIO_ESCR_L3                     *((volatile  uint8_t *)(0x42700098UL))
#define bFM0P_MFS0_CSIO_ESCR_L3                   *((volatile  uint8_t *)(0x42700098UL))
#define bFM_MFS0_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270009CUL))
#define bFM0P_MFS0_CSIO_ESCR_SOP                  *((volatile  uint8_t *)(0x4270009CUL))

#define bFM_MFS0_CSIO_FCR_FE1                     *((volatile  uint8_t *)(0x42700280UL))
#define bFM0P_MFS0_CSIO_FCR_FE1                   *((volatile  uint8_t *)(0x42700280UL))
#define bFM_MFS0_CSIO_FCR_FE2                     *((volatile  uint8_t *)(0x42700284UL))
#define bFM0P_MFS0_CSIO_FCR_FE2                   *((volatile  uint8_t *)(0x42700284UL))
#define bFM_MFS0_CSIO_FCR_FCL1                    *((volatile  uint8_t *)(0x42700288UL))
#define bFM0P_MFS0_CSIO_FCR_FCL1                  *((volatile  uint8_t *)(0x42700288UL))
#define bFM_MFS0_CSIO_FCR_FCL2                    *((volatile  uint8_t *)(0x4270028CUL))
#define bFM0P_MFS0_CSIO_FCR_FCL2                  *((volatile  uint8_t *)(0x4270028CUL))
#define bFM_MFS0_CSIO_FCR_FSET                    *((volatile  uint8_t *)(0x42700290UL))
#define bFM0P_MFS0_CSIO_FCR_FSET                  *((volatile  uint8_t *)(0x42700290UL))
#define bFM_MFS0_CSIO_FCR_FLD                     *((volatile  uint8_t *)(0x42700294UL))
#define bFM0P_MFS0_CSIO_FCR_FLD                   *((volatile  uint8_t *)(0x42700294UL))
#define bFM_MFS0_CSIO_FCR_FLST                    *((volatile  uint8_t *)(0x42700298UL))
#define bFM0P_MFS0_CSIO_FCR_FLST                  *((volatile  uint8_t *)(0x42700298UL))
#define bFM_MFS0_CSIO_FCR_FSEL                    *((volatile  uint8_t *)(0x427002A0UL))
#define bFM0P_MFS0_CSIO_FCR_FSEL                  *((volatile  uint8_t *)(0x427002A0UL))
#define bFM_MFS0_CSIO_FCR_FTIE                    *((volatile  uint8_t *)(0x427002A4UL))
#define bFM0P_MFS0_CSIO_FCR_FTIE                  *((volatile  uint8_t *)(0x427002A4UL))
#define bFM_MFS0_CSIO_FCR_FDRQ                    *((volatile  uint8_t *)(0x427002A8UL))
#define bFM0P_MFS0_CSIO_FCR_FDRQ                  *((volatile  uint8_t *)(0x427002A8UL))
#define bFM_MFS0_CSIO_FCR_FRIIE                   *((volatile  uint8_t *)(0x427002ACUL))
#define bFM0P_MFS0_CSIO_FCR_FRIIE                 *((volatile  uint8_t *)(0x427002ACUL))
#define bFM_MFS0_CSIO_FCR_FLSTE                   *((volatile  uint8_t *)(0x427002B0UL))
#define bFM0P_MFS0_CSIO_FCR_FLSTE                 *((volatile  uint8_t *)(0x427002B0UL))

#define bFM_MFS0_CSIO_SACSR_TMRE                  *((volatile  uint8_t *)(0x42700480UL))
#define bFM0P_MFS0_CSIO_SACSR_TMRE                *((volatile  uint8_t *)(0x42700480UL))
#define bFM_MFS0_CSIO_SACSR_TSYNE                 *((volatile  uint8_t *)(0x42700498UL))
#define bFM0P_MFS0_CSIO_SACSR_TSYNE               *((volatile  uint8_t *)(0x42700498UL))
#define bFM_MFS0_CSIO_SACSR_TINTE                 *((volatile  uint8_t *)(0x4270049CUL))
#define bFM0P_MFS0_CSIO_SACSR_TINTE               *((volatile  uint8_t *)(0x4270049CUL))
#define bFM_MFS0_CSIO_SACSR_TINT                  *((volatile  uint8_t *)(0x427004A0UL))
#define bFM0P_MFS0_CSIO_SACSR_TINT                *((volatile  uint8_t *)(0x427004A0UL))
#define bFM_MFS0_CSIO_SACSR_CSE                   *((volatile  uint8_t *)(0x427004ACUL))
#define bFM0P_MFS0_CSIO_SACSR_CSE                 *((volatile  uint8_t *)(0x427004ACUL))
#define bFM_MFS0_CSIO_SACSR_CSEIE                 *((volatile  uint8_t *)(0x427004B0UL))
#define bFM0P_MFS0_CSIO_SACSR_CSEIE               *((volatile  uint8_t *)(0x427004B0UL))
#define bFM_MFS0_CSIO_SACSR_TBEEN                 *((volatile  uint8_t *)(0x427004B4UL))
#define bFM0P_MFS0_CSIO_SACSR_TBEEN               *((volatile  uint8_t *)(0x427004B4UL))

#define bFM_MFS0_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x42700020UL))
#define bFM0P_MFS0_CSIO_SCR_TXE                   *((volatile  uint8_t *)(0x42700020UL))
#define bFM_MFS0_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x42700024UL))
#define bFM0P_MFS0_CSIO_SCR_RXE                   *((volatile  uint8_t *)(0x42700024UL))
#define bFM_MFS0_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x42700028UL))
#define bFM0P_MFS0_CSIO_SCR_TBIE                  *((volatile  uint8_t *)(0x42700028UL))
#define bFM_MFS0_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270002CUL))
#define bFM0P_MFS0_CSIO_SCR_TIE                   *((volatile  uint8_t *)(0x4270002CUL))
#define bFM_MFS0_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x42700030UL))
#define bFM0P_MFS0_CSIO_SCR_RIE                   *((volatile  uint8_t *)(0x42700030UL))
#define bFM_MFS0_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x42700034UL))
#define bFM0P_MFS0_CSIO_SCR_SPI                   *((volatile  uint8_t *)(0x42700034UL))
#define bFM_MFS0_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x42700038UL))
#define bFM0P_MFS0_CSIO_SCR_MS                    *((volatile  uint8_t *)(0x42700038UL))
#define bFM_MFS0_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270003CUL))
#define bFM0P_MFS0_CSIO_SCR_UPCL                  *((volatile  uint8_t *)(0x4270003CUL))

#define bFM_MFS0_CSIO_SCSCR_CSOE                  *((volatile  uint8_t *)(0x42700600UL))
#define bFM0P_MFS0_CSIO_SCSCR_CSOE                *((volatile  uint8_t *)(0x42700600UL))
#define bFM_MFS0_CSIO_SCSCR_CSEN0                 *((volatile  uint8_t *)(0x42700604UL))
#define bFM0P_MFS0_CSIO_SCSCR_CSEN0               *((volatile  uint8_t *)(0x42700604UL))
#define bFM_MFS0_CSIO_SCSCR_CSEN1                 *((volatile  uint8_t *)(0x42700608UL))
#define bFM0P_MFS0_CSIO_SCSCR_CSEN1               *((volatile  uint8_t *)(0x42700608UL))
#define bFM_MFS0_CSIO_SCSCR_CSEN2                 *((volatile  uint8_t *)(0x4270060CUL))
#define bFM0P_MFS0_CSIO_SCSCR_CSEN2               *((volatile  uint8_t *)(0x4270060CUL))
#define bFM_MFS0_CSIO_SCSCR_CSEN3                 *((volatile  uint8_t *)(0x42700610UL))
#define bFM0P_MFS0_CSIO_SCSCR_CSEN3               *((volatile  uint8_t *)(0x42700610UL))
#define bFM_MFS0_CSIO_SCSCR_CSLVL                 *((volatile  uint8_t *)(0x42700614UL))
#define bFM0P_MFS0_CSIO_SCSCR_CSLVL               *((volatile  uint8_t *)(0x42700614UL))
#define bFM_MFS0_CSIO_SCSCR_SCAM                  *((volatile  uint8_t *)(0x42700624UL))
#define bFM0P_MFS0_CSIO_SCSCR_SCAM                *((volatile  uint8_t *)(0x42700624UL))

#define bFM_MFS0_CSIO_SCSFR0_CS1BDS               *((volatile  uint8_t *)(0x42700690UL))
#define bFM0P_MFS0_CSIO_SCSFR0_CS1BDS             *((volatile  uint8_t *)(0x42700690UL))
#define bFM_MFS0_CSIO_SCSFR0_CS1SPI               *((volatile  uint8_t *)(0x42700694UL))
#define bFM0P_MFS0_CSIO_SCSFR0_CS1SPI             *((volatile  uint8_t *)(0x42700694UL))
#define bFM_MFS0_CSIO_SCSFR0_CS1SCINV             *((volatile  uint8_t *)(0x42700698UL))
#define bFM0P_MFS0_CSIO_SCSFR0_CS1SCINV           *((volatile  uint8_t *)(0x42700698UL))
#define bFM_MFS0_CSIO_SCSFR0_CS1CSLVL             *((volatile  uint8_t *)(0x4270069CUL))
#define bFM0P_MFS0_CSIO_SCSFR0_CS1CSLVL           *((volatile  uint8_t *)(0x4270069CUL))

#define bFM_MFS0_CSIO_SCSFR1_CS2BDS               *((volatile  uint8_t *)(0x427006B0UL))
#define bFM0P_MFS0_CSIO_SCSFR1_CS2BDS             *((volatile  uint8_t *)(0x427006B0UL))
#define bFM_MFS0_CSIO_SCSFR1_CS2SPI               *((volatile  uint8_t *)(0x427006B4UL))
#define bFM0P_MFS0_CSIO_SCSFR1_CS2SPI             *((volatile  uint8_t *)(0x427006B4UL))
#define bFM_MFS0_CSIO_SCSFR1_CS2SCINV             *((volatile  uint8_t *)(0x427006B8UL))
#define bFM0P_MFS0_CSIO_SCSFR1_CS2SCINV           *((volatile  uint8_t *)(0x427006B8UL))
#define bFM_MFS0_CSIO_SCSFR1_CS2CSLVL             *((volatile  uint8_t *)(0x427006BCUL))
#define bFM0P_MFS0_CSIO_SCSFR1_CS2CSLVL           *((volatile  uint8_t *)(0x427006BCUL))

#define bFM_MFS0_CSIO_SCSFR2_CS3BDS               *((volatile  uint8_t *)(0x42700710UL))
#define bFM0P_MFS0_CSIO_SCSFR2_CS3BDS             *((volatile  uint8_t *)(0x42700710UL))
#define bFM_MFS0_CSIO_SCSFR2_CS3SPI               *((volatile  uint8_t *)(0x42700714UL))
#define bFM0P_MFS0_CSIO_SCSFR2_CS3SPI             *((volatile  uint8_t *)(0x42700714UL))
#define bFM_MFS0_CSIO_SCSFR2_CS3SCINV             *((volatile  uint8_t *)(0x42700718UL))
#define bFM0P_MFS0_CSIO_SCSFR2_CS3SCINV           *((volatile  uint8_t *)(0x42700718UL))
#define bFM_MFS0_CSIO_SCSFR2_CS3CSLVL             *((volatile  uint8_t *)(0x4270071CUL))
#define bFM0P_MFS0_CSIO_SCSFR2_CS3CSLVL           *((volatile  uint8_t *)(0x4270071CUL))

#define bFM_MFS0_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x42700000UL))
#define bFM0P_MFS0_CSIO_SMR_SOE                   *((volatile  uint8_t *)(0x42700000UL))
#define bFM_MFS0_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x42700004UL))
#define bFM0P_MFS0_CSIO_SMR_SCKE                  *((volatile  uint8_t *)(0x42700004UL))
#define bFM_MFS0_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x42700008UL))
#define bFM0P_MFS0_CSIO_SMR_BDS                   *((volatile  uint8_t *)(0x42700008UL))
#define bFM_MFS0_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270000CUL))
#define bFM0P_MFS0_CSIO_SMR_SCINV                 *((volatile  uint8_t *)(0x4270000CUL))

#define bFM_MFS0_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x427000A0UL))
#define bFM0P_MFS0_CSIO_SSR_TBI                   *((volatile  uint8_t *)(0x427000A0UL))
#define bFM_MFS0_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x427000A4UL))
#define bFM0P_MFS0_CSIO_SSR_TDRE                  *((volatile  uint8_t *)(0x427000A4UL))
#define bFM_MFS0_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x427000A8UL))
#define bFM0P_MFS0_CSIO_SSR_RDRF                  *((volatile  uint8_t *)(0x427000A8UL))
#define bFM_MFS0_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x427000ACUL))
#define bFM0P_MFS0_CSIO_SSR_ORE                   *((volatile  uint8_t *)(0x427000ACUL))
#define bFM_MFS0_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x427000BCUL))
#define bFM0P_MFS0_CSIO_SSR_REC                   *((volatile  uint8_t *)(0x427000BCUL))

#define bFM_MFS0_I2C_EIBCR_BEC                    *((volatile  uint8_t *)(0x427003A0UL))
#define bFM0P_MFS0_I2C_EIBCR_BEC                  *((volatile  uint8_t *)(0x427003A0UL))
#define bFM_MFS0_I2C_EIBCR_SOCE                   *((volatile  uint8_t *)(0x427003A4UL))
#define bFM0P_MFS0_I2C_EIBCR_SOCE                 *((volatile  uint8_t *)(0x427003A4UL))
#define bFM_MFS0_I2C_EIBCR_SCLC                   *((volatile  uint8_t *)(0x427003A8UL))
#define bFM0P_MFS0_I2C_EIBCR_SCLC                 *((volatile  uint8_t *)(0x427003A8UL))
#define bFM_MFS0_I2C_EIBCR_SDAC                   *((volatile  uint8_t *)(0x427003ACUL))
#define bFM0P_MFS0_I2C_EIBCR_SDAC                 *((volatile  uint8_t *)(0x427003ACUL))
#define bFM_MFS0_I2C_EIBCR_SCLS                   *((volatile  uint8_t *)(0x427003B0UL))
#define bFM0P_MFS0_I2C_EIBCR_SCLS                 *((volatile  uint8_t *)(0x427003B0UL))
#define bFM_MFS0_I2C_EIBCR_SDAS                   *((volatile  uint8_t *)(0x427003B4UL))
#define bFM0P_MFS0_I2C_EIBCR_SDAS                 *((volatile  uint8_t *)(0x427003B4UL))

#define bFM_MFS0_I2C_FCR_FE1                      *((volatile  uint8_t *)(0x42700280UL))
#define bFM0P_MFS0_I2C_FCR_FE1                    *((volatile  uint8_t *)(0x42700280UL))
#define bFM_MFS0_I2C_FCR_FE2                      *((volatile  uint8_t *)(0x42700284UL))
#define bFM0P_MFS0_I2C_FCR_FE2                    *((volatile  uint8_t *)(0x42700284UL))
#define bFM_MFS0_I2C_FCR_FCL1                     *((volatile  uint8_t *)(0x42700288UL))
#define bFM0P_MFS0_I2C_FCR_FCL1                   *((volatile  uint8_t *)(0x42700288UL))
#define bFM_MFS0_I2C_FCR_FCL2                     *((volatile  uint8_t *)(0x4270028CUL))
#define bFM0P_MFS0_I2C_FCR_FCL2                   *((volatile  uint8_t *)(0x4270028CUL))
#define bFM_MFS0_I2C_FCR_FSET                     *((volatile  uint8_t *)(0x42700290UL))
#define bFM0P_MFS0_I2C_FCR_FSET                   *((volatile  uint8_t *)(0x42700290UL))
#define bFM_MFS0_I2C_FCR_FLD                      *((volatile  uint8_t *)(0x42700294UL))
#define bFM0P_MFS0_I2C_FCR_FLD                    *((volatile  uint8_t *)(0x42700294UL))
#define bFM_MFS0_I2C_FCR_FLST                     *((volatile  uint8_t *)(0x42700298UL))
#define bFM0P_MFS0_I2C_FCR_FLST                   *((volatile  uint8_t *)(0x42700298UL))
#define bFM_MFS0_I2C_FCR_FSEL                     *((volatile  uint8_t *)(0x427002A0UL))
#define bFM0P_MFS0_I2C_FCR_FSEL                   *((volatile  uint8_t *)(0x427002A0UL))
#define bFM_MFS0_I2C_FCR_FTIE                     *((volatile  uint8_t *)(0x427002A4UL))
#define bFM0P_MFS0_I2C_FCR_FTIE                   *((volatile  uint8_t *)(0x427002A4UL))
#define bFM_MFS0_I2C_FCR_FDRQ                     *((volatile  uint8_t *)(0x427002A8UL))
#define bFM0P_MFS0_I2C_FCR_FDRQ                   *((volatile  uint8_t *)(0x427002A8UL))
#define bFM_MFS0_I2C_FCR_FRIIE                    *((volatile  uint8_t *)(0x427002ACUL))
#define bFM0P_MFS0_I2C_FCR_FRIIE                  *((volatile  uint8_t *)(0x427002ACUL))
#define bFM_MFS0_I2C_FCR_FLSTE                    *((volatile  uint8_t *)(0x427002B0UL))
#define bFM0P_MFS0_I2C_FCR_FLSTE                  *((volatile  uint8_t *)(0x427002B0UL))

#define bFM_MFS0_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x42700020UL))
#define bFM0P_MFS0_I2C_IBCR_INT                   *((volatile  uint8_t *)(0x42700020UL))
#define bFM_MFS0_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x42700024UL))
#define bFM0P_MFS0_I2C_IBCR_BER                   *((volatile  uint8_t *)(0x42700024UL))
#define bFM_MFS0_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x42700028UL))
#define bFM0P_MFS0_I2C_IBCR_INTE                  *((volatile  uint8_t *)(0x42700028UL))
#define bFM_MFS0_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270002CUL))
#define bFM0P_MFS0_I2C_IBCR_CNDE                  *((volatile  uint8_t *)(0x4270002CUL))
#define bFM_MFS0_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x42700030UL))
#define bFM0P_MFS0_I2C_IBCR_WSEL                  *((volatile  uint8_t *)(0x42700030UL))
#define bFM_MFS0_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x42700034UL))
#define bFM0P_MFS0_I2C_IBCR_ACKE                  *((volatile  uint8_t *)(0x42700034UL))
#define bFM_MFS0_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x42700038UL))
#define bFM0P_MFS0_I2C_IBCR_ACT_SCC               *((volatile  uint8_t *)(0x42700038UL))
#define bFM_MFS0_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270003CUL))
#define bFM0P_MFS0_I2C_IBCR_MSS                   *((volatile  uint8_t *)(0x4270003CUL))

#define bFM_MFS0_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x42700080UL))
#define bFM0P_MFS0_I2C_IBSR_BB                    *((volatile  uint8_t *)(0x42700080UL))
#define bFM_MFS0_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x42700084UL))
#define bFM0P_MFS0_I2C_IBSR_SPC                   *((volatile  uint8_t *)(0x42700084UL))
#define bFM_MFS0_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x42700088UL))
#define bFM0P_MFS0_I2C_IBSR_RSC                   *((volatile  uint8_t *)(0x42700088UL))
#define bFM_MFS0_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270008CUL))
#define bFM0P_MFS0_I2C_IBSR_AL                    *((volatile  uint8_t *)(0x4270008CUL))
#define bFM_MFS0_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x42700090UL))
#define bFM0P_MFS0_I2C_IBSR_TRX                   *((volatile  uint8_t *)(0x42700090UL))
#define bFM_MFS0_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x42700094UL))
#define bFM0P_MFS0_I2C_IBSR_RSA                   *((volatile  uint8_t *)(0x42700094UL))
#define bFM_MFS0_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x42700098UL))
#define bFM0P_MFS0_I2C_IBSR_RACK                  *((volatile  uint8_t *)(0x42700098UL))
#define bFM_MFS0_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270009CUL))
#define bFM0P_MFS0_I2C_IBSR_FBT                   *((volatile  uint8_t *)(0x4270009CUL))

#define bFM_MFS0_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270021CUL))
#define bFM0P_MFS0_I2C_ISBA_SAEN                  *((volatile  uint8_t *)(0x4270021CUL))

#define bFM_MFS0_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270023CUL))
#define bFM0P_MFS0_I2C_ISMK_EN                    *((volatile  uint8_t *)(0x4270023CUL))

#define bFM_MFS0_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x42700008UL))
#define bFM0P_MFS0_I2C_SMR_TIE                    *((volatile  uint8_t *)(0x42700008UL))
#define bFM_MFS0_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270000CUL))
#define bFM0P_MFS0_I2C_SMR_RIE                    *((volatile  uint8_t *)(0x4270000CUL))

#define bFM_MFS0_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x427000A0UL))
#define bFM0P_MFS0_I2C_SSR_TBI                    *((volatile  uint8_t *)(0x427000A0UL))
#define bFM_MFS0_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x427000A4UL))
#define bFM0P_MFS0_I2C_SSR_TDRE                   *((volatile  uint8_t *)(0x427000A4UL))
#define bFM_MFS0_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x427000A8UL))
#define bFM0P_MFS0_I2C_SSR_RDRF                   *((volatile  uint8_t *)(0x427000A8UL))
#define bFM_MFS0_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x427000ACUL))
#define bFM0P_MFS0_I2C_SSR_ORE                    *((volatile  uint8_t *)(0x427000ACUL))
#define bFM_MFS0_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x427000B0UL))
#define bFM0P_MFS0_I2C_SSR_TBIE                   *((volatile  uint8_t *)(0x427000B0UL))
#define bFM_MFS0_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x427000B4UL))
#define bFM0P_MFS0_I2C_SSR_DMA                    *((volatile  uint8_t *)(0x427000B4UL))
#define bFM_MFS0_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x427000B8UL))
#define bFM0P_MFS0_I2C_SSR_TSET                   *((volatile  uint8_t *)(0x427000B8UL))
#define bFM_MFS0_I2C_SSR_REC                      *((volatile  uint8_t *)(0x427000BCUL))
#define bFM0P_MFS0_I2C_SSR_REC                    *((volatile  uint8_t *)(0x427000BCUL))

#define bFM_MFS0_LIN_BGR_EXT                      *((volatile  uint8_t *)(0x427001BCUL))
#define bFM0P_MFS0_LIN_BGR_EXT                    *((volatile  uint8_t *)(0x427001BCUL))

#define bFM_MFS0_LIN_ESCR_LBIE                    *((volatile  uint8_t *)(0x42700090UL))
#define bFM0P_MFS0_LIN_ESCR_LBIE                  *((volatile  uint8_t *)(0x42700090UL))
#define bFM_MFS0_LIN_ESCR_ESBL                    *((volatile  uint8_t *)(0x42700098UL))
#define bFM0P_MFS0_LIN_ESCR_ESBL                  *((volatile  uint8_t *)(0x42700098UL))

#define bFM_MFS0_LIN_FCR_FE1                      *((volatile  uint8_t *)(0x42700280UL))
#define bFM0P_MFS0_LIN_FCR_FE1                    *((volatile  uint8_t *)(0x42700280UL))
#define bFM_MFS0_LIN_FCR_FE2                      *((volatile  uint8_t *)(0x42700284UL))
#define bFM0P_MFS0_LIN_FCR_FE2                    *((volatile  uint8_t *)(0x42700284UL))
#define bFM_MFS0_LIN_FCR_FCL1                     *((volatile  uint8_t *)(0x42700288UL))
#define bFM0P_MFS0_LIN_FCR_FCL1                   *((volatile  uint8_t *)(0x42700288UL))
#define bFM_MFS0_LIN_FCR_FCL2                     *((volatile  uint8_t *)(0x4270028CUL))
#define bFM0P_MFS0_LIN_FCR_FCL2                   *((volatile  uint8_t *)(0x4270028CUL))
#define bFM_MFS0_LIN_FCR_FSET                     *((volatile  uint8_t *)(0x42700290UL))
#define bFM0P_MFS0_LIN_FCR_FSET                   *((volatile  uint8_t *)(0x42700290UL))
#define bFM_MFS0_LIN_FCR_FLD                      *((volatile  uint8_t *)(0x42700294UL))
#define bFM0P_MFS0_LIN_FCR_FLD                    *((volatile  uint8_t *)(0x42700294UL))
#define bFM_MFS0_LIN_FCR_FLST                     *((volatile  uint8_t *)(0x42700298UL))
#define bFM0P_MFS0_LIN_FCR_FLST                   *((volatile  uint8_t *)(0x42700298UL))
#define bFM_MFS0_LIN_FCR_FSEL                     *((volatile  uint8_t *)(0x427002A0UL))
#define bFM0P_MFS0_LIN_FCR_FSEL                   *((volatile  uint8_t *)(0x427002A0UL))
#define bFM_MFS0_LIN_FCR_FTIE                     *((volatile  uint8_t *)(0x427002A4UL))
#define bFM0P_MFS0_LIN_FCR_FTIE                   *((volatile  uint8_t *)(0x427002A4UL))
#define bFM_MFS0_LIN_FCR_FDRQ                     *((volatile  uint8_t *)(0x427002A8UL))
#define bFM0P_MFS0_LIN_FCR_FDRQ                   *((volatile  uint8_t *)(0x427002A8UL))
#define bFM_MFS0_LIN_FCR_FRIIE                    *((volatile  uint8_t *)(0x427002ACUL))
#define bFM0P_MFS0_LIN_FCR_FRIIE                  *((volatile  uint8_t *)(0x427002ACUL))
#define bFM_MFS0_LIN_FCR_FLSTE                    *((volatile  uint8_t *)(0x427002B0UL))
#define bFM0P_MFS0_LIN_FCR_FLSTE                  *((volatile  uint8_t *)(0x427002B0UL))

#define bFM_MFS0_LIN_SCR_TXE                      *((volatile  uint8_t *)(0x42700020UL))
#define bFM0P_MFS0_LIN_SCR_TXE                    *((volatile  uint8_t *)(0x42700020UL))
#define bFM_MFS0_LIN_SCR_RXE                      *((volatile  uint8_t *)(0x42700024UL))
#define bFM0P_MFS0_LIN_SCR_RXE                    *((volatile  uint8_t *)(0x42700024UL))
#define bFM_MFS0_LIN_SCR_TBIE                     *((volatile  uint8_t *)(0x42700028UL))
#define bFM0P_MFS0_LIN_SCR_TBIE                   *((volatile  uint8_t *)(0x42700028UL))
#define bFM_MFS0_LIN_SCR_TIE                      *((volatile  uint8_t *)(0x4270002CUL))
#define bFM0P_MFS0_LIN_SCR_TIE                    *((volatile  uint8_t *)(0x4270002CUL))
#define bFM_MFS0_LIN_SCR_RIE                      *((volatile  uint8_t *)(0x42700030UL))
#define bFM0P_MFS0_LIN_SCR_RIE                    *((volatile  uint8_t *)(0x42700030UL))
#define bFM_MFS0_LIN_SCR_LBR                      *((volatile  uint8_t *)(0x42700034UL))
#define bFM0P_MFS0_LIN_SCR_LBR                    *((volatile  uint8_t *)(0x42700034UL))
#define bFM_MFS0_LIN_SCR_MS                       *((volatile  uint8_t *)(0x42700038UL))
#define bFM0P_MFS0_LIN_SCR_MS                     *((volatile  uint8_t *)(0x42700038UL))
#define bFM_MFS0_LIN_SCR_UPCL                     *((volatile  uint8_t *)(0x4270003CUL))
#define bFM0P_MFS0_LIN_SCR_UPCL                   *((volatile  uint8_t *)(0x4270003CUL))

#define bFM_MFS0_LIN_SMR_SOE                      *((volatile  uint8_t *)(0x42700000UL))
#define bFM0P_MFS0_LIN_SMR_SOE                    *((volatile  uint8_t *)(0x42700000UL))
#define bFM_MFS0_LIN_SMR_SBL                      *((volatile  uint8_t *)(0x4270000CUL))
#define bFM0P_MFS0_LIN_SMR_SBL                    *((volatile  uint8_t *)(0x4270000CUL))

#define bFM_MFS0_LIN_SSR_TBI                      *((volatile  uint8_t *)(0x427000A0UL))
#define bFM0P_MFS0_LIN_SSR_TBI                    *((volatile  uint8_t *)(0x427000A0UL))
#define bFM_MFS0_LIN_SSR_TDRE                     *((volatile  uint8_t *)(0x427000A4UL))
#define bFM0P_MFS0_LIN_SSR_TDRE                   *((volatile  uint8_t *)(0x427000A4UL))
#define bFM_MFS0_LIN_SSR_RDRF                     *((volatile  uint8_t *)(0x427000A8UL))
#define bFM0P_MFS0_LIN_SSR_RDRF                   *((volatile  uint8_t *)(0x427000A8UL))
#define bFM_MFS0_LIN_SSR_ORE                      *((volatile  uint8_t *)(0x427000ACUL))
#define bFM0P_MFS0_LIN_SSR_ORE                    *((volatile  uint8_t *)(0x427000ACUL))
#define bFM_MFS0_LIN_SSR_FRE                      *((volatile  uint8_t *)(0x427000B0UL))
#define bFM0P_MFS0_LIN_SSR_FRE                    *((volatile  uint8_t *)(0x427000B0UL))
#define bFM_MFS0_LIN_SSR_LBD                      *((volatile  uint8_t *)(0x427000B4UL))
#define bFM0P_MFS0_LIN_SSR_LBD                    *((volatile  uint8_t *)(0x427000B4UL))
#define bFM_MFS0_LIN_SSR_REC                      *((volatile  uint8_t *)(0x427000BCUL))
#define bFM0P_MFS0_LIN_SSR_REC                    *((volatile  uint8_t *)(0x427000BCUL))

#define bFM_MFS0_UART_BGR_EXT                     *((volatile  uint8_t *)(0x427001BCUL))
#define bFM0P_MFS0_UART_BGR_EXT                   *((volatile  uint8_t *)(0x427001BCUL))

#define bFM_MFS0_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270008CUL))
#define bFM0P_MFS0_UART_ESCR_P                    *((volatile  uint8_t *)(0x4270008CUL))
#define bFM_MFS0_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x42700090UL))
#define bFM0P_MFS0_UART_ESCR_PEN                  *((volatile  uint8_t *)(0x42700090UL))
#define bFM_MFS0_UART_ESCR_INV                    *((volatile  uint8_t *)(0x42700094UL))
#define bFM0P_MFS0_UART_ESCR_INV                  *((volatile  uint8_t *)(0x42700094UL))
#define bFM_MFS0_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x42700098UL))
#define bFM0P_MFS0_UART_ESCR_ESBL                 *((volatile  uint8_t *)(0x42700098UL))
#define bFM_MFS0_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270009CUL))
#define bFM0P_MFS0_UART_ESCR_FLWEN                *((volatile  uint8_t *)(0x4270009CUL))

#define bFM_MFS0_UART_FCR_FE1                     *((volatile  uint8_t *)(0x42700280UL))
#define bFM0P_MFS0_UART_FCR_FE1                   *((volatile  uint8_t *)(0x42700280UL))
#define bFM_MFS0_UART_FCR_FE2                     *((volatile  uint8_t *)(0x42700284UL))
#define bFM0P_MFS0_UART_FCR_FE2                   *((volatile  uint8_t *)(0x42700284UL))
#define bFM_MFS0_UART_FCR_FCL1                    *((volatile  uint8_t *)(0x42700288UL))
#define bFM0P_MFS0_UART_FCR_FCL1                  *((volatile  uint8_t *)(0x42700288UL))
#define bFM_MFS0_UART_FCR_FCL2                    *((volatile  uint8_t *)(0x4270028CUL))
#define bFM0P_MFS0_UART_FCR_FCL2                  *((volatile  uint8_t *)(0x4270028CUL))
#define bFM_MFS0_UART_FCR_FSET                    *((volatile  uint8_t *)(0x42700290UL))
#define bFM0P_MFS0_UART_FCR_FSET                  *((volatile  uint8_t *)(0x42700290UL))
#define bFM_MFS0_UART_FCR_FLD                     *((volatile  uint8_t *)(0x42700294UL))
#define bFM0P_MFS0_UART_FCR_FLD                   *((volatile  uint8_t *)(0x42700294UL))
#define bFM_MFS0_UART_FCR_FLST                    *((volatile  uint8_t *)(0x42700298UL))
#define bFM0P_MFS0_UART_FCR_FLST                  *((volatile  uint8_t *)(0x42700298UL))
#define bFM_MFS0_UART_FCR_FSEL                    *((volatile  uint8_t *)(0x427002A0UL))
#define bFM0P_MFS0_UART_FCR_FSEL                  *((volatile  uint8_t *)(0x427002A0UL))
#define bFM_MFS0_UART_FCR_FTIE                    *((volatile  uint8_t *)(0x427002A4UL))
#define bFM0P_MFS0_UART_FCR_FTIE                  *((volatile  uint8_t *)(0x427002A4UL))
#define bFM_MFS0_UART_FCR_FDRQ                    *((volatile  uint8_t *)(0x427002A8UL))
#define bFM0P_MFS0_UART_FCR_FDRQ                  *((volatile  uint8_t *)(0x427002A8UL))
#define bFM_MFS0_UART_FCR_FRIIE                   *((volatile  uint8_t *)(0x427002ACUL))
#define bFM0P_MFS0_UART_FCR_FRIIE                 *((volatile  uint8_t *)(0x427002ACUL))
#define bFM_MFS0_UART_FCR_FLSTE                   *((volatile  uint8_t *)(0x427002B0UL))
#define bFM0P_MFS0_UART_FCR_FLSTE                 *((volatile  uint8_t *)(0x427002B0UL))

#define bFM_MFS0_UART_SCR_TXE                     *((volatile  uint8_t *)(0x42700020UL))
#define bFM0P_MFS0_UART_SCR_TXE                   *((volatile  uint8_t *)(0x42700020UL))
#define bFM_MFS0_UART_SCR_RXE                     *((volatile  uint8_t *)(0x42700024UL))
#define bFM0P_MFS0_UART_SCR_RXE                   *((volatile  uint8_t *)(0x42700024UL))
#define bFM_MFS0_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x42700028UL))
#define bFM0P_MFS0_UART_SCR_TBIE                  *((volatile  uint8_t *)(0x42700028UL))
#define bFM_MFS0_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270002CUL))
#define bFM0P_MFS0_UART_SCR_TIE                   *((volatile  uint8_t *)(0x4270002CUL))
#define bFM_MFS0_UART_SCR_RIE                     *((volatile  uint8_t *)(0x42700030UL))
#define bFM0P_MFS0_UART_SCR_RIE                   *((volatile  uint8_t *)(0x42700030UL))
#define bFM_MFS0_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270003CUL))
#define bFM0P_MFS0_UART_SCR_UPCL                  *((volatile  uint8_t *)(0x4270003CUL))

#define bFM_MFS0_UART_SMR_SOE                     *((volatile  uint8_t *)(0x42700000UL))
#define bFM0P_MFS0_UART_SMR_SOE                   *((volatile  uint8_t *)(0x42700000UL))
#define bFM_MFS0_UART_SMR_BDS                     *((volatile  uint8_t *)(0x42700008UL))
#define bFM0P_MFS0_UART_SMR_BDS                   *((volatile  uint8_t *)(0x42700008UL))
#define bFM_MFS0_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270000CUL))
#define bFM0P_MFS0_UART_SMR_SBL                   *((volatile  uint8_t *)(0x4270000CUL))

#define bFM_MFS0_UART_SSR_TBI                     *((volatile  uint8_t *)(0x427000A0UL))
#define bFM0P_MFS0_UART_SSR_TBI                   *((volatile  uint8_t *)(0x427000A0UL))
#define bFM_MFS0_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x427000A4UL))
#define bFM0P_MFS0_UART_SSR_TDRE                  *((volatile  uint8_t *)(0x427000A4UL))
#define bFM_MFS0_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x427000A8UL))
#define bFM0P_MFS0_UART_SSR_RDRF                  *((volatile  uint8_t *)(0x427000A8UL))
#define bFM_MFS0_UART_SSR_ORE                     *((volatile  uint8_t *)(0x427000ACUL))
#define bFM0P_MFS0_UART_SSR_ORE                   *((volatile  uint8_t *)(0x427000ACUL))
#define bFM_MFS0_UART_SSR_FRE                     *((volatile  uint8_t *)(0x427000B0UL))
#define bFM0P_MFS0_UART_SSR_FRE                   *((volatile  uint8_t *)(0x427000B0UL))
#define bFM_MFS0_UART_SSR_PE                      *((volatile  uint8_t *)(0x427000B4UL))
#define bFM0P_MFS0_UART_SSR_PE                    *((volatile  uint8_t *)(0x427000B4UL))
#define bFM_MFS0_UART_SSR_REC                     *((volatile  uint8_t *)(0x427000BCUL))
#define bFM0P_MFS0_UART_SSR_REC                   *((volatile  uint8_t *)(0x427000BCUL))


/******************************************************************************
 ** MFS Registers MFS1
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS1_CSIO_ESCR_CSFE                   *((volatile  uint8_t *)(0x42702094UL))
#define bFM0P_MFS1_CSIO_ESCR_CSFE                 *((volatile  uint8_t *)(0x42702094UL))
#define bFM_MFS1_CSIO_ESCR_L3                     *((volatile  uint8_t *)(0x42702098UL))
#define bFM0P_MFS1_CSIO_ESCR_L3                   *((volatile  uint8_t *)(0x42702098UL))
#define bFM_MFS1_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270209CUL))
#define bFM0P_MFS1_CSIO_ESCR_SOP                  *((volatile  uint8_t *)(0x4270209CUL))

#define bFM_MFS1_CSIO_FCR_FE1                     *((volatile  uint8_t *)(0x42702280UL))
#define bFM0P_MFS1_CSIO_FCR_FE1                   *((volatile  uint8_t *)(0x42702280UL))
#define bFM_MFS1_CSIO_FCR_FE2                     *((volatile  uint8_t *)(0x42702284UL))
#define bFM0P_MFS1_CSIO_FCR_FE2                   *((volatile  uint8_t *)(0x42702284UL))
#define bFM_MFS1_CSIO_FCR_FCL1                    *((volatile  uint8_t *)(0x42702288UL))
#define bFM0P_MFS1_CSIO_FCR_FCL1                  *((volatile  uint8_t *)(0x42702288UL))
#define bFM_MFS1_CSIO_FCR_FCL2                    *((volatile  uint8_t *)(0x4270228CUL))
#define bFM0P_MFS1_CSIO_FCR_FCL2                  *((volatile  uint8_t *)(0x4270228CUL))
#define bFM_MFS1_CSIO_FCR_FSET                    *((volatile  uint8_t *)(0x42702290UL))
#define bFM0P_MFS1_CSIO_FCR_FSET                  *((volatile  uint8_t *)(0x42702290UL))
#define bFM_MFS1_CSIO_FCR_FLD                     *((volatile  uint8_t *)(0x42702294UL))
#define bFM0P_MFS1_CSIO_FCR_FLD                   *((volatile  uint8_t *)(0x42702294UL))
#define bFM_MFS1_CSIO_FCR_FLST                    *((volatile  uint8_t *)(0x42702298UL))
#define bFM0P_MFS1_CSIO_FCR_FLST                  *((volatile  uint8_t *)(0x42702298UL))
#define bFM_MFS1_CSIO_FCR_FSEL                    *((volatile  uint8_t *)(0x427022A0UL))
#define bFM0P_MFS1_CSIO_FCR_FSEL                  *((volatile  uint8_t *)(0x427022A0UL))
#define bFM_MFS1_CSIO_FCR_FTIE                    *((volatile  uint8_t *)(0x427022A4UL))
#define bFM0P_MFS1_CSIO_FCR_FTIE                  *((volatile  uint8_t *)(0x427022A4UL))
#define bFM_MFS1_CSIO_FCR_FDRQ                    *((volatile  uint8_t *)(0x427022A8UL))
#define bFM0P_MFS1_CSIO_FCR_FDRQ                  *((volatile  uint8_t *)(0x427022A8UL))
#define bFM_MFS1_CSIO_FCR_FRIIE                   *((volatile  uint8_t *)(0x427022ACUL))
#define bFM0P_MFS1_CSIO_FCR_FRIIE                 *((volatile  uint8_t *)(0x427022ACUL))
#define bFM_MFS1_CSIO_FCR_FLSTE                   *((volatile  uint8_t *)(0x427022B0UL))
#define bFM0P_MFS1_CSIO_FCR_FLSTE                 *((volatile  uint8_t *)(0x427022B0UL))

#define bFM_MFS1_CSIO_SACSR_TMRE                  *((volatile  uint8_t *)(0x42702480UL))
#define bFM0P_MFS1_CSIO_SACSR_TMRE                *((volatile  uint8_t *)(0x42702480UL))
#define bFM_MFS1_CSIO_SACSR_TSYNE                 *((volatile  uint8_t *)(0x42702498UL))
#define bFM0P_MFS1_CSIO_SACSR_TSYNE               *((volatile  uint8_t *)(0x42702498UL))
#define bFM_MFS1_CSIO_SACSR_TINTE                 *((volatile  uint8_t *)(0x4270249CUL))
#define bFM0P_MFS1_CSIO_SACSR_TINTE               *((volatile  uint8_t *)(0x4270249CUL))
#define bFM_MFS1_CSIO_SACSR_TINT                  *((volatile  uint8_t *)(0x427024A0UL))
#define bFM0P_MFS1_CSIO_SACSR_TINT                *((volatile  uint8_t *)(0x427024A0UL))
#define bFM_MFS1_CSIO_SACSR_CSE                   *((volatile  uint8_t *)(0x427024ACUL))
#define bFM0P_MFS1_CSIO_SACSR_CSE                 *((volatile  uint8_t *)(0x427024ACUL))
#define bFM_MFS1_CSIO_SACSR_CSEIE                 *((volatile  uint8_t *)(0x427024B0UL))
#define bFM0P_MFS1_CSIO_SACSR_CSEIE               *((volatile  uint8_t *)(0x427024B0UL))
#define bFM_MFS1_CSIO_SACSR_TBEEN                 *((volatile  uint8_t *)(0x427024B4UL))
#define bFM0P_MFS1_CSIO_SACSR_TBEEN               *((volatile  uint8_t *)(0x427024B4UL))

#define bFM_MFS1_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x42702020UL))
#define bFM0P_MFS1_CSIO_SCR_TXE                   *((volatile  uint8_t *)(0x42702020UL))
#define bFM_MFS1_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x42702024UL))
#define bFM0P_MFS1_CSIO_SCR_RXE                   *((volatile  uint8_t *)(0x42702024UL))
#define bFM_MFS1_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x42702028UL))
#define bFM0P_MFS1_CSIO_SCR_TBIE                  *((volatile  uint8_t *)(0x42702028UL))
#define bFM_MFS1_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270202CUL))
#define bFM0P_MFS1_CSIO_SCR_TIE                   *((volatile  uint8_t *)(0x4270202CUL))
#define bFM_MFS1_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x42702030UL))
#define bFM0P_MFS1_CSIO_SCR_RIE                   *((volatile  uint8_t *)(0x42702030UL))
#define bFM_MFS1_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x42702034UL))
#define bFM0P_MFS1_CSIO_SCR_SPI                   *((volatile  uint8_t *)(0x42702034UL))
#define bFM_MFS1_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x42702038UL))
#define bFM0P_MFS1_CSIO_SCR_MS                    *((volatile  uint8_t *)(0x42702038UL))
#define bFM_MFS1_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270203CUL))
#define bFM0P_MFS1_CSIO_SCR_UPCL                  *((volatile  uint8_t *)(0x4270203CUL))

#define bFM_MFS1_CSIO_SCSCR_CSOE                  *((volatile  uint8_t *)(0x42702600UL))
#define bFM0P_MFS1_CSIO_SCSCR_CSOE                *((volatile  uint8_t *)(0x42702600UL))
#define bFM_MFS1_CSIO_SCSCR_CSEN0                 *((volatile  uint8_t *)(0x42702604UL))
#define bFM0P_MFS1_CSIO_SCSCR_CSEN0               *((volatile  uint8_t *)(0x42702604UL))
#define bFM_MFS1_CSIO_SCSCR_CSEN1                 *((volatile  uint8_t *)(0x42702608UL))
#define bFM0P_MFS1_CSIO_SCSCR_CSEN1               *((volatile  uint8_t *)(0x42702608UL))
#define bFM_MFS1_CSIO_SCSCR_CSEN2                 *((volatile  uint8_t *)(0x4270260CUL))
#define bFM0P_MFS1_CSIO_SCSCR_CSEN2               *((volatile  uint8_t *)(0x4270260CUL))
#define bFM_MFS1_CSIO_SCSCR_CSEN3                 *((volatile  uint8_t *)(0x42702610UL))
#define bFM0P_MFS1_CSIO_SCSCR_CSEN3               *((volatile  uint8_t *)(0x42702610UL))
#define bFM_MFS1_CSIO_SCSCR_CSLVL                 *((volatile  uint8_t *)(0x42702614UL))
#define bFM0P_MFS1_CSIO_SCSCR_CSLVL               *((volatile  uint8_t *)(0x42702614UL))
#define bFM_MFS1_CSIO_SCSCR_SCAM                  *((volatile  uint8_t *)(0x42702624UL))
#define bFM0P_MFS1_CSIO_SCSCR_SCAM                *((volatile  uint8_t *)(0x42702624UL))

#define bFM_MFS1_CSIO_SCSFR0_CS1BDS               *((volatile  uint8_t *)(0x42702690UL))
#define bFM0P_MFS1_CSIO_SCSFR0_CS1BDS             *((volatile  uint8_t *)(0x42702690UL))
#define bFM_MFS1_CSIO_SCSFR0_CS1SPI               *((volatile  uint8_t *)(0x42702694UL))
#define bFM0P_MFS1_CSIO_SCSFR0_CS1SPI             *((volatile  uint8_t *)(0x42702694UL))
#define bFM_MFS1_CSIO_SCSFR0_CS1SCINV             *((volatile  uint8_t *)(0x42702698UL))
#define bFM0P_MFS1_CSIO_SCSFR0_CS1SCINV           *((volatile  uint8_t *)(0x42702698UL))
#define bFM_MFS1_CSIO_SCSFR0_CS1CSLVL             *((volatile  uint8_t *)(0x4270269CUL))
#define bFM0P_MFS1_CSIO_SCSFR0_CS1CSLVL           *((volatile  uint8_t *)(0x4270269CUL))

#define bFM_MFS1_CSIO_SCSFR1_CS2BDS               *((volatile  uint8_t *)(0x427026B0UL))
#define bFM0P_MFS1_CSIO_SCSFR1_CS2BDS             *((volatile  uint8_t *)(0x427026B0UL))
#define bFM_MFS1_CSIO_SCSFR1_CS2SPI               *((volatile  uint8_t *)(0x427026B4UL))
#define bFM0P_MFS1_CSIO_SCSFR1_CS2SPI             *((volatile  uint8_t *)(0x427026B4UL))
#define bFM_MFS1_CSIO_SCSFR1_CS2SCINV             *((volatile  uint8_t *)(0x427026B8UL))
#define bFM0P_MFS1_CSIO_SCSFR1_CS2SCINV           *((volatile  uint8_t *)(0x427026B8UL))
#define bFM_MFS1_CSIO_SCSFR1_CS2CSLVL             *((volatile  uint8_t *)(0x427026BCUL))
#define bFM0P_MFS1_CSIO_SCSFR1_CS2CSLVL           *((volatile  uint8_t *)(0x427026BCUL))

#define bFM_MFS1_CSIO_SCSFR2_CS3BDS               *((volatile  uint8_t *)(0x42702710UL))
#define bFM0P_MFS1_CSIO_SCSFR2_CS3BDS             *((volatile  uint8_t *)(0x42702710UL))
#define bFM_MFS1_CSIO_SCSFR2_CS3SPI               *((volatile  uint8_t *)(0x42702714UL))
#define bFM0P_MFS1_CSIO_SCSFR2_CS3SPI             *((volatile  uint8_t *)(0x42702714UL))
#define bFM_MFS1_CSIO_SCSFR2_CS3SCINV             *((volatile  uint8_t *)(0x42702718UL))
#define bFM0P_MFS1_CSIO_SCSFR2_CS3SCINV           *((volatile  uint8_t *)(0x42702718UL))
#define bFM_MFS1_CSIO_SCSFR2_CS3CSLVL             *((volatile  uint8_t *)(0x4270271CUL))
#define bFM0P_MFS1_CSIO_SCSFR2_CS3CSLVL           *((volatile  uint8_t *)(0x4270271CUL))

#define bFM_MFS1_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x42702000UL))
#define bFM0P_MFS1_CSIO_SMR_SOE                   *((volatile  uint8_t *)(0x42702000UL))
#define bFM_MFS1_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x42702004UL))
#define bFM0P_MFS1_CSIO_SMR_SCKE                  *((volatile  uint8_t *)(0x42702004UL))
#define bFM_MFS1_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x42702008UL))
#define bFM0P_MFS1_CSIO_SMR_BDS                   *((volatile  uint8_t *)(0x42702008UL))
#define bFM_MFS1_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270200CUL))
#define bFM0P_MFS1_CSIO_SMR_SCINV                 *((volatile  uint8_t *)(0x4270200CUL))

#define bFM_MFS1_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x427020A0UL))
#define bFM0P_MFS1_CSIO_SSR_TBI                   *((volatile  uint8_t *)(0x427020A0UL))
#define bFM_MFS1_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x427020A4UL))
#define bFM0P_MFS1_CSIO_SSR_TDRE                  *((volatile  uint8_t *)(0x427020A4UL))
#define bFM_MFS1_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x427020A8UL))
#define bFM0P_MFS1_CSIO_SSR_RDRF                  *((volatile  uint8_t *)(0x427020A8UL))
#define bFM_MFS1_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x427020ACUL))
#define bFM0P_MFS1_CSIO_SSR_ORE                   *((volatile  uint8_t *)(0x427020ACUL))
#define bFM_MFS1_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x427020BCUL))
#define bFM0P_MFS1_CSIO_SSR_REC                   *((volatile  uint8_t *)(0x427020BCUL))

#define bFM_MFS1_I2C_EIBCR_BEC                    *((volatile  uint8_t *)(0x427023A0UL))
#define bFM0P_MFS1_I2C_EIBCR_BEC                  *((volatile  uint8_t *)(0x427023A0UL))
#define bFM_MFS1_I2C_EIBCR_SOCE                   *((volatile  uint8_t *)(0x427023A4UL))
#define bFM0P_MFS1_I2C_EIBCR_SOCE                 *((volatile  uint8_t *)(0x427023A4UL))
#define bFM_MFS1_I2C_EIBCR_SCLC                   *((volatile  uint8_t *)(0x427023A8UL))
#define bFM0P_MFS1_I2C_EIBCR_SCLC                 *((volatile  uint8_t *)(0x427023A8UL))
#define bFM_MFS1_I2C_EIBCR_SDAC                   *((volatile  uint8_t *)(0x427023ACUL))
#define bFM0P_MFS1_I2C_EIBCR_SDAC                 *((volatile  uint8_t *)(0x427023ACUL))
#define bFM_MFS1_I2C_EIBCR_SCLS                   *((volatile  uint8_t *)(0x427023B0UL))
#define bFM0P_MFS1_I2C_EIBCR_SCLS                 *((volatile  uint8_t *)(0x427023B0UL))
#define bFM_MFS1_I2C_EIBCR_SDAS                   *((volatile  uint8_t *)(0x427023B4UL))
#define bFM0P_MFS1_I2C_EIBCR_SDAS                 *((volatile  uint8_t *)(0x427023B4UL))

#define bFM_MFS1_I2C_FCR_FE1                      *((volatile  uint8_t *)(0x42702280UL))
#define bFM0P_MFS1_I2C_FCR_FE1                    *((volatile  uint8_t *)(0x42702280UL))
#define bFM_MFS1_I2C_FCR_FE2                      *((volatile  uint8_t *)(0x42702284UL))
#define bFM0P_MFS1_I2C_FCR_FE2                    *((volatile  uint8_t *)(0x42702284UL))
#define bFM_MFS1_I2C_FCR_FCL1                     *((volatile  uint8_t *)(0x42702288UL))
#define bFM0P_MFS1_I2C_FCR_FCL1                   *((volatile  uint8_t *)(0x42702288UL))
#define bFM_MFS1_I2C_FCR_FCL2                     *((volatile  uint8_t *)(0x4270228CUL))
#define bFM0P_MFS1_I2C_FCR_FCL2                   *((volatile  uint8_t *)(0x4270228CUL))
#define bFM_MFS1_I2C_FCR_FSET                     *((volatile  uint8_t *)(0x42702290UL))
#define bFM0P_MFS1_I2C_FCR_FSET                   *((volatile  uint8_t *)(0x42702290UL))
#define bFM_MFS1_I2C_FCR_FLD                      *((volatile  uint8_t *)(0x42702294UL))
#define bFM0P_MFS1_I2C_FCR_FLD                    *((volatile  uint8_t *)(0x42702294UL))
#define bFM_MFS1_I2C_FCR_FLST                     *((volatile  uint8_t *)(0x42702298UL))
#define bFM0P_MFS1_I2C_FCR_FLST                   *((volatile  uint8_t *)(0x42702298UL))
#define bFM_MFS1_I2C_FCR_FSEL                     *((volatile  uint8_t *)(0x427022A0UL))
#define bFM0P_MFS1_I2C_FCR_FSEL                   *((volatile  uint8_t *)(0x427022A0UL))
#define bFM_MFS1_I2C_FCR_FTIE                     *((volatile  uint8_t *)(0x427022A4UL))
#define bFM0P_MFS1_I2C_FCR_FTIE                   *((volatile  uint8_t *)(0x427022A4UL))
#define bFM_MFS1_I2C_FCR_FDRQ                     *((volatile  uint8_t *)(0x427022A8UL))
#define bFM0P_MFS1_I2C_FCR_FDRQ                   *((volatile  uint8_t *)(0x427022A8UL))
#define bFM_MFS1_I2C_FCR_FRIIE                    *((volatile  uint8_t *)(0x427022ACUL))
#define bFM0P_MFS1_I2C_FCR_FRIIE                  *((volatile  uint8_t *)(0x427022ACUL))
#define bFM_MFS1_I2C_FCR_FLSTE                    *((volatile  uint8_t *)(0x427022B0UL))
#define bFM0P_MFS1_I2C_FCR_FLSTE                  *((volatile  uint8_t *)(0x427022B0UL))

#define bFM_MFS1_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x42702020UL))
#define bFM0P_MFS1_I2C_IBCR_INT                   *((volatile  uint8_t *)(0x42702020UL))
#define bFM_MFS1_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x42702024UL))
#define bFM0P_MFS1_I2C_IBCR_BER                   *((volatile  uint8_t *)(0x42702024UL))
#define bFM_MFS1_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x42702028UL))
#define bFM0P_MFS1_I2C_IBCR_INTE                  *((volatile  uint8_t *)(0x42702028UL))
#define bFM_MFS1_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270202CUL))
#define bFM0P_MFS1_I2C_IBCR_CNDE                  *((volatile  uint8_t *)(0x4270202CUL))
#define bFM_MFS1_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x42702030UL))
#define bFM0P_MFS1_I2C_IBCR_WSEL                  *((volatile  uint8_t *)(0x42702030UL))
#define bFM_MFS1_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x42702034UL))
#define bFM0P_MFS1_I2C_IBCR_ACKE                  *((volatile  uint8_t *)(0x42702034UL))
#define bFM_MFS1_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x42702038UL))
#define bFM0P_MFS1_I2C_IBCR_ACT_SCC               *((volatile  uint8_t *)(0x42702038UL))
#define bFM_MFS1_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270203CUL))
#define bFM0P_MFS1_I2C_IBCR_MSS                   *((volatile  uint8_t *)(0x4270203CUL))

#define bFM_MFS1_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x42702080UL))
#define bFM0P_MFS1_I2C_IBSR_BB                    *((volatile  uint8_t *)(0x42702080UL))
#define bFM_MFS1_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x42702084UL))
#define bFM0P_MFS1_I2C_IBSR_SPC                   *((volatile  uint8_t *)(0x42702084UL))
#define bFM_MFS1_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x42702088UL))
#define bFM0P_MFS1_I2C_IBSR_RSC                   *((volatile  uint8_t *)(0x42702088UL))
#define bFM_MFS1_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270208CUL))
#define bFM0P_MFS1_I2C_IBSR_AL                    *((volatile  uint8_t *)(0x4270208CUL))
#define bFM_MFS1_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x42702090UL))
#define bFM0P_MFS1_I2C_IBSR_TRX                   *((volatile  uint8_t *)(0x42702090UL))
#define bFM_MFS1_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x42702094UL))
#define bFM0P_MFS1_I2C_IBSR_RSA                   *((volatile  uint8_t *)(0x42702094UL))
#define bFM_MFS1_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x42702098UL))
#define bFM0P_MFS1_I2C_IBSR_RACK                  *((volatile  uint8_t *)(0x42702098UL))
#define bFM_MFS1_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270209CUL))
#define bFM0P_MFS1_I2C_IBSR_FBT                   *((volatile  uint8_t *)(0x4270209CUL))

#define bFM_MFS1_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270221CUL))
#define bFM0P_MFS1_I2C_ISBA_SAEN                  *((volatile  uint8_t *)(0x4270221CUL))

#define bFM_MFS1_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270223CUL))
#define bFM0P_MFS1_I2C_ISMK_EN                    *((volatile  uint8_t *)(0x4270223CUL))

#define bFM_MFS1_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x42702008UL))
#define bFM0P_MFS1_I2C_SMR_TIE                    *((volatile  uint8_t *)(0x42702008UL))
#define bFM_MFS1_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270200CUL))
#define bFM0P_MFS1_I2C_SMR_RIE                    *((volatile  uint8_t *)(0x4270200CUL))

#define bFM_MFS1_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x427020A0UL))
#define bFM0P_MFS1_I2C_SSR_TBI                    *((volatile  uint8_t *)(0x427020A0UL))
#define bFM_MFS1_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x427020A4UL))
#define bFM0P_MFS1_I2C_SSR_TDRE                   *((volatile  uint8_t *)(0x427020A4UL))
#define bFM_MFS1_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x427020A8UL))
#define bFM0P_MFS1_I2C_SSR_RDRF                   *((volatile  uint8_t *)(0x427020A8UL))
#define bFM_MFS1_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x427020ACUL))
#define bFM0P_MFS1_I2C_SSR_ORE                    *((volatile  uint8_t *)(0x427020ACUL))
#define bFM_MFS1_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x427020B0UL))
#define bFM0P_MFS1_I2C_SSR_TBIE                   *((volatile  uint8_t *)(0x427020B0UL))
#define bFM_MFS1_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x427020B4UL))
#define bFM0P_MFS1_I2C_SSR_DMA                    *((volatile  uint8_t *)(0x427020B4UL))
#define bFM_MFS1_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x427020B8UL))
#define bFM0P_MFS1_I2C_SSR_TSET                   *((volatile  uint8_t *)(0x427020B8UL))
#define bFM_MFS1_I2C_SSR_REC                      *((volatile  uint8_t *)(0x427020BCUL))
#define bFM0P_MFS1_I2C_SSR_REC                    *((volatile  uint8_t *)(0x427020BCUL))

#define bFM_MFS1_LIN_BGR_EXT                      *((volatile  uint8_t *)(0x427021BCUL))
#define bFM0P_MFS1_LIN_BGR_EXT                    *((volatile  uint8_t *)(0x427021BCUL))

#define bFM_MFS1_LIN_ESCR_LBIE                    *((volatile  uint8_t *)(0x42702090UL))
#define bFM0P_MFS1_LIN_ESCR_LBIE                  *((volatile  uint8_t *)(0x42702090UL))
#define bFM_MFS1_LIN_ESCR_ESBL                    *((volatile  uint8_t *)(0x42702098UL))
#define bFM0P_MFS1_LIN_ESCR_ESBL                  *((volatile  uint8_t *)(0x42702098UL))

#define bFM_MFS1_LIN_FCR_FE1                      *((volatile  uint8_t *)(0x42702280UL))
#define bFM0P_MFS1_LIN_FCR_FE1                    *((volatile  uint8_t *)(0x42702280UL))
#define bFM_MFS1_LIN_FCR_FE2                      *((volatile  uint8_t *)(0x42702284UL))
#define bFM0P_MFS1_LIN_FCR_FE2                    *((volatile  uint8_t *)(0x42702284UL))
#define bFM_MFS1_LIN_FCR_FCL1                     *((volatile  uint8_t *)(0x42702288UL))
#define bFM0P_MFS1_LIN_FCR_FCL1                   *((volatile  uint8_t *)(0x42702288UL))
#define bFM_MFS1_LIN_FCR_FCL2                     *((volatile  uint8_t *)(0x4270228CUL))
#define bFM0P_MFS1_LIN_FCR_FCL2                   *((volatile  uint8_t *)(0x4270228CUL))
#define bFM_MFS1_LIN_FCR_FSET                     *((volatile  uint8_t *)(0x42702290UL))
#define bFM0P_MFS1_LIN_FCR_FSET                   *((volatile  uint8_t *)(0x42702290UL))
#define bFM_MFS1_LIN_FCR_FLD                      *((volatile  uint8_t *)(0x42702294UL))
#define bFM0P_MFS1_LIN_FCR_FLD                    *((volatile  uint8_t *)(0x42702294UL))
#define bFM_MFS1_LIN_FCR_FLST                     *((volatile  uint8_t *)(0x42702298UL))
#define bFM0P_MFS1_LIN_FCR_FLST                   *((volatile  uint8_t *)(0x42702298UL))
#define bFM_MFS1_LIN_FCR_FSEL                     *((volatile  uint8_t *)(0x427022A0UL))
#define bFM0P_MFS1_LIN_FCR_FSEL                   *((volatile  uint8_t *)(0x427022A0UL))
#define bFM_MFS1_LIN_FCR_FTIE                     *((volatile  uint8_t *)(0x427022A4UL))
#define bFM0P_MFS1_LIN_FCR_FTIE                   *((volatile  uint8_t *)(0x427022A4UL))
#define bFM_MFS1_LIN_FCR_FDRQ                     *((volatile  uint8_t *)(0x427022A8UL))
#define bFM0P_MFS1_LIN_FCR_FDRQ                   *((volatile  uint8_t *)(0x427022A8UL))
#define bFM_MFS1_LIN_FCR_FRIIE                    *((volatile  uint8_t *)(0x427022ACUL))
#define bFM0P_MFS1_LIN_FCR_FRIIE                  *((volatile  uint8_t *)(0x427022ACUL))
#define bFM_MFS1_LIN_FCR_FLSTE                    *((volatile  uint8_t *)(0x427022B0UL))
#define bFM0P_MFS1_LIN_FCR_FLSTE                  *((volatile  uint8_t *)(0x427022B0UL))

#define bFM_MFS1_LIN_SCR_TXE                      *((volatile  uint8_t *)(0x42702020UL))
#define bFM0P_MFS1_LIN_SCR_TXE                    *((volatile  uint8_t *)(0x42702020UL))
#define bFM_MFS1_LIN_SCR_RXE                      *((volatile  uint8_t *)(0x42702024UL))
#define bFM0P_MFS1_LIN_SCR_RXE                    *((volatile  uint8_t *)(0x42702024UL))
#define bFM_MFS1_LIN_SCR_TBIE                     *((volatile  uint8_t *)(0x42702028UL))
#define bFM0P_MFS1_LIN_SCR_TBIE                   *((volatile  uint8_t *)(0x42702028UL))
#define bFM_MFS1_LIN_SCR_TIE                      *((volatile  uint8_t *)(0x4270202CUL))
#define bFM0P_MFS1_LIN_SCR_TIE                    *((volatile  uint8_t *)(0x4270202CUL))
#define bFM_MFS1_LIN_SCR_RIE                      *((volatile  uint8_t *)(0x42702030UL))
#define bFM0P_MFS1_LIN_SCR_RIE                    *((volatile  uint8_t *)(0x42702030UL))
#define bFM_MFS1_LIN_SCR_LBR                      *((volatile  uint8_t *)(0x42702034UL))
#define bFM0P_MFS1_LIN_SCR_LBR                    *((volatile  uint8_t *)(0x42702034UL))
#define bFM_MFS1_LIN_SCR_MS                       *((volatile  uint8_t *)(0x42702038UL))
#define bFM0P_MFS1_LIN_SCR_MS                     *((volatile  uint8_t *)(0x42702038UL))
#define bFM_MFS1_LIN_SCR_UPCL                     *((volatile  uint8_t *)(0x4270203CUL))
#define bFM0P_MFS1_LIN_SCR_UPCL                   *((volatile  uint8_t *)(0x4270203CUL))

#define bFM_MFS1_LIN_SMR_SOE                      *((volatile  uint8_t *)(0x42702000UL))
#define bFM0P_MFS1_LIN_SMR_SOE                    *((volatile  uint8_t *)(0x42702000UL))
#define bFM_MFS1_LIN_SMR_SBL                      *((volatile  uint8_t *)(0x4270200CUL))
#define bFM0P_MFS1_LIN_SMR_SBL                    *((volatile  uint8_t *)(0x4270200CUL))

#define bFM_MFS1_LIN_SSR_TBI                      *((volatile  uint8_t *)(0x427020A0UL))
#define bFM0P_MFS1_LIN_SSR_TBI                    *((volatile  uint8_t *)(0x427020A0UL))
#define bFM_MFS1_LIN_SSR_TDRE                     *((volatile  uint8_t *)(0x427020A4UL))
#define bFM0P_MFS1_LIN_SSR_TDRE                   *((volatile  uint8_t *)(0x427020A4UL))
#define bFM_MFS1_LIN_SSR_RDRF                     *((volatile  uint8_t *)(0x427020A8UL))
#define bFM0P_MFS1_LIN_SSR_RDRF                   *((volatile  uint8_t *)(0x427020A8UL))
#define bFM_MFS1_LIN_SSR_ORE                      *((volatile  uint8_t *)(0x427020ACUL))
#define bFM0P_MFS1_LIN_SSR_ORE                    *((volatile  uint8_t *)(0x427020ACUL))
#define bFM_MFS1_LIN_SSR_FRE                      *((volatile  uint8_t *)(0x427020B0UL))
#define bFM0P_MFS1_LIN_SSR_FRE                    *((volatile  uint8_t *)(0x427020B0UL))
#define bFM_MFS1_LIN_SSR_LBD                      *((volatile  uint8_t *)(0x427020B4UL))
#define bFM0P_MFS1_LIN_SSR_LBD                    *((volatile  uint8_t *)(0x427020B4UL))
#define bFM_MFS1_LIN_SSR_REC                      *((volatile  uint8_t *)(0x427020BCUL))
#define bFM0P_MFS1_LIN_SSR_REC                    *((volatile  uint8_t *)(0x427020BCUL))

#define bFM_MFS1_UART_BGR_EXT                     *((volatile  uint8_t *)(0x427021BCUL))
#define bFM0P_MFS1_UART_BGR_EXT                   *((volatile  uint8_t *)(0x427021BCUL))

#define bFM_MFS1_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270208CUL))
#define bFM0P_MFS1_UART_ESCR_P                    *((volatile  uint8_t *)(0x4270208CUL))
#define bFM_MFS1_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x42702090UL))
#define bFM0P_MFS1_UART_ESCR_PEN                  *((volatile  uint8_t *)(0x42702090UL))
#define bFM_MFS1_UART_ESCR_INV                    *((volatile  uint8_t *)(0x42702094UL))
#define bFM0P_MFS1_UART_ESCR_INV                  *((volatile  uint8_t *)(0x42702094UL))
#define bFM_MFS1_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x42702098UL))
#define bFM0P_MFS1_UART_ESCR_ESBL                 *((volatile  uint8_t *)(0x42702098UL))
#define bFM_MFS1_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270209CUL))
#define bFM0P_MFS1_UART_ESCR_FLWEN                *((volatile  uint8_t *)(0x4270209CUL))

#define bFM_MFS1_UART_FCR_FE1                     *((volatile  uint8_t *)(0x42702280UL))
#define bFM0P_MFS1_UART_FCR_FE1                   *((volatile  uint8_t *)(0x42702280UL))
#define bFM_MFS1_UART_FCR_FE2                     *((volatile  uint8_t *)(0x42702284UL))
#define bFM0P_MFS1_UART_FCR_FE2                   *((volatile  uint8_t *)(0x42702284UL))
#define bFM_MFS1_UART_FCR_FCL1                    *((volatile  uint8_t *)(0x42702288UL))
#define bFM0P_MFS1_UART_FCR_FCL1                  *((volatile  uint8_t *)(0x42702288UL))
#define bFM_MFS1_UART_FCR_FCL2                    *((volatile  uint8_t *)(0x4270228CUL))
#define bFM0P_MFS1_UART_FCR_FCL2                  *((volatile  uint8_t *)(0x4270228CUL))
#define bFM_MFS1_UART_FCR_FSET                    *((volatile  uint8_t *)(0x42702290UL))
#define bFM0P_MFS1_UART_FCR_FSET                  *((volatile  uint8_t *)(0x42702290UL))
#define bFM_MFS1_UART_FCR_FLD                     *((volatile  uint8_t *)(0x42702294UL))
#define bFM0P_MFS1_UART_FCR_FLD                   *((volatile  uint8_t *)(0x42702294UL))
#define bFM_MFS1_UART_FCR_FLST                    *((volatile  uint8_t *)(0x42702298UL))
#define bFM0P_MFS1_UART_FCR_FLST                  *((volatile  uint8_t *)(0x42702298UL))
#define bFM_MFS1_UART_FCR_FSEL                    *((volatile  uint8_t *)(0x427022A0UL))
#define bFM0P_MFS1_UART_FCR_FSEL                  *((volatile  uint8_t *)(0x427022A0UL))
#define bFM_MFS1_UART_FCR_FTIE                    *((volatile  uint8_t *)(0x427022A4UL))
#define bFM0P_MFS1_UART_FCR_FTIE                  *((volatile  uint8_t *)(0x427022A4UL))
#define bFM_MFS1_UART_FCR_FDRQ                    *((volatile  uint8_t *)(0x427022A8UL))
#define bFM0P_MFS1_UART_FCR_FDRQ                  *((volatile  uint8_t *)(0x427022A8UL))
#define bFM_MFS1_UART_FCR_FRIIE                   *((volatile  uint8_t *)(0x427022ACUL))
#define bFM0P_MFS1_UART_FCR_FRIIE                 *((volatile  uint8_t *)(0x427022ACUL))
#define bFM_MFS1_UART_FCR_FLSTE                   *((volatile  uint8_t *)(0x427022B0UL))
#define bFM0P_MFS1_UART_FCR_FLSTE                 *((volatile  uint8_t *)(0x427022B0UL))

#define bFM_MFS1_UART_SCR_TXE                     *((volatile  uint8_t *)(0x42702020UL))
#define bFM0P_MFS1_UART_SCR_TXE                   *((volatile  uint8_t *)(0x42702020UL))
#define bFM_MFS1_UART_SCR_RXE                     *((volatile  uint8_t *)(0x42702024UL))
#define bFM0P_MFS1_UART_SCR_RXE                   *((volatile  uint8_t *)(0x42702024UL))
#define bFM_MFS1_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x42702028UL))
#define bFM0P_MFS1_UART_SCR_TBIE                  *((volatile  uint8_t *)(0x42702028UL))
#define bFM_MFS1_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270202CUL))
#define bFM0P_MFS1_UART_SCR_TIE                   *((volatile  uint8_t *)(0x4270202CUL))
#define bFM_MFS1_UART_SCR_RIE                     *((volatile  uint8_t *)(0x42702030UL))
#define bFM0P_MFS1_UART_SCR_RIE                   *((volatile  uint8_t *)(0x42702030UL))
#define bFM_MFS1_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270203CUL))
#define bFM0P_MFS1_UART_SCR_UPCL                  *((volatile  uint8_t *)(0x4270203CUL))

#define bFM_MFS1_UART_SMR_SOE                     *((volatile  uint8_t *)(0x42702000UL))
#define bFM0P_MFS1_UART_SMR_SOE                   *((volatile  uint8_t *)(0x42702000UL))
#define bFM_MFS1_UART_SMR_BDS                     *((volatile  uint8_t *)(0x42702008UL))
#define bFM0P_MFS1_UART_SMR_BDS                   *((volatile  uint8_t *)(0x42702008UL))
#define bFM_MFS1_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270200CUL))
#define bFM0P_MFS1_UART_SMR_SBL                   *((volatile  uint8_t *)(0x4270200CUL))

#define bFM_MFS1_UART_SSR_TBI                     *((volatile  uint8_t *)(0x427020A0UL))
#define bFM0P_MFS1_UART_SSR_TBI                   *((volatile  uint8_t *)(0x427020A0UL))
#define bFM_MFS1_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x427020A4UL))
#define bFM0P_MFS1_UART_SSR_TDRE                  *((volatile  uint8_t *)(0x427020A4UL))
#define bFM_MFS1_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x427020A8UL))
#define bFM0P_MFS1_UART_SSR_RDRF                  *((volatile  uint8_t *)(0x427020A8UL))
#define bFM_MFS1_UART_SSR_ORE                     *((volatile  uint8_t *)(0x427020ACUL))
#define bFM0P_MFS1_UART_SSR_ORE                   *((volatile  uint8_t *)(0x427020ACUL))
#define bFM_MFS1_UART_SSR_FRE                     *((volatile  uint8_t *)(0x427020B0UL))
#define bFM0P_MFS1_UART_SSR_FRE                   *((volatile  uint8_t *)(0x427020B0UL))
#define bFM_MFS1_UART_SSR_PE                      *((volatile  uint8_t *)(0x427020B4UL))
#define bFM0P_MFS1_UART_SSR_PE                    *((volatile  uint8_t *)(0x427020B4UL))
#define bFM_MFS1_UART_SSR_REC                     *((volatile  uint8_t *)(0x427020BCUL))
#define bFM0P_MFS1_UART_SSR_REC                   *((volatile  uint8_t *)(0x427020BCUL))


/******************************************************************************
 ** MFS Registers MFS3
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS3_CSIO_ESCR_CSFE                   *((volatile  uint8_t *)(0x42706094UL))
#define bFM0P_MFS3_CSIO_ESCR_CSFE                 *((volatile  uint8_t *)(0x42706094UL))
#define bFM_MFS3_CSIO_ESCR_L3                     *((volatile  uint8_t *)(0x42706098UL))
#define bFM0P_MFS3_CSIO_ESCR_L3                   *((volatile  uint8_t *)(0x42706098UL))
#define bFM_MFS3_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270609CUL))
#define bFM0P_MFS3_CSIO_ESCR_SOP                  *((volatile  uint8_t *)(0x4270609CUL))

#define bFM_MFS3_CSIO_FCR_FE1                     *((volatile  uint8_t *)(0x42706280UL))
#define bFM0P_MFS3_CSIO_FCR_FE1                   *((volatile  uint8_t *)(0x42706280UL))
#define bFM_MFS3_CSIO_FCR_FE2                     *((volatile  uint8_t *)(0x42706284UL))
#define bFM0P_MFS3_CSIO_FCR_FE2                   *((volatile  uint8_t *)(0x42706284UL))
#define bFM_MFS3_CSIO_FCR_FCL1                    *((volatile  uint8_t *)(0x42706288UL))
#define bFM0P_MFS3_CSIO_FCR_FCL1                  *((volatile  uint8_t *)(0x42706288UL))
#define bFM_MFS3_CSIO_FCR_FCL2                    *((volatile  uint8_t *)(0x4270628CUL))
#define bFM0P_MFS3_CSIO_FCR_FCL2                  *((volatile  uint8_t *)(0x4270628CUL))
#define bFM_MFS3_CSIO_FCR_FSET                    *((volatile  uint8_t *)(0x42706290UL))
#define bFM0P_MFS3_CSIO_FCR_FSET                  *((volatile  uint8_t *)(0x42706290UL))
#define bFM_MFS3_CSIO_FCR_FLD                     *((volatile  uint8_t *)(0x42706294UL))
#define bFM0P_MFS3_CSIO_FCR_FLD                   *((volatile  uint8_t *)(0x42706294UL))
#define bFM_MFS3_CSIO_FCR_FLST                    *((volatile  uint8_t *)(0x42706298UL))
#define bFM0P_MFS3_CSIO_FCR_FLST                  *((volatile  uint8_t *)(0x42706298UL))
#define bFM_MFS3_CSIO_FCR_FSEL                    *((volatile  uint8_t *)(0x427062A0UL))
#define bFM0P_MFS3_CSIO_FCR_FSEL                  *((volatile  uint8_t *)(0x427062A0UL))
#define bFM_MFS3_CSIO_FCR_FTIE                    *((volatile  uint8_t *)(0x427062A4UL))
#define bFM0P_MFS3_CSIO_FCR_FTIE                  *((volatile  uint8_t *)(0x427062A4UL))
#define bFM_MFS3_CSIO_FCR_FDRQ                    *((volatile  uint8_t *)(0x427062A8UL))
#define bFM0P_MFS3_CSIO_FCR_FDRQ                  *((volatile  uint8_t *)(0x427062A8UL))
#define bFM_MFS3_CSIO_FCR_FRIIE                   *((volatile  uint8_t *)(0x427062ACUL))
#define bFM0P_MFS3_CSIO_FCR_FRIIE                 *((volatile  uint8_t *)(0x427062ACUL))
#define bFM_MFS3_CSIO_FCR_FLSTE                   *((volatile  uint8_t *)(0x427062B0UL))
#define bFM0P_MFS3_CSIO_FCR_FLSTE                 *((volatile  uint8_t *)(0x427062B0UL))

#define bFM_MFS3_CSIO_SACSR_TMRE                  *((volatile  uint8_t *)(0x42706480UL))
#define bFM0P_MFS3_CSIO_SACSR_TMRE                *((volatile  uint8_t *)(0x42706480UL))
#define bFM_MFS3_CSIO_SACSR_TSYNE                 *((volatile  uint8_t *)(0x42706498UL))
#define bFM0P_MFS3_CSIO_SACSR_TSYNE               *((volatile  uint8_t *)(0x42706498UL))
#define bFM_MFS3_CSIO_SACSR_TINTE                 *((volatile  uint8_t *)(0x4270649CUL))
#define bFM0P_MFS3_CSIO_SACSR_TINTE               *((volatile  uint8_t *)(0x4270649CUL))
#define bFM_MFS3_CSIO_SACSR_TINT                  *((volatile  uint8_t *)(0x427064A0UL))
#define bFM0P_MFS3_CSIO_SACSR_TINT                *((volatile  uint8_t *)(0x427064A0UL))
#define bFM_MFS3_CSIO_SACSR_CSE                   *((volatile  uint8_t *)(0x427064ACUL))
#define bFM0P_MFS3_CSIO_SACSR_CSE                 *((volatile  uint8_t *)(0x427064ACUL))
#define bFM_MFS3_CSIO_SACSR_CSEIE                 *((volatile  uint8_t *)(0x427064B0UL))
#define bFM0P_MFS3_CSIO_SACSR_CSEIE               *((volatile  uint8_t *)(0x427064B0UL))
#define bFM_MFS3_CSIO_SACSR_TBEEN                 *((volatile  uint8_t *)(0x427064B4UL))
#define bFM0P_MFS3_CSIO_SACSR_TBEEN               *((volatile  uint8_t *)(0x427064B4UL))

#define bFM_MFS3_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x42706020UL))
#define bFM0P_MFS3_CSIO_SCR_TXE                   *((volatile  uint8_t *)(0x42706020UL))
#define bFM_MFS3_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x42706024UL))
#define bFM0P_MFS3_CSIO_SCR_RXE                   *((volatile  uint8_t *)(0x42706024UL))
#define bFM_MFS3_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x42706028UL))
#define bFM0P_MFS3_CSIO_SCR_TBIE                  *((volatile  uint8_t *)(0x42706028UL))
#define bFM_MFS3_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270602CUL))
#define bFM0P_MFS3_CSIO_SCR_TIE                   *((volatile  uint8_t *)(0x4270602CUL))
#define bFM_MFS3_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x42706030UL))
#define bFM0P_MFS3_CSIO_SCR_RIE                   *((volatile  uint8_t *)(0x42706030UL))
#define bFM_MFS3_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x42706034UL))
#define bFM0P_MFS3_CSIO_SCR_SPI                   *((volatile  uint8_t *)(0x42706034UL))
#define bFM_MFS3_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x42706038UL))
#define bFM0P_MFS3_CSIO_SCR_MS                    *((volatile  uint8_t *)(0x42706038UL))
#define bFM_MFS3_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270603CUL))
#define bFM0P_MFS3_CSIO_SCR_UPCL                  *((volatile  uint8_t *)(0x4270603CUL))

#define bFM_MFS3_CSIO_SCSCR_CSOE                  *((volatile  uint8_t *)(0x42706600UL))
#define bFM0P_MFS3_CSIO_SCSCR_CSOE                *((volatile  uint8_t *)(0x42706600UL))
#define bFM_MFS3_CSIO_SCSCR_CSEN0                 *((volatile  uint8_t *)(0x42706604UL))
#define bFM0P_MFS3_CSIO_SCSCR_CSEN0               *((volatile  uint8_t *)(0x42706604UL))
#define bFM_MFS3_CSIO_SCSCR_CSEN1                 *((volatile  uint8_t *)(0x42706608UL))
#define bFM0P_MFS3_CSIO_SCSCR_CSEN1               *((volatile  uint8_t *)(0x42706608UL))
#define bFM_MFS3_CSIO_SCSCR_CSEN2                 *((volatile  uint8_t *)(0x4270660CUL))
#define bFM0P_MFS3_CSIO_SCSCR_CSEN2               *((volatile  uint8_t *)(0x4270660CUL))
#define bFM_MFS3_CSIO_SCSCR_CSEN3                 *((volatile  uint8_t *)(0x42706610UL))
#define bFM0P_MFS3_CSIO_SCSCR_CSEN3               *((volatile  uint8_t *)(0x42706610UL))
#define bFM_MFS3_CSIO_SCSCR_CSLVL                 *((volatile  uint8_t *)(0x42706614UL))
#define bFM0P_MFS3_CSIO_SCSCR_CSLVL               *((volatile  uint8_t *)(0x42706614UL))
#define bFM_MFS3_CSIO_SCSCR_SCAM                  *((volatile  uint8_t *)(0x42706624UL))
#define bFM0P_MFS3_CSIO_SCSCR_SCAM                *((volatile  uint8_t *)(0x42706624UL))

#define bFM_MFS3_CSIO_SCSFR0_CS1BDS               *((volatile  uint8_t *)(0x42706690UL))
#define bFM0P_MFS3_CSIO_SCSFR0_CS1BDS             *((volatile  uint8_t *)(0x42706690UL))
#define bFM_MFS3_CSIO_SCSFR0_CS1SPI               *((volatile  uint8_t *)(0x42706694UL))
#define bFM0P_MFS3_CSIO_SCSFR0_CS1SPI             *((volatile  uint8_t *)(0x42706694UL))
#define bFM_MFS3_CSIO_SCSFR0_CS1SCINV             *((volatile  uint8_t *)(0x42706698UL))
#define bFM0P_MFS3_CSIO_SCSFR0_CS1SCINV           *((volatile  uint8_t *)(0x42706698UL))
#define bFM_MFS3_CSIO_SCSFR0_CS1CSLVL             *((volatile  uint8_t *)(0x4270669CUL))
#define bFM0P_MFS3_CSIO_SCSFR0_CS1CSLVL           *((volatile  uint8_t *)(0x4270669CUL))

#define bFM_MFS3_CSIO_SCSFR1_CS2BDS               *((volatile  uint8_t *)(0x427066B0UL))
#define bFM0P_MFS3_CSIO_SCSFR1_CS2BDS             *((volatile  uint8_t *)(0x427066B0UL))
#define bFM_MFS3_CSIO_SCSFR1_CS2SPI               *((volatile  uint8_t *)(0x427066B4UL))
#define bFM0P_MFS3_CSIO_SCSFR1_CS2SPI             *((volatile  uint8_t *)(0x427066B4UL))
#define bFM_MFS3_CSIO_SCSFR1_CS2SCINV             *((volatile  uint8_t *)(0x427066B8UL))
#define bFM0P_MFS3_CSIO_SCSFR1_CS2SCINV           *((volatile  uint8_t *)(0x427066B8UL))
#define bFM_MFS3_CSIO_SCSFR1_CS2CSLVL             *((volatile  uint8_t *)(0x427066BCUL))
#define bFM0P_MFS3_CSIO_SCSFR1_CS2CSLVL           *((volatile  uint8_t *)(0x427066BCUL))

#define bFM_MFS3_CSIO_SCSFR2_CS3BDS               *((volatile  uint8_t *)(0x42706710UL))
#define bFM0P_MFS3_CSIO_SCSFR2_CS3BDS             *((volatile  uint8_t *)(0x42706710UL))
#define bFM_MFS3_CSIO_SCSFR2_CS3SPI               *((volatile  uint8_t *)(0x42706714UL))
#define bFM0P_MFS3_CSIO_SCSFR2_CS3SPI             *((volatile  uint8_t *)(0x42706714UL))
#define bFM_MFS3_CSIO_SCSFR2_CS3SCINV             *((volatile  uint8_t *)(0x42706718UL))
#define bFM0P_MFS3_CSIO_SCSFR2_CS3SCINV           *((volatile  uint8_t *)(0x42706718UL))
#define bFM_MFS3_CSIO_SCSFR2_CS3CSLVL             *((volatile  uint8_t *)(0x4270671CUL))
#define bFM0P_MFS3_CSIO_SCSFR2_CS3CSLVL           *((volatile  uint8_t *)(0x4270671CUL))

#define bFM_MFS3_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x42706000UL))
#define bFM0P_MFS3_CSIO_SMR_SOE                   *((volatile  uint8_t *)(0x42706000UL))
#define bFM_MFS3_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x42706004UL))
#define bFM0P_MFS3_CSIO_SMR_SCKE                  *((volatile  uint8_t *)(0x42706004UL))
#define bFM_MFS3_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x42706008UL))
#define bFM0P_MFS3_CSIO_SMR_BDS                   *((volatile  uint8_t *)(0x42706008UL))
#define bFM_MFS3_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270600CUL))
#define bFM0P_MFS3_CSIO_SMR_SCINV                 *((volatile  uint8_t *)(0x4270600CUL))

#define bFM_MFS3_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x427060A0UL))
#define bFM0P_MFS3_CSIO_SSR_TBI                   *((volatile  uint8_t *)(0x427060A0UL))
#define bFM_MFS3_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x427060A4UL))
#define bFM0P_MFS3_CSIO_SSR_TDRE                  *((volatile  uint8_t *)(0x427060A4UL))
#define bFM_MFS3_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x427060A8UL))
#define bFM0P_MFS3_CSIO_SSR_RDRF                  *((volatile  uint8_t *)(0x427060A8UL))
#define bFM_MFS3_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x427060ACUL))
#define bFM0P_MFS3_CSIO_SSR_ORE                   *((volatile  uint8_t *)(0x427060ACUL))
#define bFM_MFS3_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x427060BCUL))
#define bFM0P_MFS3_CSIO_SSR_REC                   *((volatile  uint8_t *)(0x427060BCUL))

#define bFM_MFS3_I2C_EIBCR_BEC                    *((volatile  uint8_t *)(0x427063A0UL))
#define bFM0P_MFS3_I2C_EIBCR_BEC                  *((volatile  uint8_t *)(0x427063A0UL))
#define bFM_MFS3_I2C_EIBCR_SOCE                   *((volatile  uint8_t *)(0x427063A4UL))
#define bFM0P_MFS3_I2C_EIBCR_SOCE                 *((volatile  uint8_t *)(0x427063A4UL))
#define bFM_MFS3_I2C_EIBCR_SCLC                   *((volatile  uint8_t *)(0x427063A8UL))
#define bFM0P_MFS3_I2C_EIBCR_SCLC                 *((volatile  uint8_t *)(0x427063A8UL))
#define bFM_MFS3_I2C_EIBCR_SDAC                   *((volatile  uint8_t *)(0x427063ACUL))
#define bFM0P_MFS3_I2C_EIBCR_SDAC                 *((volatile  uint8_t *)(0x427063ACUL))
#define bFM_MFS3_I2C_EIBCR_SCLS                   *((volatile  uint8_t *)(0x427063B0UL))
#define bFM0P_MFS3_I2C_EIBCR_SCLS                 *((volatile  uint8_t *)(0x427063B0UL))
#define bFM_MFS3_I2C_EIBCR_SDAS                   *((volatile  uint8_t *)(0x427063B4UL))
#define bFM0P_MFS3_I2C_EIBCR_SDAS                 *((volatile  uint8_t *)(0x427063B4UL))

#define bFM_MFS3_I2C_FCR_FE1                      *((volatile  uint8_t *)(0x42706280UL))
#define bFM0P_MFS3_I2C_FCR_FE1                    *((volatile  uint8_t *)(0x42706280UL))
#define bFM_MFS3_I2C_FCR_FE2                      *((volatile  uint8_t *)(0x42706284UL))
#define bFM0P_MFS3_I2C_FCR_FE2                    *((volatile  uint8_t *)(0x42706284UL))
#define bFM_MFS3_I2C_FCR_FCL1                     *((volatile  uint8_t *)(0x42706288UL))
#define bFM0P_MFS3_I2C_FCR_FCL1                   *((volatile  uint8_t *)(0x42706288UL))
#define bFM_MFS3_I2C_FCR_FCL2                     *((volatile  uint8_t *)(0x4270628CUL))
#define bFM0P_MFS3_I2C_FCR_FCL2                   *((volatile  uint8_t *)(0x4270628CUL))
#define bFM_MFS3_I2C_FCR_FSET                     *((volatile  uint8_t *)(0x42706290UL))
#define bFM0P_MFS3_I2C_FCR_FSET                   *((volatile  uint8_t *)(0x42706290UL))
#define bFM_MFS3_I2C_FCR_FLD                      *((volatile  uint8_t *)(0x42706294UL))
#define bFM0P_MFS3_I2C_FCR_FLD                    *((volatile  uint8_t *)(0x42706294UL))
#define bFM_MFS3_I2C_FCR_FLST                     *((volatile  uint8_t *)(0x42706298UL))
#define bFM0P_MFS3_I2C_FCR_FLST                   *((volatile  uint8_t *)(0x42706298UL))
#define bFM_MFS3_I2C_FCR_FSEL                     *((volatile  uint8_t *)(0x427062A0UL))
#define bFM0P_MFS3_I2C_FCR_FSEL                   *((volatile  uint8_t *)(0x427062A0UL))
#define bFM_MFS3_I2C_FCR_FTIE                     *((volatile  uint8_t *)(0x427062A4UL))
#define bFM0P_MFS3_I2C_FCR_FTIE                   *((volatile  uint8_t *)(0x427062A4UL))
#define bFM_MFS3_I2C_FCR_FDRQ                     *((volatile  uint8_t *)(0x427062A8UL))
#define bFM0P_MFS3_I2C_FCR_FDRQ                   *((volatile  uint8_t *)(0x427062A8UL))
#define bFM_MFS3_I2C_FCR_FRIIE                    *((volatile  uint8_t *)(0x427062ACUL))
#define bFM0P_MFS3_I2C_FCR_FRIIE                  *((volatile  uint8_t *)(0x427062ACUL))
#define bFM_MFS3_I2C_FCR_FLSTE                    *((volatile  uint8_t *)(0x427062B0UL))
#define bFM0P_MFS3_I2C_FCR_FLSTE                  *((volatile  uint8_t *)(0x427062B0UL))

#define bFM_MFS3_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x42706020UL))
#define bFM0P_MFS3_I2C_IBCR_INT                   *((volatile  uint8_t *)(0x42706020UL))
#define bFM_MFS3_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x42706024UL))
#define bFM0P_MFS3_I2C_IBCR_BER                   *((volatile  uint8_t *)(0x42706024UL))
#define bFM_MFS3_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x42706028UL))
#define bFM0P_MFS3_I2C_IBCR_INTE                  *((volatile  uint8_t *)(0x42706028UL))
#define bFM_MFS3_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270602CUL))
#define bFM0P_MFS3_I2C_IBCR_CNDE                  *((volatile  uint8_t *)(0x4270602CUL))
#define bFM_MFS3_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x42706030UL))
#define bFM0P_MFS3_I2C_IBCR_WSEL                  *((volatile  uint8_t *)(0x42706030UL))
#define bFM_MFS3_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x42706034UL))
#define bFM0P_MFS3_I2C_IBCR_ACKE                  *((volatile  uint8_t *)(0x42706034UL))
#define bFM_MFS3_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x42706038UL))
#define bFM0P_MFS3_I2C_IBCR_ACT_SCC               *((volatile  uint8_t *)(0x42706038UL))
#define bFM_MFS3_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270603CUL))
#define bFM0P_MFS3_I2C_IBCR_MSS                   *((volatile  uint8_t *)(0x4270603CUL))

#define bFM_MFS3_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x42706080UL))
#define bFM0P_MFS3_I2C_IBSR_BB                    *((volatile  uint8_t *)(0x42706080UL))
#define bFM_MFS3_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x42706084UL))
#define bFM0P_MFS3_I2C_IBSR_SPC                   *((volatile  uint8_t *)(0x42706084UL))
#define bFM_MFS3_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x42706088UL))
#define bFM0P_MFS3_I2C_IBSR_RSC                   *((volatile  uint8_t *)(0x42706088UL))
#define bFM_MFS3_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270608CUL))
#define bFM0P_MFS3_I2C_IBSR_AL                    *((volatile  uint8_t *)(0x4270608CUL))
#define bFM_MFS3_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x42706090UL))
#define bFM0P_MFS3_I2C_IBSR_TRX                   *((volatile  uint8_t *)(0x42706090UL))
#define bFM_MFS3_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x42706094UL))
#define bFM0P_MFS3_I2C_IBSR_RSA                   *((volatile  uint8_t *)(0x42706094UL))
#define bFM_MFS3_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x42706098UL))
#define bFM0P_MFS3_I2C_IBSR_RACK                  *((volatile  uint8_t *)(0x42706098UL))
#define bFM_MFS3_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270609CUL))
#define bFM0P_MFS3_I2C_IBSR_FBT                   *((volatile  uint8_t *)(0x4270609CUL))

#define bFM_MFS3_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270621CUL))
#define bFM0P_MFS3_I2C_ISBA_SAEN                  *((volatile  uint8_t *)(0x4270621CUL))

#define bFM_MFS3_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270623CUL))
#define bFM0P_MFS3_I2C_ISMK_EN                    *((volatile  uint8_t *)(0x4270623CUL))

#define bFM_MFS3_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x42706008UL))
#define bFM0P_MFS3_I2C_SMR_TIE                    *((volatile  uint8_t *)(0x42706008UL))
#define bFM_MFS3_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270600CUL))
#define bFM0P_MFS3_I2C_SMR_RIE                    *((volatile  uint8_t *)(0x4270600CUL))

#define bFM_MFS3_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x427060A0UL))
#define bFM0P_MFS3_I2C_SSR_TBI                    *((volatile  uint8_t *)(0x427060A0UL))
#define bFM_MFS3_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x427060A4UL))
#define bFM0P_MFS3_I2C_SSR_TDRE                   *((volatile  uint8_t *)(0x427060A4UL))
#define bFM_MFS3_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x427060A8UL))
#define bFM0P_MFS3_I2C_SSR_RDRF                   *((volatile  uint8_t *)(0x427060A8UL))
#define bFM_MFS3_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x427060ACUL))
#define bFM0P_MFS3_I2C_SSR_ORE                    *((volatile  uint8_t *)(0x427060ACUL))
#define bFM_MFS3_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x427060B0UL))
#define bFM0P_MFS3_I2C_SSR_TBIE                   *((volatile  uint8_t *)(0x427060B0UL))
#define bFM_MFS3_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x427060B4UL))
#define bFM0P_MFS3_I2C_SSR_DMA                    *((volatile  uint8_t *)(0x427060B4UL))
#define bFM_MFS3_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x427060B8UL))
#define bFM0P_MFS3_I2C_SSR_TSET                   *((volatile  uint8_t *)(0x427060B8UL))
#define bFM_MFS3_I2C_SSR_REC                      *((volatile  uint8_t *)(0x427060BCUL))
#define bFM0P_MFS3_I2C_SSR_REC                    *((volatile  uint8_t *)(0x427060BCUL))

#define bFM_MFS3_LIN_BGR_EXT                      *((volatile  uint8_t *)(0x427061BCUL))
#define bFM0P_MFS3_LIN_BGR_EXT                    *((volatile  uint8_t *)(0x427061BCUL))

#define bFM_MFS3_LIN_ESCR_LBIE                    *((volatile  uint8_t *)(0x42706090UL))
#define bFM0P_MFS3_LIN_ESCR_LBIE                  *((volatile  uint8_t *)(0x42706090UL))
#define bFM_MFS3_LIN_ESCR_ESBL                    *((volatile  uint8_t *)(0x42706098UL))
#define bFM0P_MFS3_LIN_ESCR_ESBL                  *((volatile  uint8_t *)(0x42706098UL))

#define bFM_MFS3_LIN_FCR_FE1                      *((volatile  uint8_t *)(0x42706280UL))
#define bFM0P_MFS3_LIN_FCR_FE1                    *((volatile  uint8_t *)(0x42706280UL))
#define bFM_MFS3_LIN_FCR_FE2                      *((volatile  uint8_t *)(0x42706284UL))
#define bFM0P_MFS3_LIN_FCR_FE2                    *((volatile  uint8_t *)(0x42706284UL))
#define bFM_MFS3_LIN_FCR_FCL1                     *((volatile  uint8_t *)(0x42706288UL))
#define bFM0P_MFS3_LIN_FCR_FCL1                   *((volatile  uint8_t *)(0x42706288UL))
#define bFM_MFS3_LIN_FCR_FCL2                     *((volatile  uint8_t *)(0x4270628CUL))
#define bFM0P_MFS3_LIN_FCR_FCL2                   *((volatile  uint8_t *)(0x4270628CUL))
#define bFM_MFS3_LIN_FCR_FSET                     *((volatile  uint8_t *)(0x42706290UL))
#define bFM0P_MFS3_LIN_FCR_FSET                   *((volatile  uint8_t *)(0x42706290UL))
#define bFM_MFS3_LIN_FCR_FLD                      *((volatile  uint8_t *)(0x42706294UL))
#define bFM0P_MFS3_LIN_FCR_FLD                    *((volatile  uint8_t *)(0x42706294UL))
#define bFM_MFS3_LIN_FCR_FLST                     *((volatile  uint8_t *)(0x42706298UL))
#define bFM0P_MFS3_LIN_FCR_FLST                   *((volatile  uint8_t *)(0x42706298UL))
#define bFM_MFS3_LIN_FCR_FSEL                     *((volatile  uint8_t *)(0x427062A0UL))
#define bFM0P_MFS3_LIN_FCR_FSEL                   *((volatile  uint8_t *)(0x427062A0UL))
#define bFM_MFS3_LIN_FCR_FTIE                     *((volatile  uint8_t *)(0x427062A4UL))
#define bFM0P_MFS3_LIN_FCR_FTIE                   *((volatile  uint8_t *)(0x427062A4UL))
#define bFM_MFS3_LIN_FCR_FDRQ                     *((volatile  uint8_t *)(0x427062A8UL))
#define bFM0P_MFS3_LIN_FCR_FDRQ                   *((volatile  uint8_t *)(0x427062A8UL))
#define bFM_MFS3_LIN_FCR_FRIIE                    *((volatile  uint8_t *)(0x427062ACUL))
#define bFM0P_MFS3_LIN_FCR_FRIIE                  *((volatile  uint8_t *)(0x427062ACUL))
#define bFM_MFS3_LIN_FCR_FLSTE                    *((volatile  uint8_t *)(0x427062B0UL))
#define bFM0P_MFS3_LIN_FCR_FLSTE                  *((volatile  uint8_t *)(0x427062B0UL))

#define bFM_MFS3_LIN_SCR_TXE                      *((volatile  uint8_t *)(0x42706020UL))
#define bFM0P_MFS3_LIN_SCR_TXE                    *((volatile  uint8_t *)(0x42706020UL))
#define bFM_MFS3_LIN_SCR_RXE                      *((volatile  uint8_t *)(0x42706024UL))
#define bFM0P_MFS3_LIN_SCR_RXE                    *((volatile  uint8_t *)(0x42706024UL))
#define bFM_MFS3_LIN_SCR_TBIE                     *((volatile  uint8_t *)(0x42706028UL))
#define bFM0P_MFS3_LIN_SCR_TBIE                   *((volatile  uint8_t *)(0x42706028UL))
#define bFM_MFS3_LIN_SCR_TIE                      *((volatile  uint8_t *)(0x4270602CUL))
#define bFM0P_MFS3_LIN_SCR_TIE                    *((volatile  uint8_t *)(0x4270602CUL))
#define bFM_MFS3_LIN_SCR_RIE                      *((volatile  uint8_t *)(0x42706030UL))
#define bFM0P_MFS3_LIN_SCR_RIE                    *((volatile  uint8_t *)(0x42706030UL))
#define bFM_MFS3_LIN_SCR_LBR                      *((volatile  uint8_t *)(0x42706034UL))
#define bFM0P_MFS3_LIN_SCR_LBR                    *((volatile  uint8_t *)(0x42706034UL))
#define bFM_MFS3_LIN_SCR_MS                       *((volatile  uint8_t *)(0x42706038UL))
#define bFM0P_MFS3_LIN_SCR_MS                     *((volatile  uint8_t *)(0x42706038UL))
#define bFM_MFS3_LIN_SCR_UPCL                     *((volatile  uint8_t *)(0x4270603CUL))
#define bFM0P_MFS3_LIN_SCR_UPCL                   *((volatile  uint8_t *)(0x4270603CUL))

#define bFM_MFS3_LIN_SMR_SOE                      *((volatile  uint8_t *)(0x42706000UL))
#define bFM0P_MFS3_LIN_SMR_SOE                    *((volatile  uint8_t *)(0x42706000UL))
#define bFM_MFS3_LIN_SMR_SBL                      *((volatile  uint8_t *)(0x4270600CUL))
#define bFM0P_MFS3_LIN_SMR_SBL                    *((volatile  uint8_t *)(0x4270600CUL))

#define bFM_MFS3_LIN_SSR_TBI                      *((volatile  uint8_t *)(0x427060A0UL))
#define bFM0P_MFS3_LIN_SSR_TBI                    *((volatile  uint8_t *)(0x427060A0UL))
#define bFM_MFS3_LIN_SSR_TDRE                     *((volatile  uint8_t *)(0x427060A4UL))
#define bFM0P_MFS3_LIN_SSR_TDRE                   *((volatile  uint8_t *)(0x427060A4UL))
#define bFM_MFS3_LIN_SSR_RDRF                     *((volatile  uint8_t *)(0x427060A8UL))
#define bFM0P_MFS3_LIN_SSR_RDRF                   *((volatile  uint8_t *)(0x427060A8UL))
#define bFM_MFS3_LIN_SSR_ORE                      *((volatile  uint8_t *)(0x427060ACUL))
#define bFM0P_MFS3_LIN_SSR_ORE                    *((volatile  uint8_t *)(0x427060ACUL))
#define bFM_MFS3_LIN_SSR_FRE                      *((volatile  uint8_t *)(0x427060B0UL))
#define bFM0P_MFS3_LIN_SSR_FRE                    *((volatile  uint8_t *)(0x427060B0UL))
#define bFM_MFS3_LIN_SSR_LBD                      *((volatile  uint8_t *)(0x427060B4UL))
#define bFM0P_MFS3_LIN_SSR_LBD                    *((volatile  uint8_t *)(0x427060B4UL))
#define bFM_MFS3_LIN_SSR_REC                      *((volatile  uint8_t *)(0x427060BCUL))
#define bFM0P_MFS3_LIN_SSR_REC                    *((volatile  uint8_t *)(0x427060BCUL))

#define bFM_MFS3_UART_BGR_EXT                     *((volatile  uint8_t *)(0x427061BCUL))
#define bFM0P_MFS3_UART_BGR_EXT                   *((volatile  uint8_t *)(0x427061BCUL))

#define bFM_MFS3_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270608CUL))
#define bFM0P_MFS3_UART_ESCR_P                    *((volatile  uint8_t *)(0x4270608CUL))
#define bFM_MFS3_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x42706090UL))
#define bFM0P_MFS3_UART_ESCR_PEN                  *((volatile  uint8_t *)(0x42706090UL))
#define bFM_MFS3_UART_ESCR_INV                    *((volatile  uint8_t *)(0x42706094UL))
#define bFM0P_MFS3_UART_ESCR_INV                  *((volatile  uint8_t *)(0x42706094UL))
#define bFM_MFS3_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x42706098UL))
#define bFM0P_MFS3_UART_ESCR_ESBL                 *((volatile  uint8_t *)(0x42706098UL))
#define bFM_MFS3_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270609CUL))
#define bFM0P_MFS3_UART_ESCR_FLWEN                *((volatile  uint8_t *)(0x4270609CUL))

#define bFM_MFS3_UART_FCR_FE1                     *((volatile  uint8_t *)(0x42706280UL))
#define bFM0P_MFS3_UART_FCR_FE1                   *((volatile  uint8_t *)(0x42706280UL))
#define bFM_MFS3_UART_FCR_FE2                     *((volatile  uint8_t *)(0x42706284UL))
#define bFM0P_MFS3_UART_FCR_FE2                   *((volatile  uint8_t *)(0x42706284UL))
#define bFM_MFS3_UART_FCR_FCL1                    *((volatile  uint8_t *)(0x42706288UL))
#define bFM0P_MFS3_UART_FCR_FCL1                  *((volatile  uint8_t *)(0x42706288UL))
#define bFM_MFS3_UART_FCR_FCL2                    *((volatile  uint8_t *)(0x4270628CUL))
#define bFM0P_MFS3_UART_FCR_FCL2                  *((volatile  uint8_t *)(0x4270628CUL))
#define bFM_MFS3_UART_FCR_FSET                    *((volatile  uint8_t *)(0x42706290UL))
#define bFM0P_MFS3_UART_FCR_FSET                  *((volatile  uint8_t *)(0x42706290UL))
#define bFM_MFS3_UART_FCR_FLD                     *((volatile  uint8_t *)(0x42706294UL))
#define bFM0P_MFS3_UART_FCR_FLD                   *((volatile  uint8_t *)(0x42706294UL))
#define bFM_MFS3_UART_FCR_FLST                    *((volatile  uint8_t *)(0x42706298UL))
#define bFM0P_MFS3_UART_FCR_FLST                  *((volatile  uint8_t *)(0x42706298UL))
#define bFM_MFS3_UART_FCR_FSEL                    *((volatile  uint8_t *)(0x427062A0UL))
#define bFM0P_MFS3_UART_FCR_FSEL                  *((volatile  uint8_t *)(0x427062A0UL))
#define bFM_MFS3_UART_FCR_FTIE                    *((volatile  uint8_t *)(0x427062A4UL))
#define bFM0P_MFS3_UART_FCR_FTIE                  *((volatile  uint8_t *)(0x427062A4UL))
#define bFM_MFS3_UART_FCR_FDRQ                    *((volatile  uint8_t *)(0x427062A8UL))
#define bFM0P_MFS3_UART_FCR_FDRQ                  *((volatile  uint8_t *)(0x427062A8UL))
#define bFM_MFS3_UART_FCR_FRIIE                   *((volatile  uint8_t *)(0x427062ACUL))
#define bFM0P_MFS3_UART_FCR_FRIIE                 *((volatile  uint8_t *)(0x427062ACUL))
#define bFM_MFS3_UART_FCR_FLSTE                   *((volatile  uint8_t *)(0x427062B0UL))
#define bFM0P_MFS3_UART_FCR_FLSTE                 *((volatile  uint8_t *)(0x427062B0UL))

#define bFM_MFS3_UART_SCR_TXE                     *((volatile  uint8_t *)(0x42706020UL))
#define bFM0P_MFS3_UART_SCR_TXE                   *((volatile  uint8_t *)(0x42706020UL))
#define bFM_MFS3_UART_SCR_RXE                     *((volatile  uint8_t *)(0x42706024UL))
#define bFM0P_MFS3_UART_SCR_RXE                   *((volatile  uint8_t *)(0x42706024UL))
#define bFM_MFS3_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x42706028UL))
#define bFM0P_MFS3_UART_SCR_TBIE                  *((volatile  uint8_t *)(0x42706028UL))
#define bFM_MFS3_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270602CUL))
#define bFM0P_MFS3_UART_SCR_TIE                   *((volatile  uint8_t *)(0x4270602CUL))
#define bFM_MFS3_UART_SCR_RIE                     *((volatile  uint8_t *)(0x42706030UL))
#define bFM0P_MFS3_UART_SCR_RIE                   *((volatile  uint8_t *)(0x42706030UL))
#define bFM_MFS3_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270603CUL))
#define bFM0P_MFS3_UART_SCR_UPCL                  *((volatile  uint8_t *)(0x4270603CUL))

#define bFM_MFS3_UART_SMR_SOE                     *((volatile  uint8_t *)(0x42706000UL))
#define bFM0P_MFS3_UART_SMR_SOE                   *((volatile  uint8_t *)(0x42706000UL))
#define bFM_MFS3_UART_SMR_BDS                     *((volatile  uint8_t *)(0x42706008UL))
#define bFM0P_MFS3_UART_SMR_BDS                   *((volatile  uint8_t *)(0x42706008UL))
#define bFM_MFS3_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270600CUL))
#define bFM0P_MFS3_UART_SMR_SBL                   *((volatile  uint8_t *)(0x4270600CUL))

#define bFM_MFS3_UART_SSR_TBI                     *((volatile  uint8_t *)(0x427060A0UL))
#define bFM0P_MFS3_UART_SSR_TBI                   *((volatile  uint8_t *)(0x427060A0UL))
#define bFM_MFS3_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x427060A4UL))
#define bFM0P_MFS3_UART_SSR_TDRE                  *((volatile  uint8_t *)(0x427060A4UL))
#define bFM_MFS3_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x427060A8UL))
#define bFM0P_MFS3_UART_SSR_RDRF                  *((volatile  uint8_t *)(0x427060A8UL))
#define bFM_MFS3_UART_SSR_ORE                     *((volatile  uint8_t *)(0x427060ACUL))
#define bFM0P_MFS3_UART_SSR_ORE                   *((volatile  uint8_t *)(0x427060ACUL))
#define bFM_MFS3_UART_SSR_FRE                     *((volatile  uint8_t *)(0x427060B0UL))
#define bFM0P_MFS3_UART_SSR_FRE                   *((volatile  uint8_t *)(0x427060B0UL))
#define bFM_MFS3_UART_SSR_PE                      *((volatile  uint8_t *)(0x427060B4UL))
#define bFM0P_MFS3_UART_SSR_PE                    *((volatile  uint8_t *)(0x427060B4UL))
#define bFM_MFS3_UART_SSR_REC                     *((volatile  uint8_t *)(0x427060BCUL))
#define bFM0P_MFS3_UART_SSR_REC                   *((volatile  uint8_t *)(0x427060BCUL))


/******************************************************************************
 ** MFT_PPG Registers MFT_PPG
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFT_PPG_GATEC0_EDGE0                  *((volatile  uint8_t *)(0x42484300UL))
#define bFM0P_MFT_PPG_GATEC0_EDGE0                *((volatile  uint8_t *)(0x42484300UL))
#define bFM_MFT_PPG_GATEC0_STRG0                  *((volatile  uint8_t *)(0x42484304UL))
#define bFM0P_MFT_PPG_GATEC0_STRG0                *((volatile  uint8_t *)(0x42484304UL))
#define bFM_MFT_PPG_GATEC0_EDGE2                  *((volatile  uint8_t *)(0x42484310UL))
#define bFM0P_MFT_PPG_GATEC0_EDGE2                *((volatile  uint8_t *)(0x42484310UL))
#define bFM_MFT_PPG_GATEC0_STRG2                  *((volatile  uint8_t *)(0x42484314UL))
#define bFM0P_MFT_PPG_GATEC0_STRG2                *((volatile  uint8_t *)(0x42484314UL))

#define bFM_MFT_PPG_GATEC12_EDGE12                *((volatile  uint8_t *)(0x42485B00UL))
#define bFM0P_MFT_PPG_GATEC12_EDGE12              *((volatile  uint8_t *)(0x42485B00UL))
#define bFM_MFT_PPG_GATEC12_STRG12                *((volatile  uint8_t *)(0x42485B04UL))
#define bFM0P_MFT_PPG_GATEC12_STRG12              *((volatile  uint8_t *)(0x42485B04UL))
#define bFM_MFT_PPG_GATEC12_EDGE14                *((volatile  uint8_t *)(0x42485B10UL))
#define bFM0P_MFT_PPG_GATEC12_EDGE14              *((volatile  uint8_t *)(0x42485B10UL))
#define bFM_MFT_PPG_GATEC12_STRG14                *((volatile  uint8_t *)(0x42485B14UL))
#define bFM0P_MFT_PPG_GATEC12_STRG14              *((volatile  uint8_t *)(0x42485B14UL))

#define bFM_MFT_PPG_GATEC16_EDGE16                *((volatile  uint8_t *)(0x42486300UL))
#define bFM0P_MFT_PPG_GATEC16_EDGE16              *((volatile  uint8_t *)(0x42486300UL))
#define bFM_MFT_PPG_GATEC16_STRG16                *((volatile  uint8_t *)(0x42486304UL))
#define bFM0P_MFT_PPG_GATEC16_STRG16              *((volatile  uint8_t *)(0x42486304UL))
#define bFM_MFT_PPG_GATEC16_EDGE18                *((volatile  uint8_t *)(0x42486310UL))
#define bFM0P_MFT_PPG_GATEC16_EDGE18              *((volatile  uint8_t *)(0x42486310UL))
#define bFM_MFT_PPG_GATEC16_STRG18                *((volatile  uint8_t *)(0x42486314UL))
#define bFM0P_MFT_PPG_GATEC16_STRG18              *((volatile  uint8_t *)(0x42486314UL))

#define bFM_MFT_PPG_GATEC20_EDGE20                *((volatile  uint8_t *)(0x42486B00UL))
#define bFM0P_MFT_PPG_GATEC20_EDGE20              *((volatile  uint8_t *)(0x42486B00UL))
#define bFM_MFT_PPG_GATEC20_STRG20                *((volatile  uint8_t *)(0x42486B04UL))
#define bFM0P_MFT_PPG_GATEC20_STRG20              *((volatile  uint8_t *)(0x42486B04UL))
#define bFM_MFT_PPG_GATEC20_EDGE22                *((volatile  uint8_t *)(0x42486B10UL))
#define bFM0P_MFT_PPG_GATEC20_EDGE22              *((volatile  uint8_t *)(0x42486B10UL))
#define bFM_MFT_PPG_GATEC20_STRG22                *((volatile  uint8_t *)(0x42486B14UL))
#define bFM0P_MFT_PPG_GATEC20_STRG22              *((volatile  uint8_t *)(0x42486B14UL))

#define bFM_MFT_PPG_GATEC4_EDGE4                  *((volatile  uint8_t *)(0x42484B00UL))
#define bFM0P_MFT_PPG_GATEC4_EDGE4                *((volatile  uint8_t *)(0x42484B00UL))
#define bFM_MFT_PPG_GATEC4_STRG4                  *((volatile  uint8_t *)(0x42484B04UL))
#define bFM0P_MFT_PPG_GATEC4_STRG4                *((volatile  uint8_t *)(0x42484B04UL))
#define bFM_MFT_PPG_GATEC4_EDGE6                  *((volatile  uint8_t *)(0x42484B10UL))
#define bFM0P_MFT_PPG_GATEC4_EDGE6                *((volatile  uint8_t *)(0x42484B10UL))
#define bFM_MFT_PPG_GATEC4_STRG6                  *((volatile  uint8_t *)(0x42484B14UL))
#define bFM0P_MFT_PPG_GATEC4_STRG6                *((volatile  uint8_t *)(0x42484B14UL))

#define bFM_MFT_PPG_GATEC8_EDGE8                  *((volatile  uint8_t *)(0x42485300UL))
#define bFM0P_MFT_PPG_GATEC8_EDGE8                *((volatile  uint8_t *)(0x42485300UL))
#define bFM_MFT_PPG_GATEC8_STRG8                  *((volatile  uint8_t *)(0x42485304UL))
#define bFM0P_MFT_PPG_GATEC8_STRG8                *((volatile  uint8_t *)(0x42485304UL))
#define bFM_MFT_PPG_GATEC8_EDGE10                 *((volatile  uint8_t *)(0x42485310UL))
#define bFM0P_MFT_PPG_GATEC8_EDGE10               *((volatile  uint8_t *)(0x42485310UL))
#define bFM_MFT_PPG_GATEC8_STRG10                 *((volatile  uint8_t *)(0x42485314UL))
#define bFM0P_MFT_PPG_GATEC8_STRG10               *((volatile  uint8_t *)(0x42485314UL))

#define bFM_MFT_PPG_IGBTC_IGBTMD                  *((volatile  uint8_t *)(0x42487000UL))
#define bFM0P_MFT_PPG_IGBTC_IGBTMD                *((volatile  uint8_t *)(0x42487000UL))
#define bFM_MFT_PPG_IGBTC_IGTRGLV                 *((volatile  uint8_t *)(0x42487004UL))
#define bFM0P_MFT_PPG_IGBTC_IGTRGLV               *((volatile  uint8_t *)(0x42487004UL))
#define bFM_MFT_PPG_IGBTC_IGATIH                  *((volatile  uint8_t *)(0x4248701CUL))
#define bFM0P_MFT_PPG_IGBTC_IGATIH                *((volatile  uint8_t *)(0x4248701CUL))

#define bFM_MFT_PPG_PPGC0_TTRG                    *((volatile  uint8_t *)(0x42484020UL))
#define bFM0P_MFT_PPG_PPGC0_TTRG                  *((volatile  uint8_t *)(0x42484020UL))
#define bFM_MFT_PPG_PPGC0_INTM                    *((volatile  uint8_t *)(0x42484034UL))
#define bFM0P_MFT_PPG_PPGC0_INTM                  *((volatile  uint8_t *)(0x42484034UL))
#define bFM_MFT_PPG_PPGC0_PUF                     *((volatile  uint8_t *)(0x42484038UL))
#define bFM0P_MFT_PPG_PPGC0_PUF                   *((volatile  uint8_t *)(0x42484038UL))
#define bFM_MFT_PPG_PPGC0_PIE                     *((volatile  uint8_t *)(0x4248403CUL))
#define bFM0P_MFT_PPG_PPGC0_PIE                   *((volatile  uint8_t *)(0x4248403CUL))

#define bFM_MFT_PPG_PPGC1_INTM                    *((volatile  uint8_t *)(0x42484014UL))
#define bFM0P_MFT_PPG_PPGC1_INTM                  *((volatile  uint8_t *)(0x42484014UL))
#define bFM_MFT_PPG_PPGC1_PUF                     *((volatile  uint8_t *)(0x42484018UL))
#define bFM0P_MFT_PPG_PPGC1_PUF                   *((volatile  uint8_t *)(0x42484018UL))
#define bFM_MFT_PPG_PPGC1_PIE                     *((volatile  uint8_t *)(0x4248401CUL))
#define bFM0P_MFT_PPG_PPGC1_PIE                   *((volatile  uint8_t *)(0x4248401CUL))

#define bFM_MFT_PPG_PPGC10_TTRG                   *((volatile  uint8_t *)(0x424850A0UL))
#define bFM0P_MFT_PPG_PPGC10_TTRG                 *((volatile  uint8_t *)(0x424850A0UL))
#define bFM_MFT_PPG_PPGC10_INTM                   *((volatile  uint8_t *)(0x424850B4UL))
#define bFM0P_MFT_PPG_PPGC10_INTM                 *((volatile  uint8_t *)(0x424850B4UL))
#define bFM_MFT_PPG_PPGC10_PUF                    *((volatile  uint8_t *)(0x424850B8UL))
#define bFM0P_MFT_PPG_PPGC10_PUF                  *((volatile  uint8_t *)(0x424850B8UL))
#define bFM_MFT_PPG_PPGC10_PIE                    *((volatile  uint8_t *)(0x424850BCUL))
#define bFM0P_MFT_PPG_PPGC10_PIE                  *((volatile  uint8_t *)(0x424850BCUL))

#define bFM_MFT_PPG_PPGC11_INTM                   *((volatile  uint8_t *)(0x42485094UL))
#define bFM0P_MFT_PPG_PPGC11_INTM                 *((volatile  uint8_t *)(0x42485094UL))
#define bFM_MFT_PPG_PPGC11_PUF                    *((volatile  uint8_t *)(0x42485098UL))
#define bFM0P_MFT_PPG_PPGC11_PUF                  *((volatile  uint8_t *)(0x42485098UL))
#define bFM_MFT_PPG_PPGC11_PIE                    *((volatile  uint8_t *)(0x4248509CUL))
#define bFM0P_MFT_PPG_PPGC11_PIE                  *((volatile  uint8_t *)(0x4248509CUL))

#define bFM_MFT_PPG_PPGC12_TTRG                   *((volatile  uint8_t *)(0x42485820UL))
#define bFM0P_MFT_PPG_PPGC12_TTRG                 *((volatile  uint8_t *)(0x42485820UL))
#define bFM_MFT_PPG_PPGC12_INTM                   *((volatile  uint8_t *)(0x42485834UL))
#define bFM0P_MFT_PPG_PPGC12_INTM                 *((volatile  uint8_t *)(0x42485834UL))
#define bFM_MFT_PPG_PPGC12_PUF                    *((volatile  uint8_t *)(0x42485838UL))
#define bFM0P_MFT_PPG_PPGC12_PUF                  *((volatile  uint8_t *)(0x42485838UL))
#define bFM_MFT_PPG_PPGC12_PIE                    *((volatile  uint8_t *)(0x4248583CUL))
#define bFM0P_MFT_PPG_PPGC12_PIE                  *((volatile  uint8_t *)(0x4248583CUL))

#define bFM_MFT_PPG_PPGC13_INTM                   *((volatile  uint8_t *)(0x42485814UL))
#define bFM0P_MFT_PPG_PPGC13_INTM                 *((volatile  uint8_t *)(0x42485814UL))
#define bFM_MFT_PPG_PPGC13_PUF                    *((volatile  uint8_t *)(0x42485818UL))
#define bFM0P_MFT_PPG_PPGC13_PUF                  *((volatile  uint8_t *)(0x42485818UL))
#define bFM_MFT_PPG_PPGC13_PIE                    *((volatile  uint8_t *)(0x4248581CUL))
#define bFM0P_MFT_PPG_PPGC13_PIE                  *((volatile  uint8_t *)(0x4248581CUL))

#define bFM_MFT_PPG_PPGC14_TTRG                   *((volatile  uint8_t *)(0x424858A0UL))
#define bFM0P_MFT_PPG_PPGC14_TTRG                 *((volatile  uint8_t *)(0x424858A0UL))
#define bFM_MFT_PPG_PPGC14_INTM                   *((volatile  uint8_t *)(0x424858B4UL))
#define bFM0P_MFT_PPG_PPGC14_INTM                 *((volatile  uint8_t *)(0x424858B4UL))
#define bFM_MFT_PPG_PPGC14_PUF                    *((volatile  uint8_t *)(0x424858B8UL))
#define bFM0P_MFT_PPG_PPGC14_PUF                  *((volatile  uint8_t *)(0x424858B8UL))
#define bFM_MFT_PPG_PPGC14_PIE                    *((volatile  uint8_t *)(0x424858BCUL))
#define bFM0P_MFT_PPG_PPGC14_PIE                  *((volatile  uint8_t *)(0x424858BCUL))

#define bFM_MFT_PPG_PPGC15_INTM                   *((volatile  uint8_t *)(0x42485894UL))
#define bFM0P_MFT_PPG_PPGC15_INTM                 *((volatile  uint8_t *)(0x42485894UL))
#define bFM_MFT_PPG_PPGC15_PUF                    *((volatile  uint8_t *)(0x42485898UL))
#define bFM0P_MFT_PPG_PPGC15_PUF                  *((volatile  uint8_t *)(0x42485898UL))
#define bFM_MFT_PPG_PPGC15_PIE                    *((volatile  uint8_t *)(0x4248589CUL))
#define bFM0P_MFT_PPG_PPGC15_PIE                  *((volatile  uint8_t *)(0x4248589CUL))

#define bFM_MFT_PPG_PPGC16_TTRG                   *((volatile  uint8_t *)(0x42486020UL))
#define bFM0P_MFT_PPG_PPGC16_TTRG                 *((volatile  uint8_t *)(0x42486020UL))
#define bFM_MFT_PPG_PPGC16_INTM                   *((volatile  uint8_t *)(0x42486034UL))
#define bFM0P_MFT_PPG_PPGC16_INTM                 *((volatile  uint8_t *)(0x42486034UL))
#define bFM_MFT_PPG_PPGC16_PUF                    *((volatile  uint8_t *)(0x42486038UL))
#define bFM0P_MFT_PPG_PPGC16_PUF                  *((volatile  uint8_t *)(0x42486038UL))
#define bFM_MFT_PPG_PPGC16_PIE                    *((volatile  uint8_t *)(0x4248603CUL))
#define bFM0P_MFT_PPG_PPGC16_PIE                  *((volatile  uint8_t *)(0x4248603CUL))

#define bFM_MFT_PPG_PPGC17_INTM                   *((volatile  uint8_t *)(0x42486014UL))
#define bFM0P_MFT_PPG_PPGC17_INTM                 *((volatile  uint8_t *)(0x42486014UL))
#define bFM_MFT_PPG_PPGC17_PUF                    *((volatile  uint8_t *)(0x42486018UL))
#define bFM0P_MFT_PPG_PPGC17_PUF                  *((volatile  uint8_t *)(0x42486018UL))
#define bFM_MFT_PPG_PPGC17_PIE                    *((volatile  uint8_t *)(0x4248601CUL))
#define bFM0P_MFT_PPG_PPGC17_PIE                  *((volatile  uint8_t *)(0x4248601CUL))

#define bFM_MFT_PPG_PPGC18_TTRG                   *((volatile  uint8_t *)(0x424860A0UL))
#define bFM0P_MFT_PPG_PPGC18_TTRG                 *((volatile  uint8_t *)(0x424860A0UL))
#define bFM_MFT_PPG_PPGC18_INTM                   *((volatile  uint8_t *)(0x424860B4UL))
#define bFM0P_MFT_PPG_PPGC18_INTM                 *((volatile  uint8_t *)(0x424860B4UL))
#define bFM_MFT_PPG_PPGC18_PUF                    *((volatile  uint8_t *)(0x424860B8UL))
#define bFM0P_MFT_PPG_PPGC18_PUF                  *((volatile  uint8_t *)(0x424860B8UL))
#define bFM_MFT_PPG_PPGC18_PIE                    *((volatile  uint8_t *)(0x424860BCUL))
#define bFM0P_MFT_PPG_PPGC18_PIE                  *((volatile  uint8_t *)(0x424860BCUL))

#define bFM_MFT_PPG_PPGC19_INTM                   *((volatile  uint8_t *)(0x42486094UL))
#define bFM0P_MFT_PPG_PPGC19_INTM                 *((volatile  uint8_t *)(0x42486094UL))
#define bFM_MFT_PPG_PPGC19_PUF                    *((volatile  uint8_t *)(0x42486098UL))
#define bFM0P_MFT_PPG_PPGC19_PUF                  *((volatile  uint8_t *)(0x42486098UL))
#define bFM_MFT_PPG_PPGC19_PIE                    *((volatile  uint8_t *)(0x4248609CUL))
#define bFM0P_MFT_PPG_PPGC19_PIE                  *((volatile  uint8_t *)(0x4248609CUL))

#define bFM_MFT_PPG_PPGC2_TTRG                    *((volatile  uint8_t *)(0x424840A0UL))
#define bFM0P_MFT_PPG_PPGC2_TTRG                  *((volatile  uint8_t *)(0x424840A0UL))
#define bFM_MFT_PPG_PPGC2_INTM                    *((volatile  uint8_t *)(0x424840B4UL))
#define bFM0P_MFT_PPG_PPGC2_INTM                  *((volatile  uint8_t *)(0x424840B4UL))
#define bFM_MFT_PPG_PPGC2_PUF                     *((volatile  uint8_t *)(0x424840B8UL))
#define bFM0P_MFT_PPG_PPGC2_PUF                   *((volatile  uint8_t *)(0x424840B8UL))
#define bFM_MFT_PPG_PPGC2_PIE                     *((volatile  uint8_t *)(0x424840BCUL))
#define bFM0P_MFT_PPG_PPGC2_PIE                   *((volatile  uint8_t *)(0x424840BCUL))

#define bFM_MFT_PPG_PPGC20_TTRG                   *((volatile  uint8_t *)(0x42486820UL))
#define bFM0P_MFT_PPG_PPGC20_TTRG                 *((volatile  uint8_t *)(0x42486820UL))
#define bFM_MFT_PPG_PPGC20_INTM                   *((volatile  uint8_t *)(0x42486834UL))
#define bFM0P_MFT_PPG_PPGC20_INTM                 *((volatile  uint8_t *)(0x42486834UL))
#define bFM_MFT_PPG_PPGC20_PUF                    *((volatile  uint8_t *)(0x42486838UL))
#define bFM0P_MFT_PPG_PPGC20_PUF                  *((volatile  uint8_t *)(0x42486838UL))
#define bFM_MFT_PPG_PPGC20_PIE                    *((volatile  uint8_t *)(0x4248683CUL))
#define bFM0P_MFT_PPG_PPGC20_PIE                  *((volatile  uint8_t *)(0x4248683CUL))

#define bFM_MFT_PPG_PPGC21_INTM                   *((volatile  uint8_t *)(0x42486814UL))
#define bFM0P_MFT_PPG_PPGC21_INTM                 *((volatile  uint8_t *)(0x42486814UL))
#define bFM_MFT_PPG_PPGC21_PUF                    *((volatile  uint8_t *)(0x42486818UL))
#define bFM0P_MFT_PPG_PPGC21_PUF                  *((volatile  uint8_t *)(0x42486818UL))
#define bFM_MFT_PPG_PPGC21_PIE                    *((volatile  uint8_t *)(0x4248681CUL))
#define bFM0P_MFT_PPG_PPGC21_PIE                  *((volatile  uint8_t *)(0x4248681CUL))

#define bFM_MFT_PPG_PPGC22_TTRG                   *((volatile  uint8_t *)(0x424868A0UL))
#define bFM0P_MFT_PPG_PPGC22_TTRG                 *((volatile  uint8_t *)(0x424868A0UL))
#define bFM_MFT_PPG_PPGC22_INTM                   *((volatile  uint8_t *)(0x424868B4UL))
#define bFM0P_MFT_PPG_PPGC22_INTM                 *((volatile  uint8_t *)(0x424868B4UL))
#define bFM_MFT_PPG_PPGC22_PUF                    *((volatile  uint8_t *)(0x424868B8UL))
#define bFM0P_MFT_PPG_PPGC22_PUF                  *((volatile  uint8_t *)(0x424868B8UL))
#define bFM_MFT_PPG_PPGC22_PIE                    *((volatile  uint8_t *)(0x424868BCUL))
#define bFM0P_MFT_PPG_PPGC22_PIE                  *((volatile  uint8_t *)(0x424868BCUL))

#define bFM_MFT_PPG_PPGC23_INTM                   *((volatile  uint8_t *)(0x42486894UL))
#define bFM0P_MFT_PPG_PPGC23_INTM                 *((volatile  uint8_t *)(0x42486894UL))
#define bFM_MFT_PPG_PPGC23_PUF                    *((volatile  uint8_t *)(0x42486898UL))
#define bFM0P_MFT_PPG_PPGC23_PUF                  *((volatile  uint8_t *)(0x42486898UL))
#define bFM_MFT_PPG_PPGC23_PIE                    *((volatile  uint8_t *)(0x4248689CUL))
#define bFM0P_MFT_PPG_PPGC23_PIE                  *((volatile  uint8_t *)(0x4248689CUL))

#define bFM_MFT_PPG_PPGC3_INTM                    *((volatile  uint8_t *)(0x42484094UL))
#define bFM0P_MFT_PPG_PPGC3_INTM                  *((volatile  uint8_t *)(0x42484094UL))
#define bFM_MFT_PPG_PPGC3_PUF                     *((volatile  uint8_t *)(0x42484098UL))
#define bFM0P_MFT_PPG_PPGC3_PUF                   *((volatile  uint8_t *)(0x42484098UL))
#define bFM_MFT_PPG_PPGC3_PIE                     *((volatile  uint8_t *)(0x4248409CUL))
#define bFM0P_MFT_PPG_PPGC3_PIE                   *((volatile  uint8_t *)(0x4248409CUL))

#define bFM_MFT_PPG_PPGC4_TTRG                    *((volatile  uint8_t *)(0x42484820UL))
#define bFM0P_MFT_PPG_PPGC4_TTRG                  *((volatile  uint8_t *)(0x42484820UL))
#define bFM_MFT_PPG_PPGC4_INTM                    *((volatile  uint8_t *)(0x42484834UL))
#define bFM0P_MFT_PPG_PPGC4_INTM                  *((volatile  uint8_t *)(0x42484834UL))
#define bFM_MFT_PPG_PPGC4_PUF                     *((volatile  uint8_t *)(0x42484838UL))
#define bFM0P_MFT_PPG_PPGC4_PUF                   *((volatile  uint8_t *)(0x42484838UL))
#define bFM_MFT_PPG_PPGC4_PIE                     *((volatile  uint8_t *)(0x4248483CUL))
#define bFM0P_MFT_PPG_PPGC4_PIE                   *((volatile  uint8_t *)(0x4248483CUL))

#define bFM_MFT_PPG_PPGC5_INTM                    *((volatile  uint8_t *)(0x42484814UL))
#define bFM0P_MFT_PPG_PPGC5_INTM                  *((volatile  uint8_t *)(0x42484814UL))
#define bFM_MFT_PPG_PPGC5_PUF                     *((volatile  uint8_t *)(0x42484818UL))
#define bFM0P_MFT_PPG_PPGC5_PUF                   *((volatile  uint8_t *)(0x42484818UL))
#define bFM_MFT_PPG_PPGC5_PIE                     *((volatile  uint8_t *)(0x4248481CUL))
#define bFM0P_MFT_PPG_PPGC5_PIE                   *((volatile  uint8_t *)(0x4248481CUL))

#define bFM_MFT_PPG_PPGC6_TTRG                    *((volatile  uint8_t *)(0x424848A0UL))
#define bFM0P_MFT_PPG_PPGC6_TTRG                  *((volatile  uint8_t *)(0x424848A0UL))
#define bFM_MFT_PPG_PPGC6_INTM                    *((volatile  uint8_t *)(0x424848B4UL))
#define bFM0P_MFT_PPG_PPGC6_INTM                  *((volatile  uint8_t *)(0x424848B4UL))
#define bFM_MFT_PPG_PPGC6_PUF                     *((volatile  uint8_t *)(0x424848B8UL))
#define bFM0P_MFT_PPG_PPGC6_PUF                   *((volatile  uint8_t *)(0x424848B8UL))
#define bFM_MFT_PPG_PPGC6_PIE                     *((volatile  uint8_t *)(0x424848BCUL))
#define bFM0P_MFT_PPG_PPGC6_PIE                   *((volatile  uint8_t *)(0x424848BCUL))

#define bFM_MFT_PPG_PPGC7_INTM                    *((volatile  uint8_t *)(0x42484894UL))
#define bFM0P_MFT_PPG_PPGC7_INTM                  *((volatile  uint8_t *)(0x42484894UL))
#define bFM_MFT_PPG_PPGC7_PUF                     *((volatile  uint8_t *)(0x42484898UL))
#define bFM0P_MFT_PPG_PPGC7_PUF                   *((volatile  uint8_t *)(0x42484898UL))
#define bFM_MFT_PPG_PPGC7_PIE                     *((volatile  uint8_t *)(0x4248489CUL))
#define bFM0P_MFT_PPG_PPGC7_PIE                   *((volatile  uint8_t *)(0x4248489CUL))

#define bFM_MFT_PPG_PPGC8_TTRG                    *((volatile  uint8_t *)(0x42485020UL))
#define bFM0P_MFT_PPG_PPGC8_TTRG                  *((volatile  uint8_t *)(0x42485020UL))
#define bFM_MFT_PPG_PPGC8_INTM                    *((volatile  uint8_t *)(0x42485034UL))
#define bFM0P_MFT_PPG_PPGC8_INTM                  *((volatile  uint8_t *)(0x42485034UL))
#define bFM_MFT_PPG_PPGC8_PUF                     *((volatile  uint8_t *)(0x42485038UL))
#define bFM0P_MFT_PPG_PPGC8_PUF                   *((volatile  uint8_t *)(0x42485038UL))
#define bFM_MFT_PPG_PPGC8_PIE                     *((volatile  uint8_t *)(0x4248503CUL))
#define bFM0P_MFT_PPG_PPGC8_PIE                   *((volatile  uint8_t *)(0x4248503CUL))

#define bFM_MFT_PPG_PPGC9_INTM                    *((volatile  uint8_t *)(0x42485014UL))
#define bFM0P_MFT_PPG_PPGC9_INTM                  *((volatile  uint8_t *)(0x42485014UL))
#define bFM_MFT_PPG_PPGC9_PUF                     *((volatile  uint8_t *)(0x42485018UL))
#define bFM0P_MFT_PPG_PPGC9_PUF                   *((volatile  uint8_t *)(0x42485018UL))
#define bFM_MFT_PPG_PPGC9_PIE                     *((volatile  uint8_t *)(0x4248501CUL))
#define bFM0P_MFT_PPG_PPGC9_PIE                   *((volatile  uint8_t *)(0x4248501CUL))

#define bFM_MFT_PPG_REVC0_REV00                   *((volatile  uint8_t *)(0x42482080UL))
#define bFM0P_MFT_PPG_REVC0_REV00                 *((volatile  uint8_t *)(0x42482080UL))
#define bFM_MFT_PPG_REVC0_REV01                   *((volatile  uint8_t *)(0x42482084UL))
#define bFM0P_MFT_PPG_REVC0_REV01                 *((volatile  uint8_t *)(0x42482084UL))
#define bFM_MFT_PPG_REVC0_REV02                   *((volatile  uint8_t *)(0x42482088UL))
#define bFM0P_MFT_PPG_REVC0_REV02                 *((volatile  uint8_t *)(0x42482088UL))
#define bFM_MFT_PPG_REVC0_REV03                   *((volatile  uint8_t *)(0x4248208CUL))
#define bFM0P_MFT_PPG_REVC0_REV03                 *((volatile  uint8_t *)(0x4248208CUL))
#define bFM_MFT_PPG_REVC0_REV04                   *((volatile  uint8_t *)(0x42482090UL))
#define bFM0P_MFT_PPG_REVC0_REV04                 *((volatile  uint8_t *)(0x42482090UL))
#define bFM_MFT_PPG_REVC0_REV05                   *((volatile  uint8_t *)(0x42482094UL))
#define bFM0P_MFT_PPG_REVC0_REV05                 *((volatile  uint8_t *)(0x42482094UL))
#define bFM_MFT_PPG_REVC0_REV06                   *((volatile  uint8_t *)(0x42482098UL))
#define bFM0P_MFT_PPG_REVC0_REV06                 *((volatile  uint8_t *)(0x42482098UL))
#define bFM_MFT_PPG_REVC0_REV07                   *((volatile  uint8_t *)(0x4248209CUL))
#define bFM0P_MFT_PPG_REVC0_REV07                 *((volatile  uint8_t *)(0x4248209CUL))
#define bFM_MFT_PPG_REVC0_REV08                   *((volatile  uint8_t *)(0x424820A0UL))
#define bFM0P_MFT_PPG_REVC0_REV08                 *((volatile  uint8_t *)(0x424820A0UL))
#define bFM_MFT_PPG_REVC0_REV09                   *((volatile  uint8_t *)(0x424820A4UL))
#define bFM0P_MFT_PPG_REVC0_REV09                 *((volatile  uint8_t *)(0x424820A4UL))
#define bFM_MFT_PPG_REVC0_REV10                   *((volatile  uint8_t *)(0x424820A8UL))
#define bFM0P_MFT_PPG_REVC0_REV10                 *((volatile  uint8_t *)(0x424820A8UL))
#define bFM_MFT_PPG_REVC0_REV11                   *((volatile  uint8_t *)(0x424820ACUL))
#define bFM0P_MFT_PPG_REVC0_REV11                 *((volatile  uint8_t *)(0x424820ACUL))
#define bFM_MFT_PPG_REVC0_REV12                   *((volatile  uint8_t *)(0x424820B0UL))
#define bFM0P_MFT_PPG_REVC0_REV12                 *((volatile  uint8_t *)(0x424820B0UL))
#define bFM_MFT_PPG_REVC0_REV13                   *((volatile  uint8_t *)(0x424820B4UL))
#define bFM0P_MFT_PPG_REVC0_REV13                 *((volatile  uint8_t *)(0x424820B4UL))
#define bFM_MFT_PPG_REVC0_REV14                   *((volatile  uint8_t *)(0x424820B8UL))
#define bFM0P_MFT_PPG_REVC0_REV14                 *((volatile  uint8_t *)(0x424820B8UL))
#define bFM_MFT_PPG_REVC0_REV15                   *((volatile  uint8_t *)(0x424820BCUL))
#define bFM0P_MFT_PPG_REVC0_REV15                 *((volatile  uint8_t *)(0x424820BCUL))

#define bFM_MFT_PPG_REVC1_REV16                   *((volatile  uint8_t *)(0x42482880UL))
#define bFM0P_MFT_PPG_REVC1_REV16                 *((volatile  uint8_t *)(0x42482880UL))
#define bFM_MFT_PPG_REVC1_REV17                   *((volatile  uint8_t *)(0x42482884UL))
#define bFM0P_MFT_PPG_REVC1_REV17                 *((volatile  uint8_t *)(0x42482884UL))
#define bFM_MFT_PPG_REVC1_REV18                   *((volatile  uint8_t *)(0x42482888UL))
#define bFM0P_MFT_PPG_REVC1_REV18                 *((volatile  uint8_t *)(0x42482888UL))
#define bFM_MFT_PPG_REVC1_REV19                   *((volatile  uint8_t *)(0x4248288CUL))
#define bFM0P_MFT_PPG_REVC1_REV19                 *((volatile  uint8_t *)(0x4248288CUL))
#define bFM_MFT_PPG_REVC1_REV20                   *((volatile  uint8_t *)(0x42482890UL))
#define bFM0P_MFT_PPG_REVC1_REV20                 *((volatile  uint8_t *)(0x42482890UL))
#define bFM_MFT_PPG_REVC1_REV21                   *((volatile  uint8_t *)(0x42482894UL))
#define bFM0P_MFT_PPG_REVC1_REV21                 *((volatile  uint8_t *)(0x42482894UL))
#define bFM_MFT_PPG_REVC1_REV22                   *((volatile  uint8_t *)(0x42482898UL))
#define bFM0P_MFT_PPG_REVC1_REV22                 *((volatile  uint8_t *)(0x42482898UL))
#define bFM_MFT_PPG_REVC1_REV23                   *((volatile  uint8_t *)(0x4248289CUL))
#define bFM0P_MFT_PPG_REVC1_REV23                 *((volatile  uint8_t *)(0x4248289CUL))

#define bFM_MFT_PPG_TRG0_PEN00                    *((volatile  uint8_t *)(0x42482000UL))
#define bFM0P_MFT_PPG_TRG0_PEN00                  *((volatile  uint8_t *)(0x42482000UL))
#define bFM_MFT_PPG_TRG0_PEN01                    *((volatile  uint8_t *)(0x42482004UL))
#define bFM0P_MFT_PPG_TRG0_PEN01                  *((volatile  uint8_t *)(0x42482004UL))
#define bFM_MFT_PPG_TRG0_PEN02                    *((volatile  uint8_t *)(0x42482008UL))
#define bFM0P_MFT_PPG_TRG0_PEN02                  *((volatile  uint8_t *)(0x42482008UL))
#define bFM_MFT_PPG_TRG0_PEN03                    *((volatile  uint8_t *)(0x4248200CUL))
#define bFM0P_MFT_PPG_TRG0_PEN03                  *((volatile  uint8_t *)(0x4248200CUL))
#define bFM_MFT_PPG_TRG0_PEN04                    *((volatile  uint8_t *)(0x42482010UL))
#define bFM0P_MFT_PPG_TRG0_PEN04                  *((volatile  uint8_t *)(0x42482010UL))
#define bFM_MFT_PPG_TRG0_PEN05                    *((volatile  uint8_t *)(0x42482014UL))
#define bFM0P_MFT_PPG_TRG0_PEN05                  *((volatile  uint8_t *)(0x42482014UL))
#define bFM_MFT_PPG_TRG0_PEN06                    *((volatile  uint8_t *)(0x42482018UL))
#define bFM0P_MFT_PPG_TRG0_PEN06                  *((volatile  uint8_t *)(0x42482018UL))
#define bFM_MFT_PPG_TRG0_PEN07                    *((volatile  uint8_t *)(0x4248201CUL))
#define bFM0P_MFT_PPG_TRG0_PEN07                  *((volatile  uint8_t *)(0x4248201CUL))
#define bFM_MFT_PPG_TRG0_PEN08                    *((volatile  uint8_t *)(0x42482020UL))
#define bFM0P_MFT_PPG_TRG0_PEN08                  *((volatile  uint8_t *)(0x42482020UL))
#define bFM_MFT_PPG_TRG0_PEN09                    *((volatile  uint8_t *)(0x42482024UL))
#define bFM0P_MFT_PPG_TRG0_PEN09                  *((volatile  uint8_t *)(0x42482024UL))
#define bFM_MFT_PPG_TRG0_PEN10                    *((volatile  uint8_t *)(0x42482028UL))
#define bFM0P_MFT_PPG_TRG0_PEN10                  *((volatile  uint8_t *)(0x42482028UL))
#define bFM_MFT_PPG_TRG0_PEN11                    *((volatile  uint8_t *)(0x4248202CUL))
#define bFM0P_MFT_PPG_TRG0_PEN11                  *((volatile  uint8_t *)(0x4248202CUL))
#define bFM_MFT_PPG_TRG0_PEN12                    *((volatile  uint8_t *)(0x42482030UL))
#define bFM0P_MFT_PPG_TRG0_PEN12                  *((volatile  uint8_t *)(0x42482030UL))
#define bFM_MFT_PPG_TRG0_PEN13                    *((volatile  uint8_t *)(0x42482034UL))
#define bFM0P_MFT_PPG_TRG0_PEN13                  *((volatile  uint8_t *)(0x42482034UL))
#define bFM_MFT_PPG_TRG0_PEN14                    *((volatile  uint8_t *)(0x42482038UL))
#define bFM0P_MFT_PPG_TRG0_PEN14                  *((volatile  uint8_t *)(0x42482038UL))
#define bFM_MFT_PPG_TRG0_PEN15                    *((volatile  uint8_t *)(0x4248203CUL))
#define bFM0P_MFT_PPG_TRG0_PEN15                  *((volatile  uint8_t *)(0x4248203CUL))

#define bFM_MFT_PPG_TRG1_PEN16                    *((volatile  uint8_t *)(0x42482800UL))
#define bFM0P_MFT_PPG_TRG1_PEN16                  *((volatile  uint8_t *)(0x42482800UL))
#define bFM_MFT_PPG_TRG1_PEN17                    *((volatile  uint8_t *)(0x42482804UL))
#define bFM0P_MFT_PPG_TRG1_PEN17                  *((volatile  uint8_t *)(0x42482804UL))
#define bFM_MFT_PPG_TRG1_PEN18                    *((volatile  uint8_t *)(0x42482808UL))
#define bFM0P_MFT_PPG_TRG1_PEN18                  *((volatile  uint8_t *)(0x42482808UL))
#define bFM_MFT_PPG_TRG1_PEN19                    *((volatile  uint8_t *)(0x4248280CUL))
#define bFM0P_MFT_PPG_TRG1_PEN19                  *((volatile  uint8_t *)(0x4248280CUL))
#define bFM_MFT_PPG_TRG1_PEN20                    *((volatile  uint8_t *)(0x42482810UL))
#define bFM0P_MFT_PPG_TRG1_PEN20                  *((volatile  uint8_t *)(0x42482810UL))
#define bFM_MFT_PPG_TRG1_PEN21                    *((volatile  uint8_t *)(0x42482814UL))
#define bFM0P_MFT_PPG_TRG1_PEN21                  *((volatile  uint8_t *)(0x42482814UL))
#define bFM_MFT_PPG_TRG1_PEN22                    *((volatile  uint8_t *)(0x42482818UL))
#define bFM0P_MFT_PPG_TRG1_PEN22                  *((volatile  uint8_t *)(0x42482818UL))
#define bFM_MFT_PPG_TRG1_PEN23                    *((volatile  uint8_t *)(0x4248281CUL))
#define bFM0P_MFT_PPG_TRG1_PEN23                  *((volatile  uint8_t *)(0x4248281CUL))

#define bFM_MFT_PPG_TTCR0_STR0                    *((volatile  uint8_t *)(0x42480020UL))
#define bFM0P_MFT_PPG_TTCR0_STR0                  *((volatile  uint8_t *)(0x42480020UL))
#define bFM_MFT_PPG_TTCR0_MONI0                   *((volatile  uint8_t *)(0x42480024UL))
#define bFM0P_MFT_PPG_TTCR0_MONI0                 *((volatile  uint8_t *)(0x42480024UL))
#define bFM_MFT_PPG_TTCR0_TRG0O                   *((volatile  uint8_t *)(0x42480030UL))
#define bFM0P_MFT_PPG_TTCR0_TRG0O                 *((volatile  uint8_t *)(0x42480030UL))
#define bFM_MFT_PPG_TTCR0_TRG2O                   *((volatile  uint8_t *)(0x42480034UL))
#define bFM0P_MFT_PPG_TTCR0_TRG2O                 *((volatile  uint8_t *)(0x42480034UL))
#define bFM_MFT_PPG_TTCR0_TRG4O                   *((volatile  uint8_t *)(0x42480038UL))
#define bFM0P_MFT_PPG_TTCR0_TRG4O                 *((volatile  uint8_t *)(0x42480038UL))
#define bFM_MFT_PPG_TTCR0_TRG6O                   *((volatile  uint8_t *)(0x4248003CUL))
#define bFM0P_MFT_PPG_TTCR0_TRG6O                 *((volatile  uint8_t *)(0x4248003CUL))

#define bFM_MFT_PPG_TTCR1_STR1                    *((volatile  uint8_t *)(0x42480420UL))
#define bFM0P_MFT_PPG_TTCR1_STR1                  *((volatile  uint8_t *)(0x42480420UL))
#define bFM_MFT_PPG_TTCR1_MONI1                   *((volatile  uint8_t *)(0x42480424UL))
#define bFM0P_MFT_PPG_TTCR1_MONI1                 *((volatile  uint8_t *)(0x42480424UL))
#define bFM_MFT_PPG_TTCR1_TRG1O                   *((volatile  uint8_t *)(0x42480430UL))
#define bFM0P_MFT_PPG_TTCR1_TRG1O                 *((volatile  uint8_t *)(0x42480430UL))
#define bFM_MFT_PPG_TTCR1_TRG3O                   *((volatile  uint8_t *)(0x42480434UL))
#define bFM0P_MFT_PPG_TTCR1_TRG3O                 *((volatile  uint8_t *)(0x42480434UL))
#define bFM_MFT_PPG_TTCR1_TRG5O                   *((volatile  uint8_t *)(0x42480438UL))
#define bFM0P_MFT_PPG_TTCR1_TRG5O                 *((volatile  uint8_t *)(0x42480438UL))
#define bFM_MFT_PPG_TTCR1_TRG7O                   *((volatile  uint8_t *)(0x4248043CUL))
#define bFM0P_MFT_PPG_TTCR1_TRG7O                 *((volatile  uint8_t *)(0x4248043CUL))

#define bFM_MFT_PPG_TTCR2_STR2                    *((volatile  uint8_t *)(0x42480820UL))
#define bFM0P_MFT_PPG_TTCR2_STR2                  *((volatile  uint8_t *)(0x42480820UL))
#define bFM_MFT_PPG_TTCR2_MONI2                   *((volatile  uint8_t *)(0x42480824UL))
#define bFM0P_MFT_PPG_TTCR2_MONI2                 *((volatile  uint8_t *)(0x42480824UL))
#define bFM_MFT_PPG_TTCR2_TRG16O                  *((volatile  uint8_t *)(0x42480830UL))
#define bFM0P_MFT_PPG_TTCR2_TRG16O                *((volatile  uint8_t *)(0x42480830UL))
#define bFM_MFT_PPG_TTCR2_TRG18O                  *((volatile  uint8_t *)(0x42480834UL))
#define bFM0P_MFT_PPG_TTCR2_TRG18O                *((volatile  uint8_t *)(0x42480834UL))
#define bFM_MFT_PPG_TTCR2_TRG20O                  *((volatile  uint8_t *)(0x42480838UL))
#define bFM0P_MFT_PPG_TTCR2_TRG20O                *((volatile  uint8_t *)(0x42480838UL))
#define bFM_MFT_PPG_TTCR2_TRG22O                  *((volatile  uint8_t *)(0x4248083CUL))
#define bFM0P_MFT_PPG_TTCR2_TRG22O                *((volatile  uint8_t *)(0x4248083CUL))


/******************************************************************************
 ** MFT Registers MFT0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFT0_ADCMP_ACSD0_AMOD                 *((volatile  uint8_t *)(0x42403AA0UL))
#define bFM0P_MFT0_ADCMP_ACSD0_AMOD               *((volatile  uint8_t *)(0x42403AA0UL))
#define bFM_MFT0_ADCMP_ACSD0_OCUS                 *((volatile  uint8_t *)(0x42403AA4UL))
#define bFM0P_MFT0_ADCMP_ACSD0_OCUS               *((volatile  uint8_t *)(0x42403AA4UL))
#define bFM_MFT0_ADCMP_ACSD0_DE                   *((volatile  uint8_t *)(0x42403AB0UL))
#define bFM0P_MFT0_ADCMP_ACSD0_DE                 *((volatile  uint8_t *)(0x42403AB0UL))
#define bFM_MFT0_ADCMP_ACSD0_PE                   *((volatile  uint8_t *)(0x42403AB4UL))
#define bFM0P_MFT0_ADCMP_ACSD0_PE                 *((volatile  uint8_t *)(0x42403AB4UL))
#define bFM_MFT0_ADCMP_ACSD0_UE                   *((volatile  uint8_t *)(0x42403AB8UL))
#define bFM0P_MFT0_ADCMP_ACSD0_UE                 *((volatile  uint8_t *)(0x42403AB8UL))
#define bFM_MFT0_ADCMP_ACSD0_ZE                   *((volatile  uint8_t *)(0x42403ABCUL))
#define bFM0P_MFT0_ADCMP_ACSD0_ZE                 *((volatile  uint8_t *)(0x42403ABCUL))

#define bFM_MFT0_ADCMP_ACSD1_AMOD                 *((volatile  uint8_t *)(0x42403B20UL))
#define bFM0P_MFT0_ADCMP_ACSD1_AMOD               *((volatile  uint8_t *)(0x42403B20UL))
#define bFM_MFT0_ADCMP_ACSD1_OCUS                 *((volatile  uint8_t *)(0x42403B24UL))
#define bFM0P_MFT0_ADCMP_ACSD1_OCUS               *((volatile  uint8_t *)(0x42403B24UL))
#define bFM_MFT0_ADCMP_ACSD1_DE                   *((volatile  uint8_t *)(0x42403B30UL))
#define bFM0P_MFT0_ADCMP_ACSD1_DE                 *((volatile  uint8_t *)(0x42403B30UL))
#define bFM_MFT0_ADCMP_ACSD1_PE                   *((volatile  uint8_t *)(0x42403B34UL))
#define bFM0P_MFT0_ADCMP_ACSD1_PE                 *((volatile  uint8_t *)(0x42403B34UL))
#define bFM_MFT0_ADCMP_ACSD1_UE                   *((volatile  uint8_t *)(0x42403B38UL))
#define bFM0P_MFT0_ADCMP_ACSD1_UE                 *((volatile  uint8_t *)(0x42403B38UL))
#define bFM_MFT0_ADCMP_ACSD1_ZE                   *((volatile  uint8_t *)(0x42403B3CUL))
#define bFM0P_MFT0_ADCMP_ACSD1_ZE                 *((volatile  uint8_t *)(0x42403B3CUL))

#define bFM_MFT0_ADCMP_ACSD2_AMOD                 *((volatile  uint8_t *)(0x42403BA0UL))
#define bFM0P_MFT0_ADCMP_ACSD2_AMOD               *((volatile  uint8_t *)(0x42403BA0UL))
#define bFM_MFT0_ADCMP_ACSD2_OCUS                 *((volatile  uint8_t *)(0x42403BA4UL))
#define bFM0P_MFT0_ADCMP_ACSD2_OCUS               *((volatile  uint8_t *)(0x42403BA4UL))
#define bFM_MFT0_ADCMP_ACSD2_DE                   *((volatile  uint8_t *)(0x42403BB0UL))
#define bFM0P_MFT0_ADCMP_ACSD2_DE                 *((volatile  uint8_t *)(0x42403BB0UL))
#define bFM_MFT0_ADCMP_ACSD2_PE                   *((volatile  uint8_t *)(0x42403BB4UL))
#define bFM0P_MFT0_ADCMP_ACSD2_PE                 *((volatile  uint8_t *)(0x42403BB4UL))
#define bFM_MFT0_ADCMP_ACSD2_UE                   *((volatile  uint8_t *)(0x42403BB8UL))
#define bFM0P_MFT0_ADCMP_ACSD2_UE                 *((volatile  uint8_t *)(0x42403BB8UL))
#define bFM_MFT0_ADCMP_ACSD2_ZE                   *((volatile  uint8_t *)(0x42403BBCUL))
#define bFM0P_MFT0_ADCMP_ACSD2_ZE                 *((volatile  uint8_t *)(0x42403BBCUL))

#define bFM_MFT0_ADCMP_ACSD3_AMOD                 *((volatile  uint8_t *)(0x42403C20UL))
#define bFM0P_MFT0_ADCMP_ACSD3_AMOD               *((volatile  uint8_t *)(0x42403C20UL))
#define bFM_MFT0_ADCMP_ACSD3_OCUS                 *((volatile  uint8_t *)(0x42403C24UL))
#define bFM0P_MFT0_ADCMP_ACSD3_OCUS               *((volatile  uint8_t *)(0x42403C24UL))
#define bFM_MFT0_ADCMP_ACSD3_DE                   *((volatile  uint8_t *)(0x42403C30UL))
#define bFM0P_MFT0_ADCMP_ACSD3_DE                 *((volatile  uint8_t *)(0x42403C30UL))
#define bFM_MFT0_ADCMP_ACSD3_PE                   *((volatile  uint8_t *)(0x42403C34UL))
#define bFM0P_MFT0_ADCMP_ACSD3_PE                 *((volatile  uint8_t *)(0x42403C34UL))
#define bFM_MFT0_ADCMP_ACSD3_UE                   *((volatile  uint8_t *)(0x42403C38UL))
#define bFM0P_MFT0_ADCMP_ACSD3_UE                 *((volatile  uint8_t *)(0x42403C38UL))
#define bFM_MFT0_ADCMP_ACSD3_ZE                   *((volatile  uint8_t *)(0x42403C3CUL))
#define bFM0P_MFT0_ADCMP_ACSD3_ZE                 *((volatile  uint8_t *)(0x42403C3CUL))

#define bFM_MFT0_ADCMP_ACSD4_AMOD                 *((volatile  uint8_t *)(0x42403CA0UL))
#define bFM0P_MFT0_ADCMP_ACSD4_AMOD               *((volatile  uint8_t *)(0x42403CA0UL))
#define bFM_MFT0_ADCMP_ACSD4_OCUS                 *((volatile  uint8_t *)(0x42403CA4UL))
#define bFM0P_MFT0_ADCMP_ACSD4_OCUS               *((volatile  uint8_t *)(0x42403CA4UL))
#define bFM_MFT0_ADCMP_ACSD4_DE                   *((volatile  uint8_t *)(0x42403CB0UL))
#define bFM0P_MFT0_ADCMP_ACSD4_DE                 *((volatile  uint8_t *)(0x42403CB0UL))
#define bFM_MFT0_ADCMP_ACSD4_PE                   *((volatile  uint8_t *)(0x42403CB4UL))
#define bFM0P_MFT0_ADCMP_ACSD4_PE                 *((volatile  uint8_t *)(0x42403CB4UL))
#define bFM_MFT0_ADCMP_ACSD4_UE                   *((volatile  uint8_t *)(0x42403CB8UL))
#define bFM0P_MFT0_ADCMP_ACSD4_UE                 *((volatile  uint8_t *)(0x42403CB8UL))
#define bFM_MFT0_ADCMP_ACSD4_ZE                   *((volatile  uint8_t *)(0x42403CBCUL))
#define bFM0P_MFT0_ADCMP_ACSD4_ZE                 *((volatile  uint8_t *)(0x42403CBCUL))

#define bFM_MFT0_ADCMP_ACSD5_AMOD                 *((volatile  uint8_t *)(0x42403D20UL))
#define bFM0P_MFT0_ADCMP_ACSD5_AMOD               *((volatile  uint8_t *)(0x42403D20UL))
#define bFM_MFT0_ADCMP_ACSD5_OCUS                 *((volatile  uint8_t *)(0x42403D24UL))
#define bFM0P_MFT0_ADCMP_ACSD5_OCUS               *((volatile  uint8_t *)(0x42403D24UL))
#define bFM_MFT0_ADCMP_ACSD5_DE                   *((volatile  uint8_t *)(0x42403D30UL))
#define bFM0P_MFT0_ADCMP_ACSD5_DE                 *((volatile  uint8_t *)(0x42403D30UL))
#define bFM_MFT0_ADCMP_ACSD5_PE                   *((volatile  uint8_t *)(0x42403D34UL))
#define bFM0P_MFT0_ADCMP_ACSD5_PE                 *((volatile  uint8_t *)(0x42403D34UL))
#define bFM_MFT0_ADCMP_ACSD5_UE                   *((volatile  uint8_t *)(0x42403D38UL))
#define bFM0P_MFT0_ADCMP_ACSD5_UE                 *((volatile  uint8_t *)(0x42403D38UL))
#define bFM_MFT0_ADCMP_ACSD5_ZE                   *((volatile  uint8_t *)(0x42403D3CUL))
#define bFM0P_MFT0_ADCMP_ACSD5_ZE                 *((volatile  uint8_t *)(0x42403D3CUL))

#define bFM_MFT0_FRT_TCAL_STOP00                  *((volatile  uint8_t *)(0x42402C80UL))
#define bFM0P_MFT0_FRT_TCAL_STOP00                *((volatile  uint8_t *)(0x42402C80UL))
#define bFM_MFT0_FRT_TCAL_STOP01                  *((volatile  uint8_t *)(0x42402C84UL))
#define bFM0P_MFT0_FRT_TCAL_STOP01                *((volatile  uint8_t *)(0x42402C84UL))
#define bFM_MFT0_FRT_TCAL_STOP02                  *((volatile  uint8_t *)(0x42402C88UL))
#define bFM0P_MFT0_FRT_TCAL_STOP02                *((volatile  uint8_t *)(0x42402C88UL))
#define bFM_MFT0_FRT_TCAL_STOP10                  *((volatile  uint8_t *)(0x42402C8CUL))
#define bFM0P_MFT0_FRT_TCAL_STOP10                *((volatile  uint8_t *)(0x42402C8CUL))
#define bFM_MFT0_FRT_TCAL_STOP11                  *((volatile  uint8_t *)(0x42402C90UL))
#define bFM0P_MFT0_FRT_TCAL_STOP11                *((volatile  uint8_t *)(0x42402C90UL))
#define bFM_MFT0_FRT_TCAL_STOP12                  *((volatile  uint8_t *)(0x42402C94UL))
#define bFM0P_MFT0_FRT_TCAL_STOP12                *((volatile  uint8_t *)(0x42402C94UL))
#define bFM_MFT0_FRT_TCAL_STOP20                  *((volatile  uint8_t *)(0x42402C98UL))
#define bFM0P_MFT0_FRT_TCAL_STOP20                *((volatile  uint8_t *)(0x42402C98UL))
#define bFM_MFT0_FRT_TCAL_STOP21                  *((volatile  uint8_t *)(0x42402C9CUL))
#define bFM0P_MFT0_FRT_TCAL_STOP21                *((volatile  uint8_t *)(0x42402C9CUL))
#define bFM_MFT0_FRT_TCAL_STOP22                  *((volatile  uint8_t *)(0x42402CA0UL))
#define bFM0P_MFT0_FRT_TCAL_STOP22                *((volatile  uint8_t *)(0x42402CA0UL))
#define bFM_MFT0_FRT_TCAL_SCLR00                  *((volatile  uint8_t *)(0x42402CC0UL))
#define bFM0P_MFT0_FRT_TCAL_SCLR00                *((volatile  uint8_t *)(0x42402CC0UL))
#define bFM_MFT0_FRT_TCAL_SCLR01                  *((volatile  uint8_t *)(0x42402CC4UL))
#define bFM0P_MFT0_FRT_TCAL_SCLR01                *((volatile  uint8_t *)(0x42402CC4UL))
#define bFM_MFT0_FRT_TCAL_SCLR02                  *((volatile  uint8_t *)(0x42402CC8UL))
#define bFM0P_MFT0_FRT_TCAL_SCLR02                *((volatile  uint8_t *)(0x42402CC8UL))
#define bFM_MFT0_FRT_TCAL_SCLR10                  *((volatile  uint8_t *)(0x42402CCCUL))
#define bFM0P_MFT0_FRT_TCAL_SCLR10                *((volatile  uint8_t *)(0x42402CCCUL))
#define bFM_MFT0_FRT_TCAL_SCLR11                  *((volatile  uint8_t *)(0x42402CD0UL))
#define bFM0P_MFT0_FRT_TCAL_SCLR11                *((volatile  uint8_t *)(0x42402CD0UL))
#define bFM_MFT0_FRT_TCAL_SCLR12                  *((volatile  uint8_t *)(0x42402CD4UL))
#define bFM0P_MFT0_FRT_TCAL_SCLR12                *((volatile  uint8_t *)(0x42402CD4UL))
#define bFM_MFT0_FRT_TCAL_SCLR20                  *((volatile  uint8_t *)(0x42402CD8UL))
#define bFM0P_MFT0_FRT_TCAL_SCLR20                *((volatile  uint8_t *)(0x42402CD8UL))
#define bFM_MFT0_FRT_TCAL_SCLR21                  *((volatile  uint8_t *)(0x42402CDCUL))
#define bFM0P_MFT0_FRT_TCAL_SCLR21                *((volatile  uint8_t *)(0x42402CDCUL))
#define bFM_MFT0_FRT_TCAL_SCLR22                  *((volatile  uint8_t *)(0x42402CE0UL))
#define bFM0P_MFT0_FRT_TCAL_SCLR22                *((volatile  uint8_t *)(0x42402CE0UL))

#define bFM_MFT0_FRT_TCSA0_SCLR                   *((volatile  uint8_t *)(0x42402910UL))
#define bFM0P_MFT0_FRT_TCSA0_SCLR                 *((volatile  uint8_t *)(0x42402910UL))
#define bFM_MFT0_FRT_TCSA0_MODE                   *((volatile  uint8_t *)(0x42402914UL))
#define bFM0P_MFT0_FRT_TCSA0_MODE                 *((volatile  uint8_t *)(0x42402914UL))
#define bFM_MFT0_FRT_TCSA0_STOP                   *((volatile  uint8_t *)(0x42402918UL))
#define bFM0P_MFT0_FRT_TCSA0_STOP                 *((volatile  uint8_t *)(0x42402918UL))
#define bFM_MFT0_FRT_TCSA0_BFE                    *((volatile  uint8_t *)(0x4240291CUL))
#define bFM0P_MFT0_FRT_TCSA0_BFE                  *((volatile  uint8_t *)(0x4240291CUL))
#define bFM_MFT0_FRT_TCSA0_ICRE                   *((volatile  uint8_t *)(0x42402920UL))
#define bFM0P_MFT0_FRT_TCSA0_ICRE                 *((volatile  uint8_t *)(0x42402920UL))
#define bFM_MFT0_FRT_TCSA0_ICLR                   *((volatile  uint8_t *)(0x42402924UL))
#define bFM0P_MFT0_FRT_TCSA0_ICLR                 *((volatile  uint8_t *)(0x42402924UL))
#define bFM_MFT0_FRT_TCSA0_IRQZE                  *((volatile  uint8_t *)(0x42402934UL))
#define bFM0P_MFT0_FRT_TCSA0_IRQZE                *((volatile  uint8_t *)(0x42402934UL))
#define bFM_MFT0_FRT_TCSA0_IRQZF                  *((volatile  uint8_t *)(0x42402938UL))
#define bFM0P_MFT0_FRT_TCSA0_IRQZF                *((volatile  uint8_t *)(0x42402938UL))
#define bFM_MFT0_FRT_TCSA0_ECKE                   *((volatile  uint8_t *)(0x4240293CUL))
#define bFM0P_MFT0_FRT_TCSA0_ECKE                 *((volatile  uint8_t *)(0x4240293CUL))

#define bFM_MFT0_FRT_TCSA1_SCLR                   *((volatile  uint8_t *)(0x42402A90UL))
#define bFM0P_MFT0_FRT_TCSA1_SCLR                 *((volatile  uint8_t *)(0x42402A90UL))
#define bFM_MFT0_FRT_TCSA1_MODE                   *((volatile  uint8_t *)(0x42402A94UL))
#define bFM0P_MFT0_FRT_TCSA1_MODE                 *((volatile  uint8_t *)(0x42402A94UL))
#define bFM_MFT0_FRT_TCSA1_STOP                   *((volatile  uint8_t *)(0x42402A98UL))
#define bFM0P_MFT0_FRT_TCSA1_STOP                 *((volatile  uint8_t *)(0x42402A98UL))
#define bFM_MFT0_FRT_TCSA1_BFE                    *((volatile  uint8_t *)(0x42402A9CUL))
#define bFM0P_MFT0_FRT_TCSA1_BFE                  *((volatile  uint8_t *)(0x42402A9CUL))
#define bFM_MFT0_FRT_TCSA1_ICRE                   *((volatile  uint8_t *)(0x42402AA0UL))
#define bFM0P_MFT0_FRT_TCSA1_ICRE                 *((volatile  uint8_t *)(0x42402AA0UL))
#define bFM_MFT0_FRT_TCSA1_ICLR                   *((volatile  uint8_t *)(0x42402AA4UL))
#define bFM0P_MFT0_FRT_TCSA1_ICLR                 *((volatile  uint8_t *)(0x42402AA4UL))
#define bFM_MFT0_FRT_TCSA1_IRQZE                  *((volatile  uint8_t *)(0x42402AB4UL))
#define bFM0P_MFT0_FRT_TCSA1_IRQZE                *((volatile  uint8_t *)(0x42402AB4UL))
#define bFM_MFT0_FRT_TCSA1_IRQZF                  *((volatile  uint8_t *)(0x42402AB8UL))
#define bFM0P_MFT0_FRT_TCSA1_IRQZF                *((volatile  uint8_t *)(0x42402AB8UL))
#define bFM_MFT0_FRT_TCSA1_ECKE                   *((volatile  uint8_t *)(0x42402ABCUL))
#define bFM0P_MFT0_FRT_TCSA1_ECKE                 *((volatile  uint8_t *)(0x42402ABCUL))

#define bFM_MFT0_FRT_TCSA2_SCLR                   *((volatile  uint8_t *)(0x42402C10UL))
#define bFM0P_MFT0_FRT_TCSA2_SCLR                 *((volatile  uint8_t *)(0x42402C10UL))
#define bFM_MFT0_FRT_TCSA2_MODE                   *((volatile  uint8_t *)(0x42402C14UL))
#define bFM0P_MFT0_FRT_TCSA2_MODE                 *((volatile  uint8_t *)(0x42402C14UL))
#define bFM_MFT0_FRT_TCSA2_STOP                   *((volatile  uint8_t *)(0x42402C18UL))
#define bFM0P_MFT0_FRT_TCSA2_STOP                 *((volatile  uint8_t *)(0x42402C18UL))
#define bFM_MFT0_FRT_TCSA2_BFE                    *((volatile  uint8_t *)(0x42402C1CUL))
#define bFM0P_MFT0_FRT_TCSA2_BFE                  *((volatile  uint8_t *)(0x42402C1CUL))
#define bFM_MFT0_FRT_TCSA2_ICRE                   *((volatile  uint8_t *)(0x42402C20UL))
#define bFM0P_MFT0_FRT_TCSA2_ICRE                 *((volatile  uint8_t *)(0x42402C20UL))
#define bFM_MFT0_FRT_TCSA2_ICLR                   *((volatile  uint8_t *)(0x42402C24UL))
#define bFM0P_MFT0_FRT_TCSA2_ICLR                 *((volatile  uint8_t *)(0x42402C24UL))
#define bFM_MFT0_FRT_TCSA2_IRQZE                  *((volatile  uint8_t *)(0x42402C34UL))
#define bFM0P_MFT0_FRT_TCSA2_IRQZE                *((volatile  uint8_t *)(0x42402C34UL))
#define bFM_MFT0_FRT_TCSA2_IRQZF                  *((volatile  uint8_t *)(0x42402C38UL))
#define bFM0P_MFT0_FRT_TCSA2_IRQZF                *((volatile  uint8_t *)(0x42402C38UL))
#define bFM_MFT0_FRT_TCSA2_ECKE                   *((volatile  uint8_t *)(0x42402C3CUL))
#define bFM0P_MFT0_FRT_TCSA2_ECKE                 *((volatile  uint8_t *)(0x42402C3CUL))

#define bFM_MFT0_ICU_ICSA10_ICE0                  *((volatile  uint8_t *)(0x42403090UL))
#define bFM0P_MFT0_ICU_ICSA10_ICE0                *((volatile  uint8_t *)(0x42403090UL))
#define bFM_MFT0_ICU_ICSA10_ICE1                  *((volatile  uint8_t *)(0x42403094UL))
#define bFM0P_MFT0_ICU_ICSA10_ICE1                *((volatile  uint8_t *)(0x42403094UL))
#define bFM_MFT0_ICU_ICSA10_ICP0                  *((volatile  uint8_t *)(0x42403098UL))
#define bFM0P_MFT0_ICU_ICSA10_ICP0                *((volatile  uint8_t *)(0x42403098UL))
#define bFM_MFT0_ICU_ICSA10_ICP1                  *((volatile  uint8_t *)(0x4240309CUL))
#define bFM0P_MFT0_ICU_ICSA10_ICP1                *((volatile  uint8_t *)(0x4240309CUL))

#define bFM_MFT0_ICU_ICSA32_ICE2                  *((volatile  uint8_t *)(0x42403110UL))
#define bFM0P_MFT0_ICU_ICSA32_ICE2                *((volatile  uint8_t *)(0x42403110UL))
#define bFM_MFT0_ICU_ICSA32_ICE3                  *((volatile  uint8_t *)(0x42403114UL))
#define bFM0P_MFT0_ICU_ICSA32_ICE3                *((volatile  uint8_t *)(0x42403114UL))
#define bFM_MFT0_ICU_ICSA32_ICP2                  *((volatile  uint8_t *)(0x42403118UL))
#define bFM0P_MFT0_ICU_ICSA32_ICP2                *((volatile  uint8_t *)(0x42403118UL))
#define bFM_MFT0_ICU_ICSA32_ICP3                  *((volatile  uint8_t *)(0x4240311CUL))
#define bFM0P_MFT0_ICU_ICSA32_ICP3                *((volatile  uint8_t *)(0x4240311CUL))

#define bFM_MFT0_ICU_ICSB10_IEI0                  *((volatile  uint8_t *)(0x424030A0UL))
#define bFM0P_MFT0_ICU_ICSB10_IEI0                *((volatile  uint8_t *)(0x424030A0UL))
#define bFM_MFT0_ICU_ICSB10_IEI1                  *((volatile  uint8_t *)(0x424030A4UL))
#define bFM0P_MFT0_ICU_ICSB10_IEI1                *((volatile  uint8_t *)(0x424030A4UL))

#define bFM_MFT0_ICU_ICSB32_IEI2                  *((volatile  uint8_t *)(0x42403120UL))
#define bFM0P_MFT0_ICU_ICSB32_IEI2                *((volatile  uint8_t *)(0x42403120UL))
#define bFM_MFT0_ICU_ICSB32_IEI3                  *((volatile  uint8_t *)(0x42403124UL))
#define bFM0P_MFT0_ICU_ICSB32_IEI3                *((volatile  uint8_t *)(0x42403124UL))

#define bFM_MFT0_OCU_OCSA10_CST0                  *((volatile  uint8_t *)(0x42402300UL))
#define bFM0P_MFT0_OCU_OCSA10_CST0                *((volatile  uint8_t *)(0x42402300UL))
#define bFM_MFT0_OCU_OCSA10_CST1                  *((volatile  uint8_t *)(0x42402304UL))
#define bFM0P_MFT0_OCU_OCSA10_CST1                *((volatile  uint8_t *)(0x42402304UL))
#define bFM_MFT0_OCU_OCSA10_IOE0                  *((volatile  uint8_t *)(0x42402310UL))
#define bFM0P_MFT0_OCU_OCSA10_IOE0                *((volatile  uint8_t *)(0x42402310UL))
#define bFM_MFT0_OCU_OCSA10_IOE1                  *((volatile  uint8_t *)(0x42402314UL))
#define bFM0P_MFT0_OCU_OCSA10_IOE1                *((volatile  uint8_t *)(0x42402314UL))
#define bFM_MFT0_OCU_OCSA10_IOP0                  *((volatile  uint8_t *)(0x42402318UL))
#define bFM0P_MFT0_OCU_OCSA10_IOP0                *((volatile  uint8_t *)(0x42402318UL))
#define bFM_MFT0_OCU_OCSA10_IOP1                  *((volatile  uint8_t *)(0x4240231CUL))
#define bFM0P_MFT0_OCU_OCSA10_IOP1                *((volatile  uint8_t *)(0x4240231CUL))

#define bFM_MFT0_OCU_OCSA32_CST2                  *((volatile  uint8_t *)(0x42402380UL))
#define bFM0P_MFT0_OCU_OCSA32_CST2                *((volatile  uint8_t *)(0x42402380UL))
#define bFM_MFT0_OCU_OCSA32_CST3                  *((volatile  uint8_t *)(0x42402384UL))
#define bFM0P_MFT0_OCU_OCSA32_CST3                *((volatile  uint8_t *)(0x42402384UL))
#define bFM_MFT0_OCU_OCSA32_IOE2                  *((volatile  uint8_t *)(0x42402390UL))
#define bFM0P_MFT0_OCU_OCSA32_IOE2                *((volatile  uint8_t *)(0x42402390UL))
#define bFM_MFT0_OCU_OCSA32_IOE3                  *((volatile  uint8_t *)(0x42402394UL))
#define bFM0P_MFT0_OCU_OCSA32_IOE3                *((volatile  uint8_t *)(0x42402394UL))
#define bFM_MFT0_OCU_OCSA32_IOP2                  *((volatile  uint8_t *)(0x42402398UL))
#define bFM0P_MFT0_OCU_OCSA32_IOP2                *((volatile  uint8_t *)(0x42402398UL))
#define bFM_MFT0_OCU_OCSA32_IOP3                  *((volatile  uint8_t *)(0x4240239CUL))
#define bFM0P_MFT0_OCU_OCSA32_IOP3                *((volatile  uint8_t *)(0x4240239CUL))

#define bFM_MFT0_OCU_OCSA54_CST4                  *((volatile  uint8_t *)(0x42402400UL))
#define bFM0P_MFT0_OCU_OCSA54_CST4                *((volatile  uint8_t *)(0x42402400UL))
#define bFM_MFT0_OCU_OCSA54_CST5                  *((volatile  uint8_t *)(0x42402404UL))
#define bFM0P_MFT0_OCU_OCSA54_CST5                *((volatile  uint8_t *)(0x42402404UL))
#define bFM_MFT0_OCU_OCSA54_IOE4                  *((volatile  uint8_t *)(0x42402410UL))
#define bFM0P_MFT0_OCU_OCSA54_IOE4                *((volatile  uint8_t *)(0x42402410UL))
#define bFM_MFT0_OCU_OCSA54_IOE5                  *((volatile  uint8_t *)(0x42402414UL))
#define bFM0P_MFT0_OCU_OCSA54_IOE5                *((volatile  uint8_t *)(0x42402414UL))
#define bFM_MFT0_OCU_OCSA54_IOP4                  *((volatile  uint8_t *)(0x42402418UL))
#define bFM0P_MFT0_OCU_OCSA54_IOP4                *((volatile  uint8_t *)(0x42402418UL))
#define bFM_MFT0_OCU_OCSA54_IOP5                  *((volatile  uint8_t *)(0x4240241CUL))
#define bFM0P_MFT0_OCU_OCSA54_IOP5                *((volatile  uint8_t *)(0x4240241CUL))

#define bFM_MFT0_OCU_OCSB10_OTD0                  *((volatile  uint8_t *)(0x42402320UL))
#define bFM0P_MFT0_OCU_OCSB10_OTD0                *((volatile  uint8_t *)(0x42402320UL))
#define bFM_MFT0_OCU_OCSB10_OTD1                  *((volatile  uint8_t *)(0x42402324UL))
#define bFM0P_MFT0_OCU_OCSB10_OTD1                *((volatile  uint8_t *)(0x42402324UL))
#define bFM_MFT0_OCU_OCSB10_CMOD                  *((volatile  uint8_t *)(0x42402330UL))
#define bFM0P_MFT0_OCU_OCSB10_CMOD                *((volatile  uint8_t *)(0x42402330UL))
#define bFM_MFT0_OCU_OCSB10_FM4                   *((volatile  uint8_t *)(0x4240233CUL))
#define bFM0P_MFT0_OCU_OCSB10_FM4                 *((volatile  uint8_t *)(0x4240233CUL))

#define bFM_MFT0_OCU_OCSB32_OTD2                  *((volatile  uint8_t *)(0x424023A0UL))
#define bFM0P_MFT0_OCU_OCSB32_OTD2                *((volatile  uint8_t *)(0x424023A0UL))
#define bFM_MFT0_OCU_OCSB32_OTD3                  *((volatile  uint8_t *)(0x424023A4UL))
#define bFM0P_MFT0_OCU_OCSB32_OTD3                *((volatile  uint8_t *)(0x424023A4UL))
#define bFM_MFT0_OCU_OCSB32_CMOD                  *((volatile  uint8_t *)(0x424023B0UL))
#define bFM0P_MFT0_OCU_OCSB32_CMOD                *((volatile  uint8_t *)(0x424023B0UL))
#define bFM_MFT0_OCU_OCSB32_FM4                   *((volatile  uint8_t *)(0x424023BCUL))
#define bFM0P_MFT0_OCU_OCSB32_FM4                 *((volatile  uint8_t *)(0x424023BCUL))

#define bFM_MFT0_OCU_OCSB54_OTD4                  *((volatile  uint8_t *)(0x42402420UL))
#define bFM0P_MFT0_OCU_OCSB54_OTD4                *((volatile  uint8_t *)(0x42402420UL))
#define bFM_MFT0_OCU_OCSB54_OTD5                  *((volatile  uint8_t *)(0x42402424UL))
#define bFM0P_MFT0_OCU_OCSB54_OTD5                *((volatile  uint8_t *)(0x42402424UL))
#define bFM_MFT0_OCU_OCSB54_CMOD                  *((volatile  uint8_t *)(0x42402430UL))
#define bFM0P_MFT0_OCU_OCSB54_CMOD                *((volatile  uint8_t *)(0x42402430UL))
#define bFM_MFT0_OCU_OCSB54_FM4                   *((volatile  uint8_t *)(0x4240243CUL))
#define bFM0P_MFT0_OCU_OCSB54_FM4                 *((volatile  uint8_t *)(0x4240243CUL))

#define bFM_MFT0_OCU_OCSC_MOD0                    *((volatile  uint8_t *)(0x424024A0UL))
#define bFM0P_MFT0_OCU_OCSC_MOD0                  *((volatile  uint8_t *)(0x424024A0UL))
#define bFM_MFT0_OCU_OCSC_MOD1                    *((volatile  uint8_t *)(0x424024A4UL))
#define bFM0P_MFT0_OCU_OCSC_MOD1                  *((volatile  uint8_t *)(0x424024A4UL))
#define bFM_MFT0_OCU_OCSC_MOD2                    *((volatile  uint8_t *)(0x424024A8UL))
#define bFM0P_MFT0_OCU_OCSC_MOD2                  *((volatile  uint8_t *)(0x424024A8UL))
#define bFM_MFT0_OCU_OCSC_MOD3                    *((volatile  uint8_t *)(0x424024ACUL))
#define bFM0P_MFT0_OCU_OCSC_MOD3                  *((volatile  uint8_t *)(0x424024ACUL))
#define bFM_MFT0_OCU_OCSC_MOD4                    *((volatile  uint8_t *)(0x424024B0UL))
#define bFM0P_MFT0_OCU_OCSC_MOD4                  *((volatile  uint8_t *)(0x424024B0UL))
#define bFM_MFT0_OCU_OCSC_MOD5                    *((volatile  uint8_t *)(0x424024B4UL))
#define bFM0P_MFT0_OCU_OCSC_MOD5                  *((volatile  uint8_t *)(0x424024B4UL))

#define bFM_MFT0_WFG_NZCL_DTIEA                   *((volatile  uint16_t*)(0x42403680UL))
#define bFM0P_MFT0_WFG_NZCL_DTIEA                 *((volatile  uint16_t*)(0x42403680UL))
#define bFM_MFT0_WFG_NZCL_SDTI                    *((volatile  uint16_t*)(0x42403690UL))
#define bFM0P_MFT0_WFG_NZCL_SDTI                  *((volatile  uint16_t*)(0x42403690UL))
#define bFM_MFT0_WFG_NZCL_DTIEB                   *((volatile  uint16_t*)(0x42403694UL))
#define bFM0P_MFT0_WFG_NZCL_DTIEB                 *((volatile  uint16_t*)(0x42403694UL))
#define bFM_MFT0_WFG_NZCL_DIMA                    *((volatile  uint16_t*)(0x424036A0UL))
#define bFM0P_MFT0_WFG_NZCL_DIMA                  *((volatile  uint16_t*)(0x424036A0UL))
#define bFM_MFT0_WFG_NZCL_DIMB                    *((volatile  uint16_t*)(0x424036A4UL))
#define bFM0P_MFT0_WFG_NZCL_DIMB                  *((volatile  uint16_t*)(0x424036A4UL))
#define bFM_MFT0_WFG_NZCL_WIM10                   *((volatile  uint16_t*)(0x424036B0UL))
#define bFM0P_MFT0_WFG_NZCL_WIM10                 *((volatile  uint16_t*)(0x424036B0UL))
#define bFM_MFT0_WFG_NZCL_WIM32                   *((volatile  uint16_t*)(0x424036B4UL))
#define bFM0P_MFT0_WFG_NZCL_WIM32                 *((volatile  uint16_t*)(0x424036B4UL))
#define bFM_MFT0_WFG_NZCL_WIM54                   *((volatile  uint16_t*)(0x424036B8UL))
#define bFM0P_MFT0_WFG_NZCL_WIM54                 *((volatile  uint16_t*)(0x424036B8UL))

#define bFM_MFT0_WFG_WFIR_DTIFA                   *((volatile  uint16_t*)(0x42403600UL))
#define bFM0P_MFT0_WFG_WFIR_DTIFA                 *((volatile  uint16_t*)(0x42403600UL))
#define bFM_MFT0_WFG_WFIR_DTICA                   *((volatile  uint16_t*)(0x42403604UL))
#define bFM0P_MFT0_WFG_WFIR_DTICA                 *((volatile  uint16_t*)(0x42403604UL))
#define bFM_MFT0_WFG_WFIR_DTIFB                   *((volatile  uint16_t*)(0x42403608UL))
#define bFM0P_MFT0_WFG_WFIR_DTIFB                 *((volatile  uint16_t*)(0x42403608UL))
#define bFM_MFT0_WFG_WFIR_DTICB                   *((volatile  uint16_t*)(0x4240360CUL))
#define bFM0P_MFT0_WFG_WFIR_DTICB                 *((volatile  uint16_t*)(0x4240360CUL))
#define bFM_MFT0_WFG_WFIR_TMIF10                  *((volatile  uint16_t*)(0x42403610UL))
#define bFM0P_MFT0_WFG_WFIR_TMIF10                *((volatile  uint16_t*)(0x42403610UL))
#define bFM_MFT0_WFG_WFIR_TMIC10                  *((volatile  uint16_t*)(0x42403614UL))
#define bFM0P_MFT0_WFG_WFIR_TMIC10                *((volatile  uint16_t*)(0x42403614UL))
#define bFM_MFT0_WFG_WFIR_TMIE10                  *((volatile  uint16_t*)(0x42403618UL))
#define bFM0P_MFT0_WFG_WFIR_TMIE10                *((volatile  uint16_t*)(0x42403618UL))
#define bFM_MFT0_WFG_WFIR_TMIS10                  *((volatile  uint16_t*)(0x4240361CUL))
#define bFM0P_MFT0_WFG_WFIR_TMIS10                *((volatile  uint16_t*)(0x4240361CUL))
#define bFM_MFT0_WFG_WFIR_TMIF32                  *((volatile  uint16_t*)(0x42403620UL))
#define bFM0P_MFT0_WFG_WFIR_TMIF32                *((volatile  uint16_t*)(0x42403620UL))
#define bFM_MFT0_WFG_WFIR_TMIC32                  *((volatile  uint16_t*)(0x42403624UL))
#define bFM0P_MFT0_WFG_WFIR_TMIC32                *((volatile  uint16_t*)(0x42403624UL))
#define bFM_MFT0_WFG_WFIR_TMIE32                  *((volatile  uint16_t*)(0x42403628UL))
#define bFM0P_MFT0_WFG_WFIR_TMIE32                *((volatile  uint16_t*)(0x42403628UL))
#define bFM_MFT0_WFG_WFIR_TMIS32                  *((volatile  uint16_t*)(0x4240362CUL))
#define bFM0P_MFT0_WFG_WFIR_TMIS32                *((volatile  uint16_t*)(0x4240362CUL))
#define bFM_MFT0_WFG_WFIR_TMIF54                  *((volatile  uint16_t*)(0x42403630UL))
#define bFM0P_MFT0_WFG_WFIR_TMIF54                *((volatile  uint16_t*)(0x42403630UL))
#define bFM_MFT0_WFG_WFIR_TMIC54                  *((volatile  uint16_t*)(0x42403634UL))
#define bFM0P_MFT0_WFG_WFIR_TMIC54                *((volatile  uint16_t*)(0x42403634UL))
#define bFM_MFT0_WFG_WFIR_TMIE54                  *((volatile  uint16_t*)(0x42403638UL))
#define bFM0P_MFT0_WFG_WFIR_TMIE54                *((volatile  uint16_t*)(0x42403638UL))
#define bFM_MFT0_WFG_WFIR_TMIS54                  *((volatile  uint16_t*)(0x4240363CUL))
#define bFM0P_MFT0_WFG_WFIR_TMIS54                *((volatile  uint16_t*)(0x4240363CUL))


/******************************************************************************
 ** MTB_DWT Registers MTB_DWT
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** QPRC Registers QPRC0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_QPRC0_QCR_PSTP                        *((volatile  uint8_t *)(0x424C0310UL))
#define bFM0P_QPRC0_QCR_PSTP                      *((volatile  uint8_t *)(0x424C0310UL))
#define bFM_QPRC0_QCR_CGSC                        *((volatile  uint8_t *)(0x424C0314UL))
#define bFM0P_QPRC0_QCR_CGSC                      *((volatile  uint8_t *)(0x424C0314UL))
#define bFM_QPRC0_QCR_RSEL                        *((volatile  uint8_t *)(0x424C0318UL))
#define bFM0P_QPRC0_QCR_RSEL                      *((volatile  uint8_t *)(0x424C0318UL))
#define bFM_QPRC0_QCR_SWAP                        *((volatile  uint8_t *)(0x424C031CUL))
#define bFM0P_QPRC0_QCR_SWAP                      *((volatile  uint8_t *)(0x424C031CUL))

#define bFM_QPRC0_QECR_ORNGMD                     *((volatile  uint8_t *)(0x424C0380UL))
#define bFM0P_QPRC0_QECR_ORNGMD                   *((volatile  uint8_t *)(0x424C0380UL))
#define bFM_QPRC0_QECR_ORNGF                      *((volatile  uint8_t *)(0x424C0384UL))
#define bFM0P_QPRC0_QECR_ORNGF                    *((volatile  uint8_t *)(0x424C0384UL))
#define bFM_QPRC0_QECR_ORNGIE                     *((volatile  uint8_t *)(0x424C0388UL))
#define bFM0P_QPRC0_QECR_ORNGIE                   *((volatile  uint8_t *)(0x424C0388UL))

#define bFM_QPRC0_QICRH_CDCIE                     *((volatile  uint8_t *)(0x424C02A0UL))
#define bFM0P_QPRC0_QICRH_CDCIE                   *((volatile  uint8_t *)(0x424C02A0UL))
#define bFM_QPRC0_QICRH_CDCF                      *((volatile  uint8_t *)(0x424C02A4UL))
#define bFM0P_QPRC0_QICRH_CDCF                    *((volatile  uint8_t *)(0x424C02A4UL))
#define bFM_QPRC0_QICRH_DIRPC                     *((volatile  uint8_t *)(0x424C02A8UL))
#define bFM0P_QPRC0_QICRH_DIRPC                   *((volatile  uint8_t *)(0x424C02A8UL))
#define bFM_QPRC0_QICRH_DIROU                     *((volatile  uint8_t *)(0x424C02ACUL))
#define bFM0P_QPRC0_QICRH_DIROU                   *((volatile  uint8_t *)(0x424C02ACUL))
#define bFM_QPRC0_QICRH_QPCNRCMIE                 *((volatile  uint8_t *)(0x424C02B0UL))
#define bFM0P_QPRC0_QICRH_QPCNRCMIE               *((volatile  uint8_t *)(0x424C02B0UL))
#define bFM_QPRC0_QICRH_QPCNRCMF                  *((volatile  uint8_t *)(0x424C02B4UL))
#define bFM0P_QPRC0_QICRH_QPCNRCMF                *((volatile  uint8_t *)(0x424C02B4UL))

#define bFM_QPRC0_QICRL_QPCMIE                    *((volatile  uint8_t *)(0x424C0280UL))
#define bFM0P_QPRC0_QICRL_QPCMIE                  *((volatile  uint8_t *)(0x424C0280UL))
#define bFM_QPRC0_QICRL_QPCMF                     *((volatile  uint8_t *)(0x424C0284UL))
#define bFM0P_QPRC0_QICRL_QPCMF                   *((volatile  uint8_t *)(0x424C0284UL))
#define bFM_QPRC0_QICRL_QPRCMIE                   *((volatile  uint8_t *)(0x424C0288UL))
#define bFM0P_QPRC0_QICRL_QPRCMIE                 *((volatile  uint8_t *)(0x424C0288UL))
#define bFM_QPRC0_QICRL_QPRCMF                    *((volatile  uint8_t *)(0x424C028CUL))
#define bFM0P_QPRC0_QICRL_QPRCMF                  *((volatile  uint8_t *)(0x424C028CUL))
#define bFM_QPRC0_QICRL_OUZIE                     *((volatile  uint8_t *)(0x424C0290UL))
#define bFM0P_QPRC0_QICRL_OUZIE                   *((volatile  uint8_t *)(0x424C0290UL))
#define bFM_QPRC0_QICRL_UFDF                      *((volatile  uint8_t *)(0x424C0294UL))
#define bFM0P_QPRC0_QICRL_UFDF                    *((volatile  uint8_t *)(0x424C0294UL))
#define bFM_QPRC0_QICRL_OFDF                      *((volatile  uint8_t *)(0x424C0298UL))
#define bFM0P_QPRC0_QICRL_OFDF                    *((volatile  uint8_t *)(0x424C0298UL))
#define bFM_QPRC0_QICRL_ZIIF                      *((volatile  uint8_t *)(0x424C029CUL))
#define bFM0P_QPRC0_QICRL_ZIIF                    *((volatile  uint8_t *)(0x424C029CUL))


/******************************************************************************
 ** QPRC_NF Registers QPRC0_NF
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_QPRC0_NF_NFCTLA_AINLV                 *((volatile  uint8_t *)(0x424C2010UL))
#define bFM0P_QPRC0_NF_NFCTLA_AINLV               *((volatile  uint8_t *)(0x424C2010UL))
#define bFM_QPRC0_NF_NFCTLA_AINMD                 *((volatile  uint8_t *)(0x424C2014UL))
#define bFM0P_QPRC0_NF_NFCTLA_AINMD               *((volatile  uint8_t *)(0x424C2014UL))

#define bFM_QPRC0_NF_NFCTLB_BINLV                 *((volatile  uint8_t *)(0x424C2090UL))
#define bFM0P_QPRC0_NF_NFCTLB_BINLV               *((volatile  uint8_t *)(0x424C2090UL))
#define bFM_QPRC0_NF_NFCTLB_BINMD                 *((volatile  uint8_t *)(0x424C2094UL))
#define bFM0P_QPRC0_NF_NFCTLB_BINMD               *((volatile  uint8_t *)(0x424C2094UL))

#define bFM_QPRC0_NF_NFCTLZ_ZINLV                 *((volatile  uint8_t *)(0x424C2110UL))
#define bFM0P_QPRC0_NF_NFCTLZ_ZINLV               *((volatile  uint8_t *)(0x424C2110UL))
#define bFM_QPRC0_NF_NFCTLZ_ZINMD                 *((volatile  uint8_t *)(0x424C2114UL))
#define bFM0P_QPRC0_NF_NFCTLZ_ZINMD               *((volatile  uint8_t *)(0x424C2114UL))


/******************************************************************************
 ** RTC Registers RTC
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_RTC_ALMOR_TAMO0                       *((volatile  uint8_t *)(0x42760330UL))
#define bFM0P_RTC_ALMOR_TAMO0                     *((volatile  uint8_t *)(0x42760330UL))

#define bFM_RTC_WTCALEN_WTCALEN                   *((volatile  uint8_t *)(0x427604C0UL))
#define bFM0P_RTC_WTCALEN_WTCALEN                 *((volatile  uint8_t *)(0x427604C0UL))

#define bFM_RTC_WTCLKS_WTCLKS                     *((volatile  uint8_t *)(0x42760400UL))
#define bFM0P_RTC_WTCLKS_WTCLKS                   *((volatile  uint8_t *)(0x42760400UL))

#define bFM_RTC_WTCOSEL_WTCOSEL                   *((volatile  uint8_t *)(0x42760600UL))
#define bFM0P_RTC_WTCOSEL_WTCOSEL                 *((volatile  uint8_t *)(0x42760600UL))

#define bFM_RTC_WTCR1_ST                          *((volatile  uint8_t *)(0x42760000UL))
#define bFM0P_RTC_WTCR1_ST                        *((volatile  uint8_t *)(0x42760000UL))
#define bFM_RTC_WTCR1_RUN                         *((volatile  uint8_t *)(0x42760008UL))
#define bFM0P_RTC_WTCR1_RUN                       *((volatile  uint8_t *)(0x42760008UL))
#define bFM_RTC_WTCR1_SRST                        *((volatile  uint8_t *)(0x4276000CUL))
#define bFM0P_RTC_WTCR1_SRST                      *((volatile  uint8_t *)(0x4276000CUL))
#define bFM_RTC_WTCR1_SCST                        *((volatile  uint8_t *)(0x42760010UL))
#define bFM0P_RTC_WTCR1_SCST                      *((volatile  uint8_t *)(0x42760010UL))
#define bFM_RTC_WTCR1_SCRST                       *((volatile  uint8_t *)(0x42760014UL))
#define bFM0P_RTC_WTCR1_SCRST                     *((volatile  uint8_t *)(0x42760014UL))
#define bFM_RTC_WTCR1_BUSY                        *((volatile  uint8_t *)(0x42760018UL))
#define bFM0P_RTC_WTCR1_BUSY                      *((volatile  uint8_t *)(0x42760018UL))
#define bFM_RTC_WTCR1_MIEN                        *((volatile  uint8_t *)(0x42760020UL))
#define bFM0P_RTC_WTCR1_MIEN                      *((volatile  uint8_t *)(0x42760020UL))
#define bFM_RTC_WTCR1_HEN                         *((volatile  uint8_t *)(0x42760024UL))
#define bFM0P_RTC_WTCR1_HEN                       *((volatile  uint8_t *)(0x42760024UL))
#define bFM_RTC_WTCR1_DEN                         *((volatile  uint8_t *)(0x42760028UL))
#define bFM0P_RTC_WTCR1_DEN                       *((volatile  uint8_t *)(0x42760028UL))
#define bFM_RTC_WTCR1_MOEN                        *((volatile  uint8_t *)(0x4276002CUL))
#define bFM0P_RTC_WTCR1_MOEN                      *((volatile  uint8_t *)(0x4276002CUL))
#define bFM_RTC_WTCR1_YEN                         *((volatile  uint8_t *)(0x42760030UL))
#define bFM0P_RTC_WTCR1_YEN                       *((volatile  uint8_t *)(0x42760030UL))
#define bFM_RTC_WTCR1_INTSSI                      *((volatile  uint8_t *)(0x42760040UL))
#define bFM0P_RTC_WTCR1_INTSSI                    *((volatile  uint8_t *)(0x42760040UL))
#define bFM_RTC_WTCR1_INTSI                       *((volatile  uint8_t *)(0x42760044UL))
#define bFM0P_RTC_WTCR1_INTSI                     *((volatile  uint8_t *)(0x42760044UL))
#define bFM_RTC_WTCR1_INTMI                       *((volatile  uint8_t *)(0x42760048UL))
#define bFM0P_RTC_WTCR1_INTMI                     *((volatile  uint8_t *)(0x42760048UL))
#define bFM_RTC_WTCR1_INTHI                       *((volatile  uint8_t *)(0x4276004CUL))
#define bFM0P_RTC_WTCR1_INTHI                     *((volatile  uint8_t *)(0x4276004CUL))
#define bFM_RTC_WTCR1_INTTMI                      *((volatile  uint8_t *)(0x42760050UL))
#define bFM0P_RTC_WTCR1_INTTMI                    *((volatile  uint8_t *)(0x42760050UL))
#define bFM_RTC_WTCR1_INTALI                      *((volatile  uint8_t *)(0x42760054UL))
#define bFM0P_RTC_WTCR1_INTALI                    *((volatile  uint8_t *)(0x42760054UL))
#define bFM_RTC_WTCR1_INTERI                      *((volatile  uint8_t *)(0x42760058UL))
#define bFM0P_RTC_WTCR1_INTERI                    *((volatile  uint8_t *)(0x42760058UL))
#define bFM_RTC_WTCR1_INTCRI                      *((volatile  uint8_t *)(0x4276005CUL))
#define bFM0P_RTC_WTCR1_INTCRI                    *((volatile  uint8_t *)(0x4276005CUL))
#define bFM_RTC_WTCR1_INTSSIE                     *((volatile  uint8_t *)(0x42760060UL))
#define bFM0P_RTC_WTCR1_INTSSIE                   *((volatile  uint8_t *)(0x42760060UL))
#define bFM_RTC_WTCR1_INTSIE                      *((volatile  uint8_t *)(0x42760064UL))
#define bFM0P_RTC_WTCR1_INTSIE                    *((volatile  uint8_t *)(0x42760064UL))
#define bFM_RTC_WTCR1_INTMIE                      *((volatile  uint8_t *)(0x42760068UL))
#define bFM0P_RTC_WTCR1_INTMIE                    *((volatile  uint8_t *)(0x42760068UL))
#define bFM_RTC_WTCR1_INTHIE                      *((volatile  uint8_t *)(0x4276006CUL))
#define bFM0P_RTC_WTCR1_INTHIE                    *((volatile  uint8_t *)(0x4276006CUL))
#define bFM_RTC_WTCR1_INTTMIE                     *((volatile  uint8_t *)(0x42760070UL))
#define bFM0P_RTC_WTCR1_INTTMIE                   *((volatile  uint8_t *)(0x42760070UL))
#define bFM_RTC_WTCR1_INTALIE                     *((volatile  uint8_t *)(0x42760074UL))
#define bFM0P_RTC_WTCR1_INTALIE                   *((volatile  uint8_t *)(0x42760074UL))
#define bFM_RTC_WTCR1_INTERIE                     *((volatile  uint8_t *)(0x42760078UL))
#define bFM0P_RTC_WTCR1_INTERIE                   *((volatile  uint8_t *)(0x42760078UL))
#define bFM_RTC_WTCR1_INTCRIE                     *((volatile  uint8_t *)(0x4276007CUL))
#define bFM0P_RTC_WTCR1_INTCRIE                   *((volatile  uint8_t *)(0x4276007CUL))

#define bFM_RTC_WTCR2_CREAD                       *((volatile  uint8_t *)(0x42760080UL))
#define bFM0P_RTC_WTCR2_CREAD                     *((volatile  uint8_t *)(0x42760080UL))
#define bFM_RTC_WTCR2_TMST                        *((volatile  uint8_t *)(0x427600A0UL))
#define bFM0P_RTC_WTCR2_TMST                      *((volatile  uint8_t *)(0x427600A0UL))
#define bFM_RTC_WTCR2_TMEN                        *((volatile  uint8_t *)(0x427600A4UL))
#define bFM0P_RTC_WTCR2_TMEN                      *((volatile  uint8_t *)(0x427600A4UL))
#define bFM_RTC_WTCR2_TMRUN                       *((volatile  uint8_t *)(0x427600A8UL))
#define bFM0P_RTC_WTCR2_TMRUN                     *((volatile  uint8_t *)(0x427600A8UL))

#define bFM_RTC_WTDIVEN_WTDIVEN                   *((volatile  uint8_t *)(0x42760520UL))
#define bFM0P_RTC_WTDIVEN_WTDIVEN                 *((volatile  uint8_t *)(0x42760520UL))
#define bFM_RTC_WTDIVEN_WTDIVRDY                  *((volatile  uint8_t *)(0x42760524UL))
#define bFM0P_RTC_WTDIVEN_WTDIVRDY                *((volatile  uint8_t *)(0x42760524UL))

#define bFM_RTC_WTMOR_TMO0                        *((volatile  uint8_t *)(0x42760230UL))
#define bFM0P_RTC_WTMOR_TMO0                      *((volatile  uint8_t *)(0x42760230UL))


/******************************************************************************
 ** SBSSR Registers SBSSR
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_SBSSR_BTSSSR_SSSR0                    *((volatile  uint8_t *)(0x424BFF80UL))
#define bFM0P_SBSSR_BTSSSR_SSSR0                  *((volatile  uint8_t *)(0x424BFF80UL))
#define bFM_SBSSR_BTSSSR_SSSR1                    *((volatile  uint8_t *)(0x424BFF84UL))
#define bFM0P_SBSSR_BTSSSR_SSSR1                  *((volatile  uint8_t *)(0x424BFF84UL))
#define bFM_SBSSR_BTSSSR_SSSR2                    *((volatile  uint8_t *)(0x424BFF88UL))
#define bFM0P_SBSSR_BTSSSR_SSSR2                  *((volatile  uint8_t *)(0x424BFF88UL))
#define bFM_SBSSR_BTSSSR_SSSR3                    *((volatile  uint8_t *)(0x424BFF8CUL))
#define bFM0P_SBSSR_BTSSSR_SSSR3                  *((volatile  uint8_t *)(0x424BFF8CUL))
#define bFM_SBSSR_BTSSSR_SSSR4                    *((volatile  uint8_t *)(0x424BFF90UL))
#define bFM0P_SBSSR_BTSSSR_SSSR4                  *((volatile  uint8_t *)(0x424BFF90UL))
#define bFM_SBSSR_BTSSSR_SSSR5                    *((volatile  uint8_t *)(0x424BFF94UL))
#define bFM0P_SBSSR_BTSSSR_SSSR5                  *((volatile  uint8_t *)(0x424BFF94UL))
#define bFM_SBSSR_BTSSSR_SSSR6                    *((volatile  uint8_t *)(0x424BFF98UL))
#define bFM0P_SBSSR_BTSSSR_SSSR6                  *((volatile  uint8_t *)(0x424BFF98UL))
#define bFM_SBSSR_BTSSSR_SSSR7                    *((volatile  uint8_t *)(0x424BFF9CUL))
#define bFM0P_SBSSR_BTSSSR_SSSR7                  *((volatile  uint8_t *)(0x424BFF9CUL))
#define bFM_SBSSR_BTSSSR_SSSR8                    *((volatile  uint8_t *)(0x424BFFA0UL))
#define bFM0P_SBSSR_BTSSSR_SSSR8                  *((volatile  uint8_t *)(0x424BFFA0UL))
#define bFM_SBSSR_BTSSSR_SSSR9                    *((volatile  uint8_t *)(0x424BFFA4UL))
#define bFM0P_SBSSR_BTSSSR_SSSR9                  *((volatile  uint8_t *)(0x424BFFA4UL))
#define bFM_SBSSR_BTSSSR_SSSR10                   *((volatile  uint8_t *)(0x424BFFA8UL))
#define bFM0P_SBSSR_BTSSSR_SSSR10                 *((volatile  uint8_t *)(0x424BFFA8UL))
#define bFM_SBSSR_BTSSSR_SSSR11                   *((volatile  uint8_t *)(0x424BFFACUL))
#define bFM0P_SBSSR_BTSSSR_SSSR11                 *((volatile  uint8_t *)(0x424BFFACUL))
#define bFM_SBSSR_BTSSSR_SSSR12                   *((volatile  uint8_t *)(0x424BFFB0UL))
#define bFM0P_SBSSR_BTSSSR_SSSR12                 *((volatile  uint8_t *)(0x424BFFB0UL))
#define bFM_SBSSR_BTSSSR_SSSR13                   *((volatile  uint8_t *)(0x424BFFB4UL))
#define bFM0P_SBSSR_BTSSSR_SSSR13                 *((volatile  uint8_t *)(0x424BFFB4UL))
#define bFM_SBSSR_BTSSSR_SSSR14                   *((volatile  uint8_t *)(0x424BFFB8UL))
#define bFM0P_SBSSR_BTSSSR_SSSR14                 *((volatile  uint8_t *)(0x424BFFB8UL))
#define bFM_SBSSR_BTSSSR_SSSR15                   *((volatile  uint8_t *)(0x424BFFBCUL))
#define bFM0P_SBSSR_BTSSSR_SSSR15                 *((volatile  uint8_t *)(0x424BFFBCUL))


/******************************************************************************
 ** SWWDT Registers SWWDT
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_SWWDT_WDOGCONTROL_INTEN               *((volatile  uint32_t*)(0x42240100UL))
#define bFM0P_SWWDT_WDOGCONTROL_INTEN             *((volatile  uint32_t*)(0x42240100UL))
#define bFM_SWWDT_WDOGCONTROL_RESEN               *((volatile  uint32_t*)(0x42240104UL))
#define bFM0P_SWWDT_WDOGCONTROL_RESEN             *((volatile  uint32_t*)(0x42240104UL))
#define bFM_SWWDT_WDOGCONTROL_SPM                 *((volatile  uint32_t*)(0x42240110UL))
#define bFM0P_SWWDT_WDOGCONTROL_SPM               *((volatile  uint32_t*)(0x42240110UL))

#define bFM_SWWDT_WDOGRIS_RIS                     *((volatile  uint32_t*)(0x42240200UL))
#define bFM0P_SWWDT_WDOGRIS_RIS                   *((volatile  uint32_t*)(0x42240200UL))

#define bFM_SWWDT_WDOGSPMC_TGR                    *((volatile  uint32_t*)(0x42240300UL))
#define bFM0P_SWWDT_WDOGSPMC_TGR                  *((volatile  uint32_t*)(0x42240300UL))


/******************************************************************************
 ** UNIQUE_ID Registers UNIQUE_ID
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** WC Registers WC
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_WC_CLK_EN_CLK_EN                      *((volatile  uint8_t *)(0x42740280UL))
#define bFM0P_WC_CLK_EN_CLK_EN                    *((volatile  uint8_t *)(0x42740280UL))
#define bFM_WC_CLK_EN_CLK_EN_R                    *((volatile  uint8_t *)(0x42740284UL))
#define bFM0P_WC_CLK_EN_CLK_EN_R                  *((volatile  uint8_t *)(0x42740284UL))

#define bFM_WC_WCCR_WCIF                          *((volatile  uint8_t *)(0x42740040UL))
#define bFM0P_WC_WCCR_WCIF                        *((volatile  uint8_t *)(0x42740040UL))
#define bFM_WC_WCCR_WCIE                          *((volatile  uint8_t *)(0x42740044UL))
#define bFM0P_WC_WCCR_WCIE                        *((volatile  uint8_t *)(0x42740044UL))
#define bFM_WC_WCCR_WCOP                          *((volatile  uint8_t *)(0x42740058UL))
#define bFM0P_WC_WCCR_WCOP                        *((volatile  uint8_t *)(0x42740058UL))
#define bFM_WC_WCCR_WCEN                          *((volatile  uint8_t *)(0x4274005CUL))
#define bFM0P_WC_WCCR_WCEN                        *((volatile  uint8_t *)(0x4274005CUL))


#if defined __cplusplus
}
#endif

#endif /* _S6E1A1XB_H_ */
